vtkAbstractTransform <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkAbstractTransform_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkAbstractTransform_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkAbstractTransform_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkAbstractTransform_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAbstractTransform(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkAbstractTransform_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAbstractTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformPoint <- function( .in, .out=as.single(rep.int(1,3))){
    res<-.Call("R_vtkAbstractTransform_TransformPoint",.me$obj, .in, .out,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformPoint_v1 <- function( .in, .out=as.double(rep.int(1,3))){
    res<-.Call("R_vtkAbstractTransform_TransformPoint_v1",.me$obj, .in, .out,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformPoint_v2 <- function( .x, .y, .z){
    res<-.Call("R_vtkAbstractTransform_TransformPoint_v2",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformPoint_v3 <- function( .point){
    res<-.Call("R_vtkAbstractTransform_TransformPoint_v3",.me$obj, .point,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformFloatPoint <- function( .x, .y, .z){
    res<-.Call("R_vtkAbstractTransform_TransformFloatPoint",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformFloatPoint_v1 <- function( .point){
    res<-.Call("R_vtkAbstractTransform_TransformFloatPoint_v1",.me$obj, .point,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformDoublePoint <- function( .x, .y, .z){
    res<-.Call("R_vtkAbstractTransform_TransformDoublePoint",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformDoublePoint_v1 <- function( .point){
    res<-.Call("R_vtkAbstractTransform_TransformDoublePoint_v1",.me$obj, .point,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformNormalAtPoint <- function( .point, .in, .out){
    res<-.Call("R_vtkAbstractTransform_TransformNormalAtPoint",.me$obj, .point, .in, .out,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformNormalAtPoint_v1 <- function( .point, .in, .out){
    res<-.Call("R_vtkAbstractTransform_TransformNormalAtPoint_v1",.me$obj, .point, .in, .out,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformNormalAtPoint_v2 <- function( .point, .normal){
    res<-.Call("R_vtkAbstractTransform_TransformNormalAtPoint_v2",.me$obj, .point, .normal,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformDoubleNormalAtPoint <- function( .point, .normal){
    res<-.Call("R_vtkAbstractTransform_TransformDoubleNormalAtPoint",.me$obj, .point, .normal,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformFloatNormalAtPoint <- function( .point, .normal){
    res<-.Call("R_vtkAbstractTransform_TransformFloatNormalAtPoint",.me$obj, .point, .normal,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformVectorAtPoint <- function( .point, .in, .out){
    res<-.Call("R_vtkAbstractTransform_TransformVectorAtPoint",.me$obj, .point, .in, .out,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformVectorAtPoint_v1 <- function( .point, .in, .out){
    res<-.Call("R_vtkAbstractTransform_TransformVectorAtPoint_v1",.me$obj, .point, .in, .out,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformVectorAtPoint_v2 <- function( .point, .vector){
    res<-.Call("R_vtkAbstractTransform_TransformVectorAtPoint_v2",.me$obj, .point, .vector,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformDoubleVectorAtPoint <- function( .point, .vector){
    res<-.Call("R_vtkAbstractTransform_TransformDoubleVectorAtPoint",.me$obj, .point, .vector,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformFloatVectorAtPoint <- function( .point, .vector){
    res<-.Call("R_vtkAbstractTransform_TransformFloatVectorAtPoint",.me$obj, .point, .vector,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformPoints <- function( .in=vtkPoints(), .out=vtkPoints()){
    check.VTK(.in,"vtkPoints")
    check.VTK(.out,"vtkPoints")
    res<-.Call("R_vtkAbstractTransform_TransformPoints",.me$obj, .in$obj, .out$obj,PACKAGE="RVTK.Base")
    res$.in <- vtkPoints(wrapenv(res$.in))
    res$.out <- vtkPoints(wrapenv(res$.out))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformPointsNormalsVectors <- function( .inPts=vtkPoints(), .outPts=vtkPoints(), .inNms=vtkDataArray(), .outNms=vtkDataArray(), .inVrs=vtkDataArray(), .outVrs=vtkDataArray()){
    check.VTK(.inPts,"vtkPoints")
    check.VTK(.outPts,"vtkPoints")
    check.VTK(.inNms,"vtkDataArray")
    check.VTK(.outNms,"vtkDataArray")
    check.VTK(.inVrs,"vtkDataArray")
    check.VTK(.outVrs,"vtkDataArray")
    res<-.Call("R_vtkAbstractTransform_TransformPointsNormalsVectors",.me$obj, .inPts$obj, .outPts$obj, .inNms$obj, .outNms$obj, .inVrs$obj, .outVrs$obj,PACKAGE="RVTK.Base")
    res$.inPts <- vtkPoints(wrapenv(res$.inPts))
    res$.outPts <- vtkPoints(wrapenv(res$.outPts))
    res$.inNms <- vtkDataArray(wrapenv(res$.inNms))
    res$.outNms <- vtkDataArray(wrapenv(res$.outNms))
    res$.inVrs <- vtkDataArray(wrapenv(res$.inVrs))
    res$.outVrs <- vtkDataArray(wrapenv(res$.outVrs))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInverse <- function(){
    res<-.Call("R_vtkAbstractTransform_GetInverse",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAbstractTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInverse <- function( .transform=vtkAbstractTransform()){
    check.VTK(.transform,"vtkAbstractTransform")
    res<-.Call("R_vtkAbstractTransform_SetInverse",.me$obj, .transform$obj,PACKAGE="RVTK.Base")
    res$.transform <- vtkAbstractTransform(wrapenv(res$.transform))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Inverse <- function(){
    res<-.Call("R_vtkAbstractTransform_Inverse",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .transform=vtkAbstractTransform()){
    check.VTK(.transform,"vtkAbstractTransform")
    res<-.Call("R_vtkAbstractTransform_DeepCopy",.me$obj, .transform$obj,PACKAGE="RVTK.Base")
    res$.transform <- vtkAbstractTransform(wrapenv(res$.transform))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Update <- function(){
    res<-.Call("R_vtkAbstractTransform_Update",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InternalTransformPoint <- function( .in, .out=as.single(rep.int(1,3))){
    res<-.Call("R_vtkAbstractTransform_InternalTransformPoint",.me$obj, .in, .out,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InternalTransformPoint_v1 <- function( .in, .out=as.double(rep.int(1,3))){
    res<-.Call("R_vtkAbstractTransform_InternalTransformPoint_v1",.me$obj, .in, .out,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MakeTransform <- function(){
    res<-.Call("R_vtkAbstractTransform_MakeTransform",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAbstractTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CircuitCheck <- function( .transform=vtkAbstractTransform()){
    check.VTK(.transform,"vtkAbstractTransform")
    res<-.Call("R_vtkAbstractTransform_CircuitCheck",.me$obj, .transform$obj,PACKAGE="RVTK.Base")
    res$.transform <- vtkAbstractTransform(wrapenv(res$.transform))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkAbstractTransform_GetMTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UnRegister <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkAbstractTransform_UnRegister",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Identity <- function(){
    res<-.Call("R_vtkAbstractTransform_Identity",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkAbstractTransform",class(.me))
  return(.me)
}
