vtkActor2D <- function(.me=environment()){
  .me <- vtkProp(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkActor2D_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkActor2D_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkActor2D_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkActor2D_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkActor2D(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkActor2D_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkActor2D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderOverlay <- function( .viewport=vtkViewport()){
    check.VTK(.viewport,"vtkViewport")
    res<-.Call("R_vtkActor2D_RenderOverlay",.me$obj, .viewport$obj,PACKAGE="RVTK.Base")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderOpaqueGeometry <- function( .viewport=vtkViewport()){
    check.VTK(.viewport,"vtkViewport")
    res<-.Call("R_vtkActor2D_RenderOpaqueGeometry",.me$obj, .viewport$obj,PACKAGE="RVTK.Base")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderTranslucentGeometry <- function( .viewport=vtkViewport()){
    check.VTK(.viewport,"vtkViewport")
    res<-.Call("R_vtkActor2D_RenderTranslucentGeometry",.me$obj, .viewport$obj,PACKAGE="RVTK.Base")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMapper <- function( .mapper=vtkMapper2D()){
    check.VTK(.mapper,"vtkMapper2D")
    res<-.Call("R_vtkActor2D_SetMapper",.me$obj, .mapper$obj,PACKAGE="RVTK.Base")
    res$.mapper <- vtkMapper2D(wrapenv(res$.mapper))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMapper <- function(){
    res<-.Call("R_vtkActor2D_GetMapper",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMapper2D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLayerNumber <- function( ._arg){
    res<-.Call("R_vtkActor2D_SetLayerNumber",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLayerNumber <- function(){
    res<-.Call("R_vtkActor2D_GetLayerNumber",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProperty <- function(){
    res<-.Call("R_vtkActor2D_GetProperty",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkProperty2D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetProperty <- function( ._arg=vtkProperty2D()){
    check.VTK(._arg,"vtkProperty2D")
    res<-.Call("R_vtkActor2D_SetProperty",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkProperty2D(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPositionCoordinate <- function(){
    res<-.Call("R_vtkActor2D_GetPositionCoordinate",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCoordinate(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPosition <- function( .x){
    res<-.Call("R_vtkActor2D_SetPosition",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPosition_v1 <- function( .x, .y){
    res<-.Call("R_vtkActor2D_SetPosition_v1",.me$obj, .x, .y,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPosition <- function(){
    res<-.Call("R_vtkActor2D_GetPosition",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDisplayPosition <- function( .XPos, .YPos){
    res<-.Call("R_vtkActor2D_SetDisplayPosition",.me$obj, .XPos, .YPos,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPosition2Coordinate <- function(){
    res<-.Call("R_vtkActor2D_GetPosition2Coordinate",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCoordinate(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPosition2 <- function( .x){
    res<-.Call("R_vtkActor2D_SetPosition2",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPosition2_v1 <- function( .x, .y){
    res<-.Call("R_vtkActor2D_SetPosition2_v1",.me$obj, .x, .y,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPosition2 <- function(){
    res<-.Call("R_vtkActor2D_GetPosition2",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWidth <- function( .w){
    res<-.Call("R_vtkActor2D_SetWidth",.me$obj, .w,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWidth <- function(){
    res<-.Call("R_vtkActor2D_GetWidth",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetHeight <- function( .w){
    res<-.Call("R_vtkActor2D_SetHeight",.me$obj, .w,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHeight <- function(){
    res<-.Call("R_vtkActor2D_GetHeight",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkActor2D_GetMTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActors2D <- function( .ac=vtkPropCollection()){
    check.VTK(.ac,"vtkPropCollection")
    res<-.Call("R_vtkActor2D_GetActors2D",.me$obj, .ac$obj,PACKAGE="RVTK.Base")
    res$.ac <- vtkPropCollection(wrapenv(res$.ac))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .prop=vtkProp()){
    check.VTK(.prop,"vtkProp")
    res<-.Call("R_vtkActor2D_ShallowCopy",.me$obj, .prop$obj,PACKAGE="RVTK.Base")
    res$.prop <- vtkProp(wrapenv(res$.prop))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseGraphicsResources <- function( .win=vtkWindow()){
    check.VTK(.win,"vtkWindow")
    res<-.Call("R_vtkActor2D_ReleaseGraphicsResources",.me$obj, .win$obj,PACKAGE="RVTK.Base")
    res$.win <- vtkWindow(wrapenv(res$.win))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActualPositionCoordinate <- function(){
    res<-.Call("R_vtkActor2D_GetActualPositionCoordinate",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCoordinate(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActualPosition2Coordinate <- function(){
    res<-.Call("R_vtkActor2D_GetActualPosition2Coordinate",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCoordinate(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkActor2D_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkActor2D",class(.me))
  return(.me)
}
