vtkAssemblyNode <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkAssemblyNode_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkAssemblyNode_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkAssemblyNode_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkAssemblyNode_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAssemblyNode(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkAssemblyNode_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAssemblyNode(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetProp <- function( .prop=vtkProp()){
    check.VTK(.prop,"vtkProp")
    res<-.Call("R_vtkAssemblyNode_SetProp",.me$obj, .prop$obj,PACKAGE="RVTK.Base")
    res$.prop <- vtkProp(wrapenv(res$.prop))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProp <- function(){
    res<-.Call("R_vtkAssemblyNode_GetProp",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkProp(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMatrix <- function( .matrix=vtkMatrix4x4()){
    check.VTK(.matrix,"vtkMatrix4x4")
    res<-.Call("R_vtkAssemblyNode_SetMatrix",.me$obj, .matrix$obj,PACKAGE="RVTK.Base")
    res$.matrix <- vtkMatrix4x4(wrapenv(res$.matrix))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMatrix <- function(){
    res<-.Call("R_vtkAssemblyNode_GetMatrix",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMatrix4x4(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkAssemblyNode_GetMTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkAssemblyNode_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkAssemblyNode",class(.me))
  return(.me)
}
