vtkBYUWriter <- function(.me=environment()){
  .me <- vtkPolyDataWriter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkBYUWriter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkBYUWriter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkBYUWriter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkBYUWriter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkBYUWriter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkBYUWriter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkBYUWriter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGeometryFileName <- function( ._arg){
    res<-.Call("R_vtkBYUWriter_SetGeometryFileName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGeometryFileName <- function(){
    res<-.Call("R_vtkBYUWriter_GetGeometryFileName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDisplacementFileName <- function( ._arg){
    res<-.Call("R_vtkBYUWriter_SetDisplacementFileName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDisplacementFileName <- function(){
    res<-.Call("R_vtkBYUWriter_GetDisplacementFileName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarFileName <- function( ._arg){
    res<-.Call("R_vtkBYUWriter_SetScalarFileName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarFileName <- function(){
    res<-.Call("R_vtkBYUWriter_GetScalarFileName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTextureFileName <- function( ._arg){
    res<-.Call("R_vtkBYUWriter_SetTextureFileName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTextureFileName <- function(){
    res<-.Call("R_vtkBYUWriter_GetTextureFileName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWriteDisplacement <- function( ._arg){
    res<-.Call("R_vtkBYUWriter_SetWriteDisplacement",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWriteDisplacement <- function(){
    res<-.Call("R_vtkBYUWriter_GetWriteDisplacement",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WriteDisplacementOn <- function(){
    res<-.Call("R_vtkBYUWriter_WriteDisplacementOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WriteDisplacementOff <- function(){
    res<-.Call("R_vtkBYUWriter_WriteDisplacementOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWriteScalar <- function( ._arg){
    res<-.Call("R_vtkBYUWriter_SetWriteScalar",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWriteScalar <- function(){
    res<-.Call("R_vtkBYUWriter_GetWriteScalar",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WriteScalarOn <- function(){
    res<-.Call("R_vtkBYUWriter_WriteScalarOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WriteScalarOff <- function(){
    res<-.Call("R_vtkBYUWriter_WriteScalarOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWriteTexture <- function( ._arg){
    res<-.Call("R_vtkBYUWriter_SetWriteTexture",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWriteTexture <- function(){
    res<-.Call("R_vtkBYUWriter_GetWriteTexture",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WriteTextureOn <- function(){
    res<-.Call("R_vtkBYUWriter_WriteTextureOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WriteTextureOff <- function(){
    res<-.Call("R_vtkBYUWriter_WriteTextureOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkBYUWriter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkBYUWriter",class(.me))
  return(.me)
}
