vtkBase64Utilities <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkBase64Utilities_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkBase64Utilities_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkBase64Utilities_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkBase64Utilities_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkBase64Utilities(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkBase64Utilities_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkBase64Utilities(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EncodeTriplet <- function( .i0, .i1, .i2, .o0, .o1, .o2, .o3){
    res<-.Call("R_vtkBase64Utilities_EncodeTriplet",.me$obj, .i0, .i1, .i2, .o0, .o1, .o2, .o3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EncodePair <- function( .i0, .i1, .o0, .o1, .o2, .o3){
    res<-.Call("R_vtkBase64Utilities_EncodePair",.me$obj, .i0, .i1, .o0, .o1, .o2, .o3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EncodeSingle <- function( .i0, .o0, .o1, .o2, .o3){
    res<-.Call("R_vtkBase64Utilities_EncodeSingle",.me$obj, .i0, .o0, .o1, .o2, .o3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Encode <- function( .input, .length, .output, .mark_end){
    res<-.Call("R_vtkBase64Utilities_Encode",.me$obj, .input, .length, .output, .mark_end,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DecodeTriplet <- function( .i0, .i1, .i2, .i3, .o0, .o1, .o2){
    res<-.Call("R_vtkBase64Utilities_DecodeTriplet",.me$obj, .i0, .i1, .i2, .i3, .o0, .o1, .o2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Decode <- function( .input, .length, .output, .max_input_length){
    res<-.Call("R_vtkBase64Utilities_Decode",.me$obj, .input, .length, .output, .max_input_length,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkBase64Utilities_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkBase64Utilities",class(.me))
  return(.me)
}
