vtkBox <- function(.me=environment()){
  .me <- vtkImplicitFunction(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkBox_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkBox_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkBox_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkBox_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkBox(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkBox_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkBox(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluateFunction <- function( .x=as.double(rep.int(1,3))){
    res<-.Call("R_vtkBox_EvaluateFunction",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluateFunction_v1 <- function( .x, .y, .z){
    res<-.Call("R_vtkBox_EvaluateFunction_v1",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluateGradient <- function( .x=as.double(rep.int(1,3)), .n=as.double(rep.int(1,3))){
    res<-.Call("R_vtkBox_EvaluateGradient",.me$obj, .x, .n,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetXMin <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkBox_SetXMin",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetXMin_v1 <- function( ._arg){
    res<-.Call("R_vtkBox_SetXMin_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetXMin <- function(){
    res<-.Call("R_vtkBox_GetXMin",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetXMin_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1))){
    res<-.Call("R_vtkBox_GetXMin_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetXMin_v2 <- function( ._arg){
    res<-.Call("R_vtkBox_GetXMin_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetXMax <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkBox_SetXMax",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetXMax_v1 <- function( ._arg){
    res<-.Call("R_vtkBox_SetXMax_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetXMax <- function(){
    res<-.Call("R_vtkBox_GetXMax",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetXMax_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1))){
    res<-.Call("R_vtkBox_GetXMax_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetXMax_v2 <- function( ._arg){
    res<-.Call("R_vtkBox_GetXMax_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBounds <- function( .xMin, .xMax, .yMin, .yMax, .zMin, .zMax){
    res<-.Call("R_vtkBox_SetBounds",.me$obj, .xMin, .xMax, .yMin, .yMax, .zMin, .zMax,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBounds_v1 <- function( .bounds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkBox_SetBounds_v1",.me$obj, .bounds,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds <- function( .xMin=as.double(rep.int(1,1)), .xMax=as.double(rep.int(1,1)), .yMin=as.double(rep.int(1,1)), .yMax=as.double(rep.int(1,1)), .zMin=as.double(rep.int(1,1)), .zMax=as.double(rep.int(1,1))){
    res<-.Call("R_vtkBox_GetBounds",.me$obj, .xMin, .xMax, .yMin, .yMax, .zMin, .zMax,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds_v1 <- function( .bounds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkBox_GetBounds_v1",.me$obj, .bounds,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectBox <- function( .bounds=as.double(rep.int(1,6)), .origin=as.double(rep.int(1,3)), .dir=as.double(rep.int(1,3)), .coord=as.double(rep.int(1,3)), .t=as.double(rep.int(1,1))){
    res<-.Call("R_vtkBox_IntersectBox",.me$obj, .bounds, .origin, .dir, .coord, .t,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkBox_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkBox",class(.me))
  return(.me)
}
