vtkCardinalSpline <- function(.me=environment()){
  .me <- vtkSpline(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkCardinalSpline_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkCardinalSpline_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkCardinalSpline_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkCardinalSpline_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCardinalSpline(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkCardinalSpline_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCardinalSpline(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Compute <- function(){
    res<-.Call("R_vtkCardinalSpline_Compute",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Evaluate <- function( .t){
    res<-.Call("R_vtkCardinalSpline_Evaluate",.me$obj, .t,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .s=vtkSpline()){
    check.VTK(.s,"vtkSpline")
    res<-.Call("R_vtkCardinalSpline_DeepCopy",.me$obj, .s$obj,PACKAGE="RVTK.Base")
    res$.s <- vtkSpline(wrapenv(res$.s))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkCardinalSpline_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkCardinalSpline",class(.me))
  return(.me)
}
