vtkCellLinks <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkCellLinks_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkCellLinks_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkCellLinks_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkCellLinks_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCellLinks(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkCellLinks_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCellLinks(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Allocate <- function( .sz, .ext){
    res<-.Call("R_vtkCellLinks_Allocate",.me$obj, .sz, .ext,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
  
  .me$GetNcells <- function( .ptId){
    res<-.Call("R_vtkCellLinks_GetNcells",.me$obj, .ptId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BuildLinks <- function( .data=vtkDataSet()){
    check.VTK(.data,"vtkDataSet")
    res<-.Call("R_vtkCellLinks_BuildLinks",.me$obj, .data$obj,PACKAGE="RVTK.Base")
    res$.data <- vtkDataSet(wrapenv(res$.data))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BuildLinks_v1 <- function( .data=vtkDataSet(), .Connectivity=vtkCellArray()){
    check.VTK(.data,"vtkDataSet")
    check.VTK(.Connectivity,"vtkCellArray")
    res<-.Call("R_vtkCellLinks_BuildLinks_v1",.me$obj, .data$obj, .Connectivity$obj,PACKAGE="RVTK.Base")
    res$.data <- vtkDataSet(wrapenv(res$.data))
    res$.Connectivity <- vtkCellArray(wrapenv(res$.Connectivity))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCells <- function( .ptId){
    res<-.Call("R_vtkCellLinks_GetCells",.me$obj, .ptId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertNextPoint <- function( .numLinks){
    res<-.Call("R_vtkCellLinks_InsertNextPoint",.me$obj, .numLinks,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertNextCellReference <- function( .ptId, .cellId){
    res<-.Call("R_vtkCellLinks_InsertNextCellReference",.me$obj, .ptId, .cellId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeletePoint <- function( .ptId){
    res<-.Call("R_vtkCellLinks_DeletePoint",.me$obj, .ptId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveCellReference <- function( .cellId, .ptId){
    res<-.Call("R_vtkCellLinks_RemoveCellReference",.me$obj, .cellId, .ptId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddCellReference <- function( .cellId, .ptId){
    res<-.Call("R_vtkCellLinks_AddCellReference",.me$obj, .cellId, .ptId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ResizeCellList <- function( .ptId, .size){
    res<-.Call("R_vtkCellLinks_ResizeCellList",.me$obj, .ptId, .size,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Squeeze <- function(){
    res<-.Call("R_vtkCellLinks_Squeeze",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Reset <- function(){
    res<-.Call("R_vtkCellLinks_Reset",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActualMemorySize <- function(){
    res<-.Call("R_vtkCellLinks_GetActualMemorySize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .src=vtkCellLinks()){
    check.VTK(.src,"vtkCellLinks")
    res<-.Call("R_vtkCellLinks_DeepCopy",.me$obj, .src$obj,PACKAGE="RVTK.Base")
    res$.src <- vtkCellLinks(wrapenv(res$.src))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkCellLinks_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkCellLinks",class(.me))
  return(.me)
}
