vtkCleanPolyData <- function(.me=environment()){
  .me <- vtkPolyDataToPolyDataFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkCleanPolyData_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkCleanPolyData_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkCleanPolyData_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkCleanPolyData_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCleanPolyData(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkCleanPolyData_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCleanPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetToleranceIsAbsolute <- function( ._arg){
    res<-.Call("R_vtkCleanPolyData_SetToleranceIsAbsolute",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ToleranceIsAbsoluteOn <- function(){
    res<-.Call("R_vtkCleanPolyData_ToleranceIsAbsoluteOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ToleranceIsAbsoluteOff <- function(){
    res<-.Call("R_vtkCleanPolyData_ToleranceIsAbsoluteOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetToleranceIsAbsolute <- function(){
    res<-.Call("R_vtkCleanPolyData_GetToleranceIsAbsolute",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTolerance <- function( ._arg){
    res<-.Call("R_vtkCleanPolyData_SetTolerance",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetToleranceMinValue <- function(){
    res<-.Call("R_vtkCleanPolyData_GetToleranceMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetToleranceMaxValue <- function(){
    res<-.Call("R_vtkCleanPolyData_GetToleranceMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTolerance <- function(){
    res<-.Call("R_vtkCleanPolyData_GetTolerance",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAbsoluteTolerance <- function( ._arg){
    res<-.Call("R_vtkCleanPolyData_SetAbsoluteTolerance",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAbsoluteToleranceMinValue <- function(){
    res<-.Call("R_vtkCleanPolyData_GetAbsoluteToleranceMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAbsoluteToleranceMaxValue <- function(){
    res<-.Call("R_vtkCleanPolyData_GetAbsoluteToleranceMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAbsoluteTolerance <- function(){
    res<-.Call("R_vtkCleanPolyData_GetAbsoluteTolerance",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetConvertLinesToPoints <- function( ._arg){
    res<-.Call("R_vtkCleanPolyData_SetConvertLinesToPoints",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ConvertLinesToPointsOn <- function(){
    res<-.Call("R_vtkCleanPolyData_ConvertLinesToPointsOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ConvertLinesToPointsOff <- function(){
    res<-.Call("R_vtkCleanPolyData_ConvertLinesToPointsOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetConvertLinesToPoints <- function(){
    res<-.Call("R_vtkCleanPolyData_GetConvertLinesToPoints",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetConvertPolysToLines <- function( ._arg){
    res<-.Call("R_vtkCleanPolyData_SetConvertPolysToLines",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ConvertPolysToLinesOn <- function(){
    res<-.Call("R_vtkCleanPolyData_ConvertPolysToLinesOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ConvertPolysToLinesOff <- function(){
    res<-.Call("R_vtkCleanPolyData_ConvertPolysToLinesOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetConvertPolysToLines <- function(){
    res<-.Call("R_vtkCleanPolyData_GetConvertPolysToLines",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetConvertStripsToPolys <- function( ._arg){
    res<-.Call("R_vtkCleanPolyData_SetConvertStripsToPolys",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ConvertStripsToPolysOn <- function(){
    res<-.Call("R_vtkCleanPolyData_ConvertStripsToPolysOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ConvertStripsToPolysOff <- function(){
    res<-.Call("R_vtkCleanPolyData_ConvertStripsToPolysOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetConvertStripsToPolys <- function(){
    res<-.Call("R_vtkCleanPolyData_GetConvertStripsToPolys",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPointMerging <- function( ._arg){
    res<-.Call("R_vtkCleanPolyData_SetPointMerging",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointMerging <- function(){
    res<-.Call("R_vtkCleanPolyData_GetPointMerging",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PointMergingOn <- function(){
    res<-.Call("R_vtkCleanPolyData_PointMergingOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PointMergingOff <- function(){
    res<-.Call("R_vtkCleanPolyData_PointMergingOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLocator <- function( .locator=vtkPointLocator()){
    check.VTK(.locator,"vtkPointLocator")
    res<-.Call("R_vtkCleanPolyData_SetLocator",.me$obj, .locator$obj,PACKAGE="RVTK.Base")
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLocator <- function(){
    res<-.Call("R_vtkCleanPolyData_GetLocator",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPointLocator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CreateDefaultLocator <- function(){
    res<-.Call("R_vtkCleanPolyData_CreateDefaultLocator",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseLocator <- function(){
    res<-.Call("R_vtkCleanPolyData_ReleaseLocator",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkCleanPolyData_GetMTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OperateOnPoint <- function( .in=as.double(rep.int(1,3)), .out=as.double(rep.int(1,3))){
    res<-.Call("R_vtkCleanPolyData_OperateOnPoint",.me$obj, .in, .out,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OperateOnBounds <- function( .in=as.double(rep.int(1,6)), .out=as.double(rep.int(1,6))){
    res<-.Call("R_vtkCleanPolyData_OperateOnBounds",.me$obj, .in, .out,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPieceInvariant <- function( ._arg){
    res<-.Call("R_vtkCleanPolyData_SetPieceInvariant",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPieceInvariant <- function(){
    res<-.Call("R_vtkCleanPolyData_GetPieceInvariant",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PieceInvariantOn <- function(){
    res<-.Call("R_vtkCleanPolyData_PieceInvariantOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PieceInvariantOff <- function(){
    res<-.Call("R_vtkCleanPolyData_PieceInvariantOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkCleanPolyData_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkCleanPolyData",class(.me))
  return(.me)
}
