vtkCompositeDataSet <- function(.me=environment()){
  .me <- vtkDataObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkCompositeDataSet_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkCompositeDataSet_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkCompositeDataSet_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkCompositeDataSet_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCompositeDataSet(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkCompositeDataSet_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCompositeDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewIterator <- function(){
    res<-.Call("R_vtkCompositeDataSet_NewIterator",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCompositeDataIterator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewVisitor <- function(){
    res<-.Call("R_vtkCompositeDataSet_NewVisitor",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCompositeDataVisitor(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataObjectType <- function(){
    res<-.Call("R_vtkCompositeDataSet_GetDataObjectType",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkCompositeDataSet_Initialize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateExtent <- function( .piece, .numPieces, .ghostLevel){
    res<-.Call("R_vtkCompositeDataSet_SetUpdateExtent",.me$obj, .piece, .numPieces, .ghostLevel,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateExtent_v1 <- function( .piece, .numPieces){
    res<-.Call("R_vtkCompositeDataSet_SetUpdateExtent_v1",.me$obj, .piece, .numPieces,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpdateExtent <- function( .piece=as.integer(rep.int(1,1)), .numPieces=as.integer(rep.int(1,1)), .ghostLevel=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkCompositeDataSet_GetUpdateExtent",.me$obj, .piece, .numPieces, .ghostLevel,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpdateExtent_v1 <- function(){
    res<-.Call("R_vtkCompositeDataSet_GetUpdateExtent_v1",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpdateExtent_v2 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1)), ._arg3=as.integer(rep.int(1,1)), ._arg4=as.integer(rep.int(1,1)), ._arg5=as.integer(rep.int(1,1)), ._arg6=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkCompositeDataSet_GetUpdateExtent_v2",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpdateExtent_v3 <- function( ._arg){
    res<-.Call("R_vtkCompositeDataSet_GetUpdateExtent_v3",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateExtent_v2 <- function( .x1, .x2, .y1, .y2, .z1, .z2){
    res<-.Call("R_vtkCompositeDataSet_SetUpdateExtent_v2",.me$obj, .x1, .x2, .y1, .y2, .z1, .z2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateExtent_v3 <- function( .ext){
    res<-.Call("R_vtkCompositeDataSet_SetUpdateExtent_v3",.me$obj, .ext,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkCompositeDataSet",class(.me))
  return(.me)
}
