vtkConeSource <- function(.me=environment()){
  .me <- vtkPolyDataSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkConeSource_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkConeSource_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkConeSource_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkConeSource_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkConeSource(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkConeSource_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkConeSource(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetHeight <- function( ._arg){
    res<-.Call("R_vtkConeSource_SetHeight",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHeightMinValue <- function(){
    res<-.Call("R_vtkConeSource_GetHeightMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHeightMaxValue <- function(){
    res<-.Call("R_vtkConeSource_GetHeightMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHeight <- function(){
    res<-.Call("R_vtkConeSource_GetHeight",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRadius <- function( ._arg){
    res<-.Call("R_vtkConeSource_SetRadius",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRadiusMinValue <- function(){
    res<-.Call("R_vtkConeSource_GetRadiusMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRadiusMaxValue <- function(){
    res<-.Call("R_vtkConeSource_GetRadiusMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRadius <- function(){
    res<-.Call("R_vtkConeSource_GetRadius",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResolution <- function( ._arg){
    res<-.Call("R_vtkConeSource_SetResolution",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResolutionMinValue <- function(){
    res<-.Call("R_vtkConeSource_GetResolutionMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResolutionMaxValue <- function(){
    res<-.Call("R_vtkConeSource_GetResolutionMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResolution <- function(){
    res<-.Call("R_vtkConeSource_GetResolution",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCenter <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkConeSource_SetCenter",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCenter_v1 <- function( ._arg){
    res<-.Call("R_vtkConeSource_SetCenter_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCenter <- function(){
    res<-.Call("R_vtkConeSource_GetCenter",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCenter_v1 <- function( .data){
    res<-.Call("R_vtkConeSource_GetCenter_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDirection <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkConeSource_SetDirection",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDirection_v1 <- function( ._arg){
    res<-.Call("R_vtkConeSource_SetDirection_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDirection <- function(){
    res<-.Call("R_vtkConeSource_GetDirection",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDirection_v1 <- function( .data){
    res<-.Call("R_vtkConeSource_GetDirection_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAngle <- function( .angle){
    res<-.Call("R_vtkConeSource_SetAngle",.me$obj, .angle,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAngle <- function(){
    res<-.Call("R_vtkConeSource_GetAngle",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCapping <- function( ._arg){
    res<-.Call("R_vtkConeSource_SetCapping",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCapping <- function(){
    res<-.Call("R_vtkConeSource_GetCapping",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CappingOn <- function(){
    res<-.Call("R_vtkConeSource_CappingOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CappingOff <- function(){
    res<-.Call("R_vtkConeSource_CappingOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkConeSource_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkConeSource",class(.me))
  return(.me)
}
