vtkContourGrid <- function(.me=environment()){
  .me <- vtkUnstructuredGridToPolyDataFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkContourGrid_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkContourGrid_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkContourGrid_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkContourGrid_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkContourGrid(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkContourGrid_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkContourGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetValue <- function( .i, .value){
    res<-.Call("R_vtkContourGrid_SetValue",.me$obj, .i, .value,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetValue <- function( .i){
    res<-.Call("R_vtkContourGrid_GetValue",.me$obj, .i,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetValues <- function(){
    res<-.Call("R_vtkContourGrid_GetValues",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetValues_v1 <- function( .contourValues){
    res<-.Call("R_vtkContourGrid_GetValues_v1",.me$obj, .contourValues,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfContours <- function( .number){
    res<-.Call("R_vtkContourGrid_SetNumberOfContours",.me$obj, .number,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfContours <- function(){
    res<-.Call("R_vtkContourGrid_GetNumberOfContours",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GenerateValues <- function( .numContours, .range){
    res<-.Call("R_vtkContourGrid_GenerateValues",.me$obj, .numContours, .range,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GenerateValues_v1 <- function( .numContours, .rangeStart, .rangeEnd){
    res<-.Call("R_vtkContourGrid_GenerateValues_v1",.me$obj, .numContours, .rangeStart, .rangeEnd,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkContourGrid_GetMTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetComputeNormals <- function( ._arg){
    res<-.Call("R_vtkContourGrid_SetComputeNormals",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetComputeNormals <- function(){
    res<-.Call("R_vtkContourGrid_GetComputeNormals",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeNormalsOn <- function(){
    res<-.Call("R_vtkContourGrid_ComputeNormalsOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeNormalsOff <- function(){
    res<-.Call("R_vtkContourGrid_ComputeNormalsOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetComputeGradients <- function( ._arg){
    res<-.Call("R_vtkContourGrid_SetComputeGradients",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetComputeGradients <- function(){
    res<-.Call("R_vtkContourGrid_GetComputeGradients",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeGradientsOn <- function(){
    res<-.Call("R_vtkContourGrid_ComputeGradientsOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeGradientsOff <- function(){
    res<-.Call("R_vtkContourGrid_ComputeGradientsOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetComputeScalars <- function( ._arg){
    res<-.Call("R_vtkContourGrid_SetComputeScalars",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetComputeScalars <- function(){
    res<-.Call("R_vtkContourGrid_GetComputeScalars",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeScalarsOn <- function(){
    res<-.Call("R_vtkContourGrid_ComputeScalarsOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeScalarsOff <- function(){
    res<-.Call("R_vtkContourGrid_ComputeScalarsOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUseScalarTree <- function( ._arg){
    res<-.Call("R_vtkContourGrid_SetUseScalarTree",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUseScalarTree <- function(){
    res<-.Call("R_vtkContourGrid_GetUseScalarTree",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseScalarTreeOn <- function(){
    res<-.Call("R_vtkContourGrid_UseScalarTreeOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseScalarTreeOff <- function(){
    res<-.Call("R_vtkContourGrid_UseScalarTreeOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLocator <- function( .locator=vtkPointLocator()){
    check.VTK(.locator,"vtkPointLocator")
    res<-.Call("R_vtkContourGrid_SetLocator",.me$obj, .locator$obj,PACKAGE="RVTK.Base")
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLocator <- function(){
    res<-.Call("R_vtkContourGrid_GetLocator",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPointLocator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CreateDefaultLocator <- function(){
    res<-.Call("R_vtkContourGrid_CreateDefaultLocator",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInputScalarsSelection <- function(){
    res<-.Call("R_vtkContourGrid_GetInputScalarsSelection",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SelectInputScalars <- function( .fieldName){
    res<-.Call("R_vtkContourGrid_SelectInputScalars",.me$obj, .fieldName,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkContourGrid_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkContourGrid",class(.me))
  return(.me)
}
