vtkCurvatures <- function(.me=environment()){
  .me <- vtkPolyDataToPolyDataFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkCurvatures_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkCurvatures_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkCurvatures_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkCurvatures_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCurvatures(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkCurvatures_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCurvatures(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCurvatureType <- function( ._arg){
    res<-.Call("R_vtkCurvatures_SetCurvatureType",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCurvatureType <- function(){
    res<-.Call("R_vtkCurvatures_GetCurvatureType",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCurvatureTypeToGaussian <- function(){
    res<-.Call("R_vtkCurvatures_SetCurvatureTypeToGaussian",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCurvatureTypeToMean <- function(){
    res<-.Call("R_vtkCurvatures_SetCurvatureTypeToMean",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInvertMeanCurvature <- function( ._arg){
    res<-.Call("R_vtkCurvatures_SetInvertMeanCurvature",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInvertMeanCurvature <- function(){
    res<-.Call("R_vtkCurvatures_GetInvertMeanCurvature",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InvertMeanCurvatureOn <- function(){
    res<-.Call("R_vtkCurvatures_InvertMeanCurvatureOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InvertMeanCurvatureOff <- function(){
    res<-.Call("R_vtkCurvatures_InvertMeanCurvatureOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkCurvatures_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkCurvatures",class(.me))
  return(.me)
}
