vtkCutter <- function(.me=environment()){
  .me <- vtkDataSetToPolyDataFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkCutter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkCutter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkCutter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkCutter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCutter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkCutter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCutter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetValue <- function( .i, .value){
    res<-.Call("R_vtkCutter_SetValue",.me$obj, .i, .value,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetValue <- function( .i){
    res<-.Call("R_vtkCutter_GetValue",.me$obj, .i,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetValues <- function(){
    res<-.Call("R_vtkCutter_GetValues",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetValues_v1 <- function( .contourValues){
    res<-.Call("R_vtkCutter_GetValues_v1",.me$obj, .contourValues,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfContours <- function( .number){
    res<-.Call("R_vtkCutter_SetNumberOfContours",.me$obj, .number,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfContours <- function(){
    res<-.Call("R_vtkCutter_GetNumberOfContours",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GenerateValues <- function( .numContours, .range){
    res<-.Call("R_vtkCutter_GenerateValues",.me$obj, .numContours, .range,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GenerateValues_v1 <- function( .numContours, .rangeStart, .rangeEnd){
    res<-.Call("R_vtkCutter_GenerateValues_v1",.me$obj, .numContours, .rangeStart, .rangeEnd,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkCutter_GetMTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCutFunction <- function( ._arg=vtkImplicitFunction()){
    check.VTK(._arg,"vtkImplicitFunction")
    res<-.Call("R_vtkCutter_SetCutFunction",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkImplicitFunction(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCutFunction <- function(){
    res<-.Call("R_vtkCutter_GetCutFunction",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImplicitFunction(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGenerateCutScalars <- function( ._arg){
    res<-.Call("R_vtkCutter_SetGenerateCutScalars",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGenerateCutScalars <- function(){
    res<-.Call("R_vtkCutter_GetGenerateCutScalars",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GenerateCutScalarsOn <- function(){
    res<-.Call("R_vtkCutter_GenerateCutScalarsOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GenerateCutScalarsOff <- function(){
    res<-.Call("R_vtkCutter_GenerateCutScalarsOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLocator <- function( .locator=vtkPointLocator()){
    check.VTK(.locator,"vtkPointLocator")
    res<-.Call("R_vtkCutter_SetLocator",.me$obj, .locator$obj,PACKAGE="RVTK.Base")
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLocator <- function(){
    res<-.Call("R_vtkCutter_GetLocator",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPointLocator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSortBy <- function( ._arg){
    res<-.Call("R_vtkCutter_SetSortBy",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSortByMinValue <- function(){
    res<-.Call("R_vtkCutter_GetSortByMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSortByMaxValue <- function(){
    res<-.Call("R_vtkCutter_GetSortByMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSortBy <- function(){
    res<-.Call("R_vtkCutter_GetSortBy",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSortByToSortByValue <- function(){
    res<-.Call("R_vtkCutter_SetSortByToSortByValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSortByToSortByCell <- function(){
    res<-.Call("R_vtkCutter_SetSortByToSortByCell",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSortByAsString <- function(){
    res<-.Call("R_vtkCutter_GetSortByAsString",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CreateDefaultLocator <- function(){
    res<-.Call("R_vtkCutter_CreateDefaultLocator",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkCutter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkCutter",class(.me))
  return(.me)
}
