vtkDataObject <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkDataObject_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkDataObject_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkDataObject_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkDataObject_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkDataObject_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSource <- function(){
    res<-.Call("R_vtkDataObject_GetSource",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkSource(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSource <- function( .arg=vtkSource()){
    check.VTK(.arg,"vtkSource")
    res<-.Call("R_vtkDataObject_SetSource",.me$obj, .arg$obj,PACKAGE="RVTK.Base")
    res$.arg <- vtkSource(wrapenv(res$.arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkDataObject_GetMTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkDataObject_Initialize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseData <- function(){
    res<-.Call("R_vtkDataObject_ReleaseData",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShouldIReleaseData <- function(){
    res<-.Call("R_vtkDataObject_ShouldIReleaseData",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataReleased <- function(){
    res<-.Call("R_vtkDataObject_GetDataReleased",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetReleaseDataFlag <- function( ._arg){
    res<-.Call("R_vtkDataObject_SetReleaseDataFlag",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetReleaseDataFlag <- function(){
    res<-.Call("R_vtkDataObject_GetReleaseDataFlag",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseDataFlagOn <- function(){
    res<-.Call("R_vtkDataObject_ReleaseDataFlagOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseDataFlagOff <- function(){
    res<-.Call("R_vtkDataObject_ReleaseDataFlagOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGlobalReleaseDataFlag <- function( .val){
    res<-.Call("R_vtkDataObject_SetGlobalReleaseDataFlag",.me$obj, .val,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GlobalReleaseDataFlagOn <- function(){
    res<-.Call("R_vtkDataObject_GlobalReleaseDataFlagOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GlobalReleaseDataFlagOff <- function(){
    res<-.Call("R_vtkDataObject_GlobalReleaseDataFlagOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGlobalReleaseDataFlag <- function(){
    res<-.Call("R_vtkDataObject_GetGlobalReleaseDataFlag",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFieldData <- function( ._arg=vtkFieldData()){
    check.VTK(._arg,"vtkFieldData")
    res<-.Call("R_vtkDataObject_SetFieldData",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkFieldData(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFieldData <- function(){
    res<-.Call("R_vtkDataObject_GetFieldData",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkFieldData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UnRegister <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkDataObject_UnRegister",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNetReferenceCount <- function(){
    res<-.Call("R_vtkDataObject_GetNetReferenceCount",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Update <- function(){
    res<-.Call("R_vtkDataObject_Update",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UpdateInformation <- function(){
    res<-.Call("R_vtkDataObject_UpdateInformation",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PropagateUpdateExtent <- function(){
    res<-.Call("R_vtkDataObject_PropagateUpdateExtent",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TriggerAsynchronousUpdate <- function(){
    res<-.Call("R_vtkDataObject_TriggerAsynchronousUpdate",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UpdateData <- function(){
    res<-.Call("R_vtkDataObject_UpdateData",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEstimatedMemorySize <- function(){
    res<-.Call("R_vtkDataObject_GetEstimatedMemorySize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateExtent <- function( .piece, .numPieces){
    res<-.Call("R_vtkDataObject_SetUpdateExtent",.me$obj, .piece, .numPieces,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateExtent_v1 <- function( .x1, .x2, .y1, .y2, .z1, .z2){
    res<-.Call("R_vtkDataObject_SetUpdateExtent_v1",.me$obj, .x1, .x2, .y1, .y2, .z1, .z2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateExtent_v2 <- function( .ext=as.integer(rep.int(1,6))){
    res<-.Call("R_vtkDataObject_SetUpdateExtent_v2",.me$obj, .ext,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpdateExtent <- function(){
    res<-.Call("R_vtkDataObject_GetUpdateExtent",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpdateExtent_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1)), ._arg3=as.integer(rep.int(1,1)), ._arg4=as.integer(rep.int(1,1)), ._arg5=as.integer(rep.int(1,1)), ._arg6=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkDataObject_GetUpdateExtent_v1",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpdateExtent_v2 <- function( ._arg){
    res<-.Call("R_vtkDataObject_GetUpdateExtent_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataObjectType <- function(){
    res<-.Call("R_vtkDataObject_GetDataObjectType",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpdateTime <- function(){
    res<-.Call("R_vtkDataObject_GetUpdateTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateExtentToWholeExtent <- function(){
    res<-.Call("R_vtkDataObject_SetUpdateExtentToWholeExtent",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPipelineMTime <- function( .time){
    res<-.Call("R_vtkDataObject_SetPipelineMTime",.me$obj, .time,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPipelineMTime <- function(){
    res<-.Call("R_vtkDataObject_GetPipelineMTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActualMemorySize <- function(){
    res<-.Call("R_vtkDataObject_GetActualMemorySize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyInformation <- function( .data=vtkDataObject()){
    check.VTK(.data,"vtkDataObject")
    res<-.Call("R_vtkDataObject_CopyInformation",.me$obj, .data$obj,PACKAGE="RVTK.Base")
    res$.data <- vtkDataObject(wrapenv(res$.data))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyTypeSpecificInformation <- function( .data=vtkDataObject()){
    check.VTK(.data,"vtkDataObject")
    res<-.Call("R_vtkDataObject_CopyTypeSpecificInformation",.me$obj, .data$obj,PACKAGE="RVTK.Base")
    res$.data <- vtkDataObject(wrapenv(res$.data))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdatePiece <- function( .piece){
    res<-.Call("R_vtkDataObject_SetUpdatePiece",.me$obj, .piece,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateNumberOfPieces <- function( .num){
    res<-.Call("R_vtkDataObject_SetUpdateNumberOfPieces",.me$obj, .num,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpdatePiece <- function(){
    res<-.Call("R_vtkDataObject_GetUpdatePiece",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpdateNumberOfPieces <- function(){
    res<-.Call("R_vtkDataObject_GetUpdateNumberOfPieces",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateGhostLevel <- function( .level){
    res<-.Call("R_vtkDataObject_SetUpdateGhostLevel",.me$obj, .level,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpdateGhostLevel <- function(){
    res<-.Call("R_vtkDataObject_GetUpdateGhostLevel",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRequestExactExtent <- function( .flag){
    res<-.Call("R_vtkDataObject_SetRequestExactExtent",.me$obj, .flag,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRequestExactExtent <- function(){
    res<-.Call("R_vtkDataObject_GetRequestExactExtent",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RequestExactExtentOn <- function(){
    res<-.Call("R_vtkDataObject_RequestExactExtentOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RequestExactExtentOff <- function(){
    res<-.Call("R_vtkDataObject_RequestExactExtentOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWholeExtent <- function( ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6){
    res<-.Call("R_vtkDataObject_SetWholeExtent",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWholeExtent_v1 <- function( ._arg){
    res<-.Call("R_vtkDataObject_SetWholeExtent_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWholeExtent <- function(){
    res<-.Call("R_vtkDataObject_GetWholeExtent",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWholeExtent_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1)), ._arg3=as.integer(rep.int(1,1)), ._arg4=as.integer(rep.int(1,1)), ._arg5=as.integer(rep.int(1,1)), ._arg6=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkDataObject_GetWholeExtent_v1",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWholeExtent_v2 <- function( ._arg){
    res<-.Call("R_vtkDataObject_GetWholeExtent_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumNumberOfPieces <- function( ._arg){
    res<-.Call("R_vtkDataObject_SetMaximumNumberOfPieces",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumNumberOfPieces <- function(){
    res<-.Call("R_vtkDataObject_GetMaximumNumberOfPieces",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DataHasBeenGenerated <- function(){
    res<-.Call("R_vtkDataObject_DataHasBeenGenerated",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PrepareForNewData <- function(){
    res<-.Call("R_vtkDataObject_PrepareForNewData",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .src=vtkDataObject()){
    check.VTK(.src,"vtkDataObject")
    res<-.Call("R_vtkDataObject_ShallowCopy",.me$obj, .src$obj,PACKAGE="RVTK.Base")
    res$.src <- vtkDataObject(wrapenv(res$.src))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .src=vtkDataObject()){
    check.VTK(.src,"vtkDataObject")
    res<-.Call("R_vtkDataObject_DeepCopy",.me$obj, .src$obj,PACKAGE="RVTK.Base")
    res$.src <- vtkDataObject(wrapenv(res$.src))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLocality <- function( ._arg){
    res<-.Call("R_vtkDataObject_SetLocality",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLocality <- function(){
    res<-.Call("R_vtkDataObject_GetLocality",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtentTranslator <- function( .t=vtkExtentTranslator()){
    check.VTK(.t,"vtkExtentTranslator")
    res<-.Call("R_vtkDataObject_SetExtentTranslator",.me$obj, .t$obj,PACKAGE="RVTK.Base")
    res$.t <- vtkExtentTranslator(wrapenv(res$.t))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtentTranslator <- function(){
    res<-.Call("R_vtkDataObject_GetExtentTranslator",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkExtentTranslator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfConsumers <- function(){
    res<-.Call("R_vtkDataObject_GetNumberOfConsumers",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddConsumer <- function( .c=vtkObject()){
    check.VTK(.c,"vtkObject")
    res<-.Call("R_vtkDataObject_AddConsumer",.me$obj, .c$obj,PACKAGE="RVTK.Base")
    res$.c <- vtkObject(wrapenv(res$.c))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveConsumer <- function( .c=vtkObject()){
    check.VTK(.c,"vtkObject")
    res<-.Call("R_vtkDataObject_RemoveConsumer",.me$obj, .c$obj,PACKAGE="RVTK.Base")
    res$.c <- vtkObject(wrapenv(res$.c))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetConsumer <- function( .i){
    res<-.Call("R_vtkDataObject_GetConsumer",.me$obj, .i,PACKAGE="RVTK.Base")
    res$ret.val <- vtkObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsConsumer <- function( .c=vtkObject()){
    check.VTK(.c,"vtkObject")
    res<-.Call("R_vtkDataObject_IsConsumer",.me$obj, .c$obj,PACKAGE="RVTK.Base")
    res$.c <- vtkObject(wrapenv(res$.c))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtentType <- function(){
    res<-.Call("R_vtkDataObject_GetExtentType",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkDataObject_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkDataObject",class(.me))
  return(.me)
}
