vtkDataWriter <- function(.me=environment()){
  .me <- vtkWriter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkDataWriter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkDataWriter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkDataWriter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkDataWriter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataWriter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkDataWriter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataWriter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFileName <- function( ._arg){
    res<-.Call("R_vtkDataWriter_SetFileName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFileName <- function(){
    res<-.Call("R_vtkDataWriter_GetFileName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWriteToOutputString <- function( ._arg){
    res<-.Call("R_vtkDataWriter_SetWriteToOutputString",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWriteToOutputString <- function(){
    res<-.Call("R_vtkDataWriter_GetWriteToOutputString",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WriteToOutputStringOn <- function(){
    res<-.Call("R_vtkDataWriter_WriteToOutputStringOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WriteToOutputStringOff <- function(){
    res<-.Call("R_vtkDataWriter_WriteToOutputStringOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputStringLength <- function(){
    res<-.Call("R_vtkDataWriter_GetOutputStringLength",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputString <- function(){
    res<-.Call("R_vtkDataWriter_GetOutputString",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBinaryOutputString <- function(){
    res<-.Call("R_vtkDataWriter_GetBinaryOutputString",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RegisterAndGetOutputString <- function(){
    res<-.Call("R_vtkDataWriter_RegisterAndGetOutputString",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetHeader <- function( ._arg){
    res<-.Call("R_vtkDataWriter_SetHeader",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHeader <- function(){
    res<-.Call("R_vtkDataWriter_GetHeader",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFileType <- function( ._arg){
    res<-.Call("R_vtkDataWriter_SetFileType",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFileTypeMinValue <- function(){
    res<-.Call("R_vtkDataWriter_GetFileTypeMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFileTypeMaxValue <- function(){
    res<-.Call("R_vtkDataWriter_GetFileTypeMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFileType <- function(){
    res<-.Call("R_vtkDataWriter_GetFileType",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFileTypeToASCII <- function(){
    res<-.Call("R_vtkDataWriter_SetFileTypeToASCII",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFileTypeToBinary <- function(){
    res<-.Call("R_vtkDataWriter_SetFileTypeToBinary",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarsName <- function( ._arg){
    res<-.Call("R_vtkDataWriter_SetScalarsName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarsName <- function(){
    res<-.Call("R_vtkDataWriter_GetScalarsName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorsName <- function( ._arg){
    res<-.Call("R_vtkDataWriter_SetVectorsName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorsName <- function(){
    res<-.Call("R_vtkDataWriter_GetVectorsName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTensorsName <- function( ._arg){
    res<-.Call("R_vtkDataWriter_SetTensorsName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTensorsName <- function(){
    res<-.Call("R_vtkDataWriter_GetTensorsName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNormalsName <- function( ._arg){
    res<-.Call("R_vtkDataWriter_SetNormalsName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormalsName <- function(){
    res<-.Call("R_vtkDataWriter_GetNormalsName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTCoordsName <- function( ._arg){
    res<-.Call("R_vtkDataWriter_SetTCoordsName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTCoordsName <- function(){
    res<-.Call("R_vtkDataWriter_GetTCoordsName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLookupTableName <- function( ._arg){
    res<-.Call("R_vtkDataWriter_SetLookupTableName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLookupTableName <- function(){
    res<-.Call("R_vtkDataWriter_GetLookupTableName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFieldDataName <- function( ._arg){
    res<-.Call("R_vtkDataWriter_SetFieldDataName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFieldDataName <- function(){
    res<-.Call("R_vtkDataWriter_GetFieldDataName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkDataWriter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkDataWriter",class(.me))
  return(.me)
}
