vtkDiskSource <- function(.me=environment()){
  .me <- vtkPolyDataSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkDiskSource_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkDiskSource_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkDiskSource_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkDiskSource_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDiskSource(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkDiskSource_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDiskSource(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInnerRadius <- function( ._arg){
    res<-.Call("R_vtkDiskSource_SetInnerRadius",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInnerRadiusMinValue <- function(){
    res<-.Call("R_vtkDiskSource_GetInnerRadiusMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInnerRadiusMaxValue <- function(){
    res<-.Call("R_vtkDiskSource_GetInnerRadiusMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInnerRadius <- function(){
    res<-.Call("R_vtkDiskSource_GetInnerRadius",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOuterRadius <- function( ._arg){
    res<-.Call("R_vtkDiskSource_SetOuterRadius",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOuterRadiusMinValue <- function(){
    res<-.Call("R_vtkDiskSource_GetOuterRadiusMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOuterRadiusMaxValue <- function(){
    res<-.Call("R_vtkDiskSource_GetOuterRadiusMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOuterRadius <- function(){
    res<-.Call("R_vtkDiskSource_GetOuterRadius",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRadialResolution <- function( ._arg){
    res<-.Call("R_vtkDiskSource_SetRadialResolution",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRadialResolutionMinValue <- function(){
    res<-.Call("R_vtkDiskSource_GetRadialResolutionMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRadialResolutionMaxValue <- function(){
    res<-.Call("R_vtkDiskSource_GetRadialResolutionMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRadialResolution <- function(){
    res<-.Call("R_vtkDiskSource_GetRadialResolution",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCircumferentialResolution <- function( ._arg){
    res<-.Call("R_vtkDiskSource_SetCircumferentialResolution",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCircumferentialResolutionMinValue <- function(){
    res<-.Call("R_vtkDiskSource_GetCircumferentialResolutionMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCircumferentialResolutionMaxValue <- function(){
    res<-.Call("R_vtkDiskSource_GetCircumferentialResolutionMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCircumferentialResolution <- function(){
    res<-.Call("R_vtkDiskSource_GetCircumferentialResolution",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkDiskSource_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkDiskSource",class(.me))
  return(.me)
}
