vtkExtentTranslator <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkExtentTranslator_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkExtentTranslator_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkExtentTranslator_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkExtentTranslator_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkExtentTranslator(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkExtentTranslator_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkExtentTranslator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWholeExtent <- function( ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6){
    res<-.Call("R_vtkExtentTranslator_SetWholeExtent",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWholeExtent_v1 <- function( ._arg){
    res<-.Call("R_vtkExtentTranslator_SetWholeExtent_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWholeExtent <- function(){
    res<-.Call("R_vtkExtentTranslator_GetWholeExtent",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWholeExtent_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1)), ._arg3=as.integer(rep.int(1,1)), ._arg4=as.integer(rep.int(1,1)), ._arg5=as.integer(rep.int(1,1)), ._arg6=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkExtentTranslator_GetWholeExtent_v1",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWholeExtent_v2 <- function( ._arg){
    res<-.Call("R_vtkExtentTranslator_GetWholeExtent_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtent <- function( ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6){
    res<-.Call("R_vtkExtentTranslator_SetExtent",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtent_v1 <- function( ._arg){
    res<-.Call("R_vtkExtentTranslator_SetExtent_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtent <- function(){
    res<-.Call("R_vtkExtentTranslator_GetExtent",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtent_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1)), ._arg3=as.integer(rep.int(1,1)), ._arg4=as.integer(rep.int(1,1)), ._arg5=as.integer(rep.int(1,1)), ._arg6=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkExtentTranslator_GetExtent_v1",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtent_v2 <- function( ._arg){
    res<-.Call("R_vtkExtentTranslator_GetExtent_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPiece <- function( ._arg){
    res<-.Call("R_vtkExtentTranslator_SetPiece",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPiece <- function(){
    res<-.Call("R_vtkExtentTranslator_GetPiece",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfPieces <- function( ._arg){
    res<-.Call("R_vtkExtentTranslator_SetNumberOfPieces",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfPieces <- function(){
    res<-.Call("R_vtkExtentTranslator_GetNumberOfPieces",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGhostLevel <- function( ._arg){
    res<-.Call("R_vtkExtentTranslator_SetGhostLevel",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGhostLevel <- function(){
    res<-.Call("R_vtkExtentTranslator_GetGhostLevel",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PieceToExtent <- function(){
    res<-.Call("R_vtkExtentTranslator_PieceToExtent",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PieceToExtentByPoints <- function(){
    res<-.Call("R_vtkExtentTranslator_PieceToExtentByPoints",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PieceToExtentThreadSafe <- function( .piece, .numPieces, .ghostLevel, .wholeExtent, .resultExtent, .splitMode, .byPoints){
    res<-.Call("R_vtkExtentTranslator_PieceToExtentThreadSafe",.me$obj, .piece, .numPieces, .ghostLevel, .wholeExtent, .resultExtent, .splitMode, .byPoints,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSplitModeToBlock <- function(){
    res<-.Call("R_vtkExtentTranslator_SetSplitModeToBlock",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSplitModeToXSlab <- function(){
    res<-.Call("R_vtkExtentTranslator_SetSplitModeToXSlab",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSplitModeToYSlab <- function(){
    res<-.Call("R_vtkExtentTranslator_SetSplitModeToYSlab",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSplitModeToZSlab <- function(){
    res<-.Call("R_vtkExtentTranslator_SetSplitModeToZSlab",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSplitMode <- function(){
    res<-.Call("R_vtkExtentTranslator_GetSplitMode",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkExtentTranslator_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkExtentTranslator",class(.me))
  return(.me)
}
