vtkExtractTensorComponents <- function(.me=environment()){
  .me <- vtkDataSetToDataSetFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkExtractTensorComponents_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkExtractTensorComponents_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkExtractTensorComponents_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkExtractTensorComponents_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkExtractTensorComponents(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkExtractTensorComponents_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkExtractTensorComponents(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPassTensorsToOutput <- function( ._arg){
    res<-.Call("R_vtkExtractTensorComponents_SetPassTensorsToOutput",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPassTensorsToOutput <- function(){
    res<-.Call("R_vtkExtractTensorComponents_GetPassTensorsToOutput",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PassTensorsToOutputOn <- function(){
    res<-.Call("R_vtkExtractTensorComponents_PassTensorsToOutputOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PassTensorsToOutputOff <- function(){
    res<-.Call("R_vtkExtractTensorComponents_PassTensorsToOutputOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtractScalars <- function( ._arg){
    res<-.Call("R_vtkExtractTensorComponents_SetExtractScalars",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtractScalars <- function(){
    res<-.Call("R_vtkExtractTensorComponents_GetExtractScalars",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtractScalarsOn <- function(){
    res<-.Call("R_vtkExtractTensorComponents_ExtractScalarsOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtractScalarsOff <- function(){
    res<-.Call("R_vtkExtractTensorComponents_ExtractScalarsOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarComponents <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkExtractTensorComponents_SetScalarComponents",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarComponents_v1 <- function( ._arg){
    res<-.Call("R_vtkExtractTensorComponents_SetScalarComponents_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarComponents <- function(){
    res<-.Call("R_vtkExtractTensorComponents_GetScalarComponents",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarComponents_v1 <- function( .data){
    res<-.Call("R_vtkExtractTensorComponents_GetScalarComponents_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarMode <- function( ._arg){
    res<-.Call("R_vtkExtractTensorComponents_SetScalarMode",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarMode <- function(){
    res<-.Call("R_vtkExtractTensorComponents_GetScalarMode",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarModeToComponent <- function(){
    res<-.Call("R_vtkExtractTensorComponents_SetScalarModeToComponent",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarModeToEffectiveStress <- function(){
    res<-.Call("R_vtkExtractTensorComponents_SetScalarModeToEffectiveStress",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarModeToDeterminant <- function(){
    res<-.Call("R_vtkExtractTensorComponents_SetScalarModeToDeterminant",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScalarIsComponent <- function(){
    res<-.Call("R_vtkExtractTensorComponents_ScalarIsComponent",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScalarIsEffectiveStress <- function(){
    res<-.Call("R_vtkExtractTensorComponents_ScalarIsEffectiveStress",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScalarIsDeterminant <- function(){
    res<-.Call("R_vtkExtractTensorComponents_ScalarIsDeterminant",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtractVectors <- function( ._arg){
    res<-.Call("R_vtkExtractTensorComponents_SetExtractVectors",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtractVectors <- function(){
    res<-.Call("R_vtkExtractTensorComponents_GetExtractVectors",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtractVectorsOn <- function(){
    res<-.Call("R_vtkExtractTensorComponents_ExtractVectorsOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtractVectorsOff <- function(){
    res<-.Call("R_vtkExtractTensorComponents_ExtractVectorsOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorComponents <- function( ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6){
    res<-.Call("R_vtkExtractTensorComponents_SetVectorComponents",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorComponents_v1 <- function( ._arg){
    res<-.Call("R_vtkExtractTensorComponents_SetVectorComponents_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorComponents <- function(){
    res<-.Call("R_vtkExtractTensorComponents_GetVectorComponents",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorComponents_v1 <- function( .data){
    res<-.Call("R_vtkExtractTensorComponents_GetVectorComponents_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtractNormals <- function( ._arg){
    res<-.Call("R_vtkExtractTensorComponents_SetExtractNormals",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtractNormals <- function(){
    res<-.Call("R_vtkExtractTensorComponents_GetExtractNormals",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtractNormalsOn <- function(){
    res<-.Call("R_vtkExtractTensorComponents_ExtractNormalsOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtractNormalsOff <- function(){
    res<-.Call("R_vtkExtractTensorComponents_ExtractNormalsOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNormalizeNormals <- function( ._arg){
    res<-.Call("R_vtkExtractTensorComponents_SetNormalizeNormals",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormalizeNormals <- function(){
    res<-.Call("R_vtkExtractTensorComponents_GetNormalizeNormals",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NormalizeNormalsOn <- function(){
    res<-.Call("R_vtkExtractTensorComponents_NormalizeNormalsOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NormalizeNormalsOff <- function(){
    res<-.Call("R_vtkExtractTensorComponents_NormalizeNormalsOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNormalComponents <- function( ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6){
    res<-.Call("R_vtkExtractTensorComponents_SetNormalComponents",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNormalComponents_v1 <- function( ._arg){
    res<-.Call("R_vtkExtractTensorComponents_SetNormalComponents_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormalComponents <- function(){
    res<-.Call("R_vtkExtractTensorComponents_GetNormalComponents",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormalComponents_v1 <- function( .data){
    res<-.Call("R_vtkExtractTensorComponents_GetNormalComponents_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtractTCoords <- function( ._arg){
    res<-.Call("R_vtkExtractTensorComponents_SetExtractTCoords",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtractTCoords <- function(){
    res<-.Call("R_vtkExtractTensorComponents_GetExtractTCoords",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtractTCoordsOn <- function(){
    res<-.Call("R_vtkExtractTensorComponents_ExtractTCoordsOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtractTCoordsOff <- function(){
    res<-.Call("R_vtkExtractTensorComponents_ExtractTCoordsOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfTCoords <- function( ._arg){
    res<-.Call("R_vtkExtractTensorComponents_SetNumberOfTCoords",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfTCoordsMinValue <- function(){
    res<-.Call("R_vtkExtractTensorComponents_GetNumberOfTCoordsMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfTCoordsMaxValue <- function(){
    res<-.Call("R_vtkExtractTensorComponents_GetNumberOfTCoordsMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfTCoords <- function(){
    res<-.Call("R_vtkExtractTensorComponents_GetNumberOfTCoords",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTCoordComponents <- function( ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6){
    res<-.Call("R_vtkExtractTensorComponents_SetTCoordComponents",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTCoordComponents_v1 <- function( ._arg){
    res<-.Call("R_vtkExtractTensorComponents_SetTCoordComponents_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTCoordComponents <- function(){
    res<-.Call("R_vtkExtractTensorComponents_GetTCoordComponents",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTCoordComponents_v1 <- function( .data){
    res<-.Call("R_vtkExtractTensorComponents_GetTCoordComponents_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkExtractTensorComponents_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkExtractTensorComponents",class(.me))
  return(.me)
}
