vtkFunctionParser <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkFunctionParser_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkFunctionParser_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkFunctionParser_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkFunctionParser_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkFunctionParser(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkFunctionParser_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkFunctionParser(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFunction <- function( .function){
    res<-.Call("R_vtkFunctionParser_SetFunction",.me$obj, .function,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFunction <- function(){
    res<-.Call("R_vtkFunctionParser_GetFunction",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsScalarResult <- function(){
    res<-.Call("R_vtkFunctionParser_IsScalarResult",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsVectorResult <- function(){
    res<-.Call("R_vtkFunctionParser_IsVectorResult",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarResult <- function(){
    res<-.Call("R_vtkFunctionParser_GetScalarResult",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorResult <- function(){
    res<-.Call("R_vtkFunctionParser_GetVectorResult",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorResult_v1 <- function( .result=as.double(rep.int(1,3))){
    res<-.Call("R_vtkFunctionParser_GetVectorResult_v1",.me$obj, .result,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarVariableValue <- function( .inVariableName, .value){
    res<-.Call("R_vtkFunctionParser_SetScalarVariableValue",.me$obj, .inVariableName, .value,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarVariableValue_v1 <- function( .i, .value){
    res<-.Call("R_vtkFunctionParser_SetScalarVariableValue_v1",.me$obj, .i, .value,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarVariableValue <- function( .inVariableName){
    res<-.Call("R_vtkFunctionParser_GetScalarVariableValue",.me$obj, .inVariableName,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarVariableValue_v1 <- function( .i){
    res<-.Call("R_vtkFunctionParser_GetScalarVariableValue_v1",.me$obj, .i,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorVariableValue <- function( .inVariableName, .xValue, .yValue, .zValue){
    res<-.Call("R_vtkFunctionParser_SetVectorVariableValue",.me$obj, .inVariableName, .xValue, .yValue, .zValue,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorVariableValue_v1 <- function( .variableName, .values){
    res<-.Call("R_vtkFunctionParser_SetVectorVariableValue_v1",.me$obj, .variableName, .values,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorVariableValue_v2 <- function( .i, .xValue, .yValue, .zValue){
    res<-.Call("R_vtkFunctionParser_SetVectorVariableValue_v2",.me$obj, .i, .xValue, .yValue, .zValue,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorVariableValue_v3 <- function( .i, .values){
    res<-.Call("R_vtkFunctionParser_SetVectorVariableValue_v3",.me$obj, .i, .values,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorVariableValue <- function( .inVariableName){
    res<-.Call("R_vtkFunctionParser_GetVectorVariableValue",.me$obj, .inVariableName,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorVariableValue_v1 <- function( .variableName, .value=as.double(rep.int(1,3))){
    res<-.Call("R_vtkFunctionParser_GetVectorVariableValue_v1",.me$obj, .variableName, .value,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorVariableValue_v2 <- function( .i){
    res<-.Call("R_vtkFunctionParser_GetVectorVariableValue_v2",.me$obj, .i,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorVariableValue_v3 <- function( .i, .value=as.double(rep.int(1,3))){
    res<-.Call("R_vtkFunctionParser_GetVectorVariableValue_v3",.me$obj, .i, .value,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfScalarVariables <- function(){
    res<-.Call("R_vtkFunctionParser_GetNumberOfScalarVariables",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfVectorVariables <- function(){
    res<-.Call("R_vtkFunctionParser_GetNumberOfVectorVariables",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarVariableName <- function( .i){
    res<-.Call("R_vtkFunctionParser_GetScalarVariableName",.me$obj, .i,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorVariableName <- function( .i){
    res<-.Call("R_vtkFunctionParser_GetVectorVariableName",.me$obj, .i,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveAllVariables <- function(){
    res<-.Call("R_vtkFunctionParser_RemoveAllVariables",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkFunctionParser_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkFunctionParser",class(.me))
  return(.me)
}
