vtkGaussianCubeReader <- function(.me=environment()){
  .me <- vtkMoleculeReaderBase(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkGaussianCubeReader_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkGaussianCubeReader_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkGaussianCubeReader_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkGaussianCubeReader_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkGaussianCubeReader(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkGaussianCubeReader_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkGaussianCubeReader(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTransform <- function(){
    res<-.Call("R_vtkGaussianCubeReader_GetTransform",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFileName <- function( ._arg){
    res<-.Call("R_vtkGaussianCubeReader_SetFileName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFileName <- function(){
    res<-.Call("R_vtkGaussianCubeReader_GetFileName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGridOutput <- function(){
    res<-.Call("R_vtkGaussianCubeReader_GetGridOutput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkGaussianCubeReader_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkGaussianCubeReader",class(.me))
  return(.me)
}
