vtkGaussianSplatter <- function(.me=environment()){
  .me <- vtkDataSetToImageFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkGaussianSplatter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkGaussianSplatter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkGaussianSplatter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkGaussianSplatter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkGaussianSplatter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkGaussianSplatter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkGaussianSplatter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSampleDimensions <- function( .i, .j, .k){
    res<-.Call("R_vtkGaussianSplatter_SetSampleDimensions",.me$obj, .i, .j, .k,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSampleDimensions_v1 <- function( .dim=as.integer(rep.int(1,3))){
    res<-.Call("R_vtkGaussianSplatter_SetSampleDimensions_v1",.me$obj, .dim,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSampleDimensions <- function(){
    res<-.Call("R_vtkGaussianSplatter_GetSampleDimensions",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSampleDimensions_v1 <- function( .data){
    res<-.Call("R_vtkGaussianSplatter_GetSampleDimensions_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetModelBounds <- function( ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6){
    res<-.Call("R_vtkGaussianSplatter_SetModelBounds",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetModelBounds_v1 <- function( ._arg){
    res<-.Call("R_vtkGaussianSplatter_SetModelBounds_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetModelBounds <- function(){
    res<-.Call("R_vtkGaussianSplatter_GetModelBounds",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetModelBounds_v1 <- function( .data){
    res<-.Call("R_vtkGaussianSplatter_GetModelBounds_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRadius <- function( ._arg){
    res<-.Call("R_vtkGaussianSplatter_SetRadius",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRadiusMinValue <- function(){
    res<-.Call("R_vtkGaussianSplatter_GetRadiusMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRadiusMaxValue <- function(){
    res<-.Call("R_vtkGaussianSplatter_GetRadiusMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRadius <- function(){
    res<-.Call("R_vtkGaussianSplatter_GetRadius",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScaleFactor <- function( ._arg){
    res<-.Call("R_vtkGaussianSplatter_SetScaleFactor",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScaleFactorMinValue <- function(){
    res<-.Call("R_vtkGaussianSplatter_GetScaleFactorMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScaleFactorMaxValue <- function(){
    res<-.Call("R_vtkGaussianSplatter_GetScaleFactorMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScaleFactor <- function(){
    res<-.Call("R_vtkGaussianSplatter_GetScaleFactor",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExponentFactor <- function( ._arg){
    res<-.Call("R_vtkGaussianSplatter_SetExponentFactor",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExponentFactor <- function(){
    res<-.Call("R_vtkGaussianSplatter_GetExponentFactor",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNormalWarping <- function( ._arg){
    res<-.Call("R_vtkGaussianSplatter_SetNormalWarping",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormalWarping <- function(){
    res<-.Call("R_vtkGaussianSplatter_GetNormalWarping",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NormalWarpingOn <- function(){
    res<-.Call("R_vtkGaussianSplatter_NormalWarpingOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NormalWarpingOff <- function(){
    res<-.Call("R_vtkGaussianSplatter_NormalWarpingOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEccentricity <- function( ._arg){
    res<-.Call("R_vtkGaussianSplatter_SetEccentricity",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEccentricityMinValue <- function(){
    res<-.Call("R_vtkGaussianSplatter_GetEccentricityMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEccentricityMaxValue <- function(){
    res<-.Call("R_vtkGaussianSplatter_GetEccentricityMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEccentricity <- function(){
    res<-.Call("R_vtkGaussianSplatter_GetEccentricity",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarWarping <- function( ._arg){
    res<-.Call("R_vtkGaussianSplatter_SetScalarWarping",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarWarping <- function(){
    res<-.Call("R_vtkGaussianSplatter_GetScalarWarping",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScalarWarpingOn <- function(){
    res<-.Call("R_vtkGaussianSplatter_ScalarWarpingOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScalarWarpingOff <- function(){
    res<-.Call("R_vtkGaussianSplatter_ScalarWarpingOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCapping <- function( ._arg){
    res<-.Call("R_vtkGaussianSplatter_SetCapping",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCapping <- function(){
    res<-.Call("R_vtkGaussianSplatter_GetCapping",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CappingOn <- function(){
    res<-.Call("R_vtkGaussianSplatter_CappingOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CappingOff <- function(){
    res<-.Call("R_vtkGaussianSplatter_CappingOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCapValue <- function( ._arg){
    res<-.Call("R_vtkGaussianSplatter_SetCapValue",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCapValue <- function(){
    res<-.Call("R_vtkGaussianSplatter_GetCapValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAccumulationMode <- function( ._arg){
    res<-.Call("R_vtkGaussianSplatter_SetAccumulationMode",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAccumulationModeMinValue <- function(){
    res<-.Call("R_vtkGaussianSplatter_GetAccumulationModeMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAccumulationModeMaxValue <- function(){
    res<-.Call("R_vtkGaussianSplatter_GetAccumulationModeMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAccumulationMode <- function(){
    res<-.Call("R_vtkGaussianSplatter_GetAccumulationMode",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAccumulationModeToMin <- function(){
    res<-.Call("R_vtkGaussianSplatter_SetAccumulationModeToMin",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAccumulationModeToMax <- function(){
    res<-.Call("R_vtkGaussianSplatter_SetAccumulationModeToMax",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAccumulationModeToSum <- function(){
    res<-.Call("R_vtkGaussianSplatter_SetAccumulationModeToSum",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAccumulationModeAsString <- function(){
    res<-.Call("R_vtkGaussianSplatter_GetAccumulationModeAsString",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNullValue <- function( ._arg){
    res<-.Call("R_vtkGaussianSplatter_SetNullValue",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNullValue <- function(){
    res<-.Call("R_vtkGaussianSplatter_GetNullValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeModelBounds <- function(){
    res<-.Call("R_vtkGaussianSplatter_ComputeModelBounds",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkGaussianSplatter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkGaussianSplatter",class(.me))
  return(.me)
}
