vtkGeneralTransform <- function(.me=environment()){
  .me <- vtkAbstractTransform(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkGeneralTransform_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkGeneralTransform_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkGeneralTransform_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkGeneralTransform_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkGeneralTransform(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkGeneralTransform_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkGeneralTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Identity <- function(){
    res<-.Call("R_vtkGeneralTransform_Identity",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Inverse <- function(){
    res<-.Call("R_vtkGeneralTransform_Inverse",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Translate <- function( .x, .y, .z){
    res<-.Call("R_vtkGeneralTransform_Translate",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Translate_v1 <- function( .x){
    res<-.Call("R_vtkGeneralTransform_Translate_v1",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Translate_v2 <- function( .x){
    res<-.Call("R_vtkGeneralTransform_Translate_v2",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotateWXYZ <- function( .angle, .x, .y, .z){
    res<-.Call("R_vtkGeneralTransform_RotateWXYZ",.me$obj, .angle, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotateWXYZ_v1 <- function( .angle, .axis){
    res<-.Call("R_vtkGeneralTransform_RotateWXYZ_v1",.me$obj, .angle, .axis,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotateWXYZ_v2 <- function( .angle, .axis){
    res<-.Call("R_vtkGeneralTransform_RotateWXYZ_v2",.me$obj, .angle, .axis,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotateX <- function( .angle){
    res<-.Call("R_vtkGeneralTransform_RotateX",.me$obj, .angle,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotateY <- function( .angle){
    res<-.Call("R_vtkGeneralTransform_RotateY",.me$obj, .angle,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotateZ <- function( .angle){
    res<-.Call("R_vtkGeneralTransform_RotateZ",.me$obj, .angle,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Scale <- function( .x, .y, .z){
    res<-.Call("R_vtkGeneralTransform_Scale",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Scale_v1 <- function( .s){
    res<-.Call("R_vtkGeneralTransform_Scale_v1",.me$obj, .s,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Scale_v2 <- function( .s){
    res<-.Call("R_vtkGeneralTransform_Scale_v2",.me$obj, .s,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Concatenate <- function( .matrix=vtkMatrix4x4()){
    check.VTK(.matrix,"vtkMatrix4x4")
    res<-.Call("R_vtkGeneralTransform_Concatenate",.me$obj, .matrix$obj,PACKAGE="RVTK.Base")
    res$.matrix <- vtkMatrix4x4(wrapenv(res$.matrix))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Concatenate_v1 <- function( .elements){
    res<-.Call("R_vtkGeneralTransform_Concatenate_v1",.me$obj, .elements,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Concatenate_v2 <- function( .transform=vtkAbstractTransform()){
    check.VTK(.transform,"vtkAbstractTransform")
    res<-.Call("R_vtkGeneralTransform_Concatenate_v2",.me$obj, .transform$obj,PACKAGE="RVTK.Base")
    res$.transform <- vtkAbstractTransform(wrapenv(res$.transform))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PreMultiply <- function(){
    res<-.Call("R_vtkGeneralTransform_PreMultiply",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PostMultiply <- function(){
    res<-.Call("R_vtkGeneralTransform_PostMultiply",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfConcatenatedTransforms <- function(){
    res<-.Call("R_vtkGeneralTransform_GetNumberOfConcatenatedTransforms",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetConcatenatedTransform <- function( .i){
    res<-.Call("R_vtkGeneralTransform_GetConcatenatedTransform",.me$obj, .i,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAbstractTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkAbstractTransform()){
    check.VTK(.input,"vtkAbstractTransform")
    res<-.Call("R_vtkGeneralTransform_SetInput",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkAbstractTransform(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkGeneralTransform_GetInput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAbstractTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInverseFlag <- function(){
    res<-.Call("R_vtkGeneralTransform_GetInverseFlag",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Push <- function(){
    res<-.Call("R_vtkGeneralTransform_Push",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Pop <- function(){
    res<-.Call("R_vtkGeneralTransform_Pop",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InternalTransformPoint <- function( .input, .output=as.single(rep.int(1,3))){
    res<-.Call("R_vtkGeneralTransform_InternalTransformPoint",.me$obj, .input, .output,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InternalTransformPoint_v1 <- function( .input, .output=as.double(rep.int(1,3))){
    res<-.Call("R_vtkGeneralTransform_InternalTransformPoint_v1",.me$obj, .input, .output,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CircuitCheck <- function( .transform=vtkAbstractTransform()){
    check.VTK(.transform,"vtkAbstractTransform")
    res<-.Call("R_vtkGeneralTransform_CircuitCheck",.me$obj, .transform$obj,PACKAGE="RVTK.Base")
    res$.transform <- vtkAbstractTransform(wrapenv(res$.transform))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MakeTransform <- function(){
    res<-.Call("R_vtkGeneralTransform_MakeTransform",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAbstractTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkGeneralTransform_GetMTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkGeneralTransform_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkGeneralTransform",class(.me))
  return(.me)
}
