vtkGenericCell <- function(.me=environment()){
  .me <- vtkCell(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkGenericCell_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkGenericCell_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkGenericCell_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkGenericCell_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkGenericCell(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkGenericCell_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkGenericCell(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .c=vtkCell()){
    check.VTK(.c,"vtkCell")
    res<-.Call("R_vtkGenericCell_ShallowCopy",.me$obj, .c$obj,PACKAGE="RVTK.Base")
    res$.c <- vtkCell(wrapenv(res$.c))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .c=vtkCell()){
    check.VTK(.c,"vtkCell")
    res<-.Call("R_vtkGenericCell_DeepCopy",.me$obj, .c$obj,PACKAGE="RVTK.Base")
    res$.c <- vtkCell(wrapenv(res$.c))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellType <- function(){
    res<-.Call("R_vtkGenericCell_GetCellType",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellDimension <- function(){
    res<-.Call("R_vtkGenericCell_GetCellDimension",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsLinear <- function(){
    res<-.Call("R_vtkGenericCell_IsLinear",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RequiresInitialization <- function(){
    res<-.Call("R_vtkGenericCell_RequiresInitialization",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkGenericCell_Initialize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfEdges <- function(){
    res<-.Call("R_vtkGenericCell_GetNumberOfEdges",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfFaces <- function(){
    res<-.Call("R_vtkGenericCell_GetNumberOfFaces",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEdge <- function( .edgeId){
    res<-.Call("R_vtkGenericCell_GetEdge",.me$obj, .edgeId,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCell(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFace <- function( .faceId){
    res<-.Call("R_vtkGenericCell_GetFace",.me$obj, .faceId,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCell(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CellBoundary <- function( .subId, .pcoords=as.double(rep.int(1,3)), .pts=vtkIdList()){
    check.VTK(.pts,"vtkIdList")
    res<-.Call("R_vtkGenericCell_CellBoundary",.me$obj, .subId, .pcoords, .pts$obj,PACKAGE="RVTK.Base")
    res$.pts <- vtkIdList(wrapenv(res$.pts))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluatePosition <- function( .x=as.double(rep.int(1,3)), .closestPoint=as.double(rep.int(1,3)), .subId=as.integer(rep.int(1,1)), .pcoords=as.double(rep.int(1,3)), .dist2=as.double(rep.int(1,1)), .weights){
    res<-.Call("R_vtkGenericCell_EvaluatePosition",.me$obj, .x, .closestPoint, .subId, .pcoords, .dist2, .weights,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluateLocation <- function( .subId=as.integer(rep.int(1,1)), .pcoords=as.double(rep.int(1,3)), .x=as.double(rep.int(1,3)), .weights){
    res<-.Call("R_vtkGenericCell_EvaluateLocation",.me$obj, .subId, .pcoords, .x, .weights,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Contour <- function( .value, .cellScalars=vtkDataArray(), .locator=vtkPointLocator(), .verts=vtkCellArray(), .lines=vtkCellArray(), .polys=vtkCellArray(), .inPd=vtkPointData(), .outPd=vtkPointData(), .inCd=vtkCellData(), .cellId, .outCd=vtkCellData()){
    check.VTK(.cellScalars,"vtkDataArray")
    check.VTK(.locator,"vtkPointLocator")
    check.VTK(.verts,"vtkCellArray")
    check.VTK(.lines,"vtkCellArray")
    check.VTK(.polys,"vtkCellArray")
    check.VTK(.inPd,"vtkPointData")
    check.VTK(.outPd,"vtkPointData")
    check.VTK(.inCd,"vtkCellData")
    check.VTK(.outCd,"vtkCellData")
    res<-.Call("R_vtkGenericCell_Contour",.me$obj, .value, .cellScalars$obj, .locator$obj, .verts$obj, .lines$obj, .polys$obj, .inPd$obj, .outPd$obj, .inCd$obj, .cellId, .outCd$obj,PACKAGE="RVTK.Base")
    res$.cellScalars <- vtkDataArray(wrapenv(res$.cellScalars))
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    res$.verts <- vtkCellArray(wrapenv(res$.verts))
    res$.lines <- vtkCellArray(wrapenv(res$.lines))
    res$.polys <- vtkCellArray(wrapenv(res$.polys))
    res$.inPd <- vtkPointData(wrapenv(res$.inPd))
    res$.outPd <- vtkPointData(wrapenv(res$.outPd))
    res$.inCd <- vtkCellData(wrapenv(res$.inCd))
    res$.outCd <- vtkCellData(wrapenv(res$.outCd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Clip <- function( .value, .cellScalars=vtkDataArray(), .locator=vtkPointLocator(), .connectivity=vtkCellArray(), .inPd=vtkPointData(), .outPd=vtkPointData(), .inCd=vtkCellData(), .cellId, .outCd=vtkCellData(), .insideOut){
    check.VTK(.cellScalars,"vtkDataArray")
    check.VTK(.locator,"vtkPointLocator")
    check.VTK(.connectivity,"vtkCellArray")
    check.VTK(.inPd,"vtkPointData")
    check.VTK(.outPd,"vtkPointData")
    check.VTK(.inCd,"vtkCellData")
    check.VTK(.outCd,"vtkCellData")
    res<-.Call("R_vtkGenericCell_Clip",.me$obj, .value, .cellScalars$obj, .locator$obj, .connectivity$obj, .inPd$obj, .outPd$obj, .inCd$obj, .cellId, .outCd$obj, .insideOut,PACKAGE="RVTK.Base")
    res$.cellScalars <- vtkDataArray(wrapenv(res$.cellScalars))
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    res$.connectivity <- vtkCellArray(wrapenv(res$.connectivity))
    res$.inPd <- vtkPointData(wrapenv(res$.inPd))
    res$.outPd <- vtkPointData(wrapenv(res$.outPd))
    res$.inCd <- vtkCellData(wrapenv(res$.inCd))
    res$.outCd <- vtkCellData(wrapenv(res$.outCd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectWithLine <- function( .p1=as.double(rep.int(1,3)), .p2=as.double(rep.int(1,3)), .tol, .t=as.double(rep.int(1,1)), .x=as.double(rep.int(1,3)), .pcoords=as.double(rep.int(1,3)), .subId=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkGenericCell_IntersectWithLine",.me$obj, .p1, .p2, .tol, .t, .x, .pcoords, .subId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Triangulate <- function( .index, .ptIds=vtkIdList(), .pts=vtkPoints()){
    check.VTK(.ptIds,"vtkIdList")
    check.VTK(.pts,"vtkPoints")
    res<-.Call("R_vtkGenericCell_Triangulate",.me$obj, .index, .ptIds$obj, .pts$obj,PACKAGE="RVTK.Base")
    res$.ptIds <- vtkIdList(wrapenv(res$.ptIds))
    res$.pts <- vtkPoints(wrapenv(res$.pts))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Derivatives <- function( .subId, .pcoords=as.double(rep.int(1,3)), .values, .dim, .derivs){
    res<-.Call("R_vtkGenericCell_Derivatives",.me$obj, .subId, .pcoords, .values, .dim, .derivs,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParametricCenter <- function( .pcoords=as.double(rep.int(1,3))){
    res<-.Call("R_vtkGenericCell_GetParametricCenter",.me$obj, .pcoords,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParametricCoords <- function(){
    res<-.Call("R_vtkGenericCell_GetParametricCoords",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsPrimaryCell <- function(){
    res<-.Call("R_vtkGenericCell_IsPrimaryCell",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellType <- function( .cellType){
    res<-.Call("R_vtkGenericCell_SetCellType",.me$obj, .cellType,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeToEmptyCell <- function(){
    res<-.Call("R_vtkGenericCell_SetCellTypeToEmptyCell",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeToVertex <- function(){
    res<-.Call("R_vtkGenericCell_SetCellTypeToVertex",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeToPolyVertex <- function(){
    res<-.Call("R_vtkGenericCell_SetCellTypeToPolyVertex",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeToLine <- function(){
    res<-.Call("R_vtkGenericCell_SetCellTypeToLine",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeToPolyLine <- function(){
    res<-.Call("R_vtkGenericCell_SetCellTypeToPolyLine",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeToTriangle <- function(){
    res<-.Call("R_vtkGenericCell_SetCellTypeToTriangle",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeToTriangleStrip <- function(){
    res<-.Call("R_vtkGenericCell_SetCellTypeToTriangleStrip",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeToPolygon <- function(){
    res<-.Call("R_vtkGenericCell_SetCellTypeToPolygon",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeToPixel <- function(){
    res<-.Call("R_vtkGenericCell_SetCellTypeToPixel",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeToQuad <- function(){
    res<-.Call("R_vtkGenericCell_SetCellTypeToQuad",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeToTetra <- function(){
    res<-.Call("R_vtkGenericCell_SetCellTypeToTetra",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeToVoxel <- function(){
    res<-.Call("R_vtkGenericCell_SetCellTypeToVoxel",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeToHexahedron <- function(){
    res<-.Call("R_vtkGenericCell_SetCellTypeToHexahedron",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeToWedge <- function(){
    res<-.Call("R_vtkGenericCell_SetCellTypeToWedge",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeToPyramid <- function(){
    res<-.Call("R_vtkGenericCell_SetCellTypeToPyramid",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeToConvexPointSet <- function(){
    res<-.Call("R_vtkGenericCell_SetCellTypeToConvexPointSet",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeToQuadraticEdge <- function(){
    res<-.Call("R_vtkGenericCell_SetCellTypeToQuadraticEdge",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeToQuadraticTriangle <- function(){
    res<-.Call("R_vtkGenericCell_SetCellTypeToQuadraticTriangle",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeToQuadraticQuad <- function(){
    res<-.Call("R_vtkGenericCell_SetCellTypeToQuadraticQuad",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeToQuadraticTetra <- function(){
    res<-.Call("R_vtkGenericCell_SetCellTypeToQuadraticTetra",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeToQuadraticHexahedron <- function(){
    res<-.Call("R_vtkGenericCell_SetCellTypeToQuadraticHexahedron",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkGenericCell_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkGenericCell",class(.me))
  return(.me)
}
