vtkGeometryFilter <- function(.me=environment()){
  .me <- vtkDataSetToPolyDataFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkGeometryFilter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkGeometryFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkGeometryFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkGeometryFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkGeometryFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkGeometryFilter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkGeometryFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPointClipping <- function( ._arg){
    res<-.Call("R_vtkGeometryFilter_SetPointClipping",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointClipping <- function(){
    res<-.Call("R_vtkGeometryFilter_GetPointClipping",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PointClippingOn <- function(){
    res<-.Call("R_vtkGeometryFilter_PointClippingOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PointClippingOff <- function(){
    res<-.Call("R_vtkGeometryFilter_PointClippingOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellClipping <- function( ._arg){
    res<-.Call("R_vtkGeometryFilter_SetCellClipping",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellClipping <- function(){
    res<-.Call("R_vtkGeometryFilter_GetCellClipping",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CellClippingOn <- function(){
    res<-.Call("R_vtkGeometryFilter_CellClippingOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CellClippingOff <- function(){
    res<-.Call("R_vtkGeometryFilter_CellClippingOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtentClipping <- function( ._arg){
    res<-.Call("R_vtkGeometryFilter_SetExtentClipping",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtentClipping <- function(){
    res<-.Call("R_vtkGeometryFilter_GetExtentClipping",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtentClippingOn <- function(){
    res<-.Call("R_vtkGeometryFilter_ExtentClippingOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtentClippingOff <- function(){
    res<-.Call("R_vtkGeometryFilter_ExtentClippingOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPointMinimum <- function( ._arg){
    res<-.Call("R_vtkGeometryFilter_SetPointMinimum",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointMinimumMinValue <- function(){
    res<-.Call("R_vtkGeometryFilter_GetPointMinimumMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointMinimumMaxValue <- function(){
    res<-.Call("R_vtkGeometryFilter_GetPointMinimumMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointMinimum <- function(){
    res<-.Call("R_vtkGeometryFilter_GetPointMinimum",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPointMaximum <- function( ._arg){
    res<-.Call("R_vtkGeometryFilter_SetPointMaximum",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointMaximumMinValue <- function(){
    res<-.Call("R_vtkGeometryFilter_GetPointMaximumMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointMaximumMaxValue <- function(){
    res<-.Call("R_vtkGeometryFilter_GetPointMaximumMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointMaximum <- function(){
    res<-.Call("R_vtkGeometryFilter_GetPointMaximum",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellMinimum <- function( ._arg){
    res<-.Call("R_vtkGeometryFilter_SetCellMinimum",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellMinimumMinValue <- function(){
    res<-.Call("R_vtkGeometryFilter_GetCellMinimumMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellMinimumMaxValue <- function(){
    res<-.Call("R_vtkGeometryFilter_GetCellMinimumMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellMinimum <- function(){
    res<-.Call("R_vtkGeometryFilter_GetCellMinimum",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellMaximum <- function( ._arg){
    res<-.Call("R_vtkGeometryFilter_SetCellMaximum",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellMaximumMinValue <- function(){
    res<-.Call("R_vtkGeometryFilter_GetCellMaximumMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellMaximumMaxValue <- function(){
    res<-.Call("R_vtkGeometryFilter_GetCellMaximumMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellMaximum <- function(){
    res<-.Call("R_vtkGeometryFilter_GetCellMaximum",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtent <- function( .xMin, .xMax, .yMin, .yMax, .zMin, .zMax){
    res<-.Call("R_vtkGeometryFilter_SetExtent",.me$obj, .xMin, .xMax, .yMin, .yMax, .zMin, .zMax,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtent_v1 <- function( .extent=as.double(rep.int(1,6))){
    res<-.Call("R_vtkGeometryFilter_SetExtent_v1",.me$obj, .extent,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtent <- function(){
    res<-.Call("R_vtkGeometryFilter_GetExtent",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMerging <- function( ._arg){
    res<-.Call("R_vtkGeometryFilter_SetMerging",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMerging <- function(){
    res<-.Call("R_vtkGeometryFilter_GetMerging",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MergingOn <- function(){
    res<-.Call("R_vtkGeometryFilter_MergingOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MergingOff <- function(){
    res<-.Call("R_vtkGeometryFilter_MergingOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLocator <- function( .locator=vtkPointLocator()){
    check.VTK(.locator,"vtkPointLocator")
    res<-.Call("R_vtkGeometryFilter_SetLocator",.me$obj, .locator$obj,PACKAGE="RVTK.Base")
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLocator <- function(){
    res<-.Call("R_vtkGeometryFilter_GetLocator",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPointLocator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CreateDefaultLocator <- function(){
    res<-.Call("R_vtkGeometryFilter_CreateDefaultLocator",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkGeometryFilter_GetMTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkGeometryFilter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkGeometryFilter",class(.me))
  return(.me)
}
