vtkGlyph3D <- function(.me=environment()){
  .me <- vtkDataSetToPolyDataFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkGlyph3D_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkGlyph3D_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkGlyph3D_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkGlyph3D_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkGlyph3D(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkGlyph3D_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkGlyph3D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfSources <- function( .num){
    res<-.Call("R_vtkGlyph3D_SetNumberOfSources",.me$obj, .num,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfSources <- function(){
    res<-.Call("R_vtkGlyph3D_GetNumberOfSources",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSource <- function( .pd=vtkPolyData()){
    check.VTK(.pd,"vtkPolyData")
    res<-.Call("R_vtkGlyph3D_SetSource",.me$obj, .pd$obj,PACKAGE="RVTK.Base")
    res$.pd <- vtkPolyData(wrapenv(res$.pd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSource_v1 <- function( .id, .pd=vtkPolyData()){
    check.VTK(.pd,"vtkPolyData")
    res<-.Call("R_vtkGlyph3D_SetSource_v1",.me$obj, .id, .pd$obj,PACKAGE="RVTK.Base")
    res$.pd <- vtkPolyData(wrapenv(res$.pd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSource <- function( .id){
    res<-.Call("R_vtkGlyph3D_GetSource",.me$obj, .id,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScaling <- function( ._arg){
    res<-.Call("R_vtkGlyph3D_SetScaling",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScalingOn <- function(){
    res<-.Call("R_vtkGlyph3D_ScalingOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScalingOff <- function(){
    res<-.Call("R_vtkGlyph3D_ScalingOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScaling <- function(){
    res<-.Call("R_vtkGlyph3D_GetScaling",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScaleMode <- function( ._arg){
    res<-.Call("R_vtkGlyph3D_SetScaleMode",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScaleMode <- function(){
    res<-.Call("R_vtkGlyph3D_GetScaleMode",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScaleModeToScaleByScalar <- function(){
    res<-.Call("R_vtkGlyph3D_SetScaleModeToScaleByScalar",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScaleModeToScaleByVector <- function(){
    res<-.Call("R_vtkGlyph3D_SetScaleModeToScaleByVector",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScaleModeToScaleByVectorComponents <- function(){
    res<-.Call("R_vtkGlyph3D_SetScaleModeToScaleByVectorComponents",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScaleModeToDataScalingOff <- function(){
    res<-.Call("R_vtkGlyph3D_SetScaleModeToDataScalingOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScaleModeAsString <- function(){
    res<-.Call("R_vtkGlyph3D_GetScaleModeAsString",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorMode <- function( ._arg){
    res<-.Call("R_vtkGlyph3D_SetColorMode",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColorMode <- function(){
    res<-.Call("R_vtkGlyph3D_GetColorMode",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorModeToColorByScale <- function(){
    res<-.Call("R_vtkGlyph3D_SetColorModeToColorByScale",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorModeToColorByScalar <- function(){
    res<-.Call("R_vtkGlyph3D_SetColorModeToColorByScalar",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorModeToColorByVector <- function(){
    res<-.Call("R_vtkGlyph3D_SetColorModeToColorByVector",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColorModeAsString <- function(){
    res<-.Call("R_vtkGlyph3D_GetColorModeAsString",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScaleFactor <- function( ._arg){
    res<-.Call("R_vtkGlyph3D_SetScaleFactor",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScaleFactor <- function(){
    res<-.Call("R_vtkGlyph3D_GetScaleFactor",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRange <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkGlyph3D_SetRange",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRange_v1 <- function( ._arg){
    res<-.Call("R_vtkGlyph3D_SetRange_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRange <- function(){
    res<-.Call("R_vtkGlyph3D_GetRange",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRange_v1 <- function( .data){
    res<-.Call("R_vtkGlyph3D_GetRange_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOrient <- function( ._arg){
    res<-.Call("R_vtkGlyph3D_SetOrient",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OrientOn <- function(){
    res<-.Call("R_vtkGlyph3D_OrientOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OrientOff <- function(){
    res<-.Call("R_vtkGlyph3D_OrientOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrient <- function(){
    res<-.Call("R_vtkGlyph3D_GetOrient",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetClamping <- function( ._arg){
    res<-.Call("R_vtkGlyph3D_SetClamping",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClampingOn <- function(){
    res<-.Call("R_vtkGlyph3D_ClampingOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClampingOff <- function(){
    res<-.Call("R_vtkGlyph3D_ClampingOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetClamping <- function(){
    res<-.Call("R_vtkGlyph3D_GetClamping",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorMode <- function( ._arg){
    res<-.Call("R_vtkGlyph3D_SetVectorMode",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorMode <- function(){
    res<-.Call("R_vtkGlyph3D_GetVectorMode",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorModeToUseVector <- function(){
    res<-.Call("R_vtkGlyph3D_SetVectorModeToUseVector",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorModeToUseNormal <- function(){
    res<-.Call("R_vtkGlyph3D_SetVectorModeToUseNormal",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorModeToVectorRotationOff <- function(){
    res<-.Call("R_vtkGlyph3D_SetVectorModeToVectorRotationOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorModeAsString <- function(){
    res<-.Call("R_vtkGlyph3D_GetVectorModeAsString",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIndexMode <- function( ._arg){
    res<-.Call("R_vtkGlyph3D_SetIndexMode",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIndexMode <- function(){
    res<-.Call("R_vtkGlyph3D_GetIndexMode",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIndexModeToScalar <- function(){
    res<-.Call("R_vtkGlyph3D_SetIndexModeToScalar",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIndexModeToVector <- function(){
    res<-.Call("R_vtkGlyph3D_SetIndexModeToVector",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIndexModeToOff <- function(){
    res<-.Call("R_vtkGlyph3D_SetIndexModeToOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIndexModeAsString <- function(){
    res<-.Call("R_vtkGlyph3D_GetIndexModeAsString",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGeneratePointIds <- function( ._arg){
    res<-.Call("R_vtkGlyph3D_SetGeneratePointIds",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGeneratePointIds <- function(){
    res<-.Call("R_vtkGlyph3D_GetGeneratePointIds",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GeneratePointIdsOn <- function(){
    res<-.Call("R_vtkGlyph3D_GeneratePointIdsOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GeneratePointIdsOff <- function(){
    res<-.Call("R_vtkGlyph3D_GeneratePointIdsOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPointIdsName <- function( ._arg){
    res<-.Call("R_vtkGlyph3D_SetPointIdsName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointIdsName <- function(){
    res<-.Call("R_vtkGlyph3D_GetPointIdsName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInputScalarsSelection <- function(){
    res<-.Call("R_vtkGlyph3D_GetInputScalarsSelection",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SelectInputScalars <- function( .fieldName){
    res<-.Call("R_vtkGlyph3D_SelectInputScalars",.me$obj, .fieldName,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInputVectorsSelection <- function(){
    res<-.Call("R_vtkGlyph3D_GetInputVectorsSelection",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SelectInputVectors <- function( .fieldName){
    res<-.Call("R_vtkGlyph3D_SelectInputVectors",.me$obj, .fieldName,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInputNormalsSelection <- function(){
    res<-.Call("R_vtkGlyph3D_GetInputNormalsSelection",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SelectInputNormals <- function( .fieldName){
    res<-.Call("R_vtkGlyph3D_SelectInputNormals",.me$obj, .fieldName,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkGlyph3D_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkGlyph3D",class(.me))
  return(.me)
}
