vtkHexahedron <- function(.me=environment()){
  .me <- vtkCell3D(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkHexahedron_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkHexahedron_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkHexahedron_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkHexahedron_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkHexahedron(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkHexahedron_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkHexahedron(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEdgePoints <- function( .edgeId, .pts){
    res<-.Call("R_vtkHexahedron_GetEdgePoints",.me$obj, .edgeId, .pts,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFacePoints <- function( .faceId, .pts){
    res<-.Call("R_vtkHexahedron_GetFacePoints",.me$obj, .faceId, .pts,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellType <- function(){
    res<-.Call("R_vtkHexahedron_GetCellType",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfEdges <- function(){
    res<-.Call("R_vtkHexahedron_GetNumberOfEdges",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfFaces <- function(){
    res<-.Call("R_vtkHexahedron_GetNumberOfFaces",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEdge <- function( .edgeId){
    res<-.Call("R_vtkHexahedron_GetEdge",.me$obj, .edgeId,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCell(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFace <- function( .faceId){
    res<-.Call("R_vtkHexahedron_GetFace",.me$obj, .faceId,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCell(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluatePosition <- function( .x=as.double(rep.int(1,3)), .closestPoint, .subId=as.integer(rep.int(1,1)), .pcoords=as.double(rep.int(1,3)), .dist2=as.double(rep.int(1,1)), .weights){
    res<-.Call("R_vtkHexahedron_EvaluatePosition",.me$obj, .x, .closestPoint, .subId, .pcoords, .dist2, .weights,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectWithLine <- function( .p1=as.double(rep.int(1,3)), .p2=as.double(rep.int(1,3)), .tol, .t=as.double(rep.int(1,1)), .x=as.double(rep.int(1,3)), .pcoords=as.double(rep.int(1,3)), .subId=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkHexahedron_IntersectWithLine",.me$obj, .p1, .p2, .tol, .t, .x, .pcoords, .subId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Triangulate <- function( .index, .ptIds=vtkIdList(), .pts=vtkPoints()){
    check.VTK(.ptIds,"vtkIdList")
    check.VTK(.pts,"vtkPoints")
    res<-.Call("R_vtkHexahedron_Triangulate",.me$obj, .index, .ptIds$obj, .pts$obj,PACKAGE="RVTK.Base")
    res$.ptIds <- vtkIdList(wrapenv(res$.ptIds))
    res$.pts <- vtkPoints(wrapenv(res$.pts))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParametricCoords <- function(){
    res<-.Call("R_vtkHexahedron_GetParametricCoords",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InterpolationFunctions <- function( .pcoords=as.double(rep.int(1,3)), .sf=as.double(rep.int(1,8))){
    res<-.Call("R_vtkHexahedron_InterpolationFunctions",.me$obj, .pcoords, .sf,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InterpolationDerivs <- function( .pcoords=as.double(rep.int(1,3)), .derivs=as.double(rep.int(1,24))){
    res<-.Call("R_vtkHexahedron_InterpolationDerivs",.me$obj, .pcoords, .derivs,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEdgeArray <- function( .edgeId){
    res<-.Call("R_vtkHexahedron_GetEdgeArray",.me$obj, .edgeId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFaceArray <- function( .faceId){
    res<-.Call("R_vtkHexahedron_GetFaceArray",.me$obj, .faceId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkHexahedron_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkHexahedron",class(.me))
  return(.me)
}
