vtkImageCacheFilter <- function(.me=environment()){
  .me <- vtkImageToImageFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageCacheFilter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageCacheFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageCacheFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageCacheFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageCacheFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageCacheFilter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageCacheFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCacheSize <- function( .size){
    res<-.Call("R_vtkImageCacheFilter_SetCacheSize",.me$obj, .size,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCacheSize <- function(){
    res<-.Call("R_vtkImageCacheFilter_GetCacheSize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UpdateData <- function( .outObject=vtkDataObject()){
    check.VTK(.outObject,"vtkDataObject")
    res<-.Call("R_vtkImageCacheFilter_UpdateData",.me$obj, .outObject$obj,PACKAGE="RVTK.Base")
    res$.outObject <- vtkDataObject(wrapenv(res$.outObject))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageCacheFilter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageCacheFilter",class(.me))
  return(.me)
}
