vtkImageCanvasSource2D <- function(.me=environment()){
  .me <- vtkStructuredPoints(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageCanvasSource2D_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageCanvasSource2D_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageCanvasSource2D_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageCanvasSource2D_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageCanvasSource2D(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageCanvasSource2D_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageCanvasSource2D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetImageData <- function( .image=vtkImageData()){
    check.VTK(.image,"vtkImageData")
    res<-.Call("R_vtkImageCanvasSource2D_SetImageData",.me$obj, .image$obj,PACKAGE="RVTK.Base")
    res$.image <- vtkImageData(wrapenv(res$.image))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetImageData <- function(){
    res<-.Call("R_vtkImageCanvasSource2D_GetImageData",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDrawColor <- function( ._arg1, ._arg2, ._arg3, ._arg4){
    res<-.Call("R_vtkImageCanvasSource2D_SetDrawColor",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDrawColor_v1 <- function( ._arg){
    res<-.Call("R_vtkImageCanvasSource2D_SetDrawColor_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDrawColor <- function(){
    res<-.Call("R_vtkImageCanvasSource2D_GetDrawColor",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDrawColor_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1)), ._arg4=as.double(rep.int(1,1))){
    res<-.Call("R_vtkImageCanvasSource2D_GetDrawColor_v1",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDrawColor_v2 <- function( ._arg){
    res<-.Call("R_vtkImageCanvasSource2D_GetDrawColor_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDrawColor_v2 <- function( .a){
    res<-.Call("R_vtkImageCanvasSource2D_SetDrawColor_v2",.me$obj, .a,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDrawColor_v3 <- function( .a, .b){
    res<-.Call("R_vtkImageCanvasSource2D_SetDrawColor_v3",.me$obj, .a, .b,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDrawColor_v4 <- function( .a, .b, .c){
    res<-.Call("R_vtkImageCanvasSource2D_SetDrawColor_v4",.me$obj, .a, .b, .c,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FillBox <- function( .min0, .max0, .min1, .max1){
    res<-.Call("R_vtkImageCanvasSource2D_FillBox",.me$obj, .min0, .max0, .min1, .max1,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FillTube <- function( .a0, .a1, .b0, .b1, .radius){
    res<-.Call("R_vtkImageCanvasSource2D_FillTube",.me$obj, .a0, .a1, .b0, .b1, .radius,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FillTriangle <- function( .a0, .a1, .b0, .b1, .c0, .c1){
    res<-.Call("R_vtkImageCanvasSource2D_FillTriangle",.me$obj, .a0, .a1, .b0, .b1, .c0, .c1,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DrawCircle <- function( .c0, .c1, .radius){
    res<-.Call("R_vtkImageCanvasSource2D_DrawCircle",.me$obj, .c0, .c1, .radius,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DrawPoint <- function( .p0, .p1){
    res<-.Call("R_vtkImageCanvasSource2D_DrawPoint",.me$obj, .p0, .p1,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DrawSegment <- function( .a0, .a1, .b0, .b1){
    res<-.Call("R_vtkImageCanvasSource2D_DrawSegment",.me$obj, .a0, .a1, .b0, .b1,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DrawSegment3D <- function( .a, .b){
    res<-.Call("R_vtkImageCanvasSource2D_DrawSegment3D",.me$obj, .a, .b,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DrawSegment3D_v1 <- function( .x1, .y1, .z1, .x2, .y2, .z2){
    res<-.Call("R_vtkImageCanvasSource2D_DrawSegment3D_v1",.me$obj, .x1, .y1, .z1, .x2, .y2, .z2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DrawImage <- function( .x0, .y0, .i=vtkImageData()){
    check.VTK(.i,"vtkImageData")
    res<-.Call("R_vtkImageCanvasSource2D_DrawImage",.me$obj, .x0, .y0, .i$obj,PACKAGE="RVTK.Base")
    res$.i <- vtkImageData(wrapenv(res$.i))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DrawImage_v1 <- function( .x0, .y0, .image=vtkImageData(), .sx, .sy, .width, .height){
    check.VTK(.image,"vtkImageData")
    res<-.Call("R_vtkImageCanvasSource2D_DrawImage_v1",.me$obj, .x0, .y0, .image$obj, .sx, .sy, .width, .height,PACKAGE="RVTK.Base")
    res$.image <- vtkImageData(wrapenv(res$.image))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FillPixel <- function( .x, .y){
    res<-.Call("R_vtkImageCanvasSource2D_FillPixel",.me$obj, .x, .y,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput <- function(){
    res<-.Call("R_vtkImageCanvasSource2D_GetOutput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtent <- function( .extent){
    res<-.Call("R_vtkImageCanvasSource2D_SetExtent",.me$obj, .extent,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtent_v1 <- function( .x1, .x2, .y1, .y2, .z1, .z2){
    res<-.Call("R_vtkImageCanvasSource2D_SetExtent_v1",.me$obj, .x1, .x2, .y1, .y2, .z1, .z2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDefaultZ <- function( ._arg){
    res<-.Call("R_vtkImageCanvasSource2D_SetDefaultZ",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDefaultZ <- function(){
    res<-.Call("R_vtkImageCanvasSource2D_GetDefaultZ",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRatio <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkImageCanvasSource2D_SetRatio",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRatio_v1 <- function( ._arg){
    res<-.Call("R_vtkImageCanvasSource2D_SetRatio_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRatio <- function(){
    res<-.Call("R_vtkImageCanvasSource2D_GetRatio",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRatio_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1))){
    res<-.Call("R_vtkImageCanvasSource2D_GetRatio_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRatio_v2 <- function( ._arg){
    res<-.Call("R_vtkImageCanvasSource2D_GetRatio_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageCanvasSource2D_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageCanvasSource2D",class(.me))
  return(.me)
}
