vtkImageCast <- function(.me=environment()){
  .me <- vtkImageToImageFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageCast_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageCast_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageCast_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageCast_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageCast(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageCast_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageCast(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputScalarType <- function( ._arg){
    res<-.Call("R_vtkImageCast_SetOutputScalarType",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputScalarType <- function(){
    res<-.Call("R_vtkImageCast_GetOutputScalarType",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputScalarTypeToFloat <- function(){
    res<-.Call("R_vtkImageCast_SetOutputScalarTypeToFloat",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputScalarTypeToDouble <- function(){
    res<-.Call("R_vtkImageCast_SetOutputScalarTypeToDouble",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputScalarTypeToInt <- function(){
    res<-.Call("R_vtkImageCast_SetOutputScalarTypeToInt",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputScalarTypeToUnsignedInt <- function(){
    res<-.Call("R_vtkImageCast_SetOutputScalarTypeToUnsignedInt",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputScalarTypeToLong <- function(){
    res<-.Call("R_vtkImageCast_SetOutputScalarTypeToLong",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputScalarTypeToUnsignedLong <- function(){
    res<-.Call("R_vtkImageCast_SetOutputScalarTypeToUnsignedLong",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputScalarTypeToShort <- function(){
    res<-.Call("R_vtkImageCast_SetOutputScalarTypeToShort",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputScalarTypeToUnsignedShort <- function(){
    res<-.Call("R_vtkImageCast_SetOutputScalarTypeToUnsignedShort",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputScalarTypeToUnsignedChar <- function(){
    res<-.Call("R_vtkImageCast_SetOutputScalarTypeToUnsignedChar",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputScalarTypeToChar <- function(){
    res<-.Call("R_vtkImageCast_SetOutputScalarTypeToChar",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetClampOverflow <- function( ._arg){
    res<-.Call("R_vtkImageCast_SetClampOverflow",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetClampOverflow <- function(){
    res<-.Call("R_vtkImageCast_GetClampOverflow",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClampOverflowOn <- function(){
    res<-.Call("R_vtkImageCast_ClampOverflowOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClampOverflowOff <- function(){
    res<-.Call("R_vtkImageCast_ClampOverflowOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageCast_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageCast",class(.me))
  return(.me)
}
