vtkImageConvolve <- function(.me=environment()){
  .me <- vtkImageToImageFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageConvolve_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageConvolve_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageConvolve_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageConvolve_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageConvolve(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageConvolve_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageConvolve(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKernelSize <- function(){
    res<-.Call("R_vtkImageConvolve_GetKernelSize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKernelSize_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1)), ._arg3=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkImageConvolve_GetKernelSize_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKernelSize_v2 <- function( ._arg){
    res<-.Call("R_vtkImageConvolve_GetKernelSize_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKernel3x3 <- function( .kernel){
    res<-.Call("R_vtkImageConvolve_SetKernel3x3",.me$obj, .kernel,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKernel5x5 <- function( .kernel){
    res<-.Call("R_vtkImageConvolve_SetKernel5x5",.me$obj, .kernel,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKernel7x7 <- function( .kernel=as.double(rep.int(1,49))){
    res<-.Call("R_vtkImageConvolve_SetKernel7x7",.me$obj, .kernel,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKernel3x3 <- function(){
    res<-.Call("R_vtkImageConvolve_GetKernel3x3",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKernel3x3_v1 <- function( .kernel=as.double(rep.int(1,9))){
    res<-.Call("R_vtkImageConvolve_GetKernel3x3_v1",.me$obj, .kernel,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKernel5x5 <- function(){
    res<-.Call("R_vtkImageConvolve_GetKernel5x5",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKernel5x5_v1 <- function( .kernel=as.double(rep.int(1,25))){
    res<-.Call("R_vtkImageConvolve_GetKernel5x5_v1",.me$obj, .kernel,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKernel7x7 <- function(){
    res<-.Call("R_vtkImageConvolve_GetKernel7x7",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKernel7x7_v1 <- function( .kernel=as.double(rep.int(1,49))){
    res<-.Call("R_vtkImageConvolve_GetKernel7x7_v1",.me$obj, .kernel,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKernel3x3x3 <- function( .kernel){
    res<-.Call("R_vtkImageConvolve_SetKernel3x3x3",.me$obj, .kernel,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKernel5x5x5 <- function( .kernel=as.double(rep.int(1,125))){
    res<-.Call("R_vtkImageConvolve_SetKernel5x5x5",.me$obj, .kernel,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKernel7x7x7 <- function( .kernel=as.double(rep.int(1,343))){
    res<-.Call("R_vtkImageConvolve_SetKernel7x7x7",.me$obj, .kernel,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKernel3x3x3 <- function(){
    res<-.Call("R_vtkImageConvolve_GetKernel3x3x3",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKernel3x3x3_v1 <- function( .kernel=as.double(rep.int(1,27))){
    res<-.Call("R_vtkImageConvolve_GetKernel3x3x3_v1",.me$obj, .kernel,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKernel5x5x5 <- function(){
    res<-.Call("R_vtkImageConvolve_GetKernel5x5x5",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKernel5x5x5_v1 <- function( .kernel=as.double(rep.int(1,125))){
    res<-.Call("R_vtkImageConvolve_GetKernel5x5x5_v1",.me$obj, .kernel,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKernel7x7x7 <- function(){
    res<-.Call("R_vtkImageConvolve_GetKernel7x7x7",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKernel7x7x7_v1 <- function( .kernel=as.double(rep.int(1,343))){
    res<-.Call("R_vtkImageConvolve_GetKernel7x7x7_v1",.me$obj, .kernel,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageConvolve_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageConvolve",class(.me))
  return(.me)
}
