vtkImageDataGeometryFilter <- function(.me=environment()){
  .me <- vtkStructuredPointsToPolyDataFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageDataGeometryFilter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageDataGeometryFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageDataGeometryFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageDataGeometryFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageDataGeometryFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageDataGeometryFilter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageDataGeometryFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtent <- function( .extent=as.integer(rep.int(1,6))){
    res<-.Call("R_vtkImageDataGeometryFilter_SetExtent",.me$obj, .extent,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtent_v1 <- function( .iMin, .iMax, .jMin, .jMax, .kMin, .kMax){
    res<-.Call("R_vtkImageDataGeometryFilter_SetExtent_v1",.me$obj, .iMin, .iMax, .jMin, .jMax, .kMin, .kMax,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtent <- function(){
    res<-.Call("R_vtkImageDataGeometryFilter_GetExtent",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageDataGeometryFilter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageDataGeometryFilter",class(.me))
  return(.me)
}
