vtkImageDecomposeFilter <- function(.me=environment()){
  .me <- vtkImageIterateFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageDecomposeFilter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageDecomposeFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageDecomposeFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageDecomposeFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageDecomposeFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageDecomposeFilter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageDecomposeFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDimensionality <- function( .dim){
    res<-.Call("R_vtkImageDecomposeFilter_SetDimensionality",.me$obj, .dim,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDimensionality <- function(){
    res<-.Call("R_vtkImageDecomposeFilter_GetDimensionality",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PermuteIncrements <- function( .increments, .inc0=as.integer(rep.int(1,1)), .inc1=as.integer(rep.int(1,1)), .inc2=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkImageDecomposeFilter_PermuteIncrements",.me$obj, .increments, .inc0, .inc1, .inc2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PermuteExtent <- function( .extent, .min0=as.integer(rep.int(1,1)), .max0=as.integer(rep.int(1,1)), .min1=as.integer(rep.int(1,1)), .max1=as.integer(rep.int(1,1)), .min2=as.integer(rep.int(1,1)), .max2=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkImageDecomposeFilter_PermuteExtent",.me$obj, .extent, .min0, .max0, .min1, .max1, .min2, .max2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkImageDecomposeFilter",class(.me))
  return(.me)
}
