vtkImageExtractComponents <- function(.me=environment()){
  .me <- vtkImageToImageFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageExtractComponents_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageExtractComponents_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageExtractComponents_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageExtractComponents_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageExtractComponents(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageExtractComponents_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageExtractComponents(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetComponents <- function( .c1){
    res<-.Call("R_vtkImageExtractComponents_SetComponents",.me$obj, .c1,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetComponents_v1 <- function( .c1, .c2){
    res<-.Call("R_vtkImageExtractComponents_SetComponents_v1",.me$obj, .c1, .c2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetComponents_v2 <- function( .c1, .c2, .c3){
    res<-.Call("R_vtkImageExtractComponents_SetComponents_v2",.me$obj, .c1, .c2, .c3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetComponents <- function(){
    res<-.Call("R_vtkImageExtractComponents_GetComponents",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetComponents_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1)), ._arg3=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkImageExtractComponents_GetComponents_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetComponents_v2 <- function( ._arg){
    res<-.Call("R_vtkImageExtractComponents_GetComponents_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfComponents <- function(){
    res<-.Call("R_vtkImageExtractComponents_GetNumberOfComponents",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageExtractComponents_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageExtractComponents",class(.me))
  return(.me)
}
