vtkImageFourierFilter <- function(.me=environment()){
  .me <- vtkImageDecomposeFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageFourierFilter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageFourierFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageFourierFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageFourierFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageFourierFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageFourierFilter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageFourierFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExecuteFft <- function( .in=vtkImageComplex(), .out=vtkImageComplex(), .N){
    check.VTK(.in,"vtkImageComplex")
    check.VTK(.out,"vtkImageComplex")
    res<-.Call("R_vtkImageFourierFilter_ExecuteFft",.me$obj, .in$obj, .out$obj, .N,PACKAGE="RVTK.Base")
    res$.in <- vtkImageComplex(wrapenv(res$.in))
    res$.out <- vtkImageComplex(wrapenv(res$.out))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExecuteRfft <- function( .in=vtkImageComplex(), .out=vtkImageComplex(), .N){
    check.VTK(.in,"vtkImageComplex")
    check.VTK(.out,"vtkImageComplex")
    res<-.Call("R_vtkImageFourierFilter_ExecuteRfft",.me$obj, .in$obj, .out$obj, .N,PACKAGE="RVTK.Base")
    res$.in <- vtkImageComplex(wrapenv(res$.in))
    res$.out <- vtkImageComplex(wrapenv(res$.out))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkImageFourierFilter",class(.me))
  return(.me)
}
