vtkImageMandelbrotSource <- function(.me=environment()){
  .me <- vtkImageSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageMandelbrotSource_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageMandelbrotSource_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageMandelbrotSource_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageMandelbrotSource_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageMandelbrotSource(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageMandelbrotSource_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageMandelbrotSource(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWholeExtent <- function( .extent=as.integer(rep.int(1,6))){
    res<-.Call("R_vtkImageMandelbrotSource_SetWholeExtent",.me$obj, .extent,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWholeExtent_v1 <- function( .minX, .maxX, .minY, .maxY, .minZ, .maxZ){
    res<-.Call("R_vtkImageMandelbrotSource_SetWholeExtent_v1",.me$obj, .minX, .maxX, .minY, .maxY, .minZ, .maxZ,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWholeExtent <- function(){
    res<-.Call("R_vtkImageMandelbrotSource_GetWholeExtent",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWholeExtent_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1)), ._arg3=as.integer(rep.int(1,1)), ._arg4=as.integer(rep.int(1,1)), ._arg5=as.integer(rep.int(1,1)), ._arg6=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkImageMandelbrotSource_GetWholeExtent_v1",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWholeExtent_v2 <- function( ._arg){
    res<-.Call("R_vtkImageMandelbrotSource_GetWholeExtent_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetConstantSize <- function( ._arg){
    res<-.Call("R_vtkImageMandelbrotSource_SetConstantSize",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetConstantSize <- function(){
    res<-.Call("R_vtkImageMandelbrotSource_GetConstantSize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ConstantSizeOn <- function(){
    res<-.Call("R_vtkImageMandelbrotSource_ConstantSizeOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ConstantSizeOff <- function(){
    res<-.Call("R_vtkImageMandelbrotSource_ConstantSizeOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetProjectionAxes <- function( .x, .y, .z){
    res<-.Call("R_vtkImageMandelbrotSource_SetProjectionAxes",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetProjectionAxes_v1 <- function( .a=as.integer(rep.int(1,3))){
    res<-.Call("R_vtkImageMandelbrotSource_SetProjectionAxes_v1",.me$obj, .a,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProjectionAxes <- function(){
    res<-.Call("R_vtkImageMandelbrotSource_GetProjectionAxes",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProjectionAxes_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1)), ._arg3=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkImageMandelbrotSource_GetProjectionAxes_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProjectionAxes_v2 <- function( ._arg){
    res<-.Call("R_vtkImageMandelbrotSource_GetProjectionAxes_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOriginCX <- function( ._arg1, ._arg2, ._arg3, ._arg4){
    res<-.Call("R_vtkImageMandelbrotSource_SetOriginCX",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOriginCX_v1 <- function( ._arg){
    res<-.Call("R_vtkImageMandelbrotSource_SetOriginCX_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOriginCX <- function(){
    res<-.Call("R_vtkImageMandelbrotSource_GetOriginCX",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOriginCX_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1)), ._arg4=as.double(rep.int(1,1))){
    res<-.Call("R_vtkImageMandelbrotSource_GetOriginCX_v1",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOriginCX_v2 <- function( ._arg){
    res<-.Call("R_vtkImageMandelbrotSource_GetOriginCX_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSampleCX <- function( ._arg1, ._arg2, ._arg3, ._arg4){
    res<-.Call("R_vtkImageMandelbrotSource_SetSampleCX",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSampleCX_v1 <- function( ._arg){
    res<-.Call("R_vtkImageMandelbrotSource_SetSampleCX_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSampleCX <- function(){
    res<-.Call("R_vtkImageMandelbrotSource_GetSampleCX",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSampleCX_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1)), ._arg4=as.double(rep.int(1,1))){
    res<-.Call("R_vtkImageMandelbrotSource_GetSampleCX_v1",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSampleCX_v2 <- function( ._arg){
    res<-.Call("R_vtkImageMandelbrotSource_GetSampleCX_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSizeCX <- function( .cReal, .cImag, .xReal, .xImag){
    res<-.Call("R_vtkImageMandelbrotSource_SetSizeCX",.me$obj, .cReal, .cImag, .xReal, .xImag,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSizeCX <- function(){
    res<-.Call("R_vtkImageMandelbrotSource_GetSizeCX",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSizeCX_v1 <- function( .s=as.double(rep.int(1,4))){
    res<-.Call("R_vtkImageMandelbrotSource_GetSizeCX_v1",.me$obj, .s,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumNumberOfIterations <- function( ._arg){
    res<-.Call("R_vtkImageMandelbrotSource_SetMaximumNumberOfIterations",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumNumberOfIterationsMinValue <- function(){
    res<-.Call("R_vtkImageMandelbrotSource_GetMaximumNumberOfIterationsMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumNumberOfIterationsMaxValue <- function(){
    res<-.Call("R_vtkImageMandelbrotSource_GetMaximumNumberOfIterationsMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumNumberOfIterations <- function(){
    res<-.Call("R_vtkImageMandelbrotSource_GetMaximumNumberOfIterations",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Zoom <- function( .factor){
    res<-.Call("R_vtkImageMandelbrotSource_Zoom",.me$obj, .factor,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Pan <- function( .x, .y, .z){
    res<-.Call("R_vtkImageMandelbrotSource_Pan",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyOriginAndSample <- function( .source=vtkImageMandelbrotSource()){
    check.VTK(.source,"vtkImageMandelbrotSource")
    res<-.Call("R_vtkImageMandelbrotSource_CopyOriginAndSample",.me$obj, .source$obj,PACKAGE="RVTK.Base")
    res$.source <- vtkImageMandelbrotSource(wrapenv(res$.source))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageMandelbrotSource_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageMandelbrotSource",class(.me))
  return(.me)
}
