vtkImageMultipleInputFilter <- function(.me=environment()){
  .me <- vtkImageSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageMultipleInputFilter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageMultipleInputFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageMultipleInputFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageMultipleInputFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageMultipleInputFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageMultipleInputFilter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageMultipleInputFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .idx, .input=vtkImageData()){
    check.VTK(.input,"vtkImageData")
    res<-.Call("R_vtkImageMultipleInputFilter_SetInput",.me$obj, .idx, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkImageData(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddInput <- function( .input=vtkImageData()){
    check.VTK(.input,"vtkImageData")
    res<-.Call("R_vtkImageMultipleInputFilter_AddInput",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkImageData(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveInput <- function( .input=vtkImageData()){
    check.VTK(.input,"vtkImageData")
    res<-.Call("R_vtkImageMultipleInputFilter_RemoveInput",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkImageData(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function( .idx){
    res<-.Call("R_vtkImageMultipleInputFilter_GetInput",.me$obj, .idx,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput_v1 <- function(){
    res<-.Call("R_vtkImageMultipleInputFilter_GetInput_v1",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBypass <- function( ._arg){
    res<-.Call("R_vtkImageMultipleInputFilter_SetBypass",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBypass <- function(){
    res<-.Call("R_vtkImageMultipleInputFilter_GetBypass",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BypassOn <- function(){
    res<-.Call("R_vtkImageMultipleInputFilter_BypassOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BypassOff <- function(){
    res<-.Call("R_vtkImageMultipleInputFilter_BypassOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfThreads <- function( ._arg){
    res<-.Call("R_vtkImageMultipleInputFilter_SetNumberOfThreads",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfThreadsMinValue <- function(){
    res<-.Call("R_vtkImageMultipleInputFilter_GetNumberOfThreadsMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfThreadsMaxValue <- function(){
    res<-.Call("R_vtkImageMultipleInputFilter_GetNumberOfThreadsMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfThreads <- function(){
    res<-.Call("R_vtkImageMultipleInputFilter_GetNumberOfThreads",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SplitExtent <- function( .splitExt, .startExt, .num, .total){
    res<-.Call("R_vtkImageMultipleInputFilter_SplitExtent",.me$obj, .splitExt, .startExt, .num, .total,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkImageMultipleInputFilter",class(.me))
  return(.me)
}
