vtkImageOpenClose3D <- function(.me=environment()){
  .me <- vtkImageToImageFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageOpenClose3D_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageOpenClose3D_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageOpenClose3D_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageOpenClose3D_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageOpenClose3D(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageOpenClose3D_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageOpenClose3D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkImageOpenClose3D_GetMTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DebugOn <- function(){
    res<-.Call("R_vtkImageOpenClose3D_DebugOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DebugOff <- function(){
    res<-.Call("R_vtkImageOpenClose3D_DebugOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Modified <- function(){
    res<-.Call("R_vtkImageOpenClose3D_Modified",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput <- function(){
    res<-.Call("R_vtkImageOpenClose3D_GetOutput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput_v1 <- function( .idx){
    res<-.Call("R_vtkImageOpenClose3D_GetOutput_v1",.me$obj, .idx,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkImageData()){
    check.VTK(.input,"vtkImageData")
    res<-.Call("R_vtkImageOpenClose3D_SetInput",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkImageData(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKernelSize <- function( .size0, .size1, .size2){
    res<-.Call("R_vtkImageOpenClose3D_SetKernelSize",.me$obj, .size0, .size1, .size2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOpenValue <- function( .value){
    res<-.Call("R_vtkImageOpenClose3D_SetOpenValue",.me$obj, .value,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOpenValue <- function(){
    res<-.Call("R_vtkImageOpenClose3D_GetOpenValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCloseValue <- function( .value){
    res<-.Call("R_vtkImageOpenClose3D_SetCloseValue",.me$obj, .value,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCloseValue <- function(){
    res<-.Call("R_vtkImageOpenClose3D_GetCloseValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFilter0 <- function(){
    res<-.Call("R_vtkImageOpenClose3D_GetFilter0",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageDilateErode3D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFilter1 <- function(){
    res<-.Call("R_vtkImageOpenClose3D_GetFilter1",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageDilateErode3D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageOpenClose3D_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageOpenClose3D",class(.me))
  return(.me)
}
