vtkImageRFFT <- function(.me=environment()){
  .me <- vtkImageFourierFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageRFFT_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageRFFT_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageRFFT_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageRFFT_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageRFFT(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageRFFT_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageRFFT(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SplitExtent <- function( .splitExt=as.integer(rep.int(1,6)), .startExt=as.integer(rep.int(1,6)), .num, .total){
    res<-.Call("R_vtkImageRFFT_SplitExtent",.me$obj, .splitExt, .startExt, .num, .total,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IterativeExecuteData <- function( .in=vtkImageData(), .out=vtkImageData()){
    check.VTK(.in,"vtkImageData")
    check.VTK(.out,"vtkImageData")
    res<-.Call("R_vtkImageRFFT_IterativeExecuteData",.me$obj, .in$obj, .out$obj,PACKAGE="RVTK.Base")
    res$.in <- vtkImageData(wrapenv(res$.in))
    res$.out <- vtkImageData(wrapenv(res$.out))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageRFFT_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageRFFT",class(.me))
  return(.me)
}
