vtkImageReader <- function(.me=environment()){
  .me <- vtkImageReader2(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageReader_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageReader_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageReader_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageReader_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageReader(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageReader_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageReader(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataVOI <- function( ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6){
    res<-.Call("R_vtkImageReader_SetDataVOI",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataVOI_v1 <- function( ._arg){
    res<-.Call("R_vtkImageReader_SetDataVOI_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataVOI <- function(){
    res<-.Call("R_vtkImageReader_GetDataVOI",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataVOI_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1)), ._arg3=as.integer(rep.int(1,1)), ._arg4=as.integer(rep.int(1,1)), ._arg5=as.integer(rep.int(1,1)), ._arg6=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkImageReader_GetDataVOI_v1",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataVOI_v2 <- function( ._arg){
    res<-.Call("R_vtkImageReader_GetDataVOI_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataMask <- function(){
    res<-.Call("R_vtkImageReader_GetDataMask",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataMask <- function( .val){
    res<-.Call("R_vtkImageReader_SetDataMask",.me$obj, .val,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTransform <- function( ._arg=vtkTransform()){
    check.VTK(._arg,"vtkTransform")
    res<-.Call("R_vtkImageReader_SetTransform",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkTransform(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTransform <- function(){
    res<-.Call("R_vtkImageReader_GetTransform",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeInverseTransformedExtent <- function( .inExtent=as.integer(rep.int(1,6)), .outExtent=as.integer(rep.int(1,6))){
    res<-.Call("R_vtkImageReader_ComputeInverseTransformedExtent",.me$obj, .inExtent, .outExtent,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeInverseTransformedIncrements <- function( .inIncr=as.integer(rep.int(1,3)), .outIncr=as.integer(rep.int(1,3))){
    res<-.Call("R_vtkImageReader_ComputeInverseTransformedIncrements",.me$obj, .inIncr, .outIncr,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OpenAndSeekFile <- function( .dataExtent=as.integer(rep.int(1,6)), .idx){
    res<-.Call("R_vtkImageReader_OpenAndSeekFile",.me$obj, .dataExtent, .idx,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarArrayName <- function( ._arg){
    res<-.Call("R_vtkImageReader_SetScalarArrayName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarArrayName <- function(){
    res<-.Call("R_vtkImageReader_GetScalarArrayName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageReader_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageReader",class(.me))
  return(.me)
}
