vtkImageShrink3D <- function(.me=environment()){
  .me <- vtkImageToImageFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageShrink3D_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageShrink3D_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageShrink3D_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageShrink3D_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageShrink3D(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageShrink3D_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageShrink3D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetShrinkFactors <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkImageShrink3D_SetShrinkFactors",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetShrinkFactors_v1 <- function( ._arg){
    res<-.Call("R_vtkImageShrink3D_SetShrinkFactors_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetShrinkFactors <- function(){
    res<-.Call("R_vtkImageShrink3D_GetShrinkFactors",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetShrinkFactors_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1)), ._arg3=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkImageShrink3D_GetShrinkFactors_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetShrinkFactors_v2 <- function( ._arg){
    res<-.Call("R_vtkImageShrink3D_GetShrinkFactors_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetShift <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkImageShrink3D_SetShift",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetShift_v1 <- function( ._arg){
    res<-.Call("R_vtkImageShrink3D_SetShift_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetShift <- function(){
    res<-.Call("R_vtkImageShrink3D_GetShift",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetShift_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1)), ._arg3=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkImageShrink3D_GetShift_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetShift_v2 <- function( ._arg){
    res<-.Call("R_vtkImageShrink3D_GetShift_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAveraging <- function( .value){
    res<-.Call("R_vtkImageShrink3D_SetAveraging",.me$obj, .value,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAveraging <- function(){
    res<-.Call("R_vtkImageShrink3D_GetAveraging",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AveragingOn <- function(){
    res<-.Call("R_vtkImageShrink3D_AveragingOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AveragingOff <- function(){
    res<-.Call("R_vtkImageShrink3D_AveragingOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMean <- function( .value){
    res<-.Call("R_vtkImageShrink3D_SetMean",.me$obj, .value,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMean <- function(){
    res<-.Call("R_vtkImageShrink3D_GetMean",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MeanOn <- function(){
    res<-.Call("R_vtkImageShrink3D_MeanOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MeanOff <- function(){
    res<-.Call("R_vtkImageShrink3D_MeanOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMinimum <- function( .value){
    res<-.Call("R_vtkImageShrink3D_SetMinimum",.me$obj, .value,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMinimum <- function(){
    res<-.Call("R_vtkImageShrink3D_GetMinimum",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MinimumOn <- function(){
    res<-.Call("R_vtkImageShrink3D_MinimumOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MinimumOff <- function(){
    res<-.Call("R_vtkImageShrink3D_MinimumOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximum <- function( .value){
    res<-.Call("R_vtkImageShrink3D_SetMaximum",.me$obj, .value,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximum <- function(){
    res<-.Call("R_vtkImageShrink3D_GetMaximum",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MaximumOn <- function(){
    res<-.Call("R_vtkImageShrink3D_MaximumOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MaximumOff <- function(){
    res<-.Call("R_vtkImageShrink3D_MaximumOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMedian <- function( .value){
    res<-.Call("R_vtkImageShrink3D_SetMedian",.me$obj, .value,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMedian <- function(){
    res<-.Call("R_vtkImageShrink3D_GetMedian",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MedianOn <- function(){
    res<-.Call("R_vtkImageShrink3D_MedianOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MedianOff <- function(){
    res<-.Call("R_vtkImageShrink3D_MedianOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageShrink3D_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageShrink3D",class(.me))
  return(.me)
}
