vtkImageSource <- function(.me=environment()){
  .me <- vtkSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageSource_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageSource_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageSource_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageSource_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageSource(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageSource_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageSource(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutput <- function( .output=vtkImageData()){
    check.VTK(.output,"vtkImageData")
    res<-.Call("R_vtkImageSource_SetOutput",.me$obj, .output$obj,PACKAGE="RVTK.Base")
    res$.output <- vtkImageData(wrapenv(res$.output))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput <- function(){
    res<-.Call("R_vtkImageSource_GetOutput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput_v1 <- function( .idx){
    res<-.Call("R_vtkImageSource_GetOutput_v1",.me$obj, .idx,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkImageSource",class(.me))
  return(.me)
}
