vtkImageToImageStencil <- function(.me=environment()){
  .me <- vtkImageStencilSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageToImageStencil_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageToImageStencil_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageToImageStencil_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageToImageStencil_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageToImageStencil(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageToImageStencil_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageToImageStencil(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkImageData()){
    check.VTK(.input,"vtkImageData")
    res<-.Call("R_vtkImageToImageStencil_SetInput",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkImageData(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkImageToImageStencil_GetInput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ThresholdByUpper <- function( .thresh){
    res<-.Call("R_vtkImageToImageStencil_ThresholdByUpper",.me$obj, .thresh,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ThresholdByLower <- function( .thresh){
    res<-.Call("R_vtkImageToImageStencil_ThresholdByLower",.me$obj, .thresh,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ThresholdBetween <- function( .lower, .upper){
    res<-.Call("R_vtkImageToImageStencil_ThresholdBetween",.me$obj, .lower, .upper,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpperThreshold <- function( ._arg){
    res<-.Call("R_vtkImageToImageStencil_SetUpperThreshold",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpperThreshold <- function(){
    res<-.Call("R_vtkImageToImageStencil_GetUpperThreshold",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLowerThreshold <- function( ._arg){
    res<-.Call("R_vtkImageToImageStencil_SetLowerThreshold",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLowerThreshold <- function(){
    res<-.Call("R_vtkImageToImageStencil_GetLowerThreshold",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageToImageStencil_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageToImageStencil",class(.me))
  return(.me)
}
