vtkImageToStructuredPoints <- function(.me=environment()){
  .me <- vtkSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageToStructuredPoints_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageToStructuredPoints_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageToStructuredPoints_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageToStructuredPoints_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageToStructuredPoints(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageToStructuredPoints_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageToStructuredPoints(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkImageData()){
    check.VTK(.input,"vtkImageData")
    res<-.Call("R_vtkImageToStructuredPoints_SetInput",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkImageData(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkImageToStructuredPoints_GetInput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorInput <- function( .input=vtkImageData()){
    check.VTK(.input,"vtkImageData")
    res<-.Call("R_vtkImageToStructuredPoints_SetVectorInput",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkImageData(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorInput <- function(){
    res<-.Call("R_vtkImageToStructuredPoints_GetVectorInput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput <- function(){
    res<-.Call("R_vtkImageToStructuredPoints_GetOutput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkStructuredPoints(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput_v1 <- function( .idx){
    res<-.Call("R_vtkImageToStructuredPoints_GetOutput_v1",.me$obj, .idx,PACKAGE="RVTK.Base")
    res$ret.val <- vtkStructuredPoints(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageToStructuredPoints_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageToStructuredPoints",class(.me))
  return(.me)
}
