vtkInterpolatedVelocityField <- function(.me=environment()){
  .me <- vtkFunctionSet(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkInterpolatedVelocityField_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkInterpolatedVelocityField_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkInterpolatedVelocityField_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkInterpolatedVelocityField_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkInterpolatedVelocityField(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkInterpolatedVelocityField_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkInterpolatedVelocityField(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FunctionValues <- function( .x, .f){
    res<-.Call("R_vtkInterpolatedVelocityField_FunctionValues",.me$obj, .x, .f,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddDataSet <- function( .dataset=vtkDataSet()){
    check.VTK(.dataset,"vtkDataSet")
    res<-.Call("R_vtkInterpolatedVelocityField_AddDataSet",.me$obj, .dataset$obj,PACKAGE="RVTK.Base")
    res$.dataset <- vtkDataSet(wrapenv(res$.dataset))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLastCellId <- function(){
    res<-.Call("R_vtkInterpolatedVelocityField_GetLastCellId",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLastCellId <- function( ._arg){
    res<-.Call("R_vtkInterpolatedVelocityField_SetLastCellId",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClearLastCellId <- function(){
    res<-.Call("R_vtkInterpolatedVelocityField_ClearLastCellId",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLastWeights <- function( .w){
    res<-.Call("R_vtkInterpolatedVelocityField_GetLastWeights",.me$obj, .w,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLastLocalCoordinates <- function( .pcoords=as.double(rep.int(1,3))){
    res<-.Call("R_vtkInterpolatedVelocityField_GetLastLocalCoordinates",.me$obj, .pcoords,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCaching <- function(){
    res<-.Call("R_vtkInterpolatedVelocityField_GetCaching",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCaching <- function( ._arg){
    res<-.Call("R_vtkInterpolatedVelocityField_SetCaching",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CachingOn <- function(){
    res<-.Call("R_vtkInterpolatedVelocityField_CachingOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CachingOff <- function(){
    res<-.Call("R_vtkInterpolatedVelocityField_CachingOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCacheHit <- function(){
    res<-.Call("R_vtkInterpolatedVelocityField_GetCacheHit",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCacheMiss <- function(){
    res<-.Call("R_vtkInterpolatedVelocityField_GetCacheMiss",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorsSelection <- function(){
    res<-.Call("R_vtkInterpolatedVelocityField_GetVectorsSelection",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SelectVectors <- function( .fieldName){
    res<-.Call("R_vtkInterpolatedVelocityField_SelectVectors",.me$obj, .fieldName,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLastDataSet <- function(){
    res<-.Call("R_vtkInterpolatedVelocityField_GetLastDataSet",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkInterpolatedVelocityField_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkInterpolatedVelocityField",class(.me))
  return(.me)
}
