vtkKochanekSpline <- function(.me=environment()){
  .me <- vtkSpline(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkKochanekSpline_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkKochanekSpline_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkKochanekSpline_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkKochanekSpline_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkKochanekSpline(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkKochanekSpline_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkKochanekSpline(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Compute <- function(){
    res<-.Call("R_vtkKochanekSpline_Compute",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Evaluate <- function( .t){
    res<-.Call("R_vtkKochanekSpline_Evaluate",.me$obj, .t,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDefaultBias <- function( ._arg){
    res<-.Call("R_vtkKochanekSpline_SetDefaultBias",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDefaultBias <- function(){
    res<-.Call("R_vtkKochanekSpline_GetDefaultBias",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDefaultTension <- function( ._arg){
    res<-.Call("R_vtkKochanekSpline_SetDefaultTension",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDefaultTension <- function(){
    res<-.Call("R_vtkKochanekSpline_GetDefaultTension",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDefaultContinuity <- function( ._arg){
    res<-.Call("R_vtkKochanekSpline_SetDefaultContinuity",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDefaultContinuity <- function(){
    res<-.Call("R_vtkKochanekSpline_GetDefaultContinuity",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .s=vtkSpline()){
    check.VTK(.s,"vtkSpline")
    res<-.Call("R_vtkKochanekSpline_DeepCopy",.me$obj, .s$obj,PACKAGE="RVTK.Base")
    res$.s <- vtkSpline(wrapenv(res$.s))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkKochanekSpline_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkKochanekSpline",class(.me))
  return(.me)
}
