vtkLinearTransform <- function(.me=environment()){
  .me <- vtkHomogeneousTransform(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkLinearTransform_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkLinearTransform_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkLinearTransform_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkLinearTransform_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkLinearTransform(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkLinearTransform_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkLinearTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformNormal <- function( .in, .out=as.single(rep.int(1,3))){
    res<-.Call("R_vtkLinearTransform_TransformNormal",.me$obj, .in, .out,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformNormal_v1 <- function( .in, .out=as.double(rep.int(1,3))){
    res<-.Call("R_vtkLinearTransform_TransformNormal_v1",.me$obj, .in, .out,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformNormal_v2 <- function( .x, .y, .z){
    res<-.Call("R_vtkLinearTransform_TransformNormal_v2",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformNormal_v3 <- function( .normal){
    res<-.Call("R_vtkLinearTransform_TransformNormal_v3",.me$obj, .normal,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformFloatNormal <- function( .x, .y, .z){
    res<-.Call("R_vtkLinearTransform_TransformFloatNormal",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformFloatNormal_v1 <- function( .normal){
    res<-.Call("R_vtkLinearTransform_TransformFloatNormal_v1",.me$obj, .normal,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformDoubleNormal <- function( .x, .y, .z){
    res<-.Call("R_vtkLinearTransform_TransformDoubleNormal",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformDoubleNormal_v1 <- function( .normal){
    res<-.Call("R_vtkLinearTransform_TransformDoubleNormal_v1",.me$obj, .normal,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformVector <- function( .x, .y, .z){
    res<-.Call("R_vtkLinearTransform_TransformVector",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformVector_v1 <- function( .normal){
    res<-.Call("R_vtkLinearTransform_TransformVector_v1",.me$obj, .normal,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformVector_v2 <- function( .in, .out=as.single(rep.int(1,3))){
    res<-.Call("R_vtkLinearTransform_TransformVector_v2",.me$obj, .in, .out,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformVector_v3 <- function( .in, .out=as.double(rep.int(1,3))){
    res<-.Call("R_vtkLinearTransform_TransformVector_v3",.me$obj, .in, .out,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformFloatVector <- function( .x, .y, .z){
    res<-.Call("R_vtkLinearTransform_TransformFloatVector",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformFloatVector_v1 <- function( .vec){
    res<-.Call("R_vtkLinearTransform_TransformFloatVector_v1",.me$obj, .vec,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformDoubleVector <- function( .x, .y, .z){
    res<-.Call("R_vtkLinearTransform_TransformDoubleVector",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformDoubleVector_v1 <- function( .vec){
    res<-.Call("R_vtkLinearTransform_TransformDoubleVector_v1",.me$obj, .vec,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformPoints <- function( .inPts=vtkPoints(), .outPts=vtkPoints()){
    check.VTK(.inPts,"vtkPoints")
    check.VTK(.outPts,"vtkPoints")
    res<-.Call("R_vtkLinearTransform_TransformPoints",.me$obj, .inPts$obj, .outPts$obj,PACKAGE="RVTK.Base")
    res$.inPts <- vtkPoints(wrapenv(res$.inPts))
    res$.outPts <- vtkPoints(wrapenv(res$.outPts))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformNormals <- function( .inNms=vtkDataArray(), .outNms=vtkDataArray()){
    check.VTK(.inNms,"vtkDataArray")
    check.VTK(.outNms,"vtkDataArray")
    res<-.Call("R_vtkLinearTransform_TransformNormals",.me$obj, .inNms$obj, .outNms$obj,PACKAGE="RVTK.Base")
    res$.inNms <- vtkDataArray(wrapenv(res$.inNms))
    res$.outNms <- vtkDataArray(wrapenv(res$.outNms))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformVectors <- function( .inNms=vtkDataArray(), .outNms=vtkDataArray()){
    check.VTK(.inNms,"vtkDataArray")
    check.VTK(.outNms,"vtkDataArray")
    res<-.Call("R_vtkLinearTransform_TransformVectors",.me$obj, .inNms$obj, .outNms$obj,PACKAGE="RVTK.Base")
    res$.inNms <- vtkDataArray(wrapenv(res$.inNms))
    res$.outNms <- vtkDataArray(wrapenv(res$.outNms))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformPointsNormalsVectors <- function( .inPts=vtkPoints(), .outPts=vtkPoints(), .inNms=vtkDataArray(), .outNms=vtkDataArray(), .inVrs=vtkDataArray(), .outVrs=vtkDataArray()){
    check.VTK(.inPts,"vtkPoints")
    check.VTK(.outPts,"vtkPoints")
    check.VTK(.inNms,"vtkDataArray")
    check.VTK(.outNms,"vtkDataArray")
    check.VTK(.inVrs,"vtkDataArray")
    check.VTK(.outVrs,"vtkDataArray")
    res<-.Call("R_vtkLinearTransform_TransformPointsNormalsVectors",.me$obj, .inPts$obj, .outPts$obj, .inNms$obj, .outNms$obj, .inVrs$obj, .outVrs$obj,PACKAGE="RVTK.Base")
    res$.inPts <- vtkPoints(wrapenv(res$.inPts))
    res$.outPts <- vtkPoints(wrapenv(res$.outPts))
    res$.inNms <- vtkDataArray(wrapenv(res$.inNms))
    res$.outNms <- vtkDataArray(wrapenv(res$.outNms))
    res$.inVrs <- vtkDataArray(wrapenv(res$.inVrs))
    res$.outVrs <- vtkDataArray(wrapenv(res$.outVrs))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLinearInverse <- function(){
    res<-.Call("R_vtkLinearTransform_GetLinearInverse",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkLinearTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InternalTransformPoint <- function( .in, .out=as.single(rep.int(1,3))){
    res<-.Call("R_vtkLinearTransform_InternalTransformPoint",.me$obj, .in, .out,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InternalTransformPoint_v1 <- function( .in, .out=as.double(rep.int(1,3))){
    res<-.Call("R_vtkLinearTransform_InternalTransformPoint_v1",.me$obj, .in, .out,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InternalTransformNormal <- function( .in, .out=as.single(rep.int(1,3))){
    res<-.Call("R_vtkLinearTransform_InternalTransformNormal",.me$obj, .in, .out,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InternalTransformNormal_v1 <- function( .in, .out=as.double(rep.int(1,3))){
    res<-.Call("R_vtkLinearTransform_InternalTransformNormal_v1",.me$obj, .in, .out,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InternalTransformVector <- function( .in, .out=as.single(rep.int(1,3))){
    res<-.Call("R_vtkLinearTransform_InternalTransformVector",.me$obj, .in, .out,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InternalTransformVector_v1 <- function( .in, .out=as.double(rep.int(1,3))){
    res<-.Call("R_vtkLinearTransform_InternalTransformVector_v1",.me$obj, .in, .out,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkLinearTransform",class(.me))
  return(.me)
}
