vtkLookupTable <- function(.me=environment()){
  .me <- vtkScalarsToColors(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkLookupTable_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkLookupTable_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkLookupTable_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkLookupTable_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkLookupTable(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkLookupTable_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkLookupTable(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Allocate <- function( .sz, .ext){
    res<-.Call("R_vtkLookupTable_Allocate",.me$obj, .sz, .ext,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Build <- function(){
    res<-.Call("R_vtkLookupTable_Build",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ForceBuild <- function(){
    res<-.Call("R_vtkLookupTable_ForceBuild",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRamp <- function( ._arg){
    res<-.Call("R_vtkLookupTable_SetRamp",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRampToLinear <- function(){
    res<-.Call("R_vtkLookupTable_SetRampToLinear",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRampToSCurve <- function(){
    res<-.Call("R_vtkLookupTable_SetRampToSCurve",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRampToSQRT <- function(){
    res<-.Call("R_vtkLookupTable_SetRampToSQRT",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRamp <- function(){
    res<-.Call("R_vtkLookupTable_GetRamp",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScale <- function( .scale){
    res<-.Call("R_vtkLookupTable_SetScale",.me$obj, .scale,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScaleToLinear <- function(){
    res<-.Call("R_vtkLookupTable_SetScaleToLinear",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScaleToLog10 <- function(){
    res<-.Call("R_vtkLookupTable_SetScaleToLog10",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScale <- function(){
    res<-.Call("R_vtkLookupTable_GetScale",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTableRange <- function( .r=as.double(rep.int(1,2))){
    res<-.Call("R_vtkLookupTable_SetTableRange",.me$obj, .r,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTableRange_v1 <- function( .rmin, .rmax){
    res<-.Call("R_vtkLookupTable_SetTableRange_v1",.me$obj, .rmin, .rmax,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTableRange <- function(){
    res<-.Call("R_vtkLookupTable_GetTableRange",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTableRange_v1 <- function( .data){
    res<-.Call("R_vtkLookupTable_GetTableRange_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetHueRange <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkLookupTable_SetHueRange",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetHueRange_v1 <- function( ._arg){
    res<-.Call("R_vtkLookupTable_SetHueRange_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHueRange <- function(){
    res<-.Call("R_vtkLookupTable_GetHueRange",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHueRange_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1))){
    res<-.Call("R_vtkLookupTable_GetHueRange_v1",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHueRange_v2 <- function( ._arg){
    res<-.Call("R_vtkLookupTable_GetHueRange_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSaturationRange <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkLookupTable_SetSaturationRange",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSaturationRange_v1 <- function( ._arg){
    res<-.Call("R_vtkLookupTable_SetSaturationRange_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSaturationRange <- function(){
    res<-.Call("R_vtkLookupTable_GetSaturationRange",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSaturationRange_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1))){
    res<-.Call("R_vtkLookupTable_GetSaturationRange_v1",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSaturationRange_v2 <- function( ._arg){
    res<-.Call("R_vtkLookupTable_GetSaturationRange_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetValueRange <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkLookupTable_SetValueRange",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetValueRange_v1 <- function( ._arg){
    res<-.Call("R_vtkLookupTable_SetValueRange_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetValueRange <- function(){
    res<-.Call("R_vtkLookupTable_GetValueRange",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetValueRange_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1))){
    res<-.Call("R_vtkLookupTable_GetValueRange_v1",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetValueRange_v2 <- function( ._arg){
    res<-.Call("R_vtkLookupTable_GetValueRange_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAlphaRange <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkLookupTable_SetAlphaRange",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAlphaRange_v1 <- function( ._arg){
    res<-.Call("R_vtkLookupTable_SetAlphaRange_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAlphaRange <- function(){
    res<-.Call("R_vtkLookupTable_GetAlphaRange",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAlphaRange_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1))){
    res<-.Call("R_vtkLookupTable_GetAlphaRange_v1",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAlphaRange_v2 <- function( ._arg){
    res<-.Call("R_vtkLookupTable_GetAlphaRange_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MapValue <- function( .v){
    res<-.Call("R_vtkLookupTable_MapValue",.me$obj, .v,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColor <- function( .x){
    res<-.Call("R_vtkLookupTable_GetColor",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColor_v1 <- function( .v, .rgb=as.double(rep.int(1,3))){
    res<-.Call("R_vtkLookupTable_GetColor_v1",.me$obj, .v, .rgb,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOpacity <- function( .v){
    res<-.Call("R_vtkLookupTable_GetOpacity",.me$obj, .v,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIndex <- function( .v){
    res<-.Call("R_vtkLookupTable_GetIndex",.me$obj, .v,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfTableValues <- function( .number){
    res<-.Call("R_vtkLookupTable_SetNumberOfTableValues",.me$obj, .number,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfTableValues <- function(){
    res<-.Call("R_vtkLookupTable_GetNumberOfTableValues",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTableValue <- function( .indx, .rgba=as.double(rep.int(1,4))){
    res<-.Call("R_vtkLookupTable_SetTableValue",.me$obj, .indx, .rgba,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTableValue_v1 <- function( .indx, .r, .g, .b, .a){
    res<-.Call("R_vtkLookupTable_SetTableValue_v1",.me$obj, .indx, .r, .g, .b, .a,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTableValue <- function( .indx){
    res<-.Call("R_vtkLookupTable_GetTableValue",.me$obj, .indx,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTableValue_v1 <- function( .indx, .rgba=as.double(rep.int(1,4))){
    res<-.Call("R_vtkLookupTable_GetTableValue_v1",.me$obj, .indx, .rgba,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointer <- function( .id){
    res<-.Call("R_vtkLookupTable_GetPointer",.me$obj, .id,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WritePointer <- function( .id, .number){
    res<-.Call("R_vtkLookupTable_WritePointer",.me$obj, .id, .number,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRange <- function(){
    res<-.Call("R_vtkLookupTable_GetRange",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRange <- function( .min, .max){
    res<-.Call("R_vtkLookupTable_SetRange",.me$obj, .min, .max,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRange_v1 <- function( .rng=as.double(rep.int(1,2))){
    res<-.Call("R_vtkLookupTable_SetRange_v1",.me$obj, .rng,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfColors <- function( ._arg){
    res<-.Call("R_vtkLookupTable_SetNumberOfColors",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfColorsMinValue <- function(){
    res<-.Call("R_vtkLookupTable_GetNumberOfColorsMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfColorsMaxValue <- function(){
    res<-.Call("R_vtkLookupTable_GetNumberOfColorsMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfColors <- function(){
    res<-.Call("R_vtkLookupTable_GetNumberOfColors",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MapScalarsThroughTable2 <- function( .input, .output, .inputDataType, .numberOfValues, .inputIncrement, .outputFormat){
    res<-.Call("R_vtkLookupTable_MapScalarsThroughTable2",.me$obj, .input, .output, .inputDataType, .numberOfValues, .inputIncrement, .outputFormat,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .lut=vtkLookupTable()){
    check.VTK(.lut,"vtkLookupTable")
    res<-.Call("R_vtkLookupTable_DeepCopy",.me$obj, .lut$obj,PACKAGE="RVTK.Base")
    res$.lut <- vtkLookupTable(wrapenv(res$.lut))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkLookupTable_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkLookupTable",class(.me))
  return(.me)
}
