vtkMassProperties <- function(.me=environment()){
  .me <- vtkProcessObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkMassProperties_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkMassProperties_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkMassProperties_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkMassProperties_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMassProperties(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkMassProperties_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMassProperties(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVolume <- function(){
    res<-.Call("R_vtkMassProperties_GetVolume",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVolumeX <- function(){
    res<-.Call("R_vtkMassProperties_GetVolumeX",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVolumeY <- function(){
    res<-.Call("R_vtkMassProperties_GetVolumeY",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVolumeZ <- function(){
    res<-.Call("R_vtkMassProperties_GetVolumeZ",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKx <- function(){
    res<-.Call("R_vtkMassProperties_GetKx",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKy <- function(){
    res<-.Call("R_vtkMassProperties_GetKy",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKz <- function(){
    res<-.Call("R_vtkMassProperties_GetKz",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSurfaceArea <- function(){
    res<-.Call("R_vtkMassProperties_GetSurfaceArea",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormalizedShapeIndex <- function(){
    res<-.Call("R_vtkMassProperties_GetNormalizedShapeIndex",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Update <- function(){
    res<-.Call("R_vtkMassProperties_Update",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkPolyData()){
    check.VTK(.input,"vtkPolyData")
    res<-.Call("R_vtkMassProperties_SetInput",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkPolyData(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkMassProperties_GetInput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkMassProperties_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkMassProperties",class(.me))
  return(.me)
}
