vtkMath <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkMath_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkMath_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkMath_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkMath_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMath(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkMath_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMath(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Pi <- function(){
    res<-.Call("R_vtkMath_Pi",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DegreesToRadians <- function(){
    res<-.Call("R_vtkMath_DegreesToRadians",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RadiansToDegrees <- function(){
    res<-.Call("R_vtkMath_RadiansToDegrees",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DoubleDegreesToRadians <- function(){
    res<-.Call("R_vtkMath_DoubleDegreesToRadians",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DoublePi <- function(){
    res<-.Call("R_vtkMath_DoublePi",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DoubleRadiansToDegrees <- function(){
    res<-.Call("R_vtkMath_DoubleRadiansToDegrees",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Round <- function( .f){
    res<-.Call("R_vtkMath_Round",.me$obj, .f,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Round_v1 <- function( .f){
    res<-.Call("R_vtkMath_Round_v1",.me$obj, .f,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Floor <- function( .x){
    res<-.Call("R_vtkMath_Floor",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Dot <- function( .x, .y){
    res<-.Call("R_vtkMath_Dot",.me$obj, .x, .y,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Dot_v1 <- function( .x, .y){
    res<-.Call("R_vtkMath_Dot_v1",.me$obj, .x, .y,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Cross <- function( .x, .y, .z=as.single(rep.int(1,3))){
    res<-.Call("R_vtkMath_Cross",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Cross_v1 <- function( .x, .y, .z=as.double(rep.int(1,3))){
    res<-.Call("R_vtkMath_Cross_v1",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Norm <- function( .x, .n){
    res<-.Call("R_vtkMath_Norm",.me$obj, .x, .n,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Norm_v1 <- function( .x, .n){
    res<-.Call("R_vtkMath_Norm_v1",.me$obj, .x, .n,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Norm_v2 <- function( .x){
    res<-.Call("R_vtkMath_Norm_v2",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Norm_v3 <- function( .x){
    res<-.Call("R_vtkMath_Norm_v3",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Normalize <- function( .x=as.single(rep.int(1,3))){
    res<-.Call("R_vtkMath_Normalize",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Normalize_v1 <- function( .x=as.double(rep.int(1,3))){
    res<-.Call("R_vtkMath_Normalize_v1",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Perpendiculars <- function( .x, .y=as.double(rep.int(1,3)), .z=as.double(rep.int(1,3)), .theta){
    res<-.Call("R_vtkMath_Perpendiculars",.me$obj, .x, .y, .z, .theta,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Perpendiculars_v1 <- function( .x, .y=as.single(rep.int(1,3)), .z=as.single(rep.int(1,3)), .theta){
    res<-.Call("R_vtkMath_Perpendiculars_v1",.me$obj, .x, .y, .z, .theta,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Distance2BetweenPoints <- function( .x, .y){
    res<-.Call("R_vtkMath_Distance2BetweenPoints",.me$obj, .x, .y,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Distance2BetweenPoints_v1 <- function( .x, .y){
    res<-.Call("R_vtkMath_Distance2BetweenPoints_v1",.me$obj, .x, .y,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Dot2D <- function( .x, .y){
    res<-.Call("R_vtkMath_Dot2D",.me$obj, .x, .y,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Dot2D_v1 <- function( .x, .y){
    res<-.Call("R_vtkMath_Dot2D_v1",.me$obj, .x, .y,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Norm2D <- function( .x){
    res<-.Call("R_vtkMath_Norm2D",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Norm2D_v1 <- function( .x){
    res<-.Call("R_vtkMath_Norm2D_v1",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Normalize2D <- function( .x=as.single(rep.int(1,3))){
    res<-.Call("R_vtkMath_Normalize2D",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Normalize2D_v1 <- function( .x=as.double(rep.int(1,3))){
    res<-.Call("R_vtkMath_Normalize2D_v1",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Determinant2x2 <- function( .c1, .c2){
    res<-.Call("R_vtkMath_Determinant2x2",.me$obj, .c1, .c2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Determinant2x2_v1 <- function( .a, .b, .c, .d){
    res<-.Call("R_vtkMath_Determinant2x2_v1",.me$obj, .a, .b, .c, .d,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Determinant2x2_v2 <- function( .c1, .c2){
    res<-.Call("R_vtkMath_Determinant2x2_v2",.me$obj, .c1, .c2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Determinant3x3 <- function( .c1, .c2, .c3){
    res<-.Call("R_vtkMath_Determinant3x3",.me$obj, .c1, .c2, .c3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Determinant3x3_v1 <- function( .c1, .c2, .c3){
    res<-.Call("R_vtkMath_Determinant3x3_v1",.me$obj, .c1, .c2, .c3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Determinant3x3_v2 <- function( .a1, .a2, .a3, .b1, .b2, .b3, .c1, .c2, .c3){
    res<-.Call("R_vtkMath_Determinant3x3_v2",.me$obj, .a1, .a2, .a3, .b1, .b2, .b3, .c1, .c2, .c3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RandomSeed <- function( .s){
    res<-.Call("R_vtkMath_RandomSeed",.me$obj, .s,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Random <- function(){
    res<-.Call("R_vtkMath_Random",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Random_v1 <- function( .min, .max){
    res<-.Call("R_vtkMath_Random_v1",.me$obj, .min, .max,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SolveCubic <- function( .c0, .c1, .c2, .c3){
    res<-.Call("R_vtkMath_SolveCubic",.me$obj, .c0, .c1, .c2, .c3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SolveQuadratic <- function( .c1, .c2, .c3){
    res<-.Call("R_vtkMath_SolveQuadratic",.me$obj, .c1, .c2, .c3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SolveLinear <- function( .c2, .c3){
    res<-.Call("R_vtkMath_SolveLinear",.me$obj, .c2, .c3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SolveCubic_v1 <- function( .c0, .c1, .c2, .c3, .r1, .r2, .r3, .num_roots){
    res<-.Call("R_vtkMath_SolveCubic_v1",.me$obj, .c0, .c1, .c2, .c3, .r1, .r2, .r3, .num_roots,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SolveQuadratic_v1 <- function( .c1, .c2, .c3, .r1, .r2, .num_roots){
    res<-.Call("R_vtkMath_SolveQuadratic_v1",.me$obj, .c1, .c2, .c3, .r1, .r2, .num_roots,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SolveLinear_v1 <- function( .c2, .c3, .r1, .num_roots){
    res<-.Call("R_vtkMath_SolveLinear_v1",.me$obj, .c2, .c3, .r1, .num_roots,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RGBToHSV <- function( .rgb=as.single(rep.int(1,3)), .hsv=as.single(rep.int(1,3))){
    res<-.Call("R_vtkMath_RGBToHSV",.me$obj, .rgb, .hsv,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RGBToHSV_v1 <- function( .r, .g, .b, .h, .s, .v){
    res<-.Call("R_vtkMath_RGBToHSV_v1",.me$obj, .r, .g, .b, .h, .s, .v,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RGBToHSV_v2 <- function( .rgb=as.double(rep.int(1,3)), .hsv=as.double(rep.int(1,3))){
    res<-.Call("R_vtkMath_RGBToHSV_v2",.me$obj, .rgb, .hsv,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RGBToHSV_v3 <- function( .r, .g, .b, .h, .s, .v){
    res<-.Call("R_vtkMath_RGBToHSV_v3",.me$obj, .r, .g, .b, .h, .s, .v,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HSVToRGB <- function( .hsv=as.single(rep.int(1,3)), .rgb=as.single(rep.int(1,3))){
    res<-.Call("R_vtkMath_HSVToRGB",.me$obj, .hsv, .rgb,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HSVToRGB_v1 <- function( .h, .s, .v, .r, .g, .b){
    res<-.Call("R_vtkMath_HSVToRGB_v1",.me$obj, .h, .s, .v, .r, .g, .b,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HSVToRGB_v2 <- function( .hsv=as.double(rep.int(1,3)), .rgb=as.double(rep.int(1,3))){
    res<-.Call("R_vtkMath_HSVToRGB_v2",.me$obj, .hsv, .rgb,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HSVToRGB_v3 <- function( .h, .s, .v, .r, .g, .b){
    res<-.Call("R_vtkMath_HSVToRGB_v3",.me$obj, .h, .s, .v, .r, .g, .b,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UninitializeBounds <- function( .bounds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkMath_UninitializeBounds",.me$obj, .bounds,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AreBoundsInitialized <- function( .bounds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkMath_AreBoundsInitialized",.me$obj, .bounds,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkMath_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkMath",class(.me))
  return(.me)
}
