vtkMatrixToLinearTransform <- function(.me=environment()){
  .me <- vtkLinearTransform(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkMatrixToLinearTransform_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkMatrixToLinearTransform_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkMatrixToLinearTransform_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkMatrixToLinearTransform_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMatrixToLinearTransform(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkMatrixToLinearTransform_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMatrixToLinearTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( ._arg=vtkMatrix4x4()){
    check.VTK(._arg,"vtkMatrix4x4")
    res<-.Call("R_vtkMatrixToLinearTransform_SetInput",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkMatrix4x4(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkMatrixToLinearTransform_GetInput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMatrix4x4(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Inverse <- function(){
    res<-.Call("R_vtkMatrixToLinearTransform_Inverse",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkMatrixToLinearTransform_GetMTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MakeTransform <- function(){
    res<-.Call("R_vtkMatrixToLinearTransform_MakeTransform",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAbstractTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMatrix <- function( .matrix=vtkMatrix4x4()){
    check.VTK(.matrix,"vtkMatrix4x4")
    res<-.Call("R_vtkMatrixToLinearTransform_SetMatrix",.me$obj, .matrix$obj,PACKAGE="RVTK.Base")
    res$.matrix <- vtkMatrix4x4(wrapenv(res$.matrix))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkMatrixToLinearTransform_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkMatrixToLinearTransform",class(.me))
  return(.me)
}
