vtkMergeDataObjectFilter <- function(.me=environment()){
  .me <- vtkDataSetToDataSetFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkMergeDataObjectFilter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkMergeDataObjectFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkMergeDataObjectFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkMergeDataObjectFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMergeDataObjectFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkMergeDataObjectFilter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMergeDataObjectFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataObject <- function( .d=vtkDataObject()){
    check.VTK(.d,"vtkDataObject")
    res<-.Call("R_vtkMergeDataObjectFilter_SetDataObject",.me$obj, .d$obj,PACKAGE="RVTK.Base")
    res$.d <- vtkDataObject(wrapenv(res$.d))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataObject <- function(){
    res<-.Call("R_vtkMergeDataObjectFilter_GetDataObject",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputField <- function( ._arg){
    res<-.Call("R_vtkMergeDataObjectFilter_SetOutputField",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputField <- function(){
    res<-.Call("R_vtkMergeDataObjectFilter_GetOutputField",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputFieldToDataObjectField <- function(){
    res<-.Call("R_vtkMergeDataObjectFilter_SetOutputFieldToDataObjectField",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputFieldToPointDataField <- function(){
    res<-.Call("R_vtkMergeDataObjectFilter_SetOutputFieldToPointDataField",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputFieldToCellDataField <- function(){
    res<-.Call("R_vtkMergeDataObjectFilter_SetOutputFieldToCellDataField",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkMergeDataObjectFilter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkMergeDataObjectFilter",class(.me))
  return(.me)
}
