vtkMergeFilter <- function(.me=environment()){
  .me <- vtkDataSetToDataSetFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkMergeFilter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkMergeFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkMergeFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkMergeFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMergeFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkMergeFilter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMergeFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGeometry <- function( .input=vtkDataSet()){
    check.VTK(.input,"vtkDataSet")
    res<-.Call("R_vtkMergeFilter_SetGeometry",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkDataSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGeometry <- function(){
    res<-.Call("R_vtkMergeFilter_GetGeometry",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalars <- function( .input=vtkDataSet()){
    check.VTK(.input,"vtkDataSet")
    res<-.Call("R_vtkMergeFilter_SetScalars",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkDataSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalars <- function(){
    res<-.Call("R_vtkMergeFilter_GetScalars",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectors <- function( .input=vtkDataSet()){
    check.VTK(.input,"vtkDataSet")
    res<-.Call("R_vtkMergeFilter_SetVectors",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkDataSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectors <- function(){
    res<-.Call("R_vtkMergeFilter_GetVectors",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNormals <- function( .input=vtkDataSet()){
    check.VTK(.input,"vtkDataSet")
    res<-.Call("R_vtkMergeFilter_SetNormals",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkDataSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormals <- function(){
    res<-.Call("R_vtkMergeFilter_GetNormals",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTCoords <- function( .input=vtkDataSet()){
    check.VTK(.input,"vtkDataSet")
    res<-.Call("R_vtkMergeFilter_SetTCoords",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkDataSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTCoords <- function(){
    res<-.Call("R_vtkMergeFilter_GetTCoords",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTensors <- function( .input=vtkDataSet()){
    check.VTK(.input,"vtkDataSet")
    res<-.Call("R_vtkMergeFilter_SetTensors",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkDataSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTensors <- function(){
    res<-.Call("R_vtkMergeFilter_GetTensors",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddField <- function( .name, .input=vtkDataSet()){
    check.VTK(.input,"vtkDataSet")
    res<-.Call("R_vtkMergeFilter_AddField",.me$obj, .name, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkDataSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkMergeFilter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkMergeFilter",class(.me))
  return(.me)
}
