vtkMergePoints <- function(.me=environment()){
  .me <- vtkPointLocator(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkMergePoints_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkMergePoints_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkMergePoints_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkMergePoints_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMergePoints(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkMergePoints_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMergePoints(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsInsertedPoint <- function( .x){
    res<-.Call("R_vtkMergePoints_IsInsertedPoint",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsInsertedPoint_v1 <- function( .x, .y, .z){
    res<-.Call("R_vtkMergePoints_IsInsertedPoint_v1",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertUniquePoint <- function( .x, .id=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkMergePoints_InsertUniquePoint",.me$obj, .x, .id,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkMergePoints_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkMergePoints",class(.me))
  return(.me)
}
