vtkMultiBlockDataIterator <- function(.me=environment()){
  .me <- vtkCompositeDataIterator(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkMultiBlockDataIterator_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkMultiBlockDataIterator_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkMultiBlockDataIterator_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkMultiBlockDataIterator_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMultiBlockDataIterator(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkMultiBlockDataIterator_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMultiBlockDataIterator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GoToFirstItem <- function(){
    res<-.Call("R_vtkMultiBlockDataIterator_GoToFirstItem",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GoToNextItem <- function(){
    res<-.Call("R_vtkMultiBlockDataIterator_GoToNextItem",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsDoneWithTraversal <- function(){
    res<-.Call("R_vtkMultiBlockDataIterator_IsDoneWithTraversal",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCurrentDataObject <- function(){
    res<-.Call("R_vtkMultiBlockDataIterator_GetCurrentDataObject",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataSet <- function( .dataset=vtkMultiBlockDataSet()){
    check.VTK(.dataset,"vtkMultiBlockDataSet")
    res<-.Call("R_vtkMultiBlockDataIterator_SetDataSet",.me$obj, .dataset$obj,PACKAGE="RVTK.Base")
    res$.dataset <- vtkMultiBlockDataSet(wrapenv(res$.dataset))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataSet <- function(){
    res<-.Call("R_vtkMultiBlockDataIterator_GetDataSet",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMultiBlockDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkMultiBlockDataIterator_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkMultiBlockDataIterator",class(.me))
  return(.me)
}
