vtkOBBTree <- function(.me=environment()){
  .me <- vtkCellLocator(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkOBBTree_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkOBBTree_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkOBBTree_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkOBBTree_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkOBBTree(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkOBBTree_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkOBBTree(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeOBB <- function( .pts=vtkPoints(), .corner=as.double(rep.int(1,3)), .max=as.double(rep.int(1,3)), .mid=as.double(rep.int(1,3)), .min=as.double(rep.int(1,3)), .size=as.double(rep.int(1,3))){
    check.VTK(.pts,"vtkPoints")
    res<-.Call("R_vtkOBBTree_ComputeOBB",.me$obj, .pts$obj, .corner, .max, .mid, .min, .size,PACKAGE="RVTK.Base")
    res$.pts <- vtkPoints(wrapenv(res$.pts))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeOBB_v1 <- function( .input=vtkDataSet(), .corner=as.double(rep.int(1,3)), .max=as.double(rep.int(1,3)), .mid=as.double(rep.int(1,3)), .min=as.double(rep.int(1,3)), .size=as.double(rep.int(1,3))){
    check.VTK(.input,"vtkDataSet")
    res<-.Call("R_vtkOBBTree_ComputeOBB_v1",.me$obj, .input$obj, .corner, .max, .mid, .min, .size,PACKAGE="RVTK.Base")
    res$.input <- vtkDataSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsideOrOutside <- function( .point){
    res<-.Call("R_vtkOBBTree_InsideOrOutside",.me$obj, .point,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectWithLine <- function( .p1, .p2, .points=vtkPoints(), .cellIds=vtkIdList()){
    check.VTK(.points,"vtkPoints")
    check.VTK(.cellIds,"vtkIdList")
    res<-.Call("R_vtkOBBTree_IntersectWithLine",.me$obj, .p1, .p2, .points$obj, .cellIds$obj,PACKAGE="RVTK.Base")
    res$.points <- vtkPoints(wrapenv(res$.points))
    res$.cellIds <- vtkIdList(wrapenv(res$.cellIds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectWithLine_v1 <- function( .a0=as.double(rep.int(1,3)), .a1=as.double(rep.int(1,3)), .tol, .t=as.double(rep.int(1,1)), .x=as.double(rep.int(1,3)), .pcoords=as.double(rep.int(1,3)), .subId=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkOBBTree_IntersectWithLine_v1",.me$obj, .a0, .a1, .tol, .t, .x, .pcoords, .subId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectWithLine_v2 <- function( .a0=as.double(rep.int(1,3)), .a1=as.double(rep.int(1,3)), .tol, .t=as.double(rep.int(1,1)), .x=as.double(rep.int(1,3)), .pcoords=as.double(rep.int(1,3)), .subId=as.integer(rep.int(1,1)), .cellId=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkOBBTree_IntersectWithLine_v2",.me$obj, .a0, .a1, .tol, .t, .x, .pcoords, .subId, .cellId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectWithLine_v3 <- function( .a0=as.double(rep.int(1,3)), .a1=as.double(rep.int(1,3)), .tol, .t=as.double(rep.int(1,1)), .x=as.double(rep.int(1,3)), .pcoords=as.double(rep.int(1,3)), .subId=as.integer(rep.int(1,1)), .cellId=as.integer(rep.int(1,1)), .cell=vtkGenericCell()){
    check.VTK(.cell,"vtkGenericCell")
    res<-.Call("R_vtkOBBTree_IntersectWithLine_v3",.me$obj, .a0, .a1, .tol, .t, .x, .pcoords, .subId, .cellId, .cell$obj,PACKAGE="RVTK.Base")
    res$.cell <- vtkGenericCell(wrapenv(res$.cell))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DisjointOBBNodes <- function( .nodeA=vtkOBBNode(), .nodeB=vtkOBBNode(), .XformBtoA=vtkMatrix4x4()){
    check.VTK(.nodeA,"vtkOBBNode")
    check.VTK(.nodeB,"vtkOBBNode")
    check.VTK(.XformBtoA,"vtkMatrix4x4")
    res<-.Call("R_vtkOBBTree_DisjointOBBNodes",.me$obj, .nodeA$obj, .nodeB$obj, .XformBtoA$obj,PACKAGE="RVTK.Base")
    res$.nodeA <- vtkOBBNode(wrapenv(res$.nodeA))
    res$.nodeB <- vtkOBBNode(wrapenv(res$.nodeB))
    res$.XformBtoA <- vtkMatrix4x4(wrapenv(res$.XformBtoA))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$LineIntersectsNode <- function( .pA=vtkOBBNode(), .b0=as.double(rep.int(1,3)), .b1=as.double(rep.int(1,3))){
    check.VTK(.pA,"vtkOBBNode")
    res<-.Call("R_vtkOBBTree_LineIntersectsNode",.me$obj, .pA$obj, .b0, .b1,PACKAGE="RVTK.Base")
    res$.pA <- vtkOBBNode(wrapenv(res$.pA))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TriangleIntersectsNode <- function( .nodeA=vtkOBBNode(), .p0=as.double(rep.int(1,3)), .p1=as.double(rep.int(1,3)), .p2=as.double(rep.int(1,3)), .XformBtoA=vtkMatrix4x4()){
    check.VTK(.nodeA,"vtkOBBNode")
    check.VTK(.XformBtoA,"vtkMatrix4x4")
    res<-.Call("R_vtkOBBTree_TriangleIntersectsNode",.me$obj, .nodeA$obj, .p0, .p1, .p2, .XformBtoA$obj,PACKAGE="RVTK.Base")
    res$.nodeA <- vtkOBBNode(wrapenv(res$.nodeA))
    res$.XformBtoA <- vtkMatrix4x4(wrapenv(res$.XformBtoA))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FreeSearchStructure <- function(){
    res<-.Call("R_vtkOBBTree_FreeSearchStructure",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BuildLocator <- function(){
    res<-.Call("R_vtkOBBTree_BuildLocator",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GenerateRepresentation <- function( .level, .pd=vtkPolyData()){
    check.VTK(.pd,"vtkPolyData")
    res<-.Call("R_vtkOBBTree_GenerateRepresentation",.me$obj, .level, .pd$obj,PACKAGE="RVTK.Base")
    res$.pd <- vtkPolyData(wrapenv(res$.pd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkOBBTree_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkOBBTree",class(.me))
  return(.me)
}
