vtkObjectFactoryCollection <- function(.me=environment()){
  .me <- vtkCollection(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkObjectFactoryCollection_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkObjectFactoryCollection_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkObjectFactoryCollection_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkObjectFactoryCollection_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkObjectFactoryCollection(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkObjectFactoryCollection_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkObjectFactoryCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddItem <- function( .t=vtkObjectFactory()){
    check.VTK(.t,"vtkObjectFactory")
    res<-.Call("R_vtkObjectFactoryCollection_AddItem",.me$obj, .t$obj,PACKAGE="RVTK.Base")
    res$.t <- vtkObjectFactory(wrapenv(res$.t))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextItem <- function(){
    res<-.Call("R_vtkObjectFactoryCollection_GetNextItem",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkObjectFactory(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkObjectFactoryCollection_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkObjectFactoryCollection",class(.me))
  return(.me)
}
