vtkOutlineSource <- function(.me=environment()){
  .me <- vtkPolyDataSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkOutlineSource_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkOutlineSource_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkOutlineSource_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkOutlineSource_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkOutlineSource(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkOutlineSource_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkOutlineSource(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBoxType <- function( ._arg){
    res<-.Call("R_vtkOutlineSource_SetBoxType",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBoxType <- function(){
    res<-.Call("R_vtkOutlineSource_GetBoxType",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBoxTypeToAxisAligned <- function(){
    res<-.Call("R_vtkOutlineSource_SetBoxTypeToAxisAligned",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBoxTypeToOriented <- function(){
    res<-.Call("R_vtkOutlineSource_SetBoxTypeToOriented",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBounds <- function( ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6){
    res<-.Call("R_vtkOutlineSource_SetBounds",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBounds_v1 <- function( ._arg){
    res<-.Call("R_vtkOutlineSource_SetBounds_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds <- function(){
    res<-.Call("R_vtkOutlineSource_GetBounds",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds_v1 <- function( .data){
    res<-.Call("R_vtkOutlineSource_GetBounds_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCorners <- function( .data){
    res<-.Call("R_vtkOutlineSource_SetCorners",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCorners <- function(){
    res<-.Call("R_vtkOutlineSource_GetCorners",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCorners_v1 <- function( .data){
    res<-.Call("R_vtkOutlineSource_GetCorners_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkOutlineSource_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkOutlineSource",class(.me))
  return(.me)
}
