vtkOutputStream <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkOutputStream_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkOutputStream_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkOutputStream_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkOutputStream_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkOutputStream(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkOutputStream_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkOutputStream(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StartWriting <- function(){
    res<-.Call("R_vtkOutputStream_StartWriting",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Write <- function( .data, .length){
    res<-.Call("R_vtkOutputStream_Write",.me$obj, .data, .length,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Write_v1 <- function( .data, .length){
    res<-.Call("R_vtkOutputStream_Write_v1",.me$obj, .data, .length,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EndWriting <- function(){
    res<-.Call("R_vtkOutputStream_EndWriting",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkOutputStream_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkOutputStream",class(.me))
  return(.me)
}
