vtkOutputWindow <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkOutputWindow_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkOutputWindow_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkOutputWindow_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkOutputWindow_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkOutputWindow(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkOutputWindow_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkOutputWindow(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInstance <- function(){
    res<-.Call("R_vtkOutputWindow_GetInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkOutputWindow(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInstance <- function( .instance=vtkOutputWindow()){
    check.VTK(.instance,"vtkOutputWindow")
    res<-.Call("R_vtkOutputWindow_SetInstance",.me$obj, .instance$obj,PACKAGE="RVTK.Base")
    res$.instance <- vtkOutputWindow(wrapenv(res$.instance))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DisplayText <- function( .txt){
    res<-.Call("R_vtkOutputWindow_DisplayText",.me$obj, .txt,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DisplayErrorText <- function( .txt){
    res<-.Call("R_vtkOutputWindow_DisplayErrorText",.me$obj, .txt,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DisplayWarningText <- function( .txt){
    res<-.Call("R_vtkOutputWindow_DisplayWarningText",.me$obj, .txt,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DisplayGenericWarningText <- function( .txt){
    res<-.Call("R_vtkOutputWindow_DisplayGenericWarningText",.me$obj, .txt,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DisplayDebugText <- function( .txt){
    res<-.Call("R_vtkOutputWindow_DisplayDebugText",.me$obj, .txt,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PromptUserOn <- function(){
    res<-.Call("R_vtkOutputWindow_PromptUserOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PromptUserOff <- function(){
    res<-.Call("R_vtkOutputWindow_PromptUserOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPromptUser <- function( ._arg){
    res<-.Call("R_vtkOutputWindow_SetPromptUser",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkOutputWindow_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkOutputWindow",class(.me))
  return(.me)
}
