vtkPlane <- function(.me=environment()){
  .me <- vtkImplicitFunction(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkPlane_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPlane_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPlane_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPlane_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPlane(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPlane_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPlane(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluateFunction <- function( .x=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPlane_EvaluateFunction",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluateFunction_v1 <- function( .x, .y, .z){
    res<-.Call("R_vtkPlane_EvaluateFunction_v1",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNormal <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkPlane_SetNormal",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNormal_v1 <- function( ._arg){
    res<-.Call("R_vtkPlane_SetNormal_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormal <- function(){
    res<-.Call("R_vtkPlane_GetNormal",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormal_v1 <- function( .data){
    res<-.Call("R_vtkPlane_GetNormal_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOrigin <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkPlane_SetOrigin",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOrigin_v1 <- function( ._arg){
    res<-.Call("R_vtkPlane_SetOrigin_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrigin <- function(){
    res<-.Call("R_vtkPlane_GetOrigin",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrigin_v1 <- function( .data){
    res<-.Call("R_vtkPlane_GetOrigin_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Push <- function( .distance){
    res<-.Call("R_vtkPlane_Push",.me$obj, .distance,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ProjectPoint <- function( .x=as.double(rep.int(1,3)), .origin=as.double(rep.int(1,3)), .normal=as.double(rep.int(1,3)), .xproj=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPlane_ProjectPoint",.me$obj, .x, .origin, .normal, .xproj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GeneralizedProjectPoint <- function( .x=as.double(rep.int(1,3)), .origin=as.double(rep.int(1,3)), .normal=as.double(rep.int(1,3)), .xproj=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPlane_GeneralizedProjectPoint",.me$obj, .x, .origin, .normal, .xproj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Evaluate <- function( .normal=as.double(rep.int(1,3)), .origin=as.double(rep.int(1,3)), .x=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPlane_Evaluate",.me$obj, .normal, .origin, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DistanceToPlane <- function( .x=as.double(rep.int(1,3)), .n=as.double(rep.int(1,3)), .p0=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPlane_DistanceToPlane",.me$obj, .x, .n, .p0,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectWithLine <- function( .p1=as.double(rep.int(1,3)), .p2=as.double(rep.int(1,3)), .n=as.double(rep.int(1,3)), .p0=as.double(rep.int(1,3)), .t=as.double(rep.int(1,1)), .x=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPlane_IntersectWithLine",.me$obj, .p1, .p2, .n, .p0, .t, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPlane_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPlane",class(.me))
  return(.me)
}
