vtkPlaneCollection <- function(.me=environment()){
  .me <- vtkCollection(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkPlaneCollection_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPlaneCollection_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPlaneCollection_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPlaneCollection_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPlaneCollection(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPlaneCollection_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPlaneCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddItem <- function( .f=vtkPlane()){
    check.VTK(.f,"vtkPlane")
    res<-.Call("R_vtkPlaneCollection_AddItem",.me$obj, .f$obj,PACKAGE="RVTK.Base")
    res$.f <- vtkPlane(wrapenv(res$.f))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextItem <- function(){
    res<-.Call("R_vtkPlaneCollection_GetNextItem",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPlane(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPlaneCollection_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPlaneCollection",class(.me))
  return(.me)
}
