vtkPlaneSource <- function(.me=environment()){
  .me <- vtkPolyDataSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkPlaneSource_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPlaneSource_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPlaneSource_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPlaneSource_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPlaneSource(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPlaneSource_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPlaneSource(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetXResolution <- function( ._arg){
    res<-.Call("R_vtkPlaneSource_SetXResolution",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetXResolution <- function(){
    res<-.Call("R_vtkPlaneSource_GetXResolution",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetYResolution <- function( ._arg){
    res<-.Call("R_vtkPlaneSource_SetYResolution",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetYResolution <- function(){
    res<-.Call("R_vtkPlaneSource_GetYResolution",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResolution <- function( .xR, .yR){
    res<-.Call("R_vtkPlaneSource_SetResolution",.me$obj, .xR, .yR,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResolution <- function( .xR=as.integer(rep.int(1,1)), .yR=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkPlaneSource_GetResolution",.me$obj, .xR, .yR,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOrigin <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkPlaneSource_SetOrigin",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOrigin_v1 <- function( ._arg){
    res<-.Call("R_vtkPlaneSource_SetOrigin_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrigin <- function(){
    res<-.Call("R_vtkPlaneSource_GetOrigin",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrigin_v1 <- function( .data){
    res<-.Call("R_vtkPlaneSource_GetOrigin_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPoint1 <- function( .x, .y, .z){
    res<-.Call("R_vtkPlaneSource_SetPoint1",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPoint1_v1 <- function( .pnt=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPlaneSource_SetPoint1_v1",.me$obj, .pnt,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint1 <- function(){
    res<-.Call("R_vtkPlaneSource_GetPoint1",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint1_v1 <- function( .data){
    res<-.Call("R_vtkPlaneSource_GetPoint1_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPoint2 <- function( .x, .y, .z){
    res<-.Call("R_vtkPlaneSource_SetPoint2",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPoint2_v1 <- function( .pnt=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPlaneSource_SetPoint2_v1",.me$obj, .pnt,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint2 <- function(){
    res<-.Call("R_vtkPlaneSource_GetPoint2",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint2_v1 <- function( .data){
    res<-.Call("R_vtkPlaneSource_GetPoint2_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCenter <- function( .x, .y, .z){
    res<-.Call("R_vtkPlaneSource_SetCenter",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCenter_v1 <- function( .center=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPlaneSource_SetCenter_v1",.me$obj, .center,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCenter <- function(){
    res<-.Call("R_vtkPlaneSource_GetCenter",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCenter_v1 <- function( .data){
    res<-.Call("R_vtkPlaneSource_GetCenter_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNormal <- function( .nx, .ny, .nz){
    res<-.Call("R_vtkPlaneSource_SetNormal",.me$obj, .nx, .ny, .nz,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNormal_v1 <- function( .N=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPlaneSource_SetNormal_v1",.me$obj, .N,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormal <- function(){
    res<-.Call("R_vtkPlaneSource_GetNormal",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormal_v1 <- function( .data){
    res<-.Call("R_vtkPlaneSource_GetNormal_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Push <- function( .distance){
    res<-.Call("R_vtkPlaneSource_Push",.me$obj, .distance,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPlaneSource_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPlaneSource",class(.me))
  return(.me)
}
