vtkPointLocator <- function(.me=environment()){
  .me <- vtkLocator(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkPointLocator_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPointLocator_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPointLocator_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPointLocator_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPointLocator(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPointLocator_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPointLocator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDivisions <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkPointLocator_SetDivisions",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDivisions_v1 <- function( ._arg){
    res<-.Call("R_vtkPointLocator_SetDivisions_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDivisions <- function(){
    res<-.Call("R_vtkPointLocator_GetDivisions",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDivisions_v1 <- function( .data){
    res<-.Call("R_vtkPointLocator_GetDivisions_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfPointsPerBucket <- function( ._arg){
    res<-.Call("R_vtkPointLocator_SetNumberOfPointsPerBucket",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfPointsPerBucketMinValue <- function(){
    res<-.Call("R_vtkPointLocator_GetNumberOfPointsPerBucketMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfPointsPerBucketMaxValue <- function(){
    res<-.Call("R_vtkPointLocator_GetNumberOfPointsPerBucketMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfPointsPerBucket <- function(){
    res<-.Call("R_vtkPointLocator_GetNumberOfPointsPerBucket",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindClosestPoint <- function( .x){
    res<-.Call("R_vtkPointLocator_FindClosestPoint",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindClosestPoint_v1 <- function( .x, .y, .z){
    res<-.Call("R_vtkPointLocator_FindClosestPoint_v1",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindClosestPointWithinRadius <- function( .radius, .x, .dist2=as.double(rep.int(1,1))){
    res<-.Call("R_vtkPointLocator_FindClosestPointWithinRadius",.me$obj, .radius, .x, .dist2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindClosestPointWithinRadius_v1 <- function( .radius, .x, .inputDataLength, .dist2=as.double(rep.int(1,1))){
    res<-.Call("R_vtkPointLocator_FindClosestPointWithinRadius_v1",.me$obj, .radius, .x, .inputDataLength, .dist2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitPointInsertion <- function( .newPts=vtkPoints(), .bounds){
    check.VTK(.newPts,"vtkPoints")
    res<-.Call("R_vtkPointLocator_InitPointInsertion",.me$obj, .newPts$obj, .bounds,PACKAGE="RVTK.Base")
    res$.newPts <- vtkPoints(wrapenv(res$.newPts))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitPointInsertion_v1 <- function( .newPts=vtkPoints(), .bounds, .estNumPts){
    check.VTK(.newPts,"vtkPoints")
    res<-.Call("R_vtkPointLocator_InitPointInsertion_v1",.me$obj, .newPts$obj, .bounds, .estNumPts,PACKAGE="RVTK.Base")
    res$.newPts <- vtkPoints(wrapenv(res$.newPts))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertPoint <- function( .ptId, .x){
    res<-.Call("R_vtkPointLocator_InsertPoint",.me$obj, .ptId, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertNextPoint <- function( .x){
    res<-.Call("R_vtkPointLocator_InsertNextPoint",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsInsertedPoint <- function( .x, .y, .z){
    res<-.Call("R_vtkPointLocator_IsInsertedPoint",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsInsertedPoint_v1 <- function( .x){
    res<-.Call("R_vtkPointLocator_IsInsertedPoint_v1",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertUniquePoint <- function( .x, .id=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkPointLocator_InsertUniquePoint",.me$obj, .x, .id,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindClosestInsertedPoint <- function( .x){
    res<-.Call("R_vtkPointLocator_FindClosestInsertedPoint",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindClosestNPoints <- function( .N, .x, .result=vtkIdList()){
    check.VTK(.result,"vtkIdList")
    res<-.Call("R_vtkPointLocator_FindClosestNPoints",.me$obj, .N, .x, .result$obj,PACKAGE="RVTK.Base")
    res$.result <- vtkIdList(wrapenv(res$.result))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindClosestNPoints_v1 <- function( .N, .x, .y, .z, .result=vtkIdList()){
    check.VTK(.result,"vtkIdList")
    res<-.Call("R_vtkPointLocator_FindClosestNPoints_v1",.me$obj, .N, .x, .y, .z, .result$obj,PACKAGE="RVTK.Base")
    res$.result <- vtkIdList(wrapenv(res$.result))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindDistributedPoints <- function( .N, .x, .result=vtkIdList(), .M){
    check.VTK(.result,"vtkIdList")
    res<-.Call("R_vtkPointLocator_FindDistributedPoints",.me$obj, .N, .x, .result$obj, .M,PACKAGE="RVTK.Base")
    res$.result <- vtkIdList(wrapenv(res$.result))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindDistributedPoints_v1 <- function( .N, .x, .y, .z, .result=vtkIdList(), .M){
    check.VTK(.result,"vtkIdList")
    res<-.Call("R_vtkPointLocator_FindDistributedPoints_v1",.me$obj, .N, .x, .y, .z, .result$obj, .M,PACKAGE="RVTK.Base")
    res$.result <- vtkIdList(wrapenv(res$.result))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindPointsWithinRadius <- function( .R, .x, .result=vtkIdList()){
    check.VTK(.result,"vtkIdList")
    res<-.Call("R_vtkPointLocator_FindPointsWithinRadius",.me$obj, .R, .x, .result$obj,PACKAGE="RVTK.Base")
    res$.result <- vtkIdList(wrapenv(res$.result))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindPointsWithinRadius_v1 <- function( .R, .x, .y, .z, .result=vtkIdList()){
    check.VTK(.result,"vtkIdList")
    res<-.Call("R_vtkPointLocator_FindPointsWithinRadius_v1",.me$obj, .R, .x, .y, .z, .result$obj,PACKAGE="RVTK.Base")
    res$.result <- vtkIdList(wrapenv(res$.result))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointsInBucket <- function( .x, .ijk=as.integer(rep.int(1,3))){
    res<-.Call("R_vtkPointLocator_GetPointsInBucket",.me$obj, .x, .ijk,PACKAGE="RVTK.Base")
    res$ret.val <- vtkIdList(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkPointLocator_Initialize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FreeSearchStructure <- function(){
    res<-.Call("R_vtkPointLocator_FreeSearchStructure",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BuildLocator <- function(){
    res<-.Call("R_vtkPointLocator_BuildLocator",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPointLocator_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPointLocator",class(.me))
  return(.me)
}
