vtkPointSetToPointSetFilter <- function(.me=environment()){
  .me <- vtkPointSetSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkPointSetToPointSetFilter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPointSetToPointSetFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPointSetToPointSetFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPointSetToPointSetFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPointSetToPointSetFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPointSetToPointSetFilter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPointSetToPointSetFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkPointSet()){
    check.VTK(.input,"vtkPointSet")
    res<-.Call("R_vtkPointSetToPointSetFilter_SetInput",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkPointSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkPointSetToPointSetFilter_GetInput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPointSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput <- function(){
    res<-.Call("R_vtkPointSetToPointSetFilter_GetOutput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPointSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput_v1 <- function( .idx){
    res<-.Call("R_vtkPointSetToPointSetFilter_GetOutput_v1",.me$obj, .idx,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPointSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPolyDataOutput <- function(){
    res<-.Call("R_vtkPointSetToPointSetFilter_GetPolyDataOutput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStructuredGridOutput <- function(){
    res<-.Call("R_vtkPointSetToPointSetFilter_GetStructuredGridOutput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkStructuredGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUnstructuredGridOutput <- function(){
    res<-.Call("R_vtkPointSetToPointSetFilter_GetUnstructuredGridOutput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkUnstructuredGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeInputUpdateExtents <- function( .output=vtkDataObject()){
    check.VTK(.output,"vtkDataObject")
    res<-.Call("R_vtkPointSetToPointSetFilter_ComputeInputUpdateExtents",.me$obj, .output$obj,PACKAGE="RVTK.Base")
    res$.output <- vtkDataObject(wrapenv(res$.output))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkPointSetToPointSetFilter",class(.me))
  return(.me)
}
