vtkPolyDataReader <- function(.me=environment()){
  .me <- vtkDataReader(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkPolyDataReader_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPolyDataReader_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPolyDataReader_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPolyDataReader_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPolyDataReader(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPolyDataReader_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPolyDataReader(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput <- function(){
    res<-.Call("R_vtkPolyDataReader_GetOutput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput_v1 <- function( .idx){
    res<-.Call("R_vtkPolyDataReader_GetOutput_v1",.me$obj, .idx,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutput <- function( .output=vtkPolyData()){
    check.VTK(.output,"vtkPolyData")
    res<-.Call("R_vtkPolyDataReader_SetOutput",.me$obj, .output$obj,PACKAGE="RVTK.Base")
    res$.output <- vtkPolyData(wrapenv(res$.output))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPolyDataReader_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPolyDataReader",class(.me))
  return(.me)
}
