vtkPolygon <- function(.me=environment()){
  .me <- vtkCell(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkPolygon_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPolygon_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPolygon_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPolygon_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPolygon(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPolygon_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPolygon(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellType <- function(){
    res<-.Call("R_vtkPolygon_GetCellType",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellDimension <- function(){
    res<-.Call("R_vtkPolygon_GetCellDimension",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfEdges <- function(){
    res<-.Call("R_vtkPolygon_GetNumberOfEdges",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfFaces <- function(){
    res<-.Call("R_vtkPolygon_GetNumberOfFaces",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEdge <- function( .edgeId){
    res<-.Call("R_vtkPolygon_GetEdge",.me$obj, .edgeId,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCell(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Contour <- function( .value, .cellScalars=vtkDataArray(), .locator=vtkPointLocator(), .verts=vtkCellArray(), .lines=vtkCellArray(), .polys=vtkCellArray(), .inPd=vtkPointData(), .outPd=vtkPointData(), .inCd=vtkCellData(), .cellId, .outCd=vtkCellData()){
    check.VTK(.cellScalars,"vtkDataArray")
    check.VTK(.locator,"vtkPointLocator")
    check.VTK(.verts,"vtkCellArray")
    check.VTK(.lines,"vtkCellArray")
    check.VTK(.polys,"vtkCellArray")
    check.VTK(.inPd,"vtkPointData")
    check.VTK(.outPd,"vtkPointData")
    check.VTK(.inCd,"vtkCellData")
    check.VTK(.outCd,"vtkCellData")
    res<-.Call("R_vtkPolygon_Contour",.me$obj, .value, .cellScalars$obj, .locator$obj, .verts$obj, .lines$obj, .polys$obj, .inPd$obj, .outPd$obj, .inCd$obj, .cellId, .outCd$obj,PACKAGE="RVTK.Base")
    res$.cellScalars <- vtkDataArray(wrapenv(res$.cellScalars))
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    res$.verts <- vtkCellArray(wrapenv(res$.verts))
    res$.lines <- vtkCellArray(wrapenv(res$.lines))
    res$.polys <- vtkCellArray(wrapenv(res$.polys))
    res$.inPd <- vtkPointData(wrapenv(res$.inPd))
    res$.outPd <- vtkPointData(wrapenv(res$.outPd))
    res$.inCd <- vtkCellData(wrapenv(res$.inCd))
    res$.outCd <- vtkCellData(wrapenv(res$.outCd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Clip <- function( .value, .cellScalars=vtkDataArray(), .locator=vtkPointLocator(), .tris=vtkCellArray(), .inPD=vtkPointData(), .outPD=vtkPointData(), .inCD=vtkCellData(), .cellId, .outCD=vtkCellData(), .insideOut){
    check.VTK(.cellScalars,"vtkDataArray")
    check.VTK(.locator,"vtkPointLocator")
    check.VTK(.tris,"vtkCellArray")
    check.VTK(.inPD,"vtkPointData")
    check.VTK(.outPD,"vtkPointData")
    check.VTK(.inCD,"vtkCellData")
    check.VTK(.outCD,"vtkCellData")
    res<-.Call("R_vtkPolygon_Clip",.me$obj, .value, .cellScalars$obj, .locator$obj, .tris$obj, .inPD$obj, .outPD$obj, .inCD$obj, .cellId, .outCD$obj, .insideOut,PACKAGE="RVTK.Base")
    res$.cellScalars <- vtkDataArray(wrapenv(res$.cellScalars))
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    res$.tris <- vtkCellArray(wrapenv(res$.tris))
    res$.inPD <- vtkPointData(wrapenv(res$.inPD))
    res$.outPD <- vtkPointData(wrapenv(res$.outPD))
    res$.inCD <- vtkCellData(wrapenv(res$.inCD))
    res$.outCD <- vtkCellData(wrapenv(res$.outCD))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectWithLine <- function( .p1=as.double(rep.int(1,3)), .p2=as.double(rep.int(1,3)), .tol, .t=as.double(rep.int(1,1)), .x=as.double(rep.int(1,3)), .pcoords=as.double(rep.int(1,3)), .subId=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkPolygon_IntersectWithLine",.me$obj, .p1, .p2, .tol, .t, .x, .pcoords, .subId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsPrimaryCell <- function(){
    res<-.Call("R_vtkPolygon_IsPrimaryCell",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeNormal <- function( .p=vtkPoints(), .numPts, .pts, .n){
    check.VTK(.p,"vtkPoints")
    res<-.Call("R_vtkPolygon_ComputeNormal",.me$obj, .p$obj, .numPts, .pts, .n,PACKAGE="RVTK.Base")
    res$.p <- vtkPoints(wrapenv(res$.p))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeNormal_v1 <- function( .p=vtkPoints(), .n){
    check.VTK(.p,"vtkPoints")
    res<-.Call("R_vtkPolygon_ComputeNormal_v1",.me$obj, .p$obj, .n,PACKAGE="RVTK.Base")
    res$.p <- vtkPoints(wrapenv(res$.p))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeNormal_v2 <- function( .numPts, .pts, .n=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPolygon_ComputeNormal_v2",.me$obj, .numPts, .pts, .n,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeWeights <- function( .x=as.double(rep.int(1,3)), .weights){
    res<-.Call("R_vtkPolygon_ComputeWeights",.me$obj, .x, .weights,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ParameterizePolygon <- function( .p0, .p10, .l10=as.double(rep.int(1,1)), .p20, .l20=as.double(rep.int(1,1)), .n){
    res<-.Call("R_vtkPolygon_ParameterizePolygon",.me$obj, .p0, .p10, .l10, .p20, .l20, .n,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PointInPolygon <- function( .x=as.double(rep.int(1,3)), .numPts, .pts, .bounds=as.double(rep.int(1,6)), .n){
    res<-.Call("R_vtkPolygon_PointInPolygon",.me$obj, .x, .numPts, .pts, .bounds, .n,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Triangulate <- function( .outTris=vtkIdList()){
    check.VTK(.outTris,"vtkIdList")
    res<-.Call("R_vtkPolygon_Triangulate",.me$obj, .outTris$obj,PACKAGE="RVTK.Base")
    res$.outTris <- vtkIdList(wrapenv(res$.outTris))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectPolygonWithPolygon <- function( .npts, .pts, .bounds=as.double(rep.int(1,6)), .npts2, .pts2, .bounds2=as.double(rep.int(1,6)), .tol2, .x=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPolygon_IntersectPolygonWithPolygon",.me$obj, .npts, .pts, .bounds, .npts2, .pts2, .bounds2, .tol2, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPolygon_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPolygon",class(.me))
  return(.me)
}
