vtkProbeFilter <- function(.me=environment()){
  .me <- vtkDataSetToDataSetFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkProbeFilter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkProbeFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkProbeFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkProbeFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkProbeFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkProbeFilter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkProbeFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSource <- function( .input=vtkDataSet()){
    check.VTK(.input,"vtkDataSet")
    res<-.Call("R_vtkProbeFilter_SetSource",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkDataSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSource <- function(){
    res<-.Call("R_vtkProbeFilter_GetSource",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSpatialMatch <- function( ._arg){
    res<-.Call("R_vtkProbeFilter_SetSpatialMatch",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpatialMatch <- function(){
    res<-.Call("R_vtkProbeFilter_GetSpatialMatch",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SpatialMatchOn <- function(){
    res<-.Call("R_vtkProbeFilter_SpatialMatchOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SpatialMatchOff <- function(){
    res<-.Call("R_vtkProbeFilter_SpatialMatchOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetValidPoints <- function(){
    res<-.Call("R_vtkProbeFilter_GetValidPoints",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkIdTypeArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkProbeFilter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkProbeFilter",class(.me))
  return(.me)
}
