vtkProgrammableFilter <- function(.me=environment()){
  .me <- vtkDataSetToDataSetFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkProgrammableFilter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkProgrammableFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkProgrammableFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkProgrammableFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkProgrammableFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkProgrammableFilter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkProgrammableFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExecuteMethod <- function( .f, ...){
    check.VTK(.f,"function")
    assign(".SetExecuteMethod",.f,envir=.me)
    assign(".SetExecuteMethod.env", environment(),envir=.me)
    res<-.Call("R_vtkProgrammableFilter_SetExecuteMethod",.me$obj, quote(.f(...)), environment(),PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPolyDataInput <- function(){
    res<-.Call("R_vtkProgrammableFilter_GetPolyDataInput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStructuredPointsInput <- function(){
    res<-.Call("R_vtkProgrammableFilter_GetStructuredPointsInput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkStructuredPoints(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStructuredGridInput <- function(){
    res<-.Call("R_vtkProgrammableFilter_GetStructuredGridInput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkStructuredGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUnstructuredGridInput <- function(){
    res<-.Call("R_vtkProgrammableFilter_GetUnstructuredGridInput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkUnstructuredGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRectilinearGridInput <- function(){
    res<-.Call("R_vtkProgrammableFilter_GetRectilinearGridInput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkRectilinearGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkProgrammableFilter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkProgrammableFilter",class(.me))
  return(.me)
}
