vtkProgrammableGlyphFilter <- function(.me=environment()){
  .me <- vtkDataSetToPolyDataFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkProgrammableGlyphFilter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkProgrammableGlyphFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkProgrammableGlyphFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkProgrammableGlyphFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkProgrammableGlyphFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkProgrammableGlyphFilter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkProgrammableGlyphFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSource <- function( .pd=vtkPolyData()){
    check.VTK(.pd,"vtkPolyData")
    res<-.Call("R_vtkProgrammableGlyphFilter_SetSource",.me$obj, .pd$obj,PACKAGE="RVTK.Base")
    res$.pd <- vtkPolyData(wrapenv(res$.pd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSource <- function(){
    res<-.Call("R_vtkProgrammableGlyphFilter_GetSource",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGlyphMethod <- function( .f, ...){
    check.VTK(.f,"function")
    assign(".SetGlyphMethod",.f,envir=.me)
    assign(".SetGlyphMethod.env", environment(),envir=.me)
    res<-.Call("R_vtkProgrammableGlyphFilter_SetGlyphMethod",.me$obj, quote(.f(...)), environment(),PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointId <- function(){
    res<-.Call("R_vtkProgrammableGlyphFilter_GetPointId",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint <- function(){
    res<-.Call("R_vtkProgrammableGlyphFilter_GetPoint",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1))){
    res<-.Call("R_vtkProgrammableGlyphFilter_GetPoint_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint_v2 <- function( ._arg){
    res<-.Call("R_vtkProgrammableGlyphFilter_GetPoint_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointData <- function(){
    res<-.Call("R_vtkProgrammableGlyphFilter_GetPointData",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPointData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorMode <- function( ._arg){
    res<-.Call("R_vtkProgrammableGlyphFilter_SetColorMode",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColorMode <- function(){
    res<-.Call("R_vtkProgrammableGlyphFilter_GetColorMode",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorModeToColorByInput <- function(){
    res<-.Call("R_vtkProgrammableGlyphFilter_SetColorModeToColorByInput",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorModeToColorBySource <- function(){
    res<-.Call("R_vtkProgrammableGlyphFilter_SetColorModeToColorBySource",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColorModeAsString <- function(){
    res<-.Call("R_vtkProgrammableGlyphFilter_GetColorModeAsString",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkProgrammableGlyphFilter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkProgrammableGlyphFilter",class(.me))
  return(.me)
}
