vtkQuadricClustering <- function(.me=environment()){
  .me <- vtkPolyDataToPolyDataFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkQuadricClustering_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkQuadricClustering_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkQuadricClustering_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkQuadricClustering_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkQuadricClustering(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkQuadricClustering_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkQuadricClustering(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfXDivisions <- function( .num){
    res<-.Call("R_vtkQuadricClustering_SetNumberOfXDivisions",.me$obj, .num,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfYDivisions <- function( .num){
    res<-.Call("R_vtkQuadricClustering_SetNumberOfYDivisions",.me$obj, .num,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfZDivisions <- function( .num){
    res<-.Call("R_vtkQuadricClustering_SetNumberOfZDivisions",.me$obj, .num,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfXDivisions <- function(){
    res<-.Call("R_vtkQuadricClustering_GetNumberOfXDivisions",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfYDivisions <- function(){
    res<-.Call("R_vtkQuadricClustering_GetNumberOfYDivisions",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfZDivisions <- function(){
    res<-.Call("R_vtkQuadricClustering_GetNumberOfZDivisions",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfDivisions <- function( .div=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkQuadricClustering_SetNumberOfDivisions",.me$obj, .div,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfDivisions_v1 <- function( .div0, .div1, .div2){
    res<-.Call("R_vtkQuadricClustering_SetNumberOfDivisions_v1",.me$obj, .div0, .div1, .div2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfDivisions <- function(){
    res<-.Call("R_vtkQuadricClustering_GetNumberOfDivisions",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfDivisions_v1 <- function( .divs=as.integer(rep.int(1,3))){
    res<-.Call("R_vtkQuadricClustering_GetNumberOfDivisions_v1",.me$obj, .divs,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAutoAdjustNumberOfDivisions <- function( ._arg){
    res<-.Call("R_vtkQuadricClustering_SetAutoAdjustNumberOfDivisions",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAutoAdjustNumberOfDivisions <- function(){
    res<-.Call("R_vtkQuadricClustering_GetAutoAdjustNumberOfDivisions",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AutoAdjustNumberOfDivisionsOn <- function(){
    res<-.Call("R_vtkQuadricClustering_AutoAdjustNumberOfDivisionsOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AutoAdjustNumberOfDivisionsOff <- function(){
    res<-.Call("R_vtkQuadricClustering_AutoAdjustNumberOfDivisionsOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDivisionOrigin <- function( .x, .y, .z){
    res<-.Call("R_vtkQuadricClustering_SetDivisionOrigin",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDivisionOrigin_v1 <- function( .o){
    res<-.Call("R_vtkQuadricClustering_SetDivisionOrigin_v1",.me$obj, .o,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDivisionOrigin <- function(){
    res<-.Call("R_vtkQuadricClustering_GetDivisionOrigin",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDivisionOrigin_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1))){
    res<-.Call("R_vtkQuadricClustering_GetDivisionOrigin_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDivisionOrigin_v2 <- function( ._arg){
    res<-.Call("R_vtkQuadricClustering_GetDivisionOrigin_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDivisionSpacing <- function( .x, .y, .z){
    res<-.Call("R_vtkQuadricClustering_SetDivisionSpacing",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDivisionSpacing_v1 <- function( .s){
    res<-.Call("R_vtkQuadricClustering_SetDivisionSpacing_v1",.me$obj, .s,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDivisionSpacing <- function(){
    res<-.Call("R_vtkQuadricClustering_GetDivisionSpacing",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDivisionSpacing_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1))){
    res<-.Call("R_vtkQuadricClustering_GetDivisionSpacing_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDivisionSpacing_v2 <- function( ._arg){
    res<-.Call("R_vtkQuadricClustering_GetDivisionSpacing_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUseInputPoints <- function( ._arg){
    res<-.Call("R_vtkQuadricClustering_SetUseInputPoints",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUseInputPoints <- function(){
    res<-.Call("R_vtkQuadricClustering_GetUseInputPoints",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseInputPointsOn <- function(){
    res<-.Call("R_vtkQuadricClustering_UseInputPointsOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseInputPointsOff <- function(){
    res<-.Call("R_vtkQuadricClustering_UseInputPointsOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUseFeatureEdges <- function( ._arg){
    res<-.Call("R_vtkQuadricClustering_SetUseFeatureEdges",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUseFeatureEdges <- function(){
    res<-.Call("R_vtkQuadricClustering_GetUseFeatureEdges",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseFeatureEdgesOn <- function(){
    res<-.Call("R_vtkQuadricClustering_UseFeatureEdgesOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseFeatureEdgesOff <- function(){
    res<-.Call("R_vtkQuadricClustering_UseFeatureEdgesOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFeatureEdges <- function(){
    res<-.Call("R_vtkQuadricClustering_GetFeatureEdges",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkFeatureEdges(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUseFeaturePoints <- function( ._arg){
    res<-.Call("R_vtkQuadricClustering_SetUseFeaturePoints",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUseFeaturePoints <- function(){
    res<-.Call("R_vtkQuadricClustering_GetUseFeaturePoints",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseFeaturePointsOn <- function(){
    res<-.Call("R_vtkQuadricClustering_UseFeaturePointsOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseFeaturePointsOff <- function(){
    res<-.Call("R_vtkQuadricClustering_UseFeaturePointsOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFeaturePointsAngle <- function( ._arg){
    res<-.Call("R_vtkQuadricClustering_SetFeaturePointsAngle",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFeaturePointsAngleMinValue <- function(){
    res<-.Call("R_vtkQuadricClustering_GetFeaturePointsAngleMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFeaturePointsAngleMaxValue <- function(){
    res<-.Call("R_vtkQuadricClustering_GetFeaturePointsAngleMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFeaturePointsAngle <- function(){
    res<-.Call("R_vtkQuadricClustering_GetFeaturePointsAngle",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUseInternalTriangles <- function( ._arg){
    res<-.Call("R_vtkQuadricClustering_SetUseInternalTriangles",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUseInternalTriangles <- function(){
    res<-.Call("R_vtkQuadricClustering_GetUseInternalTriangles",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseInternalTrianglesOn <- function(){
    res<-.Call("R_vtkQuadricClustering_UseInternalTrianglesOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseInternalTrianglesOff <- function(){
    res<-.Call("R_vtkQuadricClustering_UseInternalTrianglesOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StartAppend <- function( .bounds){
    res<-.Call("R_vtkQuadricClustering_StartAppend",.me$obj, .bounds,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StartAppend_v1 <- function( .x0, .x1, .y0, .y1, .z0, .z1){
    res<-.Call("R_vtkQuadricClustering_StartAppend_v1",.me$obj, .x0, .x1, .y0, .y1, .z0, .z1,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Append <- function( .pd=vtkPolyData()){
    check.VTK(.pd,"vtkPolyData")
    res<-.Call("R_vtkQuadricClustering_Append",.me$obj, .pd$obj,PACKAGE="RVTK.Base")
    res$.pd <- vtkPolyData(wrapenv(res$.pd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EndAppend <- function(){
    res<-.Call("R_vtkQuadricClustering_EndAppend",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCopyCellData <- function( ._arg){
    res<-.Call("R_vtkQuadricClustering_SetCopyCellData",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCopyCellData <- function(){
    res<-.Call("R_vtkQuadricClustering_GetCopyCellData",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyCellDataOn <- function(){
    res<-.Call("R_vtkQuadricClustering_CopyCellDataOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyCellDataOff <- function(){
    res<-.Call("R_vtkQuadricClustering_CopyCellDataOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkQuadricClustering_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkQuadricClustering",class(.me))
  return(.me)
}
