vtkRectilinearGridToTetrahedra <- function(.me=environment()){
  .me <- vtkUnstructuredGridSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkRectilinearGridToTetrahedra_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkRectilinearGridToTetrahedra_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkRectilinearGridToTetrahedra_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkRectilinearGridToTetrahedra_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkRectilinearGridToTetrahedra(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkRectilinearGridToTetrahedra_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkRectilinearGridToTetrahedra(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTetraPerCellTo5 <- function(){
    res<-.Call("R_vtkRectilinearGridToTetrahedra_SetTetraPerCellTo5",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTetraPerCellTo6 <- function(){
    res<-.Call("R_vtkRectilinearGridToTetrahedra_SetTetraPerCellTo6",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTetraPerCellTo12 <- function(){
    res<-.Call("R_vtkRectilinearGridToTetrahedra_SetTetraPerCellTo12",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTetraPerCellTo5And12 <- function(){
    res<-.Call("R_vtkRectilinearGridToTetrahedra_SetTetraPerCellTo5And12",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTetraPerCell <- function( ._arg){
    res<-.Call("R_vtkRectilinearGridToTetrahedra_SetTetraPerCell",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTetraPerCell <- function(){
    res<-.Call("R_vtkRectilinearGridToTetrahedra_GetTetraPerCell",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRememberVoxelId <- function( ._arg){
    res<-.Call("R_vtkRectilinearGridToTetrahedra_SetRememberVoxelId",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRememberVoxelId <- function(){
    res<-.Call("R_vtkRectilinearGridToTetrahedra_GetRememberVoxelId",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RememberVoxelIdOn <- function(){
    res<-.Call("R_vtkRectilinearGridToTetrahedra_RememberVoxelIdOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RememberVoxelIdOff <- function(){
    res<-.Call("R_vtkRectilinearGridToTetrahedra_RememberVoxelIdOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .Extent, .Spacing, .tol){
    res<-.Call("R_vtkRectilinearGridToTetrahedra_SetInput",.me$obj, .Extent, .Spacing, .tol,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput_v1 <- function( .ExtentX, .ExtentY, .ExtentZ, .SpacingX, .SpacingY, .SpacingZ, .tol){
    res<-.Call("R_vtkRectilinearGridToTetrahedra_SetInput_v1",.me$obj, .ExtentX, .ExtentY, .ExtentZ, .SpacingX, .SpacingY, .SpacingZ, .tol,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput_v2 <- function( .input=vtkRectilinearGrid()){
    check.VTK(.input,"vtkRectilinearGrid")
    res<-.Call("R_vtkRectilinearGridToTetrahedra_SetInput_v2",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkRectilinearGrid(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkRectilinearGridToTetrahedra_GetInput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkRectilinearGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkRectilinearGridToTetrahedra_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkRectilinearGridToTetrahedra",class(.me))
  return(.me)
}
