vtkRungeKutta4 <- function(.me=environment()){
  .me <- vtkInitialValueProblemSolver(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkRungeKutta4_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkRungeKutta4_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkRungeKutta4_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkRungeKutta4_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkRungeKutta4(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkRungeKutta4_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkRungeKutta4(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeNextStep <- function( .xprev, .xnext, .t, .delT=as.double(rep.int(1,1)), .maxError, .error=as.double(rep.int(1,1))){
    res<-.Call("R_vtkRungeKutta4_ComputeNextStep",.me$obj, .xprev, .xnext, .t, .delT, .maxError, .error,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeNextStep_v1 <- function( .xprev, .dxprev, .xnext, .t, .delT=as.double(rep.int(1,1)), .maxError, .error=as.double(rep.int(1,1))){
    res<-.Call("R_vtkRungeKutta4_ComputeNextStep_v1",.me$obj, .xprev, .dxprev, .xnext, .t, .delT, .maxError, .error,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeNextStep_v2 <- function( .xprev, .xnext, .t, .delT=as.double(rep.int(1,1)), .delTActual=as.double(rep.int(1,1)), .minStep, .maxStep, .maxError, .error=as.double(rep.int(1,1))){
    res<-.Call("R_vtkRungeKutta4_ComputeNextStep_v2",.me$obj, .xprev, .xnext, .t, .delT, .delTActual, .minStep, .maxStep, .maxError, .error,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkRungeKutta4_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkRungeKutta4",class(.me))
  return(.me)
}
