vtkRungeKutta45 <- function(.me=environment()){
  .me <- vtkInitialValueProblemSolver(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkRungeKutta45_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkRungeKutta45_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkRungeKutta45_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkRungeKutta45_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkRungeKutta45(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkRungeKutta45_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkRungeKutta45(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeNextStep <- function( .xprev, .xnext, .t, .delT=as.double(rep.int(1,1)), .maxError, .error=as.double(rep.int(1,1))){
    res<-.Call("R_vtkRungeKutta45_ComputeNextStep",.me$obj, .xprev, .xnext, .t, .delT, .maxError, .error,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeNextStep_v1 <- function( .xprev, .dxprev, .xnext, .t, .delT=as.double(rep.int(1,1)), .maxError, .error=as.double(rep.int(1,1))){
    res<-.Call("R_vtkRungeKutta45_ComputeNextStep_v1",.me$obj, .xprev, .dxprev, .xnext, .t, .delT, .maxError, .error,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeNextStep_v2 <- function( .xprev, .xnext, .t, .delT=as.double(rep.int(1,1)), .delTActual=as.double(rep.int(1,1)), .minStep, .maxStep, .maxError, .error=as.double(rep.int(1,1))){
    res<-.Call("R_vtkRungeKutta45_ComputeNextStep_v2",.me$obj, .xprev, .xnext, .t, .delT, .delTActual, .minStep, .maxStep, .maxError, .error,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeNextStep_v3 <- function( .xprev, .dxprev, .xnext, .t, .delT=as.double(rep.int(1,1)), .delTActual=as.double(rep.int(1,1)), .minStep, .maxStep, .maxError, .estErr=as.double(rep.int(1,1))){
    res<-.Call("R_vtkRungeKutta45_ComputeNextStep_v3",.me$obj, .xprev, .dxprev, .xnext, .t, .delT, .delTActual, .minStep, .maxStep, .maxError, .estErr,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkRungeKutta45_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkRungeKutta45",class(.me))
  return(.me)
}
