vtkShrinkFilter <- function(.me=environment()){
  .me <- vtkDataSetToUnstructuredGridFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkShrinkFilter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkShrinkFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkShrinkFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkShrinkFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkShrinkFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkShrinkFilter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkShrinkFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetShrinkFactor <- function( ._arg){
    res<-.Call("R_vtkShrinkFilter_SetShrinkFactor",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetShrinkFactorMinValue <- function(){
    res<-.Call("R_vtkShrinkFilter_GetShrinkFactorMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetShrinkFactorMaxValue <- function(){
    res<-.Call("R_vtkShrinkFilter_GetShrinkFactorMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetShrinkFactor <- function(){
    res<-.Call("R_vtkShrinkFilter_GetShrinkFactor",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkShrinkFilter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkShrinkFilter",class(.me))
  return(.me)
}
