vtkSimpleScalarTree <- function(.me=environment()){
  .me <- vtkScalarTree(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkSimpleScalarTree_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkSimpleScalarTree_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkSimpleScalarTree_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkSimpleScalarTree_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkSimpleScalarTree(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkSimpleScalarTree_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkSimpleScalarTree(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBranchingFactor <- function( ._arg){
    res<-.Call("R_vtkSimpleScalarTree_SetBranchingFactor",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBranchingFactorMinValue <- function(){
    res<-.Call("R_vtkSimpleScalarTree_GetBranchingFactorMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBranchingFactorMaxValue <- function(){
    res<-.Call("R_vtkSimpleScalarTree_GetBranchingFactorMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBranchingFactor <- function(){
    res<-.Call("R_vtkSimpleScalarTree_GetBranchingFactor",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLevel <- function(){
    res<-.Call("R_vtkSimpleScalarTree_GetLevel",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaxLevel <- function( ._arg){
    res<-.Call("R_vtkSimpleScalarTree_SetMaxLevel",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaxLevelMinValue <- function(){
    res<-.Call("R_vtkSimpleScalarTree_GetMaxLevelMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaxLevelMaxValue <- function(){
    res<-.Call("R_vtkSimpleScalarTree_GetMaxLevelMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaxLevel <- function(){
    res<-.Call("R_vtkSimpleScalarTree_GetMaxLevel",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BuildTree <- function(){
    res<-.Call("R_vtkSimpleScalarTree_BuildTree",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkSimpleScalarTree_Initialize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitTraversal <- function( .scalarValue){
    res<-.Call("R_vtkSimpleScalarTree_InitTraversal",.me$obj, .scalarValue,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextCell <- function( .cellId=as.integer(rep.int(1,1)), .cellPts=vtkIdList(), .cellScalars=vtkDataArray()){
    check.VTK(.cellPts,"vtkIdList")
    check.VTK(.cellScalars,"vtkDataArray")
    res<-.Call("R_vtkSimpleScalarTree_GetNextCell",.me$obj, .cellId, .cellPts$obj, .cellScalars$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCell(wrapenv(res$ret.val))
    res$.cellPts <- vtkIdList(wrapenv(res$.cellPts))
    res$.cellScalars <- vtkDataArray(wrapenv(res$.cellScalars))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkSimpleScalarTree_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkSimpleScalarTree",class(.me))
  return(.me)
}
