vtkStreamTracer <- function(.me=environment()){
  .me <- vtkDataSetToPolyDataFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkStreamTracer_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkStreamTracer_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkStreamTracer_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkStreamTracer_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkStreamTracer(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkStreamTracer_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkStreamTracer(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStartPosition <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkStreamTracer_SetStartPosition",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStartPosition_v1 <- function( ._arg){
    res<-.Call("R_vtkStreamTracer_SetStartPosition_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStartPosition <- function(){
    res<-.Call("R_vtkStreamTracer_GetStartPosition",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStartPosition_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1))){
    res<-.Call("R_vtkStreamTracer_GetStartPosition_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStartPosition_v2 <- function( ._arg){
    res<-.Call("R_vtkStreamTracer_GetStartPosition_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSource <- function( .source=vtkDataSet()){
    check.VTK(.source,"vtkDataSet")
    res<-.Call("R_vtkStreamTracer_SetSource",.me$obj, .source$obj,PACKAGE="RVTK.Base")
    res$.source <- vtkDataSet(wrapenv(res$.source))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSource <- function(){
    res<-.Call("R_vtkStreamTracer_GetSource",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIntegrator <- function( ._arg=vtkInitialValueProblemSolver()){
    check.VTK(._arg,"vtkInitialValueProblemSolver")
    res<-.Call("R_vtkStreamTracer_SetIntegrator",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkInitialValueProblemSolver(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIntegrator <- function(){
    res<-.Call("R_vtkStreamTracer_GetIntegrator",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkInitialValueProblemSolver(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIntegratorType <- function( .type){
    res<-.Call("R_vtkStreamTracer_SetIntegratorType",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIntegratorType <- function(){
    res<-.Call("R_vtkStreamTracer_GetIntegratorType",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIntegratorTypeToRungeKutta2 <- function(){
    res<-.Call("R_vtkStreamTracer_SetIntegratorTypeToRungeKutta2",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIntegratorTypeToRungeKutta4 <- function(){
    res<-.Call("R_vtkStreamTracer_SetIntegratorTypeToRungeKutta4",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIntegratorTypeToRungeKutta45 <- function(){
    res<-.Call("R_vtkStreamTracer_SetIntegratorTypeToRungeKutta45",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumPropagation <- function( .unit, .max){
    res<-.Call("R_vtkStreamTracer_SetMaximumPropagation",.me$obj, .unit, .max,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumPropagation_v1 <- function( .max){
    res<-.Call("R_vtkStreamTracer_SetMaximumPropagation_v1",.me$obj, .max,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumPropagationUnit <- function( .unit){
    res<-.Call("R_vtkStreamTracer_SetMaximumPropagationUnit",.me$obj, .unit,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumPropagationUnit <- function(){
    res<-.Call("R_vtkStreamTracer_GetMaximumPropagationUnit",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumPropagation <- function(){
    res<-.Call("R_vtkStreamTracer_GetMaximumPropagation",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumPropagationUnitToTimeUnit <- function(){
    res<-.Call("R_vtkStreamTracer_SetMaximumPropagationUnitToTimeUnit",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumPropagationUnitToLengthUnit <- function(){
    res<-.Call("R_vtkStreamTracer_SetMaximumPropagationUnitToLengthUnit",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumPropagationUnitToCellLengthUnit <- function(){
    res<-.Call("R_vtkStreamTracer_SetMaximumPropagationUnitToCellLengthUnit",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMinimumIntegrationStep <- function( .unit, .step){
    res<-.Call("R_vtkStreamTracer_SetMinimumIntegrationStep",.me$obj, .unit, .step,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMinimumIntegrationStepUnit <- function( .unit){
    res<-.Call("R_vtkStreamTracer_SetMinimumIntegrationStepUnit",.me$obj, .unit,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMinimumIntegrationStep_v1 <- function( .step){
    res<-.Call("R_vtkStreamTracer_SetMinimumIntegrationStep_v1",.me$obj, .step,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMinimumIntegrationStepUnit <- function(){
    res<-.Call("R_vtkStreamTracer_GetMinimumIntegrationStepUnit",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMinimumIntegrationStep <- function(){
    res<-.Call("R_vtkStreamTracer_GetMinimumIntegrationStep",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMinimumIntegrationStepUnitToTimeUnit <- function(){
    res<-.Call("R_vtkStreamTracer_SetMinimumIntegrationStepUnitToTimeUnit",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMinimumIntegrationStepUnitToLengthUnit <- function(){
    res<-.Call("R_vtkStreamTracer_SetMinimumIntegrationStepUnitToLengthUnit",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMinimumIntegrationStepUnitToCellLengthUnit <- function(){
    res<-.Call("R_vtkStreamTracer_SetMinimumIntegrationStepUnitToCellLengthUnit",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumIntegrationStep <- function( .unit, .step){
    res<-.Call("R_vtkStreamTracer_SetMaximumIntegrationStep",.me$obj, .unit, .step,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumIntegrationStepUnit <- function( .unit){
    res<-.Call("R_vtkStreamTracer_SetMaximumIntegrationStepUnit",.me$obj, .unit,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumIntegrationStep_v1 <- function( .step){
    res<-.Call("R_vtkStreamTracer_SetMaximumIntegrationStep_v1",.me$obj, .step,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumIntegrationStepUnit <- function(){
    res<-.Call("R_vtkStreamTracer_GetMaximumIntegrationStepUnit",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumIntegrationStep <- function(){
    res<-.Call("R_vtkStreamTracer_GetMaximumIntegrationStep",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumIntegrationStepUnitToTimeUnit <- function(){
    res<-.Call("R_vtkStreamTracer_SetMaximumIntegrationStepUnitToTimeUnit",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumIntegrationStepUnitToLengthUnit <- function(){
    res<-.Call("R_vtkStreamTracer_SetMaximumIntegrationStepUnitToLengthUnit",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumIntegrationStepUnitToCellLengthUnit <- function(){
    res<-.Call("R_vtkStreamTracer_SetMaximumIntegrationStepUnitToCellLengthUnit",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInitialIntegrationStep <- function( .unit, .step){
    res<-.Call("R_vtkStreamTracer_SetInitialIntegrationStep",.me$obj, .unit, .step,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInitialIntegrationStepUnit <- function( .unit){
    res<-.Call("R_vtkStreamTracer_SetInitialIntegrationStepUnit",.me$obj, .unit,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInitialIntegrationStep_v1 <- function( .step){
    res<-.Call("R_vtkStreamTracer_SetInitialIntegrationStep_v1",.me$obj, .step,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInitialIntegrationStepUnit <- function(){
    res<-.Call("R_vtkStreamTracer_GetInitialIntegrationStepUnit",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInitialIntegrationStep <- function(){
    res<-.Call("R_vtkStreamTracer_GetInitialIntegrationStep",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInitialIntegrationStepUnitToTimeUnit <- function(){
    res<-.Call("R_vtkStreamTracer_SetInitialIntegrationStepUnitToTimeUnit",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInitialIntegrationStepUnitToLengthUnit <- function(){
    res<-.Call("R_vtkStreamTracer_SetInitialIntegrationStepUnitToLengthUnit",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInitialIntegrationStepUnitToCellLengthUnit <- function(){
    res<-.Call("R_vtkStreamTracer_SetInitialIntegrationStepUnitToCellLengthUnit",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumError <- function( ._arg){
    res<-.Call("R_vtkStreamTracer_SetMaximumError",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumError <- function(){
    res<-.Call("R_vtkStreamTracer_GetMaximumError",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumNumberOfSteps <- function( ._arg){
    res<-.Call("R_vtkStreamTracer_SetMaximumNumberOfSteps",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumNumberOfSteps <- function(){
    res<-.Call("R_vtkStreamTracer_GetMaximumNumberOfSteps",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTerminalSpeed <- function( ._arg){
    res<-.Call("R_vtkStreamTracer_SetTerminalSpeed",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTerminalSpeed <- function(){
    res<-.Call("R_vtkStreamTracer_GetTerminalSpeed",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIntegrationDirection <- function( ._arg){
    res<-.Call("R_vtkStreamTracer_SetIntegrationDirection",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIntegrationDirectionMinValue <- function(){
    res<-.Call("R_vtkStreamTracer_GetIntegrationDirectionMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIntegrationDirectionMaxValue <- function(){
    res<-.Call("R_vtkStreamTracer_GetIntegrationDirectionMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIntegrationDirection <- function(){
    res<-.Call("R_vtkStreamTracer_GetIntegrationDirection",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIntegrationDirectionToForward <- function(){
    res<-.Call("R_vtkStreamTracer_SetIntegrationDirectionToForward",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIntegrationDirectionToBackward <- function(){
    res<-.Call("R_vtkStreamTracer_SetIntegrationDirectionToBackward",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIntegrationDirectionToBoth <- function(){
    res<-.Call("R_vtkStreamTracer_SetIntegrationDirectionToBoth",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetComputeVorticity <- function( ._arg){
    res<-.Call("R_vtkStreamTracer_SetComputeVorticity",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetComputeVorticity <- function(){
    res<-.Call("R_vtkStreamTracer_GetComputeVorticity",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeVorticityOn <- function(){
    res<-.Call("R_vtkStreamTracer_ComputeVorticityOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeVorticityOff <- function(){
    res<-.Call("R_vtkStreamTracer_ComputeVorticityOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRotationScale <- function( ._arg){
    res<-.Call("R_vtkStreamTracer_SetRotationScale",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRotationScale <- function(){
    res<-.Call("R_vtkStreamTracer_GetRotationScale",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInputVectorsSelection <- function(){
    res<-.Call("R_vtkStreamTracer_GetInputVectorsSelection",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SelectInputVectors <- function( .fieldName){
    res<-.Call("R_vtkStreamTracer_SelectInputVectors",.me$obj, .fieldName,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddInput <- function( .input=vtkDataSet()){
    check.VTK(.input,"vtkDataSet")
    res<-.Call("R_vtkStreamTracer_AddInput",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkDataSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkStreamTracer_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkStreamTracer",class(.me))
  return(.me)
}
