vtkStructuredGridToPolyDataFilter <- function(.me=environment()){
  .me <- vtkPolyDataSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkStructuredGridToPolyDataFilter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkStructuredGridToPolyDataFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkStructuredGridToPolyDataFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkStructuredGridToPolyDataFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkStructuredGridToPolyDataFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkStructuredGridToPolyDataFilter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkStructuredGridToPolyDataFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkStructuredGrid()){
    check.VTK(.input,"vtkStructuredGrid")
    res<-.Call("R_vtkStructuredGridToPolyDataFilter_SetInput",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkStructuredGrid(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkStructuredGridToPolyDataFilter_GetInput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkStructuredGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkStructuredGridToPolyDataFilter",class(.me))
  return(.me)
}
