vtkTexturedSphereSource <- function(.me=environment()){
  .me <- vtkPolyDataSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkTexturedSphereSource_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkTexturedSphereSource_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkTexturedSphereSource_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkTexturedSphereSource_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkTexturedSphereSource(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkTexturedSphereSource_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkTexturedSphereSource(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRadius <- function( ._arg){
    res<-.Call("R_vtkTexturedSphereSource_SetRadius",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRadiusMinValue <- function(){
    res<-.Call("R_vtkTexturedSphereSource_GetRadiusMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRadiusMaxValue <- function(){
    res<-.Call("R_vtkTexturedSphereSource_GetRadiusMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRadius <- function(){
    res<-.Call("R_vtkTexturedSphereSource_GetRadius",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetThetaResolution <- function( ._arg){
    res<-.Call("R_vtkTexturedSphereSource_SetThetaResolution",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetThetaResolutionMinValue <- function(){
    res<-.Call("R_vtkTexturedSphereSource_GetThetaResolutionMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetThetaResolutionMaxValue <- function(){
    res<-.Call("R_vtkTexturedSphereSource_GetThetaResolutionMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetThetaResolution <- function(){
    res<-.Call("R_vtkTexturedSphereSource_GetThetaResolution",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPhiResolution <- function( ._arg){
    res<-.Call("R_vtkTexturedSphereSource_SetPhiResolution",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPhiResolutionMinValue <- function(){
    res<-.Call("R_vtkTexturedSphereSource_GetPhiResolutionMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPhiResolutionMaxValue <- function(){
    res<-.Call("R_vtkTexturedSphereSource_GetPhiResolutionMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPhiResolution <- function(){
    res<-.Call("R_vtkTexturedSphereSource_GetPhiResolution",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTheta <- function( ._arg){
    res<-.Call("R_vtkTexturedSphereSource_SetTheta",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetThetaMinValue <- function(){
    res<-.Call("R_vtkTexturedSphereSource_GetThetaMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetThetaMaxValue <- function(){
    res<-.Call("R_vtkTexturedSphereSource_GetThetaMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTheta <- function(){
    res<-.Call("R_vtkTexturedSphereSource_GetTheta",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPhi <- function( ._arg){
    res<-.Call("R_vtkTexturedSphereSource_SetPhi",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPhiMinValue <- function(){
    res<-.Call("R_vtkTexturedSphereSource_GetPhiMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPhiMaxValue <- function(){
    res<-.Call("R_vtkTexturedSphereSource_GetPhiMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPhi <- function(){
    res<-.Call("R_vtkTexturedSphereSource_GetPhi",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkTexturedSphereSource_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkTexturedSphereSource",class(.me))
  return(.me)
}
