vtkTransformPolyDataFilter <- function(.me=environment()){
  .me <- vtkPolyDataToPolyDataFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkTransformPolyDataFilter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkTransformPolyDataFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkTransformPolyDataFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkTransformPolyDataFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkTransformPolyDataFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkTransformPolyDataFilter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkTransformPolyDataFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkTransformPolyDataFilter_GetMTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTransform <- function( ._arg=vtkAbstractTransform()){
    check.VTK(._arg,"vtkAbstractTransform")
    res<-.Call("R_vtkTransformPolyDataFilter_SetTransform",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkAbstractTransform(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTransform <- function(){
    res<-.Call("R_vtkTransformPolyDataFilter_GetTransform",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAbstractTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkTransformPolyDataFilter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkTransformPolyDataFilter",class(.me))
  return(.me)
}
