vtkUniformGrid <- function(.me=environment()){
  .me <- vtkDataSet(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkUniformGrid_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkUniformGrid_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkUniformGrid_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkUniformGrid_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkUniformGrid(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkUniformGrid_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkUniformGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyStructure <- function( .ds=vtkDataSet()){
    check.VTK(.ds,"vtkDataSet")
    res<-.Call("R_vtkUniformGrid_CopyStructure",.me$obj, .ds$obj,PACKAGE="RVTK.Base")
    res$.ds <- vtkDataSet(wrapenv(res$.ds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataObjectType <- function(){
    res<-.Call("R_vtkUniformGrid_GetDataObjectType",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfCells <- function(){
    res<-.Call("R_vtkUniformGrid_GetNumberOfCells",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfPoints <- function(){
    res<-.Call("R_vtkUniformGrid_GetNumberOfPoints",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint <- function( .ptId){
    res<-.Call("R_vtkUniformGrid_GetPoint",.me$obj, .ptId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint_v1 <- function( .id, .x=as.double(rep.int(1,3))){
    res<-.Call("R_vtkUniformGrid_GetPoint_v1",.me$obj, .id, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCell <- function( .cellId){
    res<-.Call("R_vtkUniformGrid_GetCell",.me$obj, .cellId,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCell(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCell_v1 <- function( .cellId, .cell=vtkGenericCell()){
    check.VTK(.cell,"vtkGenericCell")
    res<-.Call("R_vtkUniformGrid_GetCell_v1",.me$obj, .cellId, .cell$obj,PACKAGE="RVTK.Base")
    res$.cell <- vtkGenericCell(wrapenv(res$.cell))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellBounds <- function( .cellId, .bounds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkUniformGrid_GetCellBounds",.me$obj, .cellId, .bounds,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindPoint <- function( .x, .y, .z){
    res<-.Call("R_vtkUniformGrid_FindPoint",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindPoint_v1 <- function( .x=as.double(rep.int(1,3))){
    res<-.Call("R_vtkUniformGrid_FindPoint_v1",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellType <- function( .cellId){
    res<-.Call("R_vtkUniformGrid_GetCellType",.me$obj, .cellId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellPoints <- function( .cellId, .ptIds=vtkIdList()){
    check.VTK(.ptIds,"vtkIdList")
    res<-.Call("R_vtkUniformGrid_GetCellPoints",.me$obj, .cellId, .ptIds$obj,PACKAGE="RVTK.Base")
    res$.ptIds <- vtkIdList(wrapenv(res$.ptIds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointCells <- function( .ptId, .cellIds=vtkIdList()){
    check.VTK(.cellIds,"vtkIdList")
    res<-.Call("R_vtkUniformGrid_GetPointCells",.me$obj, .ptId, .cellIds$obj,PACKAGE="RVTK.Base")
    res$.cellIds <- vtkIdList(wrapenv(res$.cellIds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeBounds <- function(){
    res<-.Call("R_vtkUniformGrid_ComputeBounds",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkUniformGrid_Initialize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaxCellSize <- function(){
    res<-.Call("R_vtkUniformGrid_GetMaxCellSize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarRange <- function( .range=as.double(rep.int(1,2))){
    res<-.Call("R_vtkUniformGrid_GetScalarRange",.me$obj, .range,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarRange_v1 <- function(){
    res<-.Call("R_vtkUniformGrid_GetScalarRange_v1",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateExtent <- function( .piece, .numPieces, .ghostLevel){
    res<-.Call("R_vtkUniformGrid_SetUpdateExtent",.me$obj, .piece, .numPieces, .ghostLevel,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateExtent_v1 <- function( .piece, .numPieces){
    res<-.Call("R_vtkUniformGrid_SetUpdateExtent_v1",.me$obj, .piece, .numPieces,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateExtent_v2 <- function( .x1, .x2, .y1, .y2, .z1, .z2){
    res<-.Call("R_vtkUniformGrid_SetUpdateExtent_v2",.me$obj, .x1, .x2, .y1, .y2, .z1, .z2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateExtent_v3 <- function( .ext){
    res<-.Call("R_vtkUniformGrid_SetUpdateExtent_v3",.me$obj, .ext,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDimensions <- function( .i, .j, .k){
    res<-.Call("R_vtkUniformGrid_SetDimensions",.me$obj, .i, .j, .k,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDimensions_v1 <- function( .dim=as.integer(rep.int(1,3))){
    res<-.Call("R_vtkUniformGrid_SetDimensions_v1",.me$obj, .dim,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDimensions <- function(){
    res<-.Call("R_vtkUniformGrid_GetDimensions",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDimensions_v1 <- function( .dOut){
    res<-.Call("R_vtkUniformGrid_GetDimensions_v1",.me$obj, .dOut,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeStructuredCoordinates <- function( .x=as.double(rep.int(1,3)), .ijk=as.integer(rep.int(1,3)), .pcoords=as.double(rep.int(1,3))){
    res<-.Call("R_vtkUniformGrid_ComputeStructuredCoordinates",.me$obj, .x, .ijk, .pcoords,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataDimension <- function(){
    res<-.Call("R_vtkUniformGrid_GetDataDimension",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtent <- function( .extent){
    res<-.Call("R_vtkUniformGrid_SetExtent",.me$obj, .extent,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtent_v1 <- function( .x1, .x2, .y1, .y2, .z1, .z2){
    res<-.Call("R_vtkUniformGrid_SetExtent_v1",.me$obj, .x1, .x2, .y1, .y2, .z1, .z2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtent <- function(){
    res<-.Call("R_vtkUniformGrid_GetExtent",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtent_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1)), ._arg3=as.integer(rep.int(1,1)), ._arg4=as.integer(rep.int(1,1)), ._arg5=as.integer(rep.int(1,1)), ._arg6=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkUniformGrid_GetExtent_v1",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtent_v2 <- function( ._arg){
    res<-.Call("R_vtkUniformGrid_GetExtent_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActualMemorySize <- function(){
    res<-.Call("R_vtkUniformGrid_GetActualMemorySize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSpacing <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkUniformGrid_SetSpacing",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSpacing_v1 <- function( ._arg){
    res<-.Call("R_vtkUniformGrid_SetSpacing_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpacing <- function(){
    res<-.Call("R_vtkUniformGrid_GetSpacing",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpacing_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1))){
    res<-.Call("R_vtkUniformGrid_GetSpacing_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpacing_v2 <- function( ._arg){
    res<-.Call("R_vtkUniformGrid_GetSpacing_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOrigin <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkUniformGrid_SetOrigin",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOrigin_v1 <- function( ._arg){
    res<-.Call("R_vtkUniformGrid_SetOrigin_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrigin <- function(){
    res<-.Call("R_vtkUniformGrid_GetOrigin",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrigin_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1))){
    res<-.Call("R_vtkUniformGrid_GetOrigin_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrigin_v2 <- function( ._arg){
    res<-.Call("R_vtkUniformGrid_GetOrigin_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .dataObject=vtkDataObject()){
    check.VTK(.dataObject,"vtkDataObject")
    res<-.Call("R_vtkUniformGrid_ShallowCopy",.me$obj, .dataObject$obj,PACKAGE="RVTK.Base")
    res$.dataObject <- vtkDataObject(wrapenv(res$.dataObject))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .dataObject=vtkDataObject()){
    check.VTK(.dataObject,"vtkDataObject")
    res<-.Call("R_vtkUniformGrid_DeepCopy",.me$obj, .dataObject$obj,PACKAGE="RVTK.Base")
    res$.dataObject <- vtkDataObject(wrapenv(res$.dataObject))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtentType <- function(){
    res<-.Call("R_vtkUniformGrid_GetExtentType",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BlankPoint <- function( .ptId){
    res<-.Call("R_vtkUniformGrid_BlankPoint",.me$obj, .ptId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UnBlankPoint <- function( .ptId){
    res<-.Call("R_vtkUniformGrid_UnBlankPoint",.me$obj, .ptId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BlankCell <- function( .cellId){
    res<-.Call("R_vtkUniformGrid_BlankCell",.me$obj, .cellId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UnBlankCell <- function( .cellId){
    res<-.Call("R_vtkUniformGrid_UnBlankCell",.me$obj, .cellId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointVisibilityArray <- function(){
    res<-.Call("R_vtkUniformGrid_GetPointVisibilityArray",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkUnsignedCharArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPointVisibilityArray <- function( .ptVis=vtkUnsignedCharArray()){
    check.VTK(.ptVis,"vtkUnsignedCharArray")
    res<-.Call("R_vtkUniformGrid_SetPointVisibilityArray",.me$obj, .ptVis$obj,PACKAGE="RVTK.Base")
    res$.ptVis <- vtkUnsignedCharArray(wrapenv(res$.ptVis))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellVisibilityArray <- function(){
    res<-.Call("R_vtkUniformGrid_GetCellVisibilityArray",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkUnsignedCharArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellVisibilityArray <- function( .cellVis=vtkUnsignedCharArray()){
    check.VTK(.cellVis,"vtkUnsignedCharArray")
    res<-.Call("R_vtkUniformGrid_SetCellVisibilityArray",.me$obj, .cellVis$obj,PACKAGE="RVTK.Base")
    res$.cellVis <- vtkUnsignedCharArray(wrapenv(res$.cellVis))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsPointVisible <- function( .pointId){
    res<-.Call("R_vtkUniformGrid_IsPointVisible",.me$obj, .pointId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsCellVisible <- function( .cellId){
    res<-.Call("R_vtkUniformGrid_IsCellVisible",.me$obj, .cellId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointBlanking <- function(){
    res<-.Call("R_vtkUniformGrid_GetPointBlanking",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellBlanking <- function(){
    res<-.Call("R_vtkUniformGrid_GetCellBlanking",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkUniformGrid_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkUniformGrid",class(.me))
  return(.me)
}
