vtkUnstructuredGrid <- function(.me=environment()){
  .me <- vtkPointSet(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkUnstructuredGrid_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkUnstructuredGrid_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkUnstructuredGrid_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkUnstructuredGrid_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkUnstructuredGrid(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkUnstructuredGrid_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkUnstructuredGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataObjectType <- function(){
    res<-.Call("R_vtkUnstructuredGrid_GetDataObjectType",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Allocate <- function( .numCells, .extSize){
    res<-.Call("R_vtkUnstructuredGrid_Allocate",.me$obj, .numCells, .extSize,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertNextCell <- function( .type, .npts, .pts){
    res<-.Call("R_vtkUnstructuredGrid_InsertNextCell",.me$obj, .type, .npts, .pts,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertNextCell_v1 <- function( .type, .ptIds=vtkIdList()){
    check.VTK(.ptIds,"vtkIdList")
    res<-.Call("R_vtkUnstructuredGrid_InsertNextCell_v1",.me$obj, .type, .ptIds$obj,PACKAGE="RVTK.Base")
    res$.ptIds <- vtkIdList(wrapenv(res$.ptIds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Reset <- function(){
    res<-.Call("R_vtkUnstructuredGrid_Reset",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyStructure <- function( .ds=vtkDataSet()){
    check.VTK(.ds,"vtkDataSet")
    res<-.Call("R_vtkUnstructuredGrid_CopyStructure",.me$obj, .ds$obj,PACKAGE="RVTK.Base")
    res$.ds <- vtkDataSet(wrapenv(res$.ds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfCells <- function(){
    res<-.Call("R_vtkUnstructuredGrid_GetNumberOfCells",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCell <- function( .cellId){
    res<-.Call("R_vtkUnstructuredGrid_GetCell",.me$obj, .cellId,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCell(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCell_v1 <- function( .cellId, .cell=vtkGenericCell()){
    check.VTK(.cell,"vtkGenericCell")
    res<-.Call("R_vtkUnstructuredGrid_GetCell_v1",.me$obj, .cellId, .cell$obj,PACKAGE="RVTK.Base")
    res$.cell <- vtkGenericCell(wrapenv(res$.cell))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellBounds <- function( .cellId, .bounds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkUnstructuredGrid_GetCellBounds",.me$obj, .cellId, .bounds,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellPoints <- function( .cellId, .ptIds=vtkIdList()){
    check.VTK(.ptIds,"vtkIdList")
    res<-.Call("R_vtkUnstructuredGrid_GetCellPoints",.me$obj, .cellId, .ptIds$obj,PACKAGE="RVTK.Base")
    res$.ptIds <- vtkIdList(wrapenv(res$.ptIds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointCells <- function( .ptId, .cellIds=vtkIdList()){
    check.VTK(.cellIds,"vtkIdList")
    res<-.Call("R_vtkUnstructuredGrid_GetPointCells",.me$obj, .ptId, .cellIds$obj,PACKAGE="RVTK.Base")
    res$.cellIds <- vtkIdList(wrapenv(res$.cellIds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellType <- function( .cellId){
    res<-.Call("R_vtkUnstructuredGrid_GetCellType",.me$obj, .cellId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellTypesArray <- function(){
    res<-.Call("R_vtkUnstructuredGrid_GetCellTypesArray",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkUnsignedCharArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellLocationsArray <- function(){
    res<-.Call("R_vtkUnstructuredGrid_GetCellLocationsArray",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkIdTypeArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Squeeze <- function(){
    res<-.Call("R_vtkUnstructuredGrid_Squeeze",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkUnstructuredGrid_Initialize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaxCellSize <- function(){
    res<-.Call("R_vtkUnstructuredGrid_GetMaxCellSize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BuildLinks <- function(){
    res<-.Call("R_vtkUnstructuredGrid_BuildLinks",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellLinks <- function(){
    res<-.Call("R_vtkUnstructuredGrid_GetCellLinks",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCellLinks(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellPoints_v1 <- function( .cellId, .npts=as.integer(rep.int(1,1)), .pts){
    res<-.Call("R_vtkUnstructuredGrid_GetCellPoints_v1",.me$obj, .cellId, .npts, .pts,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCells <- function( .type, .cells=vtkCellArray()){
    check.VTK(.cells,"vtkCellArray")
    res<-.Call("R_vtkUnstructuredGrid_SetCells",.me$obj, .type, .cells$obj,PACKAGE="RVTK.Base")
    res$.cells <- vtkCellArray(wrapenv(res$.cells))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCells_v1 <- function( .types, .cells=vtkCellArray()){
    check.VTK(.cells,"vtkCellArray")
    res<-.Call("R_vtkUnstructuredGrid_SetCells_v1",.me$obj, .types, .cells$obj,PACKAGE="RVTK.Base")
    res$.cells <- vtkCellArray(wrapenv(res$.cells))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCells_v2 <- function( .cellTypes=vtkUnsignedCharArray(), .cellLocations=vtkIdTypeArray(), .cells=vtkCellArray()){
    check.VTK(.cellTypes,"vtkUnsignedCharArray")
    check.VTK(.cellLocations,"vtkIdTypeArray")
    check.VTK(.cells,"vtkCellArray")
    res<-.Call("R_vtkUnstructuredGrid_SetCells_v2",.me$obj, .cellTypes$obj, .cellLocations$obj, .cells$obj,PACKAGE="RVTK.Base")
    res$.cellTypes <- vtkUnsignedCharArray(wrapenv(res$.cellTypes))
    res$.cellLocations <- vtkIdTypeArray(wrapenv(res$.cellLocations))
    res$.cells <- vtkCellArray(wrapenv(res$.cells))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCells <- function(){
    res<-.Call("R_vtkUnstructuredGrid_GetCells",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCellArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReplaceCell <- function( .cellId, .npts, .pts){
    res<-.Call("R_vtkUnstructuredGrid_ReplaceCell",.me$obj, .cellId, .npts, .pts,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertNextLinkedCell <- function( .type, .npts, .pts){
    res<-.Call("R_vtkUnstructuredGrid_InsertNextLinkedCell",.me$obj, .type, .npts, .pts,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveReferenceToCell <- function( .ptId, .cellId){
    res<-.Call("R_vtkUnstructuredGrid_RemoveReferenceToCell",.me$obj, .ptId, .cellId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddReferenceToCell <- function( .ptId, .cellId){
    res<-.Call("R_vtkUnstructuredGrid_AddReferenceToCell",.me$obj, .ptId, .cellId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ResizeCellList <- function( .ptId, .size){
    res<-.Call("R_vtkUnstructuredGrid_ResizeCellList",.me$obj, .ptId, .size,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellNeighbors <- function( .cellId, .ptIds=vtkIdList(), .cellIds=vtkIdList()){
    check.VTK(.ptIds,"vtkIdList")
    check.VTK(.cellIds,"vtkIdList")
    res<-.Call("R_vtkUnstructuredGrid_GetCellNeighbors",.me$obj, .cellId, .ptIds$obj, .cellIds$obj,PACKAGE="RVTK.Base")
    res$.ptIds <- vtkIdList(wrapenv(res$.ptIds))
    res$.cellIds <- vtkIdList(wrapenv(res$.cellIds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateExtent <- function( .piece, .numPieces, .ghostLevel){
    res<-.Call("R_vtkUnstructuredGrid_SetUpdateExtent",.me$obj, .piece, .numPieces, .ghostLevel,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateExtent_v1 <- function( .piece, .numPieces){
    res<-.Call("R_vtkUnstructuredGrid_SetUpdateExtent_v1",.me$obj, .piece, .numPieces,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpdateExtent <- function( .piece=as.integer(rep.int(1,1)), .numPieces=as.integer(rep.int(1,1)), .ghostLevel=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkUnstructuredGrid_GetUpdateExtent",.me$obj, .piece, .numPieces, .ghostLevel,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpdateExtent_v1 <- function(){
    res<-.Call("R_vtkUnstructuredGrid_GetUpdateExtent_v1",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpdateExtent_v2 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1)), ._arg3=as.integer(rep.int(1,1)), ._arg4=as.integer(rep.int(1,1)), ._arg5=as.integer(rep.int(1,1)), ._arg6=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkUnstructuredGrid_GetUpdateExtent_v2",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpdateExtent_v3 <- function( ._arg){
    res<-.Call("R_vtkUnstructuredGrid_GetUpdateExtent_v3",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateExtent_v2 <- function( .x1, .x2, .y1, .y2, .z1, .z2){
    res<-.Call("R_vtkUnstructuredGrid_SetUpdateExtent_v2",.me$obj, .x1, .x2, .y1, .y2, .z1, .z2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateExtent_v3 <- function( .ext){
    res<-.Call("R_vtkUnstructuredGrid_SetUpdateExtent_v3",.me$obj, .ext,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPiece <- function(){
    res<-.Call("R_vtkUnstructuredGrid_GetPiece",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfPieces <- function(){
    res<-.Call("R_vtkUnstructuredGrid_GetNumberOfPieces",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGhostLevel <- function(){
    res<-.Call("R_vtkUnstructuredGrid_GetGhostLevel",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActualMemorySize <- function(){
    res<-.Call("R_vtkUnstructuredGrid_GetActualMemorySize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .dataObject=vtkDataObject()){
    check.VTK(.dataObject,"vtkDataObject")
    res<-.Call("R_vtkUnstructuredGrid_ShallowCopy",.me$obj, .dataObject$obj,PACKAGE="RVTK.Base")
    res$.dataObject <- vtkDataObject(wrapenv(res$.dataObject))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .dataObject=vtkDataObject()){
    check.VTK(.dataObject,"vtkDataObject")
    res<-.Call("R_vtkUnstructuredGrid_DeepCopy",.me$obj, .dataObject$obj,PACKAGE="RVTK.Base")
    res$.dataObject <- vtkDataObject(wrapenv(res$.dataObject))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIdsOfCellsOfType <- function( .type, .array=vtkIdTypeArray()){
    check.VTK(.array,"vtkIdTypeArray")
    res<-.Call("R_vtkUnstructuredGrid_GetIdsOfCellsOfType",.me$obj, .type, .array$obj,PACKAGE="RVTK.Base")
    res$.array <- vtkIdTypeArray(wrapenv(res$.array))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsHomogeneous <- function(){
    res<-.Call("R_vtkUnstructuredGrid_IsHomogeneous",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveGhostCells <- function( .level){
    res<-.Call("R_vtkUnstructuredGrid_RemoveGhostCells",.me$obj, .level,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkUnstructuredGrid_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkUnstructuredGrid",class(.me))
  return(.me)
}
