vtkUnstructuredGridSource <- function(.me=environment()){
  .me <- vtkSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkUnstructuredGridSource_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkUnstructuredGridSource_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkUnstructuredGridSource_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkUnstructuredGridSource_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkUnstructuredGridSource(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkUnstructuredGridSource_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkUnstructuredGridSource(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput <- function(){
    res<-.Call("R_vtkUnstructuredGridSource_GetOutput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkUnstructuredGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput_v1 <- function( .idx){
    res<-.Call("R_vtkUnstructuredGridSource_GetOutput_v1",.me$obj, .idx,PACKAGE="RVTK.Base")
    res$ret.val <- vtkUnstructuredGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutput <- function( .output=vtkUnstructuredGrid()){
    check.VTK(.output,"vtkUnstructuredGrid")
    res<-.Call("R_vtkUnstructuredGridSource_SetOutput",.me$obj, .output$obj,PACKAGE="RVTK.Base")
    res$.output <- vtkUnstructuredGrid(wrapenv(res$.output))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkUnstructuredGridSource",class(.me))
  return(.me)
}
