vtkUnstructuredGridToPolyDataFilter <- function(.me=environment()){
  .me <- vtkPolyDataSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkUnstructuredGridToPolyDataFilter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkUnstructuredGridToPolyDataFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkUnstructuredGridToPolyDataFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkUnstructuredGridToPolyDataFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkUnstructuredGridToPolyDataFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkUnstructuredGridToPolyDataFilter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkUnstructuredGridToPolyDataFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkUnstructuredGrid()){
    check.VTK(.input,"vtkUnstructuredGrid")
    res<-.Call("R_vtkUnstructuredGridToPolyDataFilter_SetInput",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkUnstructuredGrid(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkUnstructuredGridToPolyDataFilter_GetInput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkUnstructuredGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeInputUpdateExtents <- function( .output=vtkDataObject()){
    check.VTK(.output,"vtkDataObject")
    res<-.Call("R_vtkUnstructuredGridToPolyDataFilter_ComputeInputUpdateExtents",.me$obj, .output$obj,PACKAGE="RVTK.Base")
    res$.output <- vtkDataObject(wrapenv(res$.output))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkUnstructuredGridToPolyDataFilter",class(.me))
  return(.me)
}
