vtkUnstructuredGridWriter <- function(.me=environment()){
  .me <- vtkDataWriter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkUnstructuredGridWriter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkUnstructuredGridWriter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkUnstructuredGridWriter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkUnstructuredGridWriter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkUnstructuredGridWriter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkUnstructuredGridWriter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkUnstructuredGridWriter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkUnstructuredGrid()){
    check.VTK(.input,"vtkUnstructuredGrid")
    res<-.Call("R_vtkUnstructuredGridWriter_SetInput",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkUnstructuredGrid(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkUnstructuredGridWriter_GetInput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkUnstructuredGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkUnstructuredGridWriter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkUnstructuredGridWriter",class(.me))
  return(.me)
}
