vtkVoxelModeller <- function(.me=environment()){
  .me <- vtkDataSetToImageFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkVoxelModeller_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkVoxelModeller_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkVoxelModeller_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkVoxelModeller_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkVoxelModeller(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkVoxelModeller_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkVoxelModeller(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeModelBounds <- function( .origin, .spacing){
    res<-.Call("R_vtkVoxelModeller_ComputeModelBounds",.me$obj, .origin, .spacing,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSampleDimensions <- function( .i, .j, .k){
    res<-.Call("R_vtkVoxelModeller_SetSampleDimensions",.me$obj, .i, .j, .k,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSampleDimensions_v1 <- function( .dim){
    res<-.Call("R_vtkVoxelModeller_SetSampleDimensions_v1",.me$obj, .dim,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSampleDimensions <- function(){
    res<-.Call("R_vtkVoxelModeller_GetSampleDimensions",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSampleDimensions_v1 <- function( .data){
    res<-.Call("R_vtkVoxelModeller_GetSampleDimensions_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumDistance <- function( ._arg){
    res<-.Call("R_vtkVoxelModeller_SetMaximumDistance",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumDistanceMinValue <- function(){
    res<-.Call("R_vtkVoxelModeller_GetMaximumDistanceMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumDistanceMaxValue <- function(){
    res<-.Call("R_vtkVoxelModeller_GetMaximumDistanceMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumDistance <- function(){
    res<-.Call("R_vtkVoxelModeller_GetMaximumDistance",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetModelBounds <- function( .bounds){
    res<-.Call("R_vtkVoxelModeller_SetModelBounds",.me$obj, .bounds,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetModelBounds_v1 <- function( .xmin, .xmax, .ymin, .ymax, .zmin, .zmax){
    res<-.Call("R_vtkVoxelModeller_SetModelBounds_v1",.me$obj, .xmin, .xmax, .ymin, .ymax, .zmin, .zmax,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetModelBounds <- function(){
    res<-.Call("R_vtkVoxelModeller_GetModelBounds",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetModelBounds_v1 <- function( .data){
    res<-.Call("R_vtkVoxelModeller_GetModelBounds_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Write <- function( .fname){
    res<-.Call("R_vtkVoxelModeller_Write",.me$obj, .fname,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkVoxelModeller_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkVoxelModeller",class(.me))
  return(.me)
}
