vtkWarpVector <- function(.me=environment()){
  .me <- vtkPointSetToPointSetFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkWarpVector_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkWarpVector_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkWarpVector_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkWarpVector_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkWarpVector(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkWarpVector_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkWarpVector(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScaleFactor <- function( ._arg){
    res<-.Call("R_vtkWarpVector_SetScaleFactor",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScaleFactor <- function(){
    res<-.Call("R_vtkWarpVector_GetScaleFactor",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInputVectorsSelection <- function(){
    res<-.Call("R_vtkWarpVector_GetInputVectorsSelection",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SelectInputVectors <- function( .fieldName){
    res<-.Call("R_vtkWarpVector_SelectInputVectors",.me$obj, .fieldName,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkWarpVector_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkWarpVector",class(.me))
  return(.me)
}
