vtkWindow <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkWindow_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkWindow_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkWindow_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkWindow_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkWindow(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkWindow_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkWindow(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGenericDisplayId <- function(){
    res<-.Call("R_vtkWindow_GetGenericDisplayId",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGenericWindowId <- function(){
    res<-.Call("R_vtkWindow_GetGenericWindowId",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGenericParentId <- function(){
    res<-.Call("R_vtkWindow_GetGenericParentId",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGenericContext <- function(){
    res<-.Call("R_vtkWindow_GetGenericContext",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGenericDrawable <- function(){
    res<-.Call("R_vtkWindow_GetGenericDrawable",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPosition <- function(){
    res<-.Call("R_vtkWindow_GetPosition",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPosition <- function( .x, .y){
    res<-.Call("R_vtkWindow_SetPosition",.me$obj, .x, .y,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPosition_v1 <- function( .a=as.integer(rep.int(1,2))){
    res<-.Call("R_vtkWindow_SetPosition_v1",.me$obj, .a,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSize <- function(){
    res<-.Call("R_vtkWindow_GetSize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSize <- function( .x, .y){
    res<-.Call("R_vtkWindow_SetSize",.me$obj, .x, .y,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSize_v1 <- function( .a=as.integer(rep.int(1,2))){
    res<-.Call("R_vtkWindow_SetSize_v1",.me$obj, .a,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMapped <- function( ._arg){
    res<-.Call("R_vtkWindow_SetMapped",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMapped <- function(){
    res<-.Call("R_vtkWindow_GetMapped",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MappedOn <- function(){
    res<-.Call("R_vtkWindow_MappedOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MappedOff <- function(){
    res<-.Call("R_vtkWindow_MappedOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetErase <- function( ._arg){
    res<-.Call("R_vtkWindow_SetErase",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetErase <- function(){
    res<-.Call("R_vtkWindow_GetErase",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EraseOn <- function(){
    res<-.Call("R_vtkWindow_EraseOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EraseOff <- function(){
    res<-.Call("R_vtkWindow_EraseOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDoubleBuffer <- function( ._arg){
    res<-.Call("R_vtkWindow_SetDoubleBuffer",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDoubleBuffer <- function(){
    res<-.Call("R_vtkWindow_GetDoubleBuffer",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DoubleBufferOn <- function(){
    res<-.Call("R_vtkWindow_DoubleBufferOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DoubleBufferOff <- function(){
    res<-.Call("R_vtkWindow_DoubleBufferOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWindowName <- function(){
    res<-.Call("R_vtkWindow_GetWindowName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWindowName <- function( ._arg){
    res<-.Call("R_vtkWindow_SetWindowName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Render <- function(){
    res<-.Call("R_vtkWindow_Render",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDPI <- function(){
    res<-.Call("R_vtkWindow_GetDPI",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDPI <- function( ._arg){
    res<-.Call("R_vtkWindow_SetDPI",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDPIMinValue <- function(){
    res<-.Call("R_vtkWindow_GetDPIMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDPIMaxValue <- function(){
    res<-.Call("R_vtkWindow_GetDPIMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOffScreenRendering <- function( ._arg){
    res<-.Call("R_vtkWindow_SetOffScreenRendering",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOffScreenRendering <- function(){
    res<-.Call("R_vtkWindow_GetOffScreenRendering",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OffScreenRenderingOn <- function(){
    res<-.Call("R_vtkWindow_OffScreenRenderingOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OffScreenRenderingOff <- function(){
    res<-.Call("R_vtkWindow_OffScreenRenderingOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MakeCurrent <- function(){
    res<-.Call("R_vtkWindow_MakeCurrent",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTileScale <- function( ._arg){
    res<-.Call("R_vtkWindow_SetTileScale",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTileScale <- function(){
    res<-.Call("R_vtkWindow_GetTileScale",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTileViewport <- function( ._arg1, ._arg2, ._arg3, ._arg4){
    res<-.Call("R_vtkWindow_SetTileViewport",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTileViewport_v1 <- function( ._arg){
    res<-.Call("R_vtkWindow_SetTileViewport_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTileViewport <- function(){
    res<-.Call("R_vtkWindow_GetTileViewport",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTileViewport_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1)), ._arg4=as.double(rep.int(1,1))){
    res<-.Call("R_vtkWindow_GetTileViewport_v1",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTileViewport_v2 <- function( ._arg){
    res<-.Call("R_vtkWindow_GetTileViewport_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkWindow",class(.me))
  return(.me)
}
