vtkXMLReader <- function(.me=environment()){
  .me <- vtkSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkXMLReader_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkXMLReader_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkXMLReader_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkXMLReader_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkXMLReader(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkXMLReader_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkXMLReader(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFileName <- function( ._arg){
    res<-.Call("R_vtkXMLReader_SetFileName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFileName <- function(){
    res<-.Call("R_vtkXMLReader_GetFileName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CanReadFile <- function( .name){
    res<-.Call("R_vtkXMLReader_CanReadFile",.me$obj, .name,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputAsDataSet <- function(){
    res<-.Call("R_vtkXMLReader_GetOutputAsDataSet",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputAsDataSet_v1 <- function( .index){
    res<-.Call("R_vtkXMLReader_GetOutputAsDataSet_v1",.me$obj, .index,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointDataArraySelection <- function(){
    res<-.Call("R_vtkXMLReader_GetPointDataArraySelection",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataArraySelection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellDataArraySelection <- function(){
    res<-.Call("R_vtkXMLReader_GetCellDataArraySelection",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataArraySelection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfPointArrays <- function(){
    res<-.Call("R_vtkXMLReader_GetNumberOfPointArrays",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfCellArrays <- function(){
    res<-.Call("R_vtkXMLReader_GetNumberOfCellArrays",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointArrayName <- function( .index){
    res<-.Call("R_vtkXMLReader_GetPointArrayName",.me$obj, .index,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellArrayName <- function( .index){
    res<-.Call("R_vtkXMLReader_GetCellArrayName",.me$obj, .index,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointArrayStatus <- function( .name){
    res<-.Call("R_vtkXMLReader_GetPointArrayStatus",.me$obj, .name,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellArrayStatus <- function( .name){
    res<-.Call("R_vtkXMLReader_GetCellArrayStatus",.me$obj, .name,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPointArrayStatus <- function( .name, .status){
    res<-.Call("R_vtkXMLReader_SetPointArrayStatus",.me$obj, .name, .status,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellArrayStatus <- function( .name, .status){
    res<-.Call("R_vtkXMLReader_SetCellArrayStatus",.me$obj, .name, .status,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkXMLReader",class(.me))
  return(.me)
}
