vtkXMLStructuredDataWriter <- function(.me=environment()){
  .me <- vtkXMLWriter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkXMLStructuredDataWriter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkXMLStructuredDataWriter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkXMLStructuredDataWriter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkXMLStructuredDataWriter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkXMLStructuredDataWriter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkXMLStructuredDataWriter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkXMLStructuredDataWriter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfPieces <- function( ._arg){
    res<-.Call("R_vtkXMLStructuredDataWriter_SetNumberOfPieces",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfPieces <- function(){
    res<-.Call("R_vtkXMLStructuredDataWriter_GetNumberOfPieces",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWriteExtent <- function( ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6){
    res<-.Call("R_vtkXMLStructuredDataWriter_SetWriteExtent",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWriteExtent_v1 <- function( ._arg){
    res<-.Call("R_vtkXMLStructuredDataWriter_SetWriteExtent_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWriteExtent <- function(){
    res<-.Call("R_vtkXMLStructuredDataWriter_GetWriteExtent",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWriteExtent_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1)), ._arg3=as.integer(rep.int(1,1)), ._arg4=as.integer(rep.int(1,1)), ._arg5=as.integer(rep.int(1,1)), ._arg6=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkXMLStructuredDataWriter_GetWriteExtent_v1",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWriteExtent_v2 <- function( ._arg){
    res<-.Call("R_vtkXMLStructuredDataWriter_GetWriteExtent_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtentTranslator <- function( ._arg=vtkExtentTranslator()){
    check.VTK(._arg,"vtkExtentTranslator")
    res<-.Call("R_vtkXMLStructuredDataWriter_SetExtentTranslator",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkExtentTranslator(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtentTranslator <- function(){
    res<-.Call("R_vtkXMLStructuredDataWriter_GetExtentTranslator",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkExtentTranslator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkXMLStructuredDataWriter",class(.me))
  return(.me)
}
