vtkXMLUnstructuredDataReader <- function(.me=environment()){
  .me <- vtkXMLDataReader(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkXMLUnstructuredDataReader_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkXMLUnstructuredDataReader_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkXMLUnstructuredDataReader_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkXMLUnstructuredDataReader_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkXMLUnstructuredDataReader(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkXMLUnstructuredDataReader_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkXMLUnstructuredDataReader(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfPoints <- function(){
    res<-.Call("R_vtkXMLUnstructuredDataReader_GetNumberOfPoints",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfCells <- function(){
    res<-.Call("R_vtkXMLUnstructuredDataReader_GetNumberOfCells",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetupUpdateExtent <- function( .piece, .numberOfPieces, .ghostLevel){
    res<-.Call("R_vtkXMLUnstructuredDataReader_SetupUpdateExtent",.me$obj, .piece, .numberOfPieces, .ghostLevel,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkXMLUnstructuredDataReader",class(.me))
  return(.me)
}
