#include <vtk/vtkAbstractTransform.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkAbstractTransform_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    vtkAbstractTransform *  _res =( vtkAbstractTransform * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkAbstractTransform");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    vtkAbstractTransform *  _res =( vtkAbstractTransform * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkAbstractTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_TransformPoint( SEXP obj, SEXP in, SEXP out){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     float  *  _in =  SexpTofloat(in);
    SET_LENGTH(out,3);
     float  *  _out =  SexpTofloat(out);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    _obj->TransformPoint(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_out,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_TransformPoint_v1( SEXP obj, SEXP in, SEXP out){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     double  *  _in =  SexpTodouble(in);
    SET_LENGTH(out,3);
     double  *  _out =  SexpTodouble(out);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    _obj->TransformPoint(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_out,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_TransformPoint_v2( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->TransformPoint( * _x,  * _y,  * _z);
    res=doubleToSexp(_res,33);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_TransformPoint_v3( SEXP obj, SEXP point){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(point,3);
     double  *  _point =  SexpTodouble(point);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->TransformPoint(_point);
    res=doubleToSexp(_res,33);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_TransformFloatPoint( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     float  *  _x =  SexpTofloat(x);
    SET_LENGTH(y,1);
     float  *  _y =  SexpTofloat(y);
    SET_LENGTH(z,1);
     float  *  _z =  SexpTofloat(z);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->TransformFloatPoint( * _x,  * _y,  * _z);
    res=floatToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_TransformFloatPoint_v1( SEXP obj, SEXP point){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(point,3);
     float  *  _point =  SexpTofloat(point);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->TransformFloatPoint(_point);
    res=floatToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_TransformDoublePoint( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->TransformDoublePoint( * _x,  * _y,  * _z);
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_TransformDoublePoint_v1( SEXP obj, SEXP point){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(point,3);
     double  *  _point =  SexpTodouble(point);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->TransformDoublePoint(_point);
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_TransformNormalAtPoint( SEXP obj, SEXP point, SEXP in, SEXP out){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _point =  SexpTofloat(point);
     float  *  _in =  SexpTofloat(in);
     float  *  _out =  SexpTofloat(out);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    _obj->TransformNormalAtPoint(_point, _in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_out,LENGTH(out)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_TransformNormalAtPoint_v1( SEXP obj, SEXP point, SEXP in, SEXP out){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _point =  SexpTodouble(point);
     double  *  _in =  SexpTodouble(in);
     double  *  _out =  SexpTodouble(out);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    _obj->TransformNormalAtPoint(_point, _in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_out,LENGTH(out)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_TransformNormalAtPoint_v2( SEXP obj, SEXP point, SEXP normal){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(point,3);
     double  *  _point =  SexpTodouble(point);
    SET_LENGTH(normal,3);
     double  *  _normal =  SexpTodouble(normal);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->TransformNormalAtPoint(_point, _normal);
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_TransformDoubleNormalAtPoint( SEXP obj, SEXP point, SEXP normal){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(point,3);
     double  *  _point =  SexpTodouble(point);
    SET_LENGTH(normal,3);
     double  *  _normal =  SexpTodouble(normal);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->TransformDoubleNormalAtPoint(_point, _normal);
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_TransformFloatNormalAtPoint( SEXP obj, SEXP point, SEXP normal){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(point,3);
     float  *  _point =  SexpTofloat(point);
    SET_LENGTH(normal,3);
     float  *  _normal =  SexpTofloat(normal);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->TransformFloatNormalAtPoint(_point, _normal);
    res=floatToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_TransformVectorAtPoint( SEXP obj, SEXP point, SEXP in, SEXP out){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _point =  SexpTofloat(point);
     float  *  _in =  SexpTofloat(in);
     float  *  _out =  SexpTofloat(out);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    _obj->TransformVectorAtPoint(_point, _in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_out,LENGTH(out)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_TransformVectorAtPoint_v1( SEXP obj, SEXP point, SEXP in, SEXP out){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _point =  SexpTodouble(point);
     double  *  _in =  SexpTodouble(in);
     double  *  _out =  SexpTodouble(out);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    _obj->TransformVectorAtPoint(_point, _in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_out,LENGTH(out)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_TransformVectorAtPoint_v2( SEXP obj, SEXP point, SEXP vector){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(point,3);
     double  *  _point =  SexpTodouble(point);
    SET_LENGTH(vector,3);
     double  *  _vector =  SexpTodouble(vector);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->TransformVectorAtPoint(_point, _vector);
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_TransformDoubleVectorAtPoint( SEXP obj, SEXP point, SEXP vector){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(point,3);
     double  *  _point =  SexpTodouble(point);
    SET_LENGTH(vector,3);
     double  *  _vector =  SexpTodouble(vector);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->TransformDoubleVectorAtPoint(_point, _vector);
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_TransformFloatVectorAtPoint( SEXP obj, SEXP point, SEXP vector){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(point,3);
     float  *  _point =  SexpTofloat(point);
    SET_LENGTH(vector,3);
     float  *  _vector =  SexpTofloat(vector);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->TransformFloatVectorAtPoint(_point, _vector);
    res=floatToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_TransformPoints( SEXP obj, SEXP in, SEXP out){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     vtkPoints  *  _in = (vtkPoints * )  SexpToVtk(in);
     vtkPoints  *  _out = (vtkPoints * )  SexpToVtk(out);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    _obj->TransformPoints(_in, _out);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_in,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_out,"vtkPoints"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_TransformPointsNormalsVectors( SEXP obj, SEXP inPts, SEXP outPts, SEXP inNms, SEXP outNms, SEXP inVrs, SEXP outVrs){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _inPts = (vtkPoints * )  SexpToVtk(inPts);
     vtkPoints  *  _outPts = (vtkPoints * )  SexpToVtk(outPts);
     vtkDataArray  *  _inNms = (vtkDataArray * )  SexpToVtk(inNms);
     vtkDataArray  *  _outNms = (vtkDataArray * )  SexpToVtk(outNms);
     vtkDataArray  *  _inVrs = (vtkDataArray * )  SexpToVtk(inVrs);
     vtkDataArray  *  _outVrs = (vtkDataArray * )  SexpToVtk(outVrs);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    _obj->TransformPointsNormalsVectors(_inPts, _outPts, _inNms, _outNms, _inVrs, _outVrs);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_inPts,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".inPts",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_outPts,"vtkPoints"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".outPts",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_inNms,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".inNms",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_outNms,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".outNms",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_inVrs,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".inVrs",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_outVrs,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".outVrs",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_GetInverse( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    vtkAbstractTransform *  _res =( vtkAbstractTransform * )_obj->GetInverse();
    res=VtkToSexp(_res,"vtkAbstractTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_SetInverse( SEXP obj, SEXP transform){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAbstractTransform  *  _transform = (vtkAbstractTransform * )  
SexpToVtk(transform);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    _obj->SetInverse(_transform);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_transform,"vtkAbstractTransform"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".transform",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_Inverse( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    _obj->Inverse();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_DeepCopy( SEXP obj, SEXP transform){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAbstractTransform  *  _transform = (vtkAbstractTransform * )  
SexpToVtk(transform);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    _obj->DeepCopy(_transform);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_transform,"vtkAbstractTransform"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".transform",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_Update( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    _obj->Update();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_InternalTransformPoint( SEXP obj, SEXP in, SEXP out){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     float  *  _in =  SexpTofloat(in);
    SET_LENGTH(out,3);
     float  *  _out =  SexpTofloat(out);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    _obj->InternalTransformPoint(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_out,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_InternalTransformPoint_v1( SEXP obj, SEXP in, SEXP out){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     double  *  _in =  SexpTodouble(in);
    SET_LENGTH(out,3);
     double  *  _out =  SexpTodouble(out);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    _obj->InternalTransformPoint(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_out,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_MakeTransform( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    vtkAbstractTransform *  _res =( vtkAbstractTransform * )_obj->MakeTransform();
    res=VtkToSexp(_res,"vtkAbstractTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_CircuitCheck( SEXP obj, SEXP transform){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAbstractTransform  *  _transform = (vtkAbstractTransform * )  
SexpToVtk(transform);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    int _res =_obj->CircuitCheck(_transform);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_transform,"vtkAbstractTransform"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".transform",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_GetMTime( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_UnRegister( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    _obj->UnRegister(_o);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractTransform_Identity( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractTransform * _obj = (vtkAbstractTransform * ) SexpToVtk(obj);
    _obj->Identity();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
}
