#include <vtk/vtkActor2D.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkActor2D_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    vtkActor2D *  _res =( vtkActor2D * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkActor2D");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    vtkActor2D *  _res =( vtkActor2D * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkActor2D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_RenderOverlay( SEXP obj, SEXP viewport){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    int _res =_obj->RenderOverlay(_viewport);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_RenderOpaqueGeometry( SEXP obj, SEXP viewport){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    int _res =_obj->RenderOpaqueGeometry(_viewport);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_RenderTranslucentGeometry( SEXP obj, SEXP viewport){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    int _res =_obj->RenderTranslucentGeometry(_viewport);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_SetMapper( SEXP obj, SEXP mapper){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMapper2D  *  _mapper = (vtkMapper2D * )  SexpToVtk(mapper);
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    _obj->SetMapper(_mapper);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_mapper,"vtkMapper2D"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".mapper",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_GetMapper( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    vtkMapper2D *  _res =( vtkMapper2D * )_obj->GetMapper();
    res=VtkToSexp(_res,"vtkMapper2D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_SetLayerNumber( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    _obj->SetLayerNumber( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_GetLayerNumber( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    int _res =_obj->GetLayerNumber();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_GetProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    vtkProperty2D *  _res =( vtkProperty2D * )_obj->GetProperty();
    res=VtkToSexp(_res,"vtkProperty2D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_SetProperty( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProperty2D  *  __arg = (vtkProperty2D * )  SexpToVtk(_arg);
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    _obj->SetProperty(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkProperty2D"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_GetPositionCoordinate( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    vtkCoordinate *  _res =( vtkCoordinate * )_obj->GetPositionCoordinate();
    res=VtkToSexp(_res,"vtkCoordinate");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_SetPosition( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _x =  SexpTodouble(x);
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    _obj->SetPosition(_x);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,LENGTH(x)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_SetPosition_v1( SEXP obj, SEXP x, SEXP y){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    _obj->SetPosition( * _x,  * _y);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_GetPosition( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetPosition();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_SetDisplayPosition( SEXP obj, SEXP XPos, SEXP YPos){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(XPos,1);
     int  *  _XPos =  SexpToint(XPos);
    SET_LENGTH(YPos,1);
     int  *  _YPos =  SexpToint(YPos);
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    _obj->SetDisplayPosition( * _XPos,  * _YPos);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_GetPosition2Coordinate( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    vtkCoordinate *  _res =( vtkCoordinate * )_obj->GetPosition2Coordinate();
    res=VtkToSexp(_res,"vtkCoordinate");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_SetPosition2( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _x =  SexpTodouble(x);
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    _obj->SetPosition2(_x);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,LENGTH(x)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_SetPosition2_v1( SEXP obj, SEXP x, SEXP y){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    _obj->SetPosition2( * _x,  * _y);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_GetPosition2( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetPosition2();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_SetWidth( SEXP obj, SEXP w){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(w,1);
     double  *  _w =  SexpTodouble(w);
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    _obj->SetWidth( * _w);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_GetWidth( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    double _res =_obj->GetWidth();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_SetHeight( SEXP obj, SEXP w){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(w,1);
     double  *  _w =  SexpTodouble(w);
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    _obj->SetHeight( * _w);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_GetHeight( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    double _res =_obj->GetHeight();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_GetMTime( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_GetActors2D( SEXP obj, SEXP ac){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPropCollection  *  _ac = (vtkPropCollection * )  SexpToVtk(ac);
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    _obj->GetActors2D(_ac);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ac,"vtkPropCollection"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ac",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_ShallowCopy( SEXP obj, SEXP prop){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProp  *  _prop = (vtkProp * )  SexpToVtk(prop);
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    _obj->ShallowCopy(_prop);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_prop,"vtkProp"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".prop",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_ReleaseGraphicsResources( SEXP obj, SEXP win){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkWindow  *  _win = (vtkWindow * )  SexpToVtk(win);
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    _obj->ReleaseGraphicsResources(_win);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_win,"vtkWindow"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".win",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_GetActualPositionCoordinate( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    vtkCoordinate *  _res =( vtkCoordinate * )_obj->GetActualPositionCoordinate();
    res=VtkToSexp(_res,"vtkCoordinate");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_GetActualPosition2Coordinate( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor2D * _obj = (vtkActor2D * ) SexpToVtk(obj);
    vtkCoordinate *  _res =( vtkCoordinate * )_obj->GetActualPosition2Coordinate();
    res=VtkToSexp(_res,"vtkCoordinate");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2D_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkActor2D * res= ( vtkActor2D * ) vtkActor2D::New();
    R_res=toRPointer(res,"vtkActor2D");
    return(R_res);
  }
}
