#include <vtk/vtkActor2DCollection.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkActor2DCollection_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor2DCollection * _obj = (vtkActor2DCollection * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2DCollection_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkActor2DCollection * _obj = (vtkActor2DCollection * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2DCollection_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkActor2DCollection * _obj = (vtkActor2DCollection * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2DCollection_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkActor2DCollection * _obj = (vtkActor2DCollection * ) SexpToVtk(obj);
    vtkActor2DCollection *  _res =( vtkActor2DCollection * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkActor2DCollection");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2DCollection_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor2DCollection * _obj = (vtkActor2DCollection * ) SexpToVtk(obj);
    vtkActor2DCollection *  _res =( vtkActor2DCollection * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkActor2DCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2DCollection_Sort( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor2DCollection * _obj = (vtkActor2DCollection * ) SexpToVtk(obj);
    _obj->Sort();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2DCollection_AddItem( SEXP obj, SEXP a){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkActor2D  *  _a = (vtkActor2D * )  SexpToVtk(a);
    vtkActor2DCollection * _obj = (vtkActor2DCollection * ) SexpToVtk(obj);
    _obj->AddItem(_a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_a,"vtkActor2D"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2DCollection_IsItemPresent( SEXP obj, SEXP a){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkActor2D  *  _a = (vtkActor2D * )  SexpToVtk(a);
    vtkActor2DCollection * _obj = (vtkActor2DCollection * ) SexpToVtk(obj);
    int _res =_obj->IsItemPresent(_a);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_a,"vtkActor2D"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2DCollection_GetNextActor2D( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor2DCollection * _obj = (vtkActor2DCollection * ) SexpToVtk(obj);
    vtkActor2D *  _res =( vtkActor2D * )_obj->GetNextActor2D();
    res=VtkToSexp(_res,"vtkActor2D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2DCollection_GetLastActor2D( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor2DCollection * _obj = (vtkActor2DCollection * ) SexpToVtk(obj);
    vtkActor2D *  _res =( vtkActor2D * )_obj->GetLastActor2D();
    res=VtkToSexp(_res,"vtkActor2D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2DCollection_GetNextItem( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor2DCollection * _obj = (vtkActor2DCollection * ) SexpToVtk(obj);
    vtkActor2D *  _res =( vtkActor2D * )_obj->GetNextItem();
    res=VtkToSexp(_res,"vtkActor2D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2DCollection_GetLastItem( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor2DCollection * _obj = (vtkActor2DCollection * ) SexpToVtk(obj);
    vtkActor2D *  _res =( vtkActor2D * )_obj->GetLastItem();
    res=VtkToSexp(_res,"vtkActor2D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2DCollection_RenderOverlay( SEXP obj, SEXP viewport){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
    vtkActor2DCollection * _obj = (vtkActor2DCollection * ) SexpToVtk(obj);
    _obj->RenderOverlay(_viewport);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor2DCollection_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkActor2DCollection * res= ( vtkActor2DCollection * ) vtkActor2DCollection
::New();
    R_res=toRPointer(res,"vtkActor2DCollection");
    return(R_res);
  }
}
