#include <vtk/vtkAmoebaMinimizer.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkAmoebaMinimizer_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    vtkAmoebaMinimizer *  _res =( vtkAmoebaMinimizer * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkAmoebaMinimizer");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    vtkAmoebaMinimizer *  _res =( vtkAmoebaMinimizer * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkAmoebaMinimizer");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_SetFunction( SEXP obj, SEXP f, SEXP env){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     RVoidFuncArg * _arg=Calloc(1,RVoidFuncArg);
     _arg->env=env;
     _arg->func=f;
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    _obj->SetFunction(RVoidFunc, (void *) _arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_SetParameterValue( SEXP obj, SEXP name, SEXP val){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(val,1);
     double  *  _val =  SexpTodouble(val);
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    _obj->SetParameterValue(_name,  * _val);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_SetParameterValue_v1( SEXP obj, SEXP i, SEXP val){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(val,1);
     double  *  _val =  SexpTodouble(val);
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    _obj->SetParameterValue( * _i,  * _val);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_SetParameterScale( SEXP obj, SEXP name, SEXP scale){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(scale,1);
     double  *  _scale =  SexpTodouble(scale);
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    _obj->SetParameterScale(_name,  * _scale);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_GetParameterScale( SEXP obj, SEXP name){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    double _res =_obj->GetParameterScale(_name);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_SetParameterScale_v1( SEXP obj, SEXP i, SEXP scale){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(scale,1);
     double  *  _scale =  SexpTodouble(scale);
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    _obj->SetParameterScale( * _i,  * _scale);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_GetParameterScale_v1( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    double _res =_obj->GetParameterScale( * _i);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_GetParameterValue( SEXP obj, SEXP name){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    double _res =_obj->GetParameterValue(_name);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_GetParameterValue_v1( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    double _res =_obj->GetParameterValue( * _i);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_GetParameterName( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetParameterName( * _i);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_GetNumberOfParameters( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfParameters();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_Initialize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_Minimize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    _obj->Minimize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_Iterate( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    int _res =_obj->Iterate();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_SetFunctionValue( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    _obj->SetFunctionValue( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_GetFunctionValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    double _res =_obj->GetFunctionValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_SetTolerance( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    _obj->SetTolerance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_GetTolerance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    double _res =_obj->GetTolerance();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_SetMaxIterations( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    _obj->SetMaxIterations( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_GetMaxIterations( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    int _res =_obj->GetMaxIterations();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_GetIterations( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    int _res =_obj->GetIterations();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_GetFunctionEvaluations( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    int _res =_obj->GetFunctionEvaluations();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_EvaluateFunction( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAmoebaMinimizer * _obj = (vtkAmoebaMinimizer * ) SexpToVtk(obj);
    _obj->EvaluateFunction();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAmoebaMinimizer_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkAmoebaMinimizer * res= ( vtkAmoebaMinimizer * ) vtkAmoebaMinimizer
::New();
    R_res=toRPointer(res,"vtkAmoebaMinimizer");
    return(R_res);
  }
}
