#include <vtk/vtkAssemblyPath.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkAssemblyPath_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAssemblyPath * _obj = (vtkAssemblyPath * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAssemblyPath_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAssemblyPath * _obj = (vtkAssemblyPath * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAssemblyPath_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAssemblyPath * _obj = (vtkAssemblyPath * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAssemblyPath_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkAssemblyPath * _obj = (vtkAssemblyPath * ) SexpToVtk(obj);
    vtkAssemblyPath *  _res =( vtkAssemblyPath * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkAssemblyPath");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAssemblyPath_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAssemblyPath * _obj = (vtkAssemblyPath * ) SexpToVtk(obj);
    vtkAssemblyPath *  _res =( vtkAssemblyPath * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkAssemblyPath");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAssemblyPath_AddNode( SEXP obj, SEXP p, SEXP m){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProp  *  _p = (vtkProp * )  SexpToVtk(p);
     vtkMatrix4x4  *  _m = (vtkMatrix4x4 * )  SexpToVtk(m);
    vtkAssemblyPath * _obj = (vtkAssemblyPath * ) SexpToVtk(obj);
    _obj->AddNode(_p, _m);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_p,"vtkProp"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_m,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".m",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAssemblyPath_GetNextNode( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAssemblyPath * _obj = (vtkAssemblyPath * ) SexpToVtk(obj);
    vtkAssemblyNode *  _res =( vtkAssemblyNode * )_obj->GetNextNode();
    res=VtkToSexp(_res,"vtkAssemblyNode");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAssemblyPath_GetFirstNode( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAssemblyPath * _obj = (vtkAssemblyPath * ) SexpToVtk(obj);
    vtkAssemblyNode *  _res =( vtkAssemblyNode * )_obj->GetFirstNode();
    res=VtkToSexp(_res,"vtkAssemblyNode");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAssemblyPath_GetLastNode( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAssemblyPath * _obj = (vtkAssemblyPath * ) SexpToVtk(obj);
    vtkAssemblyNode *  _res =( vtkAssemblyNode * )_obj->GetLastNode();
    res=VtkToSexp(_res,"vtkAssemblyNode");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAssemblyPath_DeleteLastNode( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAssemblyPath * _obj = (vtkAssemblyPath * ) SexpToVtk(obj);
    _obj->DeleteLastNode();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAssemblyPath_ShallowCopy( SEXP obj, SEXP path){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAssemblyPath  *  _path = (vtkAssemblyPath * )  SexpToVtk(path);
    vtkAssemblyPath * _obj = (vtkAssemblyPath * ) SexpToVtk(obj);
    _obj->ShallowCopy(_path);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_path,"vtkAssemblyPath"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".path",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAssemblyPath_GetMTime( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAssemblyPath * _obj = (vtkAssemblyPath * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAssemblyPath_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkAssemblyPath * res= ( vtkAssemblyPath * ) vtkAssemblyPath::New();
    R_res=toRPointer(res,"vtkAssemblyPath");
    return(R_res);
  }
}
