#include <vtk/vtkBooleanTexture.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkBooleanTexture_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    vtkBooleanTexture *  _res =( vtkBooleanTexture * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkBooleanTexture");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    vtkBooleanTexture *  _res =( vtkBooleanTexture * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkBooleanTexture");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_SetXSize( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->SetXSize( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_GetXSize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    int _res =_obj->GetXSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_SetYSize( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->SetYSize( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_GetYSize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    int _res =_obj->GetYSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_SetThickness( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->SetThickness( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_GetThickness( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    int _res =_obj->GetThickness();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_SetInIn( SEXP obj, SEXP _arg1, SEXP _arg2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     unsigned char  *  __arg1 =  SexpTounsigned_char(_arg1);
    SET_LENGTH(_arg2,1);
     unsigned char  *  __arg2 =  SexpTounsigned_char(_arg2);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->SetInIn( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_SetInIn_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  __arg =  SexpTounsigned_char(_arg);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->SetInIn(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_GetInIn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->GetInIn();
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_GetInIn_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  _data =  SexpTounsigned_char(data);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->GetInIn(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_SetInOut( SEXP obj, SEXP _arg1, SEXP _arg2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     unsigned char  *  __arg1 =  SexpTounsigned_char(_arg1);
    SET_LENGTH(_arg2,1);
     unsigned char  *  __arg2 =  SexpTounsigned_char(_arg2);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->SetInOut( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_SetInOut_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  __arg =  SexpTounsigned_char(_arg);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->SetInOut(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_GetInOut( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->GetInOut();
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_GetInOut_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  _data =  SexpTounsigned_char(data);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->GetInOut(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_SetOutIn( SEXP obj, SEXP _arg1, SEXP _arg2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     unsigned char  *  __arg1 =  SexpTounsigned_char(_arg1);
    SET_LENGTH(_arg2,1);
     unsigned char  *  __arg2 =  SexpTounsigned_char(_arg2);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->SetOutIn( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_SetOutIn_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  __arg =  SexpTounsigned_char(_arg);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->SetOutIn(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_GetOutIn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->GetOutIn();
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_GetOutIn_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  _data =  SexpTounsigned_char(data);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->GetOutIn(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_SetOutOut( SEXP obj, SEXP _arg1, SEXP _arg2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     unsigned char  *  __arg1 =  SexpTounsigned_char(_arg1);
    SET_LENGTH(_arg2,1);
     unsigned char  *  __arg2 =  SexpTounsigned_char(_arg2);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->SetOutOut( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_SetOutOut_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  __arg =  SexpTounsigned_char(_arg);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->SetOutOut(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_GetOutOut( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->GetOutOut();
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_GetOutOut_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  _data =  SexpTounsigned_char(data);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->GetOutOut(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_SetOnOn( SEXP obj, SEXP _arg1, SEXP _arg2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     unsigned char  *  __arg1 =  SexpTounsigned_char(_arg1);
    SET_LENGTH(_arg2,1);
     unsigned char  *  __arg2 =  SexpTounsigned_char(_arg2);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->SetOnOn( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_SetOnOn_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  __arg =  SexpTounsigned_char(_arg);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->SetOnOn(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_GetOnOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->GetOnOn();
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_GetOnOn_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  _data =  SexpTounsigned_char(data);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->GetOnOn(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_SetOnIn( SEXP obj, SEXP _arg1, SEXP _arg2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     unsigned char  *  __arg1 =  SexpTounsigned_char(_arg1);
    SET_LENGTH(_arg2,1);
     unsigned char  *  __arg2 =  SexpTounsigned_char(_arg2);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->SetOnIn( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_SetOnIn_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  __arg =  SexpTounsigned_char(_arg);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->SetOnIn(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_GetOnIn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->GetOnIn();
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_GetOnIn_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  _data =  SexpTounsigned_char(data);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->GetOnIn(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_SetOnOut( SEXP obj, SEXP _arg1, SEXP _arg2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     unsigned char  *  __arg1 =  SexpTounsigned_char(_arg1);
    SET_LENGTH(_arg2,1);
     unsigned char  *  __arg2 =  SexpTounsigned_char(_arg2);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->SetOnOut( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_SetOnOut_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  __arg =  SexpTounsigned_char(_arg);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->SetOnOut(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_GetOnOut( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->GetOnOut();
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_GetOnOut_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  _data =  SexpTounsigned_char(data);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->GetOnOut(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_SetInOn( SEXP obj, SEXP _arg1, SEXP _arg2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     unsigned char  *  __arg1 =  SexpTounsigned_char(_arg1);
    SET_LENGTH(_arg2,1);
     unsigned char  *  __arg2 =  SexpTounsigned_char(_arg2);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->SetInOn( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_SetInOn_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  __arg =  SexpTounsigned_char(_arg);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->SetInOn(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_GetInOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->GetInOn();
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_GetInOn_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  _data =  SexpTounsigned_char(data);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->GetInOn(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_SetOutOn( SEXP obj, SEXP _arg1, SEXP _arg2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     unsigned char  *  __arg1 =  SexpTounsigned_char(_arg1);
    SET_LENGTH(_arg2,1);
     unsigned char  *  __arg2 =  SexpTounsigned_char(_arg2);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->SetOutOn( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_SetOutOn_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  __arg =  SexpTounsigned_char(_arg);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->SetOutOn(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_GetOutOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->GetOutOn();
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_GetOutOn_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  _data =  SexpTounsigned_char(data);
    vtkBooleanTexture * _obj = (vtkBooleanTexture * ) SexpToVtk(obj);
    _obj->GetOutOn(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBooleanTexture_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkBooleanTexture * res= ( vtkBooleanTexture * ) vtkBooleanTexture::New();
    R_res=toRPointer(res,"vtkBooleanTexture");
    return(R_res);
  }
}
