#include <vtk/vtkCellLocator.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkCellLocator_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    vtkCellLocator *  _res =( vtkCellLocator * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkCellLocator");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    vtkCellLocator *  _res =( vtkCellLocator * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkCellLocator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_SetNumberOfCellsPerBucket( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    _obj->SetNumberOfCellsPerBucket( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_GetNumberOfCellsPerBucketMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfCellsPerBucketMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_GetNumberOfCellsPerBucketMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfCellsPerBucketMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_GetNumberOfCellsPerBucket( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfCellsPerBucket();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_SetCacheCellBounds( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    _obj->SetCacheCellBounds( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_GetCacheCellBounds( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    int _res =_obj->GetCacheCellBounds();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_CacheCellBoundsOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    _obj->CacheCellBoundsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_CacheCellBoundsOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    _obj->CacheCellBoundsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_IntersectWithLine( SEXP obj, SEXP a0, SEXP a1, SEXP tol, SEXP t, SEXP x, SEXP pcoords, SEXP subId){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a0,3);
     double  *  _a0 =  SexpTodouble(a0);
    SET_LENGTH(a1,3);
     double  *  _a1 =  SexpTodouble(a1);
    SET_LENGTH(tol,1);
     double  *  _tol =  SexpTodouble(tol);
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    int _res =_obj->IntersectWithLine(_a0, _a1,  * _tol,  * _t, _x, _pcoords,  * _subId);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_a0,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a0",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_a1,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".a1",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_t,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".t",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,5,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,6,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,6,charToSexp(".subId",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_IntersectWithLine_v1( SEXP obj, SEXP a0, SEXP a1, SEXP tol, SEXP t, SEXP x, SEXP pcoords, SEXP subId, SEXP cellId){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a0,3);
     double  *  _a0 =  SexpTodouble(a0);
    SET_LENGTH(a1,3);
     double  *  _a1 =  SexpTodouble(a1);
    SET_LENGTH(tol,1);
     double  *  _tol =  SexpTodouble(tol);
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    int _res =_obj->IntersectWithLine(_a0, _a1,  * _tol,  * _t, _x, _pcoords,  * _subId,  * _cellId);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,8));
    PROTECT(res_names = allocVector(VECSXP,8));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_a0,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a0",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_a1,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".a1",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_t,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".t",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,5,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,6,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,6,charToSexp(".subId",0));
    SET_VECTOR_ELT(ans,7,intToSexp(_cellId,1));
    SET_VECTOR_ELT(res_names,7,charToSexp(".cellId",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_IntersectWithLine_v2( SEXP obj, SEXP a0, SEXP a1, SEXP tol, SEXP t, SEXP x, SEXP pcoords, SEXP subId, SEXP cellId, SEXP cell){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a0,3);
     double  *  _a0 =  SexpTodouble(a0);
    SET_LENGTH(a1,3);
     double  *  _a1 =  SexpTodouble(a1);
    SET_LENGTH(tol,1);
     double  *  _tol =  SexpTodouble(tol);
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkGenericCell  *  _cell = (vtkGenericCell * )  SexpToVtk(cell);
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    int _res =_obj->IntersectWithLine(_a0, _a1,  * _tol,  * _t, _x, _pcoords,  * _subId,  * _cellId, _cell);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,9));
    PROTECT(res_names = allocVector(VECSXP,9));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_a0,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a0",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_a1,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".a1",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_t,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".t",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,5,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,6,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,6,charToSexp(".subId",0));
    SET_VECTOR_ELT(ans,7,intToSexp(_cellId,1));
    SET_VECTOR_ELT(res_names,7,charToSexp(".cellId",0));
    SET_VECTOR_ELT(ans,8,VtkToSexp(_cell,"vtkGenericCell"));
    SET_VECTOR_ELT(res_names,8,charToSexp(".cell",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_FindClosestPoint( SEXP obj, SEXP x, SEXP closestPoint, SEXP cellId, SEXP subId, SEXP dist2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(closestPoint,3);
     double  *  _closestPoint =  SexpTodouble(closestPoint);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(dist2,1);
     double  *  _dist2 =  SexpTodouble(dist2);
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    _obj->FindClosestPoint(_x, _closestPoint,  * _cellId,  * _subId,  * _dist2);
    PROTECT(ans = allocVector(VECSXP,6));
    PROTECT(res_names = allocVector(VECSXP,6));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_closestPoint,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".closestPoint",0));
    SET_VECTOR_ELT(ans,3,intToSexp(_cellId,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".cellId",0));
    SET_VECTOR_ELT(ans,4,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,4,charToSexp(".subId",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_dist2,1));
    SET_VECTOR_ELT(res_names,5,charToSexp(".dist2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_FindClosestPoint_v1( SEXP obj, SEXP x, SEXP closestPoint, SEXP cell, SEXP cellId, SEXP subId, SEXP dist2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(closestPoint,3);
     double  *  _closestPoint =  SexpTodouble(closestPoint);
     vtkGenericCell  *  _cell = (vtkGenericCell * )  SexpToVtk(cell);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(dist2,1);
     double  *  _dist2 =  SexpTodouble(dist2);
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    _obj->FindClosestPoint(_x, _closestPoint, _cell,  * _cellId,  * _subId,  * _dist2);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_closestPoint,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".closestPoint",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_cell,"vtkGenericCell"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".cell",0));
    SET_VECTOR_ELT(ans,4,intToSexp(_cellId,1));
    SET_VECTOR_ELT(res_names,4,charToSexp(".cellId",0));
    SET_VECTOR_ELT(ans,5,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,5,charToSexp(".subId",0));
    SET_VECTOR_ELT(ans,6,doubleToSexp(_dist2,1));
    SET_VECTOR_ELT(res_names,6,charToSexp(".dist2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_FindClosestPointWithinRadius( SEXP obj, SEXP x, SEXP radius, SEXP closestPoint, SEXP cellId, SEXP subId, SEXP dist2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(radius,1);
     double  *  _radius =  SexpTodouble(radius);
    SET_LENGTH(closestPoint,3);
     double  *  _closestPoint =  SexpTodouble(closestPoint);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(dist2,1);
     double  *  _dist2 =  SexpTodouble(dist2);
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    int _res =_obj->FindClosestPointWithinRadius(_x,  * _radius, _closestPoint,  * _cellId,  * _subId,  * _dist2);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,6));
    PROTECT(res_names = allocVector(VECSXP,6));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_closestPoint,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".closestPoint",0));
    SET_VECTOR_ELT(ans,3,intToSexp(_cellId,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".cellId",0));
    SET_VECTOR_ELT(ans,4,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,4,charToSexp(".subId",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_dist2,1));
    SET_VECTOR_ELT(res_names,5,charToSexp(".dist2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_FindClosestPointWithinRadius_v1( SEXP obj, SEXP x, SEXP radius, SEXP closestPoint, SEXP cell, SEXP cellId, SEXP subId, SEXP dist2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(radius,1);
     double  *  _radius =  SexpTodouble(radius);
    SET_LENGTH(closestPoint,3);
     double  *  _closestPoint =  SexpTodouble(closestPoint);
     vtkGenericCell  *  _cell = (vtkGenericCell * )  SexpToVtk(cell);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(dist2,1);
     double  *  _dist2 =  SexpTodouble(dist2);
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    int _res =_obj->FindClosestPointWithinRadius(_x,  * _radius, _closestPoint, _cell,  * _cellId,  * _subId,  * _dist2);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_closestPoint,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".closestPoint",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_cell,"vtkGenericCell"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".cell",0));
    SET_VECTOR_ELT(ans,4,intToSexp(_cellId,1));
    SET_VECTOR_ELT(res_names,4,charToSexp(".cellId",0));
    SET_VECTOR_ELT(ans,5,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,5,charToSexp(".subId",0));
    SET_VECTOR_ELT(ans,6,doubleToSexp(_dist2,1));
    SET_VECTOR_ELT(res_names,6,charToSexp(".dist2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_FindClosestPointWithinRadius_v2( SEXP obj, SEXP x, SEXP radius, SEXP closestPoint, SEXP cell, SEXP cellId, SEXP subId, SEXP dist2, SEXP inside){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(radius,1);
     double  *  _radius =  SexpTodouble(radius);
    SET_LENGTH(closestPoint,3);
     double  *  _closestPoint =  SexpTodouble(closestPoint);
     vtkGenericCell  *  _cell = (vtkGenericCell * )  SexpToVtk(cell);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(dist2,1);
     double  *  _dist2 =  SexpTodouble(dist2);
    SET_LENGTH(inside,1);
     int  *  _inside =  SexpToint(inside);
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    int _res =_obj->FindClosestPointWithinRadius(_x,  * _radius, _closestPoint, _cell,  * _cellId,  * _subId,  * _dist2,  * _inside);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,8));
    PROTECT(res_names = allocVector(VECSXP,8));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_closestPoint,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".closestPoint",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_cell,"vtkGenericCell"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".cell",0));
    SET_VECTOR_ELT(ans,4,intToSexp(_cellId,1));
    SET_VECTOR_ELT(res_names,4,charToSexp(".cellId",0));
    SET_VECTOR_ELT(ans,5,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,5,charToSexp(".subId",0));
    SET_VECTOR_ELT(ans,6,doubleToSexp(_dist2,1));
    SET_VECTOR_ELT(res_names,6,charToSexp(".dist2",0));
    SET_VECTOR_ELT(ans,7,intToSexp(_inside,1));
    SET_VECTOR_ELT(res_names,7,charToSexp(".inside",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_GetCells( SEXP obj, SEXP octantId){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(octantId,1);
     int  *  _octantId =  SexpToint(octantId);
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    vtkIdList *  _res =( vtkIdList * )_obj->GetCells( * _octantId);
    res=VtkToSexp(_res,"vtkIdList");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_GetNumberOfBuckets( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfBuckets();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_FreeSearchStructure( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    _obj->FreeSearchStructure();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_BuildLocator( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    _obj->BuildLocator();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_GenerateRepresentation( SEXP obj, SEXP level, SEXP pd){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(level,1);
     int  *  _level =  SexpToint(level);
     vtkPolyData  *  _pd = (vtkPolyData * )  SexpToVtk(pd);
    vtkCellLocator * _obj = (vtkCellLocator * ) SexpToVtk(obj);
    _obj->GenerateRepresentation( * _level, _pd);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pd,"vtkPolyData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellLocator_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkCellLocator * res= ( vtkCellLocator * ) vtkCellLocator::New();
    R_res=toRPointer(res,"vtkCellLocator");
    return(R_res);
  }
}
