#include <vtk/vtkColorTransferFunction.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkColorTransferFunction_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    vtkColorTransferFunction *  _res =( vtkColorTransferFunction * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkColorTransferFunction");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    vtkColorTransferFunction *  _res =( vtkColorTransferFunction * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkColorTransferFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_DeepCopy( SEXP obj, SEXP f){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkColorTransferFunction  *  _f = (vtkColorTransferFunction * )  
SexpToVtk(f);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    _obj->DeepCopy(_f);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_f,"vtkColorTransferFunction"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".f",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_GetSize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    int _res =_obj->GetSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_AddRGBPoint( SEXP obj, SEXP x, SEXP r, SEXP g, SEXP b){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(r,1);
     double  *  _r =  SexpTodouble(r);
    SET_LENGTH(g,1);
     double  *  _g =  SexpTodouble(g);
    SET_LENGTH(b,1);
     double  *  _b =  SexpTodouble(b);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    int _res =_obj->AddRGBPoint( * _x,  * _r,  * _g,  * _b);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_AddHSVPoint( SEXP obj, SEXP x, SEXP h, SEXP s, SEXP v){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(h,1);
     double  *  _h =  SexpTodouble(h);
    SET_LENGTH(s,1);
     double  *  _s =  SexpTodouble(s);
    SET_LENGTH(v,1);
     double  *  _v =  SexpTodouble(v);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    int _res =_obj->AddHSVPoint( * _x,  * _h,  * _s,  * _v);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_RemovePoint( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    int _res =_obj->RemovePoint( * _x);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_AddRGBSegment( SEXP obj, SEXP x1, SEXP r1, SEXP g1, SEXP b1, SEXP x2, SEXP r2, SEXP g2, SEXP b2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(r1,1);
     double  *  _r1 =  SexpTodouble(r1);
    SET_LENGTH(g1,1);
     double  *  _g1 =  SexpTodouble(g1);
    SET_LENGTH(b1,1);
     double  *  _b1 =  SexpTodouble(b1);
    SET_LENGTH(x2,1);
     double  *  _x2 =  SexpTodouble(x2);
    SET_LENGTH(r2,1);
     double  *  _r2 =  SexpTodouble(r2);
    SET_LENGTH(g2,1);
     double  *  _g2 =  SexpTodouble(g2);
    SET_LENGTH(b2,1);
     double  *  _b2 =  SexpTodouble(b2);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    _obj->AddRGBSegment( * _x1,  * _r1,  * _g1,  * _b1,  * _x2,  * _r2,  * _g2,  * _b2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_AddHSVSegment( SEXP obj, SEXP x1, SEXP h1, SEXP s1, SEXP v1, SEXP x2, SEXP h2, SEXP s2, SEXP v2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(h1,1);
     double  *  _h1 =  SexpTodouble(h1);
    SET_LENGTH(s1,1);
     double  *  _s1 =  SexpTodouble(s1);
    SET_LENGTH(v1,1);
     double  *  _v1 =  SexpTodouble(v1);
    SET_LENGTH(x2,1);
     double  *  _x2 =  SexpTodouble(x2);
    SET_LENGTH(h2,1);
     double  *  _h2 =  SexpTodouble(h2);
    SET_LENGTH(s2,1);
     double  *  _s2 =  SexpTodouble(s2);
    SET_LENGTH(v2,1);
     double  *  _v2 =  SexpTodouble(v2);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    _obj->AddHSVSegment( * _x1,  * _h1,  * _s1,  * _v1,  * _x2,  * _h2,  * _s2,  * _v2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_RemoveAllPoints( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    _obj->RemoveAllPoints();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_GetColor( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetColor( * _x);
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_GetColor_v1( SEXP obj, SEXP x, SEXP rgb){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(rgb,3);
     double  *  _rgb =  SexpTodouble(rgb);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    _obj->GetColor( * _x, _rgb);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_rgb,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".rgb",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_GetRedValue( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    double _res =_obj->GetRedValue( * _x);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_GetGreenValue( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    double _res =_obj->GetGreenValue( * _x);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_GetBlueValue( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    double _res =_obj->GetBlueValue( * _x);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_MapValue( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->MapValue( * _x);
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_GetRange( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetRange();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_GetRange_v1( SEXP obj, SEXP _arg1, SEXP _arg2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    _obj->GetRange( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_GetRange_v2( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    _obj->GetRange(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_GetTable( SEXP obj, SEXP x1, SEXP x2, SEXP size, SEXP table){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(x2,1);
     double  *  _x2 =  SexpTodouble(x2);
    SET_LENGTH(size,1);
     int  *  _size =  SexpToint(size);
     double  *  _table =  SexpTodouble(table);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    _obj->GetTable( * _x1,  * _x2,  * _size, _table);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_table,LENGTH(table)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".table",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_GetTable_v1( SEXP obj, SEXP x1, SEXP x2, SEXP size, SEXP table){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(x2,1);
     double  *  _x2 =  SexpTodouble(x2);
    SET_LENGTH(size,1);
     int  *  _size =  SexpToint(size);
     float  *  _table =  SexpTofloat(table);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    _obj->GetTable( * _x1,  * _x2,  * _size, _table);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_table,LENGTH(table)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".table",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_GetTable_v2( SEXP obj, SEXP x1, SEXP x2, SEXP size){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(x2,1);
     double  *  _x2 =  SexpTodouble(x2);
    SET_LENGTH(size,1);
     int  *  _size =  SexpToint(size);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->GetTable( * _x1,  * _x2,  * _size);
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_BuildFunctionFromTable( SEXP obj, SEXP x1, SEXP x2, SEXP size, SEXP table){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(x2,1);
     double  *  _x2 =  SexpTodouble(x2);
    SET_LENGTH(size,1);
     int  *  _size =  SexpToint(size);
     double  *  _table =  SexpTodouble(table);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    _obj->BuildFunctionFromTable( * _x1,  * _x2,  * _size, _table);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_table,LENGTH(table)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".table",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_SetClamping( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    _obj->SetClamping( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_GetClampingMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    int _res =_obj->GetClampingMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_GetClampingMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    int _res =_obj->GetClampingMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_GetClamping( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    int _res =_obj->GetClamping();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_ClampingOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    _obj->ClampingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_ClampingOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    _obj->ClampingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_SetColorSpace( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    _obj->SetColorSpace( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_GetColorSpaceMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    int _res =_obj->GetColorSpaceMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_GetColorSpaceMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    int _res =_obj->GetColorSpaceMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_SetColorSpaceToRGB( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    _obj->SetColorSpaceToRGB();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_SetColorSpaceToHSV( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    _obj->SetColorSpaceToHSV();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_GetColorSpace( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    int _res =_obj->GetColorSpace();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_GetDataPointer( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetDataPointer();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_FillFromDataPointer( SEXP obj, SEXP nb, SEXP ptr){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(nb,1);
     int  *  _nb =  SexpToint(nb);
     double  *  _ptr =  SexpTodouble(ptr);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    _obj->FillFromDataPointer( * _nb, _ptr);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_ptr,LENGTH(ptr)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptr",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_MapScalarsThroughTable2( SEXP obj, SEXP input, SEXP output, SEXP inputDataType, SEXP numberOfValues, SEXP inputIncrement, SEXP outputFormat){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     void  *  _input =  SexpTovoid(input);
     unsigned char  *  _output =  SexpTounsigned_char(output);
    SET_LENGTH(inputDataType,1);
     int  *  _inputDataType =  SexpToint(inputDataType);
    SET_LENGTH(numberOfValues,1);
     int  *  _numberOfValues =  SexpToint(numberOfValues);
    SET_LENGTH(inputIncrement,1);
     int  *  _inputIncrement =  SexpToint(inputIncrement);
    SET_LENGTH(outputFormat,1);
     int  *  _outputFormat =  SexpToint(outputFormat);
    vtkColorTransferFunction * _obj = (vtkColorTransferFunction
 * ) SexpToVtk(obj);
    _obj->MapScalarsThroughTable2(_input, _output,  * _inputDataType,  * _numberOfValues,  * _inputIncrement,  * _outputFormat);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_input,LENGTH(input)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    SET_VECTOR_ELT(ans,2,unsigned_charToSexp(_output,LENGTH(output)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".output",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkColorTransferFunction_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkColorTransferFunction * res= ( vtkColorTransferFunction * ) 
vtkColorTransferFunction::New();
    R_res=toRPointer(res,"vtkColorTransferFunction");
    return(R_res);
  }
}
