#include <vtk/vtkCompositeDataCommand.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkCompositeDataCommand_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataCommand * _obj = (vtkCompositeDataCommand
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataCommand_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCompositeDataCommand * _obj = (vtkCompositeDataCommand
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataCommand_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCompositeDataCommand * _obj = (vtkCompositeDataCommand
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataCommand_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkCompositeDataCommand * _obj = (vtkCompositeDataCommand
 * ) SexpToVtk(obj);
    vtkCompositeDataCommand *  _res =( vtkCompositeDataCommand * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkCompositeDataCommand");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataCommand_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataCommand * _obj = (vtkCompositeDataCommand
 * ) SexpToVtk(obj);
    vtkCompositeDataCommand *  _res =( vtkCompositeDataCommand * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkCompositeDataCommand");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataCommand_Execute( SEXP obj, SEXP caller, SEXP input, SEXP callData){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkCompositeDataVisitor  *  _caller = (vtkCompositeDataVisitor * )  
SexpToVtk(caller);
     vtkDataObject  *  _input = (vtkDataObject * )  SexpToVtk(input);
     void  *  _callData =  SexpTovoid(callData);
    vtkCompositeDataCommand * _obj = (vtkCompositeDataCommand
 * ) SexpToVtk(obj);
    _obj->Execute(_caller, _input, _callData);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_caller,"vtkCompositeDataVisitor"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".caller",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_input,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".input",0));
    SET_VECTOR_ELT(ans,3,voidToSexp(_callData,LENGTH(callData)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".callData",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataCommand_Initialize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataCommand * _obj = (vtkCompositeDataCommand
 * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
}
