#include <vtk/vtkCompositeDataSet.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkCompositeDataSet_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    vtkCompositeDataSet *  _res =( vtkCompositeDataSet * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkCompositeDataSet");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    vtkCompositeDataSet *  _res =( vtkCompositeDataSet * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkCompositeDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_NewIterator( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    vtkCompositeDataIterator *  _res =( vtkCompositeDataIterator * )_obj->NewIterator();
    res=VtkToSexp(_res,"vtkCompositeDataIterator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_NewVisitor( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    vtkCompositeDataVisitor *  _res =( vtkCompositeDataVisitor * )_obj->NewVisitor();
    res=VtkToSexp(_res,"vtkCompositeDataVisitor");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_GetDataObjectType( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    int _res =_obj->GetDataObjectType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_Initialize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_SetUpdateExtent( SEXP obj, SEXP piece, SEXP numPieces, SEXP ghostLevel){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(piece,1);
     int  *  _piece =  SexpToint(piece);
    SET_LENGTH(numPieces,1);
     int  *  _numPieces =  SexpToint(numPieces);
    SET_LENGTH(ghostLevel,1);
     int  *  _ghostLevel =  SexpToint(ghostLevel);
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    _obj->SetUpdateExtent( * _piece,  * _numPieces,  * _ghostLevel);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_SetUpdateExtent_v1( SEXP obj, SEXP piece, SEXP numPieces){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(piece,1);
     int  *  _piece =  SexpToint(piece);
    SET_LENGTH(numPieces,1);
     int  *  _numPieces =  SexpToint(numPieces);
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    _obj->SetUpdateExtent( * _piece,  * _numPieces);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_GetUpdateExtent( SEXP obj, SEXP piece, SEXP numPieces, SEXP ghostLevel){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(piece,1);
     int  *  _piece =  SexpToint(piece);
    SET_LENGTH(numPieces,1);
     int  *  _numPieces =  SexpToint(numPieces);
    SET_LENGTH(ghostLevel,1);
     int  *  _ghostLevel =  SexpToint(ghostLevel);
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    _obj->GetUpdateExtent( * _piece,  * _numPieces,  * _ghostLevel);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_piece,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".piece",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_numPieces,1));
    SET_VECTOR_ELT(res_names,2,charToSexp(".numPieces",0));
    SET_VECTOR_ELT(ans,3,intToSexp(_ghostLevel,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".ghostLevel",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_GetUpdateExtent_v1( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetUpdateExtent();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_GetUpdateExtent_v2( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3, SEXP _arg4, SEXP _arg5, SEXP _arg6){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    SET_LENGTH(_arg3,1);
     int  *  __arg3 =  SexpToint(_arg3);
    SET_LENGTH(_arg4,1);
     int  *  __arg4 =  SexpToint(_arg4);
    SET_LENGTH(_arg5,1);
     int  *  __arg5 =  SexpToint(_arg5);
    SET_LENGTH(_arg6,1);
     int  *  __arg6 =  SexpToint(_arg6);
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    _obj->GetUpdateExtent( * __arg1,  * __arg2,  * __arg3,  * __arg4,  * __arg5,  * __arg6);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,intToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,intToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    SET_VECTOR_ELT(ans,4,intToSexp(__arg4,1));
    SET_VECTOR_ELT(res_names,4,charToSexp("._arg4",0));
    SET_VECTOR_ELT(ans,5,intToSexp(__arg5,1));
    SET_VECTOR_ELT(res_names,5,charToSexp("._arg5",0));
    SET_VECTOR_ELT(ans,6,intToSexp(__arg6,1));
    SET_VECTOR_ELT(res_names,6,charToSexp("._arg6",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_GetUpdateExtent_v3( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    _obj->GetUpdateExtent(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_SetUpdateExtent_v2( SEXP obj, SEXP x1, SEXP x2, SEXP y1, SEXP y2, SEXP z1, SEXP z2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(x2,1);
     int  *  _x2 =  SexpToint(x2);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(y2,1);
     int  *  _y2 =  SexpToint(y2);
    SET_LENGTH(z1,1);
     int  *  _z1 =  SexpToint(z1);
    SET_LENGTH(z2,1);
     int  *  _z2 =  SexpToint(z2);
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    _obj->SetUpdateExtent( * _x1,  * _x2,  * _y1,  * _y2,  * _z1,  * _z2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_SetUpdateExtent_v3( SEXP obj, SEXP ext){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _ext =  SexpToint(ext);
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    _obj->SetUpdateExtent(_ext);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_ext,LENGTH(ext)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ext",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
}
