#include <vtk/vtkCursor3D.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkCursor3D_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    vtkCursor3D *  _res =( vtkCursor3D * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkCursor3D");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    vtkCursor3D *  _res =( vtkCursor3D * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkCursor3D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_SetModelBounds( SEXP obj, SEXP xmin, SEXP xmax, SEXP ymin, SEXP ymax, SEXP zmin, SEXP zmax){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xmin,1);
     double  *  _xmin =  SexpTodouble(xmin);
    SET_LENGTH(xmax,1);
     double  *  _xmax =  SexpTodouble(xmax);
    SET_LENGTH(ymin,1);
     double  *  _ymin =  SexpTodouble(ymin);
    SET_LENGTH(ymax,1);
     double  *  _ymax =  SexpTodouble(ymax);
    SET_LENGTH(zmin,1);
     double  *  _zmin =  SexpTodouble(zmin);
    SET_LENGTH(zmax,1);
     double  *  _zmax =  SexpTodouble(zmax);
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->SetModelBounds( * _xmin,  * _xmax,  * _ymin,  * _ymax,  * _zmin,  * _zmax);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_SetModelBounds_v1( SEXP obj, SEXP bounds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _bounds =  SexpTodouble(bounds);
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->SetModelBounds(_bounds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,LENGTH(bounds)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_GetModelBounds( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetModelBounds();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_GetModelBounds_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->GetModelBounds(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_SetFocalPoint( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _x =  SexpTodouble(x);
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->SetFocalPoint(_x);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,LENGTH(x)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_SetFocalPoint_v1( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->SetFocalPoint( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_GetFocalPoint( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetFocalPoint();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_GetFocalPoint_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->GetFocalPoint(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_SetOutline( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->SetOutline( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_GetOutline( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    int _res =_obj->GetOutline();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_OutlineOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->OutlineOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_OutlineOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->OutlineOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_SetAxes( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->SetAxes( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_GetAxes( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    int _res =_obj->GetAxes();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_AxesOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->AxesOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_AxesOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->AxesOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_SetXShadows( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->SetXShadows( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_GetXShadows( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    int _res =_obj->GetXShadows();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_XShadowsOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->XShadowsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_XShadowsOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->XShadowsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_SetYShadows( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->SetYShadows( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_GetYShadows( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    int _res =_obj->GetYShadows();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_YShadowsOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->YShadowsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_YShadowsOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->YShadowsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_SetZShadows( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->SetZShadows( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_GetZShadows( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    int _res =_obj->GetZShadows();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_ZShadowsOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->ZShadowsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_ZShadowsOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->ZShadowsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_SetTranslationMode( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->SetTranslationMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_GetTranslationMode( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    int _res =_obj->GetTranslationMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_TranslationModeOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->TranslationModeOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_TranslationModeOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->TranslationModeOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_SetWrap( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->SetWrap( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_GetWrap( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    int _res =_obj->GetWrap();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_WrapOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->WrapOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_WrapOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->WrapOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_GetFocus( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    vtkPolyData *  _res =( vtkPolyData * )_obj->GetFocus();
    res=VtkToSexp(_res,"vtkPolyData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_AllOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->AllOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_AllOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCursor3D * _obj = (vtkCursor3D * ) SexpToVtk(obj);
    _obj->AllOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCursor3D_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkCursor3D * res= ( vtkCursor3D * ) vtkCursor3D::New();
    R_res=toRPointer(res,"vtkCursor3D");
    return(R_res);
  }
}
