#include <vtk/vtkCutter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkCutter_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    vtkCutter *  _res =( vtkCutter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkCutter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    vtkCutter *  _res =( vtkCutter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkCutter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_SetValue( SEXP obj, SEXP i, SEXP value){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    _obj->SetValue( * _i,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_GetValue( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    double _res =_obj->GetValue( * _i);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_GetValues( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetValues();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_GetValues_v1( SEXP obj, SEXP contourValues){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _contourValues =  SexpTodouble(contourValues);
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    _obj->GetValues(_contourValues);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_contourValues,LENGTH(contourValues)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".contourValues",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_SetNumberOfContours( SEXP obj, SEXP number){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(number,1);
     int  *  _number =  SexpToint(number);
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    _obj->SetNumberOfContours( * _number);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_GetNumberOfContours( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfContours();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_GenerateValues( SEXP obj, SEXP numContours, SEXP range){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(numContours,1);
     int  *  _numContours =  SexpToint(numContours);
     double  *  _range =  SexpTodouble(range);
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    _obj->GenerateValues( * _numContours, _range);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_range,LENGTH(range)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".range",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_GenerateValues_v1( SEXP obj, SEXP numContours, SEXP rangeStart, SEXP rangeEnd){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(numContours,1);
     int  *  _numContours =  SexpToint(numContours);
    SET_LENGTH(rangeStart,1);
     double  *  _rangeStart =  SexpTodouble(rangeStart);
    SET_LENGTH(rangeEnd,1);
     double  *  _rangeEnd =  SexpTodouble(rangeEnd);
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    _obj->GenerateValues( * _numContours,  * _rangeStart,  * _rangeEnd);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_GetMTime( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_SetCutFunction( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImplicitFunction  *  __arg = (vtkImplicitFunction * )  SexpToVtk(_arg);
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    _obj->SetCutFunction(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkImplicitFunction"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_GetCutFunction( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    vtkImplicitFunction *  _res =( vtkImplicitFunction * )_obj->GetCutFunction();
    res=VtkToSexp(_res,"vtkImplicitFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_SetGenerateCutScalars( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    _obj->SetGenerateCutScalars( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_GetGenerateCutScalars( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    int _res =_obj->GetGenerateCutScalars();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_GenerateCutScalarsOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    _obj->GenerateCutScalarsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_GenerateCutScalarsOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    _obj->GenerateCutScalarsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_SetLocator( SEXP obj, SEXP locator){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    _obj->SetLocator(_locator);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".locator",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_GetLocator( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    vtkPointLocator *  _res =( vtkPointLocator * )_obj->GetLocator();
    res=VtkToSexp(_res,"vtkPointLocator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_SetSortBy( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    _obj->SetSortBy( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_GetSortByMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    int _res =_obj->GetSortByMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_GetSortByMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    int _res =_obj->GetSortByMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_GetSortBy( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    int _res =_obj->GetSortBy();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_SetSortByToSortByValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    _obj->SetSortByToSortByValue();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_SetSortByToSortByCell( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    _obj->SetSortByToSortByCell();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_GetSortByAsString( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetSortByAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_CreateDefaultLocator( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCutter * _obj = (vtkCutter * ) SexpToVtk(obj);
    _obj->CreateDefaultLocator();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCutter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkCutter * res= ( vtkCutter * ) vtkCutter::New();
    R_res=toRPointer(res,"vtkCutter");
    return(R_res);
  }
}
