#include <vtk/vtkDataArray.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkDataArray_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_Allocate( SEXP obj, SEXP sz, SEXP ext){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(sz,1);
     int  *  _sz =  SexpToint(sz);
    SET_LENGTH(ext,1);
     int  *  _ext =  SexpToint(ext);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    int _res =_obj->Allocate( * _sz,  * _ext);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_Initialize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetDataType( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    int _res =_obj->GetDataType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetDataTypeSize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    int _res =_obj->GetDataTypeSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_SetNumberOfComponents( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->SetNumberOfComponents( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetNumberOfComponentsMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfComponentsMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetNumberOfComponentsMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfComponentsMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetNumberOfComponents( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfComponents();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_SetNumberOfTuples( SEXP obj, SEXP number){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(number,1);
     int  *  _number =  SexpToint(number);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->SetNumberOfTuples( * _number);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetNumberOfTuples( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfTuples();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetTuple( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetTuple( * _i);
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetTuple_v1( SEXP obj, SEXP i, SEXP tuple){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
     double  *  _tuple =  SexpTodouble(tuple);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->GetTuple( * _i, _tuple);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_tuple,LENGTH(tuple)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".tuple",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetTuple1( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    double _res =_obj->GetTuple1( * _i);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetTuple2( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetTuple2( * _i);
    res=doubleToSexp(_res,2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetTuple3( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetTuple3( * _i);
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetTuple4( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetTuple4( * _i);
    res=doubleToSexp(_res,4);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetTuple9( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetTuple9( * _i);
    res=doubleToSexp(_res,9);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetTuples( SEXP obj, SEXP ptIds, SEXP da){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkIdList  *  _ptIds = (vtkIdList * )  SexpToVtk(ptIds);
     vtkDataArray  *  _da = (vtkDataArray * )  SexpToVtk(da);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->GetTuples(_ptIds, _da);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ptIds,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptIds",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_da,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".da",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetTuples_v1( SEXP obj, SEXP p1, SEXP p2, SEXP da){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p1,1);
     int  *  _p1 =  SexpToint(p1);
    SET_LENGTH(p2,1);
     int  *  _p2 =  SexpToint(p2);
     vtkDataArray  *  _da = (vtkDataArray * )  SexpToVtk(da);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->GetTuples( * _p1,  * _p2, _da);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_da,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".da",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_SetTuple( SEXP obj, SEXP i, SEXP tuple){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
     float  *  _tuple =  SexpTofloat(tuple);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->SetTuple( * _i, _tuple);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_SetTuple_v1( SEXP obj, SEXP i, SEXP tuple){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
     double  *  _tuple =  SexpTodouble(tuple);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->SetTuple( * _i, _tuple);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_SetTuple1( SEXP obj, SEXP i, SEXP value){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->SetTuple1( * _i,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_SetTuple2( SEXP obj, SEXP i, SEXP val0, SEXP val1){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(val0,1);
     double  *  _val0 =  SexpTodouble(val0);
    SET_LENGTH(val1,1);
     double  *  _val1 =  SexpTodouble(val1);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->SetTuple2( * _i,  * _val0,  * _val1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_SetTuple3( SEXP obj, SEXP i, SEXP val0, SEXP val1, SEXP val2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(val0,1);
     double  *  _val0 =  SexpTodouble(val0);
    SET_LENGTH(val1,1);
     double  *  _val1 =  SexpTodouble(val1);
    SET_LENGTH(val2,1);
     double  *  _val2 =  SexpTodouble(val2);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->SetTuple3( * _i,  * _val0,  * _val1,  * _val2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_SetTuple4( SEXP obj, SEXP i, SEXP val0, SEXP val1, SEXP val2, SEXP val3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(val0,1);
     double  *  _val0 =  SexpTodouble(val0);
    SET_LENGTH(val1,1);
     double  *  _val1 =  SexpTodouble(val1);
    SET_LENGTH(val2,1);
     double  *  _val2 =  SexpTodouble(val2);
    SET_LENGTH(val3,1);
     double  *  _val3 =  SexpTodouble(val3);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->SetTuple4( * _i,  * _val0,  * _val1,  * _val2,  * _val3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_SetTuple9( SEXP obj, SEXP i, SEXP val0, SEXP val1, SEXP val2, SEXP val3, SEXP val4, SEXP val5, SEXP val6, SEXP val7, SEXP val8){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(val0,1);
     double  *  _val0 =  SexpTodouble(val0);
    SET_LENGTH(val1,1);
     double  *  _val1 =  SexpTodouble(val1);
    SET_LENGTH(val2,1);
     double  *  _val2 =  SexpTodouble(val2);
    SET_LENGTH(val3,1);
     double  *  _val3 =  SexpTodouble(val3);
    SET_LENGTH(val4,1);
     double  *  _val4 =  SexpTodouble(val4);
    SET_LENGTH(val5,1);
     double  *  _val5 =  SexpTodouble(val5);
    SET_LENGTH(val6,1);
     double  *  _val6 =  SexpTodouble(val6);
    SET_LENGTH(val7,1);
     double  *  _val7 =  SexpTodouble(val7);
    SET_LENGTH(val8,1);
     double  *  _val8 =  SexpTodouble(val8);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->SetTuple9( * _i,  * _val0,  * _val1,  * _val2,  * _val3,  * _val4,  * _val5,  * _val6,  * _val7,  * _val8);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_InsertTuple( SEXP obj, SEXP i, SEXP tuple){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
     float  *  _tuple =  SexpTofloat(tuple);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->InsertTuple( * _i, _tuple);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_InsertTuple_v1( SEXP obj, SEXP i, SEXP tuple){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
     double  *  _tuple =  SexpTodouble(tuple);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->InsertTuple( * _i, _tuple);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_InsertTuple1( SEXP obj, SEXP i, SEXP value){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->InsertTuple1( * _i,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_InsertTuple2( SEXP obj, SEXP i, SEXP val0, SEXP val1){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(val0,1);
     double  *  _val0 =  SexpTodouble(val0);
    SET_LENGTH(val1,1);
     double  *  _val1 =  SexpTodouble(val1);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->InsertTuple2( * _i,  * _val0,  * _val1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_InsertTuple3( SEXP obj, SEXP i, SEXP val0, SEXP val1, SEXP val2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(val0,1);
     double  *  _val0 =  SexpTodouble(val0);
    SET_LENGTH(val1,1);
     double  *  _val1 =  SexpTodouble(val1);
    SET_LENGTH(val2,1);
     double  *  _val2 =  SexpTodouble(val2);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->InsertTuple3( * _i,  * _val0,  * _val1,  * _val2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_InsertTuple4( SEXP obj, SEXP i, SEXP val0, SEXP val1, SEXP val2, SEXP val3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(val0,1);
     double  *  _val0 =  SexpTodouble(val0);
    SET_LENGTH(val1,1);
     double  *  _val1 =  SexpTodouble(val1);
    SET_LENGTH(val2,1);
     double  *  _val2 =  SexpTodouble(val2);
    SET_LENGTH(val3,1);
     double  *  _val3 =  SexpTodouble(val3);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->InsertTuple4( * _i,  * _val0,  * _val1,  * _val2,  * _val3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_InsertTuple9( SEXP obj, SEXP i, SEXP val0, SEXP val1, SEXP val2, SEXP val3, SEXP val4, SEXP val5, SEXP val6, SEXP val7, SEXP val8){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(val0,1);
     double  *  _val0 =  SexpTodouble(val0);
    SET_LENGTH(val1,1);
     double  *  _val1 =  SexpTodouble(val1);
    SET_LENGTH(val2,1);
     double  *  _val2 =  SexpTodouble(val2);
    SET_LENGTH(val3,1);
     double  *  _val3 =  SexpTodouble(val3);
    SET_LENGTH(val4,1);
     double  *  _val4 =  SexpTodouble(val4);
    SET_LENGTH(val5,1);
     double  *  _val5 =  SexpTodouble(val5);
    SET_LENGTH(val6,1);
     double  *  _val6 =  SexpTodouble(val6);
    SET_LENGTH(val7,1);
     double  *  _val7 =  SexpTodouble(val7);
    SET_LENGTH(val8,1);
     double  *  _val8 =  SexpTodouble(val8);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->InsertTuple9( * _i,  * _val0,  * _val1,  * _val2,  * _val3,  * _val4,  * _val5,  * _val6,  * _val7,  * _val8);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_InsertNextTuple( SEXP obj, SEXP tuple){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _tuple =  SexpTofloat(tuple);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    int _res =_obj->InsertNextTuple(_tuple);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_InsertNextTuple_v1( SEXP obj, SEXP tuple){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _tuple =  SexpTodouble(tuple);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    int _res =_obj->InsertNextTuple(_tuple);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_InsertNextTuple1( SEXP obj, SEXP value){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->InsertNextTuple1( * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_InsertNextTuple2( SEXP obj, SEXP val0, SEXP val1){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(val0,1);
     double  *  _val0 =  SexpTodouble(val0);
    SET_LENGTH(val1,1);
     double  *  _val1 =  SexpTodouble(val1);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->InsertNextTuple2( * _val0,  * _val1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_InsertNextTuple3( SEXP obj, SEXP val0, SEXP val1, SEXP val2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(val0,1);
     double  *  _val0 =  SexpTodouble(val0);
    SET_LENGTH(val1,1);
     double  *  _val1 =  SexpTodouble(val1);
    SET_LENGTH(val2,1);
     double  *  _val2 =  SexpTodouble(val2);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->InsertNextTuple3( * _val0,  * _val1,  * _val2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_InsertNextTuple4( SEXP obj, SEXP val0, SEXP val1, SEXP val2, SEXP val3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(val0,1);
     double  *  _val0 =  SexpTodouble(val0);
    SET_LENGTH(val1,1);
     double  *  _val1 =  SexpTodouble(val1);
    SET_LENGTH(val2,1);
     double  *  _val2 =  SexpTodouble(val2);
    SET_LENGTH(val3,1);
     double  *  _val3 =  SexpTodouble(val3);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->InsertNextTuple4( * _val0,  * _val1,  * _val2,  * _val3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_InsertNextTuple9( SEXP obj, SEXP val0, SEXP val1, SEXP val2, SEXP val3, SEXP val4, SEXP val5, SEXP val6, SEXP val7, SEXP val8){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(val0,1);
     double  *  _val0 =  SexpTodouble(val0);
    SET_LENGTH(val1,1);
     double  *  _val1 =  SexpTodouble(val1);
    SET_LENGTH(val2,1);
     double  *  _val2 =  SexpTodouble(val2);
    SET_LENGTH(val3,1);
     double  *  _val3 =  SexpTodouble(val3);
    SET_LENGTH(val4,1);
     double  *  _val4 =  SexpTodouble(val4);
    SET_LENGTH(val5,1);
     double  *  _val5 =  SexpTodouble(val5);
    SET_LENGTH(val6,1);
     double  *  _val6 =  SexpTodouble(val6);
    SET_LENGTH(val7,1);
     double  *  _val7 =  SexpTodouble(val7);
    SET_LENGTH(val8,1);
     double  *  _val8 =  SexpTodouble(val8);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->InsertNextTuple9( * _val0,  * _val1,  * _val2,  * _val3,  * _val4,  * _val5,  * _val6,  * _val7,  * _val8);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetComponent( SEXP obj, SEXP i, SEXP j){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(j,1);
     int  *  _j =  SexpToint(j);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    double _res =_obj->GetComponent( * _i,  * _j);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_SetComponent( SEXP obj, SEXP i, SEXP j, SEXP c){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(j,1);
     int  *  _j =  SexpToint(j);
    SET_LENGTH(c,1);
     double  *  _c =  SexpTodouble(c);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->SetComponent( * _i,  * _j,  * _c);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_InsertComponent( SEXP obj, SEXP i, SEXP j, SEXP c){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(j,1);
     int  *  _j =  SexpToint(j);
    SET_LENGTH(c,1);
     double  *  _c =  SexpTodouble(c);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->InsertComponent( * _i,  * _j,  * _c);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetData( SEXP obj, SEXP tupleMin, SEXP tupleMax, SEXP compMin, SEXP compMax, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(tupleMin,1);
     int  *  _tupleMin =  SexpToint(tupleMin);
    SET_LENGTH(tupleMax,1);
     int  *  _tupleMax =  SexpToint(tupleMax);
    SET_LENGTH(compMin,1);
     int  *  _compMin =  SexpToint(compMin);
    SET_LENGTH(compMax,1);
     int  *  _compMax =  SexpToint(compMax);
     vtkDoubleArray  *  _data = (vtkDoubleArray * )  SexpToVtk(data);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->GetData( * _tupleMin,  * _tupleMax,  * _compMin,  * _compMax, _data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_data,"vtkDoubleArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_DeepCopy( SEXP obj, SEXP da){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _da = (vtkDataArray * )  SexpToVtk(da);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->DeepCopy(_da);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_da,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".da",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_FillComponent( SEXP obj, SEXP j, SEXP c){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(j,1);
     int  *  _j =  SexpToint(j);
    SET_LENGTH(c,1);
     double  *  _c =  SexpTodouble(c);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->FillComponent( * _j,  * _c);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_CopyComponent( SEXP obj, SEXP j, SEXP from, SEXP fromComponent){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(j,1);
     int  *  _j =  SexpToint(j);
     vtkDataArray  *  _from = (vtkDataArray * )  SexpToVtk(from);
    SET_LENGTH(fromComponent,1);
     int  *  _fromComponent =  SexpToint(fromComponent);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->CopyComponent( * _j, _from,  * _fromComponent);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_from,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".from",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetVoidPointer( SEXP obj, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    void *  _res =_obj->GetVoidPointer( * _id);
    res=voidToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_Squeeze( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->Squeeze();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_Resize( SEXP obj, SEXP numTuples){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(numTuples,1);
     int  *  _numTuples =  SexpToint(numTuples);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->Resize( * _numTuples);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_Reset( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->Reset();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetSize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    int _res =_obj->GetSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetMaxId( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    int _res =_obj->GetMaxId();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetActualMemorySize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetActualMemorySize();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_CreateDefaultLookupTable( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->CreateDefaultLookupTable();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_SetLookupTable( SEXP obj, SEXP lut){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkLookupTable  *  _lut = (vtkLookupTable * )  SexpToVtk(lut);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->SetLookupTable(_lut);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_lut,"vtkLookupTable"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".lut",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetLookupTable( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    vtkLookupTable *  _res =( vtkLookupTable * )_obj->GetLookupTable();
    res=VtkToSexp(_res,"vtkLookupTable");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_SetName( SEXP obj, SEXP name){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->SetName(_name);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetRange( SEXP obj, SEXP range, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(range,2);
     double  *  _range =  SexpTodouble(range);
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->GetRange(_range,  * _comp);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_range,2));
    SET_VECTOR_ELT(res_names,1,charToSexp(".range",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetRange_v1( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetRange( * _comp);
    res=doubleToSexp(_res,2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_ComputeRange( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->ComputeRange( * _comp);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetRange_v2( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetRange();
    res=doubleToSexp(_res,2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetRange_v3( SEXP obj, SEXP range){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(range,2);
     double  *  _range =  SexpTodouble(range);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->GetRange(_range);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_range,2));
    SET_VECTOR_ELT(res_names,1,charToSexp(".range",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetDataTypeRange( SEXP obj, SEXP range){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(range,2);
     double  *  _range =  SexpTodouble(range);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    _obj->GetDataTypeRange(_range);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_range,2));
    SET_VECTOR_ELT(res_names,1,charToSexp(".range",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetDataTypeMin( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    double _res =_obj->GetDataTypeMin();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetDataTypeMax( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    double _res =_obj->GetDataTypeMax();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_GetMaxNorm( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    double _res =_obj->GetMaxNorm();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArray_CreateDataArray( SEXP obj, SEXP dataType){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(dataType,1);
     int  *  _dataType =  SexpToint(dataType);
    vtkDataArray * _obj = (vtkDataArray * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->CreateDataArray( * _dataType);
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
}
