#include <vtk/vtkDataArrayCollectionIterator.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkDataArrayCollectionIterator_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArrayCollectionIterator * _obj = (vtkDataArrayCollectionIterator
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArrayCollectionIterator_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataArrayCollectionIterator * _obj = (vtkDataArrayCollectionIterator
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArrayCollectionIterator_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataArrayCollectionIterator * _obj = (vtkDataArrayCollectionIterator
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArrayCollectionIterator_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDataArrayCollectionIterator * _obj = (vtkDataArrayCollectionIterator
 * ) SexpToVtk(obj);
    vtkDataArrayCollectionIterator *  _res =( vtkDataArrayCollectionIterator * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkDataArrayCollectionIterator");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArrayCollectionIterator_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArrayCollectionIterator * _obj = (vtkDataArrayCollectionIterator
 * ) SexpToVtk(obj);
    vtkDataArrayCollectionIterator *  _res =( vtkDataArrayCollectionIterator * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkDataArrayCollectionIterator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArrayCollectionIterator_SetCollection( SEXP obj, SEXP c){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkCollection  *  _c = (vtkCollection * )  SexpToVtk(c);
    vtkDataArrayCollectionIterator * _obj = (vtkDataArrayCollectionIterator
 * ) SexpToVtk(obj);
    _obj->SetCollection(_c);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_c,"vtkCollection"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".c",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArrayCollectionIterator_SetCollection_v1( SEXP obj, SEXP c){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArrayCollection  *  _c = (vtkDataArrayCollection * )  SexpToVtk(c);
    vtkDataArrayCollectionIterator * _obj = (vtkDataArrayCollectionIterator
 * ) SexpToVtk(obj);
    _obj->SetCollection(_c);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_c,"vtkDataArrayCollection"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".c",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArrayCollectionIterator_GetDataArray( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArrayCollectionIterator * _obj = (vtkDataArrayCollectionIterator
 * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->GetDataArray();
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArrayCollectionIterator_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkDataArrayCollectionIterator * res= ( vtkDataArrayCollectionIterator * ) 
vtkDataArrayCollectionIterator::New();
    R_res=toRPointer(res,"vtkDataArrayCollectionIterator");
    return(R_res);
  }
}
