#include <vtk/vtkDataCompressor.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkDataCompressor_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataCompressor * _obj = (vtkDataCompressor * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataCompressor_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataCompressor * _obj = (vtkDataCompressor * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataCompressor_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataCompressor * _obj = (vtkDataCompressor * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataCompressor_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDataCompressor * _obj = (vtkDataCompressor * ) SexpToVtk(obj);
    vtkDataCompressor *  _res =( vtkDataCompressor * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkDataCompressor");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataCompressor_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataCompressor * _obj = (vtkDataCompressor * ) SexpToVtk(obj);
    vtkDataCompressor *  _res =( vtkDataCompressor * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkDataCompressor");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataCompressor_GetMaximumCompressionSpace( SEXP obj, SEXP size){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(size,1);
     long unsigned int  *  _size =  SexpTolong_unsigned_int(size);
    vtkDataCompressor * _obj = (vtkDataCompressor * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMaximumCompressionSpace( * _size);
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataCompressor_Compress( SEXP obj, SEXP uncompressedData, SEXP uncompressedSize, SEXP compressedData, SEXP compressionSpace){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  _uncompressedData =  
SexpTounsigned_char(uncompressedData);
    SET_LENGTH(uncompressedSize,1);
     long unsigned int  *  _uncompressedSize =  
SexpTolong_unsigned_int(uncompressedSize);
     unsigned char  *  _compressedData =  SexpTounsigned_char(compressedData);
    SET_LENGTH(compressionSpace,1);
     long unsigned int  *  _compressionSpace =  
SexpTolong_unsigned_int(compressionSpace);
    vtkDataCompressor * _obj = (vtkDataCompressor * ) SexpToVtk(obj);
    long unsigned int _res =_obj->Compress(_uncompressedData,  * _uncompressedSize, _compressedData,  * _compressionSpace);
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_compressedData,
LENGTH(compressedData)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".compressedData",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataCompressor_Uncompress( SEXP obj, SEXP compressedData, SEXP compressedSize, SEXP uncompressedData, SEXP uncompressedSize){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  _compressedData =  SexpTounsigned_char(compressedData);
    SET_LENGTH(compressedSize,1);
     long unsigned int  *  _compressedSize =  
SexpTolong_unsigned_int(compressedSize);
     unsigned char  *  _uncompressedData =  
SexpTounsigned_char(uncompressedData);
    SET_LENGTH(uncompressedSize,1);
     long unsigned int  *  _uncompressedSize =  
SexpTolong_unsigned_int(uncompressedSize);
    vtkDataCompressor * _obj = (vtkDataCompressor * ) SexpToVtk(obj);
    long unsigned int _res =_obj->Uncompress(_compressedData,  * _compressedSize, _uncompressedData,  * _uncompressedSize);
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_uncompressedData,
LENGTH(uncompressedData)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".uncompressedData",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataCompressor_Compress_v1( SEXP obj, SEXP uncompressedData, SEXP uncompressedSize){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  _uncompressedData =  
SexpTounsigned_char(uncompressedData);
    SET_LENGTH(uncompressedSize,1);
     long unsigned int  *  _uncompressedSize =  
SexpTolong_unsigned_int(uncompressedSize);
    vtkDataCompressor * _obj = (vtkDataCompressor * ) SexpToVtk(obj);
    vtkUnsignedCharArray *  _res =( vtkUnsignedCharArray * )_obj->Compress(_uncompressedData,  * _uncompressedSize);
    res=VtkToSexp(_res,"vtkUnsignedCharArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataCompressor_Uncompress_v1( SEXP obj, SEXP compressedData, SEXP compressedSize, SEXP uncompressedSize){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  _compressedData =  SexpTounsigned_char(compressedData);
    SET_LENGTH(compressedSize,1);
     long unsigned int  *  _compressedSize =  
SexpTolong_unsigned_int(compressedSize);
    SET_LENGTH(uncompressedSize,1);
     long unsigned int  *  _uncompressedSize =  
SexpTolong_unsigned_int(uncompressedSize);
    vtkDataCompressor * _obj = (vtkDataCompressor * ) SexpToVtk(obj);
    vtkUnsignedCharArray *  _res =( vtkUnsignedCharArray * )_obj->Uncompress(_compressedData,  * _compressedSize,  * _uncompressedSize);
    res=VtkToSexp(_res,"vtkUnsignedCharArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
}
