#include <vtk/vtkDataObject.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkDataObject_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    vtkDataObject *  _res =( vtkDataObject * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkDataObject");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    vtkDataObject *  _res =( vtkDataObject * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkDataObject");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetSource( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    vtkSource *  _res =( vtkSource * )_obj->GetSource();
    res=VtkToSexp(_res,"vtkSource");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_SetSource( SEXP obj, SEXP arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkSource  *  _arg = (vtkSource * )  SexpToVtk(arg);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->SetSource(_arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_arg,"vtkSource"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetMTime( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_Initialize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_ReleaseData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->ReleaseData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_ShouldIReleaseData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    int _res =_obj->ShouldIReleaseData();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetDataReleased( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    int _res =_obj->GetDataReleased();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_SetReleaseDataFlag( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->SetReleaseDataFlag( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetReleaseDataFlag( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    int _res =_obj->GetReleaseDataFlag();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_ReleaseDataFlagOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->ReleaseDataFlagOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_ReleaseDataFlagOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->ReleaseDataFlagOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_SetGlobalReleaseDataFlag( SEXP obj, SEXP val){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(val,1);
     int  *  _val =  SexpToint(val);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->SetGlobalReleaseDataFlag( * _val);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GlobalReleaseDataFlagOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->GlobalReleaseDataFlagOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GlobalReleaseDataFlagOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->GlobalReleaseDataFlagOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetGlobalReleaseDataFlag( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    int _res =_obj->GetGlobalReleaseDataFlag();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_SetFieldData( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkFieldData  *  __arg = (vtkFieldData * )  SexpToVtk(_arg);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->SetFieldData(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkFieldData"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetFieldData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    vtkFieldData *  _res =( vtkFieldData * )_obj->GetFieldData();
    res=VtkToSexp(_res,"vtkFieldData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_UnRegister( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->UnRegister(_o);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetNetReferenceCount( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    int _res =_obj->GetNetReferenceCount();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_Update( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->Update();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_UpdateInformation( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->UpdateInformation();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_PropagateUpdateExtent( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->PropagateUpdateExtent();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_TriggerAsynchronousUpdate( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->TriggerAsynchronousUpdate();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_UpdateData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->UpdateData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetEstimatedMemorySize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetEstimatedMemorySize();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_SetUpdateExtent( SEXP obj, SEXP piece, SEXP numPieces){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(piece,1);
     int  *  _piece =  SexpToint(piece);
    SET_LENGTH(numPieces,1);
     int  *  _numPieces =  SexpToint(numPieces);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->SetUpdateExtent( * _piece,  * _numPieces);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_SetUpdateExtent_v1( SEXP obj, SEXP x1, SEXP x2, SEXP y1, SEXP y2, SEXP z1, SEXP z2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(x2,1);
     int  *  _x2 =  SexpToint(x2);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(y2,1);
     int  *  _y2 =  SexpToint(y2);
    SET_LENGTH(z1,1);
     int  *  _z1 =  SexpToint(z1);
    SET_LENGTH(z2,1);
     int  *  _z2 =  SexpToint(z2);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->SetUpdateExtent( * _x1,  * _x2,  * _y1,  * _y2,  * _z1,  * _z2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_SetUpdateExtent_v2( SEXP obj, SEXP ext){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ext,6);
     int  *  _ext =  SexpToint(ext);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->SetUpdateExtent(_ext);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_ext,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ext",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetUpdateExtent( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetUpdateExtent();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetUpdateExtent_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3, SEXP _arg4, SEXP _arg5, SEXP _arg6){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    SET_LENGTH(_arg3,1);
     int  *  __arg3 =  SexpToint(_arg3);
    SET_LENGTH(_arg4,1);
     int  *  __arg4 =  SexpToint(_arg4);
    SET_LENGTH(_arg5,1);
     int  *  __arg5 =  SexpToint(_arg5);
    SET_LENGTH(_arg6,1);
     int  *  __arg6 =  SexpToint(_arg6);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->GetUpdateExtent( * __arg1,  * __arg2,  * __arg3,  * __arg4,  * __arg5,  * __arg6);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,intToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,intToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    SET_VECTOR_ELT(ans,4,intToSexp(__arg4,1));
    SET_VECTOR_ELT(res_names,4,charToSexp("._arg4",0));
    SET_VECTOR_ELT(ans,5,intToSexp(__arg5,1));
    SET_VECTOR_ELT(res_names,5,charToSexp("._arg5",0));
    SET_VECTOR_ELT(ans,6,intToSexp(__arg6,1));
    SET_VECTOR_ELT(res_names,6,charToSexp("._arg6",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetUpdateExtent_v2( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->GetUpdateExtent(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetDataObjectType( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    int _res =_obj->GetDataObjectType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetUpdateTime( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetUpdateTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_SetUpdateExtentToWholeExtent( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->SetUpdateExtentToWholeExtent();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_SetPipelineMTime( SEXP obj, SEXP time){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(time,1);
     long unsigned int  *  _time =  SexpTolong_unsigned_int(time);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->SetPipelineMTime( * _time);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetPipelineMTime( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetPipelineMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetActualMemorySize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetActualMemorySize();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_CopyInformation( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _data = (vtkDataObject * )  SexpToVtk(data);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->CopyInformation(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_data,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_CopyTypeSpecificInformation( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _data = (vtkDataObject * )  SexpToVtk(data);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->CopyTypeSpecificInformation(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_data,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_SetUpdatePiece( SEXP obj, SEXP piece){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(piece,1);
     int  *  _piece =  SexpToint(piece);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->SetUpdatePiece( * _piece);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_SetUpdateNumberOfPieces( SEXP obj, SEXP num){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(num,1);
     int  *  _num =  SexpToint(num);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->SetUpdateNumberOfPieces( * _num);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetUpdatePiece( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    int _res =_obj->GetUpdatePiece();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetUpdateNumberOfPieces( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    int _res =_obj->GetUpdateNumberOfPieces();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_SetUpdateGhostLevel( SEXP obj, SEXP level){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(level,1);
     int  *  _level =  SexpToint(level);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->SetUpdateGhostLevel( * _level);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetUpdateGhostLevel( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    int _res =_obj->GetUpdateGhostLevel();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_SetRequestExactExtent( SEXP obj, SEXP flag){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(flag,1);
     int  *  _flag =  SexpToint(flag);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->SetRequestExactExtent( * _flag);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetRequestExactExtent( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    int _res =_obj->GetRequestExactExtent();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_RequestExactExtentOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->RequestExactExtentOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_RequestExactExtentOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->RequestExactExtentOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_SetWholeExtent( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3, SEXP _arg4, SEXP _arg5, SEXP _arg6){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    SET_LENGTH(_arg3,1);
     int  *  __arg3 =  SexpToint(_arg3);
    SET_LENGTH(_arg4,1);
     int  *  __arg4 =  SexpToint(_arg4);
    SET_LENGTH(_arg5,1);
     int  *  __arg5 =  SexpToint(_arg5);
    SET_LENGTH(_arg6,1);
     int  *  __arg6 =  SexpToint(_arg6);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->SetWholeExtent( * __arg1,  * __arg2,  * __arg3,  * __arg4,  * __arg5,  * __arg6);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_SetWholeExtent_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->SetWholeExtent(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetWholeExtent( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetWholeExtent();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetWholeExtent_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3, SEXP _arg4, SEXP _arg5, SEXP _arg6){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    SET_LENGTH(_arg3,1);
     int  *  __arg3 =  SexpToint(_arg3);
    SET_LENGTH(_arg4,1);
     int  *  __arg4 =  SexpToint(_arg4);
    SET_LENGTH(_arg5,1);
     int  *  __arg5 =  SexpToint(_arg5);
    SET_LENGTH(_arg6,1);
     int  *  __arg6 =  SexpToint(_arg6);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->GetWholeExtent( * __arg1,  * __arg2,  * __arg3,  * __arg4,  * __arg5,  * __arg6);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,intToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,intToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    SET_VECTOR_ELT(ans,4,intToSexp(__arg4,1));
    SET_VECTOR_ELT(res_names,4,charToSexp("._arg4",0));
    SET_VECTOR_ELT(ans,5,intToSexp(__arg5,1));
    SET_VECTOR_ELT(res_names,5,charToSexp("._arg5",0));
    SET_VECTOR_ELT(ans,6,intToSexp(__arg6,1));
    SET_VECTOR_ELT(res_names,6,charToSexp("._arg6",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetWholeExtent_v2( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->GetWholeExtent(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_SetMaximumNumberOfPieces( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->SetMaximumNumberOfPieces( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetMaximumNumberOfPieces( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    int _res =_obj->GetMaximumNumberOfPieces();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_DataHasBeenGenerated( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->DataHasBeenGenerated();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_PrepareForNewData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->PrepareForNewData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_ShallowCopy( SEXP obj, SEXP src){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _src = (vtkDataObject * )  SexpToVtk(src);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->ShallowCopy(_src);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_src,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".src",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_DeepCopy( SEXP obj, SEXP src){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _src = (vtkDataObject * )  SexpToVtk(src);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->DeepCopy(_src);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_src,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".src",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_SetLocality( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->SetLocality( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetLocality( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    double _res =_obj->GetLocality();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_SetExtentTranslator( SEXP obj, SEXP t){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkExtentTranslator  *  _t = (vtkExtentTranslator * )  SexpToVtk(t);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->SetExtentTranslator(_t);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_t,"vtkExtentTranslator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".t",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetExtentTranslator( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    vtkExtentTranslator *  _res =( vtkExtentTranslator * )_obj->GetExtentTranslator();
    res=VtkToSexp(_res,"vtkExtentTranslator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetNumberOfConsumers( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfConsumers();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_AddConsumer( SEXP obj, SEXP c){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObject  *  _c = (vtkObject * )  SexpToVtk(c);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->AddConsumer(_c);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_c,"vtkObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".c",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_RemoveConsumer( SEXP obj, SEXP c){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObject  *  _c = (vtkObject * )  SexpToVtk(c);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    _obj->RemoveConsumer(_c);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_c,"vtkObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".c",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetConsumer( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    vtkObject *  _res =( vtkObject * )_obj->GetConsumer( * _i);
    res=VtkToSexp(_res,"vtkObject");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_IsConsumer( SEXP obj, SEXP c){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObject  *  _c = (vtkObject * )  SexpToVtk(c);
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    int _res =_obj->IsConsumer(_c);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_c,"vtkObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".c",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_GetExtentType( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObject * _obj = (vtkDataObject * ) SexpToVtk(obj);
    int _res =_obj->GetExtentType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObject_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkDataObject * res= ( vtkDataObject * ) vtkDataObject::New();
    R_res=toRPointer(res,"vtkDataObject");
    return(R_res);
  }
}
