#include <vtk/vtkDataSet.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkDataSet_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_CopyStructure( SEXP obj, SEXP ds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _ds = (vtkDataSet * )  SexpToVtk(ds);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    _obj->CopyStructure(_ds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ds,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetNumberOfPoints( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfPoints();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetNumberOfCells( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfCells();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetPoint( SEXP obj, SEXP ptId){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ptId,1);
     int  *  _ptId =  SexpToint(ptId);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetPoint( * _ptId);
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetPoint_v1( SEXP obj, SEXP id, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    _obj->GetPoint( * _id, _x);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetCell( SEXP obj, SEXP cellId){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    vtkCell *  _res =( vtkCell * )_obj->GetCell( * _cellId);
    res=VtkToSexp(_res,"vtkCell");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetCell_v1( SEXP obj, SEXP cellId, SEXP cell){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkGenericCell  *  _cell = (vtkGenericCell * )  SexpToVtk(cell);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    _obj->GetCell( * _cellId, _cell);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cell,"vtkGenericCell"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cell",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetCellBounds( SEXP obj, SEXP cellId, SEXP bounds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    _obj->GetCellBounds( * _cellId, _bounds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetCellType( SEXP obj, SEXP cellId){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    int _res =_obj->GetCellType( * _cellId);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetCellTypes( SEXP obj, SEXP types){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkCellTypes  *  _types = (vtkCellTypes * )  SexpToVtk(types);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    _obj->GetCellTypes(_types);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_types,"vtkCellTypes"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".types",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetCellPoints( SEXP obj, SEXP cellId, SEXP ptIds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkIdList  *  _ptIds = (vtkIdList * )  SexpToVtk(ptIds);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    _obj->GetCellPoints( * _cellId, _ptIds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ptIds,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptIds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetPointCells( SEXP obj, SEXP ptId, SEXP cellIds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ptId,1);
     int  *  _ptId =  SexpToint(ptId);
     vtkIdList  *  _cellIds = (vtkIdList * )  SexpToVtk(cellIds);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    _obj->GetPointCells( * _ptId, _cellIds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cellIds,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cellIds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetCellNeighbors( SEXP obj, SEXP cellId, SEXP ptIds, SEXP cellIds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkIdList  *  _ptIds = (vtkIdList * )  SexpToVtk(ptIds);
     vtkIdList  *  _cellIds = (vtkIdList * )  SexpToVtk(cellIds);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    _obj->GetCellNeighbors( * _cellId, _ptIds, _cellIds);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ptIds,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptIds",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_cellIds,"vtkIdList"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".cellIds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_FindPoint( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    int _res =_obj->FindPoint( * _x,  * _y,  * _z);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_FindPoint_v1( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    int _res =_obj->FindPoint(_x);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_FindCell( SEXP obj, SEXP x, SEXP cell, SEXP cellId, SEXP tol2, SEXP subId, SEXP pcoords, SEXP weights){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
     vtkCell  *  _cell = (vtkCell * )  SexpToVtk(cell);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    SET_LENGTH(tol2,1);
     double  *  _tol2 =  SexpTodouble(tol2);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
     double  *  _weights =  SexpTodouble(weights);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    int _res =_obj->FindCell(_x, _cell,  * _cellId,  * _tol2,  * _subId, _pcoords, _weights);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,6));
    PROTECT(res_names = allocVector(VECSXP,6));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_cell,"vtkCell"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".cell",0));
    SET_VECTOR_ELT(ans,3,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".subId",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_weights,LENGTH(weights)));
    SET_VECTOR_ELT(res_names,5,charToSexp(".weights",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_FindCell_v1( SEXP obj, SEXP x, SEXP cell, SEXP gencell, SEXP cellId, SEXP tol2, SEXP subId, SEXP pcoords, SEXP weights){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
     vtkCell  *  _cell = (vtkCell * )  SexpToVtk(cell);
     vtkGenericCell  *  _gencell = (vtkGenericCell * )  SexpToVtk(gencell);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    SET_LENGTH(tol2,1);
     double  *  _tol2 =  SexpTodouble(tol2);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
     double  *  _weights =  SexpTodouble(weights);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    int _res =_obj->FindCell(_x, _cell, _gencell,  * _cellId,  * _tol2,  * _subId, _pcoords, _weights);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_cell,"vtkCell"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".cell",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_gencell,"vtkGenericCell"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".gencell",0));
    SET_VECTOR_ELT(ans,4,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,4,charToSexp(".subId",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,5,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,6,doubleToSexp(_weights,LENGTH(weights)));
    SET_VECTOR_ELT(res_names,6,charToSexp(".weights",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_FindAndGetCell( SEXP obj, SEXP x, SEXP cell, SEXP cellId, SEXP tol2, SEXP subId, SEXP pcoords, SEXP weights){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
     vtkCell  *  _cell = (vtkCell * )  SexpToVtk(cell);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    SET_LENGTH(tol2,1);
     double  *  _tol2 =  SexpTodouble(tol2);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
     double  *  _weights =  SexpTodouble(weights);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    vtkCell *  _res =( vtkCell * )_obj->FindAndGetCell(_x, _cell,  * _cellId,  * _tol2,  * _subId, _pcoords, _weights);
    res=VtkToSexp(_res,"vtkCell");
    PROTECT(ans = allocVector(VECSXP,6));
    PROTECT(res_names = allocVector(VECSXP,6));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_cell,"vtkCell"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".cell",0));
    SET_VECTOR_ELT(ans,3,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".subId",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_weights,LENGTH(weights)));
    SET_VECTOR_ELT(res_names,5,charToSexp(".weights",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetMTime( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetCellData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    vtkCellData *  _res =( vtkCellData * )_obj->GetCellData();
    res=VtkToSexp(_res,"vtkCellData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetPointData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    vtkPointData *  _res =( vtkPointData * )_obj->GetPointData();
    res=VtkToSexp(_res,"vtkPointData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_Squeeze( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    _obj->Squeeze();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_ComputeBounds( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    _obj->ComputeBounds();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetBounds( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetBounds();
    res=doubleToSexp(_res,6);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetBounds_v1( SEXP obj, SEXP bounds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    _obj->GetBounds(_bounds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetCenter( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetCenter();
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetCenter_v1( SEXP obj, SEXP center){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(center,3);
     double  *  _center =  SexpTodouble(center);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    _obj->GetCenter(_center);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_center,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".center",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetLength( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    double _res =_obj->GetLength();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_Initialize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetScalarRange( SEXP obj, SEXP range){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(range,2);
     double  *  _range =  SexpTodouble(range);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    _obj->GetScalarRange(_range);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_range,2));
    SET_VECTOR_ELT(res_names,1,charToSexp(".range",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetScalarRange_v1( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetScalarRange();
    res=doubleToSexp(_res,2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetMaxCellSize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    int _res =_obj->GetMaxCellSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetActualMemorySize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetActualMemorySize();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_GetDataObjectType( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    int _res =_obj->GetDataObjectType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_ShallowCopy( SEXP obj, SEXP dataObject){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _dataObject = (vtkDataObject * )  SexpToVtk(dataObject);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    _obj->ShallowCopy(_dataObject);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_dataObject,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dataObject",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_DeepCopy( SEXP obj, SEXP dataObject){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _dataObject = (vtkDataObject * )  SexpToVtk(dataObject);
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    _obj->DeepCopy(_dataObject);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_dataObject,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dataObject",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSet_CheckAttributes( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSet * _obj = (vtkDataSet * ) SexpToVtk(obj);
    int _res =_obj->CheckAttributes();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
}
