#include <vtk/vtkDataSetSurfaceFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkDataSetSurfaceFilter_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetSurfaceFilter * _obj = (vtkDataSetSurfaceFilter
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetSurfaceFilter_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataSetSurfaceFilter * _obj = (vtkDataSetSurfaceFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetSurfaceFilter_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataSetSurfaceFilter * _obj = (vtkDataSetSurfaceFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetSurfaceFilter_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDataSetSurfaceFilter * _obj = (vtkDataSetSurfaceFilter
 * ) SexpToVtk(obj);
    vtkDataSetSurfaceFilter *  _res =( vtkDataSetSurfaceFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkDataSetSurfaceFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetSurfaceFilter_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetSurfaceFilter * _obj = (vtkDataSetSurfaceFilter
 * ) SexpToVtk(obj);
    vtkDataSetSurfaceFilter *  _res =( vtkDataSetSurfaceFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkDataSetSurfaceFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetSurfaceFilter_SetUseStrips( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkDataSetSurfaceFilter * _obj = (vtkDataSetSurfaceFilter
 * ) SexpToVtk(obj);
    _obj->SetUseStrips( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetSurfaceFilter_GetUseStrips( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetSurfaceFilter * _obj = (vtkDataSetSurfaceFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetUseStrips();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetSurfaceFilter_UseStripsOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetSurfaceFilter * _obj = (vtkDataSetSurfaceFilter
 * ) SexpToVtk(obj);
    _obj->UseStripsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetSurfaceFilter_UseStripsOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetSurfaceFilter * _obj = (vtkDataSetSurfaceFilter
 * ) SexpToVtk(obj);
    _obj->UseStripsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetSurfaceFilter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkDataSetSurfaceFilter * res= ( vtkDataSetSurfaceFilter * ) 
vtkDataSetSurfaceFilter::New();
    R_res=toRPointer(res,"vtkDataSetSurfaceFilter");
    return(R_res);
  }
}
