#include <vtk/vtkDataSetToDataSetFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkDataSetToDataSetFilter_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetToDataSetFilter * _obj = (vtkDataSetToDataSetFilter
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetToDataSetFilter_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataSetToDataSetFilter * _obj = (vtkDataSetToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetToDataSetFilter_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataSetToDataSetFilter * _obj = (vtkDataSetToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetToDataSetFilter_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDataSetToDataSetFilter * _obj = (vtkDataSetToDataSetFilter
 * ) SexpToVtk(obj);
    vtkDataSetToDataSetFilter *  _res =( vtkDataSetToDataSetFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkDataSetToDataSetFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetToDataSetFilter_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetToDataSetFilter * _obj = (vtkDataSetToDataSetFilter
 * ) SexpToVtk(obj);
    vtkDataSetToDataSetFilter *  _res =( vtkDataSetToDataSetFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkDataSetToDataSetFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetToDataSetFilter_SetInput( SEXP obj, SEXP input){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _input = (vtkDataSet * )  SexpToVtk(input);
    vtkDataSetToDataSetFilter * _obj = (vtkDataSetToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetToDataSetFilter_GetOutput( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetToDataSetFilter * _obj = (vtkDataSetToDataSetFilter
 * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetOutput();
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetToDataSetFilter_GetOutput_v1( SEXP obj, SEXP idx){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    vtkDataSetToDataSetFilter * _obj = (vtkDataSetToDataSetFilter
 * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetOutput( * _idx);
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetToDataSetFilter_GetPolyDataOutput( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetToDataSetFilter * _obj = (vtkDataSetToDataSetFilter
 * ) SexpToVtk(obj);
    vtkPolyData *  _res =( vtkPolyData * )_obj->GetPolyDataOutput();
    res=VtkToSexp(_res,"vtkPolyData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetToDataSetFilter_GetStructuredPointsOutput( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetToDataSetFilter * _obj = (vtkDataSetToDataSetFilter
 * ) SexpToVtk(obj);
    vtkStructuredPoints *  _res =( vtkStructuredPoints * )_obj->GetStructuredPointsOutput();
    res=VtkToSexp(_res,"vtkStructuredPoints");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetToDataSetFilter_GetStructuredGridOutput( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetToDataSetFilter * _obj = (vtkDataSetToDataSetFilter
 * ) SexpToVtk(obj);
    vtkStructuredGrid *  _res =( vtkStructuredGrid * )_obj->GetStructuredGridOutput();
    res=VtkToSexp(_res,"vtkStructuredGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetToDataSetFilter_GetUnstructuredGridOutput( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetToDataSetFilter * _obj = (vtkDataSetToDataSetFilter
 * ) SexpToVtk(obj);
    vtkUnstructuredGrid *  _res =( vtkUnstructuredGrid * )_obj->GetUnstructuredGridOutput();
    res=VtkToSexp(_res,"vtkUnstructuredGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetToDataSetFilter_GetRectilinearGridOutput( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetToDataSetFilter * _obj = (vtkDataSetToDataSetFilter
 * ) SexpToVtk(obj);
    vtkRectilinearGrid *  _res =( vtkRectilinearGrid * )_obj->GetRectilinearGridOutput();
    res=VtkToSexp(_res,"vtkRectilinearGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetToDataSetFilter_GetInput( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetToDataSetFilter * _obj = (vtkDataSetToDataSetFilter
 * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetToDataSetFilter_ComputeInputUpdateExtents( SEXP obj, SEXP output){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _output = (vtkDataObject * )  SexpToVtk(output);
    vtkDataSetToDataSetFilter * _obj = (vtkDataSetToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->ComputeInputUpdateExtents(_output);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_output,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".output",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
}
