#include <vtk/vtkDoubleArray.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkDoubleArray_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDoubleArray * _obj = (vtkDoubleArray * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDoubleArray_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDoubleArray * _obj = (vtkDoubleArray * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDoubleArray_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDoubleArray * _obj = (vtkDoubleArray * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDoubleArray_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDoubleArray * _obj = (vtkDoubleArray * ) SexpToVtk(obj);
    vtkDoubleArray *  _res =( vtkDoubleArray * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkDoubleArray");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDoubleArray_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDoubleArray * _obj = (vtkDoubleArray * ) SexpToVtk(obj);
    vtkDoubleArray *  _res =( vtkDoubleArray * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkDoubleArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDoubleArray_GetDataType( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDoubleArray * _obj = (vtkDoubleArray * ) SexpToVtk(obj);
    int _res =_obj->GetDataType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDoubleArray_GetValue( SEXP obj, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkDoubleArray * _obj = (vtkDoubleArray * ) SexpToVtk(obj);
    double _res =_obj->GetValue( * _id);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDoubleArray_SetValue( SEXP obj, SEXP id, SEXP value){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkDoubleArray * _obj = (vtkDoubleArray * ) SexpToVtk(obj);
    _obj->SetValue( * _id,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDoubleArray_SetNumberOfValues( SEXP obj, SEXP number){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(number,1);
     int  *  _number =  SexpToint(number);
    vtkDoubleArray * _obj = (vtkDoubleArray * ) SexpToVtk(obj);
    _obj->SetNumberOfValues( * _number);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDoubleArray_InsertValue( SEXP obj, SEXP id, SEXP f){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(f,1);
     double  *  _f =  SexpTodouble(f);
    vtkDoubleArray * _obj = (vtkDoubleArray * ) SexpToVtk(obj);
    _obj->InsertValue( * _id,  * _f);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDoubleArray_InsertNextValue( SEXP obj, SEXP f){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(f,1);
     double  *  _f =  SexpTodouble(f);
    vtkDoubleArray * _obj = (vtkDoubleArray * ) SexpToVtk(obj);
    int _res =_obj->InsertNextValue( * _f);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDoubleArray_WritePointer( SEXP obj, SEXP id, SEXP number){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(number,1);
     int  *  _number =  SexpToint(number);
    vtkDoubleArray * _obj = (vtkDoubleArray * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->WritePointer( * _id,  * _number);
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDoubleArray_GetPointer( SEXP obj, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkDoubleArray * _obj = (vtkDoubleArray * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetPointer( * _id);
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDoubleArray_SetArray( SEXP obj, SEXP array, SEXP size, SEXP save){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _array =  SexpTodouble(array);
    SET_LENGTH(size,1);
     int  *  _size =  SexpToint(size);
    SET_LENGTH(save,1);
     int  *  _save =  SexpToint(save);
    vtkDoubleArray * _obj = (vtkDoubleArray * ) SexpToVtk(obj);
    _obj->SetArray(_array,  * _size,  * _save);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_array,LENGTH(array)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".array",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDoubleArray_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkDoubleArray * res= ( vtkDoubleArray * ) vtkDoubleArray::New();
    R_res=toRPointer(res,"vtkDoubleArray");
    return(R_res);
  }
}
