#include <vtk/vtkEdgeTable.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkEdgeTable_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEdgeTable * _obj = (vtkEdgeTable * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEdgeTable_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkEdgeTable * _obj = (vtkEdgeTable * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEdgeTable_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkEdgeTable * _obj = (vtkEdgeTable * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEdgeTable_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkEdgeTable * _obj = (vtkEdgeTable * ) SexpToVtk(obj);
    vtkEdgeTable *  _res =( vtkEdgeTable * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkEdgeTable");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEdgeTable_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEdgeTable * _obj = (vtkEdgeTable * ) SexpToVtk(obj);
    vtkEdgeTable *  _res =( vtkEdgeTable * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkEdgeTable");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEdgeTable_Initialize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEdgeTable * _obj = (vtkEdgeTable * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEdgeTable_InitEdgeInsertion( SEXP obj, SEXP numPoints, SEXP storeAttributes){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(numPoints,1);
     int  *  _numPoints =  SexpToint(numPoints);
    SET_LENGTH(storeAttributes,1);
     int  *  _storeAttributes =  SexpToint(storeAttributes);
    vtkEdgeTable * _obj = (vtkEdgeTable * ) SexpToVtk(obj);
    int _res =_obj->InitEdgeInsertion( * _numPoints,  * _storeAttributes);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEdgeTable_InsertEdge( SEXP obj, SEXP p1, SEXP p2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p1,1);
     int  *  _p1 =  SexpToint(p1);
    SET_LENGTH(p2,1);
     int  *  _p2 =  SexpToint(p2);
    vtkEdgeTable * _obj = (vtkEdgeTable * ) SexpToVtk(obj);
    int _res =_obj->InsertEdge( * _p1,  * _p2);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEdgeTable_InsertEdge_v1( SEXP obj, SEXP p1, SEXP p2, SEXP attributeId){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p1,1);
     int  *  _p1 =  SexpToint(p1);
    SET_LENGTH(p2,1);
     int  *  _p2 =  SexpToint(p2);
    SET_LENGTH(attributeId,1);
     int  *  _attributeId =  SexpToint(attributeId);
    vtkEdgeTable * _obj = (vtkEdgeTable * ) SexpToVtk(obj);
    _obj->InsertEdge( * _p1,  * _p2,  * _attributeId);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEdgeTable_InsertEdge_v2( SEXP obj, SEXP p1, SEXP p2, SEXP ptr){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p1,1);
     int  *  _p1 =  SexpToint(p1);
    SET_LENGTH(p2,1);
     int  *  _p2 =  SexpToint(p2);
     void  *  _ptr =  SexpTovoid(ptr);
    vtkEdgeTable * _obj = (vtkEdgeTable * ) SexpToVtk(obj);
    _obj->InsertEdge( * _p1,  * _p2, _ptr);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_ptr,LENGTH(ptr)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptr",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEdgeTable_IsEdge( SEXP obj, SEXP p1, SEXP p2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p1,1);
     int  *  _p1 =  SexpToint(p1);
    SET_LENGTH(p2,1);
     int  *  _p2 =  SexpToint(p2);
    vtkEdgeTable * _obj = (vtkEdgeTable * ) SexpToVtk(obj);
    int _res =_obj->IsEdge( * _p1,  * _p2);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEdgeTable_IsEdge_v1( SEXP obj, SEXP p1, SEXP p2, SEXP ptr){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p1,1);
     int  *  _p1 =  SexpToint(p1);
    SET_LENGTH(p2,1);
     int  *  _p2 =  SexpToint(p2);
     void  *  _ptr =  SexpTovoid(ptr);
    vtkEdgeTable * _obj = (vtkEdgeTable * ) SexpToVtk(obj);
    _obj->IsEdge( * _p1,  * _p2, _ptr);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_ptr,LENGTH(ptr)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptr",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEdgeTable_InitPointInsertion( SEXP obj, SEXP newPts, SEXP estSize){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _newPts = (vtkPoints * )  SexpToVtk(newPts);
    SET_LENGTH(estSize,1);
     int  *  _estSize =  SexpToint(estSize);
    vtkEdgeTable * _obj = (vtkEdgeTable * ) SexpToVtk(obj);
    int _res =_obj->InitPointInsertion(_newPts,  * _estSize);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_newPts,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".newPts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEdgeTable_InsertUniquePoint( SEXP obj, SEXP p1, SEXP p2, SEXP x, SEXP ptId){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p1,1);
     int  *  _p1 =  SexpToint(p1);
    SET_LENGTH(p2,1);
     int  *  _p2 =  SexpToint(p2);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(ptId,1);
     int  *  _ptId =  SexpToint(ptId);
    vtkEdgeTable * _obj = (vtkEdgeTable * ) SexpToVtk(obj);
    int _res =_obj->InsertUniquePoint( * _p1,  * _p2, _x,  * _ptId);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_ptId,1));
    SET_VECTOR_ELT(res_names,2,charToSexp(".ptId",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEdgeTable_GetNumberOfEdges( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEdgeTable * _obj = (vtkEdgeTable * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfEdges();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEdgeTable_InitTraversal( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEdgeTable * _obj = (vtkEdgeTable * ) SexpToVtk(obj);
    _obj->InitTraversal();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEdgeTable_GetNextEdge( SEXP obj, SEXP p1, SEXP p2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p1,1);
     int  *  _p1 =  SexpToint(p1);
    SET_LENGTH(p2,1);
     int  *  _p2 =  SexpToint(p2);
    vtkEdgeTable * _obj = (vtkEdgeTable * ) SexpToVtk(obj);
    int _res =_obj->GetNextEdge( * _p1,  * _p2);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_p1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p1",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_p2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEdgeTable_GetNextEdge_v1( SEXP obj, SEXP p1, SEXP p2, SEXP ptr){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p1,1);
     int  *  _p1 =  SexpToint(p1);
    SET_LENGTH(p2,1);
     int  *  _p2 =  SexpToint(p2);
     void  *  _ptr =  SexpTovoid(ptr);
    vtkEdgeTable * _obj = (vtkEdgeTable * ) SexpToVtk(obj);
    int _res =_obj->GetNextEdge( * _p1,  * _p2, _ptr);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_p1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p1",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_p2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p2",0));
    SET_VECTOR_ELT(ans,3,voidToSexp(_ptr,LENGTH(ptr)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".ptr",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEdgeTable_Reset( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEdgeTable * _obj = (vtkEdgeTable * ) SexpToVtk(obj);
    _obj->Reset();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEdgeTable_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkEdgeTable * res= ( vtkEdgeTable * ) vtkEdgeTable::New();
    R_res=toRPointer(res,"vtkEdgeTable");
    return(R_res);
  }
}
