#include <vtk/vtkExtractVectorComponents.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkExtractVectorComponents_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractVectorComponents * _obj = (vtkExtractVectorComponents
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractVectorComponents_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkExtractVectorComponents * _obj = (vtkExtractVectorComponents
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractVectorComponents_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkExtractVectorComponents * _obj = (vtkExtractVectorComponents
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractVectorComponents_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkExtractVectorComponents * _obj = (vtkExtractVectorComponents
 * ) SexpToVtk(obj);
    vtkExtractVectorComponents *  _res =( vtkExtractVectorComponents * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkExtractVectorComponents");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractVectorComponents_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractVectorComponents * _obj = (vtkExtractVectorComponents
 * ) SexpToVtk(obj);
    vtkExtractVectorComponents *  _res =( vtkExtractVectorComponents * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkExtractVectorComponents");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractVectorComponents_SetInput( SEXP obj, SEXP input){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _input = (vtkDataSet * )  SexpToVtk(input);
    vtkExtractVectorComponents * _obj = (vtkExtractVectorComponents
 * ) SexpToVtk(obj);
    _obj->SetInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractVectorComponents_GetInput( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractVectorComponents * _obj = (vtkExtractVectorComponents
 * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractVectorComponents_GetVxComponent( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractVectorComponents * _obj = (vtkExtractVectorComponents
 * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetVxComponent();
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractVectorComponents_GetVyComponent( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractVectorComponents * _obj = (vtkExtractVectorComponents
 * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetVyComponent();
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractVectorComponents_GetVzComponent( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractVectorComponents * _obj = (vtkExtractVectorComponents
 * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetVzComponent();
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractVectorComponents_GetOutput( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkExtractVectorComponents * _obj = (vtkExtractVectorComponents
 * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetOutput( * _i);
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractVectorComponents_SetExtractToFieldData( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkExtractVectorComponents * _obj = (vtkExtractVectorComponents
 * ) SexpToVtk(obj);
    _obj->SetExtractToFieldData( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractVectorComponents_GetExtractToFieldData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractVectorComponents * _obj = (vtkExtractVectorComponents
 * ) SexpToVtk(obj);
    int _res =_obj->GetExtractToFieldData();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractVectorComponents_ExtractToFieldDataOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractVectorComponents * _obj = (vtkExtractVectorComponents
 * ) SexpToVtk(obj);
    _obj->ExtractToFieldDataOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractVectorComponents_ExtractToFieldDataOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractVectorComponents * _obj = (vtkExtractVectorComponents
 * ) SexpToVtk(obj);
    _obj->ExtractToFieldDataOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractVectorComponents_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkExtractVectorComponents * res= ( vtkExtractVectorComponents * ) 
vtkExtractVectorComponents::New();
    R_res=toRPointer(res,"vtkExtractVectorComponents");
    return(R_res);
  }
}
