#include <vtk/vtkFieldData.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkFieldData_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    vtkFieldData *  _res =( vtkFieldData * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkFieldData");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    vtkFieldData *  _res =( vtkFieldData * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkFieldData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_Initialize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_Allocate( SEXP obj, SEXP sz, SEXP ext){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(sz,1);
     int  *  _sz =  SexpToint(sz);
    SET_LENGTH(ext,1);
     int  *  _ext =  SexpToint(ext);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    int _res =_obj->Allocate( * _sz,  * _ext);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_CopyStructure( SEXP obj, SEXP r){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkFieldData  *  _r = (vtkFieldData * )  SexpToVtk(r);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    _obj->CopyStructure(_r);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_r,"vtkFieldData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".r",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_AllocateArrays( SEXP obj, SEXP num){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(num,1);
     int  *  _num =  SexpToint(num);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    _obj->AllocateArrays( * _num);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_GetNumberOfArrays( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfArrays();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_AddArray( SEXP obj, SEXP array){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _array = (vtkDataArray * )  SexpToVtk(array);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    int _res =_obj->AddArray(_array);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_array,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".array",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_RemoveArray( SEXP obj, SEXP name){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    _obj->RemoveArray(_name);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_GetArray( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->GetArray( * _i);
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_GetArray_v1( SEXP obj, SEXP arrayName, SEXP index){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->GetArray(_arrayName,  * _index);
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_index,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".index",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_GetArray_v2( SEXP obj, SEXP arrayName){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->GetArray(_arrayName);
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_GetArrayName( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetArrayName( * _i);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_PassData( SEXP obj, SEXP fd){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkFieldData  *  _fd = (vtkFieldData * )  SexpToVtk(fd);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    _obj->PassData(_fd);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_fd,"vtkFieldData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".fd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_CopyFieldOn( SEXP obj, SEXP name){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    _obj->CopyFieldOn(_name);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_CopyFieldOff( SEXP obj, SEXP name){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    _obj->CopyFieldOff(_name);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_CopyAllOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    _obj->CopyAllOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_CopyAllOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    _obj->CopyAllOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_DeepCopy( SEXP obj, SEXP f){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkFieldData  *  _f = (vtkFieldData * )  SexpToVtk(f);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    _obj->DeepCopy(_f);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_f,"vtkFieldData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".f",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_ShallowCopy( SEXP obj, SEXP f){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkFieldData  *  _f = (vtkFieldData * )  SexpToVtk(f);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    _obj->ShallowCopy(_f);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_f,"vtkFieldData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".f",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_Squeeze( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    _obj->Squeeze();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_Reset( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    _obj->Reset();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_GetActualMemorySize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetActualMemorySize();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_GetMTime( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_GetField( SEXP obj, SEXP ptIds, SEXP f){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkIdList  *  _ptIds = (vtkIdList * )  SexpToVtk(ptIds);
     vtkFieldData  *  _f = (vtkFieldData * )  SexpToVtk(f);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    _obj->GetField(_ptIds, _f);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ptIds,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptIds",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_f,"vtkFieldData"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".f",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_GetArrayContainingComponent( SEXP obj, SEXP i, SEXP arrayComp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    int _res =_obj->GetArrayContainingComponent( * _i,  * _arrayComp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_arrayComp,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arrayComp",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_GetNumberOfComponents( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfComponents();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_GetNumberOfTuples( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfTuples();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_SetNumberOfTuples( SEXP obj, SEXP number){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(number,1);
     int  *  _number =  SexpToint(number);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    _obj->SetNumberOfTuples( * _number);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_GetTuple( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetTuple( * _i);
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_GetTuple_v1( SEXP obj, SEXP i, SEXP tuple){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
     double  *  _tuple =  SexpTodouble(tuple);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    _obj->GetTuple( * _i, _tuple);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_tuple,LENGTH(tuple)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".tuple",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_SetTuple( SEXP obj, SEXP i, SEXP tuple){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
     double  *  _tuple =  SexpTodouble(tuple);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    _obj->SetTuple( * _i, _tuple);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_InsertTuple( SEXP obj, SEXP i, SEXP tuple){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
     double  *  _tuple =  SexpTodouble(tuple);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    _obj->InsertTuple( * _i, _tuple);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_InsertNextTuple( SEXP obj, SEXP tuple){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _tuple =  SexpTodouble(tuple);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    int _res =_obj->InsertNextTuple(_tuple);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_GetComponent( SEXP obj, SEXP i, SEXP j){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(j,1);
     int  *  _j =  SexpToint(j);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    double _res =_obj->GetComponent( * _i,  * _j);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_SetComponent( SEXP obj, SEXP i, SEXP j, SEXP c){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(j,1);
     int  *  _j =  SexpToint(j);
    SET_LENGTH(c,1);
     double  *  _c =  SexpTodouble(c);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    _obj->SetComponent( * _i,  * _j,  * _c);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_InsertComponent( SEXP obj, SEXP i, SEXP j, SEXP c){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(j,1);
     int  *  _j =  SexpToint(j);
    SET_LENGTH(c,1);
     double  *  _c =  SexpTodouble(c);
    vtkFieldData * _obj = (vtkFieldData * ) SexpToVtk(obj);
    _obj->InsertComponent( * _i,  * _j,  * _c);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldData_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkFieldData * res= ( vtkFieldData * ) vtkFieldData::New();
    R_res=toRPointer(res,"vtkFieldData");
    return(R_res);
  }
}
