#include <vtk/vtkFileOutputWindow.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkFileOutputWindow_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFileOutputWindow * _obj = (vtkFileOutputWindow * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFileOutputWindow_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkFileOutputWindow * _obj = (vtkFileOutputWindow * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFileOutputWindow_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkFileOutputWindow * _obj = (vtkFileOutputWindow * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFileOutputWindow_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkFileOutputWindow * _obj = (vtkFileOutputWindow * ) SexpToVtk(obj);
    vtkFileOutputWindow *  _res =( vtkFileOutputWindow * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkFileOutputWindow");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFileOutputWindow_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFileOutputWindow * _obj = (vtkFileOutputWindow * ) SexpToVtk(obj);
    vtkFileOutputWindow *  _res =( vtkFileOutputWindow * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkFileOutputWindow");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFileOutputWindow_DisplayText( SEXP obj, SEXP text){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _text =  SexpTochar(text);
    vtkFileOutputWindow * _obj = (vtkFileOutputWindow * ) SexpToVtk(obj);
    _obj->DisplayText(_text);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFileOutputWindow_SetFileName( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkFileOutputWindow * _obj = (vtkFileOutputWindow * ) SexpToVtk(obj);
    _obj->SetFileName(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFileOutputWindow_GetFileName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFileOutputWindow * _obj = (vtkFileOutputWindow * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFileName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFileOutputWindow_SetFlush( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkFileOutputWindow * _obj = (vtkFileOutputWindow * ) SexpToVtk(obj);
    _obj->SetFlush( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFileOutputWindow_GetFlush( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFileOutputWindow * _obj = (vtkFileOutputWindow * ) SexpToVtk(obj);
    int _res =_obj->GetFlush();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFileOutputWindow_FlushOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFileOutputWindow * _obj = (vtkFileOutputWindow * ) SexpToVtk(obj);
    _obj->FlushOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFileOutputWindow_FlushOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFileOutputWindow * _obj = (vtkFileOutputWindow * ) SexpToVtk(obj);
    _obj->FlushOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFileOutputWindow_SetAppend( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkFileOutputWindow * _obj = (vtkFileOutputWindow * ) SexpToVtk(obj);
    _obj->SetAppend( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFileOutputWindow_GetAppend( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFileOutputWindow * _obj = (vtkFileOutputWindow * ) SexpToVtk(obj);
    int _res =_obj->GetAppend();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFileOutputWindow_AppendOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFileOutputWindow * _obj = (vtkFileOutputWindow * ) SexpToVtk(obj);
    _obj->AppendOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFileOutputWindow_AppendOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFileOutputWindow * _obj = (vtkFileOutputWindow * ) SexpToVtk(obj);
    _obj->AppendOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFileOutputWindow_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkFileOutputWindow * res= ( vtkFileOutputWindow * ) vtkFileOutputWindow
::New();
    R_res=toRPointer(res,"vtkFileOutputWindow");
    return(R_res);
  }
}
