#include <vtk/vtkFunctionParser.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkFunctionParser_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    vtkFunctionParser *  _res =( vtkFunctionParser * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkFunctionParser");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    vtkFunctionParser *  _res =( vtkFunctionParser * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkFunctionParser");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_SetFunction( SEXP obj, SEXP function){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _function =  SexpTochar(function);
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    _obj->SetFunction(_function);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_GetFunction( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFunction();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_IsScalarResult( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    int _res =_obj->IsScalarResult();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_IsVectorResult( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    int _res =_obj->IsVectorResult();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_GetScalarResult( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    double _res =_obj->GetScalarResult();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_GetVectorResult( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetVectorResult();
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_GetVectorResult_v1( SEXP obj, SEXP result){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(result,3);
     double  *  _result =  SexpTodouble(result);
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    _obj->GetVectorResult(_result);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_result,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_SetScalarVariableValue( SEXP obj, SEXP inVariableName, SEXP value){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _inVariableName =  SexpTochar(inVariableName);
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    _obj->SetScalarVariableValue(_inVariableName,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_SetScalarVariableValue_v1( SEXP obj, SEXP i, SEXP value){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    _obj->SetScalarVariableValue( * _i,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_GetScalarVariableValue( SEXP obj, SEXP inVariableName){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _inVariableName =  SexpTochar(inVariableName);
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    double _res =_obj->GetScalarVariableValue(_inVariableName);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_GetScalarVariableValue_v1( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    double _res =_obj->GetScalarVariableValue( * _i);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_SetVectorVariableValue( SEXP obj, SEXP inVariableName, SEXP xValue, SEXP yValue, SEXP zValue){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _inVariableName =  SexpTochar(inVariableName);
    SET_LENGTH(xValue,1);
     double  *  _xValue =  SexpTodouble(xValue);
    SET_LENGTH(yValue,1);
     double  *  _yValue =  SexpTodouble(yValue);
    SET_LENGTH(zValue,1);
     double  *  _zValue =  SexpTodouble(zValue);
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    _obj->SetVectorVariableValue(_inVariableName,  * _xValue,  * _yValue,  * _zValue);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_SetVectorVariableValue_v1( SEXP obj, SEXP variableName, SEXP values){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _variableName =  SexpTochar(variableName);
    SET_LENGTH(values,3);
     double  *  _values =  SexpTodouble(values);
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    _obj->SetVectorVariableValue(_variableName, _values);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_SetVectorVariableValue_v2( SEXP obj, SEXP i, SEXP xValue, SEXP yValue, SEXP zValue){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(xValue,1);
     double  *  _xValue =  SexpTodouble(xValue);
    SET_LENGTH(yValue,1);
     double  *  _yValue =  SexpTodouble(yValue);
    SET_LENGTH(zValue,1);
     double  *  _zValue =  SexpTodouble(zValue);
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    _obj->SetVectorVariableValue( * _i,  * _xValue,  * _yValue,  * _zValue);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_SetVectorVariableValue_v3( SEXP obj, SEXP i, SEXP values){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(values,3);
     double  *  _values =  SexpTodouble(values);
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    _obj->SetVectorVariableValue( * _i, _values);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_GetVectorVariableValue( SEXP obj, SEXP inVariableName){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _inVariableName =  SexpTochar(inVariableName);
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetVectorVariableValue(_inVariableName);
    res=doubleToSexp(_res,33);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_GetVectorVariableValue_v1( SEXP obj, SEXP variableName, SEXP value){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _variableName =  SexpTochar(variableName);
    SET_LENGTH(value,3);
     double  *  _value =  SexpTodouble(value);
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    _obj->GetVectorVariableValue(_variableName, _value);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_value,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_GetVectorVariableValue_v2( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetVectorVariableValue( * _i);
    res=doubleToSexp(_res,33);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_GetVectorVariableValue_v3( SEXP obj, SEXP i, SEXP value){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(value,3);
     double  *  _value =  SexpTodouble(value);
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    _obj->GetVectorVariableValue( * _i, _value);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_value,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_GetNumberOfScalarVariables( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfScalarVariables();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_GetNumberOfVectorVariables( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfVectorVariables();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_GetScalarVariableName( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetScalarVariableName( * _i);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_GetVectorVariableName( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetVectorVariableName( * _i);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_RemoveAllVariables( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFunctionParser * _obj = (vtkFunctionParser * ) SexpToVtk(obj);
    _obj->RemoveAllVariables();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFunctionParser_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkFunctionParser * res= ( vtkFunctionParser * ) vtkFunctionParser::New();
    R_res=toRPointer(res,"vtkFunctionParser");
    return(R_res);
  }
}
