#include <vtk/vtkGeneralTransform.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkGeneralTransform_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    vtkGeneralTransform *  _res =( vtkGeneralTransform * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkGeneralTransform");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    vtkGeneralTransform *  _res =( vtkGeneralTransform * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkGeneralTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_Identity( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->Identity();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_Inverse( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->Inverse();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_Translate( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->Translate( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_Translate_v1( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->Translate(_x);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_Translate_v2( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     float  *  _x =  SexpTofloat(x);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->Translate(_x);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_RotateWXYZ( SEXP obj, SEXP angle, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,1);
     double  *  _angle =  SexpTodouble(angle);
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->RotateWXYZ( * _angle,  * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_RotateWXYZ_v1( SEXP obj, SEXP angle, SEXP axis){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,1);
     double  *  _angle =  SexpTodouble(angle);
    SET_LENGTH(axis,3);
     double  *  _axis =  SexpTodouble(axis);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->RotateWXYZ( * _angle, _axis);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_RotateWXYZ_v2( SEXP obj, SEXP angle, SEXP axis){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,1);
     double  *  _angle =  SexpTodouble(angle);
    SET_LENGTH(axis,3);
     float  *  _axis =  SexpTofloat(axis);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->RotateWXYZ( * _angle, _axis);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_RotateX( SEXP obj, SEXP angle){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,1);
     double  *  _angle =  SexpTodouble(angle);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->RotateX( * _angle);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_RotateY( SEXP obj, SEXP angle){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,1);
     double  *  _angle =  SexpTodouble(angle);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->RotateY( * _angle);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_RotateZ( SEXP obj, SEXP angle){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,1);
     double  *  _angle =  SexpTodouble(angle);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->RotateZ( * _angle);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_Scale( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->Scale( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_Scale_v1( SEXP obj, SEXP s){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(s,3);
     double  *  _s =  SexpTodouble(s);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->Scale(_s);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_Scale_v2( SEXP obj, SEXP s){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(s,3);
     float  *  _s =  SexpTofloat(s);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->Scale(_s);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_Concatenate( SEXP obj, SEXP matrix){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMatrix4x4  *  _matrix = (vtkMatrix4x4 * )  SexpToVtk(matrix);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->Concatenate(_matrix);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_matrix,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".matrix",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_Concatenate_v1( SEXP obj, SEXP elements){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(elements,16);
     double  *  _elements =  SexpTodouble(elements);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->Concatenate(_elements);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_Concatenate_v2( SEXP obj, SEXP transform){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAbstractTransform  *  _transform = (vtkAbstractTransform * )  
SexpToVtk(transform);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->Concatenate(_transform);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_transform,"vtkAbstractTransform"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".transform",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_PreMultiply( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->PreMultiply();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_PostMultiply( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->PostMultiply();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_GetNumberOfConcatenatedTransforms( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfConcatenatedTransforms();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_GetConcatenatedTransform( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    vtkAbstractTransform *  _res =( vtkAbstractTransform * )_obj->GetConcatenatedTransform( * _i);
    res=VtkToSexp(_res,"vtkAbstractTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_SetInput( SEXP obj, SEXP input){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAbstractTransform  *  _input = (vtkAbstractTransform * )  
SexpToVtk(input);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->SetInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkAbstractTransform"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_GetInput( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    vtkAbstractTransform *  _res =( vtkAbstractTransform * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkAbstractTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_GetInverseFlag( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    int _res =_obj->GetInverseFlag();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_Push( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->Push();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_Pop( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->Pop();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_InternalTransformPoint( SEXP obj, SEXP input, SEXP output){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(input,3);
     float  *  _input =  SexpTofloat(input);
    SET_LENGTH(output,3);
     float  *  _output =  SexpTofloat(output);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->InternalTransformPoint(_input, _output);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_output,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".output",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_InternalTransformPoint_v1( SEXP obj, SEXP input, SEXP output){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(input,3);
     double  *  _input =  SexpTodouble(input);
    SET_LENGTH(output,3);
     double  *  _output =  SexpTodouble(output);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    _obj->InternalTransformPoint(_input, _output);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_output,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".output",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_CircuitCheck( SEXP obj, SEXP transform){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAbstractTransform  *  _transform = (vtkAbstractTransform * )  
SexpToVtk(transform);
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    int _res =_obj->CircuitCheck(_transform);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_transform,"vtkAbstractTransform"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".transform",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_MakeTransform( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    vtkAbstractTransform *  _res =( vtkAbstractTransform * )_obj->MakeTransform();
    res=VtkToSexp(_res,"vtkAbstractTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_GetMTime( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGeneralTransform * _obj = (vtkGeneralTransform * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeneralTransform_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkGeneralTransform * res= ( vtkGeneralTransform * ) vtkGeneralTransform
::New();
    R_res=toRPointer(res,"vtkGeneralTransform");
    return(R_res);
  }
}
