#include <vtk/vtkHierarchicalBoxToPolyDataFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkHierarchicalBoxToPolyDataFilter_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalBoxToPolyDataFilter * _obj = (
vtkHierarchicalBoxToPolyDataFilter * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxToPolyDataFilter_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkHierarchicalBoxToPolyDataFilter * _obj = (
vtkHierarchicalBoxToPolyDataFilter * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxToPolyDataFilter_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkHierarchicalBoxToPolyDataFilter * _obj = (
vtkHierarchicalBoxToPolyDataFilter * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxToPolyDataFilter_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkHierarchicalBoxToPolyDataFilter * _obj = (
vtkHierarchicalBoxToPolyDataFilter * ) SexpToVtk(obj);
    vtkHierarchicalBoxToPolyDataFilter *  _res =( vtkHierarchicalBoxToPolyDataFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkHierarchicalBoxToPolyDataFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxToPolyDataFilter_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalBoxToPolyDataFilter * _obj = (
vtkHierarchicalBoxToPolyDataFilter * ) SexpToVtk(obj);
    vtkHierarchicalBoxToPolyDataFilter *  _res =( vtkHierarchicalBoxToPolyDataFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkHierarchicalBoxToPolyDataFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxToPolyDataFilter_SetInput( SEXP obj, SEXP input){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkHierarchicalBoxDataSet  *  _input = (vtkHierarchicalBoxDataSet * )  
SexpToVtk(input);
    vtkHierarchicalBoxToPolyDataFilter * _obj = (
vtkHierarchicalBoxToPolyDataFilter * ) SexpToVtk(obj);
    _obj->SetInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkHierarchicalBoxDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxToPolyDataFilter_GetInput( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalBoxToPolyDataFilter * _obj = (
vtkHierarchicalBoxToPolyDataFilter * ) SexpToVtk(obj);
    vtkHierarchicalBoxDataSet *  _res =( vtkHierarchicalBoxDataSet * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkHierarchicalBoxDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
}
