#include <vtk/vtkHierarchicalBoxVisitor.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkHierarchicalBoxVisitor_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalBoxVisitor * _obj = (vtkHierarchicalBoxVisitor
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxVisitor_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkHierarchicalBoxVisitor * _obj = (vtkHierarchicalBoxVisitor
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxVisitor_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkHierarchicalBoxVisitor * _obj = (vtkHierarchicalBoxVisitor
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxVisitor_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkHierarchicalBoxVisitor * _obj = (vtkHierarchicalBoxVisitor
 * ) SexpToVtk(obj);
    vtkHierarchicalBoxVisitor *  _res =( vtkHierarchicalBoxVisitor * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkHierarchicalBoxVisitor");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxVisitor_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalBoxVisitor * _obj = (vtkHierarchicalBoxVisitor
 * ) SexpToVtk(obj);
    vtkHierarchicalBoxVisitor *  _res =( vtkHierarchicalBoxVisitor * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkHierarchicalBoxVisitor");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxVisitor_Execute( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalBoxVisitor * _obj = (vtkHierarchicalBoxVisitor
 * ) SexpToVtk(obj);
    _obj->Execute();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxVisitor_SetDataSet( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkHierarchicalBoxDataSet  *  __arg = (vtkHierarchicalBoxDataSet * )  
SexpToVtk(_arg);
    vtkHierarchicalBoxVisitor * _obj = (vtkHierarchicalBoxVisitor
 * ) SexpToVtk(obj);
    _obj->SetDataSet(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkHierarchicalBoxDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxVisitor_GetDataSet( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalBoxVisitor * _obj = (vtkHierarchicalBoxVisitor
 * ) SexpToVtk(obj);
    vtkHierarchicalBoxDataSet *  _res =( vtkHierarchicalBoxDataSet * )_obj->GetDataSet();
    res=VtkToSexp(_res,"vtkHierarchicalBoxDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxVisitor_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkHierarchicalBoxVisitor * res= ( vtkHierarchicalBoxVisitor * ) 
vtkHierarchicalBoxVisitor::New();
    R_res=toRPointer(res,"vtkHierarchicalBoxVisitor");
    return(R_res);
  }
}
