#include <vtk/vtkHierarchicalDataIterator.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkHierarchicalDataIterator_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataIterator * _obj = (vtkHierarchicalDataIterator
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataIterator_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkHierarchicalDataIterator * _obj = (vtkHierarchicalDataIterator
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataIterator_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkHierarchicalDataIterator * _obj = (vtkHierarchicalDataIterator
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataIterator_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkHierarchicalDataIterator * _obj = (vtkHierarchicalDataIterator
 * ) SexpToVtk(obj);
    vtkHierarchicalDataIterator *  _res =( vtkHierarchicalDataIterator * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkHierarchicalDataIterator");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataIterator_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataIterator * _obj = (vtkHierarchicalDataIterator
 * ) SexpToVtk(obj);
    vtkHierarchicalDataIterator *  _res =( vtkHierarchicalDataIterator * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkHierarchicalDataIterator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataIterator_GoToFirstItem( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataIterator * _obj = (vtkHierarchicalDataIterator
 * ) SexpToVtk(obj);
    _obj->GoToFirstItem();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataIterator_GoToNextItem( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataIterator * _obj = (vtkHierarchicalDataIterator
 * ) SexpToVtk(obj);
    _obj->GoToNextItem();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataIterator_IsDoneWithTraversal( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataIterator * _obj = (vtkHierarchicalDataIterator
 * ) SexpToVtk(obj);
    int _res =_obj->IsDoneWithTraversal();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataIterator_GetCurrentDataObject( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataIterator * _obj = (vtkHierarchicalDataIterator
 * ) SexpToVtk(obj);
    vtkDataObject *  _res =( vtkDataObject * )_obj->GetCurrentDataObject();
    res=VtkToSexp(_res,"vtkDataObject");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataIterator_SetDataSet( SEXP obj, SEXP dataset){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkHierarchicalDataSet  *  _dataset = (vtkHierarchicalDataSet * )  
SexpToVtk(dataset);
    vtkHierarchicalDataIterator * _obj = (vtkHierarchicalDataIterator
 * ) SexpToVtk(obj);
    _obj->SetDataSet(_dataset);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_dataset,"vtkHierarchicalDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dataset",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataIterator_GetDataSet( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataIterator * _obj = (vtkHierarchicalDataIterator
 * ) SexpToVtk(obj);
    vtkHierarchicalDataSet *  _res =( vtkHierarchicalDataSet * )_obj->GetDataSet();
    res=VtkToSexp(_res,"vtkHierarchicalDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataIterator_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkHierarchicalDataIterator * res= ( vtkHierarchicalDataIterator * ) 
vtkHierarchicalDataIterator::New();
    R_res=toRPointer(res,"vtkHierarchicalDataIterator");
    return(R_res);
  }
}
