#include <vtk/vtkImageData.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkImageData_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    vtkImageData *  _res =( vtkImageData * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageData");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    vtkImageData *  _res =( vtkImageData * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_CopyStructure( SEXP obj, SEXP ds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _ds = (vtkDataSet * )  SexpToVtk(ds);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->CopyStructure(_ds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ds,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetDataObjectType( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    int _res =_obj->GetDataObjectType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_UpdateData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->UpdateData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetNumberOfCells( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfCells();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetNumberOfPoints( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfPoints();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetPoint( SEXP obj, SEXP ptId){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ptId,1);
     int  *  _ptId =  SexpToint(ptId);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetPoint( * _ptId);
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetPoint_v1( SEXP obj, SEXP id, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->GetPoint( * _id, _x);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetCell( SEXP obj, SEXP cellId){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    vtkCell *  _res =( vtkCell * )_obj->GetCell( * _cellId);
    res=VtkToSexp(_res,"vtkCell");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetCell_v1( SEXP obj, SEXP cellId, SEXP cell){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkGenericCell  *  _cell = (vtkGenericCell * )  SexpToVtk(cell);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->GetCell( * _cellId, _cell);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cell,"vtkGenericCell"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cell",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetCellBounds( SEXP obj, SEXP cellId, SEXP bounds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->GetCellBounds( * _cellId, _bounds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_FindPoint( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    int _res =_obj->FindPoint( * _x,  * _y,  * _z);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_FindPoint_v1( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    int _res =_obj->FindPoint(_x);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetCellPoints( SEXP obj, SEXP cellId, SEXP ptIds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkIdList  *  _ptIds = (vtkIdList * )  SexpToVtk(ptIds);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->GetCellPoints( * _cellId, _ptIds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ptIds,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptIds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetPointCells( SEXP obj, SEXP ptId, SEXP cellIds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ptId,1);
     int  *  _ptId =  SexpToint(ptId);
     vtkIdList  *  _cellIds = (vtkIdList * )  SexpToVtk(cellIds);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->GetPointCells( * _ptId, _cellIds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cellIds,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cellIds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_ComputeBounds( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->ComputeBounds();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetMaxCellSize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    int _res =_obj->GetMaxCellSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetDimensions( SEXP obj, SEXP i, SEXP j, SEXP k){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(j,1);
     int  *  _j =  SexpToint(j);
    SET_LENGTH(k,1);
     int  *  _k =  SexpToint(k);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetDimensions( * _i,  * _j,  * _k);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetDimensions_v1( SEXP obj, SEXP dim){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(dim,3);
     int  *  _dim =  SexpToint(dim);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetDimensions(_dim);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_dim,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dim",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetDimensions( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetDimensions();
    res=intToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetDimensions_v1( SEXP obj, SEXP dOut){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _dOut =  SexpToint(dOut);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->GetDimensions(_dOut);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_dOut,LENGTH(dOut)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dOut",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_ComputeStructuredCoordinates( SEXP obj, SEXP x, SEXP ijk, SEXP pcoords){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(ijk,3);
     int  *  _ijk =  SexpToint(ijk);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    int _res =_obj->ComputeStructuredCoordinates(_x, _ijk, _pcoords);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_ijk,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".ijk",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,3,charToSexp(".pcoords",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetVoxelGradient( SEXP obj, SEXP i, SEXP j, SEXP k, SEXP s, SEXP g){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(j,1);
     int  *  _j =  SexpToint(j);
    SET_LENGTH(k,1);
     int  *  _k =  SexpToint(k);
     vtkDataArray  *  _s = (vtkDataArray * )  SexpToVtk(s);
     vtkDataArray  *  _g = (vtkDataArray * )  SexpToVtk(g);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->GetVoxelGradient( * _i,  * _j,  * _k, _s, _g);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_s,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".s",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_g,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".g",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetPointGradient( SEXP obj, SEXP i, SEXP j, SEXP k, SEXP s, SEXP g){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(j,1);
     int  *  _j =  SexpToint(j);
    SET_LENGTH(k,1);
     int  *  _k =  SexpToint(k);
     vtkDataArray  *  _s = (vtkDataArray * )  SexpToVtk(s);
    SET_LENGTH(g,3);
     double  *  _g =  SexpTodouble(g);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->GetPointGradient( * _i,  * _j,  * _k, _s, _g);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_s,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".s",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_g,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".g",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetDataDimension( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    int _res =_obj->GetDataDimension();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_ComputePointId( SEXP obj, SEXP ijk){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ijk,3);
     int  *  _ijk =  SexpToint(ijk);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    int _res =_obj->ComputePointId(_ijk);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_ijk,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ijk",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_ComputeCellId( SEXP obj, SEXP ijk){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ijk,3);
     int  *  _ijk =  SexpToint(ijk);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    int _res =_obj->ComputeCellId(_ijk);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_ijk,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ijk",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetAxisUpdateExtent( SEXP obj, SEXP idx, SEXP min, SEXP max){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    SET_LENGTH(min,1);
     int  *  _min =  SexpToint(min);
    SET_LENGTH(max,1);
     int  *  _max =  SexpToint(max);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetAxisUpdateExtent( * _idx,  * _min,  * _max);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetAxisUpdateExtent( SEXP obj, SEXP idx, SEXP min, SEXP max){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    SET_LENGTH(min,1);
     int  *  _min =  SexpToint(min);
    SET_LENGTH(max,1);
     int  *  _max =  SexpToint(max);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->GetAxisUpdateExtent( * _idx,  * _min,  * _max);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_min,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".min",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_max,1));
    SET_VECTOR_ELT(res_names,2,charToSexp(".max",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetUpdateExtent( SEXP obj, SEXP piece, SEXP numPieces, SEXP ghostLevel){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(piece,1);
     int  *  _piece =  SexpToint(piece);
    SET_LENGTH(numPieces,1);
     int  *  _numPieces =  SexpToint(numPieces);
    SET_LENGTH(ghostLevel,1);
     int  *  _ghostLevel =  SexpToint(ghostLevel);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetUpdateExtent( * _piece,  * _numPieces,  * _ghostLevel);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetUpdateExtent_v1( SEXP obj, SEXP piece, SEXP numPieces){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(piece,1);
     int  *  _piece =  SexpToint(piece);
    SET_LENGTH(numPieces,1);
     int  *  _numPieces =  SexpToint(numPieces);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetUpdateExtent( * _piece,  * _numPieces);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetUpdateExtent_v2( SEXP obj, SEXP x1, SEXP x2, SEXP y1, SEXP y2, SEXP z1, SEXP z2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(x2,1);
     int  *  _x2 =  SexpToint(x2);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(y2,1);
     int  *  _y2 =  SexpToint(y2);
    SET_LENGTH(z1,1);
     int  *  _z1 =  SexpToint(z1);
    SET_LENGTH(z2,1);
     int  *  _z2 =  SexpToint(z2);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetUpdateExtent( * _x1,  * _x2,  * _y1,  * _y2,  * _z1,  * _z2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetUpdateExtent_v3( SEXP obj, SEXP ext){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _ext =  SexpToint(ext);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetUpdateExtent(_ext);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_ext,LENGTH(ext)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ext",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetExtent( SEXP obj, SEXP extent){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _extent =  SexpToint(extent);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetExtent(_extent);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_extent,LENGTH(extent)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".extent",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetExtent_v1( SEXP obj, SEXP x1, SEXP x2, SEXP y1, SEXP y2, SEXP z1, SEXP z2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(x2,1);
     int  *  _x2 =  SexpToint(x2);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(y2,1);
     int  *  _y2 =  SexpToint(y2);
    SET_LENGTH(z1,1);
     int  *  _z1 =  SexpToint(z1);
    SET_LENGTH(z2,1);
     int  *  _z2 =  SexpToint(z2);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetExtent( * _x1,  * _x2,  * _y1,  * _y2,  * _z1,  * _z2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetExtent( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetExtent();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetExtent_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3, SEXP _arg4, SEXP _arg5, SEXP _arg6){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    SET_LENGTH(_arg3,1);
     int  *  __arg3 =  SexpToint(_arg3);
    SET_LENGTH(_arg4,1);
     int  *  __arg4 =  SexpToint(_arg4);
    SET_LENGTH(_arg5,1);
     int  *  __arg5 =  SexpToint(_arg5);
    SET_LENGTH(_arg6,1);
     int  *  __arg6 =  SexpToint(_arg6);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->GetExtent( * __arg1,  * __arg2,  * __arg3,  * __arg4,  * __arg5,  * __arg6);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,intToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,intToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    SET_VECTOR_ELT(ans,4,intToSexp(__arg4,1));
    SET_VECTOR_ELT(res_names,4,charToSexp("._arg4",0));
    SET_VECTOR_ELT(ans,5,intToSexp(__arg5,1));
    SET_VECTOR_ELT(res_names,5,charToSexp("._arg5",0));
    SET_VECTOR_ELT(ans,6,intToSexp(__arg6,1));
    SET_VECTOR_ELT(res_names,6,charToSexp("._arg6",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetExtent_v2( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->GetExtent(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetEstimatedMemorySize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetEstimatedMemorySize();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetScalarTypeMin( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    double _res =_obj->GetScalarTypeMin();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetScalarTypeMax( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    double _res =_obj->GetScalarTypeMax();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetScalarSize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    int _res =_obj->GetScalarSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetIncrements( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetIncrements();
    res=intToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetIncrements_v1( SEXP obj, SEXP incX, SEXP incY, SEXP incZ){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(incX,1);
     int  *  _incX =  SexpToint(incX);
    SET_LENGTH(incY,1);
     int  *  _incY =  SexpToint(incY);
    SET_LENGTH(incZ,1);
     int  *  _incZ =  SexpToint(incZ);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->GetIncrements( * _incX,  * _incY,  * _incZ);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_incX,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".incX",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_incY,1));
    SET_VECTOR_ELT(res_names,2,charToSexp(".incY",0));
    SET_VECTOR_ELT(ans,3,intToSexp(_incZ,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".incZ",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetIncrements_v2( SEXP obj, SEXP inc){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(inc,3);
     int  *  _inc =  SexpToint(inc);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->GetIncrements(_inc);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_inc,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".inc",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetContinuousIncrements( SEXP obj, SEXP extent, SEXP incX, SEXP incY, SEXP incZ){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(extent,6);
     int  *  _extent =  SexpToint(extent);
    SET_LENGTH(incX,1);
     int  *  _incX =  SexpToint(incX);
    SET_LENGTH(incY,1);
     int  *  _incY =  SexpToint(incY);
    SET_LENGTH(incZ,1);
     int  *  _incZ =  SexpToint(incZ);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->GetContinuousIncrements(_extent,  * _incX,  * _incY,  * _incZ);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_extent,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".extent",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_incX,1));
    SET_VECTOR_ELT(res_names,2,charToSexp(".incX",0));
    SET_VECTOR_ELT(ans,3,intToSexp(_incY,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".incY",0));
    SET_VECTOR_ELT(ans,4,intToSexp(_incZ,1));
    SET_VECTOR_ELT(res_names,4,charToSexp(".incZ",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetScalarPointerForExtent( SEXP obj, SEXP extent){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(extent,6);
     int  *  _extent =  SexpToint(extent);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    void *  _res =_obj->GetScalarPointerForExtent(_extent);
    res=voidToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_extent,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".extent",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetScalarPointer( SEXP obj, SEXP coordinate){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(coordinate,3);
     int  *  _coordinate =  SexpToint(coordinate);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    void *  _res =_obj->GetScalarPointer(_coordinate);
    res=voidToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_coordinate,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".coordinate",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetScalarPointer_v1( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     int  *  _x =  SexpToint(x);
    SET_LENGTH(y,1);
     int  *  _y =  SexpToint(y);
    SET_LENGTH(z,1);
     int  *  _z =  SexpToint(z);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    void *  _res =_obj->GetScalarPointer( * _x,  * _y,  * _z);
    res=voidToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetScalarPointer_v2( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    void *  _res =_obj->GetScalarPointer();
    res=voidToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetScalarComponentAsDouble( SEXP obj, SEXP x, SEXP y, SEXP z, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     int  *  _x =  SexpToint(x);
    SET_LENGTH(y,1);
     int  *  _y =  SexpToint(y);
    SET_LENGTH(z,1);
     int  *  _z =  SexpToint(z);
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    double _res =_obj->GetScalarComponentAsDouble( * _x,  * _y,  * _z,  * _comp);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetScalarComponentFromDouble( SEXP obj, SEXP x, SEXP y, SEXP z, SEXP comp, SEXP v){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     int  *  _x =  SexpToint(x);
    SET_LENGTH(y,1);
     int  *  _y =  SexpToint(y);
    SET_LENGTH(z,1);
     int  *  _z =  SexpToint(z);
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    SET_LENGTH(v,1);
     double  *  _v =  SexpTodouble(v);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetScalarComponentFromDouble( * _x,  * _y,  * _z,  * _comp,  * _v);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_AllocateScalars( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->AllocateScalars();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_CopyAndCastFrom( SEXP obj, SEXP inData, SEXP extent){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageData  *  _inData = (vtkImageData * )  SexpToVtk(inData);
    SET_LENGTH(extent,6);
     int  *  _extent =  SexpToint(extent);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->CopyAndCastFrom(_inData, _extent);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_inData,"vtkImageData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".inData",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_extent,6));
    SET_VECTOR_ELT(res_names,2,charToSexp(".extent",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_CopyAndCastFrom_v1( SEXP obj, SEXP inData, SEXP x0, SEXP x1, SEXP y0, SEXP y1, SEXP z0, SEXP z1){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageData  *  _inData = (vtkImageData * )  SexpToVtk(inData);
    SET_LENGTH(x0,1);
     int  *  _x0 =  SexpToint(x0);
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(y0,1);
     int  *  _y0 =  SexpToint(y0);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(z0,1);
     int  *  _z0 =  SexpToint(z0);
    SET_LENGTH(z1,1);
     int  *  _z1 =  SexpToint(z1);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->CopyAndCastFrom(_inData,  * _x0,  * _x1,  * _y0,  * _y1,  * _z0,  * _z1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_inData,"vtkImageData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".inData",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_Crop( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->Crop();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetActualMemorySize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetActualMemorySize();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetSpacing( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetSpacing( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetSpacing_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetSpacing(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetSpacing( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetSpacing();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetSpacing_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->GetSpacing( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetSpacing_v2( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->GetSpacing(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetOrigin( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetOrigin( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetOrigin_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetOrigin(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetOrigin( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetOrigin();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetOrigin_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->GetOrigin( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetOrigin_v2( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->GetOrigin(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetScalarTypeToFloat( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetScalarTypeToFloat();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetScalarTypeToDouble( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetScalarTypeToDouble();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetScalarTypeToInt( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetScalarTypeToInt();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetScalarTypeToUnsignedInt( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetScalarTypeToUnsignedInt();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetScalarTypeToLong( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetScalarTypeToLong();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetScalarTypeToUnsignedLong( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetScalarTypeToUnsignedLong();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetScalarTypeToShort( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetScalarTypeToShort();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetScalarTypeToUnsignedShort( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetScalarTypeToUnsignedShort();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetScalarTypeToUnsignedChar( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetScalarTypeToUnsignedChar();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetScalarTypeToChar( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetScalarTypeToChar();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetScalarType( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetScalarType( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetScalarType( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    int _res =_obj->GetScalarType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetScalarTypeAsString( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetScalarTypeAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_SetNumberOfScalarComponents( SEXP obj, SEXP num){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(num,1);
     int  *  _num =  SexpToint(num);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->SetNumberOfScalarComponents( * _num);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetNumberOfScalarComponents( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfScalarComponents();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_CopyTypeSpecificInformation( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _data = (vtkDataObject * )  SexpToVtk(data);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->CopyTypeSpecificInformation(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_data,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_PrepareForNewData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->PrepareForNewData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_ShallowCopy( SEXP obj, SEXP dataObject){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _dataObject = (vtkDataObject * )  SexpToVtk(dataObject);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->ShallowCopy(_dataObject);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_dataObject,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dataObject",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_DeepCopy( SEXP obj, SEXP dataObject){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _dataObject = (vtkDataObject * )  SexpToVtk(dataObject);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->DeepCopy(_dataObject);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_dataObject,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dataObject",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetArrayPointerForExtent( SEXP obj, SEXP array, SEXP extent){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _array = (vtkDataArray * )  SexpToVtk(array);
    SET_LENGTH(extent,6);
     int  *  _extent =  SexpToint(extent);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    void *  _res =_obj->GetArrayPointerForExtent(_array, _extent);
    res=voidToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_array,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".array",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_extent,6));
    SET_VECTOR_ELT(res_names,2,charToSexp(".extent",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetArrayPointer( SEXP obj, SEXP array, SEXP coordinate){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _array = (vtkDataArray * )  SexpToVtk(array);
    SET_LENGTH(coordinate,3);
     int  *  _coordinate =  SexpToint(coordinate);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    void *  _res =_obj->GetArrayPointer(_array, _coordinate);
    res=voidToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_array,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".array",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_coordinate,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".coordinate",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetArrayIncrements( SEXP obj, SEXP array, SEXP increments){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _array = (vtkDataArray * )  SexpToVtk(array);
    SET_LENGTH(increments,3);
     int  *  _increments =  SexpToint(increments);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->GetArrayIncrements(_array, _increments);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_array,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".array",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_increments,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".increments",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_ComputeInternalExtent( SEXP obj, SEXP intExt, SEXP tgtExt, SEXP bnds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _intExt =  SexpToint(intExt);
     int  *  _tgtExt =  SexpToint(tgtExt);
     int  *  _bnds =  SexpToint(bnds);
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    _obj->ComputeInternalExtent(_intExt, _tgtExt, _bnds);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_intExt,LENGTH(intExt)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".intExt",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_tgtExt,LENGTH(tgtExt)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".tgtExt",0));
    SET_VECTOR_ELT(ans,3,intToSexp(_bnds,LENGTH(bnds)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".bnds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_GetExtentType( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageData * _obj = (vtkImageData * ) SexpToVtk(obj);
    int _res =_obj->GetExtentType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageData_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageData * res= ( vtkImageData * ) vtkImageData::New();
    R_res=toRPointer(res,"vtkImageData");
    return(R_res);
  }


}
