#include <vtk/vtkImageDecomposeFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkImageDecomposeFilter_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDecomposeFilter * _obj = (vtkImageDecomposeFilter
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDecomposeFilter_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageDecomposeFilter * _obj = (vtkImageDecomposeFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDecomposeFilter_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageDecomposeFilter * _obj = (vtkImageDecomposeFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDecomposeFilter_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageDecomposeFilter * _obj = (vtkImageDecomposeFilter
 * ) SexpToVtk(obj);
    vtkImageDecomposeFilter *  _res =( vtkImageDecomposeFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageDecomposeFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDecomposeFilter_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDecomposeFilter * _obj = (vtkImageDecomposeFilter
 * ) SexpToVtk(obj);
    vtkImageDecomposeFilter *  _res =( vtkImageDecomposeFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageDecomposeFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDecomposeFilter_SetDimensionality( SEXP obj, SEXP dim){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(dim,1);
     int  *  _dim =  SexpToint(dim);
    vtkImageDecomposeFilter * _obj = (vtkImageDecomposeFilter
 * ) SexpToVtk(obj);
    _obj->SetDimensionality( * _dim);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDecomposeFilter_GetDimensionality( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDecomposeFilter * _obj = (vtkImageDecomposeFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetDimensionality();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDecomposeFilter_PermuteIncrements( SEXP obj, SEXP increments, SEXP inc0, SEXP inc1, SEXP inc2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _increments =  SexpToint(increments);
    SET_LENGTH(inc0,1);
     int  *  _inc0 =  SexpToint(inc0);
    SET_LENGTH(inc1,1);
     int  *  _inc1 =  SexpToint(inc1);
    SET_LENGTH(inc2,1);
     int  *  _inc2 =  SexpToint(inc2);
    vtkImageDecomposeFilter * _obj = (vtkImageDecomposeFilter
 * ) SexpToVtk(obj);
    _obj->PermuteIncrements(_increments,  * _inc0,  * _inc1,  * _inc2);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_increments,LENGTH(increments)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".increments",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_inc0,1));
    SET_VECTOR_ELT(res_names,2,charToSexp(".inc0",0));
    SET_VECTOR_ELT(ans,3,intToSexp(_inc1,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".inc1",0));
    SET_VECTOR_ELT(ans,4,intToSexp(_inc2,1));
    SET_VECTOR_ELT(res_names,4,charToSexp(".inc2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDecomposeFilter_PermuteExtent( SEXP obj, SEXP extent, SEXP min0, SEXP max0, SEXP min1, SEXP max1, SEXP min2, SEXP max2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _extent =  SexpToint(extent);
    SET_LENGTH(min0,1);
     int  *  _min0 =  SexpToint(min0);
    SET_LENGTH(max0,1);
     int  *  _max0 =  SexpToint(max0);
    SET_LENGTH(min1,1);
     int  *  _min1 =  SexpToint(min1);
    SET_LENGTH(max1,1);
     int  *  _max1 =  SexpToint(max1);
    SET_LENGTH(min2,1);
     int  *  _min2 =  SexpToint(min2);
    SET_LENGTH(max2,1);
     int  *  _max2 =  SexpToint(max2);
    vtkImageDecomposeFilter * _obj = (vtkImageDecomposeFilter
 * ) SexpToVtk(obj);
    _obj->PermuteExtent(_extent,  * _min0,  * _max0,  * _min1,  * _max1,  * _min2,  * _max2);
    PROTECT(ans = allocVector(VECSXP,8));
    PROTECT(res_names = allocVector(VECSXP,8));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_extent,LENGTH(extent)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".extent",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_min0,1));
    SET_VECTOR_ELT(res_names,2,charToSexp(".min0",0));
    SET_VECTOR_ELT(ans,3,intToSexp(_max0,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".max0",0));
    SET_VECTOR_ELT(ans,4,intToSexp(_min1,1));
    SET_VECTOR_ELT(res_names,4,charToSexp(".min1",0));
    SET_VECTOR_ELT(ans,5,intToSexp(_max1,1));
    SET_VECTOR_ELT(res_names,5,charToSexp(".max1",0));
    SET_VECTOR_ELT(ans,6,intToSexp(_min2,1));
    SET_VECTOR_ELT(res_names,6,charToSexp(".min2",0));
    SET_VECTOR_ELT(ans,7,intToSexp(_max2,1));
    SET_VECTOR_ELT(res_names,7,charToSexp(".max2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
}
