#include <vtk/vtkImageMask.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkImageMask_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMask * _obj = (vtkImageMask * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMask_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageMask * _obj = (vtkImageMask * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMask_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageMask * _obj = (vtkImageMask * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMask_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageMask * _obj = (vtkImageMask * ) SexpToVtk(obj);
    vtkImageMask *  _res =( vtkImageMask * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageMask");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMask_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMask * _obj = (vtkImageMask * ) SexpToVtk(obj);
    vtkImageMask *  _res =( vtkImageMask * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageMask");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMask_SetMaskedOutputValue( SEXP obj, SEXP num, SEXP v){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(num,1);
     int  *  _num =  SexpToint(num);
     double  *  _v =  SexpTodouble(v);
    vtkImageMask * _obj = (vtkImageMask * ) SexpToVtk(obj);
    _obj->SetMaskedOutputValue( * _num, _v);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_v,LENGTH(v)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".v",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMask_SetMaskedOutputValue_v1( SEXP obj, SEXP v){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(v,1);
     double  *  _v =  SexpTodouble(v);
    vtkImageMask * _obj = (vtkImageMask * ) SexpToVtk(obj);
    _obj->SetMaskedOutputValue( * _v);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMask_SetMaskedOutputValue_v2( SEXP obj, SEXP v1, SEXP v2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(v1,1);
     double  *  _v1 =  SexpTodouble(v1);
    SET_LENGTH(v2,1);
     double  *  _v2 =  SexpTodouble(v2);
    vtkImageMask * _obj = (vtkImageMask * ) SexpToVtk(obj);
    _obj->SetMaskedOutputValue( * _v1,  * _v2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMask_SetMaskedOutputValue_v3( SEXP obj, SEXP v1, SEXP v2, SEXP v3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(v1,1);
     double  *  _v1 =  SexpTodouble(v1);
    SET_LENGTH(v2,1);
     double  *  _v2 =  SexpTodouble(v2);
    SET_LENGTH(v3,1);
     double  *  _v3 =  SexpTodouble(v3);
    vtkImageMask * _obj = (vtkImageMask * ) SexpToVtk(obj);
    _obj->SetMaskedOutputValue( * _v1,  * _v2,  * _v3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMask_GetMaskedOutputValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMask * _obj = (vtkImageMask * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetMaskedOutputValue();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMask_GetMaskedOutputValueLength( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMask * _obj = (vtkImageMask * ) SexpToVtk(obj);
    int _res =_obj->GetMaskedOutputValueLength();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMask_SetMaskAlpha( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageMask * _obj = (vtkImageMask * ) SexpToVtk(obj);
    _obj->SetMaskAlpha( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMask_GetMaskAlphaMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMask * _obj = (vtkImageMask * ) SexpToVtk(obj);
    double _res =_obj->GetMaskAlphaMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMask_GetMaskAlphaMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMask * _obj = (vtkImageMask * ) SexpToVtk(obj);
    double _res =_obj->GetMaskAlphaMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMask_GetMaskAlpha( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMask * _obj = (vtkImageMask * ) SexpToVtk(obj);
    double _res =_obj->GetMaskAlpha();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMask_SetImageInput( SEXP obj, SEXP in){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageData  *  _in = (vtkImageData * )  SexpToVtk(in);
    vtkImageMask * _obj = (vtkImageMask * ) SexpToVtk(obj);
    _obj->SetImageInput(_in);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_in,"vtkImageData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMask_SetMaskInput( SEXP obj, SEXP in){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageData  *  _in = (vtkImageData * )  SexpToVtk(in);
    vtkImageMask * _obj = (vtkImageMask * ) SexpToVtk(obj);
    _obj->SetMaskInput(_in);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_in,"vtkImageData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMask_SetNotMask( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageMask * _obj = (vtkImageMask * ) SexpToVtk(obj);
    _obj->SetNotMask( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMask_GetNotMask( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMask * _obj = (vtkImageMask * ) SexpToVtk(obj);
    int _res =_obj->GetNotMask();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMask_NotMaskOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMask * _obj = (vtkImageMask * ) SexpToVtk(obj);
    _obj->NotMaskOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMask_NotMaskOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMask * _obj = (vtkImageMask * ) SexpToVtk(obj);
    _obj->NotMaskOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMask_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageMask * res= ( vtkImageMask * ) vtkImageMask::New();
    R_res=toRPointer(res,"vtkImageMask");
    return(R_res);
  }
}
