#include <vtk/vtkImageNoiseSource.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkImageNoiseSource_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageNoiseSource * _obj = (vtkImageNoiseSource * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageNoiseSource_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageNoiseSource * _obj = (vtkImageNoiseSource * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageNoiseSource_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageNoiseSource * _obj = (vtkImageNoiseSource * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageNoiseSource_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageNoiseSource * _obj = (vtkImageNoiseSource * ) SexpToVtk(obj);
    vtkImageNoiseSource *  _res =( vtkImageNoiseSource * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageNoiseSource");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageNoiseSource_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageNoiseSource * _obj = (vtkImageNoiseSource * ) SexpToVtk(obj);
    vtkImageNoiseSource *  _res =( vtkImageNoiseSource * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageNoiseSource");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageNoiseSource_SetMinimum( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageNoiseSource * _obj = (vtkImageNoiseSource * ) SexpToVtk(obj);
    _obj->SetMinimum( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageNoiseSource_GetMinimum( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageNoiseSource * _obj = (vtkImageNoiseSource * ) SexpToVtk(obj);
    double _res =_obj->GetMinimum();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageNoiseSource_SetMaximum( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageNoiseSource * _obj = (vtkImageNoiseSource * ) SexpToVtk(obj);
    _obj->SetMaximum( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageNoiseSource_GetMaximum( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageNoiseSource * _obj = (vtkImageNoiseSource * ) SexpToVtk(obj);
    double _res =_obj->GetMaximum();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageNoiseSource_SetWholeExtent( SEXP obj, SEXP xMin, SEXP xMax, SEXP yMin, SEXP yMax, SEXP zMin, SEXP zMax){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xMin,1);
     int  *  _xMin =  SexpToint(xMin);
    SET_LENGTH(xMax,1);
     int  *  _xMax =  SexpToint(xMax);
    SET_LENGTH(yMin,1);
     int  *  _yMin =  SexpToint(yMin);
    SET_LENGTH(yMax,1);
     int  *  _yMax =  SexpToint(yMax);
    SET_LENGTH(zMin,1);
     int  *  _zMin =  SexpToint(zMin);
    SET_LENGTH(zMax,1);
     int  *  _zMax =  SexpToint(zMax);
    vtkImageNoiseSource * _obj = (vtkImageNoiseSource * ) SexpToVtk(obj);
    _obj->SetWholeExtent( * _xMin,  * _xMax,  * _yMin,  * _yMax,  * _zMin,  * _zMax);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageNoiseSource_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageNoiseSource * res= ( vtkImageNoiseSource * ) vtkImageNoiseSource
::New();
    R_res=toRPointer(res,"vtkImageNoiseSource");
    return(R_res);
  }
}
