#include <vtk/vtkImageReader2Collection.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkImageReader2Collection_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageReader2Collection * _obj = (vtkImageReader2Collection
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageReader2Collection_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageReader2Collection * _obj = (vtkImageReader2Collection
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageReader2Collection_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageReader2Collection * _obj = (vtkImageReader2Collection
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageReader2Collection_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageReader2Collection * _obj = (vtkImageReader2Collection
 * ) SexpToVtk(obj);
    vtkImageReader2Collection *  _res =( vtkImageReader2Collection * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageReader2Collection");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageReader2Collection_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageReader2Collection * _obj = (vtkImageReader2Collection
 * ) SexpToVtk(obj);
    vtkImageReader2Collection *  _res =( vtkImageReader2Collection * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageReader2Collection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageReader2Collection_AddItem( SEXP obj, SEXP f){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageReader2  *  _f = (vtkImageReader2 * )  SexpToVtk(f);
    vtkImageReader2Collection * _obj = (vtkImageReader2Collection
 * ) SexpToVtk(obj);
    _obj->AddItem(_f);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_f,"vtkImageReader2"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".f",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageReader2Collection_GetNextItem( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageReader2Collection * _obj = (vtkImageReader2Collection
 * ) SexpToVtk(obj);
    vtkImageReader2 *  _res =( vtkImageReader2 * )_obj->GetNextItem();
    res=VtkToSexp(_res,"vtkImageReader2");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageReader2Collection_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageReader2Collection * res= ( vtkImageReader2Collection * ) 
vtkImageReader2Collection::New();
    R_res=toRPointer(res,"vtkImageReader2Collection");
    return(R_res);
  }
}
