#include <vtk/vtkImageReader2Factory.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkImageReader2Factory_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageReader2Factory * _obj = (vtkImageReader2Factory * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageReader2Factory_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageReader2Factory * _obj = (vtkImageReader2Factory * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageReader2Factory_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageReader2Factory * _obj = (vtkImageReader2Factory * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageReader2Factory_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageReader2Factory * _obj = (vtkImageReader2Factory * ) SexpToVtk(obj);
    vtkImageReader2Factory *  _res =( vtkImageReader2Factory * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageReader2Factory");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageReader2Factory_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageReader2Factory * _obj = (vtkImageReader2Factory * ) SexpToVtk(obj);
    vtkImageReader2Factory *  _res =( vtkImageReader2Factory * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageReader2Factory");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageReader2Factory_RegisterReader( SEXP obj, SEXP r){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageReader2  *  _r = (vtkImageReader2 * )  SexpToVtk(r);
    vtkImageReader2Factory * _obj = (vtkImageReader2Factory * ) SexpToVtk(obj);
    _obj->RegisterReader(_r);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_r,"vtkImageReader2"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".r",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageReader2Factory_CreateImageReader2( SEXP obj, SEXP path){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _path =  SexpTochar(path);
    vtkImageReader2Factory * _obj = (vtkImageReader2Factory * ) SexpToVtk(obj);
    vtkImageReader2 *  _res =( vtkImageReader2 * )_obj->CreateImageReader2(_path);
    res=VtkToSexp(_res,"vtkImageReader2");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageReader2Factory_GetRegisteredReaders( SEXP obj, SEXP collection){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageReader2Collection  *  _collection = 
(vtkImageReader2Collection * )  SexpToVtk(collection);
    vtkImageReader2Factory * _obj = (vtkImageReader2Factory * ) SexpToVtk(obj);
    _obj->GetRegisteredReaders(_collection);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_collection,"vtkImageReader2Collection"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".collection",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageReader2Factory_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageReader2Factory * res= ( vtkImageReader2Factory * ) 
vtkImageReader2Factory::New();
    R_res=toRPointer(res,"vtkImageReader2Factory");
    return(R_res);
  }
}
