#include <vtk/vtkImageSinusoidSource.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkImageSinusoidSource_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageSinusoidSource * _obj = (vtkImageSinusoidSource * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSinusoidSource_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageSinusoidSource * _obj = (vtkImageSinusoidSource * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSinusoidSource_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageSinusoidSource * _obj = (vtkImageSinusoidSource * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSinusoidSource_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageSinusoidSource * _obj = (vtkImageSinusoidSource * ) SexpToVtk(obj);
    vtkImageSinusoidSource *  _res =( vtkImageSinusoidSource * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageSinusoidSource");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSinusoidSource_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageSinusoidSource * _obj = (vtkImageSinusoidSource * ) SexpToVtk(obj);
    vtkImageSinusoidSource *  _res =( vtkImageSinusoidSource * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageSinusoidSource");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSinusoidSource_SetWholeExtent( SEXP obj, SEXP xMin, SEXP xMax, SEXP yMin, SEXP yMax, SEXP zMin, SEXP zMax){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xMin,1);
     int  *  _xMin =  SexpToint(xMin);
    SET_LENGTH(xMax,1);
     int  *  _xMax =  SexpToint(xMax);
    SET_LENGTH(yMin,1);
     int  *  _yMin =  SexpToint(yMin);
    SET_LENGTH(yMax,1);
     int  *  _yMax =  SexpToint(yMax);
    SET_LENGTH(zMin,1);
     int  *  _zMin =  SexpToint(zMin);
    SET_LENGTH(zMax,1);
     int  *  _zMax =  SexpToint(zMax);
    vtkImageSinusoidSource * _obj = (vtkImageSinusoidSource * ) SexpToVtk(obj);
    _obj->SetWholeExtent( * _xMin,  * _xMax,  * _yMin,  * _yMax,  * _zMin,  * _zMax);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSinusoidSource_SetDirection( SEXP obj, SEXP v0, SEXP v1, SEXP v2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(v0,1);
     double  *  _v0 =  SexpTodouble(v0);
    SET_LENGTH(v1,1);
     double  *  _v1 =  SexpTodouble(v1);
    SET_LENGTH(v2,1);
     double  *  _v2 =  SexpTodouble(v2);
    vtkImageSinusoidSource * _obj = (vtkImageSinusoidSource * ) SexpToVtk(obj);
    _obj->SetDirection( * _v0,  * _v1,  * _v2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSinusoidSource_SetDirection_v1( SEXP obj, SEXP v){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(v,3);
     double  *  _v =  SexpTodouble(v);
    vtkImageSinusoidSource * _obj = (vtkImageSinusoidSource * ) SexpToVtk(obj);
    _obj->SetDirection(_v);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_v,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".v",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSinusoidSource_GetDirection( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageSinusoidSource * _obj = (vtkImageSinusoidSource * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetDirection();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSinusoidSource_GetDirection_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageSinusoidSource * _obj = (vtkImageSinusoidSource * ) SexpToVtk(obj);
    _obj->GetDirection( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSinusoidSource_GetDirection_v2( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageSinusoidSource * _obj = (vtkImageSinusoidSource * ) SexpToVtk(obj);
    _obj->GetDirection(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSinusoidSource_SetPeriod( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageSinusoidSource * _obj = (vtkImageSinusoidSource * ) SexpToVtk(obj);
    _obj->SetPeriod( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSinusoidSource_GetPeriod( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageSinusoidSource * _obj = (vtkImageSinusoidSource * ) SexpToVtk(obj);
    double _res =_obj->GetPeriod();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSinusoidSource_SetPhase( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageSinusoidSource * _obj = (vtkImageSinusoidSource * ) SexpToVtk(obj);
    _obj->SetPhase( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSinusoidSource_GetPhase( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageSinusoidSource * _obj = (vtkImageSinusoidSource * ) SexpToVtk(obj);
    double _res =_obj->GetPhase();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSinusoidSource_SetAmplitude( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageSinusoidSource * _obj = (vtkImageSinusoidSource * ) SexpToVtk(obj);
    _obj->SetAmplitude( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSinusoidSource_GetAmplitude( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageSinusoidSource * _obj = (vtkImageSinusoidSource * ) SexpToVtk(obj);
    double _res =_obj->GetAmplitude();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSinusoidSource_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageSinusoidSource * res= ( vtkImageSinusoidSource * ) 
vtkImageSinusoidSource::New();
    R_res=toRPointer(res,"vtkImageSinusoidSource");
    return(R_res);
  }
}
