#include <vtk/vtkMath.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkMath_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    vtkMath *  _res =( vtkMath * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkMath");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    vtkMath *  _res =( vtkMath * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkMath");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Pi( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    float _res =_obj->Pi();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_DegreesToRadians( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    float _res =_obj->DegreesToRadians();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_RadiansToDegrees( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    float _res =_obj->RadiansToDegrees();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_DoubleDegreesToRadians( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    double _res =_obj->DoubleDegreesToRadians();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_DoublePi( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    double _res =_obj->DoublePi();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_DoubleRadiansToDegrees( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    double _res =_obj->DoubleRadiansToDegrees();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Round( SEXP obj, SEXP f){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(f,1);
     float  *  _f =  SexpTofloat(f);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    int _res =_obj->Round( * _f);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Round_v1( SEXP obj, SEXP f){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(f,1);
     double  *  _f =  SexpTodouble(f);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    int _res =_obj->Round( * _f);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Floor( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    int _res =_obj->Floor( * _x);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Dot( SEXP obj, SEXP x, SEXP y){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     float  *  _x =  SexpTofloat(x);
    SET_LENGTH(y,3);
     float  *  _y =  SexpTofloat(y);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    float _res =_obj->Dot(_x, _y);
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Dot_v1( SEXP obj, SEXP x, SEXP y){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,3);
     double  *  _y =  SexpTodouble(y);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    double _res =_obj->Dot(_x, _y);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Cross( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     float  *  _x =  SexpTofloat(x);
    SET_LENGTH(y,3);
     float  *  _y =  SexpTofloat(y);
    SET_LENGTH(z,3);
     float  *  _z =  SexpTofloat(z);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    _obj->Cross(_x, _y, _z);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_z,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".z",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Cross_v1( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,3);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,3);
     double  *  _z =  SexpTodouble(z);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    _obj->Cross(_x, _y, _z);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_z,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".z",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Norm( SEXP obj, SEXP x, SEXP n){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _x =  SexpTofloat(x);
    SET_LENGTH(n,1);
     int  *  _n =  SexpToint(n);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    float _res =_obj->Norm(_x,  * _n);
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Norm_v1( SEXP obj, SEXP x, SEXP n){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(n,1);
     int  *  _n =  SexpToint(n);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    double _res =_obj->Norm(_x,  * _n);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Norm_v2( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     float  *  _x =  SexpTofloat(x);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    float _res =_obj->Norm(_x);
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Norm_v3( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    double _res =_obj->Norm(_x);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Normalize( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     float  *  _x =  SexpTofloat(x);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    float _res =_obj->Normalize(_x);
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Normalize_v1( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    double _res =_obj->Normalize(_x);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Perpendiculars( SEXP obj, SEXP x, SEXP y, SEXP z, SEXP theta){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,3);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,3);
     double  *  _z =  SexpTodouble(z);
    SET_LENGTH(theta,1);
     double  *  _theta =  SexpTodouble(theta);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    _obj->Perpendiculars(_x, _y, _z,  * _theta);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_y,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".y",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_z,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".z",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Perpendiculars_v1( SEXP obj, SEXP x, SEXP y, SEXP z, SEXP theta){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     float  *  _x =  SexpTofloat(x);
    SET_LENGTH(y,3);
     float  *  _y =  SexpTofloat(y);
    SET_LENGTH(z,3);
     float  *  _z =  SexpTofloat(z);
    SET_LENGTH(theta,1);
     double  *  _theta =  SexpTodouble(theta);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    _obj->Perpendiculars(_x, _y, _z,  * _theta);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_y,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".y",0));
    SET_VECTOR_ELT(ans,2,floatToSexp(_z,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".z",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Distance2BetweenPoints( SEXP obj, SEXP x, SEXP y){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     float  *  _x =  SexpTofloat(x);
    SET_LENGTH(y,3);
     float  *  _y =  SexpTofloat(y);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    float _res =_obj->Distance2BetweenPoints(_x, _y);
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Distance2BetweenPoints_v1( SEXP obj, SEXP x, SEXP y){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,3);
     double  *  _y =  SexpTodouble(y);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    double _res =_obj->Distance2BetweenPoints(_x, _y);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Dot2D( SEXP obj, SEXP x, SEXP y){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     float  *  _x =  SexpTofloat(x);
    SET_LENGTH(y,3);
     float  *  _y =  SexpTofloat(y);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    float _res =_obj->Dot2D(_x, _y);
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Dot2D_v1( SEXP obj, SEXP x, SEXP y){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,3);
     double  *  _y =  SexpTodouble(y);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    double _res =_obj->Dot2D(_x, _y);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Norm2D( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     float  *  _x =  SexpTofloat(x);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    float _res =_obj->Norm2D(_x);
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Norm2D_v1( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    double _res =_obj->Norm2D(_x);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Normalize2D( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     float  *  _x =  SexpTofloat(x);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    float _res =_obj->Normalize2D(_x);
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Normalize2D_v1( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    double _res =_obj->Normalize2D(_x);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Determinant2x2( SEXP obj, SEXP c1, SEXP c2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(c1,2);
     float  *  _c1 =  SexpTofloat(c1);
    SET_LENGTH(c2,2);
     float  *  _c2 =  SexpTofloat(c2);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    float _res =_obj->Determinant2x2(_c1, _c2);
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Determinant2x2_v1( SEXP obj, SEXP a, SEXP b, SEXP c, SEXP d){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a,1);
     double  *  _a =  SexpTodouble(a);
    SET_LENGTH(b,1);
     double  *  _b =  SexpTodouble(b);
    SET_LENGTH(c,1);
     double  *  _c =  SexpTodouble(c);
    SET_LENGTH(d,1);
     double  *  _d =  SexpTodouble(d);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    double _res =_obj->Determinant2x2( * _a,  * _b,  * _c,  * _d);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Determinant2x2_v2( SEXP obj, SEXP c1, SEXP c2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(c1,2);
     double  *  _c1 =  SexpTodouble(c1);
    SET_LENGTH(c2,2);
     double  *  _c2 =  SexpTodouble(c2);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    double _res =_obj->Determinant2x2(_c1, _c2);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Determinant3x3( SEXP obj, SEXP c1, SEXP c2, SEXP c3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(c1,3);
     float  *  _c1 =  SexpTofloat(c1);
    SET_LENGTH(c2,3);
     float  *  _c2 =  SexpTofloat(c2);
    SET_LENGTH(c3,3);
     float  *  _c3 =  SexpTofloat(c3);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    float _res =_obj->Determinant3x3(_c1, _c2, _c3);
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Determinant3x3_v1( SEXP obj, SEXP c1, SEXP c2, SEXP c3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(c1,3);
     double  *  _c1 =  SexpTodouble(c1);
    SET_LENGTH(c2,3);
     double  *  _c2 =  SexpTodouble(c2);
    SET_LENGTH(c3,3);
     double  *  _c3 =  SexpTodouble(c3);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    double _res =_obj->Determinant3x3(_c1, _c2, _c3);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Determinant3x3_v2( SEXP obj, SEXP a1, SEXP a2, SEXP a3, SEXP b1, SEXP b2, SEXP b3, SEXP c1, SEXP c2, SEXP c3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a1,1);
     double  *  _a1 =  SexpTodouble(a1);
    SET_LENGTH(a2,1);
     double  *  _a2 =  SexpTodouble(a2);
    SET_LENGTH(a3,1);
     double  *  _a3 =  SexpTodouble(a3);
    SET_LENGTH(b1,1);
     double  *  _b1 =  SexpTodouble(b1);
    SET_LENGTH(b2,1);
     double  *  _b2 =  SexpTodouble(b2);
    SET_LENGTH(b3,1);
     double  *  _b3 =  SexpTodouble(b3);
    SET_LENGTH(c1,1);
     double  *  _c1 =  SexpTodouble(c1);
    SET_LENGTH(c2,1);
     double  *  _c2 =  SexpTodouble(c2);
    SET_LENGTH(c3,1);
     double  *  _c3 =  SexpTodouble(c3);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    double _res =_obj->Determinant3x3( * _a1,  * _a2,  * _a3,  * _b1,  * _b2,  * _b3,  * _c1,  * _c2,  * _c3);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_RandomSeed( SEXP obj, SEXP s){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(s,1);
     long int  *  _s =  SexpTolong_int(s);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    _obj->RandomSeed( * _s);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Random( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    float _res =_obj->Random();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_Random_v1( SEXP obj, SEXP min, SEXP max){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(min,1);
     float  *  _min =  SexpTofloat(min);
    SET_LENGTH(max,1);
     float  *  _max =  SexpTofloat(max);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    float _res =_obj->Random( * _min,  * _max);
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_SolveCubic( SEXP obj, SEXP c0, SEXP c1, SEXP c2, SEXP c3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(c0,1);
     double  *  _c0 =  SexpTodouble(c0);
    SET_LENGTH(c1,1);
     double  *  _c1 =  SexpTodouble(c1);
    SET_LENGTH(c2,1);
     double  *  _c2 =  SexpTodouble(c2);
    SET_LENGTH(c3,1);
     double  *  _c3 =  SexpTodouble(c3);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->SolveCubic( * _c0,  * _c1,  * _c2,  * _c3);
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_SolveQuadratic( SEXP obj, SEXP c1, SEXP c2, SEXP c3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(c1,1);
     double  *  _c1 =  SexpTodouble(c1);
    SET_LENGTH(c2,1);
     double  *  _c2 =  SexpTodouble(c2);
    SET_LENGTH(c3,1);
     double  *  _c3 =  SexpTodouble(c3);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->SolveQuadratic( * _c1,  * _c2,  * _c3);
    res=doubleToSexp(_res,2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_SolveLinear( SEXP obj, SEXP c2, SEXP c3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(c2,1);
     double  *  _c2 =  SexpTodouble(c2);
    SET_LENGTH(c3,1);
     double  *  _c3 =  SexpTodouble(c3);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->SolveLinear( * _c2,  * _c3);
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_SolveCubic_v1( SEXP obj, SEXP c0, SEXP c1, SEXP c2, SEXP c3, SEXP r1, SEXP r2, SEXP r3, SEXP num_roots){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(c0,1);
     double  *  _c0 =  SexpTodouble(c0);
    SET_LENGTH(c1,1);
     double  *  _c1 =  SexpTodouble(c1);
    SET_LENGTH(c2,1);
     double  *  _c2 =  SexpTodouble(c2);
    SET_LENGTH(c3,1);
     double  *  _c3 =  SexpTodouble(c3);
     double  *  _r1 =  SexpTodouble(r1);
     double  *  _r2 =  SexpTodouble(r2);
     double  *  _r3 =  SexpTodouble(r3);
     int  *  _num_roots =  SexpToint(num_roots);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    int _res =_obj->SolveCubic( * _c0,  * _c1,  * _c2,  * _c3, _r1, _r2, _r3, _num_roots);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_r1,LENGTH(r1)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".r1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_r2,LENGTH(r2)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".r2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_r3,LENGTH(r3)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".r3",0));
    SET_VECTOR_ELT(ans,4,intToSexp(_num_roots,LENGTH(num_roots)));
    SET_VECTOR_ELT(res_names,4,charToSexp(".num_roots",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_SolveQuadratic_v1( SEXP obj, SEXP c1, SEXP c2, SEXP c3, SEXP r1, SEXP r2, SEXP num_roots){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(c1,1);
     double  *  _c1 =  SexpTodouble(c1);
    SET_LENGTH(c2,1);
     double  *  _c2 =  SexpTodouble(c2);
    SET_LENGTH(c3,1);
     double  *  _c3 =  SexpTodouble(c3);
     double  *  _r1 =  SexpTodouble(r1);
     double  *  _r2 =  SexpTodouble(r2);
     int  *  _num_roots =  SexpToint(num_roots);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    int _res =_obj->SolveQuadratic( * _c1,  * _c2,  * _c3, _r1, _r2, _num_roots);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_r1,LENGTH(r1)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".r1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_r2,LENGTH(r2)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".r2",0));
    SET_VECTOR_ELT(ans,3,intToSexp(_num_roots,LENGTH(num_roots)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".num_roots",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_SolveLinear_v1( SEXP obj, SEXP c2, SEXP c3, SEXP r1, SEXP num_roots){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(c2,1);
     double  *  _c2 =  SexpTodouble(c2);
    SET_LENGTH(c3,1);
     double  *  _c3 =  SexpTodouble(c3);
     double  *  _r1 =  SexpTodouble(r1);
     int  *  _num_roots =  SexpToint(num_roots);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    int _res =_obj->SolveLinear( * _c2,  * _c3, _r1, _num_roots);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_r1,LENGTH(r1)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".r1",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_num_roots,LENGTH(num_roots)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".num_roots",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_RGBToHSV( SEXP obj, SEXP rgb, SEXP hsv){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(rgb,3);
     float  *  _rgb =  SexpTofloat(rgb);
    SET_LENGTH(hsv,3);
     float  *  _hsv =  SexpTofloat(hsv);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    _obj->RGBToHSV(_rgb, _hsv);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_rgb,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".rgb",0));
    SET_VECTOR_ELT(ans,2,floatToSexp(_hsv,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".hsv",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_RGBToHSV_v1( SEXP obj, SEXP r, SEXP g, SEXP b, SEXP h, SEXP s, SEXP v){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(r,1);
     float  *  _r =  SexpTofloat(r);
    SET_LENGTH(g,1);
     float  *  _g =  SexpTofloat(g);
    SET_LENGTH(b,1);
     float  *  _b =  SexpTofloat(b);
     float  *  _h =  SexpTofloat(h);
     float  *  _s =  SexpTofloat(s);
     float  *  _v =  SexpTofloat(v);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    _obj->RGBToHSV( * _r,  * _g,  * _b, _h, _s, _v);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_h,LENGTH(h)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".h",0));
    SET_VECTOR_ELT(ans,2,floatToSexp(_s,LENGTH(s)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".s",0));
    SET_VECTOR_ELT(ans,3,floatToSexp(_v,LENGTH(v)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".v",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_RGBToHSV_v2( SEXP obj, SEXP rgb, SEXP hsv){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(rgb,3);
     double  *  _rgb =  SexpTodouble(rgb);
    SET_LENGTH(hsv,3);
     double  *  _hsv =  SexpTodouble(hsv);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    _obj->RGBToHSV(_rgb, _hsv);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_rgb,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".rgb",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_hsv,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".hsv",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_RGBToHSV_v3( SEXP obj, SEXP r, SEXP g, SEXP b, SEXP h, SEXP s, SEXP v){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(r,1);
     double  *  _r =  SexpTodouble(r);
    SET_LENGTH(g,1);
     double  *  _g =  SexpTodouble(g);
    SET_LENGTH(b,1);
     double  *  _b =  SexpTodouble(b);
     double  *  _h =  SexpTodouble(h);
     double  *  _s =  SexpTodouble(s);
     double  *  _v =  SexpTodouble(v);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    _obj->RGBToHSV( * _r,  * _g,  * _b, _h, _s, _v);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_h,LENGTH(h)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".h",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_s,LENGTH(s)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".s",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_v,LENGTH(v)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".v",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_HSVToRGB( SEXP obj, SEXP hsv, SEXP rgb){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(hsv,3);
     float  *  _hsv =  SexpTofloat(hsv);
    SET_LENGTH(rgb,3);
     float  *  _rgb =  SexpTofloat(rgb);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    _obj->HSVToRGB(_hsv, _rgb);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_hsv,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".hsv",0));
    SET_VECTOR_ELT(ans,2,floatToSexp(_rgb,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".rgb",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_HSVToRGB_v1( SEXP obj, SEXP h, SEXP s, SEXP v, SEXP r, SEXP g, SEXP b){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(h,1);
     float  *  _h =  SexpTofloat(h);
    SET_LENGTH(s,1);
     float  *  _s =  SexpTofloat(s);
    SET_LENGTH(v,1);
     float  *  _v =  SexpTofloat(v);
     float  *  _r =  SexpTofloat(r);
     float  *  _g =  SexpTofloat(g);
     float  *  _b =  SexpTofloat(b);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    _obj->HSVToRGB( * _h,  * _s,  * _v, _r, _g, _b);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_r,LENGTH(r)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".r",0));
    SET_VECTOR_ELT(ans,2,floatToSexp(_g,LENGTH(g)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".g",0));
    SET_VECTOR_ELT(ans,3,floatToSexp(_b,LENGTH(b)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".b",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_HSVToRGB_v2( SEXP obj, SEXP hsv, SEXP rgb){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(hsv,3);
     double  *  _hsv =  SexpTodouble(hsv);
    SET_LENGTH(rgb,3);
     double  *  _rgb =  SexpTodouble(rgb);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    _obj->HSVToRGB(_hsv, _rgb);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_hsv,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".hsv",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_rgb,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".rgb",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_HSVToRGB_v3( SEXP obj, SEXP h, SEXP s, SEXP v, SEXP r, SEXP g, SEXP b){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(h,1);
     double  *  _h =  SexpTodouble(h);
    SET_LENGTH(s,1);
     double  *  _s =  SexpTodouble(s);
    SET_LENGTH(v,1);
     double  *  _v =  SexpTodouble(v);
     double  *  _r =  SexpTodouble(r);
     double  *  _g =  SexpTodouble(g);
     double  *  _b =  SexpTodouble(b);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    _obj->HSVToRGB( * _h,  * _s,  * _v, _r, _g, _b);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_r,LENGTH(r)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".r",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_g,LENGTH(g)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".g",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_b,LENGTH(b)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".b",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_UninitializeBounds( SEXP obj, SEXP bounds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    _obj->UninitializeBounds(_bounds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_AreBoundsInitialized( SEXP obj, SEXP bounds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
    vtkMath * _obj = (vtkMath * ) SexpToVtk(obj);
    int _res =_obj->AreBoundsInitialized(_bounds);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMath_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkMath * res= ( vtkMath * ) vtkMath::New();
    R_res=toRPointer(res,"vtkMath");
    return(R_res);
  }
}
