#include <vtk/vtkMergeFields.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkMergeFields_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMergeFields * _obj = (vtkMergeFields * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMergeFields_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMergeFields * _obj = (vtkMergeFields * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMergeFields_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMergeFields * _obj = (vtkMergeFields * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMergeFields_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkMergeFields * _obj = (vtkMergeFields * ) SexpToVtk(obj);
    vtkMergeFields *  _res =( vtkMergeFields * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkMergeFields");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMergeFields_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMergeFields * _obj = (vtkMergeFields * ) SexpToVtk(obj);
    vtkMergeFields *  _res =( vtkMergeFields * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkMergeFields");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMergeFields_SetOutputField( SEXP obj, SEXP name, SEXP fieldLoc){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(fieldLoc,1);
     int  *  _fieldLoc =  SexpToint(fieldLoc);
    vtkMergeFields * _obj = (vtkMergeFields * ) SexpToVtk(obj);
    _obj->SetOutputField(_name,  * _fieldLoc);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMergeFields_SetOutputField_v1( SEXP obj, SEXP name, SEXP fieldLoc){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
     char  *  _fieldLoc =  SexpTochar(fieldLoc);
    vtkMergeFields * _obj = (vtkMergeFields * ) SexpToVtk(obj);
    _obj->SetOutputField(_name, _fieldLoc);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMergeFields_Merge( SEXP obj, SEXP component, SEXP arrayName, SEXP sourceComp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(component,1);
     int  *  _component =  SexpToint(component);
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(sourceComp,1);
     int  *  _sourceComp =  SexpToint(sourceComp);
    vtkMergeFields * _obj = (vtkMergeFields * ) SexpToVtk(obj);
    _obj->Merge( * _component, _arrayName,  * _sourceComp);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMergeFields_SetNumberOfComponents( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkMergeFields * _obj = (vtkMergeFields * ) SexpToVtk(obj);
    _obj->SetNumberOfComponents( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMergeFields_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkMergeFields * res= ( vtkMergeFields * ) vtkMergeFields::New();
    R_res=toRPointer(res,"vtkMergeFields");
    return(R_res);
  }
}
