#include <vtk/vtkMultiBlockApplyFilterCommand.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkMultiBlockApplyFilterCommand_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockApplyFilterCommand * _obj = (vtkMultiBlockApplyFilterCommand
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockApplyFilterCommand_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMultiBlockApplyFilterCommand * _obj = (vtkMultiBlockApplyFilterCommand
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockApplyFilterCommand_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMultiBlockApplyFilterCommand * _obj = (vtkMultiBlockApplyFilterCommand
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockApplyFilterCommand_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkMultiBlockApplyFilterCommand * _obj = (vtkMultiBlockApplyFilterCommand
 * ) SexpToVtk(obj);
    vtkMultiBlockApplyFilterCommand *  _res =( vtkMultiBlockApplyFilterCommand * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkMultiBlockApplyFilterCommand");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockApplyFilterCommand_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockApplyFilterCommand * _obj = (vtkMultiBlockApplyFilterCommand
 * ) SexpToVtk(obj);
    vtkMultiBlockApplyFilterCommand *  _res =( vtkMultiBlockApplyFilterCommand * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkMultiBlockApplyFilterCommand");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockApplyFilterCommand_SetOutput( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMultiBlockDataSet  *  __arg = (vtkMultiBlockDataSet * )  
SexpToVtk(_arg);
    vtkMultiBlockApplyFilterCommand * _obj = (vtkMultiBlockApplyFilterCommand
 * ) SexpToVtk(obj);
    _obj->SetOutput(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkMultiBlockDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockApplyFilterCommand_GetOutput( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockApplyFilterCommand * _obj = (vtkMultiBlockApplyFilterCommand
 * ) SexpToVtk(obj);
    vtkMultiBlockDataSet *  _res =( vtkMultiBlockDataSet * )_obj->GetOutput();
    res=VtkToSexp(_res,"vtkMultiBlockDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockApplyFilterCommand_Initialize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockApplyFilterCommand * _obj = (vtkMultiBlockApplyFilterCommand
 * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockApplyFilterCommand_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkMultiBlockApplyFilterCommand * res= ( vtkMultiBlockApplyFilterCommand
 * ) vtkMultiBlockApplyFilterCommand::New();
    R_res=toRPointer(res,"vtkMultiBlockApplyFilterCommand");
    return(R_res);
  }
}
