#include <vtk/vtkMultiBlockDataSet.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkMultiBlockDataSet_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockDataSet * _obj = (vtkMultiBlockDataSet * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataSet_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMultiBlockDataSet * _obj = (vtkMultiBlockDataSet * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataSet_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMultiBlockDataSet * _obj = (vtkMultiBlockDataSet * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataSet_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkMultiBlockDataSet * _obj = (vtkMultiBlockDataSet * ) SexpToVtk(obj);
    vtkMultiBlockDataSet *  _res =( vtkMultiBlockDataSet * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkMultiBlockDataSet");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataSet_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockDataSet * _obj = (vtkMultiBlockDataSet * ) SexpToVtk(obj);
    vtkMultiBlockDataSet *  _res =( vtkMultiBlockDataSet * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkMultiBlockDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataSet_NewIterator( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockDataSet * _obj = (vtkMultiBlockDataSet * ) SexpToVtk(obj);
    vtkCompositeDataIterator *  _res =( vtkCompositeDataIterator * )_obj->NewIterator();
    res=VtkToSexp(_res,"vtkCompositeDataIterator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataSet_NewVisitor( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockDataSet * _obj = (vtkMultiBlockDataSet * ) SexpToVtk(obj);
    vtkCompositeDataVisitor *  _res =( vtkCompositeDataVisitor * )_obj->NewVisitor();
    res=VtkToSexp(_res,"vtkCompositeDataVisitor");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataSet_GetDataObjectType( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockDataSet * _obj = (vtkMultiBlockDataSet * ) SexpToVtk(obj);
    int _res =_obj->GetDataObjectType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataSet_AddDataSet( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _data = (vtkDataObject * )  SexpToVtk(data);
    vtkMultiBlockDataSet * _obj = (vtkMultiBlockDataSet * ) SexpToVtk(obj);
    _obj->AddDataSet(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_data,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataSet_Initialize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockDataSet * _obj = (vtkMultiBlockDataSet * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataSet_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkMultiBlockDataSet * res= ( vtkMultiBlockDataSet * ) vtkMultiBlockDataSet
::New();
    R_res=toRPointer(res,"vtkMultiBlockDataSet");
    return(R_res);
  }
}
