#include <vtk/vtkObjectFactory.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkObjectFactory_CreateInstance( SEXP obj, SEXP vtkclassname){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _vtkclassname =  SexpTochar(vtkclassname);
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    vtkObject *  _res =( vtkObject * )_obj->CreateInstance(_vtkclassname);
    res=VtkToSexp(_res,"vtkObject");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_CreateAllInstance( SEXP obj, SEXP vtkclassname, SEXP retList){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _vtkclassname =  SexpTochar(vtkclassname);
     vtkCollection  *  _retList = (vtkCollection * )  SexpToVtk(retList);
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    _obj->CreateAllInstance(_vtkclassname, _retList);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_retList,"vtkCollection"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".retList",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_ReHash( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    _obj->ReHash();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_RegisterFactory( SEXP obj, SEXP factory){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectFactory  *  _factory = (vtkObjectFactory * )  SexpToVtk(factory);
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    _obj->RegisterFactory(_factory);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_factory,"vtkObjectFactory"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".factory",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_UnRegisterFactory( SEXP obj, SEXP factory){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectFactory  *  _factory = (vtkObjectFactory * )  SexpToVtk(factory);
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    _obj->UnRegisterFactory(_factory);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_factory,"vtkObjectFactory"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".factory",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_UnRegisterAllFactories( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    _obj->UnRegisterAllFactories();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_GetRegisteredFactories( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    vtkObjectFactoryCollection *  _res =( vtkObjectFactoryCollection * )_obj->GetRegisteredFactories();
    res=VtkToSexp(_res,"vtkObjectFactoryCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_HasOverrideAny( SEXP obj, SEXP className){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _className =  SexpTochar(className);
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    int _res =_obj->HasOverrideAny(_className);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_GetOverrideInformation( SEXP obj, SEXP name, SEXP ret){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
     vtkOverrideInformationCollection  *  _ret = 
(vtkOverrideInformationCollection * )  SexpToVtk(ret);
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    _obj->GetOverrideInformation(_name, _ret);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ret,"vtkOverrideInformationCollection"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ret",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_SetAllEnableFlags( SEXP obj, SEXP flag, SEXP className){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(flag,1);
     int  *  _flag =  SexpToint(flag);
     char  *  _className =  SexpTochar(className);
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    _obj->SetAllEnableFlags( * _flag, _className);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_SetAllEnableFlags_v1( SEXP obj, SEXP flag, SEXP className, SEXP subclassName){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(flag,1);
     int  *  _flag =  SexpToint(flag);
     char  *  _className =  SexpTochar(className);
     char  *  _subclassName =  SexpTochar(subclassName);
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    _obj->SetAllEnableFlags( * _flag, _className, _subclassName);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    vtkObjectFactory *  _res =( vtkObjectFactory * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkObjectFactory");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    vtkObjectFactory *  _res =( vtkObjectFactory * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkObjectFactory");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_GetVTKSourceVersion( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetVTKSourceVersion();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_GetDescription( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetDescription();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_GetNumberOfOverrides( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfOverrides();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_GetClassOverrideName( SEXP obj, SEXP index){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassOverrideName( * _index);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_GetClassOverrideWithName( SEXP obj, SEXP index){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassOverrideWithName( * _index);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_GetEnableFlag( SEXP obj, SEXP index){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    int _res =_obj->GetEnableFlag( * _index);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_GetOverrideDescription( SEXP obj, SEXP index){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetOverrideDescription( * _index);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_SetEnableFlag( SEXP obj, SEXP flag, SEXP className, SEXP subclassName){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(flag,1);
     int  *  _flag =  SexpToint(flag);
     char  *  _className =  SexpTochar(className);
     char  *  _subclassName =  SexpTochar(subclassName);
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    _obj->SetEnableFlag( * _flag, _className, _subclassName);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_GetEnableFlag_v1( SEXP obj, SEXP className, SEXP subclassName){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _className =  SexpTochar(className);
     char  *  _subclassName =  SexpTochar(subclassName);
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    int _res =_obj->GetEnableFlag(_className, _subclassName);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_HasOverride( SEXP obj, SEXP className){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _className =  SexpTochar(className);
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    int _res =_obj->HasOverride(_className);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_HasOverride_v1( SEXP obj, SEXP className, SEXP subclassName){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _className =  SexpTochar(className);
     char  *  _subclassName =  SexpTochar(subclassName);
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    int _res =_obj->HasOverride(_className, _subclassName);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_Disable( SEXP obj, SEXP className){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _className =  SexpTochar(className);
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    _obj->Disable(_className);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactory_GetLibraryPath( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkObjectFactory * _obj = (vtkObjectFactory * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetLibraryPath();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
}
