#include <vtk/vtkPlaneSource.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkPlaneSource_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    vtkPlaneSource *  _res =( vtkPlaneSource * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkPlaneSource");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    vtkPlaneSource *  _res =( vtkPlaneSource * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkPlaneSource");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_SetXResolution( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    _obj->SetXResolution( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_GetXResolution( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    int _res =_obj->GetXResolution();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_SetYResolution( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    _obj->SetYResolution( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_GetYResolution( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    int _res =_obj->GetYResolution();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_SetResolution( SEXP obj, SEXP xR, SEXP yR){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xR,1);
     int  *  _xR =  SexpToint(xR);
    SET_LENGTH(yR,1);
     int  *  _yR =  SexpToint(yR);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    _obj->SetResolution( * _xR,  * _yR);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_GetResolution( SEXP obj, SEXP xR, SEXP yR){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xR,1);
     int  *  _xR =  SexpToint(xR);
    SET_LENGTH(yR,1);
     int  *  _yR =  SexpToint(yR);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    _obj->GetResolution( * _xR,  * _yR);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_xR,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".xR",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_yR,1));
    SET_VECTOR_ELT(res_names,2,charToSexp(".yR",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_SetOrigin( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    _obj->SetOrigin( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_SetOrigin_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    _obj->SetOrigin(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_GetOrigin( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetOrigin();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_GetOrigin_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    _obj->GetOrigin(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_SetPoint1( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    _obj->SetPoint1( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_SetPoint1_v1( SEXP obj, SEXP pnt){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(pnt,3);
     double  *  _pnt =  SexpTodouble(pnt);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    _obj->SetPoint1(_pnt);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_pnt,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pnt",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_GetPoint1( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetPoint1();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_GetPoint1_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    _obj->GetPoint1(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_SetPoint2( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    _obj->SetPoint2( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_SetPoint2_v1( SEXP obj, SEXP pnt){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(pnt,3);
     double  *  _pnt =  SexpTodouble(pnt);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    _obj->SetPoint2(_pnt);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_pnt,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pnt",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_GetPoint2( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetPoint2();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_GetPoint2_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    _obj->GetPoint2(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_SetCenter( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    _obj->SetCenter( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_SetCenter_v1( SEXP obj, SEXP center){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(center,3);
     double  *  _center =  SexpTodouble(center);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    _obj->SetCenter(_center);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_center,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".center",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_GetCenter( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetCenter();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_GetCenter_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    _obj->GetCenter(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_SetNormal( SEXP obj, SEXP nx, SEXP ny, SEXP nz){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(nx,1);
     double  *  _nx =  SexpTodouble(nx);
    SET_LENGTH(ny,1);
     double  *  _ny =  SexpTodouble(ny);
    SET_LENGTH(nz,1);
     double  *  _nz =  SexpTodouble(nz);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    _obj->SetNormal( * _nx,  * _ny,  * _nz);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_SetNormal_v1( SEXP obj, SEXP N){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(N,3);
     double  *  _N =  SexpTodouble(N);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    _obj->SetNormal(_N);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_N,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".N",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_GetNormal( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetNormal();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_GetNormal_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    _obj->GetNormal(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_Push( SEXP obj, SEXP distance){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(distance,1);
     double  *  _distance =  SexpTodouble(distance);
    vtkPlaneSource * _obj = (vtkPlaneSource * ) SexpToVtk(obj);
    _obj->Push( * _distance);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneSource_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkPlaneSource * res= ( vtkPlaneSource * ) vtkPlaneSource::New();
    R_res=toRPointer(res,"vtkPlaneSource");
    return(R_res);
  }
}
