#include <vtk/vtkPointLocator.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkPointLocator_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    vtkPointLocator *  _res =( vtkPointLocator * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkPointLocator");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    vtkPointLocator *  _res =( vtkPointLocator * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkPointLocator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_SetDivisions( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    SET_LENGTH(_arg3,1);
     int  *  __arg3 =  SexpToint(_arg3);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    _obj->SetDivisions( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_SetDivisions_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    _obj->SetDivisions(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_GetDivisions( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetDivisions();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_GetDivisions_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _data =  SexpToint(data);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    _obj->GetDivisions(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_SetNumberOfPointsPerBucket( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    _obj->SetNumberOfPointsPerBucket( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_GetNumberOfPointsPerBucketMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfPointsPerBucketMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_GetNumberOfPointsPerBucketMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfPointsPerBucketMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_GetNumberOfPointsPerBucket( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfPointsPerBucket();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_FindClosestPoint( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    int _res =_obj->FindClosestPoint(_x);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_FindClosestPoint_v1( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    int _res =_obj->FindClosestPoint( * _x,  * _y,  * _z);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_FindClosestPointWithinRadius( SEXP obj, SEXP radius, SEXP x, SEXP dist2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(radius,1);
     double  *  _radius =  SexpTodouble(radius);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(dist2,1);
     double  *  _dist2 =  SexpTodouble(dist2);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    int _res =_obj->FindClosestPointWithinRadius( * _radius, _x,  * _dist2);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_dist2,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dist2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_FindClosestPointWithinRadius_v1( SEXP obj, SEXP radius, SEXP x, SEXP inputDataLength, SEXP dist2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(radius,1);
     double  *  _radius =  SexpTodouble(radius);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(inputDataLength,1);
     double  *  _inputDataLength =  SexpTodouble(inputDataLength);
    SET_LENGTH(dist2,1);
     double  *  _dist2 =  SexpTodouble(dist2);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    int _res =_obj->FindClosestPointWithinRadius( * _radius, _x,  * _inputDataLength,  * _dist2);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_dist2,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dist2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_InitPointInsertion( SEXP obj, SEXP newPts, SEXP bounds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _newPts = (vtkPoints * )  SexpToVtk(newPts);
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    int _res =_obj->InitPointInsertion(_newPts, _bounds);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_newPts,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".newPts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_InitPointInsertion_v1( SEXP obj, SEXP newPts, SEXP bounds, SEXP estNumPts){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _newPts = (vtkPoints * )  SexpToVtk(newPts);
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
    SET_LENGTH(estNumPts,1);
     int  *  _estNumPts =  SexpToint(estNumPts);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    int _res =_obj->InitPointInsertion(_newPts, _bounds,  * _estNumPts);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_newPts,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".newPts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_InsertPoint( SEXP obj, SEXP ptId, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ptId,1);
     int  *  _ptId =  SexpToint(ptId);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    _obj->InsertPoint( * _ptId, _x);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_InsertNextPoint( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    int _res =_obj->InsertNextPoint(_x);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_IsInsertedPoint( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    int _res =_obj->IsInsertedPoint( * _x,  * _y,  * _z);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_IsInsertedPoint_v1( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    int _res =_obj->IsInsertedPoint(_x);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_InsertUniquePoint( SEXP obj, SEXP x, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    int _res =_obj->InsertUniquePoint(_x,  * _id);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_id,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".id",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_FindClosestInsertedPoint( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    int _res =_obj->FindClosestInsertedPoint(_x);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_FindClosestNPoints( SEXP obj, SEXP N, SEXP x, SEXP result){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(N,1);
     int  *  _N =  SexpToint(N);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
     vtkIdList  *  _result = (vtkIdList * )  SexpToVtk(result);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    _obj->FindClosestNPoints( * _N, _x, _result);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_result,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_FindClosestNPoints_v1( SEXP obj, SEXP N, SEXP x, SEXP y, SEXP z, SEXP result){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(N,1);
     int  *  _N =  SexpToint(N);
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
     vtkIdList  *  _result = (vtkIdList * )  SexpToVtk(result);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    _obj->FindClosestNPoints( * _N,  * _x,  * _y,  * _z, _result);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_result,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_FindDistributedPoints( SEXP obj, SEXP N, SEXP x, SEXP result, SEXP M){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(N,1);
     int  *  _N =  SexpToint(N);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
     vtkIdList  *  _result = (vtkIdList * )  SexpToVtk(result);
    SET_LENGTH(M,1);
     int  *  _M =  SexpToint(M);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    _obj->FindDistributedPoints( * _N, _x, _result,  * _M);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_result,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_FindDistributedPoints_v1( SEXP obj, SEXP N, SEXP x, SEXP y, SEXP z, SEXP result, SEXP M){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(N,1);
     int  *  _N =  SexpToint(N);
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
     vtkIdList  *  _result = (vtkIdList * )  SexpToVtk(result);
    SET_LENGTH(M,1);
     int  *  _M =  SexpToint(M);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    _obj->FindDistributedPoints( * _N,  * _x,  * _y,  * _z, _result,  * _M);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_result,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_FindPointsWithinRadius( SEXP obj, SEXP R, SEXP x, SEXP result){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(R,1);
     double  *  _R =  SexpTodouble(R);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
     vtkIdList  *  _result = (vtkIdList * )  SexpToVtk(result);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    _obj->FindPointsWithinRadius( * _R, _x, _result);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_result,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_FindPointsWithinRadius_v1( SEXP obj, SEXP R, SEXP x, SEXP y, SEXP z, SEXP result){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(R,1);
     double  *  _R =  SexpTodouble(R);
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
     vtkIdList  *  _result = (vtkIdList * )  SexpToVtk(result);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    _obj->FindPointsWithinRadius( * _R,  * _x,  * _y,  * _z, _result);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_result,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_GetPointsInBucket( SEXP obj, SEXP x, SEXP ijk){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(ijk,3);
     int  *  _ijk =  SexpToint(ijk);
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    vtkIdList *  _res =( vtkIdList * )_obj->GetPointsInBucket(_x, _ijk);
    res=VtkToSexp(_res,"vtkIdList");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_ijk,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ijk",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_Initialize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_FreeSearchStructure( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    _obj->FreeSearchStructure();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_BuildLocator( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointLocator * _obj = (vtkPointLocator * ) SexpToVtk(obj);
    _obj->BuildLocator();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLocator_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkPointLocator * res= ( vtkPointLocator * ) vtkPointLocator::New();
    R_res=toRPointer(res,"vtkPointLocator");
    return(R_res);
  }
}
