#include <vtk/vtkPoints.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkPoints_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    vtkPoints *  _res =( vtkPoints * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkPoints");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    vtkPoints *  _res =( vtkPoints * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkPoints");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_Allocate( SEXP obj, SEXP sz, SEXP ext){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(sz,1);
     int  *  _sz =  SexpToint(sz);
    SET_LENGTH(ext,1);
     int  *  _ext =  SexpToint(ext);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    int _res =_obj->Allocate( * _sz,  * _ext);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_Initialize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_SetData( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _data = (vtkDataArray * )  SexpToVtk(data);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->SetData(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_data,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_GetData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->GetData();
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_GetDataType( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    int _res =_obj->GetDataType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_SetDataType( SEXP obj, SEXP dataType){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(dataType,1);
     int  *  _dataType =  SexpToint(dataType);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->SetDataType( * _dataType);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_SetDataTypeToBit( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->SetDataTypeToBit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_SetDataTypeToChar( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->SetDataTypeToChar();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_SetDataTypeToUnsignedChar( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->SetDataTypeToUnsignedChar();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_SetDataTypeToShort( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->SetDataTypeToShort();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_SetDataTypeToUnsignedShort( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->SetDataTypeToUnsignedShort();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_SetDataTypeToInt( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->SetDataTypeToInt();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_SetDataTypeToUnsignedInt( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->SetDataTypeToUnsignedInt();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_SetDataTypeToLong( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->SetDataTypeToLong();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_SetDataTypeToUnsignedLong( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->SetDataTypeToUnsignedLong();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_SetDataTypeToFloat( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->SetDataTypeToFloat();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_SetDataTypeToDouble( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->SetDataTypeToDouble();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_GetVoidPointer( SEXP obj, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    void *  _res =_obj->GetVoidPointer( * _id);
    res=voidToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_Squeeze( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->Squeeze();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_Reset( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->Reset();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_DeepCopy( SEXP obj, SEXP da){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _da = (vtkPoints * )  SexpToVtk(da);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->DeepCopy(_da);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_da,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".da",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_ShallowCopy( SEXP obj, SEXP da){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _da = (vtkPoints * )  SexpToVtk(da);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->ShallowCopy(_da);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_da,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".da",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_GetActualMemorySize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetActualMemorySize();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_GetNumberOfPoints( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfPoints();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_GetPoint( SEXP obj, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetPoint( * _id);
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_GetPoint_v1( SEXP obj, SEXP id, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->GetPoint( * _id, _x);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_SetPoint( SEXP obj, SEXP id, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(x,3);
     float  *  _x =  SexpTofloat(x);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->SetPoint( * _id, _x);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_SetPoint_v1( SEXP obj, SEXP id, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->SetPoint( * _id, _x);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_SetPoint_v2( SEXP obj, SEXP id, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->SetPoint( * _id,  * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_InsertPoint( SEXP obj, SEXP id, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
     float  *  _x =  SexpTofloat(x);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->InsertPoint( * _id, _x);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_InsertPoint_v1( SEXP obj, SEXP id, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
     double  *  _x =  SexpTodouble(x);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->InsertPoint( * _id, _x);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_InsertPoint_v2( SEXP obj, SEXP id, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->InsertPoint( * _id,  * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_InsertNextPoint( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     float  *  _x =  SexpTofloat(x);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    int _res =_obj->InsertNextPoint(_x);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_InsertNextPoint_v1( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    int _res =_obj->InsertNextPoint(_x);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_InsertNextPoint_v2( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    int _res =_obj->InsertNextPoint( * _x,  * _y,  * _z);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_SetNumberOfPoints( SEXP obj, SEXP number){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(number,1);
     int  *  _number =  SexpToint(number);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->SetNumberOfPoints( * _number);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_GetPoints( SEXP obj, SEXP ptIds, SEXP fp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkIdList  *  _ptIds = (vtkIdList * )  SexpToVtk(ptIds);
     vtkPoints  *  _fp = (vtkPoints * )  SexpToVtk(fp);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->GetPoints(_ptIds, _fp);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ptIds,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptIds",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_fp,"vtkPoints"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".fp",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_ComputeBounds( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->ComputeBounds();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_GetBounds( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetBounds();
    res=doubleToSexp(_res,6);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_GetBounds_v1( SEXP obj, SEXP bounds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
    vtkPoints * _obj = (vtkPoints * ) SexpToVtk(obj);
    _obj->GetBounds(_bounds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPoints_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkPoints * res= ( vtkPoints * ) vtkPoints::New();
    R_res=toRPointer(res,"vtkPoints");
    return(R_res);
  }
}
