#include <vtk/vtkPolyDataNormals.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkPolyDataNormals_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    vtkPolyDataNormals *  _res =( vtkPolyDataNormals * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkPolyDataNormals");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    vtkPolyDataNormals *  _res =( vtkPolyDataNormals * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkPolyDataNormals");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_SetFeatureAngle( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    _obj->SetFeatureAngle( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_GetFeatureAngleMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    double _res =_obj->GetFeatureAngleMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_GetFeatureAngleMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    double _res =_obj->GetFeatureAngleMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_GetFeatureAngle( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    double _res =_obj->GetFeatureAngle();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_SetSplitting( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    _obj->SetSplitting( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_GetSplitting( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    int _res =_obj->GetSplitting();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_SplittingOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    _obj->SplittingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_SplittingOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    _obj->SplittingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_SetConsistency( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    _obj->SetConsistency( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_GetConsistency( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    int _res =_obj->GetConsistency();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_ConsistencyOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    _obj->ConsistencyOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_ConsistencyOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    _obj->ConsistencyOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_SetAutoOrientNormals( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    _obj->SetAutoOrientNormals( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_GetAutoOrientNormals( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    int _res =_obj->GetAutoOrientNormals();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_AutoOrientNormalsOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    _obj->AutoOrientNormalsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_AutoOrientNormalsOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    _obj->AutoOrientNormalsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_SetComputePointNormals( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    _obj->SetComputePointNormals( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_GetComputePointNormals( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    int _res =_obj->GetComputePointNormals();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_ComputePointNormalsOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    _obj->ComputePointNormalsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_ComputePointNormalsOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    _obj->ComputePointNormalsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_SetComputeCellNormals( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    _obj->SetComputeCellNormals( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_GetComputeCellNormals( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    int _res =_obj->GetComputeCellNormals();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_ComputeCellNormalsOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    _obj->ComputeCellNormalsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_ComputeCellNormalsOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    _obj->ComputeCellNormalsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_SetFlipNormals( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    _obj->SetFlipNormals( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_GetFlipNormals( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    int _res =_obj->GetFlipNormals();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_FlipNormalsOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    _obj->FlipNormalsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_FlipNormalsOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    _obj->FlipNormalsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_SetNonManifoldTraversal( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    _obj->SetNonManifoldTraversal( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_GetNonManifoldTraversal( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    int _res =_obj->GetNonManifoldTraversal();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_NonManifoldTraversalOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    _obj->NonManifoldTraversalOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_NonManifoldTraversalOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataNormals * _obj = (vtkPolyDataNormals * ) SexpToVtk(obj);
    _obj->NonManifoldTraversalOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataNormals_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkPolyDataNormals * res= ( vtkPolyDataNormals * ) vtkPolyDataNormals
::New();
    R_res=toRPointer(res,"vtkPolyDataNormals");
    return(R_res);
  }
}
