#include <vtk/vtkPriorityQueue.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkPriorityQueue_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPriorityQueue * _obj = (vtkPriorityQueue * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPriorityQueue_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPriorityQueue * _obj = (vtkPriorityQueue * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPriorityQueue_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPriorityQueue * _obj = (vtkPriorityQueue * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPriorityQueue_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkPriorityQueue * _obj = (vtkPriorityQueue * ) SexpToVtk(obj);
    vtkPriorityQueue *  _res =( vtkPriorityQueue * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkPriorityQueue");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPriorityQueue_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPriorityQueue * _obj = (vtkPriorityQueue * ) SexpToVtk(obj);
    vtkPriorityQueue *  _res =( vtkPriorityQueue * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkPriorityQueue");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPriorityQueue_Allocate( SEXP obj, SEXP sz, SEXP ext){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(sz,1);
     int  *  _sz =  SexpToint(sz);
    SET_LENGTH(ext,1);
     int  *  _ext =  SexpToint(ext);
    vtkPriorityQueue * _obj = (vtkPriorityQueue * ) SexpToVtk(obj);
    _obj->Allocate( * _sz,  * _ext);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPriorityQueue_Insert( SEXP obj, SEXP priority, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(priority,1);
     double  *  _priority =  SexpTodouble(priority);
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkPriorityQueue * _obj = (vtkPriorityQueue * ) SexpToVtk(obj);
    _obj->Insert( * _priority,  * _id);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPriorityQueue_Pop( SEXP obj, SEXP location, SEXP priority){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(location,1);
     int  *  _location =  SexpToint(location);
    SET_LENGTH(priority,1);
     double  *  _priority =  SexpTodouble(priority);
    vtkPriorityQueue * _obj = (vtkPriorityQueue * ) SexpToVtk(obj);
    int _res =_obj->Pop( * _location,  * _priority);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_priority,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".priority",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPriorityQueue_Pop_v1( SEXP obj, SEXP location){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(location,1);
     int  *  _location =  SexpToint(location);
    vtkPriorityQueue * _obj = (vtkPriorityQueue * ) SexpToVtk(obj);
    int _res =_obj->Pop( * _location);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPriorityQueue_Peek( SEXP obj, SEXP location, SEXP priority){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(location,1);
     int  *  _location =  SexpToint(location);
    SET_LENGTH(priority,1);
     double  *  _priority =  SexpTodouble(priority);
    vtkPriorityQueue * _obj = (vtkPriorityQueue * ) SexpToVtk(obj);
    int _res =_obj->Peek( * _location,  * _priority);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_priority,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".priority",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPriorityQueue_Peek_v1( SEXP obj, SEXP location){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(location,1);
     int  *  _location =  SexpToint(location);
    vtkPriorityQueue * _obj = (vtkPriorityQueue * ) SexpToVtk(obj);
    int _res =_obj->Peek( * _location);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPriorityQueue_DeleteId( SEXP obj, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkPriorityQueue * _obj = (vtkPriorityQueue * ) SexpToVtk(obj);
    double _res =_obj->DeleteId( * _id);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPriorityQueue_GetPriority( SEXP obj, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkPriorityQueue * _obj = (vtkPriorityQueue * ) SexpToVtk(obj);
    double _res =_obj->GetPriority( * _id);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPriorityQueue_GetNumberOfItems( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPriorityQueue * _obj = (vtkPriorityQueue * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfItems();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPriorityQueue_Reset( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPriorityQueue * _obj = (vtkPriorityQueue * ) SexpToVtk(obj);
    _obj->Reset();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPriorityQueue_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkPriorityQueue * res= ( vtkPriorityQueue * ) vtkPriorityQueue::New();
    R_res=toRPointer(res,"vtkPriorityQueue");
    return(R_res);
  }
}
