#include <vtk/vtkRearrangeFields.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkRearrangeFields_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRearrangeFields * _obj = (vtkRearrangeFields * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRearrangeFields_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkRearrangeFields * _obj = (vtkRearrangeFields * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRearrangeFields_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkRearrangeFields * _obj = (vtkRearrangeFields * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRearrangeFields_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkRearrangeFields * _obj = (vtkRearrangeFields * ) SexpToVtk(obj);
    vtkRearrangeFields *  _res =( vtkRearrangeFields * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkRearrangeFields");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRearrangeFields_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRearrangeFields * _obj = (vtkRearrangeFields * ) SexpToVtk(obj);
    vtkRearrangeFields *  _res =( vtkRearrangeFields * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkRearrangeFields");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRearrangeFields_AddOperation( SEXP obj, SEXP operationType, SEXP attributeType, SEXP fromFieldLoc, SEXP toFieldLoc){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(operationType,1);
     int  *  _operationType =  SexpToint(operationType);
    SET_LENGTH(attributeType,1);
     int  *  _attributeType =  SexpToint(attributeType);
    SET_LENGTH(fromFieldLoc,1);
     int  *  _fromFieldLoc =  SexpToint(fromFieldLoc);
    SET_LENGTH(toFieldLoc,1);
     int  *  _toFieldLoc =  SexpToint(toFieldLoc);
    vtkRearrangeFields * _obj = (vtkRearrangeFields * ) SexpToVtk(obj);
    int _res =_obj->AddOperation( * _operationType,  * _attributeType,  * _fromFieldLoc,  * _toFieldLoc);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRearrangeFields_AddOperation_v1( SEXP obj, SEXP operationType, SEXP name, SEXP fromFieldLoc, SEXP toFieldLoc){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(operationType,1);
     int  *  _operationType =  SexpToint(operationType);
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(fromFieldLoc,1);
     int  *  _fromFieldLoc =  SexpToint(fromFieldLoc);
    SET_LENGTH(toFieldLoc,1);
     int  *  _toFieldLoc =  SexpToint(toFieldLoc);
    vtkRearrangeFields * _obj = (vtkRearrangeFields * ) SexpToVtk(obj);
    int _res =_obj->AddOperation( * _operationType, _name,  * _fromFieldLoc,  * _toFieldLoc);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRearrangeFields_AddOperation_v2( SEXP obj, SEXP operationType, SEXP name, SEXP fromFieldLoc, SEXP toFieldLoc){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _operationType =  SexpTochar(operationType);
     char  *  _name =  SexpTochar(name);
     char  *  _fromFieldLoc =  SexpTochar(fromFieldLoc);
     char  *  _toFieldLoc =  SexpTochar(toFieldLoc);
    vtkRearrangeFields * _obj = (vtkRearrangeFields * ) SexpToVtk(obj);
    int _res =_obj->AddOperation(_operationType, _name, _fromFieldLoc, _toFieldLoc);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRearrangeFields_RemoveOperation( SEXP obj, SEXP operationId){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(operationId,1);
     int  *  _operationId =  SexpToint(operationId);
    vtkRearrangeFields * _obj = (vtkRearrangeFields * ) SexpToVtk(obj);
    int _res =_obj->RemoveOperation( * _operationId);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRearrangeFields_RemoveOperation_v1( SEXP obj, SEXP operationType, SEXP attributeType, SEXP fromFieldLoc, SEXP toFieldLoc){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(operationType,1);
     int  *  _operationType =  SexpToint(operationType);
    SET_LENGTH(attributeType,1);
     int  *  _attributeType =  SexpToint(attributeType);
    SET_LENGTH(fromFieldLoc,1);
     int  *  _fromFieldLoc =  SexpToint(fromFieldLoc);
    SET_LENGTH(toFieldLoc,1);
     int  *  _toFieldLoc =  SexpToint(toFieldLoc);
    vtkRearrangeFields * _obj = (vtkRearrangeFields * ) SexpToVtk(obj);
    int _res =_obj->RemoveOperation( * _operationType,  * _attributeType,  * _fromFieldLoc,  * _toFieldLoc);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRearrangeFields_RemoveOperation_v2( SEXP obj, SEXP operationType, SEXP name, SEXP fromFieldLoc, SEXP toFieldLoc){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(operationType,1);
     int  *  _operationType =  SexpToint(operationType);
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(fromFieldLoc,1);
     int  *  _fromFieldLoc =  SexpToint(fromFieldLoc);
    SET_LENGTH(toFieldLoc,1);
     int  *  _toFieldLoc =  SexpToint(toFieldLoc);
    vtkRearrangeFields * _obj = (vtkRearrangeFields * ) SexpToVtk(obj);
    int _res =_obj->RemoveOperation( * _operationType, _name,  * _fromFieldLoc,  * _toFieldLoc);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRearrangeFields_RemoveOperation_v3( SEXP obj, SEXP operationType, SEXP name, SEXP fromFieldLoc, SEXP toFieldLoc){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _operationType =  SexpTochar(operationType);
     char  *  _name =  SexpTochar(name);
     char  *  _fromFieldLoc =  SexpTochar(fromFieldLoc);
     char  *  _toFieldLoc =  SexpTochar(toFieldLoc);
    vtkRearrangeFields * _obj = (vtkRearrangeFields * ) SexpToVtk(obj);
    int _res =_obj->RemoveOperation(_operationType, _name, _fromFieldLoc, _toFieldLoc);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRearrangeFields_RemoveAllOperations( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRearrangeFields * _obj = (vtkRearrangeFields * ) SexpToVtk(obj);
    _obj->RemoveAllOperations();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRearrangeFields_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkRearrangeFields * res= ( vtkRearrangeFields * ) vtkRearrangeFields
::New();
    R_res=toRPointer(res,"vtkRearrangeFields");
    return(R_res);
  }
}
