#include <vtk/vtkScalarTree.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkScalarTree_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkScalarTree * _obj = (vtkScalarTree * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarTree_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkScalarTree * _obj = (vtkScalarTree * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarTree_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkScalarTree * _obj = (vtkScalarTree * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarTree_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkScalarTree * _obj = (vtkScalarTree * ) SexpToVtk(obj);
    vtkScalarTree *  _res =( vtkScalarTree * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkScalarTree");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarTree_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkScalarTree * _obj = (vtkScalarTree * ) SexpToVtk(obj);
    vtkScalarTree *  _res =( vtkScalarTree * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkScalarTree");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarTree_SetDataSet( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  __arg = (vtkDataSet * )  SexpToVtk(_arg);
    vtkScalarTree * _obj = (vtkScalarTree * ) SexpToVtk(obj);
    _obj->SetDataSet(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarTree_GetDataSet( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkScalarTree * _obj = (vtkScalarTree * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetDataSet();
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarTree_BuildTree( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkScalarTree * _obj = (vtkScalarTree * ) SexpToVtk(obj);
    _obj->BuildTree();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarTree_Initialize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkScalarTree * _obj = (vtkScalarTree * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarTree_InitTraversal( SEXP obj, SEXP scalarValue){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(scalarValue,1);
     double  *  _scalarValue =  SexpTodouble(scalarValue);
    vtkScalarTree * _obj = (vtkScalarTree * ) SexpToVtk(obj);
    _obj->InitTraversal( * _scalarValue);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarTree_GetNextCell( SEXP obj, SEXP cellId, SEXP ptIds, SEXP cellScalars){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkIdList  *  _ptIds = (vtkIdList * )  SexpToVtk(ptIds);
     vtkDataArray  *  _cellScalars = (vtkDataArray * )  SexpToVtk(cellScalars);
    vtkScalarTree * _obj = (vtkScalarTree * ) SexpToVtk(obj);
    vtkCell *  _res =( vtkCell * )_obj->GetNextCell( * _cellId, _ptIds, _cellScalars);
    res=VtkToSexp(_res,"vtkCell");
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_cellId,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cellId",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_ptIds,"vtkIdList"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".ptIds",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_cellScalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".cellScalars",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
}
