#include <vtk/vtkShepardMethod.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkShepardMethod_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkShepardMethod * _obj = (vtkShepardMethod * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkShepardMethod_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkShepardMethod * _obj = (vtkShepardMethod * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkShepardMethod_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkShepardMethod * _obj = (vtkShepardMethod * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkShepardMethod_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkShepardMethod * _obj = (vtkShepardMethod * ) SexpToVtk(obj);
    vtkShepardMethod *  _res =( vtkShepardMethod * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkShepardMethod");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkShepardMethod_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkShepardMethod * _obj = (vtkShepardMethod * ) SexpToVtk(obj);
    vtkShepardMethod *  _res =( vtkShepardMethod * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkShepardMethod");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkShepardMethod_ComputeModelBounds( SEXP obj, SEXP origin, SEXP spacing){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(origin,3);
     double  *  _origin =  SexpTodouble(origin);
    SET_LENGTH(spacing,3);
     double  *  _spacing =  SexpTodouble(spacing);
    vtkShepardMethod * _obj = (vtkShepardMethod * ) SexpToVtk(obj);
    double _res =_obj->ComputeModelBounds(_origin, _spacing);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_origin,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".origin",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_spacing,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".spacing",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkShepardMethod_GetSampleDimensions( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkShepardMethod * _obj = (vtkShepardMethod * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetSampleDimensions();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkShepardMethod_GetSampleDimensions_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _data =  SexpToint(data);
    vtkShepardMethod * _obj = (vtkShepardMethod * ) SexpToVtk(obj);
    _obj->GetSampleDimensions(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkShepardMethod_SetSampleDimensions( SEXP obj, SEXP i, SEXP j, SEXP k){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(j,1);
     int  *  _j =  SexpToint(j);
    SET_LENGTH(k,1);
     int  *  _k =  SexpToint(k);
    vtkShepardMethod * _obj = (vtkShepardMethod * ) SexpToVtk(obj);
    _obj->SetSampleDimensions( * _i,  * _j,  * _k);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkShepardMethod_SetSampleDimensions_v1( SEXP obj, SEXP dim){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(dim,3);
     int  *  _dim =  SexpToint(dim);
    vtkShepardMethod * _obj = (vtkShepardMethod * ) SexpToVtk(obj);
    _obj->SetSampleDimensions(_dim);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_dim,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dim",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkShepardMethod_SetMaximumDistance( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkShepardMethod * _obj = (vtkShepardMethod * ) SexpToVtk(obj);
    _obj->SetMaximumDistance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkShepardMethod_GetMaximumDistanceMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkShepardMethod * _obj = (vtkShepardMethod * ) SexpToVtk(obj);
    double _res =_obj->GetMaximumDistanceMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkShepardMethod_GetMaximumDistanceMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkShepardMethod * _obj = (vtkShepardMethod * ) SexpToVtk(obj);
    double _res =_obj->GetMaximumDistanceMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkShepardMethod_GetMaximumDistance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkShepardMethod * _obj = (vtkShepardMethod * ) SexpToVtk(obj);
    double _res =_obj->GetMaximumDistance();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkShepardMethod_SetModelBounds( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3, SEXP _arg4, SEXP _arg5, SEXP _arg6){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    SET_LENGTH(_arg4,1);
     double  *  __arg4 =  SexpTodouble(_arg4);
    SET_LENGTH(_arg5,1);
     double  *  __arg5 =  SexpTodouble(_arg5);
    SET_LENGTH(_arg6,1);
     double  *  __arg6 =  SexpTodouble(_arg6);
    vtkShepardMethod * _obj = (vtkShepardMethod * ) SexpToVtk(obj);
    _obj->SetModelBounds( * __arg1,  * __arg2,  * __arg3,  * __arg4,  * __arg5,  * __arg6);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkShepardMethod_SetModelBounds_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkShepardMethod * _obj = (vtkShepardMethod * ) SexpToVtk(obj);
    _obj->SetModelBounds(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkShepardMethod_GetModelBounds( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkShepardMethod * _obj = (vtkShepardMethod * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetModelBounds();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkShepardMethod_GetModelBounds_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkShepardMethod * _obj = (vtkShepardMethod * ) SexpToVtk(obj);
    _obj->GetModelBounds(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkShepardMethod_SetNullValue( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkShepardMethod * _obj = (vtkShepardMethod * ) SexpToVtk(obj);
    _obj->SetNullValue( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkShepardMethod_GetNullValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkShepardMethod * _obj = (vtkShepardMethod * ) SexpToVtk(obj);
    double _res =_obj->GetNullValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkShepardMethod_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkShepardMethod * res= ( vtkShepardMethod * ) vtkShepardMethod::New();
    R_res=toRPointer(res,"vtkShepardMethod");
    return(R_res);
  }
}
