#include <vtk/vtkStructuredGridGeometryFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkStructuredGridGeometryFilter_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredGridGeometryFilter * _obj = (vtkStructuredGridGeometryFilter
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGridGeometryFilter_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkStructuredGridGeometryFilter * _obj = (vtkStructuredGridGeometryFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGridGeometryFilter_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkStructuredGridGeometryFilter * _obj = (vtkStructuredGridGeometryFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGridGeometryFilter_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkStructuredGridGeometryFilter * _obj = (vtkStructuredGridGeometryFilter
 * ) SexpToVtk(obj);
    vtkStructuredGridGeometryFilter *  _res =( vtkStructuredGridGeometryFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkStructuredGridGeometryFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGridGeometryFilter_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredGridGeometryFilter * _obj = (vtkStructuredGridGeometryFilter
 * ) SexpToVtk(obj);
    vtkStructuredGridGeometryFilter *  _res =( vtkStructuredGridGeometryFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkStructuredGridGeometryFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGridGeometryFilter_GetExtent( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredGridGeometryFilter * _obj = (vtkStructuredGridGeometryFilter
 * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetExtent();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGridGeometryFilter_GetExtent_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _data =  SexpToint(data);
    vtkStructuredGridGeometryFilter * _obj = (vtkStructuredGridGeometryFilter
 * ) SexpToVtk(obj);
    _obj->GetExtent(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGridGeometryFilter_SetExtent( SEXP obj, SEXP iMin, SEXP iMax, SEXP jMin, SEXP jMax, SEXP kMin, SEXP kMax){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(iMin,1);
     int  *  _iMin =  SexpToint(iMin);
    SET_LENGTH(iMax,1);
     int  *  _iMax =  SexpToint(iMax);
    SET_LENGTH(jMin,1);
     int  *  _jMin =  SexpToint(jMin);
    SET_LENGTH(jMax,1);
     int  *  _jMax =  SexpToint(jMax);
    SET_LENGTH(kMin,1);
     int  *  _kMin =  SexpToint(kMin);
    SET_LENGTH(kMax,1);
     int  *  _kMax =  SexpToint(kMax);
    vtkStructuredGridGeometryFilter * _obj = (vtkStructuredGridGeometryFilter
 * ) SexpToVtk(obj);
    _obj->SetExtent( * _iMin,  * _iMax,  * _jMin,  * _jMax,  * _kMin,  * _kMax);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGridGeometryFilter_SetExtent_v1( SEXP obj, SEXP extent){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(extent,6);
     int  *  _extent =  SexpToint(extent);
    vtkStructuredGridGeometryFilter * _obj = (vtkStructuredGridGeometryFilter
 * ) SexpToVtk(obj);
    _obj->SetExtent(_extent);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_extent,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".extent",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGridGeometryFilter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkStructuredGridGeometryFilter * res= ( vtkStructuredGridGeometryFilter
 * ) vtkStructuredGridGeometryFilter::New();
    R_res=toRPointer(res,"vtkStructuredGridGeometryFilter");
    return(R_res);
  }
}
