#include <vtk/vtkSuperquadricSource.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkSuperquadricSource_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    vtkSuperquadricSource *  _res =( vtkSuperquadricSource * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkSuperquadricSource");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    vtkSuperquadricSource *  _res =( vtkSuperquadricSource * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkSuperquadricSource");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_SetCenter( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    _obj->SetCenter( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_SetCenter_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    _obj->SetCenter(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_GetCenter( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetCenter();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_GetCenter_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    _obj->GetCenter(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_SetScale( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    _obj->SetScale( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_SetScale_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    _obj->SetScale(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_GetScale( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetScale();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_GetScale_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    _obj->GetScale(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_GetThetaResolution( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    int _res =_obj->GetThetaResolution();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_SetThetaResolution( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    _obj->SetThetaResolution( * _i);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_GetPhiResolution( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    int _res =_obj->GetPhiResolution();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_SetPhiResolution( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    _obj->SetPhiResolution( * _i);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_GetThickness( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    double _res =_obj->GetThickness();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_SetThickness( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    _obj->SetThickness( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_GetThicknessMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    double _res =_obj->GetThicknessMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_GetThicknessMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    double _res =_obj->GetThicknessMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_GetPhiRoundness( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    double _res =_obj->GetPhiRoundness();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_SetPhiRoundness( SEXP obj, SEXP e){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(e,1);
     double  *  _e =  SexpTodouble(e);
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    _obj->SetPhiRoundness( * _e);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_GetThetaRoundness( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    double _res =_obj->GetThetaRoundness();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_SetThetaRoundness( SEXP obj, SEXP e){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(e,1);
     double  *  _e =  SexpTodouble(e);
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    _obj->SetThetaRoundness( * _e);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_SetSize( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    _obj->SetSize( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_GetSize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    double _res =_obj->GetSize();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_ToroidalOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    _obj->ToroidalOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_ToroidalOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    _obj->ToroidalOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_GetToroidal( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    int _res =_obj->GetToroidal();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_SetToroidal( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkSuperquadricSource * _obj = (vtkSuperquadricSource * ) SexpToVtk(obj);
    _obj->SetToroidal( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSuperquadricSource_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkSuperquadricSource * res= ( vtkSuperquadricSource * ) 
vtkSuperquadricSource::New();
    R_res=toRPointer(res,"vtkSuperquadricSource");
    return(R_res);
  }
}
