#include <vtk/vtkTIFFReader.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkTIFFReader_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTIFFReader * _obj = (vtkTIFFReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTIFFReader_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTIFFReader * _obj = (vtkTIFFReader * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTIFFReader_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTIFFReader * _obj = (vtkTIFFReader * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTIFFReader_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkTIFFReader * _obj = (vtkTIFFReader * ) SexpToVtk(obj);
    vtkTIFFReader *  _res =( vtkTIFFReader * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkTIFFReader");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTIFFReader_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTIFFReader * _obj = (vtkTIFFReader * ) SexpToVtk(obj);
    vtkTIFFReader *  _res =( vtkTIFFReader * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkTIFFReader");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTIFFReader_CanReadFile( SEXP obj, SEXP fname){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _fname =  SexpTochar(fname);
    vtkTIFFReader * _obj = (vtkTIFFReader * ) SexpToVtk(obj);
    int _res =_obj->CanReadFile(_fname);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTIFFReader_GetFileExtensions( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTIFFReader * _obj = (vtkTIFFReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFileExtensions();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTIFFReader_GetDescriptiveName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTIFFReader * _obj = (vtkTIFFReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetDescriptiveName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTIFFReader_InitializeColors( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTIFFReader * _obj = (vtkTIFFReader * ) SexpToVtk(obj);
    _obj->InitializeColors();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTIFFReader_GetInternalImage( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTIFFReader * _obj = (vtkTIFFReader * ) SexpToVtk(obj);
    vtkTIFFReaderInternal *  _res =( vtkTIFFReaderInternal * )_obj->GetInternalImage();
    res=VtkToSexp(_res,"vtkTIFFReaderInternal");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTIFFReader_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkTIFFReader * res= ( vtkTIFFReader * ) vtkTIFFReader::New();
    R_res=toRPointer(res,"vtkTIFFReader");
    return(R_res);
  }
}
