#include <vtk/vtkTransform.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkTransform_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    vtkTransform *  _res =( vtkTransform * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkTransform");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    vtkTransform *  _res =( vtkTransform * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_Identity( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->Identity();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_Inverse( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->Inverse();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_Translate( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->Translate( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_Translate_v1( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->Translate(_x);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_Translate_v2( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     float  *  _x =  SexpTofloat(x);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->Translate(_x);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_RotateWXYZ( SEXP obj, SEXP angle, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,1);
     double  *  _angle =  SexpTodouble(angle);
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->RotateWXYZ( * _angle,  * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_RotateWXYZ_v1( SEXP obj, SEXP angle, SEXP axis){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,1);
     double  *  _angle =  SexpTodouble(angle);
    SET_LENGTH(axis,3);
     double  *  _axis =  SexpTodouble(axis);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->RotateWXYZ( * _angle, _axis);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_RotateWXYZ_v2( SEXP obj, SEXP angle, SEXP axis){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,1);
     double  *  _angle =  SexpTodouble(angle);
    SET_LENGTH(axis,3);
     float  *  _axis =  SexpTofloat(axis);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->RotateWXYZ( * _angle, _axis);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_RotateX( SEXP obj, SEXP angle){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,1);
     double  *  _angle =  SexpTodouble(angle);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->RotateX( * _angle);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_RotateY( SEXP obj, SEXP angle){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,1);
     double  *  _angle =  SexpTodouble(angle);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->RotateY( * _angle);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_RotateZ( SEXP obj, SEXP angle){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,1);
     double  *  _angle =  SexpTodouble(angle);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->RotateZ( * _angle);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_Scale( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->Scale( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_Scale_v1( SEXP obj, SEXP s){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(s,3);
     double  *  _s =  SexpTodouble(s);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->Scale(_s);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_Scale_v2( SEXP obj, SEXP s){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(s,3);
     float  *  _s =  SexpTofloat(s);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->Scale(_s);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_SetMatrix( SEXP obj, SEXP matrix){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMatrix4x4  *  _matrix = (vtkMatrix4x4 * )  SexpToVtk(matrix);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->SetMatrix(_matrix);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_matrix,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".matrix",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_SetMatrix_v1( SEXP obj, SEXP elements){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(elements,16);
     double  *  _elements =  SexpTodouble(elements);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->SetMatrix(_elements);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_Concatenate( SEXP obj, SEXP matrix){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMatrix4x4  *  _matrix = (vtkMatrix4x4 * )  SexpToVtk(matrix);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->Concatenate(_matrix);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_matrix,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".matrix",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_Concatenate_v1( SEXP obj, SEXP elements){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(elements,16);
     double  *  _elements =  SexpTodouble(elements);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->Concatenate(_elements);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_Concatenate_v2( SEXP obj, SEXP transform){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkLinearTransform  *  _transform = (vtkLinearTransform * )  
SexpToVtk(transform);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->Concatenate(_transform);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_transform,"vtkLinearTransform"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".transform",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_PreMultiply( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->PreMultiply();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_PostMultiply( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->PostMultiply();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_GetNumberOfConcatenatedTransforms( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfConcatenatedTransforms();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_GetConcatenatedTransform( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    vtkLinearTransform *  _res =( vtkLinearTransform * )_obj->GetConcatenatedTransform( * _i);
    res=VtkToSexp(_res,"vtkLinearTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_GetOrientation( SEXP obj, SEXP orientation){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(orientation,3);
     double  *  _orientation =  SexpTodouble(orientation);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->GetOrientation(_orientation);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_orientation,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".orientation",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_GetOrientation_v1( SEXP obj, SEXP orient){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(orient,3);
     float  *  _orient =  SexpTofloat(orient);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->GetOrientation(_orient);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_orient,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".orient",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_GetOrientation_v2( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetOrientation();
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_GetOrientationWXYZ( SEXP obj, SEXP wxyz){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(wxyz,4);
     double  *  _wxyz =  SexpTodouble(wxyz);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->GetOrientationWXYZ(_wxyz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_wxyz,4));
    SET_VECTOR_ELT(res_names,1,charToSexp(".wxyz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_GetOrientationWXYZ_v1( SEXP obj, SEXP wxyz){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(wxyz,3);
     float  *  _wxyz =  SexpTofloat(wxyz);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->GetOrientationWXYZ(_wxyz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_wxyz,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".wxyz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_GetOrientationWXYZ_v2( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetOrientationWXYZ();
    res=doubleToSexp(_res,4);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_GetPosition( SEXP obj, SEXP position){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(position,3);
     double  *  _position =  SexpTodouble(position);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->GetPosition(_position);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_position,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".position",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_GetPosition_v1( SEXP obj, SEXP pos){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(pos,3);
     float  *  _pos =  SexpTofloat(pos);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->GetPosition(_pos);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_pos,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pos",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_GetPosition_v2( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetPosition();
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_GetScale( SEXP obj, SEXP scale){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(scale,3);
     double  *  _scale =  SexpTodouble(scale);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->GetScale(_scale);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_scale,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".scale",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_GetScale_v1( SEXP obj, SEXP scale){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(scale,3);
     float  *  _scale =  SexpTofloat(scale);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->GetScale(_scale);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_scale,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".scale",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_GetScale_v2( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetScale();
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_GetInverse( SEXP obj, SEXP inverse){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMatrix4x4  *  _inverse = (vtkMatrix4x4 * )  SexpToVtk(inverse);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->GetInverse(_inverse);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_inverse,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".inverse",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_GetTranspose( SEXP obj, SEXP transpose){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMatrix4x4  *  _transpose = (vtkMatrix4x4 * )  SexpToVtk(transpose);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->GetTranspose(_transpose);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_transpose,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".transpose",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_SetInput( SEXP obj, SEXP input){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkLinearTransform  *  _input = (vtkLinearTransform * )  SexpToVtk(input);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->SetInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkLinearTransform"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_GetInput( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    vtkLinearTransform *  _res =( vtkLinearTransform * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkLinearTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_GetInverseFlag( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    int _res =_obj->GetInverseFlag();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_Push( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->Push();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_Pop( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->Pop();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_CircuitCheck( SEXP obj, SEXP transform){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAbstractTransform  *  _transform = (vtkAbstractTransform * )  
SexpToVtk(transform);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    int _res =_obj->CircuitCheck(_transform);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_transform,"vtkAbstractTransform"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".transform",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_GetInverse_v1( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    vtkAbstractTransform *  _res =( vtkAbstractTransform * )_obj->GetInverse();
    res=VtkToSexp(_res,"vtkAbstractTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_MakeTransform( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    vtkAbstractTransform *  _res =( vtkAbstractTransform * )_obj->MakeTransform();
    res=VtkToSexp(_res,"vtkAbstractTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_GetMTime( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_MultiplyPoint( SEXP obj, SEXP in, SEXP out){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,4);
     float  *  _in =  SexpTofloat(in);
    SET_LENGTH(out,4);
     float  *  _out =  SexpTofloat(out);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->MultiplyPoint(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_out,4));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_MultiplyPoint_v1( SEXP obj, SEXP in, SEXP out){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,4);
     double  *  _in =  SexpTodouble(in);
    SET_LENGTH(out,4);
     double  *  _out =  SexpTodouble(out);
    vtkTransform * _obj = (vtkTransform * ) SexpToVtk(obj);
    _obj->MultiplyPoint(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_out,4));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransform_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkTransform * res= ( vtkTransform * ) vtkTransform::New();
    R_res=toRPointer(res,"vtkTransform");
    return(R_res);
  }
}
