#include <vtk/vtkTriangle.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkTriangle_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    vtkTriangle *  _res =( vtkTriangle * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkTriangle");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    vtkTriangle *  _res =( vtkTriangle * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkTriangle");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_GetEdge( SEXP obj, SEXP edgeId){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(edgeId,1);
     int  *  _edgeId =  SexpToint(edgeId);
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    vtkCell *  _res =( vtkCell * )_obj->GetEdge( * _edgeId);
    res=VtkToSexp(_res,"vtkCell");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_GetCellType( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    int _res =_obj->GetCellType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_GetCellDimension( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    int _res =_obj->GetCellDimension();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_GetNumberOfEdges( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfEdges();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_GetNumberOfFaces( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfFaces();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_EvaluatePosition( SEXP obj, SEXP x, SEXP closestPoint, SEXP subId, SEXP pcoords, SEXP dist2, SEXP weights){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
     double  *  _closestPoint =  SexpTodouble(closestPoint);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    SET_LENGTH(dist2,1);
     double  *  _dist2 =  SexpTodouble(dist2);
     double  *  _weights =  SexpTodouble(weights);
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    int _res =_obj->EvaluatePosition(_x, _closestPoint,  * _subId, _pcoords,  * _dist2, _weights);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_closestPoint,LENGTH(closestPoint)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".closestPoint",0));
    SET_VECTOR_ELT(ans,3,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".subId",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_dist2,1));
    SET_VECTOR_ELT(res_names,5,charToSexp(".dist2",0));
    SET_VECTOR_ELT(ans,6,doubleToSexp(_weights,LENGTH(weights)));
    SET_VECTOR_ELT(res_names,6,charToSexp(".weights",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_GetParametricCoords( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetParametricCoords();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_Clip( SEXP obj, SEXP value, SEXP cellScalars, SEXP locator, SEXP tris, SEXP inPd, SEXP outPd, SEXP inCd, SEXP cellId, SEXP outCd, SEXP insideOut){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
     vtkDataArray  *  _cellScalars = (vtkDataArray * )  SexpToVtk(cellScalars);
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
     vtkCellArray  *  _tris = (vtkCellArray * )  SexpToVtk(tris);
     vtkPointData  *  _inPd = (vtkPointData * )  SexpToVtk(inPd);
     vtkPointData  *  _outPd = (vtkPointData * )  SexpToVtk(outPd);
     vtkCellData  *  _inCd = (vtkCellData * )  SexpToVtk(inCd);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkCellData  *  _outCd = (vtkCellData * )  SexpToVtk(outCd);
    SET_LENGTH(insideOut,1);
     int  *  _insideOut =  SexpToint(insideOut);
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    _obj->Clip( * _value, _cellScalars, _locator, _tris, _inPd, _outPd, _inCd,  * _cellId, _outCd,  * _insideOut);
    PROTECT(ans = allocVector(VECSXP,8));
    PROTECT(res_names = allocVector(VECSXP,8));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cellScalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cellScalars",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".locator",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_tris,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".tris",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_inPd,"vtkPointData"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".inPd",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_outPd,"vtkPointData"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".outPd",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_inCd,"vtkCellData"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".inCd",0));
    SET_VECTOR_ELT(ans,7,VtkToSexp(_outCd,"vtkCellData"));
    SET_VECTOR_ELT(res_names,7,charToSexp(".outCd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_IntersectWithLine( SEXP obj, SEXP p1, SEXP p2, SEXP tol, SEXP t, SEXP x, SEXP pcoords, SEXP subId){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p1,3);
     double  *  _p1 =  SexpTodouble(p1);
    SET_LENGTH(p2,3);
     double  *  _p2 =  SexpTodouble(p2);
    SET_LENGTH(tol,1);
     double  *  _tol =  SexpTodouble(tol);
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    int _res =_obj->IntersectWithLine(_p1, _p2,  * _tol,  * _t, _x, _pcoords,  * _subId);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_p1,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_p2,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_t,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".t",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,5,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,6,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,6,charToSexp(".subId",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_GetParametricCenter( SEXP obj, SEXP pcoords){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    int _res =_obj->GetParametricCenter(_pcoords);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pcoords",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_GetParametricDistance( SEXP obj, SEXP pcoords){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    double _res =_obj->GetParametricDistance(_pcoords);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pcoords",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_TriangleCenter( SEXP obj, SEXP p1, SEXP p2, SEXP p3, SEXP center){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p1,3);
     double  *  _p1 =  SexpTodouble(p1);
    SET_LENGTH(p2,3);
     double  *  _p2 =  SexpTodouble(p2);
    SET_LENGTH(p3,3);
     double  *  _p3 =  SexpTodouble(p3);
    SET_LENGTH(center,3);
     double  *  _center =  SexpTodouble(center);
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    _obj->TriangleCenter(_p1, _p2, _p3, _center);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_p1,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_p2,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_p3,3));
    SET_VECTOR_ELT(res_names,3,charToSexp(".p3",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_center,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".center",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_TriangleArea( SEXP obj, SEXP p1, SEXP p2, SEXP p3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p1,3);
     double  *  _p1 =  SexpTodouble(p1);
    SET_LENGTH(p2,3);
     double  *  _p2 =  SexpTodouble(p2);
    SET_LENGTH(p3,3);
     double  *  _p3 =  SexpTodouble(p3);
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    double _res =_obj->TriangleArea(_p1, _p2, _p3);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_p1,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_p2,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_p3,3));
    SET_VECTOR_ELT(res_names,3,charToSexp(".p3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_Circumcircle( SEXP obj, SEXP x1, SEXP x2, SEXP x3, SEXP center){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,2);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(x2,2);
     double  *  _x2 =  SexpTodouble(x2);
    SET_LENGTH(x3,2);
     double  *  _x3 =  SexpTodouble(x3);
    SET_LENGTH(center,2);
     double  *  _center =  SexpTodouble(center);
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    double _res =_obj->Circumcircle(_x1, _x2, _x3, _center);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x1,2));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_x2,2));
    SET_VECTOR_ELT(res_names,2,charToSexp(".x2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_x3,2));
    SET_VECTOR_ELT(res_names,3,charToSexp(".x3",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_center,2));
    SET_VECTOR_ELT(res_names,4,charToSexp(".center",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_BarycentricCoords( SEXP obj, SEXP x, SEXP x1, SEXP x2, SEXP x3, SEXP bcoords){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,2);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(x1,2);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(x2,2);
     double  *  _x2 =  SexpTodouble(x2);
    SET_LENGTH(x3,2);
     double  *  _x3 =  SexpTodouble(x3);
    SET_LENGTH(bcoords,3);
     double  *  _bcoords =  SexpTodouble(bcoords);
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    int _res =_obj->BarycentricCoords(_x, _x1, _x2, _x3, _bcoords);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,6));
    PROTECT(res_names = allocVector(VECSXP,6));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,2));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_x1,2));
    SET_VECTOR_ELT(res_names,2,charToSexp(".x1",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_x2,2));
    SET_VECTOR_ELT(res_names,3,charToSexp(".x2",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_x3,2));
    SET_VECTOR_ELT(res_names,4,charToSexp(".x3",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_bcoords,3));
    SET_VECTOR_ELT(res_names,5,charToSexp(".bcoords",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_ProjectTo2D( SEXP obj, SEXP x1, SEXP x2, SEXP x3, SEXP v1, SEXP v2, SEXP v3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,3);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(x2,3);
     double  *  _x2 =  SexpTodouble(x2);
    SET_LENGTH(x3,3);
     double  *  _x3 =  SexpTodouble(x3);
    SET_LENGTH(v1,2);
     double  *  _v1 =  SexpTodouble(v1);
    SET_LENGTH(v2,2);
     double  *  _v2 =  SexpTodouble(v2);
    SET_LENGTH(v3,2);
     double  *  _v3 =  SexpTodouble(v3);
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    int _res =_obj->ProjectTo2D(_x1, _x2, _x3, _v1, _v2, _v3);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x1,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_x2,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".x2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_x3,3));
    SET_VECTOR_ELT(res_names,3,charToSexp(".x3",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_v1,2));
    SET_VECTOR_ELT(res_names,4,charToSexp(".v1",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_v2,2));
    SET_VECTOR_ELT(res_names,5,charToSexp(".v2",0));
    SET_VECTOR_ELT(ans,6,doubleToSexp(_v3,2));
    SET_VECTOR_ELT(res_names,6,charToSexp(".v3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_ComputeNormal( SEXP obj, SEXP v1, SEXP v2, SEXP v3, SEXP n){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(v1,3);
     double  *  _v1 =  SexpTodouble(v1);
    SET_LENGTH(v2,3);
     double  *  _v2 =  SexpTodouble(v2);
    SET_LENGTH(v3,3);
     double  *  _v3 =  SexpTodouble(v3);
    SET_LENGTH(n,3);
     double  *  _n =  SexpTodouble(n);
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    _obj->ComputeNormal(_v1, _v2, _v3, _n);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_v1,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".v1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_v2,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".v2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_v3,3));
    SET_VECTOR_ELT(res_names,3,charToSexp(".v3",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_n,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".n",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_ComputeNormalDirection( SEXP obj, SEXP v1, SEXP v2, SEXP v3, SEXP n){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(v1,3);
     double  *  _v1 =  SexpTodouble(v1);
    SET_LENGTH(v2,3);
     double  *  _v2 =  SexpTodouble(v2);
    SET_LENGTH(v3,3);
     double  *  _v3 =  SexpTodouble(v3);
    SET_LENGTH(n,3);
     double  *  _n =  SexpTodouble(n);
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    _obj->ComputeNormalDirection(_v1, _v2, _v3, _n);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_v1,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".v1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_v2,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".v2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_v3,3));
    SET_VECTOR_ELT(res_names,3,charToSexp(".v3",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_n,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".n",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_PointInTriangle( SEXP obj, SEXP x, SEXP p1, SEXP p2, SEXP p3, SEXP tol2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(p1,3);
     double  *  _p1 =  SexpTodouble(p1);
    SET_LENGTH(p2,3);
     double  *  _p2 =  SexpTodouble(p2);
    SET_LENGTH(p3,3);
     double  *  _p3 =  SexpTodouble(p3);
    SET_LENGTH(tol2,1);
     double  *  _tol2 =  SexpTodouble(tol2);
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    int _res =_obj->PointInTriangle(_x, _p1, _p2, _p3,  * _tol2);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_p1,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p1",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_p2,3));
    SET_VECTOR_ELT(res_names,3,charToSexp(".p2",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_p3,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".p3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_ComputeQuadric( SEXP obj, SEXP x1, SEXP x2, SEXP x3, SEXP quadric){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,3);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(x2,3);
     double  *  _x2 =  SexpTodouble(x2);
    SET_LENGTH(x3,3);
     double  *  _x3 =  SexpTodouble(x3);
     vtkQuadric  *  _quadric = (vtkQuadric * )  SexpToVtk(quadric);
    vtkTriangle * _obj = (vtkTriangle * ) SexpToVtk(obj);
    _obj->ComputeQuadric(_x1, _x2, _x3, _quadric);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x1,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_x2,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".x2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_x3,3));
    SET_VECTOR_ELT(res_names,3,charToSexp(".x3",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_quadric,"vtkQuadric"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".quadric",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTriangle_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkTriangle * res= ( vtkTriangle * ) vtkTriangle::New();
    R_res=toRPointer(res,"vtkTriangle");
    return(R_res);
  }
}
