#include <vtk/vtkWindowLevelLookupTable.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkWindowLevelLookupTable_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    vtkWindowLevelLookupTable *  _res =( vtkWindowLevelLookupTable * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkWindowLevelLookupTable");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    vtkWindowLevelLookupTable *  _res =( vtkWindowLevelLookupTable * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkWindowLevelLookupTable");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_Build( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    _obj->Build();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_SetWindow( SEXP obj, SEXP window){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(window,1);
     double  *  _window =  SexpTodouble(window);
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    _obj->SetWindow( * _window);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_GetWindow( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    double _res =_obj->GetWindow();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_SetLevel( SEXP obj, SEXP level){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(level,1);
     double  *  _level =  SexpTodouble(level);
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    _obj->SetLevel( * _level);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_GetLevel( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    double _res =_obj->GetLevel();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_SetInverseVideo( SEXP obj, SEXP iv){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(iv,1);
     int  *  _iv =  SexpToint(iv);
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    _obj->SetInverseVideo( * _iv);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_GetInverseVideo( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    int _res =_obj->GetInverseVideo();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_InverseVideoOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    _obj->InverseVideoOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_InverseVideoOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    _obj->InverseVideoOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_SetMinimumTableValue( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3, SEXP _arg4){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    SET_LENGTH(_arg4,1);
     double  *  __arg4 =  SexpTodouble(_arg4);
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    _obj->SetMinimumTableValue( * __arg1,  * __arg2,  * __arg3,  * __arg4);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_SetMinimumTableValue_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    _obj->SetMinimumTableValue(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_GetMinimumTableValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetMinimumTableValue();
    res=doubleToSexp(_res,4);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_GetMinimumTableValue_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3, SEXP _arg4){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    SET_LENGTH(_arg4,1);
     double  *  __arg4 =  SexpTodouble(_arg4);
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    _obj->GetMinimumTableValue( * __arg1,  * __arg2,  * __arg3,  * __arg4);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(__arg4,1));
    SET_VECTOR_ELT(res_names,4,charToSexp("._arg4",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_GetMinimumTableValue_v2( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    _obj->GetMinimumTableValue(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_SetMaximumTableValue( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3, SEXP _arg4){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    SET_LENGTH(_arg4,1);
     double  *  __arg4 =  SexpTodouble(_arg4);
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    _obj->SetMaximumTableValue( * __arg1,  * __arg2,  * __arg3,  * __arg4);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_SetMaximumTableValue_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    _obj->SetMaximumTableValue(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_GetMaximumTableValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetMaximumTableValue();
    res=doubleToSexp(_res,4);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_GetMaximumTableValue_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3, SEXP _arg4){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    SET_LENGTH(_arg4,1);
     double  *  __arg4 =  SexpTodouble(_arg4);
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    _obj->GetMaximumTableValue( * __arg1,  * __arg2,  * __arg3,  * __arg4);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(__arg4,1));
    SET_VECTOR_ELT(res_names,4,charToSexp("._arg4",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_GetMaximumTableValue_v2( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    _obj->GetMaximumTableValue(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_SetMinimumColor( SEXP obj, SEXP r, SEXP g, SEXP b, SEXP a){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(r,1);
     int  *  _r =  SexpToint(r);
    SET_LENGTH(g,1);
     int  *  _g =  SexpToint(g);
    SET_LENGTH(b,1);
     int  *  _b =  SexpToint(b);
    SET_LENGTH(a,1);
     int  *  _a =  SexpToint(a);
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    _obj->SetMinimumColor( * _r,  * _g,  * _b,  * _a);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_SetMinimumColor_v1( SEXP obj, SEXP rgba){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(rgba,4);
     unsigned char  *  _rgba =  SexpTounsigned_char(rgba);
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    _obj->SetMinimumColor(_rgba);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_GetMinimumColor( SEXP obj, SEXP rgba){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(rgba,4);
     unsigned char  *  _rgba =  SexpTounsigned_char(rgba);
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    _obj->GetMinimumColor(_rgba);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_rgba,4));
    SET_VECTOR_ELT(res_names,1,charToSexp(".rgba",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_GetMinimumColor_v1( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->GetMinimumColor();
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_SetMaximumColor( SEXP obj, SEXP r, SEXP g, SEXP b, SEXP a){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(r,1);
     int  *  _r =  SexpToint(r);
    SET_LENGTH(g,1);
     int  *  _g =  SexpToint(g);
    SET_LENGTH(b,1);
     int  *  _b =  SexpToint(b);
    SET_LENGTH(a,1);
     int  *  _a =  SexpToint(a);
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    _obj->SetMaximumColor( * _r,  * _g,  * _b,  * _a);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_SetMaximumColor_v1( SEXP obj, SEXP rgba){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(rgba,4);
     unsigned char  *  _rgba =  SexpTounsigned_char(rgba);
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    _obj->SetMaximumColor(_rgba);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_GetMaximumColor( SEXP obj, SEXP rgba){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(rgba,4);
     unsigned char  *  _rgba =  SexpTounsigned_char(rgba);
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    _obj->GetMaximumColor(_rgba);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_rgba,4));
    SET_VECTOR_ELT(res_names,1,charToSexp(".rgba",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_GetMaximumColor_v1( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowLevelLookupTable * _obj = (vtkWindowLevelLookupTable
 * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->GetMaximumColor();
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowLevelLookupTable_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkWindowLevelLookupTable * res= ( vtkWindowLevelLookupTable * ) 
vtkWindowLevelLookupTable::New();
    R_res=toRPointer(res,"vtkWindowLevelLookupTable");
    return(R_res);
  }
}
