#include <vtk/vtkXMLPPolyDataWriter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkXMLPPolyDataWriter_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLPPolyDataWriter * _obj = (vtkXMLPPolyDataWriter * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLPPolyDataWriter_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkXMLPPolyDataWriter * _obj = (vtkXMLPPolyDataWriter * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLPPolyDataWriter_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkXMLPPolyDataWriter * _obj = (vtkXMLPPolyDataWriter * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLPPolyDataWriter_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkXMLPPolyDataWriter * _obj = (vtkXMLPPolyDataWriter * ) SexpToVtk(obj);
    vtkXMLPPolyDataWriter *  _res =( vtkXMLPPolyDataWriter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkXMLPPolyDataWriter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLPPolyDataWriter_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLPPolyDataWriter * _obj = (vtkXMLPPolyDataWriter * ) SexpToVtk(obj);
    vtkXMLPPolyDataWriter *  _res =( vtkXMLPPolyDataWriter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkXMLPPolyDataWriter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLPPolyDataWriter_SetInput( SEXP obj, SEXP input){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPolyData  *  _input = (vtkPolyData * )  SexpToVtk(input);
    vtkXMLPPolyDataWriter * _obj = (vtkXMLPPolyDataWriter * ) SexpToVtk(obj);
    _obj->SetInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkPolyData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLPPolyDataWriter_GetInput( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLPPolyDataWriter * _obj = (vtkXMLPPolyDataWriter * ) SexpToVtk(obj);
    vtkPolyData *  _res =( vtkPolyData * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkPolyData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLPPolyDataWriter_GetDefaultFileExtension( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLPPolyDataWriter * _obj = (vtkXMLPPolyDataWriter * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetDefaultFileExtension();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLPPolyDataWriter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkXMLPPolyDataWriter * res= ( vtkXMLPPolyDataWriter * ) 
vtkXMLPPolyDataWriter::New();
    R_res=toRPointer(res,"vtkXMLPPolyDataWriter");
    return(R_res);
  }
}
