#include <vtk/vtkXMLUnstructuredDataReader.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkXMLUnstructuredDataReader_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLUnstructuredDataReader * _obj = (vtkXMLUnstructuredDataReader
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLUnstructuredDataReader_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkXMLUnstructuredDataReader * _obj = (vtkXMLUnstructuredDataReader
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLUnstructuredDataReader_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkXMLUnstructuredDataReader * _obj = (vtkXMLUnstructuredDataReader
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLUnstructuredDataReader_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkXMLUnstructuredDataReader * _obj = (vtkXMLUnstructuredDataReader
 * ) SexpToVtk(obj);
    vtkXMLUnstructuredDataReader *  _res =( vtkXMLUnstructuredDataReader * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkXMLUnstructuredDataReader");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLUnstructuredDataReader_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLUnstructuredDataReader * _obj = (vtkXMLUnstructuredDataReader
 * ) SexpToVtk(obj);
    vtkXMLUnstructuredDataReader *  _res =( vtkXMLUnstructuredDataReader * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkXMLUnstructuredDataReader");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLUnstructuredDataReader_GetNumberOfPoints( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLUnstructuredDataReader * _obj = (vtkXMLUnstructuredDataReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfPoints();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLUnstructuredDataReader_GetNumberOfCells( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLUnstructuredDataReader * _obj = (vtkXMLUnstructuredDataReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfCells();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLUnstructuredDataReader_SetupUpdateExtent( SEXP obj, SEXP piece, SEXP numberOfPieces, SEXP ghostLevel){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(piece,1);
     int  *  _piece =  SexpToint(piece);
    SET_LENGTH(numberOfPieces,1);
     int  *  _numberOfPieces =  SexpToint(numberOfPieces);
    SET_LENGTH(ghostLevel,1);
     int  *  _ghostLevel =  SexpToint(ghostLevel);
    vtkXMLUnstructuredDataReader * _obj = (vtkXMLUnstructuredDataReader
 * ) SexpToVtk(obj);
    _obj->SetupUpdateExtent( * _piece,  * _numberOfPieces,  * _ghostLevel);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
}
