#include <vtk/vtkXMLWriter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkXMLWriter_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    vtkXMLWriter *  _res =( vtkXMLWriter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkXMLWriter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    vtkXMLWriter *  _res =( vtkXMLWriter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkXMLWriter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_SetByteOrder( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    _obj->SetByteOrder( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_GetByteOrder( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    int _res =_obj->GetByteOrder();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_SetByteOrderToBigEndian( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    _obj->SetByteOrderToBigEndian();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_SetByteOrderToLittleEndian( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    _obj->SetByteOrderToLittleEndian();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_SetIdType( SEXP obj, SEXP t){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(t,1);
     int  *  _t =  SexpToint(t);
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    _obj->SetIdType( * _t);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_GetIdType( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    int _res =_obj->GetIdType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_SetIdTypeToInt32( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    _obj->SetIdTypeToInt32();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_SetIdTypeToInt64( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    _obj->SetIdTypeToInt64();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_SetFileName( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    _obj->SetFileName(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_GetFileName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFileName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_SetCompressor( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataCompressor  *  __arg = (vtkDataCompressor * )  SexpToVtk(_arg);
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    _obj->SetCompressor(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkDataCompressor"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_GetCompressor( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    vtkDataCompressor *  _res =( vtkDataCompressor * )_obj->GetCompressor();
    res=VtkToSexp(_res,"vtkDataCompressor");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_SetBlockSize( SEXP obj, SEXP blockSize){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(blockSize,1);
     unsigned int  *  _blockSize =  SexpTounsigned_int(blockSize);
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    _obj->SetBlockSize( * _blockSize);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_GetBlockSize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    unsigned int _res =_obj->GetBlockSize();
    res=unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_SetDataMode( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    _obj->SetDataMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_GetDataMode( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    int _res =_obj->GetDataMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_SetDataModeToAscii( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    _obj->SetDataModeToAscii();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_SetDataModeToBinary( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    _obj->SetDataModeToBinary();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_SetDataModeToAppended( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    _obj->SetDataModeToAppended();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_SetEncodeAppendedData( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    _obj->SetEncodeAppendedData( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_GetEncodeAppendedData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    int _res =_obj->GetEncodeAppendedData();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_EncodeAppendedDataOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    _obj->EncodeAppendedDataOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_EncodeAppendedDataOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    _obj->EncodeAppendedDataOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_GetDefaultFileExtension( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetDefaultFileExtension();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLWriter_Write( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLWriter * _obj = (vtkXMLWriter * ) SexpToVtk(obj);
    int _res =_obj->Write();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
}
