vtkAbstractMapper <- function(.me=environment()){
  .me <- vtkProcessObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkAbstractMapper_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkAbstractMapper_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkAbstractMapper_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkAbstractMapper_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAbstractMapper(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkAbstractMapper_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAbstractMapper(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkAbstractMapper_GetMTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTimeToDraw <- function(){
    res<-.Call("R_vtkAbstractMapper_GetTimeToDraw",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddClippingPlane <- function( .plane=vtkPlane()){
    check.VTK(.plane,"vtkPlane")
    res<-.Call("R_vtkAbstractMapper_AddClippingPlane",.me$obj, .plane$obj,PACKAGE="RVTK.Base")
    res$.plane <- vtkPlane(wrapenv(res$.plane))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveClippingPlane <- function( .plane=vtkPlane()){
    check.VTK(.plane,"vtkPlane")
    res<-.Call("R_vtkAbstractMapper_RemoveClippingPlane",.me$obj, .plane$obj,PACKAGE="RVTK.Base")
    res$.plane <- vtkPlane(wrapenv(res$.plane))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveAllClippingPlanes <- function(){
    res<-.Call("R_vtkAbstractMapper_RemoveAllClippingPlanes",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetClippingPlanes <- function( ._arg=vtkPlaneCollection()){
    check.VTK(._arg,"vtkPlaneCollection")
    res<-.Call("R_vtkAbstractMapper_SetClippingPlanes",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkPlaneCollection(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetClippingPlanes <- function(){
    res<-.Call("R_vtkAbstractMapper_GetClippingPlanes",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPlaneCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetClippingPlanes_v1 <- function( .planes=vtkPlanes()){
    check.VTK(.planes,"vtkPlanes")
    res<-.Call("R_vtkAbstractMapper_SetClippingPlanes_v1",.me$obj, .planes$obj,PACKAGE="RVTK.Base")
    res$.planes <- vtkPlanes(wrapenv(res$.planes))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .mapper=vtkAbstractMapper()){
    check.VTK(.mapper,"vtkAbstractMapper")
    res<-.Call("R_vtkAbstractMapper_ShallowCopy",.me$obj, .mapper$obj,PACKAGE="RVTK.Base")
    res$.mapper <- vtkAbstractMapper(wrapenv(res$.mapper))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalars <- function( .input=vtkDataSet(), .scalarMode, .arrayAccessMode, .arrayId, .arrayName, .offset=as.integer(rep.int(1,1))){
    check.VTK(.input,"vtkDataSet")
    res<-.Call("R_vtkAbstractMapper_GetScalars",.me$obj, .input$obj, .scalarMode, .arrayAccessMode, .arrayId, .arrayName, .offset,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataArray(wrapenv(res$ret.val))
    res$.input <- vtkDataSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfConsumers <- function(){
    res<-.Call("R_vtkAbstractMapper_GetNumberOfConsumers",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddConsumer <- function( .c=vtkObject()){
    check.VTK(.c,"vtkObject")
    res<-.Call("R_vtkAbstractMapper_AddConsumer",.me$obj, .c$obj,PACKAGE="RVTK.Base")
    res$.c <- vtkObject(wrapenv(res$.c))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveConsumer <- function( .c=vtkObject()){
    check.VTK(.c,"vtkObject")
    res<-.Call("R_vtkAbstractMapper_RemoveConsumer",.me$obj, .c$obj,PACKAGE="RVTK.Base")
    res$.c <- vtkObject(wrapenv(res$.c))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetConsumer <- function( .i){
    res<-.Call("R_vtkAbstractMapper_GetConsumer",.me$obj, .i,PACKAGE="RVTK.Base")
    res$ret.val <- vtkObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsConsumer <- function( .c=vtkObject()){
    check.VTK(.c,"vtkObject")
    res<-.Call("R_vtkAbstractMapper_IsConsumer",.me$obj, .c$obj,PACKAGE="RVTK.Base")
    res$.c <- vtkObject(wrapenv(res$.c))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkAbstractMapper",class(.me))
  return(.me)
}
