vtkArrayCalculator <- function(.me=environment()){
  .me <- vtkDataSetToDataSetFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkArrayCalculator_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkArrayCalculator_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkArrayCalculator_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkArrayCalculator_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkArrayCalculator(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkArrayCalculator_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkArrayCalculator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFunction <- function( .function){
    res<-.Call("R_vtkArrayCalculator_SetFunction",.me$obj, .function,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFunction <- function(){
    res<-.Call("R_vtkArrayCalculator_GetFunction",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddScalarArrayName <- function( .arrayName, .component){
    res<-.Call("R_vtkArrayCalculator_AddScalarArrayName",.me$obj, .arrayName, .component,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddVectorArrayName <- function( .arrayName, .component0, .component1, .component2){
    res<-.Call("R_vtkArrayCalculator_AddVectorArrayName",.me$obj, .arrayName, .component0, .component1, .component2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddScalarVariable <- function( .variableName, .arrayName, .component){
    res<-.Call("R_vtkArrayCalculator_AddScalarVariable",.me$obj, .variableName, .arrayName, .component,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddVectorVariable <- function( .variableName, .arrayName, .component0, .component1, .component2){
    res<-.Call("R_vtkArrayCalculator_AddVectorVariable",.me$obj, .variableName, .arrayName, .component0, .component1, .component2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResultArrayName <- function( .name){
    res<-.Call("R_vtkArrayCalculator_SetResultArrayName",.me$obj, .name,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResultArrayName <- function(){
    res<-.Call("R_vtkArrayCalculator_GetResultArrayName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAttributeMode <- function( ._arg){
    res<-.Call("R_vtkArrayCalculator_SetAttributeMode",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAttributeMode <- function(){
    res<-.Call("R_vtkArrayCalculator_GetAttributeMode",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAttributeModeToDefault <- function(){
    res<-.Call("R_vtkArrayCalculator_SetAttributeModeToDefault",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAttributeModeToUsePointData <- function(){
    res<-.Call("R_vtkArrayCalculator_SetAttributeModeToUsePointData",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAttributeModeToUseCellData <- function(){
    res<-.Call("R_vtkArrayCalculator_SetAttributeModeToUseCellData",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAttributeModeAsString <- function(){
    res<-.Call("R_vtkArrayCalculator_GetAttributeModeAsString",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveAllVariables <- function(){
    res<-.Call("R_vtkArrayCalculator_RemoveAllVariables",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarArrayNames <- function(){
    res<-.Call("R_vtkArrayCalculator_GetScalarArrayNames",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarArrayName <- function( .i){
    res<-.Call("R_vtkArrayCalculator_GetScalarArrayName",.me$obj, .i,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorArrayNames <- function(){
    res<-.Call("R_vtkArrayCalculator_GetVectorArrayNames",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorArrayName <- function( .i){
    res<-.Call("R_vtkArrayCalculator_GetVectorArrayName",.me$obj, .i,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarVariableNames <- function(){
    res<-.Call("R_vtkArrayCalculator_GetScalarVariableNames",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarVariableName <- function( .i){
    res<-.Call("R_vtkArrayCalculator_GetScalarVariableName",.me$obj, .i,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorVariableNames <- function(){
    res<-.Call("R_vtkArrayCalculator_GetVectorVariableNames",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorVariableName <- function( .i){
    res<-.Call("R_vtkArrayCalculator_GetVectorVariableName",.me$obj, .i,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSelectedScalarComponents <- function(){
    res<-.Call("R_vtkArrayCalculator_GetSelectedScalarComponents",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSelectedScalarComponent <- function( .i){
    res<-.Call("R_vtkArrayCalculator_GetSelectedScalarComponent",.me$obj, .i,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSelectedVectorComponents <- function(){
    res<-.Call("R_vtkArrayCalculator_GetSelectedVectorComponents",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSelectedVectorComponents_v1 <- function( .i){
    res<-.Call("R_vtkArrayCalculator_GetSelectedVectorComponents_v1",.me$obj, .i,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfScalarArrays <- function(){
    res<-.Call("R_vtkArrayCalculator_GetNumberOfScalarArrays",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfVectorArrays <- function(){
    res<-.Call("R_vtkArrayCalculator_GetNumberOfVectorArrays",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkArrayCalculator_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkArrayCalculator",class(.me))
  return(.me)
}
