vtkAssemblyPath <- function(.me=environment()){
  .me <- vtkCollection(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkAssemblyPath_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkAssemblyPath_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkAssemblyPath_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkAssemblyPath_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAssemblyPath(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkAssemblyPath_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAssemblyPath(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddNode <- function( .p=vtkProp(), .m=vtkMatrix4x4()){
    check.VTK(.p,"vtkProp")
    check.VTK(.m,"vtkMatrix4x4")
    res<-.Call("R_vtkAssemblyPath_AddNode",.me$obj, .p$obj, .m$obj,PACKAGE="RVTK.Base")
    res$.p <- vtkProp(wrapenv(res$.p))
    res$.m <- vtkMatrix4x4(wrapenv(res$.m))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextNode <- function(){
    res<-.Call("R_vtkAssemblyPath_GetNextNode",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAssemblyNode(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFirstNode <- function(){
    res<-.Call("R_vtkAssemblyPath_GetFirstNode",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAssemblyNode(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLastNode <- function(){
    res<-.Call("R_vtkAssemblyPath_GetLastNode",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAssemblyNode(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeleteLastNode <- function(){
    res<-.Call("R_vtkAssemblyPath_DeleteLastNode",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .path=vtkAssemblyPath()){
    check.VTK(.path,"vtkAssemblyPath")
    res<-.Call("R_vtkAssemblyPath_ShallowCopy",.me$obj, .path$obj,PACKAGE="RVTK.Base")
    res$.path <- vtkAssemblyPath(wrapenv(res$.path))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkAssemblyPath_GetMTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkAssemblyPath_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkAssemblyPath",class(.me))
  return(.me)
}
