vtkAssemblyPaths <- function(.me=environment()){
  .me <- vtkCollection(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkAssemblyPaths_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkAssemblyPaths_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkAssemblyPaths_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkAssemblyPaths_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAssemblyPaths(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkAssemblyPaths_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAssemblyPaths(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddItem <- function( .p=vtkAssemblyPath()){
    check.VTK(.p,"vtkAssemblyPath")
    res<-.Call("R_vtkAssemblyPaths_AddItem",.me$obj, .p$obj,PACKAGE="RVTK.Base")
    res$.p <- vtkAssemblyPath(wrapenv(res$.p))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveItem <- function( .p=vtkAssemblyPath()){
    check.VTK(.p,"vtkAssemblyPath")
    res<-.Call("R_vtkAssemblyPaths_RemoveItem",.me$obj, .p$obj,PACKAGE="RVTK.Base")
    res$.p <- vtkAssemblyPath(wrapenv(res$.p))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsItemPresent <- function( .p=vtkAssemblyPath()){
    check.VTK(.p,"vtkAssemblyPath")
    res<-.Call("R_vtkAssemblyPaths_IsItemPresent",.me$obj, .p$obj,PACKAGE="RVTK.Base")
    res$.p <- vtkAssemblyPath(wrapenv(res$.p))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextItem <- function(){
    res<-.Call("R_vtkAssemblyPaths_GetNextItem",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAssemblyPath(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkAssemblyPaths_GetMTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkAssemblyPaths_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkAssemblyPaths",class(.me))
  return(.me)
}
