vtkCellArray <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkCellArray_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkCellArray_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkCellArray_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkCellArray_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCellArray(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkCellArray_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCellArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Allocate <- function( .sz, .ext){
    res<-.Call("R_vtkCellArray_Allocate",.me$obj, .sz, .ext,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkCellArray_Initialize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfCells <- function(){
    res<-.Call("R_vtkCellArray_GetNumberOfCells",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EstimateSize <- function( .numCells, .maxPtsPerCell){
    res<-.Call("R_vtkCellArray_EstimateSize",.me$obj, .numCells, .maxPtsPerCell,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitTraversal <- function(){
    res<-.Call("R_vtkCellArray_InitTraversal",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextCell <- function( .npts=as.integer(rep.int(1,1)), .pts){
    res<-.Call("R_vtkCellArray_GetNextCell",.me$obj, .npts, .pts,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSize <- function(){
    res<-.Call("R_vtkCellArray_GetSize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfConnectivityEntries <- function(){
    res<-.Call("R_vtkCellArray_GetNumberOfConnectivityEntries",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCell <- function( .loc, .npts=as.integer(rep.int(1,1)), .pts){
    res<-.Call("R_vtkCellArray_GetCell",.me$obj, .loc, .npts, .pts,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertNextCell <- function( .cell=vtkCell()){
    check.VTK(.cell,"vtkCell")
    res<-.Call("R_vtkCellArray_InsertNextCell",.me$obj, .cell$obj,PACKAGE="RVTK.Base")
    res$.cell <- vtkCell(wrapenv(res$.cell))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertNextCell_v1 <- function( .npts, .pts){
    res<-.Call("R_vtkCellArray_InsertNextCell_v1",.me$obj, .npts, .pts,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertNextCell_v2 <- function( .pts=vtkIdList()){
    check.VTK(.pts,"vtkIdList")
    res<-.Call("R_vtkCellArray_InsertNextCell_v2",.me$obj, .pts$obj,PACKAGE="RVTK.Base")
    res$.pts <- vtkIdList(wrapenv(res$.pts))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertNextCell_v3 <- function( .npts){
    res<-.Call("R_vtkCellArray_InsertNextCell_v3",.me$obj, .npts,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertCellPoint <- function( .id){
    res<-.Call("R_vtkCellArray_InsertCellPoint",.me$obj, .id,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UpdateCellCount <- function( .npts){
    res<-.Call("R_vtkCellArray_UpdateCellCount",.me$obj, .npts,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInsertLocation <- function( .npts){
    res<-.Call("R_vtkCellArray_GetInsertLocation",.me$obj, .npts,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTraversalLocation <- function(){
    res<-.Call("R_vtkCellArray_GetTraversalLocation",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTraversalLocation <- function( .loc){
    res<-.Call("R_vtkCellArray_SetTraversalLocation",.me$obj, .loc,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTraversalLocation_v1 <- function( .npts){
    res<-.Call("R_vtkCellArray_GetTraversalLocation_v1",.me$obj, .npts,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReverseCell <- function( .loc){
    res<-.Call("R_vtkCellArray_ReverseCell",.me$obj, .loc,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReplaceCell <- function( .loc, .npts, .pts){
    res<-.Call("R_vtkCellArray_ReplaceCell",.me$obj, .loc, .npts, .pts,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaxCellSize <- function(){
    res<-.Call("R_vtkCellArray_GetMaxCellSize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointer <- function(){
    res<-.Call("R_vtkCellArray_GetPointer",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WritePointer <- function( .ncells, .size){
    res<-.Call("R_vtkCellArray_WritePointer",.me$obj, .ncells, .size,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCells <- function( .ncells, .cells=vtkIdTypeArray()){
    check.VTK(.cells,"vtkIdTypeArray")
    res<-.Call("R_vtkCellArray_SetCells",.me$obj, .ncells, .cells$obj,PACKAGE="RVTK.Base")
    res$.cells <- vtkIdTypeArray(wrapenv(res$.cells))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .ca=vtkCellArray()){
    check.VTK(.ca,"vtkCellArray")
    res<-.Call("R_vtkCellArray_DeepCopy",.me$obj, .ca$obj,PACKAGE="RVTK.Base")
    res$.ca <- vtkCellArray(wrapenv(res$.ca))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetData <- function(){
    res<-.Call("R_vtkCellArray_GetData",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkIdTypeArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Reset <- function(){
    res<-.Call("R_vtkCellArray_Reset",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Squeeze <- function(){
    res<-.Call("R_vtkCellArray_Squeeze",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActualMemorySize <- function(){
    res<-.Call("R_vtkCellArray_GetActualMemorySize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkCellArray_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkCellArray",class(.me))
  return(.me)
}
