vtkCellDerivatives <- function(.me=environment()){
  .me <- vtkDataSetToDataSetFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkCellDerivatives_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkCellDerivatives_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkCellDerivatives_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkCellDerivatives_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCellDerivatives(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkCellDerivatives_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCellDerivatives(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorMode <- function( ._arg){
    res<-.Call("R_vtkCellDerivatives_SetVectorMode",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorMode <- function(){
    res<-.Call("R_vtkCellDerivatives_GetVectorMode",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorModeToPassVectors <- function(){
    res<-.Call("R_vtkCellDerivatives_SetVectorModeToPassVectors",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorModeToComputeGradient <- function(){
    res<-.Call("R_vtkCellDerivatives_SetVectorModeToComputeGradient",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorModeToComputeVorticity <- function(){
    res<-.Call("R_vtkCellDerivatives_SetVectorModeToComputeVorticity",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorModeAsString <- function(){
    res<-.Call("R_vtkCellDerivatives_GetVectorModeAsString",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTensorMode <- function( ._arg){
    res<-.Call("R_vtkCellDerivatives_SetTensorMode",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTensorMode <- function(){
    res<-.Call("R_vtkCellDerivatives_GetTensorMode",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTensorModeToPassTensors <- function(){
    res<-.Call("R_vtkCellDerivatives_SetTensorModeToPassTensors",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTensorModeToComputeGradient <- function(){
    res<-.Call("R_vtkCellDerivatives_SetTensorModeToComputeGradient",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTensorModeToComputeStrain <- function(){
    res<-.Call("R_vtkCellDerivatives_SetTensorModeToComputeStrain",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTensorModeAsString <- function(){
    res<-.Call("R_vtkCellDerivatives_GetTensorModeAsString",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkCellDerivatives_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkCellDerivatives",class(.me))
  return(.me)
}
