vtkCellLocator <- function(.me=environment()){
  .me <- vtkLocator(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkCellLocator_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkCellLocator_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkCellLocator_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkCellLocator_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCellLocator(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkCellLocator_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCellLocator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfCellsPerBucket <- function( ._arg){
    res<-.Call("R_vtkCellLocator_SetNumberOfCellsPerBucket",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfCellsPerBucketMinValue <- function(){
    res<-.Call("R_vtkCellLocator_GetNumberOfCellsPerBucketMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfCellsPerBucketMaxValue <- function(){
    res<-.Call("R_vtkCellLocator_GetNumberOfCellsPerBucketMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfCellsPerBucket <- function(){
    res<-.Call("R_vtkCellLocator_GetNumberOfCellsPerBucket",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCacheCellBounds <- function( ._arg){
    res<-.Call("R_vtkCellLocator_SetCacheCellBounds",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCacheCellBounds <- function(){
    res<-.Call("R_vtkCellLocator_GetCacheCellBounds",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CacheCellBoundsOn <- function(){
    res<-.Call("R_vtkCellLocator_CacheCellBoundsOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CacheCellBoundsOff <- function(){
    res<-.Call("R_vtkCellLocator_CacheCellBoundsOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectWithLine <- function( .a0=as.double(rep.int(1,3)), .a1=as.double(rep.int(1,3)), .tol, .t=as.double(rep.int(1,1)), .x=as.double(rep.int(1,3)), .pcoords=as.double(rep.int(1,3)), .subId=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkCellLocator_IntersectWithLine",.me$obj, .a0, .a1, .tol, .t, .x, .pcoords, .subId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectWithLine_v1 <- function( .a0=as.double(rep.int(1,3)), .a1=as.double(rep.int(1,3)), .tol, .t=as.double(rep.int(1,1)), .x=as.double(rep.int(1,3)), .pcoords=as.double(rep.int(1,3)), .subId=as.integer(rep.int(1,1)), .cellId=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkCellLocator_IntersectWithLine_v1",.me$obj, .a0, .a1, .tol, .t, .x, .pcoords, .subId, .cellId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectWithLine_v2 <- function( .a0=as.double(rep.int(1,3)), .a1=as.double(rep.int(1,3)), .tol, .t=as.double(rep.int(1,1)), .x=as.double(rep.int(1,3)), .pcoords=as.double(rep.int(1,3)), .subId=as.integer(rep.int(1,1)), .cellId=as.integer(rep.int(1,1)), .cell=vtkGenericCell()){
    check.VTK(.cell,"vtkGenericCell")
    res<-.Call("R_vtkCellLocator_IntersectWithLine_v2",.me$obj, .a0, .a1, .tol, .t, .x, .pcoords, .subId, .cellId, .cell$obj,PACKAGE="RVTK.Base")
    res$.cell <- vtkGenericCell(wrapenv(res$.cell))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindClosestPoint <- function( .x=as.double(rep.int(1,3)), .closestPoint=as.double(rep.int(1,3)), .cellId=as.integer(rep.int(1,1)), .subId=as.integer(rep.int(1,1)), .dist2=as.double(rep.int(1,1))){
    res<-.Call("R_vtkCellLocator_FindClosestPoint",.me$obj, .x, .closestPoint, .cellId, .subId, .dist2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindClosestPoint_v1 <- function( .x=as.double(rep.int(1,3)), .closestPoint=as.double(rep.int(1,3)), .cell=vtkGenericCell(), .cellId=as.integer(rep.int(1,1)), .subId=as.integer(rep.int(1,1)), .dist2=as.double(rep.int(1,1))){
    check.VTK(.cell,"vtkGenericCell")
    res<-.Call("R_vtkCellLocator_FindClosestPoint_v1",.me$obj, .x, .closestPoint, .cell$obj, .cellId, .subId, .dist2,PACKAGE="RVTK.Base")
    res$.cell <- vtkGenericCell(wrapenv(res$.cell))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindClosestPointWithinRadius <- function( .x=as.double(rep.int(1,3)), .radius, .closestPoint=as.double(rep.int(1,3)), .cellId=as.integer(rep.int(1,1)), .subId=as.integer(rep.int(1,1)), .dist2=as.double(rep.int(1,1))){
    res<-.Call("R_vtkCellLocator_FindClosestPointWithinRadius",.me$obj, .x, .radius, .closestPoint, .cellId, .subId, .dist2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindClosestPointWithinRadius_v1 <- function( .x=as.double(rep.int(1,3)), .radius, .closestPoint=as.double(rep.int(1,3)), .cell=vtkGenericCell(), .cellId=as.integer(rep.int(1,1)), .subId=as.integer(rep.int(1,1)), .dist2=as.double(rep.int(1,1))){
    check.VTK(.cell,"vtkGenericCell")
    res<-.Call("R_vtkCellLocator_FindClosestPointWithinRadius_v1",.me$obj, .x, .radius, .closestPoint, .cell$obj, .cellId, .subId, .dist2,PACKAGE="RVTK.Base")
    res$.cell <- vtkGenericCell(wrapenv(res$.cell))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindClosestPointWithinRadius_v2 <- function( .x=as.double(rep.int(1,3)), .radius, .closestPoint=as.double(rep.int(1,3)), .cell=vtkGenericCell(), .cellId=as.integer(rep.int(1,1)), .subId=as.integer(rep.int(1,1)), .dist2=as.double(rep.int(1,1)), .inside=as.integer(rep.int(1,1))){
    check.VTK(.cell,"vtkGenericCell")
    res<-.Call("R_vtkCellLocator_FindClosestPointWithinRadius_v2",.me$obj, .x, .radius, .closestPoint, .cell$obj, .cellId, .subId, .dist2, .inside,PACKAGE="RVTK.Base")
    res$.cell <- vtkGenericCell(wrapenv(res$.cell))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCells <- function( .octantId){
    res<-.Call("R_vtkCellLocator_GetCells",.me$obj, .octantId,PACKAGE="RVTK.Base")
    res$ret.val <- vtkIdList(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfBuckets <- function(){
    res<-.Call("R_vtkCellLocator_GetNumberOfBuckets",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FreeSearchStructure <- function(){
    res<-.Call("R_vtkCellLocator_FreeSearchStructure",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BuildLocator <- function(){
    res<-.Call("R_vtkCellLocator_BuildLocator",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GenerateRepresentation <- function( .level, .pd=vtkPolyData()){
    check.VTK(.pd,"vtkPolyData")
    res<-.Call("R_vtkCellLocator_GenerateRepresentation",.me$obj, .level, .pd$obj,PACKAGE="RVTK.Base")
    res$.pd <- vtkPolyData(wrapenv(res$.pd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkCellLocator_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkCellLocator",class(.me))
  return(.me)
}
