vtkCompositeDataVisitor <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkCompositeDataVisitor_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkCompositeDataVisitor_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkCompositeDataVisitor_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkCompositeDataVisitor_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCompositeDataVisitor(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkCompositeDataVisitor_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCompositeDataVisitor(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCommand <- function( ._arg=vtkCompositeDataCommand()){
    check.VTK(._arg,"vtkCompositeDataCommand")
    res<-.Call("R_vtkCompositeDataVisitor_SetCommand",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkCompositeDataCommand(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCommand <- function(){
    res<-.Call("R_vtkCompositeDataVisitor_GetCommand",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCompositeDataCommand(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Execute <- function(){
    res<-.Call("R_vtkCompositeDataVisitor_Execute",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCreateTransitionElements <- function( ._arg){
    res<-.Call("R_vtkCompositeDataVisitor_SetCreateTransitionElements",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCreateTransitionElements <- function(){
    res<-.Call("R_vtkCompositeDataVisitor_GetCreateTransitionElements",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CreateTransitionElementsOn <- function(){
    res<-.Call("R_vtkCompositeDataVisitor_CreateTransitionElementsOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CreateTransitionElementsOff <- function(){
    res<-.Call("R_vtkCompositeDataVisitor_CreateTransitionElementsOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkCompositeDataVisitor",class(.me))
  return(.me)
}
