vtkDICOMImageReader <- function(.me=environment()){
  .me <- vtkImageReader2(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkDICOMImageReader_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkDICOMImageReader_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkDICOMImageReader_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkDICOMImageReader_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDICOMImageReader(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkDICOMImageReader_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDICOMImageReader(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFileName <- function( .fn){
    res<-.Call("R_vtkDICOMImageReader_SetFileName",.me$obj, .fn,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDirectoryName <- function( .dn){
    res<-.Call("R_vtkDICOMImageReader_SetDirectoryName",.me$obj, .dn,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDirectoryName <- function(){
    res<-.Call("R_vtkDICOMImageReader_GetDirectoryName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPixelSpacing <- function(){
    res<-.Call("R_vtkDICOMImageReader_GetPixelSpacing",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWidth <- function(){
    res<-.Call("R_vtkDICOMImageReader_GetWidth",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHeight <- function(){
    res<-.Call("R_vtkDICOMImageReader_GetHeight",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetImagePositionPatient <- function(){
    res<-.Call("R_vtkDICOMImageReader_GetImagePositionPatient",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBitsAllocated <- function(){
    res<-.Call("R_vtkDICOMImageReader_GetBitsAllocated",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPixelRepresentation <- function(){
    res<-.Call("R_vtkDICOMImageReader_GetPixelRepresentation",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfComponents <- function(){
    res<-.Call("R_vtkDICOMImageReader_GetNumberOfComponents",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTransferSyntaxUID <- function(){
    res<-.Call("R_vtkDICOMImageReader_GetTransferSyntaxUID",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRescaleSlope <- function(){
    res<-.Call("R_vtkDICOMImageReader_GetRescaleSlope",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRescaleOffset <- function(){
    res<-.Call("R_vtkDICOMImageReader_GetRescaleOffset",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPatientName <- function(){
    res<-.Call("R_vtkDICOMImageReader_GetPatientName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStudyUID <- function(){
    res<-.Call("R_vtkDICOMImageReader_GetStudyUID",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStudyID <- function(){
    res<-.Call("R_vtkDICOMImageReader_GetStudyID",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGantryAngle <- function(){
    res<-.Call("R_vtkDICOMImageReader_GetGantryAngle",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkDICOMImageReader_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkDICOMImageReader",class(.me))
  return(.me)
}
