vtkDataObjectCollection <- function(.me=environment()){
  .me <- vtkCollection(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkDataObjectCollection_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkDataObjectCollection_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkDataObjectCollection_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkDataObjectCollection_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataObjectCollection(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkDataObjectCollection_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataObjectCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddItem <- function( .ds=vtkDataObject()){
    check.VTK(.ds,"vtkDataObject")
    res<-.Call("R_vtkDataObjectCollection_AddItem",.me$obj, .ds$obj,PACKAGE="RVTK.Base")
    res$.ds <- vtkDataObject(wrapenv(res$.ds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextItem <- function(){
    res<-.Call("R_vtkDataObjectCollection_GetNextItem",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetItem <- function( .i){
    res<-.Call("R_vtkDataObjectCollection_GetItem",.me$obj, .i,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkDataObjectCollection_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkDataObjectCollection",class(.me))
  return(.me)
}
