vtkDataReader <- function(.me=environment()){
  .me <- vtkSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkDataReader_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkDataReader_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkDataReader_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkDataReader_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataReader(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkDataReader_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataReader(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFileName <- function( ._arg){
    res<-.Call("R_vtkDataReader_SetFileName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFileName <- function(){
    res<-.Call("R_vtkDataReader_GetFileName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsFileValid <- function( .dstype){
    res<-.Call("R_vtkDataReader_IsFileValid",.me$obj, .dstype,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsFileStructuredPoints <- function(){
    res<-.Call("R_vtkDataReader_IsFileStructuredPoints",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsFilePolyData <- function(){
    res<-.Call("R_vtkDataReader_IsFilePolyData",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsFileStructuredGrid <- function(){
    res<-.Call("R_vtkDataReader_IsFileStructuredGrid",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsFileUnstructuredGrid <- function(){
    res<-.Call("R_vtkDataReader_IsFileUnstructuredGrid",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsFileRectilinearGrid <- function(){
    res<-.Call("R_vtkDataReader_IsFileRectilinearGrid",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInputString <- function( .in){
    res<-.Call("R_vtkDataReader_SetInputString",.me$obj, .in,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInputString <- function(){
    res<-.Call("R_vtkDataReader_GetInputString",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInputString_v1 <- function( .in, .len){
    res<-.Call("R_vtkDataReader_SetInputString_v1",.me$obj, .in, .len,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInputStringLength <- function(){
    res<-.Call("R_vtkDataReader_GetInputStringLength",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBinaryInputString <- function( .in, .len){
    res<-.Call("R_vtkDataReader_SetBinaryInputString",.me$obj, .in, .len,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInputArray <- function( ._arg=vtkCharArray()){
    check.VTK(._arg,"vtkCharArray")
    res<-.Call("R_vtkDataReader_SetInputArray",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkCharArray(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInputArray <- function(){
    res<-.Call("R_vtkDataReader_GetInputArray",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCharArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHeader <- function(){
    res<-.Call("R_vtkDataReader_GetHeader",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetReadFromInputString <- function( ._arg){
    res<-.Call("R_vtkDataReader_SetReadFromInputString",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetReadFromInputString <- function(){
    res<-.Call("R_vtkDataReader_GetReadFromInputString",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReadFromInputStringOn <- function(){
    res<-.Call("R_vtkDataReader_ReadFromInputStringOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReadFromInputStringOff <- function(){
    res<-.Call("R_vtkDataReader_ReadFromInputStringOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFileType <- function(){
    res<-.Call("R_vtkDataReader_GetFileType",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfScalarsInFile <- function(){
    res<-.Call("R_vtkDataReader_GetNumberOfScalarsInFile",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfVectorsInFile <- function(){
    res<-.Call("R_vtkDataReader_GetNumberOfVectorsInFile",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfTensorsInFile <- function(){
    res<-.Call("R_vtkDataReader_GetNumberOfTensorsInFile",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfNormalsInFile <- function(){
    res<-.Call("R_vtkDataReader_GetNumberOfNormalsInFile",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfTCoordsInFile <- function(){
    res<-.Call("R_vtkDataReader_GetNumberOfTCoordsInFile",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfFieldDataInFile <- function(){
    res<-.Call("R_vtkDataReader_GetNumberOfFieldDataInFile",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarsNameInFile <- function( .i){
    res<-.Call("R_vtkDataReader_GetScalarsNameInFile",.me$obj, .i,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorsNameInFile <- function( .i){
    res<-.Call("R_vtkDataReader_GetVectorsNameInFile",.me$obj, .i,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTensorsNameInFile <- function( .i){
    res<-.Call("R_vtkDataReader_GetTensorsNameInFile",.me$obj, .i,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormalsNameInFile <- function( .i){
    res<-.Call("R_vtkDataReader_GetNormalsNameInFile",.me$obj, .i,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTCoordsNameInFile <- function( .i){
    res<-.Call("R_vtkDataReader_GetTCoordsNameInFile",.me$obj, .i,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFieldDataNameInFile <- function( .i){
    res<-.Call("R_vtkDataReader_GetFieldDataNameInFile",.me$obj, .i,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarsName <- function( ._arg){
    res<-.Call("R_vtkDataReader_SetScalarsName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarsName <- function(){
    res<-.Call("R_vtkDataReader_GetScalarsName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorsName <- function( ._arg){
    res<-.Call("R_vtkDataReader_SetVectorsName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorsName <- function(){
    res<-.Call("R_vtkDataReader_GetVectorsName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTensorsName <- function( ._arg){
    res<-.Call("R_vtkDataReader_SetTensorsName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTensorsName <- function(){
    res<-.Call("R_vtkDataReader_GetTensorsName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNormalsName <- function( ._arg){
    res<-.Call("R_vtkDataReader_SetNormalsName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormalsName <- function(){
    res<-.Call("R_vtkDataReader_GetNormalsName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTCoordsName <- function( ._arg){
    res<-.Call("R_vtkDataReader_SetTCoordsName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTCoordsName <- function(){
    res<-.Call("R_vtkDataReader_GetTCoordsName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLookupTableName <- function( ._arg){
    res<-.Call("R_vtkDataReader_SetLookupTableName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLookupTableName <- function(){
    res<-.Call("R_vtkDataReader_GetLookupTableName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFieldDataName <- function( ._arg){
    res<-.Call("R_vtkDataReader_SetFieldDataName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFieldDataName <- function(){
    res<-.Call("R_vtkDataReader_GetFieldDataName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OpenVTKFile <- function(){
    res<-.Call("R_vtkDataReader_OpenVTKFile",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReadHeader <- function(){
    res<-.Call("R_vtkDataReader_ReadHeader",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReadCellData <- function( .ds=vtkDataSet(), .numCells){
    check.VTK(.ds,"vtkDataSet")
    res<-.Call("R_vtkDataReader_ReadCellData",.me$obj, .ds$obj, .numCells,PACKAGE="RVTK.Base")
    res$.ds <- vtkDataSet(wrapenv(res$.ds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReadPointData <- function( .ds=vtkDataSet(), .numPts){
    check.VTK(.ds,"vtkDataSet")
    res<-.Call("R_vtkDataReader_ReadPointData",.me$obj, .ds$obj, .numPts,PACKAGE="RVTK.Base")
    res$.ds <- vtkDataSet(wrapenv(res$.ds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReadPoints <- function( .ps=vtkPointSet(), .numPts){
    check.VTK(.ps,"vtkPointSet")
    res<-.Call("R_vtkDataReader_ReadPoints",.me$obj, .ps$obj, .numPts,PACKAGE="RVTK.Base")
    res$.ps <- vtkPointSet(wrapenv(res$.ps))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReadCells <- function( .size, .data){
    res<-.Call("R_vtkDataReader_ReadCells",.me$obj, .size, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReadCells_v1 <- function( .size, .data, .skip1, .read2, .skip3){
    res<-.Call("R_vtkDataReader_ReadCells_v1",.me$obj, .size, .data, .skip1, .read2, .skip3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReadCoordinates <- function( .rg=vtkRectilinearGrid(), .axes, .numCoords){
    check.VTK(.rg,"vtkRectilinearGrid")
    res<-.Call("R_vtkDataReader_ReadCoordinates",.me$obj, .rg$obj, .axes, .numCoords,PACKAGE="RVTK.Base")
    res$.rg <- vtkRectilinearGrid(wrapenv(res$.rg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReadArray <- function( .dataType, .numTuples, .numComp){
    res<-.Call("R_vtkDataReader_ReadArray",.me$obj, .dataType, .numTuples, .numComp,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReadFieldData <- function(){
    res<-.Call("R_vtkDataReader_ReadFieldData",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkFieldData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Read <- function( .result){
    res<-.Call("R_vtkDataReader_Read",.me$obj, .result,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Read_v1 <- function( .result){
    res<-.Call("R_vtkDataReader_Read_v1",.me$obj, .result,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Read_v2 <- function( .result){
    res<-.Call("R_vtkDataReader_Read_v2",.me$obj, .result,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Read_v3 <- function( .result){
    res<-.Call("R_vtkDataReader_Read_v3",.me$obj, .result,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Read_v4 <- function( .result){
    res<-.Call("R_vtkDataReader_Read_v4",.me$obj, .result,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Read_v5 <- function( .result){
    res<-.Call("R_vtkDataReader_Read_v5",.me$obj, .result,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Read_v6 <- function( .result){
    res<-.Call("R_vtkDataReader_Read_v6",.me$obj, .result,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Read_v7 <- function( .result){
    res<-.Call("R_vtkDataReader_Read_v7",.me$obj, .result,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Read_v8 <- function( .result){
    res<-.Call("R_vtkDataReader_Read_v8",.me$obj, .result,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Read_v9 <- function( .result){
    res<-.Call("R_vtkDataReader_Read_v9",.me$obj, .result,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CloseVTKFile <- function(){
    res<-.Call("R_vtkDataReader_CloseVTKFile",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReadLine <- function( .result=as.character(rep.int(1,256))){
    res<-.Call("R_vtkDataReader_ReadLine",.me$obj, .result,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReadString <- function( .result=as.character(rep.int(1,256))){
    res<-.Call("R_vtkDataReader_ReadString",.me$obj, .result,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$LowerCase <- function( .str, .len){
    res<-.Call("R_vtkDataReader_LowerCase",.me$obj, .str, .len,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkDataReader_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkDataReader",class(.me))
  return(.me)
}
