vtkDataSetToDataObjectFilter <- function(.me=environment()){
  .me <- vtkDataObjectSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkDataSetToDataObjectFilter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkDataSetToDataObjectFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkDataSetToDataObjectFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkDataSetToDataObjectFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataSetToDataObjectFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkDataSetToDataObjectFilter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataSetToDataObjectFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGeometry <- function( ._arg){
    res<-.Call("R_vtkDataSetToDataObjectFilter_SetGeometry",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGeometry <- function(){
    res<-.Call("R_vtkDataSetToDataObjectFilter_GetGeometry",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GeometryOn <- function(){
    res<-.Call("R_vtkDataSetToDataObjectFilter_GeometryOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GeometryOff <- function(){
    res<-.Call("R_vtkDataSetToDataObjectFilter_GeometryOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTopology <- function( ._arg){
    res<-.Call("R_vtkDataSetToDataObjectFilter_SetTopology",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTopology <- function(){
    res<-.Call("R_vtkDataSetToDataObjectFilter_GetTopology",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TopologyOn <- function(){
    res<-.Call("R_vtkDataSetToDataObjectFilter_TopologyOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TopologyOff <- function(){
    res<-.Call("R_vtkDataSetToDataObjectFilter_TopologyOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFieldData <- function( ._arg){
    res<-.Call("R_vtkDataSetToDataObjectFilter_SetFieldData",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFieldData <- function(){
    res<-.Call("R_vtkDataSetToDataObjectFilter_GetFieldData",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FieldDataOn <- function(){
    res<-.Call("R_vtkDataSetToDataObjectFilter_FieldDataOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FieldDataOff <- function(){
    res<-.Call("R_vtkDataSetToDataObjectFilter_FieldDataOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPointData <- function( ._arg){
    res<-.Call("R_vtkDataSetToDataObjectFilter_SetPointData",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointData <- function(){
    res<-.Call("R_vtkDataSetToDataObjectFilter_GetPointData",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PointDataOn <- function(){
    res<-.Call("R_vtkDataSetToDataObjectFilter_PointDataOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PointDataOff <- function(){
    res<-.Call("R_vtkDataSetToDataObjectFilter_PointDataOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellData <- function( ._arg){
    res<-.Call("R_vtkDataSetToDataObjectFilter_SetCellData",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellData <- function(){
    res<-.Call("R_vtkDataSetToDataObjectFilter_GetCellData",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CellDataOn <- function(){
    res<-.Call("R_vtkDataSetToDataObjectFilter_CellDataOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CellDataOff <- function(){
    res<-.Call("R_vtkDataSetToDataObjectFilter_CellDataOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkDataSet()){
    check.VTK(.input,"vtkDataSet")
    res<-.Call("R_vtkDataSetToDataObjectFilter_SetInput",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkDataSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkDataSetToDataObjectFilter_GetInput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkDataSetToDataObjectFilter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkDataSetToDataObjectFilter",class(.me))
  return(.me)
}
