vtkDelaunay3D <- function(.me=environment()){
  .me <- vtkUnstructuredGridSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkDelaunay3D_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkDelaunay3D_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkDelaunay3D_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkDelaunay3D_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDelaunay3D(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkDelaunay3D_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDelaunay3D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAlpha <- function( ._arg){
    res<-.Call("R_vtkDelaunay3D_SetAlpha",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAlphaMinValue <- function(){
    res<-.Call("R_vtkDelaunay3D_GetAlphaMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAlphaMaxValue <- function(){
    res<-.Call("R_vtkDelaunay3D_GetAlphaMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAlpha <- function(){
    res<-.Call("R_vtkDelaunay3D_GetAlpha",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTolerance <- function( ._arg){
    res<-.Call("R_vtkDelaunay3D_SetTolerance",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetToleranceMinValue <- function(){
    res<-.Call("R_vtkDelaunay3D_GetToleranceMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetToleranceMaxValue <- function(){
    res<-.Call("R_vtkDelaunay3D_GetToleranceMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTolerance <- function(){
    res<-.Call("R_vtkDelaunay3D_GetTolerance",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOffset <- function( ._arg){
    res<-.Call("R_vtkDelaunay3D_SetOffset",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOffsetMinValue <- function(){
    res<-.Call("R_vtkDelaunay3D_GetOffsetMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOffsetMaxValue <- function(){
    res<-.Call("R_vtkDelaunay3D_GetOffsetMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOffset <- function(){
    res<-.Call("R_vtkDelaunay3D_GetOffset",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBoundingTriangulation <- function( ._arg){
    res<-.Call("R_vtkDelaunay3D_SetBoundingTriangulation",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBoundingTriangulation <- function(){
    res<-.Call("R_vtkDelaunay3D_GetBoundingTriangulation",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BoundingTriangulationOn <- function(){
    res<-.Call("R_vtkDelaunay3D_BoundingTriangulationOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BoundingTriangulationOff <- function(){
    res<-.Call("R_vtkDelaunay3D_BoundingTriangulationOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLocator <- function( .locator=vtkPointLocator()){
    check.VTK(.locator,"vtkPointLocator")
    res<-.Call("R_vtkDelaunay3D_SetLocator",.me$obj, .locator$obj,PACKAGE="RVTK.Base")
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLocator <- function(){
    res<-.Call("R_vtkDelaunay3D_GetLocator",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPointLocator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CreateDefaultLocator <- function(){
    res<-.Call("R_vtkDelaunay3D_CreateDefaultLocator",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitPointInsertion <- function( .center=as.double(rep.int(1,3)), .length, .numPtsToInsert, .points=vtkPoints()){
    check.VTK(.points,"vtkPoints")
    res<-.Call("R_vtkDelaunay3D_InitPointInsertion",.me$obj, .center, .length, .numPtsToInsert, .points$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkUnstructuredGrid(wrapenv(res$ret.val))
    res$.points <- vtkPoints(wrapenv(res$.points))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertPoint <- function( .Mesh=vtkUnstructuredGrid(), .points=vtkPoints(), .ptId, .x=as.double(rep.int(1,3)), .holeTetras=vtkIdList()){
    check.VTK(.Mesh,"vtkUnstructuredGrid")
    check.VTK(.points,"vtkPoints")
    check.VTK(.holeTetras,"vtkIdList")
    res<-.Call("R_vtkDelaunay3D_InsertPoint",.me$obj, .Mesh$obj, .points$obj, .ptId, .x, .holeTetras$obj,PACKAGE="RVTK.Base")
    res$.Mesh <- vtkUnstructuredGrid(wrapenv(res$.Mesh))
    res$.points <- vtkPoints(wrapenv(res$.points))
    res$.holeTetras <- vtkIdList(wrapenv(res$.holeTetras))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EndPointInsertion <- function(){
    res<-.Call("R_vtkDelaunay3D_EndPointInsertion",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkDelaunay3D_GetMTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkPointSet()){
    check.VTK(.input,"vtkPointSet")
    res<-.Call("R_vtkDelaunay3D_SetInput",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkPointSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkDelaunay3D_GetInput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPointSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkDelaunay3D_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkDelaunay3D",class(.me))
  return(.me)
}
