vtkDoubleArray <- function(.me=environment()){
  .me <- vtkDataArray(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkDoubleArray_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkDoubleArray_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkDoubleArray_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkDoubleArray_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDoubleArray(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkDoubleArray_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDoubleArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataType <- function(){
    res<-.Call("R_vtkDoubleArray_GetDataType",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetValue <- function( .id){
    res<-.Call("R_vtkDoubleArray_GetValue",.me$obj, .id,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetValue <- function( .id, .value){
    res<-.Call("R_vtkDoubleArray_SetValue",.me$obj, .id, .value,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfValues <- function( .number){
    res<-.Call("R_vtkDoubleArray_SetNumberOfValues",.me$obj, .number,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertValue <- function( .id, .f){
    res<-.Call("R_vtkDoubleArray_InsertValue",.me$obj, .id, .f,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertNextValue <- function( .f){
    res<-.Call("R_vtkDoubleArray_InsertNextValue",.me$obj, .f,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WritePointer <- function( .id, .number){
    res<-.Call("R_vtkDoubleArray_WritePointer",.me$obj, .id, .number,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointer <- function( .id){
    res<-.Call("R_vtkDoubleArray_GetPointer",.me$obj, .id,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetArray <- function( .array, .size, .save){
    res<-.Call("R_vtkDoubleArray_SetArray",.me$obj, .array, .size, .save,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkDoubleArray_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkDoubleArray",class(.me))
  return(.me)
}
