vtkEdgeTable <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkEdgeTable_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkEdgeTable_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkEdgeTable_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkEdgeTable_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkEdgeTable(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkEdgeTable_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkEdgeTable(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkEdgeTable_Initialize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitEdgeInsertion <- function( .numPoints, .storeAttributes){
    res<-.Call("R_vtkEdgeTable_InitEdgeInsertion",.me$obj, .numPoints, .storeAttributes,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertEdge <- function( .p1, .p2){
    res<-.Call("R_vtkEdgeTable_InsertEdge",.me$obj, .p1, .p2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertEdge_v1 <- function( .p1, .p2, .attributeId){
    res<-.Call("R_vtkEdgeTable_InsertEdge_v1",.me$obj, .p1, .p2, .attributeId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertEdge_v2 <- function( .p1, .p2, .ptr){
    res<-.Call("R_vtkEdgeTable_InsertEdge_v2",.me$obj, .p1, .p2, .ptr,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsEdge <- function( .p1, .p2){
    res<-.Call("R_vtkEdgeTable_IsEdge",.me$obj, .p1, .p2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsEdge_v1 <- function( .p1, .p2, .ptr){
    res<-.Call("R_vtkEdgeTable_IsEdge_v1",.me$obj, .p1, .p2, .ptr,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitPointInsertion <- function( .newPts=vtkPoints(), .estSize){
    check.VTK(.newPts,"vtkPoints")
    res<-.Call("R_vtkEdgeTable_InitPointInsertion",.me$obj, .newPts$obj, .estSize,PACKAGE="RVTK.Base")
    res$.newPts <- vtkPoints(wrapenv(res$.newPts))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertUniquePoint <- function( .p1, .p2, .x=as.double(rep.int(1,3)), .ptId=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkEdgeTable_InsertUniquePoint",.me$obj, .p1, .p2, .x, .ptId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfEdges <- function(){
    res<-.Call("R_vtkEdgeTable_GetNumberOfEdges",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitTraversal <- function(){
    res<-.Call("R_vtkEdgeTable_InitTraversal",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextEdge <- function( .p1=as.integer(rep.int(1,1)), .p2=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkEdgeTable_GetNextEdge",.me$obj, .p1, .p2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextEdge_v1 <- function( .p1=as.integer(rep.int(1,1)), .p2=as.integer(rep.int(1,1)), .ptr){
    res<-.Call("R_vtkEdgeTable_GetNextEdge_v1",.me$obj, .p1, .p2, .ptr,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Reset <- function(){
    res<-.Call("R_vtkEdgeTable_Reset",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkEdgeTable_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkEdgeTable",class(.me))
  return(.me)
}
