vtkExtentSplitter <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkExtentSplitter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkExtentSplitter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkExtentSplitter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkExtentSplitter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkExtentSplitter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkExtentSplitter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkExtentSplitter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddExtentSource <- function( .id, .priority, .x0, .x1, .y0, .y1, .z0, .z1){
    res<-.Call("R_vtkExtentSplitter_AddExtentSource",.me$obj, .id, .priority, .x0, .x1, .y0, .y1, .z0, .z1,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddExtentSource_v1 <- function( .id, .priority, .extent){
    res<-.Call("R_vtkExtentSplitter_AddExtentSource_v1",.me$obj, .id, .priority, .extent,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveExtentSource <- function( .id){
    res<-.Call("R_vtkExtentSplitter_RemoveExtentSource",.me$obj, .id,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveAllExtentSources <- function(){
    res<-.Call("R_vtkExtentSplitter_RemoveAllExtentSources",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddExtent <- function( .x0, .x1, .y0, .y1, .z0, .z1){
    res<-.Call("R_vtkExtentSplitter_AddExtent",.me$obj, .x0, .x1, .y0, .y1, .z0, .z1,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddExtent_v1 <- function( .extent){
    res<-.Call("R_vtkExtentSplitter_AddExtent_v1",.me$obj, .extent,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeSubExtents <- function(){
    res<-.Call("R_vtkExtentSplitter_ComputeSubExtents",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfSubExtents <- function(){
    res<-.Call("R_vtkExtentSplitter_GetNumberOfSubExtents",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSubExtent <- function( .index){
    res<-.Call("R_vtkExtentSplitter_GetSubExtent",.me$obj, .index,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSubExtent_v1 <- function( .index, .extent){
    res<-.Call("R_vtkExtentSplitter_GetSubExtent_v1",.me$obj, .index, .extent,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSubExtentSource <- function( .index){
    res<-.Call("R_vtkExtentSplitter_GetSubExtentSource",.me$obj, .index,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointMode <- function(){
    res<-.Call("R_vtkExtentSplitter_GetPointMode",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPointMode <- function( ._arg){
    res<-.Call("R_vtkExtentSplitter_SetPointMode",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PointModeOn <- function(){
    res<-.Call("R_vtkExtentSplitter_PointModeOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PointModeOff <- function(){
    res<-.Call("R_vtkExtentSplitter_PointModeOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkExtentSplitter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkExtentSplitter",class(.me))
  return(.me)
}
