vtkExtractGrid <- function(.me=environment()){
  .me <- vtkStructuredGridToStructuredGridFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkExtractGrid_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkExtractGrid_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkExtractGrid_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkExtractGrid_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkExtractGrid(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkExtractGrid_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkExtractGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVOI <- function( ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6){
    res<-.Call("R_vtkExtractGrid_SetVOI",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVOI_v1 <- function( ._arg){
    res<-.Call("R_vtkExtractGrid_SetVOI_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVOI <- function(){
    res<-.Call("R_vtkExtractGrid_GetVOI",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVOI_v1 <- function( .data){
    res<-.Call("R_vtkExtractGrid_GetVOI_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSampleRate <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkExtractGrid_SetSampleRate",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSampleRate_v1 <- function( ._arg){
    res<-.Call("R_vtkExtractGrid_SetSampleRate_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSampleRate <- function(){
    res<-.Call("R_vtkExtractGrid_GetSampleRate",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSampleRate_v1 <- function( .data){
    res<-.Call("R_vtkExtractGrid_GetSampleRate_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIncludeBoundary <- function( ._arg){
    res<-.Call("R_vtkExtractGrid_SetIncludeBoundary",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIncludeBoundary <- function(){
    res<-.Call("R_vtkExtractGrid_GetIncludeBoundary",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IncludeBoundaryOn <- function(){
    res<-.Call("R_vtkExtractGrid_IncludeBoundaryOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IncludeBoundaryOff <- function(){
    res<-.Call("R_vtkExtractGrid_IncludeBoundaryOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkExtractGrid_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkExtractGrid",class(.me))
  return(.me)
}
