vtkExtractPolyDataGeometry <- function(.me=environment()){
  .me <- vtkPolyDataToPolyDataFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkExtractPolyDataGeometry_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkExtractPolyDataGeometry_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkExtractPolyDataGeometry_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkExtractPolyDataGeometry_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkExtractPolyDataGeometry(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkExtractPolyDataGeometry_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkExtractPolyDataGeometry(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkExtractPolyDataGeometry_GetMTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetImplicitFunction <- function( ._arg=vtkImplicitFunction()){
    check.VTK(._arg,"vtkImplicitFunction")
    res<-.Call("R_vtkExtractPolyDataGeometry_SetImplicitFunction",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkImplicitFunction(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetImplicitFunction <- function(){
    res<-.Call("R_vtkExtractPolyDataGeometry_GetImplicitFunction",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImplicitFunction(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtractInside <- function( ._arg){
    res<-.Call("R_vtkExtractPolyDataGeometry_SetExtractInside",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtractInside <- function(){
    res<-.Call("R_vtkExtractPolyDataGeometry_GetExtractInside",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtractInsideOn <- function(){
    res<-.Call("R_vtkExtractPolyDataGeometry_ExtractInsideOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtractInsideOff <- function(){
    res<-.Call("R_vtkExtractPolyDataGeometry_ExtractInsideOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtractBoundaryCells <- function( ._arg){
    res<-.Call("R_vtkExtractPolyDataGeometry_SetExtractBoundaryCells",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtractBoundaryCells <- function(){
    res<-.Call("R_vtkExtractPolyDataGeometry_GetExtractBoundaryCells",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtractBoundaryCellsOn <- function(){
    res<-.Call("R_vtkExtractPolyDataGeometry_ExtractBoundaryCellsOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtractBoundaryCellsOff <- function(){
    res<-.Call("R_vtkExtractPolyDataGeometry_ExtractBoundaryCellsOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkExtractPolyDataGeometry_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkExtractPolyDataGeometry",class(.me))
  return(.me)
}
