vtkFloatArray <- function(env=environment()){
  env <- vtkDataArray(env)
  if (identical(env,environment())){
    env$obj <- .Call("R_vtkFloatArray_New")
  }
  env$GetClassName <- function(){
    res<-.Call("R_vtkFloatArray_GetClassName",env$obj)
    return(res)
  }
 
  env$IsTypeOf <- function( .type){
    .type<-as.character(.type)
    res<-.Call("R_vtkFloatArray_IsTypeOf",env$obj, .type)
    return(res)
  }
 
  env$IsA <- function( .type){
    .type<-as.character(.type)
    res<-.Call("R_vtkFloatArray_IsA",env$obj, .type)
    return(res)
  }
 
  env$SafeDownCast <- function( .o=vtkObjectBase()){
    res<-.Call("R_vtkFloatArray_SafeDownCast",env$obj, .o$obj)
    res$ret.val <- wrapvtkclass(res$ret.val,"vtkFloatArray")
    res$.o <- wrapvtkclass(res$.o,"vtkObjectBase")
    return(res)
  }
 
  env$GetDataType <- function(){
    res<-.Call("R_vtkFloatArray_GetDataType",env$obj)
    return(res)
  }
 
  env$GetValue <- function( .id){
    .id<-as.integer(dim.cast(.id,c(1)))
    res<-.Call("R_vtkFloatArray_GetValue",env$obj, .id)
    return(res)
  }
 
  env$SetValue <- function( .id, .value){
    .id<-as.integer(dim.cast(.id,c(1)))
    .value<-as.single(dim.cast(.value,c(1)))
    res<-.Call("R_vtkFloatArray_SetValue",env$obj, .id, .value)
    return(res)
  }
 
  env$SetNumberOfValues <- function( .number){
    .number<-as.integer(dim.cast(.number,c(1)))
    res<-.Call("R_vtkFloatArray_SetNumberOfValues",env$obj, .number)
    return(res)
  }
 
  env$InsertValue <- function( .id, .f){
    .id<-as.integer(dim.cast(.id,c(1)))
    .f<-as.single(dim.cast(.f,c(1)))
    res<-.Call("R_vtkFloatArray_InsertValue",env$obj, .id, .f)
    return(res)
  }
 
  env$InsertNextValue <- function( .f){
    .f<-as.single(dim.cast(.f,c(1)))
    res<-.Call("R_vtkFloatArray_InsertNextValue",env$obj, .f)
    return(res)
  }
 
  env$WritePointer <- function( .id, .number){
    .id<-as.integer(dim.cast(.id,c(1)))
    .number<-as.integer(dim.cast(.number,c(1)))
    res<-.Call("R_vtkFloatArray_WritePointer",env$obj, .id, .number)
    return(res)
  }
 
  env$GetPointer <- function( .id){
    .id<-as.integer(dim.cast(.id,c(1)))
    res<-.Call("R_vtkFloatArray_GetPointer",env$obj, .id)
    return(res)
  }
 
  env$SetArray <- function( .array, .size, .save){
    .array<-as.single(.array)
    .size<-as.integer(dim.cast(.size,c(1)))
    .save<-as.integer(dim.cast(.save,c(1)))
    res<-.Call("R_vtkFloatArray_SetArray",env$obj, .array, .size, .save)
    return(res)
  }
 
  class(env) <- c("vtkFloatArray",class(env))
  return(env)
}
