vtkHierarchicalBoxVisitor <- function(.me=environment()){
  .me <- vtkCompositeDataVisitor(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkHierarchicalBoxVisitor_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkHierarchicalBoxVisitor_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkHierarchicalBoxVisitor_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkHierarchicalBoxVisitor_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkHierarchicalBoxVisitor(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkHierarchicalBoxVisitor_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkHierarchicalBoxVisitor(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Execute <- function(){
    res<-.Call("R_vtkHierarchicalBoxVisitor_Execute",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataSet <- function( ._arg=vtkHierarchicalBoxDataSet()){
    check.VTK(._arg,"vtkHierarchicalBoxDataSet")
    res<-.Call("R_vtkHierarchicalBoxVisitor_SetDataSet",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkHierarchicalBoxDataSet(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataSet <- function(){
    res<-.Call("R_vtkHierarchicalBoxVisitor_GetDataSet",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkHierarchicalBoxDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkHierarchicalBoxVisitor_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkHierarchicalBoxVisitor",class(.me))
  return(.me)
}
