vtkHierarchicalDataSet <- function(.me=environment()){
  .me <- vtkCompositeDataSet(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkHierarchicalDataSet_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkHierarchicalDataSet_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkHierarchicalDataSet_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkHierarchicalDataSet_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkHierarchicalDataSet(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkHierarchicalDataSet_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkHierarchicalDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewIterator <- function(){
    res<-.Call("R_vtkHierarchicalDataSet_NewIterator",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCompositeDataIterator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataObjectType <- function(){
    res<-.Call("R_vtkHierarchicalDataSet_GetDataObjectType",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkHierarchicalDataSet_Initialize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfLevels <- function( .numLevels){
    res<-.Call("R_vtkHierarchicalDataSet_SetNumberOfLevels",.me$obj, .numLevels,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfLevels <- function(){
    res<-.Call("R_vtkHierarchicalDataSet_GetNumberOfLevels",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfDataSets <- function( .level, .numDataSets){
    res<-.Call("R_vtkHierarchicalDataSet_SetNumberOfDataSets",.me$obj, .level, .numDataSets,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfDataSets <- function( .level){
    res<-.Call("R_vtkHierarchicalDataSet_GetNumberOfDataSets",.me$obj, .level,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitializeNode <- function( .level, .id){
    res<-.Call("R_vtkHierarchicalDataSet_InitializeNode",.me$obj, .level, .id,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsNodePresent <- function( .level, .id){
    res<-.Call("R_vtkHierarchicalDataSet_IsNodePresent",.me$obj, .level, .id,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataSet <- function( .level, .id, .ds=vtkDataObject()){
    check.VTK(.ds,"vtkDataObject")
    res<-.Call("R_vtkHierarchicalDataSet_SetDataSet",.me$obj, .level, .id, .ds$obj,PACKAGE="RVTK.Base")
    res$.ds <- vtkDataObject(wrapenv(res$.ds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataSet <- function( .level, .id){
    res<-.Call("R_vtkHierarchicalDataSet_GetDataSet",.me$obj, .level, .id,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .src=vtkDataObject()){
    check.VTK(.src,"vtkDataObject")
    res<-.Call("R_vtkHierarchicalDataSet_ShallowCopy",.me$obj, .src$obj,PACKAGE="RVTK.Base")
    res$.src <- vtkDataObject(wrapenv(res$.src))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .src=vtkDataObject()){
    check.VTK(.src,"vtkDataObject")
    res<-.Call("R_vtkHierarchicalDataSet_DeepCopy",.me$obj, .src$obj,PACKAGE="RVTK.Base")
    res$.src <- vtkDataObject(wrapenv(res$.src))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkHierarchicalDataSet",class(.me))
  return(.me)
}
