vtkImageBlend <- function(.me=environment()){
  .me <- vtkImageMultipleInputFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageBlend_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageBlend_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageBlend_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageBlend_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageBlend(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageBlend_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageBlend(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOpacity <- function( .idx, .opacity){
    res<-.Call("R_vtkImageBlend_SetOpacity",.me$obj, .idx, .opacity,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOpacity <- function( .idx){
    res<-.Call("R_vtkImageBlend_GetOpacity",.me$obj, .idx,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStencil <- function( ._arg=vtkImageStencilData()){
    check.VTK(._arg,"vtkImageStencilData")
    res<-.Call("R_vtkImageBlend_SetStencil",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkImageStencilData(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStencil <- function(){
    res<-.Call("R_vtkImageBlend_GetStencil",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageStencilData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBlendMode <- function( ._arg){
    res<-.Call("R_vtkImageBlend_SetBlendMode",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBlendModeMinValue <- function(){
    res<-.Call("R_vtkImageBlend_GetBlendModeMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBlendModeMaxValue <- function(){
    res<-.Call("R_vtkImageBlend_GetBlendModeMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBlendMode <- function(){
    res<-.Call("R_vtkImageBlend_GetBlendMode",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBlendModeToNormal <- function(){
    res<-.Call("R_vtkImageBlend_SetBlendModeToNormal",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBlendModeToCompound <- function(){
    res<-.Call("R_vtkImageBlend_SetBlendModeToCompound",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBlendModeAsString <- function(){
    res<-.Call("R_vtkImageBlend_GetBlendModeAsString",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCompoundThreshold <- function( ._arg){
    res<-.Call("R_vtkImageBlend_SetCompoundThreshold",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCompoundThreshold <- function(){
    res<-.Call("R_vtkImageBlend_GetCompoundThreshold",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageBlend_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageBlend",class(.me))
  return(.me)
}
