vtkImageCheckerboard <- function(.me=environment()){
  .me <- vtkImageTwoInputFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageCheckerboard_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageCheckerboard_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageCheckerboard_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageCheckerboard_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageCheckerboard(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageCheckerboard_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageCheckerboard(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfDivisions <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkImageCheckerboard_SetNumberOfDivisions",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfDivisions_v1 <- function( ._arg){
    res<-.Call("R_vtkImageCheckerboard_SetNumberOfDivisions_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfDivisions <- function(){
    res<-.Call("R_vtkImageCheckerboard_GetNumberOfDivisions",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfDivisions_v1 <- function( .data){
    res<-.Call("R_vtkImageCheckerboard_GetNumberOfDivisions_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageCheckerboard_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageCheckerboard",class(.me))
  return(.me)
}
