vtkImageClip <- function(.me=environment()){
  .me <- vtkImageToImageFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageClip_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageClip_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageClip_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageClip_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageClip(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageClip_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageClip(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputWholeExtent <- function( .extent=as.integer(rep.int(1,6))){
    res<-.Call("R_vtkImageClip_SetOutputWholeExtent",.me$obj, .extent,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputWholeExtent_v1 <- function( .minX, .maxX, .minY, .maxY, .minZ, .maxZ){
    res<-.Call("R_vtkImageClip_SetOutputWholeExtent_v1",.me$obj, .minX, .maxX, .minY, .maxY, .minZ, .maxZ,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputWholeExtent <- function( .extent=as.integer(rep.int(1,6))){
    res<-.Call("R_vtkImageClip_GetOutputWholeExtent",.me$obj, .extent,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputWholeExtent_v1 <- function(){
    res<-.Call("R_vtkImageClip_GetOutputWholeExtent_v1",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ResetOutputWholeExtent <- function(){
    res<-.Call("R_vtkImageClip_ResetOutputWholeExtent",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetClipData <- function( ._arg){
    res<-.Call("R_vtkImageClip_SetClipData",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetClipData <- function(){
    res<-.Call("R_vtkImageClip_GetClipData",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClipDataOn <- function(){
    res<-.Call("R_vtkImageClip_ClipDataOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClipDataOff <- function(){
    res<-.Call("R_vtkImageClip_ClipDataOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputWholeExtent_v2 <- function( .piece, .numPieces){
    res<-.Call("R_vtkImageClip_SetOutputWholeExtent_v2",.me$obj, .piece, .numPieces,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageClip_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageClip",class(.me))
  return(.me)
}
