vtkImageConnector <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageConnector_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageConnector_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageConnector_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageConnector_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageConnector(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageConnector_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageConnector(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewSeed <- function( .index=as.integer(rep.int(1,3)), .ptr){
    res<-.Call("R_vtkImageConnector_NewSeed",.me$obj, .index, .ptr,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageConnectorSeed(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddSeed <- function( .seed=vtkImageConnectorSeed()){
    check.VTK(.seed,"vtkImageConnectorSeed")
    res<-.Call("R_vtkImageConnector_AddSeed",.me$obj, .seed$obj,PACKAGE="RVTK.Base")
    res$.seed <- vtkImageConnectorSeed(wrapenv(res$.seed))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddSeedToEnd <- function( .seed=vtkImageConnectorSeed()){
    check.VTK(.seed,"vtkImageConnectorSeed")
    res<-.Call("R_vtkImageConnector_AddSeedToEnd",.me$obj, .seed$obj,PACKAGE="RVTK.Base")
    res$.seed <- vtkImageConnectorSeed(wrapenv(res$.seed))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveAllSeeds <- function(){
    res<-.Call("R_vtkImageConnector_RemoveAllSeeds",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetConnectedValue <- function( ._arg){
    res<-.Call("R_vtkImageConnector_SetConnectedValue",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetConnectedValue <- function(){
    res<-.Call("R_vtkImageConnector_GetConnectedValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUnconnectedValue <- function( ._arg){
    res<-.Call("R_vtkImageConnector_SetUnconnectedValue",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUnconnectedValue <- function(){
    res<-.Call("R_vtkImageConnector_GetUnconnectedValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MarkData <- function( .data=vtkImageData(), .numberOfAxes, .extent=as.integer(rep.int(1,6))){
    check.VTK(.data,"vtkImageData")
    res<-.Call("R_vtkImageConnector_MarkData",.me$obj, .data$obj, .numberOfAxes, .extent,PACKAGE="RVTK.Base")
    res$.data <- vtkImageData(wrapenv(res$.data))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageConnector_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageConnector",class(.me))
  return(.me)
}
