vtkImageDifference <- function(.me=environment()){
  .me <- vtkImageTwoInputFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageDifference_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageDifference_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageDifference_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageDifference_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageDifference(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageDifference_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageDifference(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetImage <- function( .image=vtkImageData()){
    check.VTK(.image,"vtkImageData")
    res<-.Call("R_vtkImageDifference_SetImage",.me$obj, .image$obj,PACKAGE="RVTK.Base")
    res$.image <- vtkImageData(wrapenv(res$.image))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetImage <- function(){
    res<-.Call("R_vtkImageDifference_GetImage",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkImageData()){
    check.VTK(.input,"vtkImageData")
    res<-.Call("R_vtkImageDifference_SetInput",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkImageData(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput_v1 <- function( .num, .input=vtkImageData()){
    check.VTK(.input,"vtkImageData")
    res<-.Call("R_vtkImageDifference_SetInput_v1",.me$obj, .num, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkImageData(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetError <- function(){
    res<-.Call("R_vtkImageDifference_GetError",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetError_v1 <- function( .e){
    res<-.Call("R_vtkImageDifference_GetError_v1",.me$obj, .e,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetThresholdedError <- function(){
    res<-.Call("R_vtkImageDifference_GetThresholdedError",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetThresholdedError_v1 <- function( .e){
    res<-.Call("R_vtkImageDifference_GetThresholdedError_v1",.me$obj, .e,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetThreshold <- function( ._arg){
    res<-.Call("R_vtkImageDifference_SetThreshold",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetThreshold <- function(){
    res<-.Call("R_vtkImageDifference_GetThreshold",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAllowShift <- function( ._arg){
    res<-.Call("R_vtkImageDifference_SetAllowShift",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAllowShift <- function(){
    res<-.Call("R_vtkImageDifference_GetAllowShift",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AllowShiftOn <- function(){
    res<-.Call("R_vtkImageDifference_AllowShiftOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AllowShiftOff <- function(){
    res<-.Call("R_vtkImageDifference_AllowShiftOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAveraging <- function( ._arg){
    res<-.Call("R_vtkImageDifference_SetAveraging",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAveraging <- function(){
    res<-.Call("R_vtkImageDifference_GetAveraging",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AveragingOn <- function(){
    res<-.Call("R_vtkImageDifference_AveragingOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AveragingOff <- function(){
    res<-.Call("R_vtkImageDifference_AveragingOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageDifference_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageDifference",class(.me))
  return(.me)
}
