vtkImageEuclideanDistance <- function(.me=environment()){
  .me <- vtkImageDecomposeFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageEuclideanDistance_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageEuclideanDistance_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageEuclideanDistance_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageEuclideanDistance_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageEuclideanDistance(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageEuclideanDistance_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageEuclideanDistance(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SplitExtent <- function( .splitExt=as.integer(rep.int(1,6)), .startExt=as.integer(rep.int(1,6)), .num, .total){
    res<-.Call("R_vtkImageEuclideanDistance_SplitExtent",.me$obj, .splitExt, .startExt, .num, .total,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInitialize <- function( ._arg){
    res<-.Call("R_vtkImageEuclideanDistance_SetInitialize",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInitialize <- function(){
    res<-.Call("R_vtkImageEuclideanDistance_GetInitialize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitializeOn <- function(){
    res<-.Call("R_vtkImageEuclideanDistance_InitializeOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitializeOff <- function(){
    res<-.Call("R_vtkImageEuclideanDistance_InitializeOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetConsiderAnisotropy <- function( ._arg){
    res<-.Call("R_vtkImageEuclideanDistance_SetConsiderAnisotropy",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetConsiderAnisotropy <- function(){
    res<-.Call("R_vtkImageEuclideanDistance_GetConsiderAnisotropy",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ConsiderAnisotropyOn <- function(){
    res<-.Call("R_vtkImageEuclideanDistance_ConsiderAnisotropyOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ConsiderAnisotropyOff <- function(){
    res<-.Call("R_vtkImageEuclideanDistance_ConsiderAnisotropyOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumDistance <- function( ._arg){
    res<-.Call("R_vtkImageEuclideanDistance_SetMaximumDistance",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumDistance <- function(){
    res<-.Call("R_vtkImageEuclideanDistance_GetMaximumDistance",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAlgorithm <- function( ._arg){
    res<-.Call("R_vtkImageEuclideanDistance_SetAlgorithm",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAlgorithm <- function(){
    res<-.Call("R_vtkImageEuclideanDistance_GetAlgorithm",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAlgorithmToSaito <- function(){
    res<-.Call("R_vtkImageEuclideanDistance_SetAlgorithmToSaito",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAlgorithmToSaitoCached <- function(){
    res<-.Call("R_vtkImageEuclideanDistance_SetAlgorithmToSaitoCached",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IterativeExecuteData <- function( .inData=vtkImageData(), .outData=vtkImageData()){
    check.VTK(.inData,"vtkImageData")
    check.VTK(.outData,"vtkImageData")
    res<-.Call("R_vtkImageEuclideanDistance_IterativeExecuteData",.me$obj, .inData$obj, .outData$obj,PACKAGE="RVTK.Base")
    res$.inData <- vtkImageData(wrapenv(res$.inData))
    res$.outData <- vtkImageData(wrapenv(res$.outData))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageEuclideanDistance_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageEuclideanDistance",class(.me))
  return(.me)
}
