vtkImageLogic <- function(.me=environment()){
  .me <- vtkImageTwoInputFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageLogic_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageLogic_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageLogic_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageLogic_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageLogic(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageLogic_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageLogic(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOperation <- function( ._arg){
    res<-.Call("R_vtkImageLogic_SetOperation",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOperation <- function(){
    res<-.Call("R_vtkImageLogic_GetOperation",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOperationToAnd <- function(){
    res<-.Call("R_vtkImageLogic_SetOperationToAnd",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOperationToOr <- function(){
    res<-.Call("R_vtkImageLogic_SetOperationToOr",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOperationToXor <- function(){
    res<-.Call("R_vtkImageLogic_SetOperationToXor",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOperationToNand <- function(){
    res<-.Call("R_vtkImageLogic_SetOperationToNand",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOperationToNor <- function(){
    res<-.Call("R_vtkImageLogic_SetOperationToNor",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOperationToNot <- function(){
    res<-.Call("R_vtkImageLogic_SetOperationToNot",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputTrueValue <- function( ._arg){
    res<-.Call("R_vtkImageLogic_SetOutputTrueValue",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputTrueValue <- function(){
    res<-.Call("R_vtkImageLogic_GetOutputTrueValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageLogic_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageLogic",class(.me))
  return(.me)
}
