vtkImageMask <- function(.me=environment()){
  .me <- vtkImageTwoInputFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageMask_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageMask_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageMask_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageMask_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageMask(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageMask_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageMask(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaskedOutputValue <- function( .num, .v){
    res<-.Call("R_vtkImageMask_SetMaskedOutputValue",.me$obj, .num, .v,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaskedOutputValue_v1 <- function( .v){
    res<-.Call("R_vtkImageMask_SetMaskedOutputValue_v1",.me$obj, .v,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaskedOutputValue_v2 <- function( .v1, .v2){
    res<-.Call("R_vtkImageMask_SetMaskedOutputValue_v2",.me$obj, .v1, .v2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaskedOutputValue_v3 <- function( .v1, .v2, .v3){
    res<-.Call("R_vtkImageMask_SetMaskedOutputValue_v3",.me$obj, .v1, .v2, .v3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaskedOutputValue <- function(){
    res<-.Call("R_vtkImageMask_GetMaskedOutputValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaskedOutputValueLength <- function(){
    res<-.Call("R_vtkImageMask_GetMaskedOutputValueLength",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaskAlpha <- function( ._arg){
    res<-.Call("R_vtkImageMask_SetMaskAlpha",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaskAlphaMinValue <- function(){
    res<-.Call("R_vtkImageMask_GetMaskAlphaMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaskAlphaMaxValue <- function(){
    res<-.Call("R_vtkImageMask_GetMaskAlphaMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaskAlpha <- function(){
    res<-.Call("R_vtkImageMask_GetMaskAlpha",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetImageInput <- function( .in=vtkImageData()){
    check.VTK(.in,"vtkImageData")
    res<-.Call("R_vtkImageMask_SetImageInput",.me$obj, .in$obj,PACKAGE="RVTK.Base")
    res$.in <- vtkImageData(wrapenv(res$.in))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaskInput <- function( .in=vtkImageData()){
    check.VTK(.in,"vtkImageData")
    res<-.Call("R_vtkImageMask_SetMaskInput",.me$obj, .in$obj,PACKAGE="RVTK.Base")
    res$.in <- vtkImageData(wrapenv(res$.in))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNotMask <- function( ._arg){
    res<-.Call("R_vtkImageMask_SetNotMask",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNotMask <- function(){
    res<-.Call("R_vtkImageMask_GetNotMask",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NotMaskOn <- function(){
    res<-.Call("R_vtkImageMask_NotMaskOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NotMaskOff <- function(){
    res<-.Call("R_vtkImageMask_NotMaskOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageMask_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageMask",class(.me))
  return(.me)
}
