vtkImageMedian3D <- function(.me=environment()){
  .me <- vtkImageSpatialFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageMedian3D_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageMedian3D_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageMedian3D_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageMedian3D_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageMedian3D(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageMedian3D_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageMedian3D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKernelSize <- function( .size0, .size1, .size2){
    res<-.Call("R_vtkImageMedian3D_SetKernelSize",.me$obj, .size0, .size1, .size2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfElements <- function(){
    res<-.Call("R_vtkImageMedian3D_GetNumberOfElements",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInputScalarsSelection <- function(){
    res<-.Call("R_vtkImageMedian3D_GetInputScalarsSelection",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SelectInputScalars <- function( .fieldName){
    res<-.Call("R_vtkImageMedian3D_SelectInputScalars",.me$obj, .fieldName,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageMedian3D_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageMedian3D",class(.me))
  return(.me)
}
