vtkImageReslice <- function(.me=environment()){
  .me <- vtkImageToImageFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageReslice_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageReslice_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageReslice_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageReslice_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageReslice(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageReslice_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageReslice(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResliceAxes <- function( ._arg=vtkMatrix4x4()){
    check.VTK(._arg,"vtkMatrix4x4")
    res<-.Call("R_vtkImageReslice_SetResliceAxes",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkMatrix4x4(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResliceAxes <- function(){
    res<-.Call("R_vtkImageReslice_GetResliceAxes",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMatrix4x4(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResliceAxesDirectionCosines <- function( .x0, .x1, .x2, .y0, .y1, .y2, .z0, .z1, .z2){
    res<-.Call("R_vtkImageReslice_SetResliceAxesDirectionCosines",.me$obj, .x0, .x1, .x2, .y0, .y1, .y2, .z0, .z1, .z2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResliceAxesDirectionCosines_v1 <- function( .x, .y, .z){
    res<-.Call("R_vtkImageReslice_SetResliceAxesDirectionCosines_v1",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResliceAxesDirectionCosines_v2 <- function( .xyz){
    res<-.Call("R_vtkImageReslice_SetResliceAxesDirectionCosines_v2",.me$obj, .xyz,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResliceAxesDirectionCosines <- function( .xdircos=as.double(rep.int(1,3)), .ydircos=as.double(rep.int(1,3)), .zdircos=as.double(rep.int(1,3))){
    res<-.Call("R_vtkImageReslice_GetResliceAxesDirectionCosines",.me$obj, .xdircos, .ydircos, .zdircos,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResliceAxesDirectionCosines_v1 <- function( .xyz=as.double(rep.int(1,9))){
    res<-.Call("R_vtkImageReslice_GetResliceAxesDirectionCosines_v1",.me$obj, .xyz,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResliceAxesDirectionCosines_v2 <- function(){
    res<-.Call("R_vtkImageReslice_GetResliceAxesDirectionCosines_v2",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResliceAxesOrigin <- function( .x, .y, .z){
    res<-.Call("R_vtkImageReslice_SetResliceAxesOrigin",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResliceAxesOrigin_v1 <- function( .xyz){
    res<-.Call("R_vtkImageReslice_SetResliceAxesOrigin_v1",.me$obj, .xyz,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResliceAxesOrigin <- function( .origin=as.double(rep.int(1,3))){
    res<-.Call("R_vtkImageReslice_GetResliceAxesOrigin",.me$obj, .origin,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResliceAxesOrigin_v1 <- function(){
    res<-.Call("R_vtkImageReslice_GetResliceAxesOrigin_v1",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResliceTransform <- function( ._arg=vtkAbstractTransform()){
    check.VTK(._arg,"vtkAbstractTransform")
    res<-.Call("R_vtkImageReslice_SetResliceTransform",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkAbstractTransform(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResliceTransform <- function(){
    res<-.Call("R_vtkImageReslice_GetResliceTransform",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAbstractTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInformationInput <- function( ._arg=vtkImageData()){
    check.VTK(._arg,"vtkImageData")
    res<-.Call("R_vtkImageReslice_SetInformationInput",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkImageData(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInformationInput <- function(){
    res<-.Call("R_vtkImageReslice_GetInformationInput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTransformInputSampling <- function( ._arg){
    res<-.Call("R_vtkImageReslice_SetTransformInputSampling",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformInputSamplingOn <- function(){
    res<-.Call("R_vtkImageReslice_TransformInputSamplingOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformInputSamplingOff <- function(){
    res<-.Call("R_vtkImageReslice_TransformInputSamplingOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTransformInputSampling <- function(){
    res<-.Call("R_vtkImageReslice_GetTransformInputSampling",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAutoCropOutput <- function( ._arg){
    res<-.Call("R_vtkImageReslice_SetAutoCropOutput",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AutoCropOutputOn <- function(){
    res<-.Call("R_vtkImageReslice_AutoCropOutputOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AutoCropOutputOff <- function(){
    res<-.Call("R_vtkImageReslice_AutoCropOutputOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAutoCropOutput <- function(){
    res<-.Call("R_vtkImageReslice_GetAutoCropOutput",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWrap <- function( ._arg){
    res<-.Call("R_vtkImageReslice_SetWrap",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWrap <- function(){
    res<-.Call("R_vtkImageReslice_GetWrap",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WrapOn <- function(){
    res<-.Call("R_vtkImageReslice_WrapOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WrapOff <- function(){
    res<-.Call("R_vtkImageReslice_WrapOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMirror <- function( ._arg){
    res<-.Call("R_vtkImageReslice_SetMirror",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMirror <- function(){
    res<-.Call("R_vtkImageReslice_GetMirror",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MirrorOn <- function(){
    res<-.Call("R_vtkImageReslice_MirrorOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MirrorOff <- function(){
    res<-.Call("R_vtkImageReslice_MirrorOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationMode <- function( ._arg){
    res<-.Call("R_vtkImageReslice_SetInterpolationMode",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolationMode <- function(){
    res<-.Call("R_vtkImageReslice_GetInterpolationMode",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationModeToNearestNeighbor <- function(){
    res<-.Call("R_vtkImageReslice_SetInterpolationModeToNearestNeighbor",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationModeToLinear <- function(){
    res<-.Call("R_vtkImageReslice_SetInterpolationModeToLinear",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationModeToCubic <- function(){
    res<-.Call("R_vtkImageReslice_SetInterpolationModeToCubic",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolationModeAsString <- function(){
    res<-.Call("R_vtkImageReslice_GetInterpolationModeAsString",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOptimization <- function( ._arg){
    res<-.Call("R_vtkImageReslice_SetOptimization",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOptimization <- function(){
    res<-.Call("R_vtkImageReslice_GetOptimization",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OptimizationOn <- function(){
    res<-.Call("R_vtkImageReslice_OptimizationOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OptimizationOff <- function(){
    res<-.Call("R_vtkImageReslice_OptimizationOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBackgroundColor <- function( ._arg1, ._arg2, ._arg3, ._arg4){
    res<-.Call("R_vtkImageReslice_SetBackgroundColor",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBackgroundColor_v1 <- function( ._arg){
    res<-.Call("R_vtkImageReslice_SetBackgroundColor_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBackgroundColor <- function(){
    res<-.Call("R_vtkImageReslice_GetBackgroundColor",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBackgroundColor_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1)), ._arg4=as.double(rep.int(1,1))){
    res<-.Call("R_vtkImageReslice_GetBackgroundColor_v1",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBackgroundColor_v2 <- function( ._arg){
    res<-.Call("R_vtkImageReslice_GetBackgroundColor_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBackgroundLevel <- function( .v){
    res<-.Call("R_vtkImageReslice_SetBackgroundLevel",.me$obj, .v,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBackgroundLevel <- function(){
    res<-.Call("R_vtkImageReslice_GetBackgroundLevel",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputSpacing <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkImageReslice_SetOutputSpacing",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputSpacing_v1 <- function( ._arg){
    res<-.Call("R_vtkImageReslice_SetOutputSpacing_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputSpacing <- function(){
    res<-.Call("R_vtkImageReslice_GetOutputSpacing",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputSpacing_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1))){
    res<-.Call("R_vtkImageReslice_GetOutputSpacing_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputSpacing_v2 <- function( ._arg){
    res<-.Call("R_vtkImageReslice_GetOutputSpacing_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputSpacingToDefault <- function(){
    res<-.Call("R_vtkImageReslice_SetOutputSpacingToDefault",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputOrigin <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkImageReslice_SetOutputOrigin",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputOrigin_v1 <- function( ._arg){
    res<-.Call("R_vtkImageReslice_SetOutputOrigin_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputOrigin <- function(){
    res<-.Call("R_vtkImageReslice_GetOutputOrigin",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputOrigin_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1))){
    res<-.Call("R_vtkImageReslice_GetOutputOrigin_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputOrigin_v2 <- function( ._arg){
    res<-.Call("R_vtkImageReslice_GetOutputOrigin_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputOriginToDefault <- function(){
    res<-.Call("R_vtkImageReslice_SetOutputOriginToDefault",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputExtent <- function( ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6){
    res<-.Call("R_vtkImageReslice_SetOutputExtent",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputExtent_v1 <- function( ._arg){
    res<-.Call("R_vtkImageReslice_SetOutputExtent_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputExtent <- function(){
    res<-.Call("R_vtkImageReslice_GetOutputExtent",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputExtent_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1)), ._arg3=as.integer(rep.int(1,1)), ._arg4=as.integer(rep.int(1,1)), ._arg5=as.integer(rep.int(1,1)), ._arg6=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkImageReslice_GetOutputExtent_v1",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputExtent_v2 <- function( ._arg){
    res<-.Call("R_vtkImageReslice_GetOutputExtent_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputExtentToDefault <- function(){
    res<-.Call("R_vtkImageReslice_SetOutputExtentToDefault",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputDimensionality <- function( ._arg){
    res<-.Call("R_vtkImageReslice_SetOutputDimensionality",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputDimensionality <- function(){
    res<-.Call("R_vtkImageReslice_GetOutputDimensionality",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkImageReslice_GetMTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolate <- function( .t){
    res<-.Call("R_vtkImageReslice_SetInterpolate",.me$obj, .t,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InterpolateOn <- function(){
    res<-.Call("R_vtkImageReslice_InterpolateOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InterpolateOff <- function(){
    res<-.Call("R_vtkImageReslice_InterpolateOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolate <- function(){
    res<-.Call("R_vtkImageReslice_GetInterpolate",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStencil <- function( .stencil=vtkImageStencilData()){
    check.VTK(.stencil,"vtkImageStencilData")
    res<-.Call("R_vtkImageReslice_SetStencil",.me$obj, .stencil$obj,PACKAGE="RVTK.Base")
    res$.stencil <- vtkImageStencilData(wrapenv(res$.stencil))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStencil <- function(){
    res<-.Call("R_vtkImageReslice_GetStencil",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageStencilData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageReslice_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageReslice",class(.me))
  return(.me)
}
