vtkImageSeedConnectivity <- function(.me=environment()){
  .me <- vtkImageToImageFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageSeedConnectivity_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageSeedConnectivity_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageSeedConnectivity_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageSeedConnectivity_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageSeedConnectivity(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageSeedConnectivity_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageSeedConnectivity(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveAllSeeds <- function(){
    res<-.Call("R_vtkImageSeedConnectivity_RemoveAllSeeds",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddSeed <- function( .num, .index){
    res<-.Call("R_vtkImageSeedConnectivity_AddSeed",.me$obj, .num, .index,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddSeed_v1 <- function( .i0, .i1, .i2){
    res<-.Call("R_vtkImageSeedConnectivity_AddSeed_v1",.me$obj, .i0, .i1, .i2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddSeed_v2 <- function( .i0, .i1){
    res<-.Call("R_vtkImageSeedConnectivity_AddSeed_v2",.me$obj, .i0, .i1,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInputConnectValue <- function( ._arg){
    res<-.Call("R_vtkImageSeedConnectivity_SetInputConnectValue",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInputConnectValue <- function(){
    res<-.Call("R_vtkImageSeedConnectivity_GetInputConnectValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputConnectedValue <- function( ._arg){
    res<-.Call("R_vtkImageSeedConnectivity_SetOutputConnectedValue",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputConnectedValue <- function(){
    res<-.Call("R_vtkImageSeedConnectivity_GetOutputConnectedValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputUnconnectedValue <- function( ._arg){
    res<-.Call("R_vtkImageSeedConnectivity_SetOutputUnconnectedValue",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputUnconnectedValue <- function(){
    res<-.Call("R_vtkImageSeedConnectivity_GetOutputUnconnectedValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetConnector <- function(){
    res<-.Call("R_vtkImageSeedConnectivity_GetConnector",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageConnector(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDimensionality <- function( ._arg){
    res<-.Call("R_vtkImageSeedConnectivity_SetDimensionality",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDimensionality <- function(){
    res<-.Call("R_vtkImageSeedConnectivity_GetDimensionality",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageSeedConnectivity_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageSeedConnectivity",class(.me))
  return(.me)
}
