vtkImageSkeleton2D <- function(.me=environment()){
  .me <- vtkImageIterateFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageSkeleton2D_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageSkeleton2D_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageSkeleton2D_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageSkeleton2D_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageSkeleton2D(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageSkeleton2D_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageSkeleton2D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPrune <- function( ._arg){
    res<-.Call("R_vtkImageSkeleton2D_SetPrune",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPrune <- function(){
    res<-.Call("R_vtkImageSkeleton2D_GetPrune",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PruneOn <- function(){
    res<-.Call("R_vtkImageSkeleton2D_PruneOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PruneOff <- function(){
    res<-.Call("R_vtkImageSkeleton2D_PruneOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfIterations <- function( .num){
    res<-.Call("R_vtkImageSkeleton2D_SetNumberOfIterations",.me$obj, .num,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IterativeExecuteData <- function( .in=vtkImageData(), .out=vtkImageData()){
    check.VTK(.in,"vtkImageData")
    check.VTK(.out,"vtkImageData")
    res<-.Call("R_vtkImageSkeleton2D_IterativeExecuteData",.me$obj, .in$obj, .out$obj,PACKAGE="RVTK.Base")
    res$.in <- vtkImageData(wrapenv(res$.in))
    res$.out <- vtkImageData(wrapenv(res$.out))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageSkeleton2D_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageSkeleton2D",class(.me))
  return(.me)
}
