vtkImageThreshold <- function(.me=environment()){
  .me <- vtkImageToImageFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageThreshold_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageThreshold_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageThreshold_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageThreshold_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageThreshold(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageThreshold_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImageThreshold(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ThresholdByUpper <- function( .thresh){
    res<-.Call("R_vtkImageThreshold_ThresholdByUpper",.me$obj, .thresh,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ThresholdByLower <- function( .thresh){
    res<-.Call("R_vtkImageThreshold_ThresholdByLower",.me$obj, .thresh,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ThresholdBetween <- function( .lower, .upper){
    res<-.Call("R_vtkImageThreshold_ThresholdBetween",.me$obj, .lower, .upper,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetReplaceIn <- function( ._arg){
    res<-.Call("R_vtkImageThreshold_SetReplaceIn",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetReplaceIn <- function(){
    res<-.Call("R_vtkImageThreshold_GetReplaceIn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReplaceInOn <- function(){
    res<-.Call("R_vtkImageThreshold_ReplaceInOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReplaceInOff <- function(){
    res<-.Call("R_vtkImageThreshold_ReplaceInOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInValue <- function( .val){
    res<-.Call("R_vtkImageThreshold_SetInValue",.me$obj, .val,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInValue <- function(){
    res<-.Call("R_vtkImageThreshold_GetInValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetReplaceOut <- function( ._arg){
    res<-.Call("R_vtkImageThreshold_SetReplaceOut",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetReplaceOut <- function(){
    res<-.Call("R_vtkImageThreshold_GetReplaceOut",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReplaceOutOn <- function(){
    res<-.Call("R_vtkImageThreshold_ReplaceOutOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReplaceOutOff <- function(){
    res<-.Call("R_vtkImageThreshold_ReplaceOutOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutValue <- function( .val){
    res<-.Call("R_vtkImageThreshold_SetOutValue",.me$obj, .val,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutValue <- function(){
    res<-.Call("R_vtkImageThreshold_GetOutValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpperThreshold <- function(){
    res<-.Call("R_vtkImageThreshold_GetUpperThreshold",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLowerThreshold <- function(){
    res<-.Call("R_vtkImageThreshold_GetLowerThreshold",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputScalarType <- function( ._arg){
    res<-.Call("R_vtkImageThreshold_SetOutputScalarType",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputScalarType <- function(){
    res<-.Call("R_vtkImageThreshold_GetOutputScalarType",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputScalarTypeToDouble <- function(){
    res<-.Call("R_vtkImageThreshold_SetOutputScalarTypeToDouble",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputScalarTypeToFloat <- function(){
    res<-.Call("R_vtkImageThreshold_SetOutputScalarTypeToFloat",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputScalarTypeToLong <- function(){
    res<-.Call("R_vtkImageThreshold_SetOutputScalarTypeToLong",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputScalarTypeToUnsignedLong <- function(){
    res<-.Call("R_vtkImageThreshold_SetOutputScalarTypeToUnsignedLong",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputScalarTypeToInt <- function(){
    res<-.Call("R_vtkImageThreshold_SetOutputScalarTypeToInt",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputScalarTypeToUnsignedInt <- function(){
    res<-.Call("R_vtkImageThreshold_SetOutputScalarTypeToUnsignedInt",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputScalarTypeToShort <- function(){
    res<-.Call("R_vtkImageThreshold_SetOutputScalarTypeToShort",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputScalarTypeToUnsignedShort <- function(){
    res<-.Call("R_vtkImageThreshold_SetOutputScalarTypeToUnsignedShort",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputScalarTypeToChar <- function(){
    res<-.Call("R_vtkImageThreshold_SetOutputScalarTypeToChar",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputScalarTypeToUnsignedChar <- function(){
    res<-.Call("R_vtkImageThreshold_SetOutputScalarTypeToUnsignedChar",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageThreshold_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageThreshold",class(.me))
  return(.me)
}
