vtkImplicitDataSet <- function(.me=environment()){
  .me <- vtkImplicitFunction(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImplicitDataSet_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImplicitDataSet_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImplicitDataSet_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImplicitDataSet_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImplicitDataSet(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImplicitDataSet_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkImplicitDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkImplicitDataSet_GetMTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluateFunction <- function( .x=as.double(rep.int(1,3))){
    res<-.Call("R_vtkImplicitDataSet_EvaluateFunction",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluateFunction_v1 <- function( .x, .y, .z){
    res<-.Call("R_vtkImplicitDataSet_EvaluateFunction_v1",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluateGradient <- function( .x=as.double(rep.int(1,3)), .n=as.double(rep.int(1,3))){
    res<-.Call("R_vtkImplicitDataSet_EvaluateGradient",.me$obj, .x, .n,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataSet <- function( ._arg=vtkDataSet()){
    check.VTK(._arg,"vtkDataSet")
    res<-.Call("R_vtkImplicitDataSet_SetDataSet",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkDataSet(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataSet <- function(){
    res<-.Call("R_vtkImplicitDataSet_GetDataSet",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutValue <- function( ._arg){
    res<-.Call("R_vtkImplicitDataSet_SetOutValue",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutValue <- function(){
    res<-.Call("R_vtkImplicitDataSet_GetOutValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutGradient <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkImplicitDataSet_SetOutGradient",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutGradient_v1 <- function( ._arg){
    res<-.Call("R_vtkImplicitDataSet_SetOutGradient_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutGradient <- function(){
    res<-.Call("R_vtkImplicitDataSet_GetOutGradient",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutGradient_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1))){
    res<-.Call("R_vtkImplicitDataSet_GetOutGradient_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutGradient_v2 <- function( ._arg){
    res<-.Call("R_vtkImplicitDataSet_GetOutGradient_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImplicitDataSet_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImplicitDataSet",class(.me))
  return(.me)
}
