vtkLinearExtrusionFilter <- function(.me=environment()){
  .me <- vtkPolyDataToPolyDataFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkLinearExtrusionFilter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkLinearExtrusionFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkLinearExtrusionFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkLinearExtrusionFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkLinearExtrusionFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkLinearExtrusionFilter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkLinearExtrusionFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtrusionType <- function( ._arg){
    res<-.Call("R_vtkLinearExtrusionFilter_SetExtrusionType",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtrusionTypeMinValue <- function(){
    res<-.Call("R_vtkLinearExtrusionFilter_GetExtrusionTypeMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtrusionTypeMaxValue <- function(){
    res<-.Call("R_vtkLinearExtrusionFilter_GetExtrusionTypeMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtrusionType <- function(){
    res<-.Call("R_vtkLinearExtrusionFilter_GetExtrusionType",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtrusionTypeToVectorExtrusion <- function(){
    res<-.Call("R_vtkLinearExtrusionFilter_SetExtrusionTypeToVectorExtrusion",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtrusionTypeToNormalExtrusion <- function(){
    res<-.Call("R_vtkLinearExtrusionFilter_SetExtrusionTypeToNormalExtrusion",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtrusionTypeToPointExtrusion <- function(){
    res<-.Call("R_vtkLinearExtrusionFilter_SetExtrusionTypeToPointExtrusion",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCapping <- function( ._arg){
    res<-.Call("R_vtkLinearExtrusionFilter_SetCapping",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCapping <- function(){
    res<-.Call("R_vtkLinearExtrusionFilter_GetCapping",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CappingOn <- function(){
    res<-.Call("R_vtkLinearExtrusionFilter_CappingOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CappingOff <- function(){
    res<-.Call("R_vtkLinearExtrusionFilter_CappingOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScaleFactor <- function( ._arg){
    res<-.Call("R_vtkLinearExtrusionFilter_SetScaleFactor",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScaleFactor <- function(){
    res<-.Call("R_vtkLinearExtrusionFilter_GetScaleFactor",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVector <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkLinearExtrusionFilter_SetVector",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVector_v1 <- function( ._arg){
    res<-.Call("R_vtkLinearExtrusionFilter_SetVector_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVector <- function(){
    res<-.Call("R_vtkLinearExtrusionFilter_GetVector",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVector_v1 <- function( .data){
    res<-.Call("R_vtkLinearExtrusionFilter_GetVector_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtrusionPoint <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkLinearExtrusionFilter_SetExtrusionPoint",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtrusionPoint_v1 <- function( ._arg){
    res<-.Call("R_vtkLinearExtrusionFilter_SetExtrusionPoint_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtrusionPoint <- function(){
    res<-.Call("R_vtkLinearExtrusionFilter_GetExtrusionPoint",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtrusionPoint_v1 <- function( .data){
    res<-.Call("R_vtkLinearExtrusionFilter_GetExtrusionPoint_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkLinearExtrusionFilter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkLinearExtrusionFilter",class(.me))
  return(.me)
}
