vtkMaskFields <- function(.me=environment()){
  .me <- vtkDataSetToDataSetFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkMaskFields_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkMaskFields_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkMaskFields_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkMaskFields_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMaskFields(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkMaskFields_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMaskFields(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyFieldOn <- function( .fieldLocation, .name){
    res<-.Call("R_vtkMaskFields_CopyFieldOn",.me$obj, .fieldLocation, .name,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyFieldOff <- function( .fieldLocation, .name){
    res<-.Call("R_vtkMaskFields_CopyFieldOff",.me$obj, .fieldLocation, .name,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyAttributeOn <- function( .attributeLocation, .attributeType){
    res<-.Call("R_vtkMaskFields_CopyAttributeOn",.me$obj, .attributeLocation, .attributeType,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyAttributeOff <- function( .attributeLocation, .attributeType){
    res<-.Call("R_vtkMaskFields_CopyAttributeOff",.me$obj, .attributeLocation, .attributeType,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyFieldsOff <- function(){
    res<-.Call("R_vtkMaskFields_CopyFieldsOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyAttributesOff <- function(){
    res<-.Call("R_vtkMaskFields_CopyAttributesOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyFieldsOn <- function(){
    res<-.Call("R_vtkMaskFields_CopyFieldsOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyAttributesOn <- function(){
    res<-.Call("R_vtkMaskFields_CopyAttributesOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyAttributeOn_v1 <- function( .attributeLoc, .attributeType){
    res<-.Call("R_vtkMaskFields_CopyAttributeOn_v1",.me$obj, .attributeLoc, .attributeType,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyAttributeOff_v1 <- function( .attributeLoc, .attributeType){
    res<-.Call("R_vtkMaskFields_CopyAttributeOff_v1",.me$obj, .attributeLoc, .attributeType,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyFieldOn_v1 <- function( .fieldLoc, .name){
    res<-.Call("R_vtkMaskFields_CopyFieldOn_v1",.me$obj, .fieldLoc, .name,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyFieldOff_v1 <- function( .fieldLoc, .name){
    res<-.Call("R_vtkMaskFields_CopyFieldOff_v1",.me$obj, .fieldLoc, .name,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyAllOn <- function(){
    res<-.Call("R_vtkMaskFields_CopyAllOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyAllOff <- function(){
    res<-.Call("R_vtkMaskFields_CopyAllOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkMaskFields_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkMaskFields",class(.me))
  return(.me)
}
