vtkMultiBlockDataSet <- function(.me=environment()){
  .me <- vtkCompositeDataSet(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkMultiBlockDataSet_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkMultiBlockDataSet_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkMultiBlockDataSet_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkMultiBlockDataSet_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMultiBlockDataSet(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkMultiBlockDataSet_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMultiBlockDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewIterator <- function(){
    res<-.Call("R_vtkMultiBlockDataSet_NewIterator",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCompositeDataIterator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewVisitor <- function(){
    res<-.Call("R_vtkMultiBlockDataSet_NewVisitor",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCompositeDataVisitor(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataObjectType <- function(){
    res<-.Call("R_vtkMultiBlockDataSet_GetDataObjectType",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddDataSet <- function( .data=vtkDataObject()){
    check.VTK(.data,"vtkDataObject")
    res<-.Call("R_vtkMultiBlockDataSet_AddDataSet",.me$obj, .data$obj,PACKAGE="RVTK.Base")
    res$.data <- vtkDataObject(wrapenv(res$.data))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkMultiBlockDataSet_Initialize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkMultiBlockDataSet_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkMultiBlockDataSet",class(.me))
  return(.me)
}
