vtkMultiBlockDataVisitor <- function(.me=environment()){
  .me <- vtkCompositeDataVisitor(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkMultiBlockDataVisitor_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkMultiBlockDataVisitor_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkMultiBlockDataVisitor_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkMultiBlockDataVisitor_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMultiBlockDataVisitor(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkMultiBlockDataVisitor_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMultiBlockDataVisitor(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataIterator <- function( ._arg=vtkMultiBlockDataIterator()){
    check.VTK(._arg,"vtkMultiBlockDataIterator")
    res<-.Call("R_vtkMultiBlockDataVisitor_SetDataIterator",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkMultiBlockDataIterator(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataIterator <- function(){
    res<-.Call("R_vtkMultiBlockDataVisitor_GetDataIterator",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkMultiBlockDataIterator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Execute <- function(){
    res<-.Call("R_vtkMultiBlockDataVisitor_Execute",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkMultiBlockDataVisitor_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkMultiBlockDataVisitor",class(.me))
  return(.me)
}
