vtkOrderedTriangulator <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkOrderedTriangulator_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkOrderedTriangulator_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkOrderedTriangulator_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkOrderedTriangulator_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkOrderedTriangulator(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkOrderedTriangulator_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkOrderedTriangulator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitTriangulation <- function( .xmin, .xmax, .ymin, .ymax, .zmin, .zmax, .numPts){
    res<-.Call("R_vtkOrderedTriangulator_InitTriangulation",.me$obj, .xmin, .xmax, .ymin, .ymax, .zmin, .zmax, .numPts,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitTriangulation_v1 <- function( .bounds=as.double(rep.int(1,6)), .numPts){
    res<-.Call("R_vtkOrderedTriangulator_InitTriangulation_v1",.me$obj, .bounds, .numPts,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertPoint <- function( .id, .x=as.double(rep.int(1,3)), .p=as.double(rep.int(1,3)), .type){
    res<-.Call("R_vtkOrderedTriangulator_InsertPoint",.me$obj, .id, .x, .p, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertPoint_v1 <- function( .id, .sortid, .x=as.double(rep.int(1,3)), .p=as.double(rep.int(1,3)), .type){
    res<-.Call("R_vtkOrderedTriangulator_InsertPoint_v1",.me$obj, .id, .sortid, .x, .p, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertPoint_v2 <- function( .id, .sortid, .sortid2, .x=as.double(rep.int(1,3)), .p=as.double(rep.int(1,3)), .type){
    res<-.Call("R_vtkOrderedTriangulator_InsertPoint_v2",.me$obj, .id, .sortid, .sortid2, .x, .p, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Triangulate <- function(){
    res<-.Call("R_vtkOrderedTriangulator_Triangulate",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TemplateTriangulate <- function( .cellType, .numPts, .numEdges){
    res<-.Call("R_vtkOrderedTriangulator_TemplateTriangulate",.me$obj, .cellType, .numPts, .numEdges,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UpdatePointType <- function( .internalId, .type){
    res<-.Call("R_vtkOrderedTriangulator_UpdatePointType",.me$obj, .internalId, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUseTemplates <- function( ._arg){
    res<-.Call("R_vtkOrderedTriangulator_SetUseTemplates",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUseTemplates <- function(){
    res<-.Call("R_vtkOrderedTriangulator_GetUseTemplates",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseTemplatesOn <- function(){
    res<-.Call("R_vtkOrderedTriangulator_UseTemplatesOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseTemplatesOff <- function(){
    res<-.Call("R_vtkOrderedTriangulator_UseTemplatesOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPreSorted <- function( ._arg){
    res<-.Call("R_vtkOrderedTriangulator_SetPreSorted",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPreSorted <- function(){
    res<-.Call("R_vtkOrderedTriangulator_GetPreSorted",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PreSortedOn <- function(){
    res<-.Call("R_vtkOrderedTriangulator_PreSortedOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PreSortedOff <- function(){
    res<-.Call("R_vtkOrderedTriangulator_PreSortedOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUseTwoSortIds <- function( ._arg){
    res<-.Call("R_vtkOrderedTriangulator_SetUseTwoSortIds",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUseTwoSortIds <- function(){
    res<-.Call("R_vtkOrderedTriangulator_GetUseTwoSortIds",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseTwoSortIdsOn <- function(){
    res<-.Call("R_vtkOrderedTriangulator_UseTwoSortIdsOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseTwoSortIdsOff <- function(){
    res<-.Call("R_vtkOrderedTriangulator_UseTwoSortIdsOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTetras <- function( .classification, .ugrid=vtkUnstructuredGrid()){
    check.VTK(.ugrid,"vtkUnstructuredGrid")
    res<-.Call("R_vtkOrderedTriangulator_GetTetras",.me$obj, .classification, .ugrid$obj,PACKAGE="RVTK.Base")
    res$.ugrid <- vtkUnstructuredGrid(wrapenv(res$.ugrid))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddTetras <- function( .classification, .ugrid=vtkUnstructuredGrid()){
    check.VTK(.ugrid,"vtkUnstructuredGrid")
    res<-.Call("R_vtkOrderedTriangulator_AddTetras",.me$obj, .classification, .ugrid$obj,PACKAGE="RVTK.Base")
    res$.ugrid <- vtkUnstructuredGrid(wrapenv(res$.ugrid))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddTetras_v1 <- function( .classification, .outConnectivity=vtkCellArray()){
    check.VTK(.outConnectivity,"vtkCellArray")
    res<-.Call("R_vtkOrderedTriangulator_AddTetras_v1",.me$obj, .classification, .outConnectivity$obj,PACKAGE="RVTK.Base")
    res$.outConnectivity <- vtkCellArray(wrapenv(res$.outConnectivity))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddTetras_v2 <- function( .classification, .ptIds=vtkIdList(), .pts=vtkPoints()){
    check.VTK(.ptIds,"vtkIdList")
    check.VTK(.pts,"vtkPoints")
    res<-.Call("R_vtkOrderedTriangulator_AddTetras_v2",.me$obj, .classification, .ptIds$obj, .pts$obj,PACKAGE="RVTK.Base")
    res$.ptIds <- vtkIdList(wrapenv(res$.ptIds))
    res$.pts <- vtkPoints(wrapenv(res$.pts))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddTriangles <- function( .tris=vtkCellArray()){
    check.VTK(.tris,"vtkCellArray")
    res<-.Call("R_vtkOrderedTriangulator_AddTriangles",.me$obj, .tris$obj,PACKAGE="RVTK.Base")
    res$.tris <- vtkCellArray(wrapenv(res$.tris))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddTriangles_v1 <- function( .id, .tris=vtkCellArray()){
    check.VTK(.tris,"vtkCellArray")
    res<-.Call("R_vtkOrderedTriangulator_AddTriangles_v1",.me$obj, .id, .tris$obj,PACKAGE="RVTK.Base")
    res$.tris <- vtkCellArray(wrapenv(res$.tris))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitTetraTraversal <- function(){
    res<-.Call("R_vtkOrderedTriangulator_InitTetraTraversal",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextTetra <- function( .classification, .tet=vtkTetra(), .cellScalars=vtkDataArray(), .tetScalars=vtkDoubleArray()){
    check.VTK(.tet,"vtkTetra")
    check.VTK(.cellScalars,"vtkDataArray")
    check.VTK(.tetScalars,"vtkDoubleArray")
    res<-.Call("R_vtkOrderedTriangulator_GetNextTetra",.me$obj, .classification, .tet$obj, .cellScalars$obj, .tetScalars$obj,PACKAGE="RVTK.Base")
    res$.tet <- vtkTetra(wrapenv(res$.tet))
    res$.cellScalars <- vtkDataArray(wrapenv(res$.cellScalars))
    res$.tetScalars <- vtkDoubleArray(wrapenv(res$.tetScalars))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkOrderedTriangulator_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkOrderedTriangulator",class(.me))
  return(.me)
}
