vtkPLYWriter <- function(.me=environment()){
  .me <- vtkPolyDataWriter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkPLYWriter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPLYWriter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPLYWriter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPLYWriter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPLYWriter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPLYWriter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPLYWriter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataByteOrder <- function( ._arg){
    res<-.Call("R_vtkPLYWriter_SetDataByteOrder",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataByteOrderMinValue <- function(){
    res<-.Call("R_vtkPLYWriter_GetDataByteOrderMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataByteOrderMaxValue <- function(){
    res<-.Call("R_vtkPLYWriter_GetDataByteOrderMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataByteOrder <- function(){
    res<-.Call("R_vtkPLYWriter_GetDataByteOrder",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataByteOrderToBigEndian <- function(){
    res<-.Call("R_vtkPLYWriter_SetDataByteOrderToBigEndian",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataByteOrderToLittleEndian <- function(){
    res<-.Call("R_vtkPLYWriter_SetDataByteOrderToLittleEndian",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorMode <- function( ._arg){
    res<-.Call("R_vtkPLYWriter_SetColorMode",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColorMode <- function(){
    res<-.Call("R_vtkPLYWriter_GetColorMode",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorModeToDefault <- function(){
    res<-.Call("R_vtkPLYWriter_SetColorModeToDefault",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorModeToUniformCellColor <- function(){
    res<-.Call("R_vtkPLYWriter_SetColorModeToUniformCellColor",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorModeToUniformPointColor <- function(){
    res<-.Call("R_vtkPLYWriter_SetColorModeToUniformPointColor",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorModeToUniformColor <- function(){
    res<-.Call("R_vtkPLYWriter_SetColorModeToUniformColor",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorModeToOff <- function(){
    res<-.Call("R_vtkPLYWriter_SetColorModeToOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetArrayName <- function( ._arg){
    res<-.Call("R_vtkPLYWriter_SetArrayName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetArrayName <- function(){
    res<-.Call("R_vtkPLYWriter_GetArrayName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetComponent <- function( ._arg){
    res<-.Call("R_vtkPLYWriter_SetComponent",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetComponentMinValue <- function(){
    res<-.Call("R_vtkPLYWriter_GetComponentMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetComponentMaxValue <- function(){
    res<-.Call("R_vtkPLYWriter_GetComponentMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetComponent <- function(){
    res<-.Call("R_vtkPLYWriter_GetComponent",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLookupTable <- function( ._arg=vtkScalarsToColors()){
    check.VTK(._arg,"vtkScalarsToColors")
    res<-.Call("R_vtkPLYWriter_SetLookupTable",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkScalarsToColors(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLookupTable <- function(){
    res<-.Call("R_vtkPLYWriter_GetLookupTable",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkScalarsToColors(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColor <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkPLYWriter_SetColor",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColor_v1 <- function( ._arg){
    res<-.Call("R_vtkPLYWriter_SetColor_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColor <- function(){
    res<-.Call("R_vtkPLYWriter_GetColor",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColor_v1 <- function( ._arg1=(rep.int(1,1)), ._arg2=(rep.int(1,1)), ._arg3=(rep.int(1,1))){
    res<-.Call("R_vtkPLYWriter_GetColor_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColor_v2 <- function( ._arg){
    res<-.Call("R_vtkPLYWriter_GetColor_v2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPLYWriter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPLYWriter",class(.me))
  return(.me)
}
