vtkPolyDataConnectivityFilter <- function(.me=environment()){
  .me <- vtkPolyDataToPolyDataFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPolyDataConnectivityFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPolyDataConnectivityFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPolyDataConnectivityFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPolyDataConnectivityFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPolyDataConnectivityFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarConnectivity <- function( ._arg){
    res<-.Call("R_vtkPolyDataConnectivityFilter_SetScalarConnectivity",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarConnectivity <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_GetScalarConnectivity",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScalarConnectivityOn <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_ScalarConnectivityOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScalarConnectivityOff <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_ScalarConnectivityOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarRange <- function( .data){
    res<-.Call("R_vtkPolyDataConnectivityFilter_SetScalarRange",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarRange <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_GetScalarRange",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarRange_v1 <- function( .data){
    res<-.Call("R_vtkPolyDataConnectivityFilter_GetScalarRange_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtractionMode <- function( ._arg){
    res<-.Call("R_vtkPolyDataConnectivityFilter_SetExtractionMode",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtractionModeMinValue <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_GetExtractionModeMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtractionModeMaxValue <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_GetExtractionModeMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtractionMode <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_GetExtractionMode",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtractionModeToPointSeededRegions <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_SetExtractionModeToPointSeededRegions",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtractionModeToCellSeededRegions <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_SetExtractionModeToCellSeededRegions",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtractionModeToLargestRegion <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_SetExtractionModeToLargestRegion",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtractionModeToSpecifiedRegions <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_SetExtractionModeToSpecifiedRegions",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtractionModeToClosestPointRegion <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_SetExtractionModeToClosestPointRegion",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtractionModeToAllRegions <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_SetExtractionModeToAllRegions",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtractionModeAsString <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_GetExtractionModeAsString",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitializeSeedList <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_InitializeSeedList",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddSeed <- function( .id){
    res<-.Call("R_vtkPolyDataConnectivityFilter_AddSeed",.me$obj, .id,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeleteSeed <- function( .id){
    res<-.Call("R_vtkPolyDataConnectivityFilter_DeleteSeed",.me$obj, .id,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitializeSpecifiedRegionList <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_InitializeSpecifiedRegionList",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddSpecifiedRegion <- function( .id){
    res<-.Call("R_vtkPolyDataConnectivityFilter_AddSpecifiedRegion",.me$obj, .id,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeleteSpecifiedRegion <- function( .id){
    res<-.Call("R_vtkPolyDataConnectivityFilter_DeleteSpecifiedRegion",.me$obj, .id,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetClosestPoint <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkPolyDataConnectivityFilter_SetClosestPoint",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetClosestPoint_v1 <- function( ._arg){
    res<-.Call("R_vtkPolyDataConnectivityFilter_SetClosestPoint_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetClosestPoint <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_GetClosestPoint",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetClosestPoint_v1 <- function( .data){
    res<-.Call("R_vtkPolyDataConnectivityFilter_GetClosestPoint_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfExtractedRegions <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_GetNumberOfExtractedRegions",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorRegions <- function( ._arg){
    res<-.Call("R_vtkPolyDataConnectivityFilter_SetColorRegions",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColorRegions <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_GetColorRegions",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ColorRegionsOn <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_ColorRegionsOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ColorRegionsOff <- function(){
    res<-.Call("R_vtkPolyDataConnectivityFilter_ColorRegionsOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPolyDataConnectivityFilter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPolyDataConnectivityFilter",class(.me))
  return(.me)
}
