vtkProjectedTexture <- function(.me=environment()){
  .me <- vtkDataSetToDataSetFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkProjectedTexture_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkProjectedTexture_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkProjectedTexture_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkProjectedTexture_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkProjectedTexture(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkProjectedTexture_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkProjectedTexture(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPosition <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkProjectedTexture_SetPosition",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPosition_v1 <- function( ._arg){
    res<-.Call("R_vtkProjectedTexture_SetPosition_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPosition <- function(){
    res<-.Call("R_vtkProjectedTexture_GetPosition",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPosition_v1 <- function( .data){
    res<-.Call("R_vtkProjectedTexture_GetPosition_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFocalPoint <- function( .fp=as.double(rep.int(1,3))){
    res<-.Call("R_vtkProjectedTexture_SetFocalPoint",.me$obj, .fp,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFocalPoint_v1 <- function( .x, .y, .z){
    res<-.Call("R_vtkProjectedTexture_SetFocalPoint_v1",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFocalPoint <- function(){
    res<-.Call("R_vtkProjectedTexture_GetFocalPoint",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFocalPoint_v1 <- function( .data){
    res<-.Call("R_vtkProjectedTexture_GetFocalPoint_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCameraMode <- function( ._arg){
    res<-.Call("R_vtkProjectedTexture_SetCameraMode",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCameraMode <- function(){
    res<-.Call("R_vtkProjectedTexture_GetCameraMode",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCameraModeToPinhole <- function(){
    res<-.Call("R_vtkProjectedTexture_SetCameraModeToPinhole",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCameraModeToTwoMirror <- function(){
    res<-.Call("R_vtkProjectedTexture_SetCameraModeToTwoMirror",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMirrorSeparation <- function( ._arg){
    res<-.Call("R_vtkProjectedTexture_SetMirrorSeparation",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMirrorSeparation <- function(){
    res<-.Call("R_vtkProjectedTexture_GetMirrorSeparation",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrientation <- function(){
    res<-.Call("R_vtkProjectedTexture_GetOrientation",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrientation_v1 <- function( .data){
    res<-.Call("R_vtkProjectedTexture_GetOrientation_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUp <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkProjectedTexture_SetUp",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUp_v1 <- function( ._arg){
    res<-.Call("R_vtkProjectedTexture_SetUp_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUp <- function(){
    res<-.Call("R_vtkProjectedTexture_GetUp",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUp_v1 <- function( .data){
    res<-.Call("R_vtkProjectedTexture_GetUp_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAspectRatio <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkProjectedTexture_SetAspectRatio",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAspectRatio_v1 <- function( ._arg){
    res<-.Call("R_vtkProjectedTexture_SetAspectRatio_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAspectRatio <- function(){
    res<-.Call("R_vtkProjectedTexture_GetAspectRatio",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAspectRatio_v1 <- function( .data){
    res<-.Call("R_vtkProjectedTexture_GetAspectRatio_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSRange <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkProjectedTexture_SetSRange",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSRange_v1 <- function( ._arg){
    res<-.Call("R_vtkProjectedTexture_SetSRange_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSRange <- function(){
    res<-.Call("R_vtkProjectedTexture_GetSRange",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSRange_v1 <- function( .data){
    res<-.Call("R_vtkProjectedTexture_GetSRange_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTRange <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkProjectedTexture_SetTRange",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTRange_v1 <- function( ._arg){
    res<-.Call("R_vtkProjectedTexture_SetTRange_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTRange <- function(){
    res<-.Call("R_vtkProjectedTexture_GetTRange",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTRange_v1 <- function( .data){
    res<-.Call("R_vtkProjectedTexture_GetTRange_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkProjectedTexture_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkProjectedTexture",class(.me))
  return(.me)
}
