vtkPropCollection <- function(.me=environment()){
  .me <- vtkCollection(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkPropCollection_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPropCollection_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPropCollection_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPropCollection_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPropCollection(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPropCollection_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPropCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddItem <- function( .a=vtkProp()){
    check.VTK(.a,"vtkProp")
    res<-.Call("R_vtkPropCollection_AddItem",.me$obj, .a$obj,PACKAGE="RVTK.Base")
    res$.a <- vtkProp(wrapenv(res$.a))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextProp <- function(){
    res<-.Call("R_vtkPropCollection_GetNextProp",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkProp(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLastProp <- function(){
    res<-.Call("R_vtkPropCollection_GetLastProp",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkProp(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfPaths <- function(){
    res<-.Call("R_vtkPropCollection_GetNumberOfPaths",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPropCollection_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPropCollection",class(.me))
  return(.me)
}
