vtkReflectionFilter <- function(.me=environment()){
  .me <- vtkDataSetToUnstructuredGridFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkReflectionFilter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkReflectionFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkReflectionFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkReflectionFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkReflectionFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkReflectionFilter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkReflectionFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlane <- function( ._arg){
    res<-.Call("R_vtkReflectionFilter_SetPlane",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlaneMinValue <- function(){
    res<-.Call("R_vtkReflectionFilter_GetPlaneMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlaneMaxValue <- function(){
    res<-.Call("R_vtkReflectionFilter_GetPlaneMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlane <- function(){
    res<-.Call("R_vtkReflectionFilter_GetPlane",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlaneToX <- function(){
    res<-.Call("R_vtkReflectionFilter_SetPlaneToX",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlaneToY <- function(){
    res<-.Call("R_vtkReflectionFilter_SetPlaneToY",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlaneToZ <- function(){
    res<-.Call("R_vtkReflectionFilter_SetPlaneToZ",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlaneToXMin <- function(){
    res<-.Call("R_vtkReflectionFilter_SetPlaneToXMin",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlaneToYMin <- function(){
    res<-.Call("R_vtkReflectionFilter_SetPlaneToYMin",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlaneToZMin <- function(){
    res<-.Call("R_vtkReflectionFilter_SetPlaneToZMin",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlaneToXMax <- function(){
    res<-.Call("R_vtkReflectionFilter_SetPlaneToXMax",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlaneToYMax <- function(){
    res<-.Call("R_vtkReflectionFilter_SetPlaneToYMax",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlaneToZMax <- function(){
    res<-.Call("R_vtkReflectionFilter_SetPlaneToZMax",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCenter <- function( ._arg){
    res<-.Call("R_vtkReflectionFilter_SetCenter",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCenter <- function(){
    res<-.Call("R_vtkReflectionFilter_GetCenter",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkReflectionFilter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkReflectionFilter",class(.me))
  return(.me)
}
