vtkScalarTree <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkScalarTree_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkScalarTree_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkScalarTree_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkScalarTree_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkScalarTree(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkScalarTree_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkScalarTree(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataSet <- function( ._arg=vtkDataSet()){
    check.VTK(._arg,"vtkDataSet")
    res<-.Call("R_vtkScalarTree_SetDataSet",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkDataSet(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataSet <- function(){
    res<-.Call("R_vtkScalarTree_GetDataSet",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BuildTree <- function(){
    res<-.Call("R_vtkScalarTree_BuildTree",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkScalarTree_Initialize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitTraversal <- function( .scalarValue){
    res<-.Call("R_vtkScalarTree_InitTraversal",.me$obj, .scalarValue,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextCell <- function( .cellId=as.integer(rep.int(1,1)), .ptIds=vtkIdList(), .cellScalars=vtkDataArray()){
    check.VTK(.ptIds,"vtkIdList")
    check.VTK(.cellScalars,"vtkDataArray")
    res<-.Call("R_vtkScalarTree_GetNextCell",.me$obj, .cellId, .ptIds$obj, .cellScalars$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCell(wrapenv(res$ret.val))
    res$.ptIds <- vtkIdList(wrapenv(res$.ptIds))
    res$.cellScalars <- vtkDataArray(wrapenv(res$.cellScalars))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkScalarTree",class(.me))
  return(.me)
}
