vtkStreamer <- function(.me=environment()){
  .me <- vtkDataSetToPolyDataFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkStreamer_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkStreamer_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkStreamer_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkStreamer_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkStreamer(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkStreamer_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkStreamer(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStartLocation <- function( .cellId, .subId, .pcoords=as.double(rep.int(1,3))){
    res<-.Call("R_vtkStreamer_SetStartLocation",.me$obj, .cellId, .subId, .pcoords,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStartLocation_v1 <- function( .cellId, .subId, .r, .s, .t){
    res<-.Call("R_vtkStreamer_SetStartLocation_v1",.me$obj, .cellId, .subId, .r, .s, .t,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStartLocation <- function( .subId=as.integer(rep.int(1,1)), .pcoords=as.double(rep.int(1,3))){
    res<-.Call("R_vtkStreamer_GetStartLocation",.me$obj, .subId, .pcoords,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStartPosition <- function( .x=as.double(rep.int(1,3))){
    res<-.Call("R_vtkStreamer_SetStartPosition",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStartPosition_v1 <- function( .x, .y, .z){
    res<-.Call("R_vtkStreamer_SetStartPosition_v1",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStartPosition <- function(){
    res<-.Call("R_vtkStreamer_GetStartPosition",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSource <- function( .source=vtkDataSet()){
    check.VTK(.source,"vtkDataSet")
    res<-.Call("R_vtkStreamer_SetSource",.me$obj, .source$obj,PACKAGE="RVTK.Base")
    res$.source <- vtkDataSet(wrapenv(res$.source))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSource <- function(){
    res<-.Call("R_vtkStreamer_GetSource",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumPropagationTime <- function( ._arg){
    res<-.Call("R_vtkStreamer_SetMaximumPropagationTime",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumPropagationTimeMinValue <- function(){
    res<-.Call("R_vtkStreamer_GetMaximumPropagationTimeMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumPropagationTimeMaxValue <- function(){
    res<-.Call("R_vtkStreamer_GetMaximumPropagationTimeMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumPropagationTime <- function(){
    res<-.Call("R_vtkStreamer_GetMaximumPropagationTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIntegrationDirection <- function( ._arg){
    res<-.Call("R_vtkStreamer_SetIntegrationDirection",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIntegrationDirectionMinValue <- function(){
    res<-.Call("R_vtkStreamer_GetIntegrationDirectionMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIntegrationDirectionMaxValue <- function(){
    res<-.Call("R_vtkStreamer_GetIntegrationDirectionMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIntegrationDirection <- function(){
    res<-.Call("R_vtkStreamer_GetIntegrationDirection",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIntegrationDirectionToForward <- function(){
    res<-.Call("R_vtkStreamer_SetIntegrationDirectionToForward",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIntegrationDirectionToBackward <- function(){
    res<-.Call("R_vtkStreamer_SetIntegrationDirectionToBackward",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIntegrationDirectionToIntegrateBothDirections <- function(){
    res<-.Call("R_vtkStreamer_SetIntegrationDirectionToIntegrateBothDirections",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIntegrationDirectionAsString <- function(){
    res<-.Call("R_vtkStreamer_GetIntegrationDirectionAsString",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIntegrationStepLength <- function( ._arg){
    res<-.Call("R_vtkStreamer_SetIntegrationStepLength",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIntegrationStepLengthMinValue <- function(){
    res<-.Call("R_vtkStreamer_GetIntegrationStepLengthMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIntegrationStepLengthMaxValue <- function(){
    res<-.Call("R_vtkStreamer_GetIntegrationStepLengthMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIntegrationStepLength <- function(){
    res<-.Call("R_vtkStreamer_GetIntegrationStepLength",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSpeedScalars <- function( ._arg){
    res<-.Call("R_vtkStreamer_SetSpeedScalars",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpeedScalars <- function(){
    res<-.Call("R_vtkStreamer_GetSpeedScalars",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SpeedScalarsOn <- function(){
    res<-.Call("R_vtkStreamer_SpeedScalarsOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SpeedScalarsOff <- function(){
    res<-.Call("R_vtkStreamer_SpeedScalarsOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOrientationScalars <- function( ._arg){
    res<-.Call("R_vtkStreamer_SetOrientationScalars",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrientationScalars <- function(){
    res<-.Call("R_vtkStreamer_GetOrientationScalars",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OrientationScalarsOn <- function(){
    res<-.Call("R_vtkStreamer_OrientationScalarsOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OrientationScalarsOff <- function(){
    res<-.Call("R_vtkStreamer_OrientationScalarsOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTerminalSpeed <- function( ._arg){
    res<-.Call("R_vtkStreamer_SetTerminalSpeed",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTerminalSpeedMinValue <- function(){
    res<-.Call("R_vtkStreamer_GetTerminalSpeedMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTerminalSpeedMaxValue <- function(){
    res<-.Call("R_vtkStreamer_GetTerminalSpeedMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTerminalSpeed <- function(){
    res<-.Call("R_vtkStreamer_GetTerminalSpeed",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVorticity <- function( ._arg){
    res<-.Call("R_vtkStreamer_SetVorticity",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVorticity <- function(){
    res<-.Call("R_vtkStreamer_GetVorticity",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$VorticityOn <- function(){
    res<-.Call("R_vtkStreamer_VorticityOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$VorticityOff <- function(){
    res<-.Call("R_vtkStreamer_VorticityOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfThreads <- function( ._arg){
    res<-.Call("R_vtkStreamer_SetNumberOfThreads",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfThreads <- function(){
    res<-.Call("R_vtkStreamer_GetNumberOfThreads",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSavePointInterval <- function( ._arg){
    res<-.Call("R_vtkStreamer_SetSavePointInterval",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSavePointInterval <- function(){
    res<-.Call("R_vtkStreamer_GetSavePointInterval",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIntegrator <- function( ._arg=vtkInitialValueProblemSolver()){
    check.VTK(._arg,"vtkInitialValueProblemSolver")
    res<-.Call("R_vtkStreamer_SetIntegrator",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkInitialValueProblemSolver(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIntegrator <- function(){
    res<-.Call("R_vtkStreamer_GetIntegrator",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkInitialValueProblemSolver(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkStreamer",class(.me))
  return(.me)
}
