vtkStructuredPointsReader <- function(.me=environment()){
  .me <- vtkDataReader(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkStructuredPointsReader_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkStructuredPointsReader_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkStructuredPointsReader_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkStructuredPointsReader_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkStructuredPointsReader(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkStructuredPointsReader_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkStructuredPointsReader(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutput <- function( .output=vtkStructuredPoints()){
    check.VTK(.output,"vtkStructuredPoints")
    res<-.Call("R_vtkStructuredPointsReader_SetOutput",.me$obj, .output$obj,PACKAGE="RVTK.Base")
    res$.output <- vtkStructuredPoints(wrapenv(res$.output))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput <- function( .idx){
    res<-.Call("R_vtkStructuredPointsReader_GetOutput",.me$obj, .idx,PACKAGE="RVTK.Base")
    res$ret.val <- vtkStructuredPoints(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput_v1 <- function(){
    res<-.Call("R_vtkStructuredPointsReader_GetOutput_v1",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkStructuredPoints(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkStructuredPointsReader_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkStructuredPointsReader",class(.me))
  return(.me)
}
