vtkTIFFWriter <- function(.me=environment()){
  .me <- vtkImageWriter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkTIFFWriter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkTIFFWriter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkTIFFWriter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkTIFFWriter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkTIFFWriter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkTIFFWriter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkTIFFWriter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCompression <- function( ._arg){
    res<-.Call("R_vtkTIFFWriter_SetCompression",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCompressionMinValue <- function(){
    res<-.Call("R_vtkTIFFWriter_GetCompressionMinValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCompressionMaxValue <- function(){
    res<-.Call("R_vtkTIFFWriter_GetCompressionMaxValue",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCompression <- function(){
    res<-.Call("R_vtkTIFFWriter_GetCompression",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCompressionToNoCompression <- function(){
    res<-.Call("R_vtkTIFFWriter_SetCompressionToNoCompression",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCompressionToPackBits <- function(){
    res<-.Call("R_vtkTIFFWriter_SetCompressionToPackBits",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCompressionToJPEG <- function(){
    res<-.Call("R_vtkTIFFWriter_SetCompressionToJPEG",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCompressionToDeflate <- function(){
    res<-.Call("R_vtkTIFFWriter_SetCompressionToDeflate",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCompressionToLZW <- function(){
    res<-.Call("R_vtkTIFFWriter_SetCompressionToLZW",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkTIFFWriter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkTIFFWriter",class(.me))
  return(.me)
}
