vtkTableExtentTranslator <- function(.me=environment()){
  .me <- vtkExtentTranslator(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkTableExtentTranslator_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkTableExtentTranslator_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkTableExtentTranslator_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkTableExtentTranslator_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkTableExtentTranslator(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkTableExtentTranslator_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkTableExtentTranslator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfPieces <- function( .pieces){
    res<-.Call("R_vtkTableExtentTranslator_SetNumberOfPieces",.me$obj, .pieces,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PieceToExtent <- function(){
    res<-.Call("R_vtkTableExtentTranslator_PieceToExtent",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PieceToExtentByPoints <- function(){
    res<-.Call("R_vtkTableExtentTranslator_PieceToExtentByPoints",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtentForPiece <- function( .piece, .extent){
    res<-.Call("R_vtkTableExtentTranslator_SetExtentForPiece",.me$obj, .piece, .extent,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtentForPiece <- function( .piece, .extent){
    res<-.Call("R_vtkTableExtentTranslator_GetExtentForPiece",.me$obj, .piece, .extent,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtentForPiece_v1 <- function( .piece){
    res<-.Call("R_vtkTableExtentTranslator_GetExtentForPiece_v1",.me$obj, .piece,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumGhostLevel <- function( ._arg){
    res<-.Call("R_vtkTableExtentTranslator_SetMaximumGhostLevel",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumGhostLevel <- function(){
    res<-.Call("R_vtkTableExtentTranslator_GetMaximumGhostLevel",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPieceAvailable <- function( .piece, .available){
    res<-.Call("R_vtkTableExtentTranslator_SetPieceAvailable",.me$obj, .piece, .available,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPieceAvailable <- function( .piece){
    res<-.Call("R_vtkTableExtentTranslator_GetPieceAvailable",.me$obj, .piece,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkTableExtentTranslator_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkTableExtentTranslator",class(.me))
  return(.me)
}
