vtkTetra <- function(.me=environment()){
  .me <- vtkCell3D(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkTetra_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkTetra_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkTetra_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkTetra_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkTetra(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkTetra_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkTetra(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEdgePoints <- function( .edgeId, .pts){
    res<-.Call("R_vtkTetra_GetEdgePoints",.me$obj, .edgeId, .pts,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFacePoints <- function( .faceId, .pts){
    res<-.Call("R_vtkTetra_GetFacePoints",.me$obj, .faceId, .pts,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellType <- function(){
    res<-.Call("R_vtkTetra_GetCellType",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfEdges <- function(){
    res<-.Call("R_vtkTetra_GetNumberOfEdges",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfFaces <- function(){
    res<-.Call("R_vtkTetra_GetNumberOfFaces",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEdge <- function( .edgeId){
    res<-.Call("R_vtkTetra_GetEdge",.me$obj, .edgeId,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCell(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFace <- function( .faceId){
    res<-.Call("R_vtkTetra_GetFace",.me$obj, .faceId,PACKAGE="RVTK.Base")
    res$ret.val <- vtkCell(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Clip <- function( .value, .cellScalars=vtkDataArray(), .locator=vtkPointLocator(), .tets=vtkCellArray(), .inPD=vtkPointData(), .outPD=vtkPointData(), .inCD=vtkCellData(), .cellId, .outCD=vtkCellData(), .insideOut){
    check.VTK(.cellScalars,"vtkDataArray")
    check.VTK(.locator,"vtkPointLocator")
    check.VTK(.tets,"vtkCellArray")
    check.VTK(.inPD,"vtkPointData")
    check.VTK(.outPD,"vtkPointData")
    check.VTK(.inCD,"vtkCellData")
    check.VTK(.outCD,"vtkCellData")
    res<-.Call("R_vtkTetra_Clip",.me$obj, .value, .cellScalars$obj, .locator$obj, .tets$obj, .inPD$obj, .outPD$obj, .inCD$obj, .cellId, .outCD$obj, .insideOut,PACKAGE="RVTK.Base")
    res$.cellScalars <- vtkDataArray(wrapenv(res$.cellScalars))
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    res$.tets <- vtkCellArray(wrapenv(res$.tets))
    res$.inPD <- vtkPointData(wrapenv(res$.inPD))
    res$.outPD <- vtkPointData(wrapenv(res$.outPD))
    res$.inCD <- vtkCellData(wrapenv(res$.inCD))
    res$.outCD <- vtkCellData(wrapenv(res$.outCD))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluatePosition <- function( .x=as.double(rep.int(1,3)), .closestPoint, .subId=as.integer(rep.int(1,1)), .pcoords=as.double(rep.int(1,3)), .minDist2=as.double(rep.int(1,1)), .weights){
    res<-.Call("R_vtkTetra_EvaluatePosition",.me$obj, .x, .closestPoint, .subId, .pcoords, .minDist2, .weights,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectWithLine <- function( .p1=as.double(rep.int(1,3)), .p2=as.double(rep.int(1,3)), .tol, .t=as.double(rep.int(1,1)), .x=as.double(rep.int(1,3)), .pcoords=as.double(rep.int(1,3)), .subId=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkTetra_IntersectWithLine",.me$obj, .p1, .p2, .tol, .t, .x, .pcoords, .subId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParametricCoords <- function(){
    res<-.Call("R_vtkTetra_GetParametricCoords",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParametricCenter <- function( .pcoords=as.double(rep.int(1,3))){
    res<-.Call("R_vtkTetra_GetParametricCenter",.me$obj, .pcoords,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParametricDistance <- function( .pcoords=as.double(rep.int(1,3))){
    res<-.Call("R_vtkTetra_GetParametricDistance",.me$obj, .pcoords,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TetraCenter <- function( .p1=as.double(rep.int(1,3)), .p2=as.double(rep.int(1,3)), .p3=as.double(rep.int(1,3)), .p4=as.double(rep.int(1,3)), .center=as.double(rep.int(1,3))){
    res<-.Call("R_vtkTetra_TetraCenter",.me$obj, .p1, .p2, .p3, .p4, .center,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Circumsphere <- function( .x1=as.double(rep.int(1,3)), .x2=as.double(rep.int(1,3)), .x3=as.double(rep.int(1,3)), .x4=as.double(rep.int(1,3)), .center=as.double(rep.int(1,3))){
    res<-.Call("R_vtkTetra_Circumsphere",.me$obj, .x1, .x2, .x3, .x4, .center,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Insphere <- function( .p1=as.double(rep.int(1,3)), .p2=as.double(rep.int(1,3)), .p3=as.double(rep.int(1,3)), .p4=as.double(rep.int(1,3)), .center=as.double(rep.int(1,3))){
    res<-.Call("R_vtkTetra_Insphere",.me$obj, .p1, .p2, .p3, .p4, .center,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BarycentricCoords <- function( .x=as.double(rep.int(1,3)), .x1=as.double(rep.int(1,3)), .x2=as.double(rep.int(1,3)), .x3=as.double(rep.int(1,3)), .x4=as.double(rep.int(1,3)), .bcoords=as.double(rep.int(1,4))){
    res<-.Call("R_vtkTetra_BarycentricCoords",.me$obj, .x, .x1, .x2, .x3, .x4, .bcoords,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeVolume <- function( .p1=as.double(rep.int(1,3)), .p2=as.double(rep.int(1,3)), .p3=as.double(rep.int(1,3)), .p4=as.double(rep.int(1,3))){
    res<-.Call("R_vtkTetra_ComputeVolume",.me$obj, .p1, .p2, .p3, .p4,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InterpolationFunctions <- function( .pcoords=as.double(rep.int(1,3)), .sf=as.double(rep.int(1,4))){
    res<-.Call("R_vtkTetra_InterpolationFunctions",.me$obj, .pcoords, .sf,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InterpolationDerivs <- function( .derivs=as.double(rep.int(1,12))){
    res<-.Call("R_vtkTetra_InterpolationDerivs",.me$obj, .derivs,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEdgeArray <- function( .edgeId){
    res<-.Call("R_vtkTetra_GetEdgeArray",.me$obj, .edgeId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFaceArray <- function( .faceId){
    res<-.Call("R_vtkTetra_GetFaceArray",.me$obj, .faceId,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkTetra_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkTetra",class(.me))
  return(.me)
}
