vtkThresholdPoints <- function(.me=environment()){
  .me <- vtkDataSetToPolyDataFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkThresholdPoints_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkThresholdPoints_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkThresholdPoints_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkThresholdPoints_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkThresholdPoints(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkThresholdPoints_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkThresholdPoints(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ThresholdByLower <- function( .lower){
    res<-.Call("R_vtkThresholdPoints_ThresholdByLower",.me$obj, .lower,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ThresholdByUpper <- function( .upper){
    res<-.Call("R_vtkThresholdPoints_ThresholdByUpper",.me$obj, .upper,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ThresholdBetween <- function( .lower, .upper){
    res<-.Call("R_vtkThresholdPoints_ThresholdBetween",.me$obj, .lower, .upper,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpperThreshold <- function(){
    res<-.Call("R_vtkThresholdPoints_GetUpperThreshold",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLowerThreshold <- function(){
    res<-.Call("R_vtkThresholdPoints_GetLowerThreshold",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkThresholdPoints_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkThresholdPoints",class(.me))
  return(.me)
}
