vtkTransform <- function(.me=environment()){
  .me <- vtkLinearTransform(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkTransform_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkTransform_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkTransform_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkTransform_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkTransform(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkTransform_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Identity <- function(){
    res<-.Call("R_vtkTransform_Identity",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Inverse <- function(){
    res<-.Call("R_vtkTransform_Inverse",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Translate <- function( .x, .y, .z){
    res<-.Call("R_vtkTransform_Translate",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Translate_v1 <- function( .x){
    res<-.Call("R_vtkTransform_Translate_v1",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Translate_v2 <- function( .x){
    res<-.Call("R_vtkTransform_Translate_v2",.me$obj, .x,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotateWXYZ <- function( .angle, .x, .y, .z){
    res<-.Call("R_vtkTransform_RotateWXYZ",.me$obj, .angle, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotateWXYZ_v1 <- function( .angle, .axis){
    res<-.Call("R_vtkTransform_RotateWXYZ_v1",.me$obj, .angle, .axis,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotateWXYZ_v2 <- function( .angle, .axis){
    res<-.Call("R_vtkTransform_RotateWXYZ_v2",.me$obj, .angle, .axis,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotateX <- function( .angle){
    res<-.Call("R_vtkTransform_RotateX",.me$obj, .angle,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotateY <- function( .angle){
    res<-.Call("R_vtkTransform_RotateY",.me$obj, .angle,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotateZ <- function( .angle){
    res<-.Call("R_vtkTransform_RotateZ",.me$obj, .angle,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Scale <- function( .x, .y, .z){
    res<-.Call("R_vtkTransform_Scale",.me$obj, .x, .y, .z,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Scale_v1 <- function( .s){
    res<-.Call("R_vtkTransform_Scale_v1",.me$obj, .s,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Scale_v2 <- function( .s){
    res<-.Call("R_vtkTransform_Scale_v2",.me$obj, .s,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMatrix <- function( .matrix=vtkMatrix4x4()){
    check.VTK(.matrix,"vtkMatrix4x4")
    res<-.Call("R_vtkTransform_SetMatrix",.me$obj, .matrix$obj,PACKAGE="RVTK.Base")
    res$.matrix <- vtkMatrix4x4(wrapenv(res$.matrix))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMatrix_v1 <- function( .elements){
    res<-.Call("R_vtkTransform_SetMatrix_v1",.me$obj, .elements,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Concatenate <- function( .matrix=vtkMatrix4x4()){
    check.VTK(.matrix,"vtkMatrix4x4")
    res<-.Call("R_vtkTransform_Concatenate",.me$obj, .matrix$obj,PACKAGE="RVTK.Base")
    res$.matrix <- vtkMatrix4x4(wrapenv(res$.matrix))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Concatenate_v1 <- function( .elements){
    res<-.Call("R_vtkTransform_Concatenate_v1",.me$obj, .elements,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Concatenate_v2 <- function( .transform=vtkLinearTransform()){
    check.VTK(.transform,"vtkLinearTransform")
    res<-.Call("R_vtkTransform_Concatenate_v2",.me$obj, .transform$obj,PACKAGE="RVTK.Base")
    res$.transform <- vtkLinearTransform(wrapenv(res$.transform))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PreMultiply <- function(){
    res<-.Call("R_vtkTransform_PreMultiply",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PostMultiply <- function(){
    res<-.Call("R_vtkTransform_PostMultiply",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfConcatenatedTransforms <- function(){
    res<-.Call("R_vtkTransform_GetNumberOfConcatenatedTransforms",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetConcatenatedTransform <- function( .i){
    res<-.Call("R_vtkTransform_GetConcatenatedTransform",.me$obj, .i,PACKAGE="RVTK.Base")
    res$ret.val <- vtkLinearTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrientation <- function( .orientation=as.double(rep.int(1,3))){
    res<-.Call("R_vtkTransform_GetOrientation",.me$obj, .orientation,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrientation_v1 <- function( .orient=as.single(rep.int(1,3))){
    res<-.Call("R_vtkTransform_GetOrientation_v1",.me$obj, .orient,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrientation_v2 <- function(){
    res<-.Call("R_vtkTransform_GetOrientation_v2",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrientationWXYZ <- function( .wxyz=as.double(rep.int(1,4))){
    res<-.Call("R_vtkTransform_GetOrientationWXYZ",.me$obj, .wxyz,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrientationWXYZ_v1 <- function( .wxyz=as.single(rep.int(1,3))){
    res<-.Call("R_vtkTransform_GetOrientationWXYZ_v1",.me$obj, .wxyz,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrientationWXYZ_v2 <- function(){
    res<-.Call("R_vtkTransform_GetOrientationWXYZ_v2",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPosition <- function( .position=as.double(rep.int(1,3))){
    res<-.Call("R_vtkTransform_GetPosition",.me$obj, .position,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPosition_v1 <- function( .pos=as.single(rep.int(1,3))){
    res<-.Call("R_vtkTransform_GetPosition_v1",.me$obj, .pos,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPosition_v2 <- function(){
    res<-.Call("R_vtkTransform_GetPosition_v2",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScale <- function( .scale=as.double(rep.int(1,3))){
    res<-.Call("R_vtkTransform_GetScale",.me$obj, .scale,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScale_v1 <- function( .scale=as.single(rep.int(1,3))){
    res<-.Call("R_vtkTransform_GetScale_v1",.me$obj, .scale,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScale_v2 <- function(){
    res<-.Call("R_vtkTransform_GetScale_v2",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInverse <- function( .inverse=vtkMatrix4x4()){
    check.VTK(.inverse,"vtkMatrix4x4")
    res<-.Call("R_vtkTransform_GetInverse",.me$obj, .inverse$obj,PACKAGE="RVTK.Base")
    res$.inverse <- vtkMatrix4x4(wrapenv(res$.inverse))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTranspose <- function( .transpose=vtkMatrix4x4()){
    check.VTK(.transpose,"vtkMatrix4x4")
    res<-.Call("R_vtkTransform_GetTranspose",.me$obj, .transpose$obj,PACKAGE="RVTK.Base")
    res$.transpose <- vtkMatrix4x4(wrapenv(res$.transpose))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkLinearTransform()){
    check.VTK(.input,"vtkLinearTransform")
    res<-.Call("R_vtkTransform_SetInput",.me$obj, .input$obj,PACKAGE="RVTK.Base")
    res$.input <- vtkLinearTransform(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkTransform_GetInput",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkLinearTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInverseFlag <- function(){
    res<-.Call("R_vtkTransform_GetInverseFlag",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Push <- function(){
    res<-.Call("R_vtkTransform_Push",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Pop <- function(){
    res<-.Call("R_vtkTransform_Pop",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CircuitCheck <- function( .transform=vtkAbstractTransform()){
    check.VTK(.transform,"vtkAbstractTransform")
    res<-.Call("R_vtkTransform_CircuitCheck",.me$obj, .transform$obj,PACKAGE="RVTK.Base")
    res$.transform <- vtkAbstractTransform(wrapenv(res$.transform))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInverse_v1 <- function(){
    res<-.Call("R_vtkTransform_GetInverse_v1",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAbstractTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MakeTransform <- function(){
    res<-.Call("R_vtkTransform_MakeTransform",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAbstractTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkTransform_GetMTime",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MultiplyPoint <- function( .in, .out=as.single(rep.int(1,4))){
    res<-.Call("R_vtkTransform_MultiplyPoint",.me$obj, .in, .out,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MultiplyPoint_v1 <- function( .in, .out=as.double(rep.int(1,4))){
    res<-.Call("R_vtkTransform_MultiplyPoint_v1",.me$obj, .in, .out,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkTransform_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkTransform",class(.me))
  return(.me)
}
