vtkViewport <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkViewport_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkViewport_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkViewport_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkViewport_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkViewport(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkViewport_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkViewport(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddProp <- function( .p=vtkProp()){
    check.VTK(.p,"vtkProp")
    res<-.Call("R_vtkViewport_AddProp",.me$obj, .p$obj,PACKAGE="RVTK.Base")
    res$.p <- vtkProp(wrapenv(res$.p))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProps <- function(){
    res<-.Call("R_vtkViewport_GetProps",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkPropCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HasProp <- function( .p=vtkProp()){
    check.VTK(.p,"vtkProp")
    res<-.Call("R_vtkViewport_HasProp",.me$obj, .p$obj,PACKAGE="RVTK.Base")
    res$.p <- vtkProp(wrapenv(res$.p))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveProp <- function( .p=vtkProp()){
    check.VTK(.p,"vtkProp")
    res<-.Call("R_vtkViewport_RemoveProp",.me$obj, .p$obj,PACKAGE="RVTK.Base")
    res$.p <- vtkProp(wrapenv(res$.p))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveAllProps <- function(){
    res<-.Call("R_vtkViewport_RemoveAllProps",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddActor2D <- function( .p=vtkProp()){
    check.VTK(.p,"vtkProp")
    res<-.Call("R_vtkViewport_AddActor2D",.me$obj, .p$obj,PACKAGE="RVTK.Base")
    res$.p <- vtkProp(wrapenv(res$.p))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveActor2D <- function( .p=vtkProp()){
    check.VTK(.p,"vtkProp")
    res<-.Call("R_vtkViewport_RemoveActor2D",.me$obj, .p$obj,PACKAGE="RVTK.Base")
    res$.p <- vtkProp(wrapenv(res$.p))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActors2D <- function(){
    res<-.Call("R_vtkViewport_GetActors2D",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkActor2DCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBackground <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkViewport_SetBackground",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBackground_v1 <- function( ._arg){
    res<-.Call("R_vtkViewport_SetBackground_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBackground <- function(){
    res<-.Call("R_vtkViewport_GetBackground",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBackground_v1 <- function( .data){
    res<-.Call("R_vtkViewport_GetBackground_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAspect <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkViewport_SetAspect",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAspect_v1 <- function( ._arg){
    res<-.Call("R_vtkViewport_SetAspect_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAspect <- function(){
    res<-.Call("R_vtkViewport_GetAspect",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAspect_v1 <- function( .data){
    res<-.Call("R_vtkViewport_GetAspect_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeAspect <- function(){
    res<-.Call("R_vtkViewport_ComputeAspect",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPixelAspect <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkViewport_SetPixelAspect",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPixelAspect_v1 <- function( ._arg){
    res<-.Call("R_vtkViewport_SetPixelAspect_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPixelAspect <- function(){
    res<-.Call("R_vtkViewport_GetPixelAspect",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPixelAspect_v1 <- function( .data){
    res<-.Call("R_vtkViewport_GetPixelAspect_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetViewport <- function( ._arg1, ._arg2, ._arg3, ._arg4){
    res<-.Call("R_vtkViewport_SetViewport",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetViewport_v1 <- function( ._arg){
    res<-.Call("R_vtkViewport_SetViewport_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetViewport <- function(){
    res<-.Call("R_vtkViewport_GetViewport",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetViewport_v1 <- function( .data){
    res<-.Call("R_vtkViewport_GetViewport_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDisplayPoint <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkViewport_SetDisplayPoint",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDisplayPoint_v1 <- function( ._arg){
    res<-.Call("R_vtkViewport_SetDisplayPoint_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDisplayPoint <- function(){
    res<-.Call("R_vtkViewport_GetDisplayPoint",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDisplayPoint_v1 <- function( .data){
    res<-.Call("R_vtkViewport_GetDisplayPoint_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetViewPoint <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkViewport_SetViewPoint",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetViewPoint_v1 <- function( ._arg){
    res<-.Call("R_vtkViewport_SetViewPoint_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetViewPoint <- function(){
    res<-.Call("R_vtkViewport_GetViewPoint",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetViewPoint_v1 <- function( .data){
    res<-.Call("R_vtkViewport_GetViewPoint_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWorldPoint <- function( ._arg1, ._arg2, ._arg3, ._arg4){
    res<-.Call("R_vtkViewport_SetWorldPoint",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWorldPoint_v1 <- function( ._arg){
    res<-.Call("R_vtkViewport_SetWorldPoint_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWorldPoint <- function(){
    res<-.Call("R_vtkViewport_GetWorldPoint",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWorldPoint_v1 <- function( .data){
    res<-.Call("R_vtkViewport_GetWorldPoint_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCenter <- function(){
    res<-.Call("R_vtkViewport_GetCenter",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsInViewport <- function( .x, .y){
    res<-.Call("R_vtkViewport_IsInViewport",.me$obj, .x, .y,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVTKWindow <- function(){
    res<-.Call("R_vtkViewport_GetVTKWindow",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkWindow(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DisplayToView <- function(){
    res<-.Call("R_vtkViewport_DisplayToView",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ViewToDisplay <- function(){
    res<-.Call("R_vtkViewport_ViewToDisplay",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WorldToView <- function(){
    res<-.Call("R_vtkViewport_WorldToView",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ViewToWorld <- function(){
    res<-.Call("R_vtkViewport_ViewToWorld",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DisplayToWorld <- function(){
    res<-.Call("R_vtkViewport_DisplayToWorld",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WorldToDisplay <- function(){
    res<-.Call("R_vtkViewport_WorldToDisplay",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DisplayToNormalizedDisplay <- function( .u=as.double(rep.int(1,1)), .v=as.double(rep.int(1,1))){
    res<-.Call("R_vtkViewport_DisplayToNormalizedDisplay",.me$obj, .u, .v,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NormalizedDisplayToViewport <- function( .u=as.double(rep.int(1,1)), .v=as.double(rep.int(1,1))){
    res<-.Call("R_vtkViewport_NormalizedDisplayToViewport",.me$obj, .u, .v,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ViewportToNormalizedViewport <- function( .u=as.double(rep.int(1,1)), .v=as.double(rep.int(1,1))){
    res<-.Call("R_vtkViewport_ViewportToNormalizedViewport",.me$obj, .u, .v,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NormalizedDisplayToDisplay <- function( .u=as.double(rep.int(1,1)), .v=as.double(rep.int(1,1))){
    res<-.Call("R_vtkViewport_NormalizedDisplayToDisplay",.me$obj, .u, .v,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ViewportToNormalizedDisplay <- function( .u=as.double(rep.int(1,1)), .v=as.double(rep.int(1,1))){
    res<-.Call("R_vtkViewport_ViewportToNormalizedDisplay",.me$obj, .u, .v,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NormalizedViewportToViewport <- function( .u=as.double(rep.int(1,1)), .v=as.double(rep.int(1,1))){
    res<-.Call("R_vtkViewport_NormalizedViewportToViewport",.me$obj, .u, .v,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSize <- function(){
    res<-.Call("R_vtkViewport_GetSize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrigin <- function(){
    res<-.Call("R_vtkViewport_GetOrigin",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTiledSize <- function( .width, .height){
    res<-.Call("R_vtkViewport_GetTiledSize",.me$obj, .width, .height,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PickProp <- function( .selectionX, .selectionY){
    res<-.Call("R_vtkViewport_PickProp",.me$obj, .selectionX, .selectionY,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAssemblyPath(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PickPropFrom <- function( .selectionX, .selectionY, .pickfrom=vtkPropCollection()){
    check.VTK(.pickfrom,"vtkPropCollection")
    res<-.Call("R_vtkViewport_PickPropFrom",.me$obj, .selectionX, .selectionY, .pickfrom$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkAssemblyPath(wrapenv(res$ret.val))
    res$.pickfrom <- vtkPropCollection(wrapenv(res$.pickfrom))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPickX <- function(){
    res<-.Call("R_vtkViewport_GetPickX",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPickY <- function(){
    res<-.Call("R_vtkViewport_GetPickY",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIsPicking <- function(){
    res<-.Call("R_vtkViewport_GetIsPicking",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPickedZ <- function(){
    res<-.Call("R_vtkViewport_GetPickedZ",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkViewport",class(.me))
  return(.me)
}
