vtkVoxelContoursToSurfaceFilter <- function(.me=environment()){
  .me <- vtkPolyDataToPolyDataFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkVoxelContoursToSurfaceFilter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkVoxelContoursToSurfaceFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkVoxelContoursToSurfaceFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkVoxelContoursToSurfaceFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkVoxelContoursToSurfaceFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkVoxelContoursToSurfaceFilter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkVoxelContoursToSurfaceFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMemoryLimitInBytes <- function( ._arg){
    res<-.Call("R_vtkVoxelContoursToSurfaceFilter_SetMemoryLimitInBytes",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMemoryLimitInBytes <- function(){
    res<-.Call("R_vtkVoxelContoursToSurfaceFilter_GetMemoryLimitInBytes",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSpacing <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkVoxelContoursToSurfaceFilter_SetSpacing",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSpacing_v1 <- function( ._arg){
    res<-.Call("R_vtkVoxelContoursToSurfaceFilter_SetSpacing_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpacing <- function(){
    res<-.Call("R_vtkVoxelContoursToSurfaceFilter_GetSpacing",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpacing_v1 <- function( .data){
    res<-.Call("R_vtkVoxelContoursToSurfaceFilter_GetSpacing_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkVoxelContoursToSurfaceFilter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkVoxelContoursToSurfaceFilter",class(.me))
  return(.me)
}
