vtkWarpLens <- function(.me=environment()){
  .me <- vtkPointSetToPointSetFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkWarpLens_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkWarpLens_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkWarpLens_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkWarpLens_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkWarpLens(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkWarpLens_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkWarpLens(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKappa <- function( .kappa){
    res<-.Call("R_vtkWarpLens_SetKappa",.me$obj, .kappa,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKappa <- function(){
    res<-.Call("R_vtkWarpLens_GetKappa",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCenter <- function( .centerX, .centerY){
    res<-.Call("R_vtkWarpLens_SetCenter",.me$obj, .centerX, .centerY,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCenter <- function(){
    res<-.Call("R_vtkWarpLens_GetCenter",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPrincipalPoint <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkWarpLens_SetPrincipalPoint",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPrincipalPoint_v1 <- function( ._arg){
    res<-.Call("R_vtkWarpLens_SetPrincipalPoint_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPrincipalPoint <- function(){
    res<-.Call("R_vtkWarpLens_GetPrincipalPoint",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPrincipalPoint_v1 <- function( .data){
    res<-.Call("R_vtkWarpLens_GetPrincipalPoint_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetK1 <- function( ._arg){
    res<-.Call("R_vtkWarpLens_SetK1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetK1 <- function(){
    res<-.Call("R_vtkWarpLens_GetK1",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetK2 <- function( ._arg){
    res<-.Call("R_vtkWarpLens_SetK2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetK2 <- function(){
    res<-.Call("R_vtkWarpLens_GetK2",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetP1 <- function( ._arg){
    res<-.Call("R_vtkWarpLens_SetP1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetP1 <- function(){
    res<-.Call("R_vtkWarpLens_GetP1",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetP2 <- function( ._arg){
    res<-.Call("R_vtkWarpLens_SetP2",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetP2 <- function(){
    res<-.Call("R_vtkWarpLens_GetP2",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFormatWidth <- function( ._arg){
    res<-.Call("R_vtkWarpLens_SetFormatWidth",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFormatWidth <- function(){
    res<-.Call("R_vtkWarpLens_GetFormatWidth",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFormatHeight <- function( ._arg){
    res<-.Call("R_vtkWarpLens_SetFormatHeight",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFormatHeight <- function(){
    res<-.Call("R_vtkWarpLens_GetFormatHeight",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetImageWidth <- function( ._arg){
    res<-.Call("R_vtkWarpLens_SetImageWidth",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetImageWidth <- function(){
    res<-.Call("R_vtkWarpLens_GetImageWidth",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetImageHeight <- function( ._arg){
    res<-.Call("R_vtkWarpLens_SetImageHeight",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetImageHeight <- function(){
    res<-.Call("R_vtkWarpLens_GetImageHeight",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkWarpLens_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkWarpLens",class(.me))
  return(.me)
}
