vtkWarpScalar <- function(.me=environment()){
  .me <- vtkPointSetToPointSetFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkWarpScalar_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkWarpScalar_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkWarpScalar_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkWarpScalar_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkWarpScalar(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkWarpScalar_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkWarpScalar(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScaleFactor <- function( ._arg){
    res<-.Call("R_vtkWarpScalar_SetScaleFactor",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScaleFactor <- function(){
    res<-.Call("R_vtkWarpScalar_GetScaleFactor",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUseNormal <- function( ._arg){
    res<-.Call("R_vtkWarpScalar_SetUseNormal",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUseNormal <- function(){
    res<-.Call("R_vtkWarpScalar_GetUseNormal",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseNormalOn <- function(){
    res<-.Call("R_vtkWarpScalar_UseNormalOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseNormalOff <- function(){
    res<-.Call("R_vtkWarpScalar_UseNormalOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNormal <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkWarpScalar_SetNormal",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNormal_v1 <- function( ._arg){
    res<-.Call("R_vtkWarpScalar_SetNormal_v1",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormal <- function(){
    res<-.Call("R_vtkWarpScalar_GetNormal",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormal_v1 <- function( .data){
    res<-.Call("R_vtkWarpScalar_GetNormal_v1",.me$obj, .data,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetXYPlane <- function( ._arg){
    res<-.Call("R_vtkWarpScalar_SetXYPlane",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetXYPlane <- function(){
    res<-.Call("R_vtkWarpScalar_GetXYPlane",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$XYPlaneOn <- function(){
    res<-.Call("R_vtkWarpScalar_XYPlaneOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$XYPlaneOff <- function(){
    res<-.Call("R_vtkWarpScalar_XYPlaneOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInputScalarsSelection <- function(){
    res<-.Call("R_vtkWarpScalar_GetInputScalarsSelection",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SelectInputScalars <- function( .fieldName){
    res<-.Call("R_vtkWarpScalar_SelectInputScalars",.me$obj, .fieldName,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkWarpScalar_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkWarpScalar",class(.me))
  return(.me)
}
