vtkXMLWriter <- function(.me=environment()){
  .me <- vtkProcessObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkXMLWriter_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkXMLWriter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkXMLWriter_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkXMLWriter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkXMLWriter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkXMLWriter_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkXMLWriter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetByteOrder <- function( ._arg){
    res<-.Call("R_vtkXMLWriter_SetByteOrder",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetByteOrder <- function(){
    res<-.Call("R_vtkXMLWriter_GetByteOrder",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetByteOrderToBigEndian <- function(){
    res<-.Call("R_vtkXMLWriter_SetByteOrderToBigEndian",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetByteOrderToLittleEndian <- function(){
    res<-.Call("R_vtkXMLWriter_SetByteOrderToLittleEndian",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIdType <- function( .t){
    res<-.Call("R_vtkXMLWriter_SetIdType",.me$obj, .t,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIdType <- function(){
    res<-.Call("R_vtkXMLWriter_GetIdType",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIdTypeToInt32 <- function(){
    res<-.Call("R_vtkXMLWriter_SetIdTypeToInt32",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIdTypeToInt64 <- function(){
    res<-.Call("R_vtkXMLWriter_SetIdTypeToInt64",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFileName <- function( ._arg){
    res<-.Call("R_vtkXMLWriter_SetFileName",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFileName <- function(){
    res<-.Call("R_vtkXMLWriter_GetFileName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCompressor <- function( ._arg=vtkDataCompressor()){
    check.VTK(._arg,"vtkDataCompressor")
    res<-.Call("R_vtkXMLWriter_SetCompressor",.me$obj, ._arg$obj,PACKAGE="RVTK.Base")
    res$._arg <- vtkDataCompressor(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCompressor <- function(){
    res<-.Call("R_vtkXMLWriter_GetCompressor",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkDataCompressor(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBlockSize <- function( .blockSize){
    res<-.Call("R_vtkXMLWriter_SetBlockSize",.me$obj, .blockSize,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBlockSize <- function(){
    res<-.Call("R_vtkXMLWriter_GetBlockSize",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataMode <- function( ._arg){
    res<-.Call("R_vtkXMLWriter_SetDataMode",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataMode <- function(){
    res<-.Call("R_vtkXMLWriter_GetDataMode",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataModeToAscii <- function(){
    res<-.Call("R_vtkXMLWriter_SetDataModeToAscii",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataModeToBinary <- function(){
    res<-.Call("R_vtkXMLWriter_SetDataModeToBinary",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataModeToAppended <- function(){
    res<-.Call("R_vtkXMLWriter_SetDataModeToAppended",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEncodeAppendedData <- function( ._arg){
    res<-.Call("R_vtkXMLWriter_SetEncodeAppendedData",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEncodeAppendedData <- function(){
    res<-.Call("R_vtkXMLWriter_GetEncodeAppendedData",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EncodeAppendedDataOn <- function(){
    res<-.Call("R_vtkXMLWriter_EncodeAppendedDataOn",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EncodeAppendedDataOff <- function(){
    res<-.Call("R_vtkXMLWriter_EncodeAppendedDataOff",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDefaultFileExtension <- function(){
    res<-.Call("R_vtkXMLWriter_GetDefaultFileExtension",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Write <- function(){
    res<-.Call("R_vtkXMLWriter_Write",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkXMLWriter",class(.me))
  return(.me)
}
