vtkXYZMolReader <- function(.me=environment()){
  .me <- vtkMoleculeReaderBase(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkXYZMolReader_GetClassName",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkXYZMolReader_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkXYZMolReader_IsA",.me$obj, .type,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkXYZMolReader_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkXYZMolReader(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkXYZMolReader_NewInstance",.me$obj,PACKAGE="RVTK.Base")
    res$ret.val <- vtkXYZMolReader(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CanReadFile <- function( .name){
    res<-.Call("R_vtkXYZMolReader_CanReadFile",.me$obj, .name,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTimeStep <- function( ._arg){
    res<-.Call("R_vtkXYZMolReader_SetTimeStep",.me$obj, ._arg,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTimeStep <- function(){
    res<-.Call("R_vtkXYZMolReader_GetTimeStep",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaxTimeStep <- function(){
    res<-.Call("R_vtkXYZMolReader_GetMaxTimeStep",.me$obj,PACKAGE="RVTK.Base")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkXYZMolReader_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkXYZMolReader",class(.me))
  return(.me)
}
