#include <vtk/vtkAssignAttribute.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkAssignAttribute_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAssignAttribute * _obj = (vtkAssignAttribute * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAssignAttribute_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAssignAttribute * _obj = (vtkAssignAttribute * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAssignAttribute_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAssignAttribute * _obj = (vtkAssignAttribute * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAssignAttribute_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkAssignAttribute * _obj = (vtkAssignAttribute * ) SexpToVtk(obj);
    vtkAssignAttribute *  _res =( vtkAssignAttribute * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkAssignAttribute");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAssignAttribute_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAssignAttribute * _obj = (vtkAssignAttribute * ) SexpToVtk(obj);
    vtkAssignAttribute *  _res =( vtkAssignAttribute * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkAssignAttribute");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAssignAttribute_Assign( SEXP obj, SEXP inputAttributeType, SEXP attributeType, SEXP attributeLoc){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(inputAttributeType,1);
     int  *  _inputAttributeType =  SexpToint(inputAttributeType);
    SET_LENGTH(attributeType,1);
     int  *  _attributeType =  SexpToint(attributeType);
    SET_LENGTH(attributeLoc,1);
     int  *  _attributeLoc =  SexpToint(attributeLoc);
    vtkAssignAttribute * _obj = (vtkAssignAttribute * ) SexpToVtk(obj);
    _obj->Assign( * _inputAttributeType,  * _attributeType,  * _attributeLoc);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAssignAttribute_Assign_v1( SEXP obj, SEXP fieldName, SEXP attributeType, SEXP attributeLoc){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _fieldName =  SexpTochar(fieldName);
    SET_LENGTH(attributeType,1);
     int  *  _attributeType =  SexpToint(attributeType);
    SET_LENGTH(attributeLoc,1);
     int  *  _attributeLoc =  SexpToint(attributeLoc);
    vtkAssignAttribute * _obj = (vtkAssignAttribute * ) SexpToVtk(obj);
    _obj->Assign(_fieldName,  * _attributeType,  * _attributeLoc);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAssignAttribute_Assign_v2( SEXP obj, SEXP name, SEXP attributeType, SEXP attributeLoc){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
     char  *  _attributeType =  SexpTochar(attributeType);
     char  *  _attributeLoc =  SexpTochar(attributeLoc);
    vtkAssignAttribute * _obj = (vtkAssignAttribute * ) SexpToVtk(obj);
    _obj->Assign(_name, _attributeType, _attributeLoc);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAssignAttribute_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkAssignAttribute * res= ( vtkAssignAttribute * ) vtkAssignAttribute
::New();
    R_res=toRPointer(res,"vtkAssignAttribute");
    return(R_res);
  }
}
