#include <vtk/vtkBase64Utilities.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkBase64Utilities_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBase64Utilities * _obj = (vtkBase64Utilities * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBase64Utilities_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkBase64Utilities * _obj = (vtkBase64Utilities * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBase64Utilities_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkBase64Utilities * _obj = (vtkBase64Utilities * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBase64Utilities_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkBase64Utilities * _obj = (vtkBase64Utilities * ) SexpToVtk(obj);
    vtkBase64Utilities *  _res =( vtkBase64Utilities * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkBase64Utilities");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBase64Utilities_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBase64Utilities * _obj = (vtkBase64Utilities * ) SexpToVtk(obj);
    vtkBase64Utilities *  _res =( vtkBase64Utilities * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkBase64Utilities");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBase64Utilities_EncodeTriplet( SEXP obj, SEXP i0, SEXP i1, SEXP i2, SEXP o0, SEXP o1, SEXP o2, SEXP o3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i0,1);
     unsigned char  *  _i0 =  SexpTounsigned_char(i0);
    SET_LENGTH(i1,1);
     unsigned char  *  _i1 =  SexpTounsigned_char(i1);
    SET_LENGTH(i2,1);
     unsigned char  *  _i2 =  SexpTounsigned_char(i2);
     unsigned char  *  _o0 =  SexpTounsigned_char(o0);
     unsigned char  *  _o1 =  SexpTounsigned_char(o1);
     unsigned char  *  _o2 =  SexpTounsigned_char(o2);
     unsigned char  *  _o3 =  SexpTounsigned_char(o3);
    vtkBase64Utilities * _obj = (vtkBase64Utilities * ) SexpToVtk(obj);
    _obj->EncodeTriplet( * _i0,  * _i1,  * _i2, _o0, _o1, _o2, _o3);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_o0,LENGTH(o0)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o0",0));
    SET_VECTOR_ELT(ans,2,unsigned_charToSexp(_o1,LENGTH(o1)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".o1",0));
    SET_VECTOR_ELT(ans,3,unsigned_charToSexp(_o2,LENGTH(o2)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".o2",0));
    SET_VECTOR_ELT(ans,4,unsigned_charToSexp(_o3,LENGTH(o3)));
    SET_VECTOR_ELT(res_names,4,charToSexp(".o3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBase64Utilities_EncodePair( SEXP obj, SEXP i0, SEXP i1, SEXP o0, SEXP o1, SEXP o2, SEXP o3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i0,1);
     unsigned char  *  _i0 =  SexpTounsigned_char(i0);
    SET_LENGTH(i1,1);
     unsigned char  *  _i1 =  SexpTounsigned_char(i1);
     unsigned char  *  _o0 =  SexpTounsigned_char(o0);
     unsigned char  *  _o1 =  SexpTounsigned_char(o1);
     unsigned char  *  _o2 =  SexpTounsigned_char(o2);
     unsigned char  *  _o3 =  SexpTounsigned_char(o3);
    vtkBase64Utilities * _obj = (vtkBase64Utilities * ) SexpToVtk(obj);
    _obj->EncodePair( * _i0,  * _i1, _o0, _o1, _o2, _o3);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_o0,LENGTH(o0)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o0",0));
    SET_VECTOR_ELT(ans,2,unsigned_charToSexp(_o1,LENGTH(o1)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".o1",0));
    SET_VECTOR_ELT(ans,3,unsigned_charToSexp(_o2,LENGTH(o2)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".o2",0));
    SET_VECTOR_ELT(ans,4,unsigned_charToSexp(_o3,LENGTH(o3)));
    SET_VECTOR_ELT(res_names,4,charToSexp(".o3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBase64Utilities_EncodeSingle( SEXP obj, SEXP i0, SEXP o0, SEXP o1, SEXP o2, SEXP o3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i0,1);
     unsigned char  *  _i0 =  SexpTounsigned_char(i0);
     unsigned char  *  _o0 =  SexpTounsigned_char(o0);
     unsigned char  *  _o1 =  SexpTounsigned_char(o1);
     unsigned char  *  _o2 =  SexpTounsigned_char(o2);
     unsigned char  *  _o3 =  SexpTounsigned_char(o3);
    vtkBase64Utilities * _obj = (vtkBase64Utilities * ) SexpToVtk(obj);
    _obj->EncodeSingle( * _i0, _o0, _o1, _o2, _o3);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_o0,LENGTH(o0)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o0",0));
    SET_VECTOR_ELT(ans,2,unsigned_charToSexp(_o1,LENGTH(o1)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".o1",0));
    SET_VECTOR_ELT(ans,3,unsigned_charToSexp(_o2,LENGTH(o2)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".o2",0));
    SET_VECTOR_ELT(ans,4,unsigned_charToSexp(_o3,LENGTH(o3)));
    SET_VECTOR_ELT(res_names,4,charToSexp(".o3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBase64Utilities_Encode( SEXP obj, SEXP input, SEXP length, SEXP output, SEXP mark_end){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  _input =  SexpTounsigned_char(input);
    SET_LENGTH(length,1);
     long unsigned int  *  _length =  SexpTolong_unsigned_int(length);
     unsigned char  *  _output =  SexpTounsigned_char(output);
    SET_LENGTH(mark_end,1);
     int  *  _mark_end =  SexpToint(mark_end);
    vtkBase64Utilities * _obj = (vtkBase64Utilities * ) SexpToVtk(obj);
    long unsigned int _res =_obj->Encode(_input,  * _length, _output,  * _mark_end);
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_output,LENGTH(output)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".output",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBase64Utilities_DecodeTriplet( SEXP obj, SEXP i0, SEXP i1, SEXP i2, SEXP i3, SEXP o0, SEXP o1, SEXP o2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i0,1);
     unsigned char  *  _i0 =  SexpTounsigned_char(i0);
    SET_LENGTH(i1,1);
     unsigned char  *  _i1 =  SexpTounsigned_char(i1);
    SET_LENGTH(i2,1);
     unsigned char  *  _i2 =  SexpTounsigned_char(i2);
    SET_LENGTH(i3,1);
     unsigned char  *  _i3 =  SexpTounsigned_char(i3);
     unsigned char  *  _o0 =  SexpTounsigned_char(o0);
     unsigned char  *  _o1 =  SexpTounsigned_char(o1);
     unsigned char  *  _o2 =  SexpTounsigned_char(o2);
    vtkBase64Utilities * _obj = (vtkBase64Utilities * ) SexpToVtk(obj);
    int _res =_obj->DecodeTriplet( * _i0,  * _i1,  * _i2,  * _i3, _o0, _o1, _o2);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_o0,LENGTH(o0)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o0",0));
    SET_VECTOR_ELT(ans,2,unsigned_charToSexp(_o1,LENGTH(o1)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".o1",0));
    SET_VECTOR_ELT(ans,3,unsigned_charToSexp(_o2,LENGTH(o2)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".o2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBase64Utilities_Decode( SEXP obj, SEXP input, SEXP length, SEXP output, SEXP max_input_length){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  _input =  SexpTounsigned_char(input);
    SET_LENGTH(length,1);
     long unsigned int  *  _length =  SexpTolong_unsigned_int(length);
     unsigned char  *  _output =  SexpTounsigned_char(output);
    SET_LENGTH(max_input_length,1);
     long unsigned int  *  _max_input_length =  
SexpTolong_unsigned_int(max_input_length);
    vtkBase64Utilities * _obj = (vtkBase64Utilities * ) SexpToVtk(obj);
    long unsigned int _res =_obj->Decode(_input,  * _length, _output,  * _max_input_length);
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_output,LENGTH(output)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".output",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBase64Utilities_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkBase64Utilities * res= ( vtkBase64Utilities * ) vtkBase64Utilities
::New();
    R_res=toRPointer(res,"vtkBase64Utilities");
    return(R_res);
  }
}
