#include <vtk/vtkCellArray.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkCellArray_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    vtkCellArray *  _res =( vtkCellArray * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkCellArray");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    vtkCellArray *  _res =( vtkCellArray * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkCellArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_Allocate( SEXP obj, SEXP sz, SEXP ext){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(sz,1);
     int  *  _sz =  SexpToint(sz);
    SET_LENGTH(ext,1);
     int  *  _ext =  SexpToint(ext);
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    int _res =_obj->Allocate( * _sz,  * _ext);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_Initialize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_GetNumberOfCells( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfCells();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_EstimateSize( SEXP obj, SEXP numCells, SEXP maxPtsPerCell){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(numCells,1);
     int  *  _numCells =  SexpToint(numCells);
    SET_LENGTH(maxPtsPerCell,1);
     int  *  _maxPtsPerCell =  SexpToint(maxPtsPerCell);
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    int _res =_obj->EstimateSize( * _numCells,  * _maxPtsPerCell);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_InitTraversal( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    _obj->InitTraversal();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_GetNextCell( SEXP obj, SEXP npts, SEXP pts){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(npts,1);
     int  *  _npts =  SexpToint(npts);
     int  *  _pts =  SexpToint(pts);
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    int _res =_obj->GetNextCell( * _npts, _pts);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_npts,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".npts",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_pts,LENGTH(pts)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".pts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_GetSize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    int _res =_obj->GetSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_GetNumberOfConnectivityEntries( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfConnectivityEntries();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_GetCell( SEXP obj, SEXP loc, SEXP npts, SEXP pts){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(loc,1);
     int  *  _loc =  SexpToint(loc);
    SET_LENGTH(npts,1);
     int  *  _npts =  SexpToint(npts);
     int  *  _pts =  SexpToint(pts);
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    _obj->GetCell( * _loc,  * _npts, _pts);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_npts,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".npts",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_pts,LENGTH(pts)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".pts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_InsertNextCell( SEXP obj, SEXP cell){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkCell  *  _cell = (vtkCell * )  SexpToVtk(cell);
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    int _res =_obj->InsertNextCell(_cell);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cell,"vtkCell"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cell",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_InsertNextCell_v1( SEXP obj, SEXP npts, SEXP pts){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(npts,1);
     int  *  _npts =  SexpToint(npts);
     int  *  _pts =  SexpToint(pts);
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    int _res =_obj->InsertNextCell( * _npts, _pts);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_pts,LENGTH(pts)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_InsertNextCell_v2( SEXP obj, SEXP pts){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkIdList  *  _pts = (vtkIdList * )  SexpToVtk(pts);
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    int _res =_obj->InsertNextCell(_pts);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pts,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_InsertNextCell_v3( SEXP obj, SEXP npts){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(npts,1);
     int  *  _npts =  SexpToint(npts);
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    int _res =_obj->InsertNextCell( * _npts);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_InsertCellPoint( SEXP obj, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    _obj->InsertCellPoint( * _id);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_UpdateCellCount( SEXP obj, SEXP npts){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(npts,1);
     int  *  _npts =  SexpToint(npts);
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    _obj->UpdateCellCount( * _npts);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_GetInsertLocation( SEXP obj, SEXP npts){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(npts,1);
     int  *  _npts =  SexpToint(npts);
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    int _res =_obj->GetInsertLocation( * _npts);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_GetTraversalLocation( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    int _res =_obj->GetTraversalLocation();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_SetTraversalLocation( SEXP obj, SEXP loc){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(loc,1);
     int  *  _loc =  SexpToint(loc);
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    _obj->SetTraversalLocation( * _loc);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_GetTraversalLocation_v1( SEXP obj, SEXP npts){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(npts,1);
     int  *  _npts =  SexpToint(npts);
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    int _res =_obj->GetTraversalLocation( * _npts);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_ReverseCell( SEXP obj, SEXP loc){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(loc,1);
     int  *  _loc =  SexpToint(loc);
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    _obj->ReverseCell( * _loc);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_ReplaceCell( SEXP obj, SEXP loc, SEXP npts, SEXP pts){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(loc,1);
     int  *  _loc =  SexpToint(loc);
    SET_LENGTH(npts,1);
     int  *  _npts =  SexpToint(npts);
     int  *  _pts =  SexpToint(pts);
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    _obj->ReplaceCell( * _loc,  * _npts, _pts);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_pts,LENGTH(pts)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_GetMaxCellSize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    int _res =_obj->GetMaxCellSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_GetPointer( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetPointer();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_WritePointer( SEXP obj, SEXP ncells, SEXP size){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ncells,1);
     int  *  _ncells =  SexpToint(ncells);
    SET_LENGTH(size,1);
     int  *  _size =  SexpToint(size);
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->WritePointer( * _ncells,  * _size);
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_SetCells( SEXP obj, SEXP ncells, SEXP cells){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ncells,1);
     int  *  _ncells =  SexpToint(ncells);
     vtkIdTypeArray  *  _cells = (vtkIdTypeArray * )  SexpToVtk(cells);
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    _obj->SetCells( * _ncells, _cells);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cells,"vtkIdTypeArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cells",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_DeepCopy( SEXP obj, SEXP ca){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkCellArray  *  _ca = (vtkCellArray * )  SexpToVtk(ca);
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    _obj->DeepCopy(_ca);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ca,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ca",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_GetData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    vtkIdTypeArray *  _res =( vtkIdTypeArray * )_obj->GetData();
    res=VtkToSexp(_res,"vtkIdTypeArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_Reset( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    _obj->Reset();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_Squeeze( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    _obj->Squeeze();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_GetActualMemorySize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCellArray * _obj = (vtkCellArray * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetActualMemorySize();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCellArray_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkCellArray * res= ( vtkCellArray * ) vtkCellArray::New();
    R_res=toRPointer(res,"vtkCellArray");
    return(R_res);
  }
}
