#include <vtk/vtkCompositeDataVisitor.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkCompositeDataVisitor_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataVisitor * _obj = (vtkCompositeDataVisitor
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataVisitor_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCompositeDataVisitor * _obj = (vtkCompositeDataVisitor
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataVisitor_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCompositeDataVisitor * _obj = (vtkCompositeDataVisitor
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataVisitor_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkCompositeDataVisitor * _obj = (vtkCompositeDataVisitor
 * ) SexpToVtk(obj);
    vtkCompositeDataVisitor *  _res =( vtkCompositeDataVisitor * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkCompositeDataVisitor");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataVisitor_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataVisitor * _obj = (vtkCompositeDataVisitor
 * ) SexpToVtk(obj);
    vtkCompositeDataVisitor *  _res =( vtkCompositeDataVisitor * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkCompositeDataVisitor");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataVisitor_SetCommand( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkCompositeDataCommand  *  __arg = (vtkCompositeDataCommand * )  
SexpToVtk(_arg);
    vtkCompositeDataVisitor * _obj = (vtkCompositeDataVisitor
 * ) SexpToVtk(obj);
    _obj->SetCommand(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkCompositeDataCommand"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataVisitor_GetCommand( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataVisitor * _obj = (vtkCompositeDataVisitor
 * ) SexpToVtk(obj);
    vtkCompositeDataCommand *  _res =( vtkCompositeDataCommand * )_obj->GetCommand();
    res=VtkToSexp(_res,"vtkCompositeDataCommand");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataVisitor_Execute( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataVisitor * _obj = (vtkCompositeDataVisitor
 * ) SexpToVtk(obj);
    _obj->Execute();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataVisitor_SetCreateTransitionElements( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkCompositeDataVisitor * _obj = (vtkCompositeDataVisitor
 * ) SexpToVtk(obj);
    _obj->SetCreateTransitionElements( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataVisitor_GetCreateTransitionElements( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataVisitor * _obj = (vtkCompositeDataVisitor
 * ) SexpToVtk(obj);
    int _res =_obj->GetCreateTransitionElements();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataVisitor_CreateTransitionElementsOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataVisitor * _obj = (vtkCompositeDataVisitor
 * ) SexpToVtk(obj);
    _obj->CreateTransitionElementsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataVisitor_CreateTransitionElementsOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataVisitor * _obj = (vtkCompositeDataVisitor
 * ) SexpToVtk(obj);
    _obj->CreateTransitionElementsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
}
