#include <vtk/vtkDataObjectWriter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkDataObjectWriter_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectWriter * _obj = (vtkDataObjectWriter * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectWriter_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataObjectWriter * _obj = (vtkDataObjectWriter * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectWriter_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataObjectWriter * _obj = (vtkDataObjectWriter * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectWriter_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDataObjectWriter * _obj = (vtkDataObjectWriter * ) SexpToVtk(obj);
    vtkDataObjectWriter *  _res =( vtkDataObjectWriter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkDataObjectWriter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectWriter_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectWriter * _obj = (vtkDataObjectWriter * ) SexpToVtk(obj);
    vtkDataObjectWriter *  _res =( vtkDataObjectWriter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkDataObjectWriter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectWriter_SetInput( SEXP obj, SEXP input){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _input = (vtkDataObject * )  SexpToVtk(input);
    vtkDataObjectWriter * _obj = (vtkDataObjectWriter * ) SexpToVtk(obj);
    _obj->SetInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectWriter_GetInput( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectWriter * _obj = (vtkDataObjectWriter * ) SexpToVtk(obj);
    vtkDataObject *  _res =( vtkDataObject * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkDataObject");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectWriter_SetFileName( SEXP obj, SEXP filename){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _filename =  SexpTochar(filename);
    vtkDataObjectWriter * _obj = (vtkDataObjectWriter * ) SexpToVtk(obj);
    _obj->SetFileName(_filename);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectWriter_GetFileName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectWriter * _obj = (vtkDataObjectWriter * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFileName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectWriter_SetHeader( SEXP obj, SEXP header){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _header =  SexpTochar(header);
    vtkDataObjectWriter * _obj = (vtkDataObjectWriter * ) SexpToVtk(obj);
    _obj->SetHeader(_header);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_header,LENGTH(header)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".header",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectWriter_GetHeader( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectWriter * _obj = (vtkDataObjectWriter * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetHeader();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectWriter_SetFileType( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(type,1);
     int  *  _type =  SexpToint(type);
    vtkDataObjectWriter * _obj = (vtkDataObjectWriter * ) SexpToVtk(obj);
    _obj->SetFileType( * _type);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectWriter_GetFileType( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectWriter * _obj = (vtkDataObjectWriter * ) SexpToVtk(obj);
    int _res =_obj->GetFileType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectWriter_SetFileTypeToASCII( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectWriter * _obj = (vtkDataObjectWriter * ) SexpToVtk(obj);
    _obj->SetFileTypeToASCII();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectWriter_SetFileTypeToBinary( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectWriter * _obj = (vtkDataObjectWriter * ) SexpToVtk(obj);
    _obj->SetFileTypeToBinary();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectWriter_SetFieldDataName( SEXP obj, SEXP fieldname){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _fieldname =  SexpTochar(fieldname);
    vtkDataObjectWriter * _obj = (vtkDataObjectWriter * ) SexpToVtk(obj);
    _obj->SetFieldDataName(_fieldname);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_fieldname,LENGTH(fieldname)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".fieldname",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectWriter_GetFieldDataName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectWriter * _obj = (vtkDataObjectWriter * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFieldDataName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectWriter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkDataObjectWriter * res= ( vtkDataObjectWriter * ) vtkDataObjectWriter
::New();
    R_res=toRPointer(res,"vtkDataObjectWriter");
    return(R_res);
  }
}
