#include <vtk/vtkDataReader.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkDataReader_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    vtkDataReader *  _res =( vtkDataReader * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkDataReader");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    vtkDataReader *  _res =( vtkDataReader * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkDataReader");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_SetFileName( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    _obj->SetFileName(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetFileName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFileName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_IsFileValid( SEXP obj, SEXP dstype){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _dstype =  SexpTochar(dstype);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->IsFileValid(_dstype);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_IsFileStructuredPoints( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->IsFileStructuredPoints();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_IsFilePolyData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->IsFilePolyData();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_IsFileStructuredGrid( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->IsFileStructuredGrid();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_IsFileUnstructuredGrid( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->IsFileUnstructuredGrid();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_IsFileRectilinearGrid( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->IsFileRectilinearGrid();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_SetInputString( SEXP obj, SEXP in){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _in =  SexpTochar(in);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    _obj->SetInputString(_in);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetInputString( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetInputString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_SetInputString_v1( SEXP obj, SEXP in, SEXP len){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _in =  SexpTochar(in);
    SET_LENGTH(len,1);
     int  *  _len =  SexpToint(len);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    _obj->SetInputString(_in,  * _len);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetInputStringLength( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->GetInputStringLength();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_SetBinaryInputString( SEXP obj, SEXP in, SEXP len){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _in =  SexpTochar(in);
    SET_LENGTH(len,1);
     int  *  _len =  SexpToint(len);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    _obj->SetBinaryInputString(_in,  * _len);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_SetInputArray( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkCharArray  *  __arg = (vtkCharArray * )  SexpToVtk(_arg);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    _obj->SetInputArray(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkCharArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetInputArray( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    vtkCharArray *  _res =( vtkCharArray * )_obj->GetInputArray();
    res=VtkToSexp(_res,"vtkCharArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetHeader( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetHeader();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_SetReadFromInputString( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    _obj->SetReadFromInputString( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetReadFromInputString( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->GetReadFromInputString();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_ReadFromInputStringOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    _obj->ReadFromInputStringOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_ReadFromInputStringOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    _obj->ReadFromInputStringOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetFileType( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->GetFileType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetNumberOfScalarsInFile( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfScalarsInFile();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetNumberOfVectorsInFile( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfVectorsInFile();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetNumberOfTensorsInFile( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfTensorsInFile();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetNumberOfNormalsInFile( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfNormalsInFile();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetNumberOfTCoordsInFile( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfTCoordsInFile();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetNumberOfFieldDataInFile( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfFieldDataInFile();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetScalarsNameInFile( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetScalarsNameInFile( * _i);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetVectorsNameInFile( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetVectorsNameInFile( * _i);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetTensorsNameInFile( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetTensorsNameInFile( * _i);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetNormalsNameInFile( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetNormalsNameInFile( * _i);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetTCoordsNameInFile( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetTCoordsNameInFile( * _i);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetFieldDataNameInFile( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFieldDataNameInFile( * _i);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_SetScalarsName( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    _obj->SetScalarsName(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetScalarsName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetScalarsName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_SetVectorsName( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    _obj->SetVectorsName(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetVectorsName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetVectorsName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_SetTensorsName( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    _obj->SetTensorsName(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetTensorsName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetTensorsName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_SetNormalsName( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    _obj->SetNormalsName(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetNormalsName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetNormalsName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_SetTCoordsName( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    _obj->SetTCoordsName(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetTCoordsName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetTCoordsName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_SetLookupTableName( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    _obj->SetLookupTableName(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetLookupTableName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetLookupTableName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_SetFieldDataName( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    _obj->SetFieldDataName(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_GetFieldDataName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFieldDataName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_OpenVTKFile( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->OpenVTKFile();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_ReadHeader( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->ReadHeader();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_ReadCellData( SEXP obj, SEXP ds, SEXP numCells){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _ds = (vtkDataSet * )  SexpToVtk(ds);
    SET_LENGTH(numCells,1);
     int  *  _numCells =  SexpToint(numCells);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->ReadCellData(_ds,  * _numCells);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ds,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_ReadPointData( SEXP obj, SEXP ds, SEXP numPts){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _ds = (vtkDataSet * )  SexpToVtk(ds);
    SET_LENGTH(numPts,1);
     int  *  _numPts =  SexpToint(numPts);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->ReadPointData(_ds,  * _numPts);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ds,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_ReadPoints( SEXP obj, SEXP ps, SEXP numPts){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPointSet  *  _ps = (vtkPointSet * )  SexpToVtk(ps);
    SET_LENGTH(numPts,1);
     int  *  _numPts =  SexpToint(numPts);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->ReadPoints(_ps,  * _numPts);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ps,"vtkPointSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ps",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_ReadCells( SEXP obj, SEXP size, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(size,1);
     int  *  _size =  SexpToint(size);
     int  *  _data =  SexpToint(data);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->ReadCells( * _size, _data);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_ReadCells_v1( SEXP obj, SEXP size, SEXP data, SEXP skip1, SEXP read2, SEXP skip3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(size,1);
     int  *  _size =  SexpToint(size);
     int  *  _data =  SexpToint(data);
    SET_LENGTH(skip1,1);
     int  *  _skip1 =  SexpToint(skip1);
    SET_LENGTH(read2,1);
     int  *  _read2 =  SexpToint(read2);
    SET_LENGTH(skip3,1);
     int  *  _skip3 =  SexpToint(skip3);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->ReadCells( * _size, _data,  * _skip1,  * _read2,  * _skip3);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_ReadCoordinates( SEXP obj, SEXP rg, SEXP axes, SEXP numCoords){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRectilinearGrid  *  _rg = (vtkRectilinearGrid * )  SexpToVtk(rg);
    SET_LENGTH(axes,1);
     int  *  _axes =  SexpToint(axes);
    SET_LENGTH(numCoords,1);
     int  *  _numCoords =  SexpToint(numCoords);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->ReadCoordinates(_rg,  * _axes,  * _numCoords);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_rg,"vtkRectilinearGrid"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".rg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_ReadArray( SEXP obj, SEXP dataType, SEXP numTuples, SEXP numComp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _dataType =  SexpTochar(dataType);
    SET_LENGTH(numTuples,1);
     int  *  _numTuples =  SexpToint(numTuples);
    SET_LENGTH(numComp,1);
     int  *  _numComp =  SexpToint(numComp);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->ReadArray(_dataType,  * _numTuples,  * _numComp);
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_ReadFieldData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    vtkFieldData *  _res =( vtkFieldData * )_obj->ReadFieldData();
    res=VtkToSexp(_res,"vtkFieldData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_Read( SEXP obj, SEXP result){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _result =  SexpTochar(result);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->Read(_result);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_result,LENGTH(result)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_Read_v1( SEXP obj, SEXP result){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  _result =  SexpTounsigned_char(result);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->Read(_result);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_result,LENGTH(result)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_Read_v2( SEXP obj, SEXP result){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     short int  *  _result =  SexpToshort_int(result);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->Read(_result);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,short_intToSexp(_result,LENGTH(result)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_Read_v3( SEXP obj, SEXP result){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     short unsigned int  *  _result =  SexpToshort_unsigned_int(result);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->Read(_result);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,short_unsigned_intToSexp(_result,LENGTH(result)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_Read_v4( SEXP obj, SEXP result){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _result =  SexpToint(result);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->Read(_result);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_result,LENGTH(result)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_Read_v5( SEXP obj, SEXP result){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned int  *  _result =  SexpTounsigned_int(result);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->Read(_result);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_intToSexp(_result,LENGTH(result)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_Read_v6( SEXP obj, SEXP result){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     long int  *  _result =  SexpTolong_int(result);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->Read(_result);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,long_intToSexp(_result,LENGTH(result)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_Read_v7( SEXP obj, SEXP result){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     long unsigned int  *  _result =  SexpTolong_unsigned_int(result);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->Read(_result);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,long_unsigned_intToSexp(_result,LENGTH(result)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_Read_v8( SEXP obj, SEXP result){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _result =  SexpTofloat(result);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->Read(_result);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_result,LENGTH(result)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_Read_v9( SEXP obj, SEXP result){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _result =  SexpTodouble(result);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->Read(_result);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_result,LENGTH(result)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_CloseVTKFile( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    _obj->CloseVTKFile();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_ReadLine( SEXP obj, SEXP result){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(result,256);
     char  *  _result =  SexpTochar(result);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->ReadLine(_result);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_result,256));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_ReadString( SEXP obj, SEXP result){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(result,256);
     char  *  _result =  SexpTochar(result);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    int _res =_obj->ReadString(_result);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_result,256));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_LowerCase( SEXP obj, SEXP str, SEXP len){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _str =  SexpTochar(str);
    SET_LENGTH(len,1);
     unsigned int  *  _len =  SexpTounsigned_int(len);
    vtkDataReader * _obj = (vtkDataReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->LowerCase(_str,  * _len);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_str,LENGTH(str)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".str",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataReader_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkDataReader * res= ( vtkDataReader * ) vtkDataReader::New();
    R_res=toRPointer(res,"vtkDataReader");
    return(R_res);
  }
}
