#include <vtk/vtkDataSetAttributes.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkDataSetAttributes_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    vtkDataSetAttributes *  _res =( vtkDataSetAttributes * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkDataSetAttributes");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    vtkDataSetAttributes *  _res =( vtkDataSetAttributes * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkDataSetAttributes");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_Initialize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_Update( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->Update();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_PassData( SEXP obj, SEXP fd){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkFieldData  *  _fd = (vtkFieldData * )  SexpToVtk(fd);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->PassData(_fd);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_fd,"vtkFieldData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".fd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_InterpolateAllocate( SEXP obj, SEXP pd, SEXP sze, SEXP ext){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSetAttributes  *  _pd = (vtkDataSetAttributes * )  SexpToVtk(pd);
    SET_LENGTH(sze,1);
     int  *  _sze =  SexpToint(sze);
    SET_LENGTH(ext,1);
     int  *  _ext =  SexpToint(ext);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->InterpolateAllocate(_pd,  * _sze,  * _ext);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pd,"vtkDataSetAttributes"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_CopyStructuredData( SEXP obj, SEXP fromPd, SEXP inExt, SEXP outExt){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSetAttributes  *  _fromPd = (vtkDataSetAttributes * )  
SexpToVtk(fromPd);
     int  *  _inExt =  SexpToint(inExt);
     int  *  _outExt =  SexpToint(outExt);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->CopyStructuredData(_fromPd, _inExt, _outExt);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_fromPd,"vtkDataSetAttributes"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".fromPd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_InterpolatePoint( SEXP obj, SEXP fromPd, SEXP toId, SEXP ptIds, SEXP weights){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSetAttributes  *  _fromPd = (vtkDataSetAttributes * )  
SexpToVtk(fromPd);
    SET_LENGTH(toId,1);
     int  *  _toId =  SexpToint(toId);
     vtkIdList  *  _ptIds = (vtkIdList * )  SexpToVtk(ptIds);
     double  *  _weights =  SexpTodouble(weights);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->InterpolatePoint(_fromPd,  * _toId, _ptIds, _weights);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_fromPd,"vtkDataSetAttributes"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".fromPd",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_ptIds,"vtkIdList"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".ptIds",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_weights,LENGTH(weights)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".weights",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_InterpolateEdge( SEXP obj, SEXP fromPd, SEXP toId, SEXP p1, SEXP p2, SEXP t){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSetAttributes  *  _fromPd = (vtkDataSetAttributes * )  
SexpToVtk(fromPd);
    SET_LENGTH(toId,1);
     int  *  _toId =  SexpToint(toId);
    SET_LENGTH(p1,1);
     int  *  _p1 =  SexpToint(p1);
    SET_LENGTH(p2,1);
     int  *  _p2 =  SexpToint(p2);
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->InterpolateEdge(_fromPd,  * _toId,  * _p1,  * _p2,  * _t);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_fromPd,"vtkDataSetAttributes"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".fromPd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_InterpolateTime( SEXP obj, SEXP from1, SEXP from2, SEXP id, SEXP t){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSetAttributes  *  _from1 = (vtkDataSetAttributes * )  
SexpToVtk(from1);
     vtkDataSetAttributes  *  _from2 = (vtkDataSetAttributes * )  
SexpToVtk(from2);
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->InterpolateTime(_from1, _from2,  * _id,  * _t);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_from1,"vtkDataSetAttributes"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".from1",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_from2,"vtkDataSetAttributes"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".from2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_DeepCopy( SEXP obj, SEXP fd){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkFieldData  *  _fd = (vtkFieldData * )  SexpToVtk(fd);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->DeepCopy(_fd);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_fd,"vtkFieldData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".fd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_ShallowCopy( SEXP obj, SEXP fd){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkFieldData  *  _fd = (vtkFieldData * )  SexpToVtk(fd);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->ShallowCopy(_fd);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_fd,"vtkFieldData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".fd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_SetScalars( SEXP obj, SEXP da){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _da = (vtkDataArray * )  SexpToVtk(da);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    int _res =_obj->SetScalars(_da);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_da,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".da",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_SetActiveScalars( SEXP obj, SEXP name){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    int _res =_obj->SetActiveScalars(_name);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_GetScalars( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->GetScalars();
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_SetVectors( SEXP obj, SEXP da){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _da = (vtkDataArray * )  SexpToVtk(da);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    int _res =_obj->SetVectors(_da);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_da,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".da",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_SetActiveVectors( SEXP obj, SEXP name){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    int _res =_obj->SetActiveVectors(_name);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_GetVectors( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->GetVectors();
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_SetNormals( SEXP obj, SEXP da){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _da = (vtkDataArray * )  SexpToVtk(da);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    int _res =_obj->SetNormals(_da);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_da,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".da",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_SetActiveNormals( SEXP obj, SEXP name){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    int _res =_obj->SetActiveNormals(_name);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_GetNormals( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->GetNormals();
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_SetTCoords( SEXP obj, SEXP da){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _da = (vtkDataArray * )  SexpToVtk(da);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    int _res =_obj->SetTCoords(_da);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_da,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".da",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_SetActiveTCoords( SEXP obj, SEXP name){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    int _res =_obj->SetActiveTCoords(_name);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_GetTCoords( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->GetTCoords();
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_SetTensors( SEXP obj, SEXP da){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _da = (vtkDataArray * )  SexpToVtk(da);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    int _res =_obj->SetTensors(_da);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_da,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".da",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_SetActiveTensors( SEXP obj, SEXP name){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    int _res =_obj->SetActiveTensors(_name);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_GetTensors( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->GetTensors();
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_GetScalars_v1( SEXP obj, SEXP name){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->GetScalars(_name);
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_GetVectors_v1( SEXP obj, SEXP name){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->GetVectors(_name);
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_GetNormals_v1( SEXP obj, SEXP name){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->GetNormals(_name);
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_GetTCoords_v1( SEXP obj, SEXP name){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->GetTCoords(_name);
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_GetTensors_v1( SEXP obj, SEXP name){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->GetTensors(_name);
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_SetActiveAttribute( SEXP obj, SEXP name, SEXP attributeType){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(attributeType,1);
     int  *  _attributeType =  SexpToint(attributeType);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    int _res =_obj->SetActiveAttribute(_name,  * _attributeType);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_SetActiveAttribute_v1( SEXP obj, SEXP index, SEXP attributeType){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    SET_LENGTH(attributeType,1);
     int  *  _attributeType =  SexpToint(attributeType);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    int _res =_obj->SetActiveAttribute( * _index,  * _attributeType);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_SetCopyAttribute( SEXP obj, SEXP index, SEXP value){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    SET_LENGTH(value,1);
     int  *  _value =  SexpToint(value);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->SetCopyAttribute( * _index,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_SetCopyScalars( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->SetCopyScalars( * _i);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_GetCopyScalars( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    int _res =_obj->GetCopyScalars();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_CopyScalarsOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->CopyScalarsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_CopyScalarsOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->CopyScalarsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_SetCopyVectors( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->SetCopyVectors( * _i);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_GetCopyVectors( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    int _res =_obj->GetCopyVectors();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_CopyVectorsOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->CopyVectorsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_CopyVectorsOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->CopyVectorsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_SetCopyNormals( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->SetCopyNormals( * _i);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_GetCopyNormals( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    int _res =_obj->GetCopyNormals();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_CopyNormalsOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->CopyNormalsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_CopyNormalsOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->CopyNormalsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_SetCopyTCoords( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->SetCopyTCoords( * _i);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_GetCopyTCoords( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    int _res =_obj->GetCopyTCoords();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_CopyTCoordsOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->CopyTCoordsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_CopyTCoordsOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->CopyTCoordsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_SetCopyTensors( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->SetCopyTensors( * _i);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_GetCopyTensors( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    int _res =_obj->GetCopyTensors();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_CopyTensorsOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->CopyTensorsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_CopyTensorsOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->CopyTensorsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_CopyAllOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->CopyAllOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_CopyAllOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->CopyAllOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_CopyTuple( SEXP obj, SEXP fromData, SEXP toData, SEXP fromId, SEXP toId){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _fromData = (vtkDataArray * )  SexpToVtk(fromData);
     vtkDataArray  *  _toData = (vtkDataArray * )  SexpToVtk(toData);
    SET_LENGTH(fromId,1);
     int  *  _fromId =  SexpToint(fromId);
    SET_LENGTH(toId,1);
     int  *  _toId =  SexpToint(toId);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->CopyTuple(_fromData, _toData,  * _fromId,  * _toId);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_fromData,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".fromData",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_toData,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".toData",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_GetAttributeIndices( SEXP obj, SEXP indexArray){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _indexArray =  SexpToint(indexArray);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->GetAttributeIndices(_indexArray);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_indexArray,LENGTH(indexArray)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".indexArray",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_IsArrayAnAttribute( SEXP obj, SEXP idx){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    int _res =_obj->IsArrayAnAttribute( * _idx);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_GetAttribute( SEXP obj, SEXP attributeType){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(attributeType,1);
     int  *  _attributeType =  SexpToint(attributeType);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->GetAttribute( * _attributeType);
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_RemoveArray( SEXP obj, SEXP name){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    _obj->RemoveArray(_name);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_GetAttributeTypeAsString( SEXP obj, SEXP attributeType){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(attributeType,1);
     int  *  _attributeType =  SexpToint(attributeType);
    vtkDataSetAttributes * _obj = (vtkDataSetAttributes * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetAttributeTypeAsString( * _attributeType);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAttributes_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkDataSetAttributes * res= ( vtkDataSetAttributes * ) vtkDataSetAttributes
::New();
    R_res=toRPointer(res,"vtkDataSetAttributes");
    return(R_res);
  }
}
