#include <vtk/vtkExtractUnstructuredGrid.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkExtractUnstructuredGrid_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    vtkExtractUnstructuredGrid *  _res =( vtkExtractUnstructuredGrid * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkExtractUnstructuredGrid");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    vtkExtractUnstructuredGrid *  _res =( vtkExtractUnstructuredGrid * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkExtractUnstructuredGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_SetPointClipping( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    _obj->SetPointClipping( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_GetPointClipping( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    int _res =_obj->GetPointClipping();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_PointClippingOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    _obj->PointClippingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_PointClippingOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    _obj->PointClippingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_SetCellClipping( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    _obj->SetCellClipping( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_GetCellClipping( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    int _res =_obj->GetCellClipping();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_CellClippingOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    _obj->CellClippingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_CellClippingOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    _obj->CellClippingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_SetExtentClipping( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    _obj->SetExtentClipping( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_GetExtentClipping( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    int _res =_obj->GetExtentClipping();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_ExtentClippingOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    _obj->ExtentClippingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_ExtentClippingOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    _obj->ExtentClippingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_SetPointMinimum( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    _obj->SetPointMinimum( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_GetPointMinimumMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    int _res =_obj->GetPointMinimumMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_GetPointMinimumMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    int _res =_obj->GetPointMinimumMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_GetPointMinimum( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    int _res =_obj->GetPointMinimum();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_SetPointMaximum( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    _obj->SetPointMaximum( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_GetPointMaximumMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    int _res =_obj->GetPointMaximumMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_GetPointMaximumMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    int _res =_obj->GetPointMaximumMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_GetPointMaximum( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    int _res =_obj->GetPointMaximum();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_SetCellMinimum( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    _obj->SetCellMinimum( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_GetCellMinimumMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    int _res =_obj->GetCellMinimumMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_GetCellMinimumMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    int _res =_obj->GetCellMinimumMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_GetCellMinimum( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    int _res =_obj->GetCellMinimum();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_SetCellMaximum( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    _obj->SetCellMaximum( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_GetCellMaximumMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    int _res =_obj->GetCellMaximumMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_GetCellMaximumMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    int _res =_obj->GetCellMaximumMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_GetCellMaximum( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    int _res =_obj->GetCellMaximum();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_SetExtent( SEXP obj, SEXP xMin, SEXP xMax, SEXP yMin, SEXP yMax, SEXP zMin, SEXP zMax){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xMin,1);
     double  *  _xMin =  SexpTodouble(xMin);
    SET_LENGTH(xMax,1);
     double  *  _xMax =  SexpTodouble(xMax);
    SET_LENGTH(yMin,1);
     double  *  _yMin =  SexpTodouble(yMin);
    SET_LENGTH(yMax,1);
     double  *  _yMax =  SexpTodouble(yMax);
    SET_LENGTH(zMin,1);
     double  *  _zMin =  SexpTodouble(zMin);
    SET_LENGTH(zMax,1);
     double  *  _zMax =  SexpTodouble(zMax);
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    _obj->SetExtent( * _xMin,  * _xMax,  * _yMin,  * _yMax,  * _zMin,  * _zMax);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_SetExtent_v1( SEXP obj, SEXP extent){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _extent =  SexpTodouble(extent);
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    _obj->SetExtent(_extent);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_extent,LENGTH(extent)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".extent",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_GetExtent( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetExtent();
    res=doubleToSexp(_res,6);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_SetMerging( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    _obj->SetMerging( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_GetMerging( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    int _res =_obj->GetMerging();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_MergingOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    _obj->MergingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_MergingOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    _obj->MergingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_SetLocator( SEXP obj, SEXP locator){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    _obj->SetLocator(_locator);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".locator",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_GetLocator( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    vtkPointLocator *  _res =( vtkPointLocator * )_obj->GetLocator();
    res=VtkToSexp(_res,"vtkPointLocator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_CreateDefaultLocator( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    _obj->CreateDefaultLocator();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_GetMTime( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * _obj = (vtkExtractUnstructuredGrid
 * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractUnstructuredGrid_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkExtractUnstructuredGrid * res= ( vtkExtractUnstructuredGrid * ) 
vtkExtractUnstructuredGrid::New();
    R_res=toRPointer(res,"vtkExtractUnstructuredGrid");
    return(R_res);
  }
}
