#include <vtk/vtkFieldDataToAttributeDataFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkFieldDataToAttributeDataFilter_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    vtkFieldDataToAttributeDataFilter *  _res =( vtkFieldDataToAttributeDataFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkFieldDataToAttributeDataFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    vtkFieldDataToAttributeDataFilter *  _res =( vtkFieldDataToAttributeDataFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkFieldDataToAttributeDataFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_SetInputField( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    _obj->SetInputField( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetInputField( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetInputField();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_SetInputFieldToDataObjectField( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    _obj->SetInputFieldToDataObjectField();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_SetInputFieldToPointDataField( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    _obj->SetInputFieldToPointDataField();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_SetInputFieldToCellDataField( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    _obj->SetInputFieldToCellDataField();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_SetOutputAttributeData( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    _obj->SetOutputAttributeData( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetOutputAttributeData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetOutputAttributeData();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_SetOutputAttributeDataToCellData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    _obj->SetOutputAttributeDataToCellData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_SetOutputAttributeDataToPointData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    _obj->SetOutputAttributeDataToPointData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_SetScalarComponent( SEXP obj, SEXP comp, SEXP arrayName, SEXP arrayComp, SEXP min, SEXP max, SEXP normalize){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    SET_LENGTH(min,1);
     int  *  _min =  SexpToint(min);
    SET_LENGTH(max,1);
     int  *  _max =  SexpToint(max);
    SET_LENGTH(normalize,1);
     int  *  _normalize =  SexpToint(normalize);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    _obj->SetScalarComponent( * _comp, _arrayName,  * _arrayComp,  * _min,  * _max,  * _normalize);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_SetScalarComponent_v1( SEXP obj, SEXP comp, SEXP arrayName, SEXP arrayComp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    _obj->SetScalarComponent( * _comp, _arrayName,  * _arrayComp);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetScalarComponentArrayName( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetScalarComponentArrayName( * _comp);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetScalarComponentArrayComponent( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetScalarComponentArrayComponent( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetScalarComponentMinRange( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetScalarComponentMinRange( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetScalarComponentMaxRange( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetScalarComponentMaxRange( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetScalarComponentNormalizeFlag( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetScalarComponentNormalizeFlag( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_SetVectorComponent( SEXP obj, SEXP comp, SEXP arrayName, SEXP arrayComp, SEXP min, SEXP max, SEXP normalize){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    SET_LENGTH(min,1);
     int  *  _min =  SexpToint(min);
    SET_LENGTH(max,1);
     int  *  _max =  SexpToint(max);
    SET_LENGTH(normalize,1);
     int  *  _normalize =  SexpToint(normalize);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    _obj->SetVectorComponent( * _comp, _arrayName,  * _arrayComp,  * _min,  * _max,  * _normalize);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_SetVectorComponent_v1( SEXP obj, SEXP comp, SEXP arrayName, SEXP arrayComp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    _obj->SetVectorComponent( * _comp, _arrayName,  * _arrayComp);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetVectorComponentArrayName( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetVectorComponentArrayName( * _comp);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetVectorComponentArrayComponent( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetVectorComponentArrayComponent( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetVectorComponentMinRange( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetVectorComponentMinRange( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetVectorComponentMaxRange( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetVectorComponentMaxRange( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetVectorComponentNormalizeFlag( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetVectorComponentNormalizeFlag( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_SetNormalComponent( SEXP obj, SEXP comp, SEXP arrayName, SEXP arrayComp, SEXP min, SEXP max, SEXP normalize){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    SET_LENGTH(min,1);
     int  *  _min =  SexpToint(min);
    SET_LENGTH(max,1);
     int  *  _max =  SexpToint(max);
    SET_LENGTH(normalize,1);
     int  *  _normalize =  SexpToint(normalize);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    _obj->SetNormalComponent( * _comp, _arrayName,  * _arrayComp,  * _min,  * _max,  * _normalize);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_SetNormalComponent_v1( SEXP obj, SEXP comp, SEXP arrayName, SEXP arrayComp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    _obj->SetNormalComponent( * _comp, _arrayName,  * _arrayComp);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetNormalComponentArrayName( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetNormalComponentArrayName( * _comp);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetNormalComponentArrayComponent( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetNormalComponentArrayComponent( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetNormalComponentMinRange( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetNormalComponentMinRange( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetNormalComponentMaxRange( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetNormalComponentMaxRange( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetNormalComponentNormalizeFlag( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetNormalComponentNormalizeFlag( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_SetTensorComponent( SEXP obj, SEXP comp, SEXP arrayName, SEXP arrayComp, SEXP min, SEXP max, SEXP normalize){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    SET_LENGTH(min,1);
     int  *  _min =  SexpToint(min);
    SET_LENGTH(max,1);
     int  *  _max =  SexpToint(max);
    SET_LENGTH(normalize,1);
     int  *  _normalize =  SexpToint(normalize);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    _obj->SetTensorComponent( * _comp, _arrayName,  * _arrayComp,  * _min,  * _max,  * _normalize);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_SetTensorComponent_v1( SEXP obj, SEXP comp, SEXP arrayName, SEXP arrayComp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    _obj->SetTensorComponent( * _comp, _arrayName,  * _arrayComp);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetTensorComponentArrayName( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetTensorComponentArrayName( * _comp);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetTensorComponentArrayComponent( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetTensorComponentArrayComponent( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetTensorComponentMinRange( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetTensorComponentMinRange( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetTensorComponentMaxRange( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetTensorComponentMaxRange( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetTensorComponentNormalizeFlag( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetTensorComponentNormalizeFlag( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_SetTCoordComponent( SEXP obj, SEXP comp, SEXP arrayName, SEXP arrayComp, SEXP min, SEXP max, SEXP normalize){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    SET_LENGTH(min,1);
     int  *  _min =  SexpToint(min);
    SET_LENGTH(max,1);
     int  *  _max =  SexpToint(max);
    SET_LENGTH(normalize,1);
     int  *  _normalize =  SexpToint(normalize);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    _obj->SetTCoordComponent( * _comp, _arrayName,  * _arrayComp,  * _min,  * _max,  * _normalize);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_SetTCoordComponent_v1( SEXP obj, SEXP comp, SEXP arrayName, SEXP arrayComp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    _obj->SetTCoordComponent( * _comp, _arrayName,  * _arrayComp);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetTCoordComponentArrayName( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetTCoordComponentArrayName( * _comp);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetTCoordComponentArrayComponent( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetTCoordComponentArrayComponent( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetTCoordComponentMinRange( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetTCoordComponentMinRange( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetTCoordComponentMaxRange( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetTCoordComponentMaxRange( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetTCoordComponentNormalizeFlag( SEXP obj, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetTCoordComponentNormalizeFlag( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_SetDefaultNormalize( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    _obj->SetDefaultNormalize( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetDefaultNormalize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetDefaultNormalize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_DefaultNormalizeOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    _obj->DefaultNormalizeOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_DefaultNormalizeOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    _obj->DefaultNormalizeOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_ConstructArray( SEXP obj, SEXP da, SEXP comp, SEXP fieldArray, SEXP fieldComp, SEXP min, SEXP max, SEXP normalize){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _da = (vtkDataArray * )  SexpToVtk(da);
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
     vtkDataArray  *  _fieldArray = (vtkDataArray * )  SexpToVtk(fieldArray);
    SET_LENGTH(fieldComp,1);
     int  *  _fieldComp =  SexpToint(fieldComp);
    SET_LENGTH(min,1);
     int  *  _min =  SexpToint(min);
    SET_LENGTH(max,1);
     int  *  _max =  SexpToint(max);
    SET_LENGTH(normalize,1);
     int  *  _normalize =  SexpToint(normalize);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->ConstructArray(_da,  * _comp, _fieldArray,  * _fieldComp,  * _min,  * _max,  * _normalize);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_da,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".da",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_fieldArray,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".fieldArray",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_GetFieldArray( SEXP obj, SEXP fd, SEXP name, SEXP comp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkFieldData  *  _fd = (vtkFieldData * )  SexpToVtk(fd);
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->GetFieldArray(_fd, _name,  * _comp);
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_fd,"vtkFieldData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".fd",0));
    SET_VECTOR_ELT(ans,2,charToSexp(_name,LENGTH(name)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".name",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_SetArrayName( SEXP obj, SEXP self, SEXP name, SEXP newName){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObject  *  _self = (vtkObject * )  SexpToVtk(self);
     char  *  _name =  SexpTochar(name);
     char  *  _newName =  SexpTochar(newName);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    _obj->SetArrayName(_self, _name, _newName);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_self,"vtkObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".self",0));
    SET_VECTOR_ELT(ans,2,charToSexp(_name,LENGTH(name)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".name",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_UpdateComponentRange( SEXP obj, SEXP da, SEXP compRange){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _da = (vtkDataArray * )  SexpToVtk(da);
    SET_LENGTH(compRange,2);
     int  *  _compRange =  SexpToint(compRange);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->UpdateComponentRange(_da, _compRange);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_da,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".da",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_compRange,2));
    SET_VECTOR_ELT(res_names,2,charToSexp(".compRange",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_ComputeInputUpdateExtents( SEXP obj, SEXP output){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _output = (vtkDataObject * )  SexpToVtk(output);
    vtkFieldDataToAttributeDataFilter * _obj = (
vtkFieldDataToAttributeDataFilter * ) SexpToVtk(obj);
    _obj->ComputeInputUpdateExtents(_output);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_output,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".output",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFieldDataToAttributeDataFilter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkFieldDataToAttributeDataFilter * res= ( vtkFieldDataToAttributeDataFilter
 * ) vtkFieldDataToAttributeDataFilter::New();
    R_res=toRPointer(res,"vtkFieldDataToAttributeDataFilter");
    return(R_res);
  }
}
