#include <vtk/vtkHierarchicalBoxDataSet.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkHierarchicalBoxDataSet_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalBoxDataSet * _obj = (vtkHierarchicalBoxDataSet
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxDataSet_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkHierarchicalBoxDataSet * _obj = (vtkHierarchicalBoxDataSet
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxDataSet_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkHierarchicalBoxDataSet * _obj = (vtkHierarchicalBoxDataSet
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxDataSet_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkHierarchicalBoxDataSet * _obj = (vtkHierarchicalBoxDataSet
 * ) SexpToVtk(obj);
    vtkHierarchicalBoxDataSet *  _res =( vtkHierarchicalBoxDataSet * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkHierarchicalBoxDataSet");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxDataSet_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalBoxDataSet * _obj = (vtkHierarchicalBoxDataSet
 * ) SexpToVtk(obj);
    vtkHierarchicalBoxDataSet *  _res =( vtkHierarchicalBoxDataSet * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkHierarchicalBoxDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxDataSet_NewVisitor( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalBoxDataSet * _obj = (vtkHierarchicalBoxDataSet
 * ) SexpToVtk(obj);
    vtkCompositeDataVisitor *  _res =( vtkCompositeDataVisitor * )_obj->NewVisitor();
    res=VtkToSexp(_res,"vtkCompositeDataVisitor");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxDataSet_GetDataObjectType( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalBoxDataSet * _obj = (vtkHierarchicalBoxDataSet
 * ) SexpToVtk(obj);
    int _res =_obj->GetDataObjectType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxDataSet_SetDataSet( SEXP obj, SEXP level, SEXP id, SEXP box, SEXP dataSet){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(level,1);
     unsigned int  *  _level =  SexpTounsigned_int(level);
    SET_LENGTH(id,1);
     unsigned int  *  _id =  SexpTounsigned_int(id);
    SET_LENGTH(box,1);
     vtkAMRBox  *  _box = (vtkAMRBox * )  SexpToVtk(box);
     vtkUniformGrid  *  _dataSet = (vtkUniformGrid * )  SexpToVtk(dataSet);
    vtkHierarchicalBoxDataSet * _obj = (vtkHierarchicalBoxDataSet
 * ) SexpToVtk(obj);
    _obj->SetDataSet( * _level,  * _id,  * _box, _dataSet);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_box,"vtkAMRBox"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".box",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_dataSet,"vtkUniformGrid"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".dataSet",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxDataSet_GetDataSet( SEXP obj, SEXP level, SEXP id, SEXP box){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(level,1);
     unsigned int  *  _level =  SexpTounsigned_int(level);
    SET_LENGTH(id,1);
     unsigned int  *  _id =  SexpTounsigned_int(id);
    SET_LENGTH(box,1);
     vtkAMRBox  *  _box = (vtkAMRBox * )  SexpToVtk(box);
    vtkHierarchicalBoxDataSet * _obj = (vtkHierarchicalBoxDataSet
 * ) SexpToVtk(obj);
    vtkUniformGrid *  _res =( vtkUniformGrid * )_obj->GetDataSet( * _level,  * _id,  * _box);
    res=VtkToSexp(_res,"vtkUniformGrid");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_box,"vtkAMRBox"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".box",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxDataSet_GetDataSet_v1( SEXP obj, SEXP level, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(level,1);
     unsigned int  *  _level =  SexpTounsigned_int(level);
    SET_LENGTH(id,1);
     unsigned int  *  _id =  SexpTounsigned_int(id);
    vtkHierarchicalBoxDataSet * _obj = (vtkHierarchicalBoxDataSet
 * ) SexpToVtk(obj);
    vtkDataObject *  _res =( vtkDataObject * )_obj->GetDataSet( * _level,  * _id);
    res=VtkToSexp(_res,"vtkDataObject");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxDataSet_SetRefinementRatio( SEXP obj, SEXP level, SEXP ratio){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(level,1);
     unsigned int  *  _level =  SexpTounsigned_int(level);
    SET_LENGTH(ratio,1);
     int  *  _ratio =  SexpToint(ratio);
    vtkHierarchicalBoxDataSet * _obj = (vtkHierarchicalBoxDataSet
 * ) SexpToVtk(obj);
    _obj->SetRefinementRatio( * _level,  * _ratio);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxDataSet_GenerateVisibilityArrays( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalBoxDataSet * _obj = (vtkHierarchicalBoxDataSet
 * ) SexpToVtk(obj);
    _obj->GenerateVisibilityArrays();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxDataSet_ShallowCopy( SEXP obj, SEXP src){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _src = (vtkDataObject * )  SexpToVtk(src);
    vtkHierarchicalBoxDataSet * _obj = (vtkHierarchicalBoxDataSet
 * ) SexpToVtk(obj);
    _obj->ShallowCopy(_src);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_src,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".src",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxDataSet_DeepCopy( SEXP obj, SEXP src){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _src = (vtkDataObject * )  SexpToVtk(src);
    vtkHierarchicalBoxDataSet * _obj = (vtkHierarchicalBoxDataSet
 * ) SexpToVtk(obj);
    _obj->DeepCopy(_src);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_src,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".src",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalBoxDataSet_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkHierarchicalBoxDataSet * res= ( vtkHierarchicalBoxDataSet * ) 
vtkHierarchicalBoxDataSet::New();
    R_res=toRPointer(res,"vtkHierarchicalBoxDataSet");
    return(R_res);
  }
}
