#include <vtk/vtkHierarchicalDataSet.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkHierarchicalDataSet_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataSet * _obj = (vtkHierarchicalDataSet * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSet_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkHierarchicalDataSet * _obj = (vtkHierarchicalDataSet * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSet_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkHierarchicalDataSet * _obj = (vtkHierarchicalDataSet * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSet_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkHierarchicalDataSet * _obj = (vtkHierarchicalDataSet * ) SexpToVtk(obj);
    vtkHierarchicalDataSet *  _res =( vtkHierarchicalDataSet * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkHierarchicalDataSet");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSet_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataSet * _obj = (vtkHierarchicalDataSet * ) SexpToVtk(obj);
    vtkHierarchicalDataSet *  _res =( vtkHierarchicalDataSet * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkHierarchicalDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSet_NewIterator( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataSet * _obj = (vtkHierarchicalDataSet * ) SexpToVtk(obj);
    vtkCompositeDataIterator *  _res =( vtkCompositeDataIterator * )_obj->NewIterator();
    res=VtkToSexp(_res,"vtkCompositeDataIterator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSet_GetDataObjectType( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataSet * _obj = (vtkHierarchicalDataSet * ) SexpToVtk(obj);
    int _res =_obj->GetDataObjectType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSet_Initialize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataSet * _obj = (vtkHierarchicalDataSet * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSet_SetNumberOfLevels( SEXP obj, SEXP numLevels){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(numLevels,1);
     unsigned int  *  _numLevels =  SexpTounsigned_int(numLevels);
    vtkHierarchicalDataSet * _obj = (vtkHierarchicalDataSet * ) SexpToVtk(obj);
    _obj->SetNumberOfLevels( * _numLevels);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSet_GetNumberOfLevels( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataSet * _obj = (vtkHierarchicalDataSet * ) SexpToVtk(obj);
    unsigned int _res =_obj->GetNumberOfLevels();
    res=unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSet_SetNumberOfDataSets( SEXP obj, SEXP level, SEXP numDataSets){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(level,1);
     unsigned int  *  _level =  SexpTounsigned_int(level);
    SET_LENGTH(numDataSets,1);
     unsigned int  *  _numDataSets =  SexpTounsigned_int(numDataSets);
    vtkHierarchicalDataSet * _obj = (vtkHierarchicalDataSet * ) SexpToVtk(obj);
    _obj->SetNumberOfDataSets( * _level,  * _numDataSets);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSet_GetNumberOfDataSets( SEXP obj, SEXP level){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(level,1);
     unsigned int  *  _level =  SexpTounsigned_int(level);
    vtkHierarchicalDataSet * _obj = (vtkHierarchicalDataSet * ) SexpToVtk(obj);
    unsigned int _res =_obj->GetNumberOfDataSets( * _level);
    res=unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSet_InitializeNode( SEXP obj, SEXP level, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(level,1);
     unsigned int  *  _level =  SexpTounsigned_int(level);
    SET_LENGTH(id,1);
     unsigned int  *  _id =  SexpTounsigned_int(id);
    vtkHierarchicalDataSet * _obj = (vtkHierarchicalDataSet * ) SexpToVtk(obj);
    _obj->InitializeNode( * _level,  * _id);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSet_IsNodePresent( SEXP obj, SEXP level, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(level,1);
     unsigned int  *  _level =  SexpTounsigned_int(level);
    SET_LENGTH(id,1);
     unsigned int  *  _id =  SexpTounsigned_int(id);
    vtkHierarchicalDataSet * _obj = (vtkHierarchicalDataSet * ) SexpToVtk(obj);
    int _res =_obj->IsNodePresent( * _level,  * _id);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSet_SetDataSet( SEXP obj, SEXP level, SEXP id, SEXP ds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(level,1);
     unsigned int  *  _level =  SexpTounsigned_int(level);
    SET_LENGTH(id,1);
     unsigned int  *  _id =  SexpTounsigned_int(id);
     vtkDataObject  *  _ds = (vtkDataObject * )  SexpToVtk(ds);
    vtkHierarchicalDataSet * _obj = (vtkHierarchicalDataSet * ) SexpToVtk(obj);
    _obj->SetDataSet( * _level,  * _id, _ds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ds,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSet_GetDataSet( SEXP obj, SEXP level, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(level,1);
     unsigned int  *  _level =  SexpTounsigned_int(level);
    SET_LENGTH(id,1);
     unsigned int  *  _id =  SexpTounsigned_int(id);
    vtkHierarchicalDataSet * _obj = (vtkHierarchicalDataSet * ) SexpToVtk(obj);
    vtkDataObject *  _res =( vtkDataObject * )_obj->GetDataSet( * _level,  * _id);
    res=VtkToSexp(_res,"vtkDataObject");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSet_ShallowCopy( SEXP obj, SEXP src){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _src = (vtkDataObject * )  SexpToVtk(src);
    vtkHierarchicalDataSet * _obj = (vtkHierarchicalDataSet * ) SexpToVtk(obj);
    _obj->ShallowCopy(_src);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_src,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".src",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSet_DeepCopy( SEXP obj, SEXP src){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _src = (vtkDataObject * )  SexpToVtk(src);
    vtkHierarchicalDataSet * _obj = (vtkHierarchicalDataSet * ) SexpToVtk(obj);
    _obj->DeepCopy(_src);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_src,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".src",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
}
