#include <vtk/vtkImageConnector.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkImageConnector_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageConnector * _obj = (vtkImageConnector * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConnector_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageConnector * _obj = (vtkImageConnector * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConnector_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageConnector * _obj = (vtkImageConnector * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConnector_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageConnector * _obj = (vtkImageConnector * ) SexpToVtk(obj);
    vtkImageConnector *  _res =( vtkImageConnector * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageConnector");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConnector_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageConnector * _obj = (vtkImageConnector * ) SexpToVtk(obj);
    vtkImageConnector *  _res =( vtkImageConnector * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageConnector");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConnector_NewSeed( SEXP obj, SEXP index, SEXP ptr){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,3);
     int  *  _index =  SexpToint(index);
     void  *  _ptr =  SexpTovoid(ptr);
    vtkImageConnector * _obj = (vtkImageConnector * ) SexpToVtk(obj);
    vtkImageConnectorSeed *  _res =( vtkImageConnectorSeed * )_obj->NewSeed(_index, _ptr);
    res=VtkToSexp(_res,"vtkImageConnectorSeed");
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_index,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".index",0));
    SET_VECTOR_ELT(ans,2,voidToSexp(_ptr,LENGTH(ptr)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".ptr",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConnector_AddSeed( SEXP obj, SEXP seed){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageConnectorSeed  *  _seed = (vtkImageConnectorSeed * )  
SexpToVtk(seed);
    vtkImageConnector * _obj = (vtkImageConnector * ) SexpToVtk(obj);
    _obj->AddSeed(_seed);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_seed,"vtkImageConnectorSeed"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".seed",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConnector_AddSeedToEnd( SEXP obj, SEXP seed){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageConnectorSeed  *  _seed = (vtkImageConnectorSeed * )  
SexpToVtk(seed);
    vtkImageConnector * _obj = (vtkImageConnector * ) SexpToVtk(obj);
    _obj->AddSeedToEnd(_seed);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_seed,"vtkImageConnectorSeed"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".seed",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConnector_RemoveAllSeeds( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageConnector * _obj = (vtkImageConnector * ) SexpToVtk(obj);
    _obj->RemoveAllSeeds();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConnector_SetConnectedValue( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     unsigned char  *  __arg =  SexpTounsigned_char(_arg);
    vtkImageConnector * _obj = (vtkImageConnector * ) SexpToVtk(obj);
    _obj->SetConnectedValue( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConnector_GetConnectedValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageConnector * _obj = (vtkImageConnector * ) SexpToVtk(obj);
    unsigned char _res =_obj->GetConnectedValue();
    res=unsigned_charToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConnector_SetUnconnectedValue( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     unsigned char  *  __arg =  SexpTounsigned_char(_arg);
    vtkImageConnector * _obj = (vtkImageConnector * ) SexpToVtk(obj);
    _obj->SetUnconnectedValue( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConnector_GetUnconnectedValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageConnector * _obj = (vtkImageConnector * ) SexpToVtk(obj);
    unsigned char _res =_obj->GetUnconnectedValue();
    res=unsigned_charToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConnector_MarkData( SEXP obj, SEXP data, SEXP numberOfAxes, SEXP extent){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageData  *  _data = (vtkImageData * )  SexpToVtk(data);
    SET_LENGTH(numberOfAxes,1);
     int  *  _numberOfAxes =  SexpToint(numberOfAxes);
    SET_LENGTH(extent,6);
     int  *  _extent =  SexpToint(extent);
    vtkImageConnector * _obj = (vtkImageConnector * ) SexpToVtk(obj);
    _obj->MarkData(_data,  * _numberOfAxes, _extent);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_data,"vtkImageData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_extent,6));
    SET_VECTOR_ELT(res_names,2,charToSexp(".extent",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConnector_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageConnector * res= ( vtkImageConnector * ) vtkImageConnector::New();
    R_res=toRPointer(res,"vtkImageConnector");
    return(R_res);
  }
}
