#include <vtk/vtkImageMathematics.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkImageMathematics_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    vtkImageMathematics *  _res =( vtkImageMathematics * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageMathematics");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    vtkImageMathematics *  _res =( vtkImageMathematics * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageMathematics");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetOperation( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetOperation( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_GetOperation( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    int _res =_obj->GetOperation();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetOperationToAdd( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetOperationToAdd();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetOperationToSubtract( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetOperationToSubtract();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetOperationToMultiply( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetOperationToMultiply();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetOperationToDivide( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetOperationToDivide();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetOperationToConjugate( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetOperationToConjugate();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetOperationToComplexMultiply( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetOperationToComplexMultiply();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetOperationToInvert( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetOperationToInvert();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetOperationToSin( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetOperationToSin();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetOperationToCos( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetOperationToCos();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetOperationToExp( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetOperationToExp();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetOperationToLog( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetOperationToLog();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetOperationToAbsoluteValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetOperationToAbsoluteValue();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetOperationToSquare( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetOperationToSquare();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetOperationToSquareRoot( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetOperationToSquareRoot();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetOperationToMin( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetOperationToMin();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetOperationToMax( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetOperationToMax();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetOperationToATAN( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetOperationToATAN();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetOperationToATAN2( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetOperationToATAN2();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetOperationToMultiplyByK( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetOperationToMultiplyByK();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetOperationToAddConstant( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetOperationToAddConstant();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetOperationToReplaceCByK( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetOperationToReplaceCByK();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetConstantK( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetConstantK( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_GetConstantK( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    double _res =_obj->GetConstantK();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetConstantC( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetConstantC( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_GetConstantC( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    double _res =_obj->GetConstantC();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_SetDivideByZeroToC( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->SetDivideByZeroToC( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_GetDivideByZeroToC( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    int _res =_obj->GetDivideByZeroToC();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_DivideByZeroToCOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->DivideByZeroToCOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_DivideByZeroToCOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMathematics * _obj = (vtkImageMathematics * ) SexpToVtk(obj);
    _obj->DivideByZeroToCOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMathematics_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageMathematics * res= ( vtkImageMathematics * ) vtkImageMathematics
::New();
    R_res=toRPointer(res,"vtkImageMathematics");
    return(R_res);
  }
}
