#include <vtk/vtkImageRFFT.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkImageRFFT_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageRFFT * _obj = (vtkImageRFFT * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageRFFT_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageRFFT * _obj = (vtkImageRFFT * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageRFFT_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageRFFT * _obj = (vtkImageRFFT * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageRFFT_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageRFFT * _obj = (vtkImageRFFT * ) SexpToVtk(obj);
    vtkImageRFFT *  _res =( vtkImageRFFT * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageRFFT");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageRFFT_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageRFFT * _obj = (vtkImageRFFT * ) SexpToVtk(obj);
    vtkImageRFFT *  _res =( vtkImageRFFT * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageRFFT");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageRFFT_SplitExtent( SEXP obj, SEXP splitExt, SEXP startExt, SEXP num, SEXP total){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(splitExt,6);
     int  *  _splitExt =  SexpToint(splitExt);
    SET_LENGTH(startExt,6);
     int  *  _startExt =  SexpToint(startExt);
    SET_LENGTH(num,1);
     int  *  _num =  SexpToint(num);
    SET_LENGTH(total,1);
     int  *  _total =  SexpToint(total);
    vtkImageRFFT * _obj = (vtkImageRFFT * ) SexpToVtk(obj);
    int _res =_obj->SplitExtent(_splitExt, _startExt,  * _num,  * _total);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_splitExt,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".splitExt",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_startExt,6));
    SET_VECTOR_ELT(res_names,2,charToSexp(".startExt",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageRFFT_IterativeExecuteData( SEXP obj, SEXP in, SEXP out){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageData  *  _in = (vtkImageData * )  SexpToVtk(in);
     vtkImageData  *  _out = (vtkImageData * )  SexpToVtk(out);
    vtkImageRFFT * _obj = (vtkImageRFFT * ) SexpToVtk(obj);
    _obj->IterativeExecuteData(_in, _out);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_in,"vtkImageData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_out,"vtkImageData"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageRFFT_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageRFFT * res= ( vtkImageRFFT * ) vtkImageRFFT::New();
    R_res=toRPointer(res,"vtkImageRFFT");
    return(R_res);
  }
}
