#include <vtk/vtkImageResample.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkImageResample_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageResample * _obj = (vtkImageResample * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageResample_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageResample * _obj = (vtkImageResample * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageResample_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageResample * _obj = (vtkImageResample * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageResample_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageResample * _obj = (vtkImageResample * ) SexpToVtk(obj);
    vtkImageResample *  _res =( vtkImageResample * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageResample");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageResample_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageResample * _obj = (vtkImageResample * ) SexpToVtk(obj);
    vtkImageResample *  _res =( vtkImageResample * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageResample");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageResample_SetAxisOutputSpacing( SEXP obj, SEXP axis, SEXP spacing){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(axis,1);
     int  *  _axis =  SexpToint(axis);
    SET_LENGTH(spacing,1);
     double  *  _spacing =  SexpTodouble(spacing);
    vtkImageResample * _obj = (vtkImageResample * ) SexpToVtk(obj);
    _obj->SetAxisOutputSpacing( * _axis,  * _spacing);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageResample_SetAxisMagnificationFactor( SEXP obj, SEXP axis, SEXP factor){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(axis,1);
     int  *  _axis =  SexpToint(axis);
    SET_LENGTH(factor,1);
     double  *  _factor =  SexpTodouble(factor);
    vtkImageResample * _obj = (vtkImageResample * ) SexpToVtk(obj);
    _obj->SetAxisMagnificationFactor( * _axis,  * _factor);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageResample_GetAxisMagnificationFactor( SEXP obj, SEXP axis){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(axis,1);
     int  *  _axis =  SexpToint(axis);
    vtkImageResample * _obj = (vtkImageResample * ) SexpToVtk(obj);
    double _res =_obj->GetAxisMagnificationFactor( * _axis);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageResample_SetDimensionality( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageResample * _obj = (vtkImageResample * ) SexpToVtk(obj);
    _obj->SetDimensionality( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageResample_GetDimensionality( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageResample * _obj = (vtkImageResample * ) SexpToVtk(obj);
    int _res =_obj->GetDimensionality();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageResample_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageResample * res= ( vtkImageResample * ) vtkImageResample::New();
    R_res=toRPointer(res,"vtkImageResample");
    return(R_res);
  }
}
