#include <vtk/vtkImageSeparableConvolution.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkImageSeparableConvolution_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageSeparableConvolution * _obj = (vtkImageSeparableConvolution
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeparableConvolution_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageSeparableConvolution * _obj = (vtkImageSeparableConvolution
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeparableConvolution_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageSeparableConvolution * _obj = (vtkImageSeparableConvolution
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeparableConvolution_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageSeparableConvolution * _obj = (vtkImageSeparableConvolution
 * ) SexpToVtk(obj);
    vtkImageSeparableConvolution *  _res =( vtkImageSeparableConvolution * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageSeparableConvolution");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeparableConvolution_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageSeparableConvolution * _obj = (vtkImageSeparableConvolution
 * ) SexpToVtk(obj);
    vtkImageSeparableConvolution *  _res =( vtkImageSeparableConvolution * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageSeparableConvolution");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeparableConvolution_SetXKernel( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkFloatArray  *  __arg = (vtkFloatArray * )  SexpToVtk(_arg);
    vtkImageSeparableConvolution * _obj = (vtkImageSeparableConvolution
 * ) SexpToVtk(obj);
    _obj->SetXKernel(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkFloatArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeparableConvolution_GetXKernel( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageSeparableConvolution * _obj = (vtkImageSeparableConvolution
 * ) SexpToVtk(obj);
    vtkFloatArray *  _res =( vtkFloatArray * )_obj->GetXKernel();
    res=VtkToSexp(_res,"vtkFloatArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeparableConvolution_SetYKernel( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkFloatArray  *  __arg = (vtkFloatArray * )  SexpToVtk(_arg);
    vtkImageSeparableConvolution * _obj = (vtkImageSeparableConvolution
 * ) SexpToVtk(obj);
    _obj->SetYKernel(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkFloatArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeparableConvolution_GetYKernel( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageSeparableConvolution * _obj = (vtkImageSeparableConvolution
 * ) SexpToVtk(obj);
    vtkFloatArray *  _res =( vtkFloatArray * )_obj->GetYKernel();
    res=VtkToSexp(_res,"vtkFloatArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeparableConvolution_SetZKernel( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkFloatArray  *  __arg = (vtkFloatArray * )  SexpToVtk(_arg);
    vtkImageSeparableConvolution * _obj = (vtkImageSeparableConvolution
 * ) SexpToVtk(obj);
    _obj->SetZKernel(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkFloatArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeparableConvolution_GetZKernel( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageSeparableConvolution * _obj = (vtkImageSeparableConvolution
 * ) SexpToVtk(obj);
    vtkFloatArray *  _res =( vtkFloatArray * )_obj->GetZKernel();
    res=VtkToSexp(_res,"vtkFloatArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeparableConvolution_GetMTime( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageSeparableConvolution * _obj = (vtkImageSeparableConvolution
 * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeparableConvolution_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageSeparableConvolution * res= ( vtkImageSeparableConvolution * ) 
vtkImageSeparableConvolution::New();
    R_res=toRPointer(res,"vtkImageSeparableConvolution");
    return(R_res);
  }
}
