#include <vtk/vtkMergeDataObjectFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkMergeDataObjectFilter_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMergeDataObjectFilter * _obj = (vtkMergeDataObjectFilter
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMergeDataObjectFilter_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMergeDataObjectFilter * _obj = (vtkMergeDataObjectFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMergeDataObjectFilter_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMergeDataObjectFilter * _obj = (vtkMergeDataObjectFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMergeDataObjectFilter_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkMergeDataObjectFilter * _obj = (vtkMergeDataObjectFilter
 * ) SexpToVtk(obj);
    vtkMergeDataObjectFilter *  _res =( vtkMergeDataObjectFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkMergeDataObjectFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMergeDataObjectFilter_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMergeDataObjectFilter * _obj = (vtkMergeDataObjectFilter
 * ) SexpToVtk(obj);
    vtkMergeDataObjectFilter *  _res =( vtkMergeDataObjectFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkMergeDataObjectFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMergeDataObjectFilter_SetDataObject( SEXP obj, SEXP d){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _d = (vtkDataObject * )  SexpToVtk(d);
    vtkMergeDataObjectFilter * _obj = (vtkMergeDataObjectFilter
 * ) SexpToVtk(obj);
    _obj->SetDataObject(_d);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_d,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".d",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMergeDataObjectFilter_GetDataObject( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMergeDataObjectFilter * _obj = (vtkMergeDataObjectFilter
 * ) SexpToVtk(obj);
    vtkDataObject *  _res =( vtkDataObject * )_obj->GetDataObject();
    res=VtkToSexp(_res,"vtkDataObject");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMergeDataObjectFilter_SetOutputField( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkMergeDataObjectFilter * _obj = (vtkMergeDataObjectFilter
 * ) SexpToVtk(obj);
    _obj->SetOutputField( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMergeDataObjectFilter_GetOutputField( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMergeDataObjectFilter * _obj = (vtkMergeDataObjectFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetOutputField();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMergeDataObjectFilter_SetOutputFieldToDataObjectField( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMergeDataObjectFilter * _obj = (vtkMergeDataObjectFilter
 * ) SexpToVtk(obj);
    _obj->SetOutputFieldToDataObjectField();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMergeDataObjectFilter_SetOutputFieldToPointDataField( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMergeDataObjectFilter * _obj = (vtkMergeDataObjectFilter
 * ) SexpToVtk(obj);
    _obj->SetOutputFieldToPointDataField();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMergeDataObjectFilter_SetOutputFieldToCellDataField( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMergeDataObjectFilter * _obj = (vtkMergeDataObjectFilter
 * ) SexpToVtk(obj);
    _obj->SetOutputFieldToCellDataField();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMergeDataObjectFilter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkMergeDataObjectFilter * res= ( vtkMergeDataObjectFilter * ) 
vtkMergeDataObjectFilter::New();
    R_res=toRPointer(res,"vtkMergeDataObjectFilter");
    return(R_res);
  }
}
