#include <vtk/vtkMultiBlockDataIterator.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkMultiBlockDataIterator_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockDataIterator * _obj = (vtkMultiBlockDataIterator
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataIterator_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMultiBlockDataIterator * _obj = (vtkMultiBlockDataIterator
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataIterator_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMultiBlockDataIterator * _obj = (vtkMultiBlockDataIterator
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataIterator_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkMultiBlockDataIterator * _obj = (vtkMultiBlockDataIterator
 * ) SexpToVtk(obj);
    vtkMultiBlockDataIterator *  _res =( vtkMultiBlockDataIterator * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkMultiBlockDataIterator");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataIterator_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockDataIterator * _obj = (vtkMultiBlockDataIterator
 * ) SexpToVtk(obj);
    vtkMultiBlockDataIterator *  _res =( vtkMultiBlockDataIterator * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkMultiBlockDataIterator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataIterator_GoToFirstItem( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockDataIterator * _obj = (vtkMultiBlockDataIterator
 * ) SexpToVtk(obj);
    _obj->GoToFirstItem();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataIterator_GoToNextItem( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockDataIterator * _obj = (vtkMultiBlockDataIterator
 * ) SexpToVtk(obj);
    _obj->GoToNextItem();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataIterator_IsDoneWithTraversal( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockDataIterator * _obj = (vtkMultiBlockDataIterator
 * ) SexpToVtk(obj);
    int _res =_obj->IsDoneWithTraversal();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataIterator_GetCurrentDataObject( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockDataIterator * _obj = (vtkMultiBlockDataIterator
 * ) SexpToVtk(obj);
    vtkDataObject *  _res =( vtkDataObject * )_obj->GetCurrentDataObject();
    res=VtkToSexp(_res,"vtkDataObject");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataIterator_SetDataSet( SEXP obj, SEXP dataset){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMultiBlockDataSet  *  _dataset = (vtkMultiBlockDataSet * )  
SexpToVtk(dataset);
    vtkMultiBlockDataIterator * _obj = (vtkMultiBlockDataIterator
 * ) SexpToVtk(obj);
    _obj->SetDataSet(_dataset);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_dataset,"vtkMultiBlockDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dataset",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataIterator_GetDataSet( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockDataIterator * _obj = (vtkMultiBlockDataIterator
 * ) SexpToVtk(obj);
    vtkMultiBlockDataSet *  _res =( vtkMultiBlockDataSet * )_obj->GetDataSet();
    res=VtkToSexp(_res,"vtkMultiBlockDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataIterator_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkMultiBlockDataIterator * res= ( vtkMultiBlockDataIterator * ) 
vtkMultiBlockDataIterator::New();
    R_res=toRPointer(res,"vtkMultiBlockDataIterator");
    return(R_res);
  }
}
