#include <vtk/vtkMultiBlockDataVisitor.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkMultiBlockDataVisitor_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockDataVisitor * _obj = (vtkMultiBlockDataVisitor
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataVisitor_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMultiBlockDataVisitor * _obj = (vtkMultiBlockDataVisitor
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataVisitor_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMultiBlockDataVisitor * _obj = (vtkMultiBlockDataVisitor
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataVisitor_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkMultiBlockDataVisitor * _obj = (vtkMultiBlockDataVisitor
 * ) SexpToVtk(obj);
    vtkMultiBlockDataVisitor *  _res =( vtkMultiBlockDataVisitor * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkMultiBlockDataVisitor");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataVisitor_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockDataVisitor * _obj = (vtkMultiBlockDataVisitor
 * ) SexpToVtk(obj);
    vtkMultiBlockDataVisitor *  _res =( vtkMultiBlockDataVisitor * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkMultiBlockDataVisitor");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataVisitor_SetDataIterator( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMultiBlockDataIterator  *  __arg = (vtkMultiBlockDataIterator * )  
SexpToVtk(_arg);
    vtkMultiBlockDataVisitor * _obj = (vtkMultiBlockDataVisitor
 * ) SexpToVtk(obj);
    _obj->SetDataIterator(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkMultiBlockDataIterator"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataVisitor_GetDataIterator( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockDataVisitor * _obj = (vtkMultiBlockDataVisitor
 * ) SexpToVtk(obj);
    vtkMultiBlockDataIterator *  _res =( vtkMultiBlockDataIterator * )_obj->GetDataIterator();
    res=VtkToSexp(_res,"vtkMultiBlockDataIterator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataVisitor_Execute( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockDataVisitor * _obj = (vtkMultiBlockDataVisitor
 * ) SexpToVtk(obj);
    _obj->Execute();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockDataVisitor_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkMultiBlockDataVisitor * res= ( vtkMultiBlockDataVisitor * ) 
vtkMultiBlockDataVisitor::New();
    R_res=toRPointer(res,"vtkMultiBlockDataVisitor");
    return(R_res);
  }
}
