#include <vtk/vtkOBBTree.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkOBBTree_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOBBTree * _obj = (vtkOBBTree * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOBBTree_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOBBTree * _obj = (vtkOBBTree * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOBBTree_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOBBTree * _obj = (vtkOBBTree * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOBBTree_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkOBBTree * _obj = (vtkOBBTree * ) SexpToVtk(obj);
    vtkOBBTree *  _res =( vtkOBBTree * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkOBBTree");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOBBTree_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOBBTree * _obj = (vtkOBBTree * ) SexpToVtk(obj);
    vtkOBBTree *  _res =( vtkOBBTree * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkOBBTree");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOBBTree_ComputeOBB( SEXP obj, SEXP pts, SEXP corner, SEXP max, SEXP mid, SEXP min, SEXP size){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _pts = (vtkPoints * )  SexpToVtk(pts);
    SET_LENGTH(corner,3);
     double  *  _corner =  SexpTodouble(corner);
    SET_LENGTH(max,3);
     double  *  _max =  SexpTodouble(max);
    SET_LENGTH(mid,3);
     double  *  _mid =  SexpTodouble(mid);
    SET_LENGTH(min,3);
     double  *  _min =  SexpTodouble(min);
    SET_LENGTH(size,3);
     double  *  _size =  SexpTodouble(size);
    vtkOBBTree * _obj = (vtkOBBTree * ) SexpToVtk(obj);
    _obj->ComputeOBB(_pts, _corner, _max, _mid, _min, _size);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pts,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pts",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_corner,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".corner",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_max,3));
    SET_VECTOR_ELT(res_names,3,charToSexp(".max",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_mid,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".mid",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_min,3));
    SET_VECTOR_ELT(res_names,5,charToSexp(".min",0));
    SET_VECTOR_ELT(ans,6,doubleToSexp(_size,3));
    SET_VECTOR_ELT(res_names,6,charToSexp(".size",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOBBTree_ComputeOBB_v1( SEXP obj, SEXP input, SEXP corner, SEXP max, SEXP mid, SEXP min, SEXP size){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _input = (vtkDataSet * )  SexpToVtk(input);
    SET_LENGTH(corner,3);
     double  *  _corner =  SexpTodouble(corner);
    SET_LENGTH(max,3);
     double  *  _max =  SexpTodouble(max);
    SET_LENGTH(mid,3);
     double  *  _mid =  SexpTodouble(mid);
    SET_LENGTH(min,3);
     double  *  _min =  SexpTodouble(min);
    SET_LENGTH(size,3);
     double  *  _size =  SexpTodouble(size);
    vtkOBBTree * _obj = (vtkOBBTree * ) SexpToVtk(obj);
    _obj->ComputeOBB(_input, _corner, _max, _mid, _min, _size);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_corner,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".corner",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_max,3));
    SET_VECTOR_ELT(res_names,3,charToSexp(".max",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_mid,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".mid",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_min,3));
    SET_VECTOR_ELT(res_names,5,charToSexp(".min",0));
    SET_VECTOR_ELT(ans,6,doubleToSexp(_size,3));
    SET_VECTOR_ELT(res_names,6,charToSexp(".size",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOBBTree_InsideOrOutside( SEXP obj, SEXP point){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(point,3);
     double  *  _point =  SexpTodouble(point);
    vtkOBBTree * _obj = (vtkOBBTree * ) SexpToVtk(obj);
    int _res =_obj->InsideOrOutside(_point);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOBBTree_IntersectWithLine( SEXP obj, SEXP p1, SEXP p2, SEXP points, SEXP cellIds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p1,3);
     double  *  _p1 =  SexpTodouble(p1);
    SET_LENGTH(p2,3);
     double  *  _p2 =  SexpTodouble(p2);
     vtkPoints  *  _points = (vtkPoints * )  SexpToVtk(points);
     vtkIdList  *  _cellIds = (vtkIdList * )  SexpToVtk(cellIds);
    vtkOBBTree * _obj = (vtkOBBTree * ) SexpToVtk(obj);
    int _res =_obj->IntersectWithLine(_p1, _p2, _points, _cellIds);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_points,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".points",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_cellIds,"vtkIdList"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".cellIds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOBBTree_IntersectWithLine_v1( SEXP obj, SEXP a0, SEXP a1, SEXP tol, SEXP t, SEXP x, SEXP pcoords, SEXP subId){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a0,3);
     double  *  _a0 =  SexpTodouble(a0);
    SET_LENGTH(a1,3);
     double  *  _a1 =  SexpTodouble(a1);
    SET_LENGTH(tol,1);
     double  *  _tol =  SexpTodouble(tol);
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    vtkOBBTree * _obj = (vtkOBBTree * ) SexpToVtk(obj);
    int _res =_obj->IntersectWithLine(_a0, _a1,  * _tol,  * _t, _x, _pcoords,  * _subId);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_a0,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a0",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_a1,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".a1",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_t,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".t",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,5,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,6,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,6,charToSexp(".subId",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOBBTree_IntersectWithLine_v2( SEXP obj, SEXP a0, SEXP a1, SEXP tol, SEXP t, SEXP x, SEXP pcoords, SEXP subId, SEXP cellId){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a0,3);
     double  *  _a0 =  SexpTodouble(a0);
    SET_LENGTH(a1,3);
     double  *  _a1 =  SexpTodouble(a1);
    SET_LENGTH(tol,1);
     double  *  _tol =  SexpTodouble(tol);
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    vtkOBBTree * _obj = (vtkOBBTree * ) SexpToVtk(obj);
    int _res =_obj->IntersectWithLine(_a0, _a1,  * _tol,  * _t, _x, _pcoords,  * _subId,  * _cellId);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,8));
    PROTECT(res_names = allocVector(VECSXP,8));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_a0,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a0",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_a1,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".a1",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_t,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".t",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,5,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,6,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,6,charToSexp(".subId",0));
    SET_VECTOR_ELT(ans,7,intToSexp(_cellId,1));
    SET_VECTOR_ELT(res_names,7,charToSexp(".cellId",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOBBTree_IntersectWithLine_v3( SEXP obj, SEXP a0, SEXP a1, SEXP tol, SEXP t, SEXP x, SEXP pcoords, SEXP subId, SEXP cellId, SEXP cell){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a0,3);
     double  *  _a0 =  SexpTodouble(a0);
    SET_LENGTH(a1,3);
     double  *  _a1 =  SexpTodouble(a1);
    SET_LENGTH(tol,1);
     double  *  _tol =  SexpTodouble(tol);
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkGenericCell  *  _cell = (vtkGenericCell * )  SexpToVtk(cell);
    vtkOBBTree * _obj = (vtkOBBTree * ) SexpToVtk(obj);
    int _res =_obj->IntersectWithLine(_a0, _a1,  * _tol,  * _t, _x, _pcoords,  * _subId,  * _cellId, _cell);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,9));
    PROTECT(res_names = allocVector(VECSXP,9));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_a0,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a0",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_a1,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".a1",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_t,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".t",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,5,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,6,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,6,charToSexp(".subId",0));
    SET_VECTOR_ELT(ans,7,intToSexp(_cellId,1));
    SET_VECTOR_ELT(res_names,7,charToSexp(".cellId",0));
    SET_VECTOR_ELT(ans,8,VtkToSexp(_cell,"vtkGenericCell"));
    SET_VECTOR_ELT(res_names,8,charToSexp(".cell",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOBBTree_DisjointOBBNodes( SEXP obj, SEXP nodeA, SEXP nodeB, SEXP XformBtoA){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkOBBNode  *  _nodeA = (vtkOBBNode * )  SexpToVtk(nodeA);
     vtkOBBNode  *  _nodeB = (vtkOBBNode * )  SexpToVtk(nodeB);
     vtkMatrix4x4  *  _XformBtoA = (vtkMatrix4x4 * )  SexpToVtk(XformBtoA);
    vtkOBBTree * _obj = (vtkOBBTree * ) SexpToVtk(obj);
    int _res =_obj->DisjointOBBNodes(_nodeA, _nodeB, _XformBtoA);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_nodeA,"vtkOBBNode"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".nodeA",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_nodeB,"vtkOBBNode"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".nodeB",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_XformBtoA,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".XformBtoA",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOBBTree_LineIntersectsNode( SEXP obj, SEXP pA, SEXP b0, SEXP b1){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkOBBNode  *  _pA = (vtkOBBNode * )  SexpToVtk(pA);
    SET_LENGTH(b0,3);
     double  *  _b0 =  SexpTodouble(b0);
    SET_LENGTH(b1,3);
     double  *  _b1 =  SexpTodouble(b1);
    vtkOBBTree * _obj = (vtkOBBTree * ) SexpToVtk(obj);
    int _res =_obj->LineIntersectsNode(_pA, _b0, _b1);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pA,"vtkOBBNode"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pA",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_b0,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".b0",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_b1,3));
    SET_VECTOR_ELT(res_names,3,charToSexp(".b1",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOBBTree_TriangleIntersectsNode( SEXP obj, SEXP nodeA, SEXP p0, SEXP p1, SEXP p2, SEXP XformBtoA){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkOBBNode  *  _nodeA = (vtkOBBNode * )  SexpToVtk(nodeA);
    SET_LENGTH(p0,3);
     double  *  _p0 =  SexpTodouble(p0);
    SET_LENGTH(p1,3);
     double  *  _p1 =  SexpTodouble(p1);
    SET_LENGTH(p2,3);
     double  *  _p2 =  SexpTodouble(p2);
     vtkMatrix4x4  *  _XformBtoA = (vtkMatrix4x4 * )  SexpToVtk(XformBtoA);
    vtkOBBTree * _obj = (vtkOBBTree * ) SexpToVtk(obj);
    int _res =_obj->TriangleIntersectsNode(_nodeA, _p0, _p1, _p2, _XformBtoA);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,6));
    PROTECT(res_names = allocVector(VECSXP,6));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_nodeA,"vtkOBBNode"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".nodeA",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_p0,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p0",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_p1,3));
    SET_VECTOR_ELT(res_names,3,charToSexp(".p1",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_p2,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".p2",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_XformBtoA,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".XformBtoA",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOBBTree_FreeSearchStructure( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOBBTree * _obj = (vtkOBBTree * ) SexpToVtk(obj);
    _obj->FreeSearchStructure();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOBBTree_BuildLocator( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOBBTree * _obj = (vtkOBBTree * ) SexpToVtk(obj);
    _obj->BuildLocator();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOBBTree_GenerateRepresentation( SEXP obj, SEXP level, SEXP pd){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(level,1);
     int  *  _level =  SexpToint(level);
     vtkPolyData  *  _pd = (vtkPolyData * )  SexpToVtk(pd);
    vtkOBBTree * _obj = (vtkOBBTree * ) SexpToVtk(obj);
    _obj->GenerateRepresentation( * _level, _pd);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pd,"vtkPolyData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOBBTree_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkOBBTree * res= ( vtkOBBTree * ) vtkOBBTree::New();
    R_res=toRPointer(res,"vtkOBBTree");
    return(R_res);
  }
}
