#include <vtk/vtkOrderedTriangulator.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkOrderedTriangulator_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    vtkOrderedTriangulator *  _res =( vtkOrderedTriangulator * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkOrderedTriangulator");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    vtkOrderedTriangulator *  _res =( vtkOrderedTriangulator * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkOrderedTriangulator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_InitTriangulation( SEXP obj, SEXP xmin, SEXP xmax, SEXP ymin, SEXP ymax, SEXP zmin, SEXP zmax, SEXP numPts){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xmin,1);
     double  *  _xmin =  SexpTodouble(xmin);
    SET_LENGTH(xmax,1);
     double  *  _xmax =  SexpTodouble(xmax);
    SET_LENGTH(ymin,1);
     double  *  _ymin =  SexpTodouble(ymin);
    SET_LENGTH(ymax,1);
     double  *  _ymax =  SexpTodouble(ymax);
    SET_LENGTH(zmin,1);
     double  *  _zmin =  SexpTodouble(zmin);
    SET_LENGTH(zmax,1);
     double  *  _zmax =  SexpTodouble(zmax);
    SET_LENGTH(numPts,1);
     int  *  _numPts =  SexpToint(numPts);
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    _obj->InitTriangulation( * _xmin,  * _xmax,  * _ymin,  * _ymax,  * _zmin,  * _zmax,  * _numPts);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_InitTriangulation_v1( SEXP obj, SEXP bounds, SEXP numPts){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
    SET_LENGTH(numPts,1);
     int  *  _numPts =  SexpToint(numPts);
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    _obj->InitTriangulation(_bounds,  * _numPts);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_InsertPoint( SEXP obj, SEXP id, SEXP x, SEXP p, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(p,3);
     double  *  _p =  SexpTodouble(p);
    SET_LENGTH(type,1);
     int  *  _type =  SexpToint(type);
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    int _res =_obj->InsertPoint( * _id, _x, _p,  * _type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_p,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_InsertPoint_v1( SEXP obj, SEXP id, SEXP sortid, SEXP x, SEXP p, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(sortid,1);
     int  *  _sortid =  SexpToint(sortid);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(p,3);
     double  *  _p =  SexpTodouble(p);
    SET_LENGTH(type,1);
     int  *  _type =  SexpToint(type);
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    int _res =_obj->InsertPoint( * _id,  * _sortid, _x, _p,  * _type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_p,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_InsertPoint_v2( SEXP obj, SEXP id, SEXP sortid, SEXP sortid2, SEXP x, SEXP p, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(sortid,1);
     int  *  _sortid =  SexpToint(sortid);
    SET_LENGTH(sortid2,1);
     int  *  _sortid2 =  SexpToint(sortid2);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(p,3);
     double  *  _p =  SexpTodouble(p);
    SET_LENGTH(type,1);
     int  *  _type =  SexpToint(type);
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    int _res =_obj->InsertPoint( * _id,  * _sortid,  * _sortid2, _x, _p,  * _type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_p,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_Triangulate( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    _obj->Triangulate();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_TemplateTriangulate( SEXP obj, SEXP cellType, SEXP numPts, SEXP numEdges){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellType,1);
     int  *  _cellType =  SexpToint(cellType);
    SET_LENGTH(numPts,1);
     int  *  _numPts =  SexpToint(numPts);
    SET_LENGTH(numEdges,1);
     int  *  _numEdges =  SexpToint(numEdges);
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    _obj->TemplateTriangulate( * _cellType,  * _numPts,  * _numEdges);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_UpdatePointType( SEXP obj, SEXP internalId, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(internalId,1);
     int  *  _internalId =  SexpToint(internalId);
    SET_LENGTH(type,1);
     int  *  _type =  SexpToint(type);
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    _obj->UpdatePointType( * _internalId,  * _type);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_SetUseTemplates( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    _obj->SetUseTemplates( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_GetUseTemplates( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    int _res =_obj->GetUseTemplates();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_UseTemplatesOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    _obj->UseTemplatesOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_UseTemplatesOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    _obj->UseTemplatesOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_SetPreSorted( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    _obj->SetPreSorted( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_GetPreSorted( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    int _res =_obj->GetPreSorted();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_PreSortedOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    _obj->PreSortedOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_PreSortedOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    _obj->PreSortedOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_SetUseTwoSortIds( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    _obj->SetUseTwoSortIds( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_GetUseTwoSortIds( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    int _res =_obj->GetUseTwoSortIds();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_UseTwoSortIdsOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    _obj->UseTwoSortIdsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_UseTwoSortIdsOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    _obj->UseTwoSortIdsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_GetTetras( SEXP obj, SEXP classification, SEXP ugrid){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(classification,1);
     int  *  _classification =  SexpToint(classification);
     vtkUnstructuredGrid  *  _ugrid = (vtkUnstructuredGrid * )  
SexpToVtk(ugrid);
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    int _res =_obj->GetTetras( * _classification, _ugrid);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ugrid,"vtkUnstructuredGrid"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ugrid",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_AddTetras( SEXP obj, SEXP classification, SEXP ugrid){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(classification,1);
     int  *  _classification =  SexpToint(classification);
     vtkUnstructuredGrid  *  _ugrid = (vtkUnstructuredGrid * )  
SexpToVtk(ugrid);
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    int _res =_obj->AddTetras( * _classification, _ugrid);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ugrid,"vtkUnstructuredGrid"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ugrid",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_AddTetras_v1( SEXP obj, SEXP classification, SEXP outConnectivity){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(classification,1);
     int  *  _classification =  SexpToint(classification);
     vtkCellArray  *  _outConnectivity = (vtkCellArray * )  
SexpToVtk(outConnectivity);
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    int _res =_obj->AddTetras( * _classification, _outConnectivity);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_outConnectivity,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".outConnectivity",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_AddTetras_v2( SEXP obj, SEXP classification, SEXP ptIds, SEXP pts){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(classification,1);
     int  *  _classification =  SexpToint(classification);
     vtkIdList  *  _ptIds = (vtkIdList * )  SexpToVtk(ptIds);
     vtkPoints  *  _pts = (vtkPoints * )  SexpToVtk(pts);
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    int _res =_obj->AddTetras( * _classification, _ptIds, _pts);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ptIds,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptIds",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_pts,"vtkPoints"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".pts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_AddTriangles( SEXP obj, SEXP tris){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkCellArray  *  _tris = (vtkCellArray * )  SexpToVtk(tris);
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    int _res =_obj->AddTriangles(_tris);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_tris,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".tris",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_AddTriangles_v1( SEXP obj, SEXP id, SEXP tris){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
     vtkCellArray  *  _tris = (vtkCellArray * )  SexpToVtk(tris);
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    int _res =_obj->AddTriangles( * _id, _tris);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_tris,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".tris",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_InitTetraTraversal( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    _obj->InitTetraTraversal();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_GetNextTetra( SEXP obj, SEXP classification, SEXP tet, SEXP cellScalars, SEXP tetScalars){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(classification,1);
     int  *  _classification =  SexpToint(classification);
     vtkTetra  *  _tet = (vtkTetra * )  SexpToVtk(tet);
     vtkDataArray  *  _cellScalars = (vtkDataArray * )  SexpToVtk(cellScalars);
     vtkDoubleArray  *  _tetScalars = (vtkDoubleArray * )  
SexpToVtk(tetScalars);
    vtkOrderedTriangulator * _obj = (vtkOrderedTriangulator * ) SexpToVtk(obj);
    int _res =_obj->GetNextTetra( * _classification, _tet, _cellScalars, _tetScalars);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_tet,"vtkTetra"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".tet",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_cellScalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".cellScalars",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_tetScalars,"vtkDoubleArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".tetScalars",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrderedTriangulator_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkOrderedTriangulator * res= ( vtkOrderedTriangulator * ) 
vtkOrderedTriangulator::New();
    R_res=toRPointer(res,"vtkOrderedTriangulator");
    return(R_res);
  }
}
