#include <vtk/vtkPiecewiseFunctionSource.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkPiecewiseFunctionSource_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPiecewiseFunctionSource * _obj = (vtkPiecewiseFunctionSource
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunctionSource_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPiecewiseFunctionSource * _obj = (vtkPiecewiseFunctionSource
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunctionSource_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPiecewiseFunctionSource * _obj = (vtkPiecewiseFunctionSource
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunctionSource_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkPiecewiseFunctionSource * _obj = (vtkPiecewiseFunctionSource
 * ) SexpToVtk(obj);
    vtkPiecewiseFunctionSource *  _res =( vtkPiecewiseFunctionSource * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkPiecewiseFunctionSource");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunctionSource_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPiecewiseFunctionSource * _obj = (vtkPiecewiseFunctionSource
 * ) SexpToVtk(obj);
    vtkPiecewiseFunctionSource *  _res =( vtkPiecewiseFunctionSource * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkPiecewiseFunctionSource");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunctionSource_GetOutput( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPiecewiseFunctionSource * _obj = (vtkPiecewiseFunctionSource
 * ) SexpToVtk(obj);
    vtkPiecewiseFunction *  _res =( vtkPiecewiseFunction * )_obj->GetOutput();
    res=VtkToSexp(_res,"vtkPiecewiseFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunctionSource_GetOutput_v1( SEXP obj, SEXP idx){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    vtkPiecewiseFunctionSource * _obj = (vtkPiecewiseFunctionSource
 * ) SexpToVtk(obj);
    vtkPiecewiseFunction *  _res =( vtkPiecewiseFunction * )_obj->GetOutput( * _idx);
    res=VtkToSexp(_res,"vtkPiecewiseFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunctionSource_SetOutput( SEXP obj, SEXP output){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPiecewiseFunction  *  _output = (vtkPiecewiseFunction * )  
SexpToVtk(output);
    vtkPiecewiseFunctionSource * _obj = (vtkPiecewiseFunctionSource
 * ) SexpToVtk(obj);
    _obj->SetOutput(_output);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_output,"vtkPiecewiseFunction"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".output",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
}
