#include <vtk/vtkPolygon.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkPolygon_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolygon * _obj = (vtkPolygon * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolygon_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPolygon * _obj = (vtkPolygon * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolygon_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPolygon * _obj = (vtkPolygon * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolygon_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkPolygon * _obj = (vtkPolygon * ) SexpToVtk(obj);
    vtkPolygon *  _res =( vtkPolygon * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkPolygon");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolygon_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolygon * _obj = (vtkPolygon * ) SexpToVtk(obj);
    vtkPolygon *  _res =( vtkPolygon * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkPolygon");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolygon_GetCellType( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolygon * _obj = (vtkPolygon * ) SexpToVtk(obj);
    int _res =_obj->GetCellType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolygon_GetCellDimension( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolygon * _obj = (vtkPolygon * ) SexpToVtk(obj);
    int _res =_obj->GetCellDimension();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolygon_GetNumberOfEdges( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolygon * _obj = (vtkPolygon * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfEdges();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolygon_GetNumberOfFaces( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolygon * _obj = (vtkPolygon * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfFaces();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolygon_GetEdge( SEXP obj, SEXP edgeId){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(edgeId,1);
     int  *  _edgeId =  SexpToint(edgeId);
    vtkPolygon * _obj = (vtkPolygon * ) SexpToVtk(obj);
    vtkCell *  _res =( vtkCell * )_obj->GetEdge( * _edgeId);
    res=VtkToSexp(_res,"vtkCell");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolygon_Contour( SEXP obj, SEXP value, SEXP cellScalars, SEXP locator, SEXP verts, SEXP lines, SEXP polys, SEXP inPd, SEXP outPd, SEXP inCd, SEXP cellId, SEXP outCd){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
     vtkDataArray  *  _cellScalars = (vtkDataArray * )  SexpToVtk(cellScalars);
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
     vtkCellArray  *  _verts = (vtkCellArray * )  SexpToVtk(verts);
     vtkCellArray  *  _lines = (vtkCellArray * )  SexpToVtk(lines);
     vtkCellArray  *  _polys = (vtkCellArray * )  SexpToVtk(polys);
     vtkPointData  *  _inPd = (vtkPointData * )  SexpToVtk(inPd);
     vtkPointData  *  _outPd = (vtkPointData * )  SexpToVtk(outPd);
     vtkCellData  *  _inCd = (vtkCellData * )  SexpToVtk(inCd);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkCellData  *  _outCd = (vtkCellData * )  SexpToVtk(outCd);
    vtkPolygon * _obj = (vtkPolygon * ) SexpToVtk(obj);
    _obj->Contour( * _value, _cellScalars, _locator, _verts, _lines, _polys, _inPd, _outPd, _inCd,  * _cellId, _outCd);
    PROTECT(ans = allocVector(VECSXP,10));
    PROTECT(res_names = allocVector(VECSXP,10));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cellScalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cellScalars",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".locator",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_verts,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".verts",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_lines,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".lines",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_polys,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".polys",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_inPd,"vtkPointData"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".inPd",0));
    SET_VECTOR_ELT(ans,7,VtkToSexp(_outPd,"vtkPointData"));
    SET_VECTOR_ELT(res_names,7,charToSexp(".outPd",0));
    SET_VECTOR_ELT(ans,8,VtkToSexp(_inCd,"vtkCellData"));
    SET_VECTOR_ELT(res_names,8,charToSexp(".inCd",0));
    SET_VECTOR_ELT(ans,9,VtkToSexp(_outCd,"vtkCellData"));
    SET_VECTOR_ELT(res_names,9,charToSexp(".outCd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolygon_Clip( SEXP obj, SEXP value, SEXP cellScalars, SEXP locator, SEXP tris, SEXP inPD, SEXP outPD, SEXP inCD, SEXP cellId, SEXP outCD, SEXP insideOut){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
     vtkDataArray  *  _cellScalars = (vtkDataArray * )  SexpToVtk(cellScalars);
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
     vtkCellArray  *  _tris = (vtkCellArray * )  SexpToVtk(tris);
     vtkPointData  *  _inPD = (vtkPointData * )  SexpToVtk(inPD);
     vtkPointData  *  _outPD = (vtkPointData * )  SexpToVtk(outPD);
     vtkCellData  *  _inCD = (vtkCellData * )  SexpToVtk(inCD);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkCellData  *  _outCD = (vtkCellData * )  SexpToVtk(outCD);
    SET_LENGTH(insideOut,1);
     int  *  _insideOut =  SexpToint(insideOut);
    vtkPolygon * _obj = (vtkPolygon * ) SexpToVtk(obj);
    _obj->Clip( * _value, _cellScalars, _locator, _tris, _inPD, _outPD, _inCD,  * _cellId, _outCD,  * _insideOut);
    PROTECT(ans = allocVector(VECSXP,8));
    PROTECT(res_names = allocVector(VECSXP,8));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cellScalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cellScalars",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".locator",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_tris,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".tris",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_inPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".inPD",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_outPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".outPD",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_inCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".inCD",0));
    SET_VECTOR_ELT(ans,7,VtkToSexp(_outCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,7,charToSexp(".outCD",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolygon_IntersectWithLine( SEXP obj, SEXP p1, SEXP p2, SEXP tol, SEXP t, SEXP x, SEXP pcoords, SEXP subId){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p1,3);
     double  *  _p1 =  SexpTodouble(p1);
    SET_LENGTH(p2,3);
     double  *  _p2 =  SexpTodouble(p2);
    SET_LENGTH(tol,1);
     double  *  _tol =  SexpTodouble(tol);
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    vtkPolygon * _obj = (vtkPolygon * ) SexpToVtk(obj);
    int _res =_obj->IntersectWithLine(_p1, _p2,  * _tol,  * _t, _x, _pcoords,  * _subId);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_p1,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_p2,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_t,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".t",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,5,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,6,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,6,charToSexp(".subId",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolygon_IsPrimaryCell( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolygon * _obj = (vtkPolygon * ) SexpToVtk(obj);
    int _res =_obj->IsPrimaryCell();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolygon_ComputeNormal( SEXP obj, SEXP p, SEXP numPts, SEXP pts, SEXP n){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _p = (vtkPoints * )  SexpToVtk(p);
    SET_LENGTH(numPts,1);
     int  *  _numPts =  SexpToint(numPts);
     int  *  _pts =  SexpToint(pts);
     double  *  _n =  SexpTodouble(n);
    vtkPolygon * _obj = (vtkPolygon * ) SexpToVtk(obj);
    _obj->ComputeNormal(_p,  * _numPts, _pts, _n);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_p,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_pts,LENGTH(pts)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".pts",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_n,LENGTH(n)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".n",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolygon_ComputeNormal_v1( SEXP obj, SEXP p, SEXP n){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _p = (vtkPoints * )  SexpToVtk(p);
     double  *  _n =  SexpTodouble(n);
    vtkPolygon * _obj = (vtkPolygon * ) SexpToVtk(obj);
    _obj->ComputeNormal(_p, _n);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_p,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_n,LENGTH(n)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".n",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolygon_ComputeNormal_v2( SEXP obj, SEXP numPts, SEXP pts, SEXP n){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(numPts,1);
     int  *  _numPts =  SexpToint(numPts);
     double  *  _pts =  SexpTodouble(pts);
    SET_LENGTH(n,3);
     double  *  _n =  SexpTodouble(n);
    vtkPolygon * _obj = (vtkPolygon * ) SexpToVtk(obj);
    _obj->ComputeNormal( * _numPts, _pts, _n);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_pts,LENGTH(pts)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pts",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_n,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".n",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolygon_ComputeWeights( SEXP obj, SEXP x, SEXP weights){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
     double  *  _weights =  SexpTodouble(weights);
    vtkPolygon * _obj = (vtkPolygon * ) SexpToVtk(obj);
    _obj->ComputeWeights(_x, _weights);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_weights,LENGTH(weights)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".weights",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolygon_ParameterizePolygon( SEXP obj, SEXP p0, SEXP p10, SEXP l10, SEXP p20, SEXP l20, SEXP n){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _p0 =  SexpTodouble(p0);
     double  *  _p10 =  SexpTodouble(p10);
    SET_LENGTH(l10,1);
     double  *  _l10 =  SexpTodouble(l10);
     double  *  _p20 =  SexpTodouble(p20);
    SET_LENGTH(l20,1);
     double  *  _l20 =  SexpTodouble(l20);
     double  *  _n =  SexpTodouble(n);
    vtkPolygon * _obj = (vtkPolygon * ) SexpToVtk(obj);
    int _res =_obj->ParameterizePolygon(_p0, _p10,  * _l10, _p20,  * _l20, _n);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_p0,LENGTH(p0)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p0",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_p10,LENGTH(p10)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p10",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_l10,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".l10",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_p20,LENGTH(p20)));
    SET_VECTOR_ELT(res_names,4,charToSexp(".p20",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_l20,1));
    SET_VECTOR_ELT(res_names,5,charToSexp(".l20",0));
    SET_VECTOR_ELT(ans,6,doubleToSexp(_n,LENGTH(n)));
    SET_VECTOR_ELT(res_names,6,charToSexp(".n",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolygon_PointInPolygon( SEXP obj, SEXP x, SEXP numPts, SEXP pts, SEXP bounds, SEXP n){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(numPts,1);
     int  *  _numPts =  SexpToint(numPts);
     double  *  _pts =  SexpTodouble(pts);
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
     double  *  _n =  SexpTodouble(n);
    vtkPolygon * _obj = (vtkPolygon * ) SexpToVtk(obj);
    int _res =_obj->PointInPolygon(_x,  * _numPts, _pts, _bounds, _n);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_pts,LENGTH(pts)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".pts",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_bounds,6));
    SET_VECTOR_ELT(res_names,3,charToSexp(".bounds",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_n,LENGTH(n)));
    SET_VECTOR_ELT(res_names,4,charToSexp(".n",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolygon_Triangulate( SEXP obj, SEXP outTris){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkIdList  *  _outTris = (vtkIdList * )  SexpToVtk(outTris);
    vtkPolygon * _obj = (vtkPolygon * ) SexpToVtk(obj);
    int _res =_obj->Triangulate(_outTris);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_outTris,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".outTris",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolygon_IntersectPolygonWithPolygon( SEXP obj, SEXP npts, SEXP pts, SEXP bounds, SEXP npts2, SEXP pts2, SEXP bounds2, SEXP tol2, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(npts,1);
     int  *  _npts =  SexpToint(npts);
     double  *  _pts =  SexpTodouble(pts);
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
    SET_LENGTH(npts2,1);
     int  *  _npts2 =  SexpToint(npts2);
     double  *  _pts2 =  SexpTodouble(pts2);
    SET_LENGTH(bounds2,6);
     double  *  _bounds2 =  SexpTodouble(bounds2);
    SET_LENGTH(tol2,1);
     double  *  _tol2 =  SexpTodouble(tol2);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkPolygon * _obj = (vtkPolygon * ) SexpToVtk(obj);
    int _res =_obj->IntersectPolygonWithPolygon( * _npts, _pts, _bounds,  * _npts2, _pts2, _bounds2,  * _tol2, _x);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,6));
    PROTECT(res_names = allocVector(VECSXP,6));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_pts,LENGTH(pts)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pts",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_bounds,6));
    SET_VECTOR_ELT(res_names,2,charToSexp(".bounds",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_pts2,LENGTH(pts2)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".pts2",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_bounds2,6));
    SET_VECTOR_ELT(res_names,4,charToSexp(".bounds2",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,5,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolygon_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkPolygon * res= ( vtkPolygon * ) vtkPolygon::New();
    R_res=toRPointer(res,"vtkPolygon");
    return(R_res);
  }
}
