#include <vtk/vtkQuadricClustering.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkQuadricClustering_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    vtkQuadricClustering *  _res =( vtkQuadricClustering * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkQuadricClustering");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    vtkQuadricClustering *  _res =( vtkQuadricClustering * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkQuadricClustering");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_SetNumberOfXDivisions( SEXP obj, SEXP num){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(num,1);
     int  *  _num =  SexpToint(num);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->SetNumberOfXDivisions( * _num);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_SetNumberOfYDivisions( SEXP obj, SEXP num){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(num,1);
     int  *  _num =  SexpToint(num);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->SetNumberOfYDivisions( * _num);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_SetNumberOfZDivisions( SEXP obj, SEXP num){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(num,1);
     int  *  _num =  SexpToint(num);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->SetNumberOfZDivisions( * _num);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_GetNumberOfXDivisions( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfXDivisions();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_GetNumberOfYDivisions( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfYDivisions();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_GetNumberOfZDivisions( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfZDivisions();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_SetNumberOfDivisions( SEXP obj, SEXP div){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(div,1);
     int  *  _div =  SexpToint(div);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->SetNumberOfDivisions(_div);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_div,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".div",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_SetNumberOfDivisions_v1( SEXP obj, SEXP div0, SEXP div1, SEXP div2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(div0,1);
     int  *  _div0 =  SexpToint(div0);
    SET_LENGTH(div1,1);
     int  *  _div1 =  SexpToint(div1);
    SET_LENGTH(div2,1);
     int  *  _div2 =  SexpToint(div2);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->SetNumberOfDivisions( * _div0,  * _div1,  * _div2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_GetNumberOfDivisions( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetNumberOfDivisions();
    res=intToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_GetNumberOfDivisions_v1( SEXP obj, SEXP divs){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(divs,3);
     int  *  _divs =  SexpToint(divs);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->GetNumberOfDivisions(_divs);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_divs,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".divs",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_SetAutoAdjustNumberOfDivisions( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->SetAutoAdjustNumberOfDivisions( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_GetAutoAdjustNumberOfDivisions( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    int _res =_obj->GetAutoAdjustNumberOfDivisions();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_AutoAdjustNumberOfDivisionsOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->AutoAdjustNumberOfDivisionsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_AutoAdjustNumberOfDivisionsOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->AutoAdjustNumberOfDivisionsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_SetDivisionOrigin( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->SetDivisionOrigin( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_SetDivisionOrigin_v1( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _o =  SexpTodouble(o);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->SetDivisionOrigin(_o);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_o,LENGTH(o)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_GetDivisionOrigin( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetDivisionOrigin();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_GetDivisionOrigin_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->GetDivisionOrigin( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_GetDivisionOrigin_v2( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->GetDivisionOrigin(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_SetDivisionSpacing( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->SetDivisionSpacing( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_SetDivisionSpacing_v1( SEXP obj, SEXP s){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _s =  SexpTodouble(s);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->SetDivisionSpacing(_s);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_s,LENGTH(s)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".s",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_GetDivisionSpacing( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetDivisionSpacing();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_GetDivisionSpacing_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->GetDivisionSpacing( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_GetDivisionSpacing_v2( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->GetDivisionSpacing(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_SetUseInputPoints( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->SetUseInputPoints( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_GetUseInputPoints( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    int _res =_obj->GetUseInputPoints();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_UseInputPointsOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->UseInputPointsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_UseInputPointsOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->UseInputPointsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_SetUseFeatureEdges( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->SetUseFeatureEdges( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_GetUseFeatureEdges( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    int _res =_obj->GetUseFeatureEdges();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_UseFeatureEdgesOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->UseFeatureEdgesOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_UseFeatureEdgesOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->UseFeatureEdgesOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_GetFeatureEdges( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    vtkFeatureEdges *  _res =( vtkFeatureEdges * )_obj->GetFeatureEdges();
    res=VtkToSexp(_res,"vtkFeatureEdges");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_SetUseFeaturePoints( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->SetUseFeaturePoints( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_GetUseFeaturePoints( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    int _res =_obj->GetUseFeaturePoints();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_UseFeaturePointsOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->UseFeaturePointsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_UseFeaturePointsOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->UseFeaturePointsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_SetFeaturePointsAngle( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->SetFeaturePointsAngle( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_GetFeaturePointsAngleMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    double _res =_obj->GetFeaturePointsAngleMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_GetFeaturePointsAngleMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    double _res =_obj->GetFeaturePointsAngleMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_GetFeaturePointsAngle( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    double _res =_obj->GetFeaturePointsAngle();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_SetUseInternalTriangles( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->SetUseInternalTriangles( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_GetUseInternalTriangles( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    int _res =_obj->GetUseInternalTriangles();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_UseInternalTrianglesOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->UseInternalTrianglesOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_UseInternalTrianglesOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->UseInternalTrianglesOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_StartAppend( SEXP obj, SEXP bounds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _bounds =  SexpTodouble(bounds);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->StartAppend(_bounds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,LENGTH(bounds)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_StartAppend_v1( SEXP obj, SEXP x0, SEXP x1, SEXP y0, SEXP y1, SEXP z0, SEXP z1){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x0,1);
     double  *  _x0 =  SexpTodouble(x0);
    SET_LENGTH(x1,1);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(y0,1);
     double  *  _y0 =  SexpTodouble(y0);
    SET_LENGTH(y1,1);
     double  *  _y1 =  SexpTodouble(y1);
    SET_LENGTH(z0,1);
     double  *  _z0 =  SexpTodouble(z0);
    SET_LENGTH(z1,1);
     double  *  _z1 =  SexpTodouble(z1);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->StartAppend( * _x0,  * _x1,  * _y0,  * _y1,  * _z0,  * _z1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_Append( SEXP obj, SEXP pd){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPolyData  *  _pd = (vtkPolyData * )  SexpToVtk(pd);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->Append(_pd);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pd,"vtkPolyData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_EndAppend( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->EndAppend();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_SetCopyCellData( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->SetCopyCellData( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_GetCopyCellData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    int _res =_obj->GetCopyCellData();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_CopyCellDataOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->CopyCellDataOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_CopyCellDataOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricClustering * _obj = (vtkQuadricClustering * ) SexpToVtk(obj);
    _obj->CopyCellDataOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricClustering_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkQuadricClustering * res= ( vtkQuadricClustering * ) vtkQuadricClustering
::New();
    R_res=toRPointer(res,"vtkQuadricClustering");
    return(R_res);
  }
}
