#include <vtk/vtkSpherePuzzleArrows.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkSpherePuzzleArrows_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSpherePuzzleArrows * _obj = (vtkSpherePuzzleArrows * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSpherePuzzleArrows_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkSpherePuzzleArrows * _obj = (vtkSpherePuzzleArrows * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSpherePuzzleArrows_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkSpherePuzzleArrows * _obj = (vtkSpherePuzzleArrows * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSpherePuzzleArrows_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkSpherePuzzleArrows * _obj = (vtkSpherePuzzleArrows * ) SexpToVtk(obj);
    vtkSpherePuzzleArrows *  _res =( vtkSpherePuzzleArrows * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkSpherePuzzleArrows");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSpherePuzzleArrows_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSpherePuzzleArrows * _obj = (vtkSpherePuzzleArrows * ) SexpToVtk(obj);
    vtkSpherePuzzleArrows *  _res =( vtkSpherePuzzleArrows * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkSpherePuzzleArrows");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSpherePuzzleArrows_SetPermutation( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _data =  SexpToint(data);
    vtkSpherePuzzleArrows * _obj = (vtkSpherePuzzleArrows * ) SexpToVtk(obj);
    _obj->SetPermutation(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSpherePuzzleArrows_GetPermutation( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSpherePuzzleArrows * _obj = (vtkSpherePuzzleArrows * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetPermutation();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSpherePuzzleArrows_GetPermutation_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _data =  SexpToint(data);
    vtkSpherePuzzleArrows * _obj = (vtkSpherePuzzleArrows * ) SexpToVtk(obj);
    _obj->GetPermutation(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSpherePuzzleArrows_SetPermutationComponent( SEXP obj, SEXP comp, SEXP val){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    SET_LENGTH(val,1);
     int  *  _val =  SexpToint(val);
    vtkSpherePuzzleArrows * _obj = (vtkSpherePuzzleArrows * ) SexpToVtk(obj);
    _obj->SetPermutationComponent( * _comp,  * _val);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSpherePuzzleArrows_SetPermutation_v1( SEXP obj, SEXP puz){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkSpherePuzzle  *  _puz = (vtkSpherePuzzle * )  SexpToVtk(puz);
    vtkSpherePuzzleArrows * _obj = (vtkSpherePuzzleArrows * ) SexpToVtk(obj);
    _obj->SetPermutation(_puz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_puz,"vtkSpherePuzzle"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".puz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSpherePuzzleArrows_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkSpherePuzzleArrows * res= ( vtkSpherePuzzleArrows * ) 
vtkSpherePuzzleArrows::New();
    R_res=toRPointer(res,"vtkSpherePuzzleArrows");
    return(R_res);
  }
}
