#include <vtk/vtkStreamTracer.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkStreamTracer_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    vtkStreamTracer *  _res =( vtkStreamTracer * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkStreamTracer");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    vtkStreamTracer *  _res =( vtkStreamTracer * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkStreamTracer");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetStartPosition( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetStartPosition( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetStartPosition_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetStartPosition(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetStartPosition( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetStartPosition();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetStartPosition_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->GetStartPosition( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetStartPosition_v2( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->GetStartPosition(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetSource( SEXP obj, SEXP source){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _source = (vtkDataSet * )  SexpToVtk(source);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetSource(_source);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_source,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".source",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetSource( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetSource();
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetIntegrator( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInitialValueProblemSolver  *  __arg = 
(vtkInitialValueProblemSolver * )  SexpToVtk(_arg);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetIntegrator(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkInitialValueProblemSolver"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetIntegrator( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    vtkInitialValueProblemSolver *  _res =( vtkInitialValueProblemSolver * )_obj->GetIntegrator();
    res=VtkToSexp(_res,"vtkInitialValueProblemSolver");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetIntegratorType( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(type,1);
     int  *  _type =  SexpToint(type);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetIntegratorType( * _type);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetIntegratorType( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->GetIntegratorType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetIntegratorTypeToRungeKutta2( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetIntegratorTypeToRungeKutta2();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetIntegratorTypeToRungeKutta4( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetIntegratorTypeToRungeKutta4();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetIntegratorTypeToRungeKutta45( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetIntegratorTypeToRungeKutta45();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetMaximumPropagation( SEXP obj, SEXP unit, SEXP max){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(unit,1);
     int  *  _unit =  SexpToint(unit);
    SET_LENGTH(max,1);
     double  *  _max =  SexpTodouble(max);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumPropagation( * _unit,  * _max);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetMaximumPropagation_v1( SEXP obj, SEXP max){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(max,1);
     double  *  _max =  SexpTodouble(max);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumPropagation( * _max);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetMaximumPropagationUnit( SEXP obj, SEXP unit){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(unit,1);
     int  *  _unit =  SexpToint(unit);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumPropagationUnit( * _unit);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetMaximumPropagationUnit( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->GetMaximumPropagationUnit();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetMaximumPropagation( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    double _res =_obj->GetMaximumPropagation();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetMaximumPropagationUnitToTimeUnit( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumPropagationUnitToTimeUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetMaximumPropagationUnitToLengthUnit( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumPropagationUnitToLengthUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetMaximumPropagationUnitToCellLengthUnit( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumPropagationUnitToCellLengthUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetMinimumIntegrationStep( SEXP obj, SEXP unit, SEXP step){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(unit,1);
     int  *  _unit =  SexpToint(unit);
    SET_LENGTH(step,1);
     double  *  _step =  SexpTodouble(step);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetMinimumIntegrationStep( * _unit,  * _step);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetMinimumIntegrationStepUnit( SEXP obj, SEXP unit){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(unit,1);
     int  *  _unit =  SexpToint(unit);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetMinimumIntegrationStepUnit( * _unit);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetMinimumIntegrationStep_v1( SEXP obj, SEXP step){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(step,1);
     double  *  _step =  SexpTodouble(step);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetMinimumIntegrationStep( * _step);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetMinimumIntegrationStepUnit( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->GetMinimumIntegrationStepUnit();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetMinimumIntegrationStep( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    double _res =_obj->GetMinimumIntegrationStep();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetMinimumIntegrationStepUnitToTimeUnit( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetMinimumIntegrationStepUnitToTimeUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetMinimumIntegrationStepUnitToLengthUnit( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetMinimumIntegrationStepUnitToLengthUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetMinimumIntegrationStepUnitToCellLengthUnit( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetMinimumIntegrationStepUnitToCellLengthUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetMaximumIntegrationStep( SEXP obj, SEXP unit, SEXP step){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(unit,1);
     int  *  _unit =  SexpToint(unit);
    SET_LENGTH(step,1);
     double  *  _step =  SexpTodouble(step);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumIntegrationStep( * _unit,  * _step);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetMaximumIntegrationStepUnit( SEXP obj, SEXP unit){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(unit,1);
     int  *  _unit =  SexpToint(unit);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumIntegrationStepUnit( * _unit);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetMaximumIntegrationStep_v1( SEXP obj, SEXP step){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(step,1);
     double  *  _step =  SexpTodouble(step);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumIntegrationStep( * _step);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetMaximumIntegrationStepUnit( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->GetMaximumIntegrationStepUnit();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetMaximumIntegrationStep( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    double _res =_obj->GetMaximumIntegrationStep();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetMaximumIntegrationStepUnitToTimeUnit( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumIntegrationStepUnitToTimeUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetMaximumIntegrationStepUnitToLengthUnit( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumIntegrationStepUnitToLengthUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetMaximumIntegrationStepUnitToCellLengthUnit( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumIntegrationStepUnitToCellLengthUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetInitialIntegrationStep( SEXP obj, SEXP unit, SEXP step){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(unit,1);
     int  *  _unit =  SexpToint(unit);
    SET_LENGTH(step,1);
     double  *  _step =  SexpTodouble(step);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetInitialIntegrationStep( * _unit,  * _step);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetInitialIntegrationStepUnit( SEXP obj, SEXP unit){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(unit,1);
     int  *  _unit =  SexpToint(unit);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetInitialIntegrationStepUnit( * _unit);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetInitialIntegrationStep_v1( SEXP obj, SEXP step){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(step,1);
     double  *  _step =  SexpTodouble(step);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetInitialIntegrationStep( * _step);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetInitialIntegrationStepUnit( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->GetInitialIntegrationStepUnit();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetInitialIntegrationStep( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    double _res =_obj->GetInitialIntegrationStep();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetInitialIntegrationStepUnitToTimeUnit( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetInitialIntegrationStepUnitToTimeUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetInitialIntegrationStepUnitToLengthUnit( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetInitialIntegrationStepUnitToLengthUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetInitialIntegrationStepUnitToCellLengthUnit( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetInitialIntegrationStepUnitToCellLengthUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetMaximumError( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumError( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetMaximumError( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    double _res =_obj->GetMaximumError();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetMaximumNumberOfSteps( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumNumberOfSteps( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetMaximumNumberOfSteps( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->GetMaximumNumberOfSteps();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetTerminalSpeed( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetTerminalSpeed( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetTerminalSpeed( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    double _res =_obj->GetTerminalSpeed();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetIntegrationDirection( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetIntegrationDirection( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetIntegrationDirectionMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->GetIntegrationDirectionMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetIntegrationDirectionMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->GetIntegrationDirectionMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetIntegrationDirection( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->GetIntegrationDirection();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetIntegrationDirectionToForward( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetIntegrationDirectionToForward();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetIntegrationDirectionToBackward( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetIntegrationDirectionToBackward();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetIntegrationDirectionToBoth( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetIntegrationDirectionToBoth();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetComputeVorticity( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetComputeVorticity( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetComputeVorticity( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->GetComputeVorticity();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_ComputeVorticityOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->ComputeVorticityOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_ComputeVorticityOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->ComputeVorticityOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SetRotationScale( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SetRotationScale( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetRotationScale( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    double _res =_obj->GetRotationScale();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_GetInputVectorsSelection( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetInputVectorsSelection();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_SelectInputVectors( SEXP obj, SEXP fieldName){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _fieldName =  SexpTochar(fieldName);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->SelectInputVectors(_fieldName);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_AddInput( SEXP obj, SEXP input){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _input = (vtkDataSet * )  SexpToVtk(input);
    vtkStreamTracer * _obj = (vtkStreamTracer * ) SexpToVtk(obj);
    _obj->AddInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStreamTracer_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkStreamTracer * res= ( vtkStreamTracer * ) vtkStreamTracer::New();
    R_res=toRPointer(res,"vtkStreamTracer");
    return(R_res);
  }
}
