#include <vtk/vtkStructuredVisibilityConstraint.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkStructuredVisibilityConstraint_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredVisibilityConstraint * _obj = (
vtkStructuredVisibilityConstraint * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredVisibilityConstraint_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkStructuredVisibilityConstraint * _obj = (
vtkStructuredVisibilityConstraint * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredVisibilityConstraint_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkStructuredVisibilityConstraint * _obj = (
vtkStructuredVisibilityConstraint * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredVisibilityConstraint_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkStructuredVisibilityConstraint * _obj = (
vtkStructuredVisibilityConstraint * ) SexpToVtk(obj);
    vtkStructuredVisibilityConstraint *  _res =( vtkStructuredVisibilityConstraint * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkStructuredVisibilityConstraint");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredVisibilityConstraint_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredVisibilityConstraint * _obj = (
vtkStructuredVisibilityConstraint * ) SexpToVtk(obj);
    vtkStructuredVisibilityConstraint *  _res =( vtkStructuredVisibilityConstraint * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkStructuredVisibilityConstraint");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredVisibilityConstraint_IsVisible( SEXP obj, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkStructuredVisibilityConstraint * _obj = (
vtkStructuredVisibilityConstraint * ) SexpToVtk(obj);
    unsigned char _res =_obj->IsVisible( * _id);
    res=unsigned_charToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredVisibilityConstraint_Blank( SEXP obj, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkStructuredVisibilityConstraint * _obj = (
vtkStructuredVisibilityConstraint * ) SexpToVtk(obj);
    _obj->Blank( * _id);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredVisibilityConstraint_UnBlank( SEXP obj, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkStructuredVisibilityConstraint * _obj = (
vtkStructuredVisibilityConstraint * ) SexpToVtk(obj);
    _obj->UnBlank( * _id);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredVisibilityConstraint_GetDimensions( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredVisibilityConstraint * _obj = (
vtkStructuredVisibilityConstraint * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetDimensions();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredVisibilityConstraint_GetDimensions_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _data =  SexpToint(data);
    vtkStructuredVisibilityConstraint * _obj = (
vtkStructuredVisibilityConstraint * ) SexpToVtk(obj);
    _obj->GetDimensions(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredVisibilityConstraint_Initialize( SEXP obj, SEXP dims){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(dims,3);
     int  *  _dims =  SexpToint(dims);
    vtkStructuredVisibilityConstraint * _obj = (
vtkStructuredVisibilityConstraint * ) SexpToVtk(obj);
    _obj->Initialize(_dims);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_dims,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dims",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredVisibilityConstraint_SetVisibilityById( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkUnsignedCharArray  *  __arg = (vtkUnsignedCharArray * )  
SexpToVtk(_arg);
    vtkStructuredVisibilityConstraint * _obj = (
vtkStructuredVisibilityConstraint * ) SexpToVtk(obj);
    _obj->SetVisibilityById(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkUnsignedCharArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredVisibilityConstraint_GetVisibilityById( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredVisibilityConstraint * _obj = (
vtkStructuredVisibilityConstraint * ) SexpToVtk(obj);
    vtkUnsignedCharArray *  _res =( vtkUnsignedCharArray * )_obj->GetVisibilityById();
    res=VtkToSexp(_res,"vtkUnsignedCharArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredVisibilityConstraint_ShallowCopy( SEXP obj, SEXP src){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkStructuredVisibilityConstraint  *  _src = 
(vtkStructuredVisibilityConstraint * )  SexpToVtk(src);
    vtkStructuredVisibilityConstraint * _obj = (
vtkStructuredVisibilityConstraint * ) SexpToVtk(obj);
    _obj->ShallowCopy(_src);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_src,"vtkStructuredVisibilityConstraint"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".src",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredVisibilityConstraint_DeepCopy( SEXP obj, SEXP src){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkStructuredVisibilityConstraint  *  _src = 
(vtkStructuredVisibilityConstraint * )  SexpToVtk(src);
    vtkStructuredVisibilityConstraint * _obj = (
vtkStructuredVisibilityConstraint * ) SexpToVtk(obj);
    _obj->DeepCopy(_src);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_src,"vtkStructuredVisibilityConstraint"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".src",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredVisibilityConstraint_IsConstrained( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredVisibilityConstraint * _obj = (
vtkStructuredVisibilityConstraint * ) SexpToVtk(obj);
    unsigned char _res =_obj->IsConstrained();
    res=unsigned_charToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredVisibilityConstraint_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkStructuredVisibilityConstraint * res= ( vtkStructuredVisibilityConstraint
 * ) vtkStructuredVisibilityConstraint::New();
    R_res=toRPointer(res,"vtkStructuredVisibilityConstraint");
    return(R_res);
  }
}
