#include <vtk/vtkTableExtentTranslator.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkTableExtentTranslator_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTableExtentTranslator * _obj = (vtkTableExtentTranslator
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTableExtentTranslator_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTableExtentTranslator * _obj = (vtkTableExtentTranslator
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTableExtentTranslator_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTableExtentTranslator * _obj = (vtkTableExtentTranslator
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTableExtentTranslator_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkTableExtentTranslator * _obj = (vtkTableExtentTranslator
 * ) SexpToVtk(obj);
    vtkTableExtentTranslator *  _res =( vtkTableExtentTranslator * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkTableExtentTranslator");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTableExtentTranslator_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTableExtentTranslator * _obj = (vtkTableExtentTranslator
 * ) SexpToVtk(obj);
    vtkTableExtentTranslator *  _res =( vtkTableExtentTranslator * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkTableExtentTranslator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTableExtentTranslator_SetNumberOfPieces( SEXP obj, SEXP pieces){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(pieces,1);
     int  *  _pieces =  SexpToint(pieces);
    vtkTableExtentTranslator * _obj = (vtkTableExtentTranslator
 * ) SexpToVtk(obj);
    _obj->SetNumberOfPieces( * _pieces);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTableExtentTranslator_PieceToExtent( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTableExtentTranslator * _obj = (vtkTableExtentTranslator
 * ) SexpToVtk(obj);
    int _res =_obj->PieceToExtent();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTableExtentTranslator_PieceToExtentByPoints( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTableExtentTranslator * _obj = (vtkTableExtentTranslator
 * ) SexpToVtk(obj);
    int _res =_obj->PieceToExtentByPoints();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTableExtentTranslator_SetExtentForPiece( SEXP obj, SEXP piece, SEXP extent){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(piece,1);
     int  *  _piece =  SexpToint(piece);
     int  *  _extent =  SexpToint(extent);
    vtkTableExtentTranslator * _obj = (vtkTableExtentTranslator
 * ) SexpToVtk(obj);
    _obj->SetExtentForPiece( * _piece, _extent);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_extent,LENGTH(extent)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".extent",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTableExtentTranslator_GetExtentForPiece( SEXP obj, SEXP piece, SEXP extent){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(piece,1);
     int  *  _piece =  SexpToint(piece);
     int  *  _extent =  SexpToint(extent);
    vtkTableExtentTranslator * _obj = (vtkTableExtentTranslator
 * ) SexpToVtk(obj);
    _obj->GetExtentForPiece( * _piece, _extent);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_extent,LENGTH(extent)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".extent",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTableExtentTranslator_GetExtentForPiece_v1( SEXP obj, SEXP piece){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(piece,1);
     int  *  _piece =  SexpToint(piece);
    vtkTableExtentTranslator * _obj = (vtkTableExtentTranslator
 * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetExtentForPiece( * _piece);
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTableExtentTranslator_SetMaximumGhostLevel( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkTableExtentTranslator * _obj = (vtkTableExtentTranslator
 * ) SexpToVtk(obj);
    _obj->SetMaximumGhostLevel( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTableExtentTranslator_GetMaximumGhostLevel( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTableExtentTranslator * _obj = (vtkTableExtentTranslator
 * ) SexpToVtk(obj);
    int _res =_obj->GetMaximumGhostLevel();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTableExtentTranslator_SetPieceAvailable( SEXP obj, SEXP piece, SEXP available){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(piece,1);
     int  *  _piece =  SexpToint(piece);
    SET_LENGTH(available,1);
     int  *  _available =  SexpToint(available);
    vtkTableExtentTranslator * _obj = (vtkTableExtentTranslator
 * ) SexpToVtk(obj);
    _obj->SetPieceAvailable( * _piece,  * _available);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTableExtentTranslator_GetPieceAvailable( SEXP obj, SEXP piece){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(piece,1);
     int  *  _piece =  SexpToint(piece);
    vtkTableExtentTranslator * _obj = (vtkTableExtentTranslator
 * ) SexpToVtk(obj);
    int _res =_obj->GetPieceAvailable( * _piece);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTableExtentTranslator_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkTableExtentTranslator * res= ( vtkTableExtentTranslator * ) 
vtkTableExtentTranslator::New();
    R_res=toRPointer(res,"vtkTableExtentTranslator");
    return(R_res);
  }
}
