#include <vtk/vtkThreshold.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkThreshold_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    vtkThreshold *  _res =( vtkThreshold * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkThreshold");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    vtkThreshold *  _res =( vtkThreshold * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkThreshold");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_ThresholdByLower( SEXP obj, SEXP lower){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(lower,1);
     double  *  _lower =  SexpTodouble(lower);
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    _obj->ThresholdByLower( * _lower);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_ThresholdByUpper( SEXP obj, SEXP upper){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(upper,1);
     double  *  _upper =  SexpTodouble(upper);
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    _obj->ThresholdByUpper( * _upper);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_ThresholdBetween( SEXP obj, SEXP lower, SEXP upper){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(lower,1);
     double  *  _lower =  SexpTodouble(lower);
    SET_LENGTH(upper,1);
     double  *  _upper =  SexpTodouble(upper);
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    _obj->ThresholdBetween( * _lower,  * _upper);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_GetUpperThreshold( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    double _res =_obj->GetUpperThreshold();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_GetLowerThreshold( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    double _res =_obj->GetLowerThreshold();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_SetAttributeMode( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    _obj->SetAttributeMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_GetAttributeMode( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    int _res =_obj->GetAttributeMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_SetAttributeModeToDefault( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    _obj->SetAttributeModeToDefault();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_SetAttributeModeToUsePointData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    _obj->SetAttributeModeToUsePointData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_SetAttributeModeToUseCellData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    _obj->SetAttributeModeToUseCellData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_GetAttributeModeAsString( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetAttributeModeAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_SetComponentMode( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    _obj->SetComponentMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_GetComponentModeMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    int _res =_obj->GetComponentModeMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_GetComponentModeMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    int _res =_obj->GetComponentModeMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_GetComponentMode( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    int _res =_obj->GetComponentMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_SetComponentModeToUseSelected( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    _obj->SetComponentModeToUseSelected();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_SetComponentModeToUseAll( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    _obj->SetComponentModeToUseAll();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_SetComponentModeToUseAny( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    _obj->SetComponentModeToUseAny();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_GetComponentModeAsString( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetComponentModeAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_SetSelectedComponent( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    _obj->SetSelectedComponent( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_GetSelectedComponentMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    int _res =_obj->GetSelectedComponentMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_GetSelectedComponentMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    int _res =_obj->GetSelectedComponentMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_GetSelectedComponent( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    int _res =_obj->GetSelectedComponent();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_SetAllScalars( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    _obj->SetAllScalars( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_GetAllScalars( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    int _res =_obj->GetAllScalars();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_AllScalarsOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    _obj->AllScalarsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_AllScalarsOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    _obj->AllScalarsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_GetInputScalarsSelection( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetInputScalarsSelection();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_SelectInputScalars( SEXP obj, SEXP fieldName){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _fieldName =  SexpTochar(fieldName);
    vtkThreshold * _obj = (vtkThreshold * ) SexpToVtk(obj);
    _obj->SelectInputScalars(_fieldName);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreshold_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkThreshold * res= ( vtkThreshold * ) vtkThreshold::New();
    R_res=toRPointer(res,"vtkThreshold");
    return(R_res);
  }
}
